Chant Developer Workbench 2016 Developer's Guide

Chant Inc.
Chant Developer Workbench 2016 Developer's Guide


Chant Developer Workbench

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Getting Started with Chant Developer Workbench

When building applications, it's essential that you have the right tools to get the job done.

Now you can develop applications that speak, listen, and interact with users using Developer Workbench from Chant. You can easily manage conversations, grammars, lexicons, movement, profiles, speech, and text-to-speech markup directly within application software you develop. Chant Developer Workbench is comprised of tools and class libraries for integrating speech and natural user interface technology.

The following topics provide an overview of getting started with Chant Developer Workbench:

  • Developer Workbench Features,
  • System Requirements,
  • License,
  • Product Registration,
  • ProductSupport
  • Installation,
  • Configuring your Development Environment, and
  • Interactive Development Environment.

The following topics provide detailed steps for working with Chant Developer Workbench:

  • Grammar Mangement with GrammarKit,
  • Movement Mangement with KinesicsKit,
  • Lexicon Management with LexiconKit,
  • Profile Management with ProfileKit,
  • Speech Management with SpeechKit,
  • Markup Management with VoiceMarkupKit, and
  • Conversation Management with VoiceXMLKit.

Copyright © 1996-2016 Chant Inc. All rights reserved.


Developer Workbench Features

Chant Developer Workbench is comprised of essential tools and class libraries for developing software that speaks, listens, and interacts with users. It provides an IDE for developing and interactively testing speech and natural user interface technologies. You can manage conversations, grammars, movement, profiles, lexicons, speech, and text-to-speech markup directly within application software you develop and deploy.

Chant Developer Workbench screen shot

Design Grammars with GrammarKit

A GrammarKit application can:

  • Generate syntax-independent and -specific grammars;
  • Compile grammar source from buffer, file, resource, stream, and string formats;
  • Persist compiled grammar binary to buffer, file, and stream formats;
  • Generate pronunciation phonemes; and
  • Dynamically switch among grammar compilers and syntax formats.

Within the Chant Developer Workbench IDE, you can:

  • Create and edit grammars in native grammar syntax;
  • Generate word pronunciation phonemes;
  • Edit word pronunciation phonemes (requires LexiconKit);
  • Compile and debug grammars; and
  • Test grammars with live and recorded audio, and text simulation (requires SpeechKit).

Track Movement with KinesicsKit

A KinesicsKit application can:

  • Capture and map color, depth, and body data;
  • Record and playback audio files; and
  • Integrate movement tracking with speech technology.

Within the Chant Developer Workbench IDE, you can:

  • Render color, depth, and body data; and
  • Validate sensor image streams.

Tailor Pronunciations with LexiconKit

A LexiconKit application can:

  • Edit locally installed lexicons;
  • Create and delete lexicon word pronunciations on demand;
  • Export and import lexicon word pronunciations for ensuring maximum recognition accuracy and speech synthesis quality; and
  • Add and remove dictation shortcuts.

PLS Lexicon Editing

Within the Chant Developer Workbench IDE, you can:

  • Create and edit W3C lexicons (.pls);
  • Create and edit Cepstral lexicon file (.txt);
  • Create and edit Nuance Vocalizer and VoCon user dictionary text file (.dct);
  • Create, edit, export, and delete SAPI 5 user and application lexicons;
  • Generate word pronunciation phonemes; and
  • Edit word pronunciation phonemes.

Administer Speaker Profiles with ProfileKit

A ProfileKit application can:

  • Create and delete speaker profiles on demand;
  • Train speaker profiles; and
  • Backup and restore speaker profiles for ensuring maximum recognition accuracy and reliability.

Built-in Speaker Training

Within the Chant Developer Workbench IDE, you can:

  • Create and delete speaker profiles;
  • Enumerate speaker profiles;
  • Invoke recognizer built-in speaker training; and
  • Design and test custom speaker training;

Recognize and Synthesize Speech with SpeechKit

A SpeechKit application can:

  • Control application functions by speaking rather than having to use a mouse or keyboard;
  • Prompt users for applicable data capture;
  • Capture data by speaking rather than typing;
  • Confirm data capture with spoken or audio acknowledgement;
  • Transcribe audio buffers, files, and streams to text; and
  • Synthesize speech to audio buffers, files, and streams.

Speech Engine Management

Within the Chant Developer Workbench IDE, you can:

  • Enumerate audio devices and speech engines for selection and testing of audio-, recognizer-, and synthesizer-specific features;
  • Trace audio, recognition, and synthesis events;
  • Support grammar activation and testing (requires GrammarKit); and
  • Support TTS markup playback (requires VoiceMarkupKit).

Fine-tune Speech Synthesis with VoiceMarkupKit

A VoiceMarkupKit application can:

  • Generate markup language in Nuance L&H Native Control Sequence, Microsoft SAPI 5 XML, and W3C SSML syntax;
  • Generate pronunciation phonemes for Acapela, Cepstral, Microsoft SAPI 5, Microsoft Speech Platform, and Nuance Vocalizer synthesizers; and
  • Dynamically switch among speech APIs and syntax formats.

Within the Chant Developer Workbench IDE, you can:

  • Create and edit documents with TTS markup;
  • Generate TTS markup;
  • Generate word pronunciation phonemes;
  • Edit word pronunciation phonemes (requires LexiconKit); and
  • Playback text with TTS markup (requires SpeechKit).

Enrich Conversations with VoiceXMLKit

A VoiceXMLKit application can:

  • Dynamically generate VoiceVXML; and
  • Run VoiceXML documents as a desktop application.

Within the Chant Developer Workbench IDE, you can:

  • Create and edit VoiceXML documents;
  • Test VoiceXML documents with microphone audio and keypad data; and
  • Trace runtime events.


System Requirements

Development Environment

  • Intel processor or equivalent,
  • Microsoft Windows 10, 8, 7,
  • Microsoft .NET 4.0 or higher,
  • 1.5 GB of hard drive space,
  • CD-ROM drive,
  • VGA or higher-resolution monitor,
  • Microsoft Kinect for Xbox One sensor,
  • Microsoft Kinect Adapter for Windows,
  • Microsoft Kinect for Windows SDK,
  • Microsoft SAPI 5, Microsoft Speech Platform, Microsoft Windows Media, Nuance Dragon NaturallySpeaking, or Nuance VoCon 3200 recognizer,
  • Acapela, Cepstral, CereProc, Microsoft SAPI 5, Microsoft Speech Platform, Microsoft Windows Media, or Nuance Vocalizer synthesizer,
  • C++, C++Builder, Delphi, Java, .NET Framework, or Silverlight development environment, and
  • close-talk microphone.


License

You may explore the capabilities of Chant Developer Workbench for 30 days. To continue to use the product after 30 days, you must purchase a license for the software or stop using the software and remove it from your system.

A valid purchased license gives you the right to construct executable applications that use the applicable class library and distribute it with executable applications without royalty obligations to Chant.

The Chant Developer Workbench license is a single end-user license. Each developer who installs and uses Chant Developer Workbench to develop applications must have their own license.

Chant Developer Workbench license includes GrammarKit, KinesicsKit, LexiconKit, ProfileKit, SpeechKit, VoiceMarkupKit, and VoiceXMLKit class libraries. The class library names vary by platform: Windows 32-bit and 64-bit Edition. This helps ensure the correct library is deployed with your application.

You may purchase a license for Chant software on-line at the Chant store or through your preferred software reseller.


Product Registration

Once you have purchased a license and obtained a registration number, you need to register your license.

Register your Chant software license to obtain a serial number with the following steps:

  1. Establish an Internet connection.
  2. Go to the product registration home page: www.chant.net/support/registration.
  3. Login if you have a User ID and password or click the new user link and create one.
  4. Enter your registration number you received when you purchased your license.
  5. Click the Activate License button.
  6. Click the product link that appears in the Registered Products table.
  7. Click the Update button to generate your serial number.
  8. Copy your Registration and Serial numbers to notepad to set the CSPLicense and CSPSerials properties in your code.

To register by phone, contact Chant at +1 888-8CHANT8 (888-824-2688) or at +1 310-410-9895. A Chant representative may register your license over the phone and provide your serial number.

You may also obtain assistance by posting your questions at your Help Desk.

License and Serials

Once you have registered your Chant software license to obtain a serial number, set the License and Serials values in the Chant Developer Workbench IDE:

  1. select the View Options... menu item;
  2. select the License and Serials node under Environment;
  3. enter your license (registration) number in the applicable License field and your serial number in the applicable Serial field;
  4. click the OK button to save your updates; and
  5. shutdown and restart the Chant Developer Workbench.

Set the CSPLicense and CSPSerials properties in your application code to unlock the Chant class libraries at runtime.

You do not need to register for an evaluation serial number for evaluating the Chant Developer Workbench IDE and class libraries on Win32 and Win64 platforms.

An evaluation serial number is required if you want to test your application on a different system or use the Microsoft .NET managed Speech libraries.


Product Support

You may launch Chant Developer Workbench help documentation from the system menu or from within the IDE.

For additional assistance with using Chant software you may access the Chant On-line Support Center that lets you:

  • access the knowledge base,
  • ask questions,
  • download evaluation and licensed product updates,
  • register your licensed product,
  • report problems, and
  • update your product registration information.

Additional information about Chant support offerings is available at the Chant On-line Support Center.

Please contact us with your questions, comments, concerns, and ideas. Let us know how we may help you develop software that speaks and listens.


Installation

Chant Developer Workbench IDE is installed in the following default locations:

  • Win32
  • Win64
  • UWP

Program Files\Chant\Developer Workbench 2016\Win32.

Program Files\Chant\Developer Workbench 2016\Win64.

Users\userid\AppData\Local\Packages\Chant.DeveloperWorkbench.UWP.2016_djq2phhrerk6c.

Chant Developer Workbench documents are created and saved by default in the following default location:

  • Win32
  • Win64
  • UWP

My Documents\Chant\Developer Workbench 2016\Win32.

My Documents\Chant\Developer Workbench 2016\Win64.

Users\userid\AppData\Local\Packages\Chant.DeveloperWorkbench.UWP.2016_djq2phhrerk6c\LocalState\x86 and/or x64.

Chant Developer Workbench class libraries are installed in the following default locations:

  • Win32
  • Win64
  • UWP
  • Program Files\Chant\GrammarKit 5\Win32,
  • Program Files\Chant\KinesicsKit 3\Win32,
  • Program Files\Chant\LexiconKit 5\Win32,
  • Program Files\Chant\ProfileKit 5\Win32,
  • Program Files\Chant\SpeechKit 8\Win32,
  • Program Files\Chant\VoiceMakrupKit 5\Win32, and
  • Program Files\Chant\VoiceXMLKit 2\Win32.
  • Program Files\Chant\GrammarKit 5\Win64,
  • Program Files\Chant\KinesicsKit 3\Win64,
  • Program Files\Chant\LexiconKit 5\Win64,
  • Program Files\Chant\ProfileKit 5\Win64,
  • Program Files\Chant\SpeechKit 8\Win64,
  • Program Files\Chant\VoiceMakrupKit 5\Win64, and
  • Program Files\Chant\VoiceXMLKit 2\Win64.
  • Program Files\Chant\GrammarKit 5\UWP,
  • Program Files\Chant\SpeechKit 8\UWP, and
  • Program Files\Chant\VoiceMakrupKit 5\UWP.

Chant Developer Workbench samples are installed in the following default locations:

  • Win32
  • Win64
  • UWP
  • My Documents\Chant\GrammarKit 5\Win32,
  • My Documents\Chant\KinesicsKit 3\Win32,
  • My Documents\Chant\LexiconKit 5\Win32,
  • My Documents\Chant\ProfileKit 5\Win32,
  • My Documents\Chant\SpeechKit 8\Win32,
  • My Documents\Chant\VoiceMarkupKit 5\Win32, and
  • My Documents\Chant\VoiceXMLKit 2\Win32.
  • My Documents\Chant\GrammarKit 5\Win64,
  • My Documents\Chant\KinesicsKit 3\Win64,
  • My Documents\Chant\LexiconKit 5\Win64,
  • My Documents\Chant\ProfileKit 5\Win64,
  • My Documents\Chant\SpeechKit 8\Win64,
  • My Documents\Chant\VoiceMarkupKit 5\Win64, and
  • My Documents\Chant\VoiceXMLKit 2\Win64.
  • My Documents\Chant\GrammarKit 5\UWP,
  • My Documents\Chant\SpeechKit 8\UWP, and
  • My Documents\Chant\VoiceMarkupKit 5\UWP.


Configuring Your Development Environment

Before you begin to develop software with Chant Developer Workbench IDE and class libraries, you need to configure your development environment as follows:

  • install recognizers and synthesizers,
  • install Kinect for Windows sensor, and
  • configure your microphone headset for speech recognition.


Recognizer and Synthesizer Installation

Refer to vendor SDK instructions for any platform specific installation instructions.

Acapela (Win64 and Win32)

Acapela synthesizers can be accessed via SAPI 4, SAPI 5, native BabTTS, and native NSCAPIs.

BabTTS and NSC native APIS are CDLL-based. The Chant classes attempt to load the BabTTS runtime from the Acapela default installation C:\Program Files\Acapela Group\Acapela Multimedia directory. If the libraries fail to load, the Chant classes attempt to load the libraries from the current working directory.

Set the Acapela BabTTS directory and file locations in the Chant Developer Workbench IDE as follows:

  1. select the View Options... menu item;
  2. select the Speech Synthesizers node under Environment;
  3. select the Acapela Multimedia node;
  4. click the open folders button (...) for Acapela to select a path;
  5. enter your license key value; and
  6. click the OK button to save your path.

Set the CNPEngineAPI, CSPVoiceLicenseKey, and CSPEnginePath properties after instantiating the Chant class object in your applications as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Acapela BabTTS
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CEBABTTS);
// Set license instead of linking bundle
NChantTTS1.SetStringProperty(ChantStringProperty.CSPVoiceLicenseKey, "license");
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Acapela Group\\Acapela Multimedia");

// Acapela BabTTS
pChantTTS->SetNumberProperty(CNPEngineAPI, CEBABTTS);
// Set license instead of linking bundle
pChantTTS->SetStringProperty(CSPVoiceLicenseKey, L"license");
pChantTTS->SetStringProperty(CSPEnginePath, L"C:\\Program Files\\Acapela Group\\Acapela Multimedia");

// Acapela BabTTS
pChantTTS->SetNumberProperty(CNPEngineAPI, CEBABTTS);
// Set license instead of linking bundle
pChantTTS->SetStringProperty(CSPVoiceLicenseKey, "license");
pChantTTS->SetStringProperty(CSPEnginePath, "C:\\Program Files\\Acapela Group\\Acapela Multimedia");

// Acapela BabTTS
ChantTTS1.SetNumberProperty(CNPEngineAPI, CEBABTTS);
// Set license instead of linking bundle
ChantTTS1.SetStringProperty(CSPVoiceLicenseKey, 'license');
ChantTTS1.SetStringProperty(CSPEnginePath, 'C:\\Program Files\\Acapela Group\\Acapela Multimedia');

// Acapela BabTTS
JChantTTS1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEBABTTS);
// Set license instead of linking bundle
JChantTTS1.setStringProperty(ChantStringProperty.CSPVoiceLicenseKey, "license");
JChantTTS1.setStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Acapela Group\\Acapela Multimedia");

' Acapela BabTTS
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEBABTTS)
' Set license instead of linking bundle
NChantTTS1.SetStringProperty(ChantStringProperty.CSPVoiceLicenseKey, "license")
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\Program Files\Acapela Group\Acapela Multimedia")

Set the Acapela NSC TTS directory and file locations in the Chant Developer Workbench IDE as follows:

  1. select the View Options... menu item;
  2. select the Speech Synthesizers node under Environment;
  3. select the Acapela Multimedia node;
  4. click the open folders button (...) for Acapela to select an engine path;
  5. click the open folders button (...) for to select a language path (e.g., C:\Program Files\Acapela Group\WindowsMobile\\voices); and
  6. enter your license key value;
  7. enter address family value;
  8. enter server address value; and
  9. click the OK button to save your path.

Set the CNPEngineAPI, CSPVoiceLicenseKey, CSPEnginePath, CNPAddressFamily, and CSPSrvAddress properties after instantiating the Chant class object in your applications as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Acapela NSCTTS
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CENSCTTS);
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Acapela Group\\WindowsMobile");
NChantTTS1.SetStringProperty(ChantStringProperty.CSPVoiceLicenseKey, "license");
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPAddressFamily, 1);
NChantTTS1.SetStringProperty(ChantStringProperty.CSPSrvAddress, "127.0.0.1");

// Acapela NSCTTS
pChantTTS->SetNumberProperty(CNPEngineAPI, CENSCTTS);
pChantTTS->SetStringProperty(CSPEnginePath, L"C:\\Program Files\\Acapela Group\\WindowsMobile");
pChantTTS->SetStringProperty(CSPVoiceLicenseKey, L"license");
pChantTTS->SetNumberProperty(CNPAddressFamily, 1);
pChantTTS->SetStringProperty(CSPSrvAddress, L"127.0.0.1");

// Acapela NSCTTS
pChantTTS->SetNumberProperty(CNPEngineAPI, CENSCTTS);
pChantTTS->SetStringProperty(CSPEnginePath, "C:\\Program Files\\Acapela Group\\WindowsMobile");
pChantTTS->SetStringProperty(CSPVoiceLicenseKey, "license");
pChantTTS->SetNumberProperty(CNPAddressFamily, 1);
pChantTTS->SetStringProperty(CSPSrvAddress, "127.0.0.1");

// Acapela NSCTTS
ChantTTS1.SetNumberProperty(CNPEngineAPI, CENSCTTS);
ChantTTS1.SetStringProperty(CSPEnginePath, 'C:\\Program Files\\Acapela Group\\WindowsMobile');
ChantTTS1.SetStringProperty(CSPVoiceLicenseKey, 'license');
ChantTTS1.SetNumberProperty(CNPAddressFamily, 1);
ChantTTS1.SetStringProperty(CSPSrvAddress, '127.0.0.1');

// Acapela NSCTTS
JChantTTS1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CENSCTTS);
JChantTTS1.setStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Acapela Group\\WindowsMobile");
JChantTTS1.setStringProperty(ChantStringProperty.CSPVoiceLicenseKey, "license");
JChantTTS1.setNumberProperty(ChantNumberProperty.CNPAddressFamily, 1);
JChantTTS1.setStringProperty(ChantStringProperty.CSPSrvAddress, "127.0.0.1");

' Acapela NSCTTS
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CENSCTTS)
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\Program Files\Acapela Group\WindowsMobile")
NChantTTS1.SetStringProperty(ChantStringProperty.CSPVoiceLicenseKey, "license")
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPAddressFamily, 1)
NChantTTS1.SetStringProperty(ChantStringProperty.CSPSrvAddress, "127.0.0.1")

Cepstral (Win64 and Win32)

Cepstral synthesizers can be accessed via SAPI 5 or via their native SWIFT API that is a CDLL-based architecture. Once a Cepstral voice is installed, it is available for application use via SAPI 5.

For native SWIFT API access, the Chant classes attempt to load the swift.dll runtime library from Cepstral default installation C:\Program Files\Cepstral\bin (Win32 and Win64) directory. If the libraries fail to load, the Chant classes attempt to load the libraries from the current working directory.

Set the Cepstral directory and file locations in the Chant Developer Workbench IDE as follows:

  1. select the View Options... menu item;
  2. select the Speech Synthesizers node under Environment;
  3. select the Cepstral node;
  4. click the open folders button (...) for Cepstral to select a path; and
  5. click the OK button to save your path.

Set the CNPEngineAPI, CSPEnginePath, and applicable license properties after instantiating the Chant class object in your applications as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CESWIFTTTS);
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Cepstral\\bin");

pChantTTS->SetNumberProperty(CNPEngineAPI, CESWIFTTTS);
pChantTTS->SetStringProperty(CSPEnginePath, L"C:\\Program Files\\Cepstral\\bin");

pChantTTS->SetNumberProperty(CNPEngineAPI, CESWIFTTTS);
pChantTTS->SetStringProperty(CSPEnginePath, "C:\\Program Files\\Cepstral\\bin");

ChantTTS1.SetNumberProperty(CNPEngineAPI, CESWIFTTTS);
ChantTTS1.SetStringProperty(CSPEnginePath, 'C:\\Program Files\\Cepstral\\bin');

JChantTTS1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CESWIFTTTS);
JChantTTS1.setStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Cepstral\\bin");

NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CESWIFTTTS)
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\Program Files\Cepstral\bin")

CereProc CereVoice (Win64 and Win32)

CereProc synthesizers can be accessed via SAPI 5 or via their native CereVoice API that is a CDLL-based architecture.

For native CereVoice API access, the Chant classes attempt to load the runtime library, voice files, and license from the current working directory if paths are not specified.

Set the CereProc directory and file locations in the Chant Developer Workbench IDE as follows:

  1. select the View Options... menu item;
  2. select the Speech Synthesizers node under Environment;
  3. select the CereProc node;
  4. click the open folders button (...) for CereProc to select a path;
  5. enter your license key values; and
  6. click the OK button to save your path.

Set the CNPEngineAPI, CSPEnginePath, CSPLanguagePath, and CSPVoiceLicenseKey after instantiating the Chant class object in your applications as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CECereVoice);
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\CereProc");
NChantTTS1.SetStringProperty(ChantStringProperty.CSPLanguagePath, "C:\\Program Files\\CereProc\\cerevoice_katherine_3.0.9_22k");
NChantTTS1.SetStringProperty(ChantStringProperty.CSPVoiceLicenseKey, "C:\\Program Files\\CereProc\\license.lic");

pChantTTS->SetNumberProperty(CNPEngineAPI, CECereVoice);
pChantTTS->SetStringProperty(CSPEnginePath, L"C:\\Program Files\\CereProc");
pChantTTS->SetStringProperty(CSPLanguagePath, L"C:\\Program Files\\CereProc\\cerevoice_katherine_3.0.9_22k");
pChantTTS->SetStringProperty(CSPVoiceLicenseKey, L"C:\\Program Files\\CereProc\\license.lic");

pChantTTS->SetNumberProperty(CNPEngineAPI, CECereVoice);
pChantTTS->SetStringProperty(CSPEnginePath, L"C:\\Program Files\\CereProc");
pChantTTS->SetStringProperty(CSPLanguagePath, L"C:\\Program Files\\CereProc\\cerevoice_katherine_3.0.9_22k");
pChantTTS->SetStringProperty(CSPVoiceLicenseKey, L"C:\\Program Files\\CereProc\\license.lic");

ChantTTS1.SetNumberProperty(CNPEngineAPI, CECereVoice);
ChantTTS1.SetStringProperty(CSPEnginePath, 'C:\\Program Files\\CereProc');
ChantTTS1.SetStringProperty(CSPLanguagePath, 'C:\\Program Files\\CereProc\\cerevoice_katherine_3.0.9_22k');
ChantTTS1.SetStringProperty(CSPVoiceLicenseKey, 'C:\\Program Files\\CereProc\\license.lic');

JChantTTS1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CECereVoice);
JChantTTS1.setStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\CereProc");
JChantTTS1.setStringProperty(ChantStringProperty.CSPLanguagePath, "C:\\Program Files\\CereProc\\cerevoice_katherine_3.0.9_22k");
JChantTTS1.setStringProperty(ChantStringProperty.CSPVoiceLicenseKey, "C:\\Program Files\\CereProc\\license.lic");

NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CECereVoice)
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\Program Files\CereProc")
NChantTTS1.SetStringProperty(ChantStringProperty.CSPLanguagePath, "C:\Program Files\CereProc\cerevoice_katherine_3.0.9_22k")
NChantTTS1.SetStringProperty(ChantStringProperty.CSPVoiceLicenseKey, "C:\Program Files\CereProc\license.lic")

Ensure your application has access to the applicable runtime libraries as follows:

  • libcerehts_shared-3.dll
  • libcerevoice_eng_shared-3.dll
  • libcerevoice_pmod_shared-3.dll
  • libcerevoice_shared-3.dll
  • libgcc_s_sjlj-1.dll
  • libstdc++-6.dll

Dragon NaturallySpeaking (Win64 and Win32)

Once Dragon NaturallySpeaking is installed and at least one speaker trained, then no additional installation steps are required.

Microsoft SAPI (Win64 and Win32)

If you are developing on Microsoft Windows 10, 8, or 7 and plan to use the Microsoft recognizer and synthesizer, then no additional installation steps are required. Microsoft SAPI is preinstalled.

Microsoft Speech Platform (Win64 and Win32)

If you are developing on Microsoft Windows 10, 8, or 7 and plan to use the Microsoft Speech Platform, then you need to install the runtime, recognizers, and/or synthesizer.

All current Microsoft Speech Platform versions are supported: v10.0, v10.1, v10.2 and v11.0. Only one version may be installed at a time. The runtimes, recognizers, and voices can be downloaded from Microsoft.

Microsoft Universal Windows Platform (UWP)

If you are developing Universal Windows Platform (UWP) applications on Microsoft Windows 10, then no additional installation steps are required. Microsoft Windows Media is preinstalled.

Nuance RealSpeak Solo (Win32)

RealSpeak Solo synthesizers can be accessed via SAPI 5 or via their native API that is a CDLL-based architecture. Once a RealSpeak Solo voice is installed, it is available for application use via SAPI 5.

For native API access, the Chant classes attempt to load the API libraries from the current working directory.

Set the RealSpeak Solo directory and file locations in the Chant Developer Workbench IDE as follows:

  1. select the View Options... menu item;
  2. select the Speech Synthesizers node under Environment;
  3. select the Nuance RealSpeak Solo node;
  4. click the open folders button (...) for Nuance RealSpeak Solo to select a path; and
  5. click the OK button to save your path.

Set the CNPEngineAPI and CSPEnginePath properties after instantiating the Chant class object in your applications as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CERSSOLOTTS);
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Scansoft\\RealSpeakSolov4\\");

pChantTTS->SetNumberProperty(CNPEngineAPI, CERSSOLOTTS);
pChantTTS->SetStringProperty(CSPEnginePath, L"C:\\Program Files\\Scansoft\\RealSpeakSolov4\\");

pChantTTS->SetNumberProperty(CNPEngineAPI, CERSSOLOTTS);
pChantTTS->SetStringProperty(CSPEnginePath, "C:\\Program Files\\Scansoft\\RealSpeakSolov4\\");

ChantTTS1.SetNumberProperty(CNPEngineAPI, CERSSOLOTTS);
ChantTTS1.SetStringProperty(CSPEnginePath, 'C:\\Program Files\\Scansoft\\RealSpeakSolov4\\speech\\components\\common');

JChantTTS1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CERSSOLOTTS);
JChantTTS1.setStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Scansoft\\RealSpeakSolov4\\");

NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CERSSOLOTTS)
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\Program Files\Scansoft\RealSpeakSolov4\")

Ensure your application has access to the applicable runtime libraries as follows:

  • rsoloapi.dll
  • combrk.dll
  • comrsrc.dll

Nuance Vocalizer (Win64 and Win32)

Nuance Vocalizer (Automotive, Expressive, Mobile, Network) synthesizers can be accessed via their native API that is a CDLL-based architecture. Once a Vocalizer voice is installed, it is available for application use via native API access.

For native API access, the Chant classes attempt to load the API libraries from the common\speech\components folder within the current working directory. For Nuance Vocalizer Network, copy all client DLLs and runtime files to the Chant Developer Workbench directory (e.g., C:\Program Files\Chant\Developer Workbench 2016\Win32).

Set the Vocalizer directory and file locations in the Chant Developer Workbench IDE as follows:

  1. select the View Options... menu item;
  2. select the Speech Synthesizers node under Environment;
  3. select the Nuance Vocalizer node;
  4. click the open folders button (...) for Nuance Vocalizer Automotive and/or Mobile to select an engine path (e.g., C:\Program Files\Nuance\Vocalizer for Automotive v5\common\speech\components);
  5. optionally, click the open folders button (...) for Nuance Vocalizer Automotive and/or Mobile to select a language path (e.g., C:\Program Files\Nuance\Vocalizer for Automotive v5\languages); and
  6. click the OK button to save your path.

Set the CNPEngineAPI, CSPEnginePath, and CSPLanguagePath properties after instantiating the Chant class object in your applications as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Nuance Vocalizer Automotive TTS
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CEVAUTO);
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Nuance\\Vocalizer for Automotive v5\\");
NChantTTS1.SetStringProperty(ChantStringProperty.CSPLanguagePath, "C:\\Program Files\\Nuance\\Vocalizer for Automotive v5\\languages");

// Nuance Vocalizer Expressive TTS
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CEVExpressive);
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Nuance\\Vocalizer Expressive\\");

// Nuance Vocalizer Mobile TTS
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CEVMOBILE);
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Nuance\\Vocalizer for Mobile V5\\");
NChantTTS1.SetStringProperty(ChantStringProperty.CSPLanguagePath, "C:\\Program Files\\Nuance\\Vocalizer for Mobile V5\\languages");

// Nuance Vocalizer Network TTS
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CEVNETWORK);
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Nuance\\Nuance Vocalizer for Network 5.0\\");

// Nuance Vocalizer Automotive TTS
pChantTTS->SetNumberProperty(CNPEngineAPI, CEVAUTO);
pChantTTS->SetStringProperty(CSPEnginePath, L"C:\\Program Files\\Nuance\\Vocalizer for Automotive v5\\");
pChantTTS->SetStringProperty(CSPLanguagePath, L"C:\\Program Files\\Nuance\\Vocalizer for Automotive v5\\languages");

// Nuance Vocalizer Expressive TTS
pChantTTS->SetNumberProperty(CNPEngineAPI, CEVExpressive);
pChantTTS->SetStringProperty(CSPEnginePath, L"C:\\Program Files\\Nuance\\Vocalizer Expressive\\");

// Nuance Vocalizer Mobile TTS
pChantTTS->SetNumberProperty(CNPEngineAPI, CEVMOBILE);
pChantTTS->SetStringProperty(CSPEnginePath, L"C:\\Program Files\\Nuance\\Vocalizer for Mobile V5\\");
pChantTTS->SetStringProperty(CSPLanguagePath, L"C:\\Program Files\\Nuance\\Vocalizer for Mobile V5\\languages");

// Nuance Vocalizer Network TTS
pChantTTS->SetNumberProperty(CNPEngineAPI, CEVNETWORK);
pChantTTS->SetStringProperty(CSPEnginePath, L"C:\\Program Files\\Nuance\\Nuance Vocalizer for Network 5.0\\");

// Nuance Vocalizer Automotive TTS
pChantTTS->SetNumberProperty(CNPEngineAPI, CEVAUTO);
pChantTTS->SetStringProperty(CSPEnginePath, "C:\\Program Files\\Nuance\\Vocalizer for Automotive v5\\");
pChantTTS->SetStringProperty(CSPLanguagePath, "C:\\Program Files\\Nuance\\Vocalizer for Automotive v5\\languages");

// Nuance Vocalizer Expressive TTS
pChantTTS->SetNumberProperty(CNPEngineAPI, CEVExpressive);
pChantTTS->SetStringProperty(CSPEnginePath, "C:\\Program Files\\Nuance\\Vocalizer Expressive\\");

// Nuance Vocalizer Mobile TTS
pChantTTS->SetNumberProperty(CNPEngineAPI, CEVMOBILE);
pChantTTS->SetStringProperty(CSPEnginePath, "C:\\Program Files\\Nuance\\Vocalizer for Mobile V5\\");
pChantTTS->SetStringProperty(CSPLanguagePath, "C:\\Program Files\\Nuance\\Vocalizer for Mobile V5\\languages");

// Nuance Vocalizer Network TTS
pChantTTS->SetNumberProperty(CNPEngineAPI, CEVNETWORK);
pChantTTS->SetStringProperty(CSPEnginePath, "C:\\Program Files\\Nuance\\Nuance Vocalizer for Network 5.0\\");

// Nuance Vocalizer Automotive TTS
ChantTTS1.SetNumberProperty(CNPEngineAPI, CEVAUTO);
ChantTTS1.SetStringProperty(CSPEnginePath, 'C:\\Program Files\\Nuance\\Vocalizer for Automotive v5\\');
ChantTTS1.SetStringProperty(CSPLanguagePath, 'C:\\Program Files\\Nuance\\Vocalizer for Automotive v5\\languages');

// Nuance Vocalizer Expressive TTS
ChantTTS1.SetNumberProperty(CNPEngineAPI, CEVExpressive);
ChantTTS1.SetStringProperty(CSPEnginePath, 'C:\\Program Files\\Nuance\\Vocalizer Expressive\\');

// Nuance Vocalizer Mobile TTS
ChantTTS1.SetNumberProperty(CNPEngineAPI, CEVMOBILE);
ChantTTS1.SetStringProperty(CSPEnginePath, 'C:\\Program Files\\Nuance\\Vocalizer for Mobile V5\\');
ChantTTS1.SetStringProperty(CSPLanguagePath, 'C:\\Program Files\\Nuance\\Vocalizer for Mobile V5\\languages');

// Nuance Vocalizer Network TTS
ChantTTS1.SetNumberProperty(CNPEngineAPI, CEVNETWORK);
ChantTTS1.SetStringProperty(CSPEnginePath, 'C:\\Program Files\\Nuance\\Nuance Vocalizer for Network 5.0\\');

// Nuance Vocalizer Automotive TTS
JChantTTS1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVAUTO);
JChantTTS1.setStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Nuance\\Vocalizer for Automotive v5\\");
JChantTTS1.setStringProperty(ChantStringProperty.CSPLanguagePath, "C:\\Program Files\\Nuance\\Vocalizer for Automotive v5\\languages");

// Nuance Vocalizer Expressive TTS
JChantTTS1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVExpressive);
JChantTTS1.setStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Nuance\\Vocalizer Expressive\\");

// Nuance Vocalizer Mobile TTS
JChantTTS1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVMOBILE);
JChantTTS1.setStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Nuance\\Vocalizer for Mobile V5\\");
JChantTTS1.setStringProperty(ChantStringProperty.CSPLanguagePath, "C:\\Program Files\\Nuance\\Vocalizer for Mobile V5\\languages");

// Nuance Vocalizer Network TTS
JChantTTS1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVNETWORK);
JChantTTS1.setStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Nuance\\Nuance Vocalizer for Network 5.0\\");

' Nuance Vocalizer Automotive TTS
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVAUTO)
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\Program Files\Nuance\Vocalizer for Automotive v5\")
NChantTTS1.SetStringProperty(ChantStringProperty.CSPLanguagePath, "C:\Program Files\Nuance\Vocalizer for Automotive v5\languages")

' Nuance Vocalizer Expressive TTS
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVExpressive)
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\Program Files\Nuance\Vocalizer Expressive\")

' Nuance Vocalizer Mobile TTS
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVMOBILE)
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\Program Files\Nuance\Vocalizer for Mobile V5\")
NChantTTS1.SetStringProperty(ChantStringProperty.CSPLanguagePath, "C:\Program Files\Nuance\Vocalizer for Mobile V5\languages")

' Nuance Vocalizer Network TTS
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVNETWORK)
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\Program Files\Nuance\Nuance Vocalizer for Network 5.0\")

Ensure your application has access to the applicable runtime libraries.

Vocalizer Automotive (Win32) runtime libraries:

  • vautov5.dll

Vocalizer Expressive (Win64 and Win32) runtime libraries:

  • ve.dll

Vocalizer Mobile (Win32) runtime libraries:

  • vmobilev5_api.dll
  • vmobilev5_common.dll

Vocalizer Network (Win64 and Win32) runtime libraries:

  • lhstts.dll
  • vnetworkv5_bet1.dll
  • vnetworkv5_common.dll
  • vnetworkv5_engine.dll
  • vnetworkv5_fe.dll

Nuance VoCon 3200 (Win32)

The VoCon 3200 recognizer API is a CDLL-based architecture. The Chant classes attempt to load the API libraries from the current working directory. VoCon V2, V3, and V4 are different APIs and load different libraries.

Set the VoCon directory and file locations in the Chant Developer Workbench IDE as follows:

  1. select the View Options... menu item;
  2. select the Speech Recognizers node under Environment;
  3. select the Nuance VoCon 3200 node;
  4. click the open file button (...) for Nuance VoCon 3200 (V2, V3, V4) to select an acoustic model file;
  5. click the open file button (...) for Nuance VoCon 3200 (V3, V4) to select the CLC model file; or click the open file button (...) for Nuance VoCon 3200 (V3, V4) to select the DDG2P acoustic model file;
  6. click the open folders button (...) for Nuance VoCon 3200 (V2, V3, V4) to select an engine path; and
  7. click the OK button to save your paths.

Set the CNPEngineAPI and CSPEnginePath properties after instantiating the Chant class object in your applications. Application must also select an accoustic model file and either a common linguistic component or data driven G2P component model file as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Nuance VoCon 3200 V2 Reco
NChantSR1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CEVoCon2);
NChantSR1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v2_6\\bin\\winx86rls_utf16");
NChantSR1.SetStringProperty(ChantStringProperty.CSPAcousticModel, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v2_6\\models\\acmod3200_car_enu_f16_compact_lew2.dat");

// Nuance VoCon 3200 V3 Reco
NChantSR1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CEVoCon3);
NChantSR1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\bin\\winx86rls");
// Set the models to the ones you used to compile grammars
NChantSR1.SetStringProperty(ChantStringProperty.CSPAcousticModel, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\acmod3_800_enu_gen_car_f16_v3_1_0.dat");
// Set either the common linguistic component or data driven G2P model files
NChantSR1.SetStringProperty(ChantStringProperty.CSPCLCModel, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\clc_enu_cfg3_v1_0_0.dat");
NChantSR1.SetStringProperty(ChantStringProperty.CSPDDG2PModel, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\ddg2p_enu_vadvde_ttsasr_large_v2_1_3.dat");

// Nuance VoCon 3200 V4 Reco
NChantSR1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CEVoCon4);
NChantSR1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\bin\\winx86rls");
// Set the models to the ones you used to compile grammars
NChantSR1.SetStringProperty(ChantStringProperty.CSPAcousticModel, "C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\acmod4_900_enu_gen_car_f16_v1_0_0.dat");
// Set either the common linguistic component or data driven G2P model files
NChantSR1.SetStringProperty(ChantStringProperty.CSPCLCModel, "C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\clc_enu_cfg3_v1_0_7.dat");
NChantSR1.SetStringProperty(ChantStringProperty.CSPDDG2PModel, "C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\ddg2p_enu_vadvde_ttsasr_large_v2_1_3.dat");

// Nuance VoCon 3200 V2 Reco
pChantSR->SetNumberProperty(CNPEngineAPI, CEVoCon2);
pChantSR->SetStringProperty(CSPEnginePath, L"C:\\Program Files\\Nuance\\vocon3200\\EDS_v2_6\\bin\\winx86rls_utf16");
pChantSR->SetStringProperty(CSPAcousticModel, L"C:\\Program Files\\Nuance\\vocon3200\\EDS_v2_6\\models\\acmod3200_car_enu_f16_compact_lew2.dat");

// Nuance VoCon 3200 V3 Reco
pChantSR->SetNumberProperty(CNPEngineAPI, CEVoCon3);
pChantSR->SetStringProperty(CSPEnginePath, L"C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\bin\\winx86rls");
// Set the models to the ones you used to compile grammars
pChantSR->SetStringProperty(CSPAcousticModel, L"C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\acmod3_800_enu_gen_car_f16_v3_1_0.dat");
// Set either the common linguistic component or data driven G2P model files
pChantSR->SetStringProperty(CSPCLCModel, L"C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\clc_enu_cfg3_v1_0_0.dat");
pChantSR->SetStringProperty(CSPDDG2PModel, L"C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\ddg2p_enu_vadvde_ttsasr_large_v2_1_3.dat");

// Nuance VoCon 3200 V4 Reco
pChantSR->SetNumberProperty(CNPEngineAPI, CEVoCon4);
pChantSR->SetStringProperty(CSPEnginePath, L"C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\bin\\winx86rls");
// Set the acoustic model
pChantSR->SetStringProperty(CSPAcousticModel, L"C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\acmod4_900_enu_gen_car_f16_v1_0_0.dat");
// Set either the common linguistic component or data driven G2P model files
pChantSR->SetStringProperty(CSPCLCModel, L"C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\clc_enu_cfg3_v1_0_7.dat");
pChantSR->SetStringProperty(CSPDDG2PModel, L"C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\ddg2p_enu_vadvde_ttsasr_large_v2_1_3.dat");

// Nuance VoCon 3200 V2 Reco
pChantSR->SetNumberProperty(CNPEngineAPI, CEVoCon2);
pChantSR->SetStringProperty(CSPEnginePath, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v2_6\\bin\\winx86rls_utf16");
pChantSR->SetStringProperty(CSPAcousticModel, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v2_6\\models\\acmod3200_car_enu_f16_compact_lew2.dat");

// Nuance VoCon 3200 V3 Reco
pChantSR->SetNumberProperty(CNPEngineAPI, CEVoCon3);
pChantSR->SetStringProperty(CSPEnginePath, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\bin\\winx86rls");
// Set the models to the ones you used to compile grammars
pChantSR->SetStringProperty(CSPAcousticModel, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\acmod3_800_enu_gen_car_f16_v3_1_0.dat");
// Set either the common linguistic component or data driven G2P model files
pChantSR->SetStringProperty(CSPCLCModel, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\clc_enu_cfg3_v1_0_0.dat");
pChantSR->SetStringProperty(CSPDDG2PModel, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\ddg2p_enu_vadvde_ttsasr_large_v2_1_3.dat");

// Nuance VoCon 3200 V4 Reco
pChantSR->SetNumberProperty(CNPEngineAPI, CEVoCon4);
pChantSR->SetStringProperty(CSPEnginePath, "C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\bin\\winx86rls");
// Set the acoustic model
pChantSR->SetStringProperty(CSPAcousticModel, "C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\acmod4_900_enu_gen_car_f16_v1_0_0.dat");
// Set either the common linguistic component or data driven G2P model files
pChantSR->SetStringProperty(CSPCLCModel, "C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\clc_enu_cfg3_v1_0_7.dat");
pChantSR->SetStringProperty(CSPDDG2PModel, "C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\ddg2p_enu_vadvde_ttsasr_large_v2_1_3.dat");

// Nuance VoCon 3200 V2 Reco
ChantSR1.SetNumberProperty(CNPEngineAPI, CEVoCon2);
ChantSR1.SetStringProperty(CSPEnginePath, 'C:\\Program Files\\Nuance\\vocon3200\\EDS_v2_6\\bin\\winx86rls_utf16');
ChantSR1.SetStringProperty(CSPAcousticModel, 'C:\\Program Files\\Nuance\\vocon3200\\EDS_v2_6\\models\\acmod3200_car_enu_f16_compact_lew2.dat');

// Nuance VoCon 3200 V3 Reco
ChantSR1.SetNumberProperty(CNPEngineAPI, CEVoCon3);
ChantSR1.SetStringProperty(CSPEnginePath, 'C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\bin\\winx86rls');
// Set the models to the ones you used to compile grammars
ChantSR1.SetStringProperty(CSPAcousticModel, 'C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\acmod3_800_enu_gen_car_f16_v3_1_0.dat');
// Set either the common linguistic component or data driven G2P model files
ChantSR1.SetStringProperty(CSPCLCModel, 'C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\clc_enu_cfg3_v1_0_0.dat');
ChantSR1.SetStringProperty(CSPDDG2PModel, 'C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\ddg2p_enu_vadvde_ttsasr_large_v2_1_3.dat');

// Nuance VoCon 3200 V4 Reco
ChantSR1.SetNumberProperty(CNPEngineAPI, CEVoCon4);
ChantSR1.SetStringProperty(CSPEnginePath, 'C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\bin\\winx86rls');
// Set the acoustic model
ChantSR1.SetStringProperty(CSPAcousticModel, 'C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\acmod4_900_enu_gen_car_f16_v1_0_0.dat');
// Set either the common linguistic component or data driven G2P model files
ChantSR1.SetStringProperty(CSPCLCModel, 'C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\clc_enu_cfg3_v1_0_7.dat');
ChantSR1.SetStringProperty(CSPDDG2PModel, 'C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\ddg2p_enu_vadvde_ttsasr_large_v2_1_3.dat');

// Nuance VoCon 3200 V2 Reco
JChantSR1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVoCon2);
JChantSR1.setStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v2_6\\bin\\winx86rls_utf16");
JChantSR1.setStringProperty(ChantStringProperty.CSPAcousticModel, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v2_6\\models\\acmod3200_car_enu_f16_compact_lew2.dat");

// Nuance VoCon 3200 V3 Reco
JChantSR1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVoCon3);
JChantSR1.setStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\bin\\winx86rls");
// Set the models to the ones you used to compile grammars
JChantSR1.setStringProperty(ChantStringProperty.CSPAcousticModel, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\acmod3_800_enu_gen_car_f16_v3_1_0.dat");
// Set either the common linguistic component or data driven G2P model files
JChantSR1.setStringProperty(ChantStringProperty.CSPCLCModel, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\clc_enu_cfg3_v1_0_0.dat");
JChantSR1.setStringProperty(ChantStringProperty.CSPDDG2PModel, "C:\\Program Files\\Nuance\\vocon3200\\EDS_v3_4\\models\\ddg2p_enu_vadvde_ttsasr_large_v2_1_3.dat");

// Nuance VoCon 3200 V4 Reco
JChantSR1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVoCon4);
JChantSR1.setStringProperty(ChantStringProperty.CSPEnginePath, "C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\bin\\winx86rls");
// Set the acoustic model
JChantSR1.setStringProperty(ChantStringProperty.CSPAcousticModel, "C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\acmod4_900_enu_gen_car_f16_v1_0_0.dat");
// Set either the common linguistic component or data driven G2P model files
JChantSR1.setStringProperty(ChantStringProperty.CSPCLCModel, "C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\clc_enu_cfg3_v1_0_7.dat");
JChantSR1.setStringProperty(ChantStringProperty.CSPDDG2PModel, "C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\ddg2p_enu_vadvde_ttsasr_large_v2_1_3.dat");

' Nuance VoCon 3200 V2 Reco
NChantSR1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVoCon2)
NChantSR1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\Program Files\Nuance\vocon3200\EDS_v2_6\bin\winx86rls_utf16")
NChantSR1.SetStringProperty(ChantStringProperty.CSPAcousticModel, "C:\Program Files\Nuance\vocon3200\EDS_v2_6\models\acmod3200_car_enu_f16_compact_lew2.dat")

' Nuance VoCon 3200 V3 Reco
NChantSR1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVoCon3)
NChantSR1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\Program Files\Nuance\vocon3200\EDS_v3_4\bin\winx86rls")
' Set the models to the ones you used to compile grammars
NChantSR1.SetStringProperty(ChantStringProperty.CSPAcousticModel, "C:\Program Files\Nuance\vocon3200\EDS_v3_4\models\acmod3_800_enu_gen_car_f16_v3_1_0.dat")
' Set either the common linguistic component or data driven G2P model files
NChantSR1.SetStringProperty(ChantStringProperty.CSPCLCModel, "C:\Program Files\Nuance\vocon3200\EDS_v3_4\models\clc_enu_cfg3_v1_0_0.dat")
NChantSR1.SetStringProperty(ChantStringProperty.CSPDDG2PModel, "C:\Program Files\Nuance\vocon3200\EDS_v3_4\models\ddg2p_enu_vadvde_ttsasr_large_v2_1_3.dat")

' Nuance VoCon 3200 V4 Reco
NChantSR1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVoCon4)
NChantSR1.SetStringProperty(ChantStringProperty.CSPEnginePath, "C:\Nuance\VoCon Hybrid\SDK_v4_3\bin\winx86rls")
' Set the acoustic model
NChantSR1.SetStringProperty(ChantStringProperty.CSPAcousticModel, "C:\Nuance\VoCon Hybrid\SDK_v4_3\models\acmod4_900_enu_gen_car_f16_v1_0_0.dat")
' Set either the common linguistic component or data driven G2P model files
NChantSR1.SetStringProperty(ChantStringProperty.CSPCLCModel, "C:\Nuance\VoCon Hybrid\SDK_v4_3\models\clc_enu_cfg3_v1_0_7.dat")
NChantSR1.SetStringProperty(ChantStringProperty.CSPDDG2PModel, "C:\Nuance\VoCon Hybrid\SDK_v4_3\models\ddg2p_enu_vadvde_ttsasr_large_v2_1_3.dat")

Ensure your application has access to the applicable runtime libraries and models.

VoCon V2 runtime libraries and models:

  • audioin.dll
  • vocon3200api.dll
  • vocon3200g2penu.dll (applicable for your language)
  • vocon3200rsrc.dll
  • acmod3200_car_enu_f16_compact_lew2.dat (acoustic model applicable for your application and language)

VoCon V3 runtime libraries and models:

  • vocon3200_asr.dll
  • vocon3200_base.dll
  • vocon3200_g2p.dll (applicable for your language)
  • vocon3200_gram.dll
  • vocon3200_platform.dll
  • vocon3200_pron.dll
  • vocon_ext_audioin.dll
  • vocon_ext_heap.dll
  • vocon_ext_stream.dll
  • acmod3_800_enu_gen_car_f16_v2_0_2.dat (acoustic model applicable for your application and language)
  • clc_enu_cfg3_v1_0_0.dat (CLC model applicable for your application)
  • ddg2p_enu_vadvde_ttsasr_large_v2_1_3.dat (DDG2P applicable for your application)

VoCon V4 runtime libraries and models:

  • vocon3200_asr.dll
  • vocon3200_base.dll
  • vocon3200_g2p.dll (applicable for your language)
  • vocon3200_gram.dll
  • vocon3200_gram2.dll
  • vocon3200_platform.dll
  • vocon3200_pron.dll
  • vocon_ext_audioin.dll
  • vocon_ext_heap.dll
  • vocon_ext_stream.dll
  • acmod3_800_enu_gen_car_f16_v2_0_2.dat (acoustic model applicable for your application and language)
  • clc_enu_cfg3_v1_0_0.dat (CLC model applicable for your application and language)
  • ddg2p_enu_vadvde_ttsasr_large_v2_1_3.dat (DDG2P applicable for your application and language)


Kinect for Windows Installation

Microsoft Kinect for Windows installation involves the following steps:

  • download the SDK or runtime from Microsoft,
  • install the SDK or runtime to gain access to the Natural User Interface API (NAPI), and
  • plug the Microsoft Kinect for XBox One sensor into a USB port using the Microsoft Kinect Adapter for Windows.

Once you have installed Microsoft Kinect for Windows, you may compile and run the sample KinesicsKit applications and develop your own KinesicsKit applications.


Microphone Installation

For speech recognition, ensure your microphone headset is installed and configured properly. To install the microphone headset, perform the following steps:

  1. For an analog microphone, insert the headset microphone plug into the microphone-input jack on your computer.
  2. Optionally insert the speaker plug into the sound out jack. You may already have speakers plugged into this jack. You must choose whether you want computer sounds to be amplified through your speakers or through your headset earphone.
  3. For USB microphone, insert the headset cable into an available USB connector on your computer.

Refer to the instructions included with your microphone headset for illustrations and tips about installation.

You need to test the microphone and speaker volumes in your environment. For Win32 and Win64 platforms using Microsoft SAPI, go to your control panel folder and invoke the Speech control panel application. Click on Configure Microphone. This will launch the microphone setup wizard. For Win32 and Win64 platforms using other vendor recognizers, launch the microphone setup wizards provided by those vendors.


Interactive Development Environment

Chant Developer Workbench provides a comprehensive development and testing environment for working with speech technology and natural user interface technology that features:

  • Multi-document, interactive, customizable environment;
  • Powerful editor with color-coded formatting, IntelliPrompt, optional outlining, optional line numbers, undo-redo, word wrap, and find/replace;
  • Resource browsers for testing; and
  • Event tracing.

Chant Developer Workbench 2016

The tabbed-document interface provides for fast switching among multiple documents and browsers.

The editing environment is designed to accelerate speech technology grammar and markup development with built-in syntax checking and prompting.

The multi-docked windows layout is configurable to yield productivity for various development and testing scenarios.

Toolbars can be easily customized to display the facilities most often used.

Window layout and toolbar settings are persisted across executions.

For more information about the interactive environment, review the following topics:

  • Windows and Views,
  • Menus, and
  • Toolbars.


Windows and Views

The Chant Developer Workbench IDE consists of the following windows:

  • Document,
  • Error List,
  • Events,
  • Find Results,
  • Output,
  • Properties,
  • Lexicon Pronunciation,
  • Lexicon Shortcut,
  • Profile Training,
  • Speech Recognition, and
  • Speech Synthesis.

Document

The Document window provides editing views for grammars, lexicons, and TTS markup and enumeration views for profiles, audio devices, recognizers, and synthesizers. More than one document window may be open at a time and they may be displayed in tabbed or multiple document layout.

To select the document window, click on the document tab or select from the Window menu items.

Error List

The Error List window provides a table of compiler errors.

Events

The Events window provides a system transcript of all the callback events fired when invoking command line and document window functions.

Find Results

The Find Results window provides a summary of the search and list of matching lines.

Output

The Output window provides a transcript of results from grammar compilation, recognition results, and command line invocations.

Properties

The Properties window displays property values for profiles, audio devices, recognizers, and synthesizers.

Lexicon Pronunciation

The Lexicon Pronunciation window provides tools for generating, editing, adding, and deleting pronunciations.

Lexicon Shortcut

The Lexicon Shortcut window provides tools for adding and deleting lexicon shortcuts.

Profile Training

The Profile Training window provides the tools for launching speaker profile training.

Speech Recognition

The Speech Recognition window provides the tools for transcribing speech from live and recorded audio.

Speech Synthesis

The Speech Synthesis window provides the tools for synthesizing speech.


Menus

The Chant Developer Workbench IDE provides the following menus:

  • File,
  • Edit,
  • View,
  • Speech,
  • Movement,
  • Window, and
  • Help.

Collapse/Expand Menu section File menu

The File menu provides functions for file management.

Menu Item | Accelerator | Description
New... | Ctrl+N | Creates an empty document of the file type selected.
Open... | Ctrl+O | Opens an existing file for editing or opens a speech object enumerator.
Close |  | Closes the document. If you modified the contents of the document, you are prompted to save the changes.
Save | Ctrl+S | Saves the current document to a file.
Save As... |  | Saves the current document to a different file name and/or a different location on your computer or local network.
Save All |  | Saves all open documents.
Page Setup... |  | Sets margins, paper source, paper size, page orientation, and other layout options for printing the window contents.
Print... | Ctrl+P | Prints the document contents.
Recent Files |  | Lists the files you have most recently opened. To quickly reopen one of these files, select it.
Exit |  | Closes Chant Developer Workbench after prompting you to save any unsaved files.

Collapse/Expand Menu section Edit menu

The Edit menu provides functions for document editing.

Menu Item | Accelerator | Description
Undo | Ctrl+Z | Reverses the last command or deletes the last entry you typed.
Redo | Ctrl+Y | Reverses the action of the last Undo command.
Cut | Ctrl+X | Removes the selected text from the window and moves it to the clipboard, replacing the clipboard's current contents.
Copy | Ctrl+C | Copies the selected text from the window and moves it to the clipboard, replacing the clipboard's current contents.
Paste | Ctrl+V | Inserts the contents of the Clipboard at the insertion point. If there is currently selected text, it is overwritten.
Delete | Del | Permanently removes selected text from the window. Text is not placed on the Clipboard.
Select All | Ctrl+A | Selects all the contents in the window.
Find and Replace |  | Selects advanced document editing features.
Quick Find | Ctrl+F | Finds the specified text within the current document.
Quick Replace | Ctrl+H | Replaces specific text with different text within the current document.
Find in Files | Ctrl+Shift+F | Finds the specified text across multiple documents.
Replace in Files | Ctrl+Shift+H | Replaces specific text with different text across multiple documents.
GoTo... | Ctrl+G | Jumps to a specific line in the document.
Advanced |  | Selects advanced document editing features.
Format Document | Ctrl+K, Ctrl+D | Adjusts line indentation for the entire document.
Format Selection | Ctrl+K, Ctrl+F | Adjusts line indentation for the selected line(s).
Tabify Selected Lines |  | Converts spaces to tab characters for the selected line(s).
Untabify Selected Lines |  | Converts tab characters to spaces for the selected line(s).
Make Upper Case | Ctrl+Shift+U | Converts the current text select to upper case.
Make Lower Case | Ctrl+U | Converts the current text select to lower case.
Delete Horizontal Whitespace | Ctrl+K, Ctrl+\ | Deletes whitespace characters from the current line(s).
Word Wrap | Ctrl+E, Ctrl+W | Toggles word wrap for languages that support multi-line declarations.
Incremental Search | Ctrl+I | Finds the next match in the search.
Comment Selection | Ctrl+K, Ctrl+C | Inserts comment characters to comment the current line for languages that support single line comments.
Uncomment Selection | Ctrl+K, Ctrl+U | Removes comment characters to uncomment the current line for languages that support single line comments.
Increase Line Indent |  | Inserts tab for the selected line(s).
Decrease Line Indent |  | Deletes tab for the selected line(s).

Bookmarks |  | Selects document bookmark options.
Toggle Bookmark | Ctrl+K, Ctrl+K | Bookmarks or un-bookmarks the current line in the document.
Previous Bookmark | Ctrl+K, Ctrl+P | Jumps to the previous bookmark.
Next Bookmark | Ctrl+K, Ctrl+N | Jumps to the next bookmark.
Clear Bookmarks | Ctrl+K, Ctrl+L | Removes all bookmarks.

Outlining |  | Selects document outlining options.
Toggle Outlining Expansion | Ctrl+M, Ctrl+M | Expands or collapses the current node in the outline.
Toggle All Outlining | Ctrl+M, Ctrl+L | Expands or collapes all nodes in the document.
Stop Outlining | Ctrl+M, Ctrl+P | Disables outlining and hides the visual cues.
Start Automatic Outlining |  | Enabbles outlining and shows the visual cues.

Collapse/Expand Menu section View menu

The View menu provides functions for showing and hiding toolbars.

Menu Item | Accelerator | Description
Audio Devices | Shows the audio devices browser.
Sensors | Shows the movement sensors browser.
Lexicons | Shows the lexicons browser.
Speaker Profiles | Shows the speech recognition profiles browser.
Speech Recognizers | Shows the speech recognizers browser.
Speech Synthesizers | Shows the speech synthesizers browser.
Error List | Shows the error list window.
Events | Shows the events window.
Find Results | Shows the find results window.
Output | Shows the output window.
Properties | Shows the properties window.
Lexicon Pronunciation | Shows the lexicon pronunciation window.
Lexicon Shortcut | Shows the lexicon shortcut window.
Profile Training | Shows the profile training window.
Speech Recognition | Shows the speech recognition window.
Speech Synthesis | Shows the speech synthesis window.
Other Windows |  | Shows other available windows.
Start Page |  | Shows the start page window.
Web Browser | Ctrl+Alt+R | Shows the web browser window.

Toolbars | Shows or hide toolbars and customize displayed buttons.
Engines | Shows or hide the Engines toolbar
Movement | Shows or hide the Movement toolbar
Speech | Shows or hide the Speech toolbar
Standard | Shows or hide the Standard toolbar
Text Editor | Shows or hide the Text Editor toolbar
Customize | Customizes which buttons appear on the toolbars
Navigate Backward | Ctrl+- | Navigates to the previous page in the web browser.
Navigate Forward | Ctrl+Shift+- | Navigates to the next page in the web browser.
Options... | Adjusts interactive environment settings.

Collapse/Expand Menu section Speech menu

The Speech menu provides functions specific to managing grammars, lexicons, profiles, recognizers, synthesizers, and TTS markup.

Menu Item | Accelerator | Description
Compile Grammar | Compiles the speech recognition grammar. Compiler messages are displayed in the Output window.
Activate Grammar | Enables a compiled grammar for testing.
Deactivate Grammar | Disables an activated grammar.
Generate Phonemes | Generates phonemes for the text selection in the document.
Edit Phonemes | Displays phoneme selection tool window for inserting phonemes directly into the document.
Create Lexicon | Creates a lexicon declaration for insertion into the document.
Delete Lexicon | Deletes a local lexicon resource.
Save Lexicon | Saves the updates to the lexicon.
Export Lexicon | Exports the lexicon word pronunciations to a binary file. If the file extension is .dat, the file is saved as binary only. If the file extension is .exe, the file is save as a self-extracting archive.
Create Profile | Creates a new speaker profile.
Train Profile | Trains a speaker profile.
Delete Profile | Deletes a speaker profile.
Playback Phonemes | Synthesizes the selected phonemes.
Playback Text | Synthesizes the selected text or the entire document.
Stop Playback | Stops the audio playback of the synthesized speech.
Pause Playback | Pauses the audio playback of the synthesized speech.
Resume Playback | Resumes the paused audio playback of the synthesized speech.
Validate VoiceXML | Validates a VoiceXML document. Compiler messages are displayed in the Output window.
Run Options | The VoiceXML document run options.
Reco Choices | Automatically voice-enable menu choices.
Reco Options | Automatically voice-enable form options.
ShowUI | Show interpreter dialog during execution.
Run VoiceXML | Opens a session with the VoiceXML interpreter and executes the document.
Stop VoiceXML | Stops the VoiceXML document execution and and closes the session with the interpreter.

Collapse/Expand Menu section Movement menu

The movement menu provides functions specific to managing movement sensors.

Menu Item | Accelerator | Description
Start Sensor |  | Starts capturing data from the movement sensor.
Stop Sensor |  | Stops capturing data from the movement sensor.

Collapse/Expand Menu section Window menu

The Window menu provides functions for arranging document windows.

Menu Item | Accelerator | Description
Float |  | Opens the selected window in a floating tool window container that may not be docked.
Dock |  | Sets the selected window so it may be docked.
Auto-Hide |  | Sets the selected window it it may be auto-hidden into the margin of the main window.
Hide |  | Hides the selected window. Use Reset Window Layout to unhide the window.
Auto-Hide All |  | Sets all windows to auto-hidden state
New Horizontal Tab Group |  | Splits the document view into horizontal groups.
New Vertical Tab Group |  | Splits the document view into vertical groups.
Close All Documents |  | Closes all open document windows.
Reset Window Layout |  | Applies the default window layout.
WindowList |  | Lists the open document windows. Select the desired window to activate it and bring it into foreground view.

Collapse/Expand Menu section Help menu

The Help menu provides functions for displaying help information.

Menu Item | Accelerator | Description
View Help | Ctrl+F1 | Opens the help file and selects the contents panel.
About Chant Developer Workbench |  | Displays the about dialog.


Toolbars

The Chant Developer Workbench IDE provides the following toolbars:

  • Standard,
  • Text Editor,
  • Engines,
  • Movement,
  • Speech, and
  • Status.

Collapse/Expand Toolbar section Standard Toolbar

The Standard toolbar provides functions for file management, document editing and viewing functions.

Button | Menu Item | Description
Navigate Backward | View - Navigate Backward | Navigates to the previous page in the web browser.
Navigate Forward | View - Navigate Forward | Navigates to the next page in the web browser.
New | File - New | Creates an empty document of the file type selected.
Open | File - Open | Opens an existing file for editing.
Save | File - Save | Saves the current document to a file.
Save All | File - SaveAll | Saves the current document to a different file name and/or a different location on your computer or local network.
Cut | Edit - Cut | Removes the selected text from the window and moves it to the clipboard, replacing the clipboard's current contents.
Copy | Edit - Copy | Copies the selected text from the window and moves it to the clipboard, replacing the clipboard's current contents.
Paste | Edit - Paste | Inserts the contents of the Clipboard at the insertion point. If there is currently selected text, it is overwritten.
Undo | Edit - Undo | Reverses the last command or deletes the last entry you typed.
Redo | Edit - Redo | Reverses the action of the last Undo command.
Start Page | View - Other Windows - Start Page | Shows the start page window.
Web Browser | View - Other Windows - Web Browser | Shows the web browser window.

Collapse/Expand Toolbar section Text Editor Toolbar

The Text Editor toolbar provides advanced functions for document editing.

Button | Menu Item | Description
Increase Indentation | Edit - Advanced - Increase Indentation | Inserts tab for the selected line(s).
Decrease Indentation | Edit - Advanced - Decrease Indentation | Deletes tab for the selected line(s).
Comment Selection | Edit - Advanced - Comment Selection | Inserts comment characters to comment the current line for languages that support single line comments.
Uncomment Selection | Edit - Advanced - Uncomment Selection | Removes comment characters to uncomment the current line for languages that support single line comments.
Toggle Bookmark | Edit - Bookmarks - Toggle Bookmark | Bookmarks or un-bookmarks the current line in the document.
Previous Bookmark | Edit - Bookmarks - Previous Bookmark | Jumps to the previous bookmark.
Next Bookmark | Edit - Bookmarks - Next Bookmark | Jumps to the next bookmark.
Clear Bookmark | Edit - Bookmarks - Clear Bookmarks | Removes all bookmarks.

Collapse/Expand Toolbar section Engines Toolbar

The Speech Engine toolbar enables speech recognizer and synthesizer selection.

Button | Menu Item | Description
Speech Recognizer |  | Displays a list of speech recognizers.
Speech Synthesizer |  | Displays a list of speech synthesizers.

Collapse/Expand Toolbar section Movement Toolbar

The Movement toolbar provides functions for managing movement.

Button | Menu Item | Description
Start Sensor | Sensors - Start Sensor | Enables the color, depth, and skeleton streams for the selected sensor.
Stop Sensor | Sensors - Stop Sensor | Disables the color, depth, and skeleton streams for the selected sensor.

Collapse/Expand Toolbar section Speech Toolbar

The Speech toolbar provides functions for managing grammars, lexicons, profiles, recognizers, synthesizers, and TTS markup.

Button | Menu Item | Description
Compiler Options | Speech - Compiler Options | Displays a list of compiler options.
Compile Grammar | Speech - Compile Grammar | Compiles the speech recognition grammar. Compiler messages are displayed in the Output window.
Activate Grammar | Speech - Activate Grammar | Enables a compiled grammar for testing (SpeechKit).
Deactivate Grammar | Speech - Deactivate Grammar | Disables an activated grammar.
Generate Phonemes | Speech - Generate Phonemes | Generates phonemes for the text selection in the document.
Edit Phonemes | Speech - Edit Phonemes | Displays phoneme selection tool window for inserting phonemes directly into the document.
Create Lexicon | Speech - Create Lexicon | Creates a lexicon declaration for insertion into the document.
Delete Lexicon | Speech - Delete Lexicon | Deletes a local lexicon resource.
Save Lexicon | Speech - Save Lexicon | Saves the updates to the lexicon.
Export Lexicon | Speech - Export Lexicon | Exports the lexicon word pronunciations to a binary file. If the file extension is .dat, the file is saved as binary only. If the file extension is .exe, the file is save as a self-extracting archive.
Create Profile | Speech - Create Profile | Creates a new speaker profile.
Train Profile | Speech - Train Profile | Trains a speaker profile.
Delete Profile | Speech - Delete Profile... | Deletes a speaker profile.
Playback Phonemes | Speech - Playback Phonemes | Synthesizes the selected phonemes.
Playback Text | Speech - Playback Text | Synthesizes the selected text or the entire document.
Stop Playback | Speech - Stop Playback | Stops the audio playback of the synthesized speech.
Pause Playback | Speech - Pause Playback | Pauses the audio playback of the synthesized speech.
Resume Playback | Speech - Resume Playback | Resumes the paused audio playback of the synthesized speech.
Validate VoiceXML | Speech - Validate VoiceXML | Validates a VoiceXML document. Compiler messages are displayed in the Output window.
Run VoiceXML | Speech - Run VoiceXML | Opens a session with the VoiceXML interpreter and executes the document.
Stop VoiceXML | Speech - Stop VoiceXML | Stops the VoiceXML document execution and and closes the session with the interpreter.

Collapse/Expand Toolbar section Status Toolbar

The Status toolbar at the bottom of the main window frame provides run time status information.

Control | Description
Status Message | Displays help message text.
Cursor Position | Shows the line, column, and character position of the cursor within the text.
Overtype | Indicates whether text is inserted or replaces existing text when typed.


Chant GrammarKit 5 Developer's Guide

Chant Inc.
GrammarKit 5 Developer's Guide


Grammar Management with GrammarKit

Shift your applications into high gear with speech recognition grammars.

A speech recognition grammar is a collection of rules comprised of words and phrases to be recognized from speech. A speech recognition engine (i.e., recognizer) uses a grammar to enhance its ability to recognize specific combinations of spoken words and phrases.

With dictation recognition, a recognizer matches from all the word possibilities in a large dictionary and asserts contextual analysis to ensure it returns the correct word (i.e., spelling) for homonyms (e.g., right or write).

Unlike dictation recognition, grammar recognition is context-free. A recognizer only matches against the rule definitions in the grammar.

Context-free grammar recognition enables applications to capture data very efficiently. Grammars also enable applications to assert domain constraints to elevate data capture accuracy automatically.

What is Grammar Management?

Grammar management enables you to:

  • design and test grammars for high-performance recognition,
  • compile static grammars to deploy binary with applications, and
  • integrate dynamic grammar generation and compilation as part of deployed applications.

Applications benefits include:

  • enhanced performance with optimized grammars,
  • added flexibility to run with information unknown until application configuration or runtime, and
  • expanded adaptability to run with available technology on the deployed system.

What is GrammarKit?

Chant GrammarKit handles the complexities of generating, compiling, and persisting the compiled grammar binary.

It simplifies the process of managing grammars declared with Microsoft SAPI 5 XML Grammar, Nuance BNF+ (VoCon 3200), Java Speech Grammar Format (JSGF), W3C ABNF, and W3C XML grammar syntax to use with your favorite speech recognizer.

GrammarKit includes C++, C++Builder, Delphi, Java, .NET Framework, and Silverlight class libraries to support all your programming languages and provides sample projects for popular IDEs—such as the latest Visual Studio from Microsoft and RAD Studio from Embarcadero.

The class libraries can be integrated with 32-bit, 64-bit, and Universal Windows Platform (UWP) applications.

For more information about the Grammar Management with GrammarKit, review the following topics:

  • GrammarKit Features and
  • Grammar Management Architecture.


GrammarKit Features

The goal of good grammar design is to maximize application performance. A GrammarKit application can:

  • Generate syntax-independent and -specific grammars;
  • Compile grammar source from buffer, file, resource, stream, and string formats;
  • Persist compiled grammar binary to buffer, file, and stream formats;
  • Generate pronunciation phonemes; and
  • Dynamically switch among grammar compilers and syntax formats.

Chant GrammarKit handles the complexities of constructing, compiling, and persisting grammars. This allows you to distribute compiled grammar binary files with your application, generate and compile grammars as part of your deployed application, and optimize grammar enablement at runtime by using compiled binary files.

Recognizers have their own syntax for expressing grammars. GrammarKit supports the following recognizers and their grammar syntax:

Recognizer | Speech API | Grammar Syntax
Microsoft SAPI 5 (all languages) | SAPI 5 | SAPI 5 XML Grammar W3C SRGS XML
Microsoft Speech Platform (all languages) | MSP | W3C SRGS XML
Microsoft Universal Windows Platform (all languages) | Windows Media | W3C SRGS XML
Nuance VoCon 3200 (all languages) | VoCon 3200 | Nuance BNF+ V1.0, V1.1, V2.0 Java Speech Grammar Format (JSGF) W3C SRGS ABNF

Within Chant Developer Workbench IDE, you can:

  • Create and edit grammars in native grammar syntax;
  • Generate word pronunciation phonemes;
  • Edit word pronunciation phonemes (requires LexiconKit);
  • Compile and debug grammars; and
  • Test grammars with live audio (requires SpeechKit).

Grammar Management: Design, compile, test, and debug speech recognition grammars before deployment.

Grammar Editing: Edit SAPI 5, L&H BNF+, JSGF, and W3C speech recognition grammars faster with built-in intelliprompt that suggests valid grammar syntax.

Syntax Error Debugging

Syntax Error Debugging: Automatic syntax checking displays visual cues and syntax error messages in the Error window. Click on the error to take you to the location of it in the document window.

Grammar Compiling and Testing

Grammar Compiling and Testing: Compile and test grammars with a click of a button. Review compiler messages in the output window. Speak into a microphone to test grammar.

Recognition Results: View recognition results in the Output window.

Recognition Events: Browse recognition events in the Events window.

Compilation Error Debugging

Compilation Error Debugging: Browse compilation errors in the Error window. Click on the error to take you to the location of it in the document window.


Grammar Management Architecture

The GrammarKit class library includes a grammar management class that provides you a simple way to generate and compile speech recognition grammars. Your application can build and compile grammars as part of its runtime operation to enable real-time customization and tailoring of your speech recognition environment.

The grammar management class, ChantGM, enables you to build a grammar independent of grammar syntax. Your application uses the ChantGrammar and adjunct classes to construct and modify grammar objects as needed and generate compiler-specific syntax on demand.

With the ChantGM class, you can select a grammar compiler, compile the grammar, and optionally persist the compiled grammar binary. Your application uses the ChantGM class to manage the activities for compiling the grammar on behalf of your application. The ChantGM class manages the resources and interacts directly with the applicable grammar compiler. The ChantGM class supports the following grammar syntax:

  • Microsoft SAPI 5 XML grammar,
  • Nuance VoCon 3200 BNF+ V1.0, V1.1, V2.0,
  • Java Speech Grammar Format (JSGF),
  • W3C SRGS ABNF, and
  • W3C SRGS XML.

Your application receives compiled grammar binary, warnings, and error messages through event callbacks.

GrammarKit Architecture for Grammar Management

The ChantGM class encapsulates all of the technologies necessary to make the process of building and compiling grammars simple and efficient for your application. Optionally, it can persist the grammar binary across application invocations.

The ChantGM class simplifies the process of building and compiling grammars by handling the low-level activities directly with the grammar compiler.

You instantiate a ChantGM class object before you want to build or compile a grammar within your application. You destroy the ChantGM class object and release its resources when you no longer want to compile grammars within your application.


Designing Grammars with GrammarKit

A grammar consists of one or more rules that define words and phrases for which to listen. Grammars are defined in text files, compiled into binary, and then loaded by the recognizer to use for matching against utterances.

Chant GrammarKit handles the complexities of constructing, compiling, and persisting the compiled grammar binary. This allows you to distribute compiled grammar binary files with your application, generate and compile grammars as part of your deployed application, and optimize grammar enablement at runtime by using compiled binary files.

Recognizers have their own syntax for expressing grammars. GrammarKit supports the following recognizers and their grammar syntax:

Recognizer | Speech API | Grammar Syntax
Microsoft SAPI 5 (all languages) | SAPI 5 | SAPI 5 XML Grammar W3C SRGS XML
Microsoft Speech Platform (all languages) | MSP | W3C SRGS XML
Microsoft Universal Windows Platform (all languages) | Windows Media | W3C SRGS XML
Nuance VoCon 3200 (all languages) | VoCon 3200 | Nuance BNF+ V1.0, V1.1, V2.0 Java Speech Grammar Format (JSGF) W3C SRGS ABNF

For more information about the designing grammars with GrammarKit, review the following topics:

  • Grammar Design and
  • Dyanmic Grammar Applications.


Grammar Design

The following topics provide detailed steps for designing grammars for high-performance speech recognition within the Chant Developer Workbench IDE:

  • Create New Grammar,
  • Add Rules,
  • Compile and Test Grammar,


Create New Grammar

A speech recognition grammar is a collection of rules comprised of words and phrases to be recognized from speech. The steps to create a grammar with Chant GrammarKit are as follows:

  1. Select the Start Page tab and click on the image of the desired grammar type or select the File - New menu item or click the New Standard toolbar button and select a grammar type to create one in a document window.

  2. Save your new grammar to a file by selecting the File - Save menu item or click the Save Standard toolbar button.

A grammar consists of one or more rule elements. You must add at least one valid rule element to a grammar.


Add Rules

A rule defines a phrase to recognize. It may consist of a single word or words, optional words, or a list of possible phrases depending on the complexity of what can be spoken.

A rule consists of one or more grammar elements. You must add at least one valid grammar element to a rule. The Chant Developer Workbench grammar editor provides Intelliprompt suggestions as you type your rule definition.

Rule syntax varies among grammar specifications. Refer to the section entitled Grammar Syntax Quick Reference for more information about grammar syntax.


Compile and Test Grammars

A grammar compiler transforms a speech recognition grammar into a binary format usable by speech recognition engines.

Chant GrammarKit provides a way for you to compile and test a grammar without having to write any software. When you compile a grammar you are validating the grammar syntax and attribute values. To test the grammar it must be compiled, loaded, and activated.

To open an existing grammar for editing with Chant GrammarKit, select the File - Open menu item or click the Open Standard toolbar button to launch the open file dialog.

To compile a grammar, select the Speech - Compile Grammar menu item or click the Compile Grammar Speech toolbar button. Compilation messages are displayed in the Output window.

Compiler options may be specified for L&H BNF grammars. With BNF V1.0 grammars, the compiler options are flag values that can be combined.

To test the grammar, you must compile, load, and activate it. You may do this in one step by selecting the Speech - Activate Grammar menu item or by clicking the Activate Grammar Speech toolbar button. You may say the various combinations of phrases supported by the rule(s). The recognition results are displayed in the Events window.

When you are finished testing the grammar, you may deactivate it by selecting the Speech - Deactivate Grammar menu item or by clicking the Deactivate Grammar Speech toolbar button.


Dynamic Grammar Applications

The following topics describe how to build dynamic grammar applications:

  • Constructing and Compiling Grammars,
  • Event Handling,
  • Error Handling,
  • Compile Sample, and
  • Phonemes Sample.


Constructing and Compiling Grammars

The GrammarKit class ChantGM is designed to provide you a lot of flexiblity and minimize the programming necessary to manage the construction and compilation of your grammars. Your grammar source can be in a variety of formats (e.g., buffer, stream, and file) and your compiled binary can be save to a variety of formats (e.g., buffer, stream, and file).

To simply compile your grammar and determine if there are any errors, all you need to do is pass the name of your grammar file source and the syntax type. For example:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGM1.CompileGrammar("c:\\myvocab.xml", ChantGrammarSyntax.CGSSAPI5XML);

pChantGM1->CompileGrammar(L"c:\\myvocab.xml", CGSSAPI5XML);

pChantGM1->CompileGrammar("c:\\myvocab.xml", CGSSAPI5XML);

ChantGM1.CompileGrammar("c:\\myvocab.xml", CGSSAPI5XML);

JChantGM1.compileGrammar("c:\\myvocab.xml", ChantGrammarSyntax.CGSSAPI5XML);

NChantGM1.CompileGrammar("c:\\myvocab.xml", ChantGrammarSyntax.CGSSAPI5XML)

The CompileGrammar method initiates the compilation process, but where does the compiled output go? Nowhere, unless you say you are interested in saving it to a file, stream, or receiving buffer of binary data via a callback.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Compile Grammar and save binary to a file
NChantGM1.CompileGrammar("c:\\myvocab.xml",0,ChantCompileObject.CCOFile,ChantGrammarSyntax.CGSSAPI5XML,"c:\\myvocab.dat",ChantCompileResult.CCRFile,0,ChantCompileOption.CCPAsynchronous);

// Compile Grammar and save binary to a file
pChantGM1->CompileGrammar(L"c:\\myvocab.xml",0,CCOFile,CGSSAPI5XML,L"c:\\myvocab.dat",CCRFile,0,CCPAsynchronous);

// Compile Grammar and save binary to a file
pChantGM1->CompileGrammar("c:\\myvocab.xml",0,CCOFile,CGSSAPI5XML,"c:\\myvocab.dat",CCRFile,0,CCPAsynchronous);

// Compile Grammar and save binary to a file
ChantGM1.CompileGrammar('c:\\myvocab.xml',0,CCOFile,CGSSAPI5XML,'c:\\myvocab.dat',CCRFile,0,CCPAsynchronous);

// Compile Grammar and save binary to a file
JChantGM1.compileGrammar("c:\\myvocab.xml",0,ChantCompileObject.CCOFile,ChantGrammarSyntax.CGSSAPI5XML,"c:\\myvocab.dat",ChantCompileResult.CCRFile,0,ChantCompileOption.CCPAsynchronous);

// Compile Grammar and save binary to a file
NChantGM1.CompileGrammar("c:\\myvocab.xml",0,ChantCompileObject.CCOFile,ChantGrammarSyntax.CGSSAPI5XML,"c:\\myvocab.dat",ChantCompileResult.CCRFile,0,ChantCompileOption.CCPAsynchronous)

To construct syntax-independent grammars, use the ChantGrammar and adjunct classes to build grammar objects from which you can generate compiler-specific syntax. These classes support generic and syntax-specific definitions that enable you to tailor grammars to leverage features across recognizers.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Build Grammar
NChantGrammar chantGrammar = NChantGM1.CreateGrammar("Colors");
chantGrammar.AddComment("This is the list of colors");
NChantGrammarRule chantGrammarRule = chantGrammar.AddRule("Color");
NChantGrammarList chantGrammarList = chantGrammarRule.AddList("colorlist");
chantGrammarList.AddPhrase("red");
chantGrammarList.AddPhrase("blue");
chantGrammarList.AddPhrase("green");
chantGrammarList.AddPhrase("yellow");
chantGrammarList.AddPhrase("pink");
chantGrammarList.AddPhrase("purple");
chantGrammarList.AddPhrase("brown");
chantGrammarList.AddPhrase("orange");

// Compile grammar as Microsoft SAPI 5 grammar
chantGrammar.Compile(ChantGrammarSyntax.CGSSAPI5XML);

// Build Grammar
CChantGrammar* chantGrammar = pChantGM1->CreateGrammar(L"Colors");
chantGrammar->AddComment(L"This is the list of colors");
CChantGrammarRule* chantGrammarRule = chantGramma->AddRule(L"Color");
CChantGrammarList* chantGrammarList = chantGrammarRule->AddList(L"colorlist");
chantGrammarList->AddPhrase(L"red");
chantGrammarList->AddPhrase(L"blue");
chantGrammarList->AddPhrase(L"green");
chantGrammarList->AddPhrase(L"yellow");
chantGrammarList->AddPhrase(L"pink");
chantGrammarList->AddPhrase(L"purple");
chantGrammarList->AddPhrase(L"brown");
chantGrammarList->AddPhrase(L"orange");

// Compile grammar as Microsoft SAPI 5 grammar
chantGrammar->Compile(CGSSAPI5XML);

// Build Grammar
CChantGrammar* chantGrammar = pChantGM1->CreateGrammar("Colors");
chantGrammar->AddComment("This is the list of colors");
CChantGrammarRule* chantGrammarRule = chantGramma->AddRule("Color");
CChantGrammarList* chantGrammarList = chantGrammarRule->AddList("colorlist");
chantGrammarList->AddPhrase("red");
chantGrammarList->AddPhrase("blue");
chantGrammarList->AddPhrase("green");
chantGrammarList->AddPhrase("yellow");
chantGrammarList->AddPhrase("pink");
chantGrammarList->AddPhrase("purple");
chantGrammarList->AddPhrase("brown");
chantGrammarList->AddPhrase("orange");

// Compile grammar as Microsoft SAPI 5 grammar
chantGrammar->Compile(CGSSAPI5XML);

var
chantGrammar: TChantGrammar;
chantGrammarRule: TChantGrammarRule;
chantGrammarList: TChantGrammarList;
begin
    // Build Grammar
    chantGrammar := ChantGM1.CreateGrammar('Colors');
    chantGrammar.AddComment('This is the list of colors');
    chantGrammarRule := chantGrammar.AddRule('Color');
    chantGrammarList := chantGrammarRule.AddList('colorlist');
    chantGrammarList.AddPhrase('red');
    chantGrammarList.AddPhrase('blue');
    chantGrammarList.AddPhrase('green');
    chantGrammarList.AddPhrase('yellow');
    chantGrammarList.AddPhrase('pink');
    chantGrammarList.AddPhrase('purple');
    chantGrammarList.AddPhrase('brown');
    chantGrammarList.AddPhrase('orange');

    // Compile grammar as Microsoft SAPI 5 grammar
    chantGrammar.Compile(CGSSAPI5XML);
end;

// Build Grammar
JChantGrammar chantGrammar = JChantGM1.createGrammar("Colors");
chantGrammar.addComment("This is the list of colors");
JChantGrammarRule chantGrammarRule = chantGrammar.addRule("Color");
JChantGrammarList chantGrammarList = chantGrammarRule.addList("colorlist");
chantGrammarList.addPhrase("red");
chantGrammarList.addPhrase("blue");
chantGrammarList.addPhrase("green");
chantGrammarList.addPhrase("yellow");
chantGrammarList.addPhrase("pink");
chantGrammarList.addPhrase("purple");
chantGrammarList.addPhrase("brown");
chantGrammarList.addPhrase("orange");

// Compile grammar as Microsoft SAPI 5 grammar
chantGrammar.compile(ChantGrammarSyntax.CGSSAPI5XML);

Dim chantGrammar As NChantGrammar
Dim chantGrammarRule As NChantGrammarRule
Dim chantGrammarList As NChantGrammarList
// Build Grammar
chantGrammar = NChantGM1.CreateGrammar("Colors")
chantGrammar.AddComment("This is the list of colors")
chantGrammarRule = chantGrammar.AddRule("Color")
chantGrammarList = chantGrammarRule.AddList("colorlist")
chantGrammarList.AddPhrase("red")
chantGrammarList.AddPhrase("blue")
chantGrammarList.AddPhrase("green")
chantGrammarList.AddPhrase("yellow")
chantGrammarList.AddPhrase("pink")
chantGrammarList.AddPhrase("purple")
chantGrammarList.AddPhrase("brown");
chantGrammarList.AddPhrase("orange")

// Compile grammar as Microsoft SAPI 5 grammar
chantGrammar.Compile(ChantGrammarSyntax.CGSSAPI5XML)


GrammarKit Event Handling

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

Event Handling

To receive compiler warnings, error message, completion, and compiled binary, you need to request event notifications. You register for the events your application is interested in using the RegisterCallback method.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGM1.RegisterCallback(ChantCallback.CCGMDone);
NChantGM1.RegisterCallback(ChantCallback.CCGMError);
NChantGM1.RegisterCallback(ChantCallback.CCGMWarning);

pChantGM->RegisterCallback(CCGMDone);
pChantGM->RegisterCallback(CCGMError);
pChantGM->RegisterCallback(CCGMWarning);

pChantGM->RegisterCallback(CCGMDone);
pChantGM->RegisterCallback(CCGMError);
pChantGM->RegisterCallback(CCGMWarning);

ChantGM1.RegisterCallback(CCGMDone);
ChantGM1.RegisterCallback(CCGMError);
ChantGM1.RegisterCallback(CCGMWarning);

JChantGM1.RegisterCallback(ChantCallback.CCGMDone);
JChantGM1.RegisterCallback(ChantCallback.CCGMError);
JChantGM1.RegisterCallback(ChantCallback.CCGMWarning);

NChantGM1.RegisterCallback(ChantCallback.CCGMDone)
NChantGM1.RegisterCallback(ChantCallback.CCGMError)
NChantGM1.RegisterCallback(ChantCallback.CCGMWarning)

The ChantGM object sends all notifications to the HasEvent function. All event data is contained in a ChantGMEvent object and accessed via object properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantGM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantGMEvent nChantGMEvent = NChantGM1.GetChantGMEvent();
    if (nChantGMEvent != null)
    {
        switch (nChantGMEvent.ChantCallback)
        {
            case ChantCallback.CCGMDone:
                {
                    ...
                    break;
                }
            case ChantCallback.CCGMError:
                {
                    ...
                    break;
                }
            case ChantCallback.CCGMWarning:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantGM1.RemoveEvent();
    }
}

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantGM != NULL)
    {
        if (message == m_HasEvent)
        {
            // Get the event from the event queue
            CChantGMEvent* chantGMEvent = m_pChantGM->GetChantGMEvent();
            if (chantGMEvent != NULL)
            {
                switch (chantGMEvent->GetChantCallback())
                {
                    case CCGMDone:
                    {

                        ...

                        break;
                    }
                    case CCGMError:
                    {

                        ...

                        break;
                    }
                    case CCGMWarning:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantGM->RemoveEvent();
                // No longer need event object
                delete chantGMEvent;
                chantGMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantGMEvent* chantGMEvent = ChantGM1->GetChantGMEvent();
    if (chantGMEvent != NULL)
    {
        switch (chantGMEvent->GetChantCallback())
        {
            default:
                break;
            case CCGMDone:
            {

                ...

                break;
            }
            case CCGMError:
            {

                ...

                break;
            }
            case CCGMWarning:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantGM1->RemoveEvent();
        // No longer need event object
        delete chantGMEvent;
        chantGMEvent = NULL;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
    chantGMEvent: TChantGMEvent;
begin
    // Get the event from the event queue
    chantGMEvent := ChantGM1.GetChantGMEvent();
    if chantGMEvent <> nil then
    begin
      case chantGMEvent.ChantCallback of
        CCGMDone:
        ...
        CCGMError:
        ...
        CCGMWarning:
        ...
      end;

      ...

      // Remove the event from the event queue
      ChantGM1.RemoveEvent();
      // No longer need event object
      chantGMEvent.Destroy();
    end;
end;

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantGMEvent chantGMEvent = JChantGM1.getChantGMEvent();
    if (chantGMEvent != null)
    {
        int callback = chantGMEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCGMDone :
                ...
                break;
            case ChantCallback.CCGMError :
                ...
                break;
            case ChantCallback.CCGMWarning :
                ...
                break;
        }
        JChantGM1.removeEvent();
    }
}

Private Sub NChantGM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantGM1.HasEvent
    Dim nChantGMEvent As NChantGMEvent
    ' Get the event from the event queue
    nChantGMEvent = NChantGM1.GetChantGMEvent()
    if nChantGMEvent <> Nothing Then
        Select Case nChantGMEvent.ChantCallback
            Case ChantCallback.CCGMDone
                ...
            Case ChantCallback.CCGMError
                ...
            Case ChantCallback.CCGMWarning
                ...
        End Select
        ' Remove the event from the event queue
        NChantGM1.RemoveEvent()
    End If
End Sub

The ChantGM object accumulates ChantGMEvent objects on a FIFO queue. Applications must remove the oldest event from the queue to be able to process the next event object. When you remove the event object it is destroyed and no longer available.


GrammarKit Error Handling

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

Error Handling

GrammarKit uses a common set of return codes on error conditions to minimize the error processing required by the application. The following table provides a summary.

Error Constant | Value | Description
E_INVALIDARG | 0x80070057 | One or more arguments are invalid. Verify your parameter values used in invoking the method.
E_FAIL | 0x80004005 | Unspecified error. Exception handling catches as a non-specific failure.
E_NOINTERFACE | 0x80004002 | No such interface supported. Verify that the session with the recognizer or synthesizer is active before invoking the method.
E_OUTOFMEMORY | 0x8007000E | Ran out of memory. There is not enough memory to complete the operation.
E_NOTIMPL | 0x80004001 | Not implemented. Contact Chant support for assistance.
CLASS_E_NOTLICENSED | 0x80040112 | Class is not licensed for use. Verify that your License and Serials property values are set before invoking any other methods.

To obtain an the error code, use the ChantGM LastError, LastErrorString, and LastErrorMessage properties.

Speech APIs (i.e., grammar compilers) may generate error codes. To monitor these error codes, register for the CCAPIError event.

Consult the Speech API documentation for problem determination or contact Chant support for assistance.


Compile Sample

Chant GrammarKit includes sample applications that illustrate grammar management features. Look for the Compile folder in the GrammarKit sample projects.

Build and launch the sample compile grammar application. You can compile grammars for the grammar compiler syntax that are installed on your system.

Chant Compile Sample

Compile a grammar using the sample application with the following steps:

  1. Select a grammar compiler to use from the list. Only the grammar compilers installed on your system are listed. If you do not see any grammar compilers listed, see the section entitled Recognizer and Synthesizer Installation. The grammar syntax is generated for that grammar compiler and appears in the text box.
  2. Press the compile button. The compilation, warning, and error messages are displayed.


Phonemes Sample

Chant GrammarKit includes sample applications that illustrate grammar management features. Look for the Phonemes folder in the GrammarKit sample projects.

Build and launch the generate phonemes sample application. You can generate phonemes for one or more words.

Chant Phonemes Sample

Generate phonemes using the sample application with the following steps:

  1. Select a recognizer for which to generate phonemes.
  2. Enter the word(s) for which you want to generate phonemes.
  3. Select the part of speech for the word(s).
  4. Press the generate phonemes button. The phonemes are generated and displayed.


Integrating GrammarKit

The following sections describe the steps for integrating GrammarKit with your favorite development tool and programming language.

  • C++Builder Applications
  • Delphi and Appmethod Applications
  • Java Applications
  • Microsoft Visual C++ Applications
  • .NET UWP Applications
  • .NET Windows Forms Applications
  • .NET WPF Applications
  • Silverlight Applications


GrammarKit C++Builder VCL and FireMonkey (Appmethod) Applications

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

C++Builder VCL and FireMonkey (Appmethod) Applications

You can develop C++ applications that manage grammars using your favorite version of C++Builder and Appmethod.

The following sections describe the steps for integrating GrammarKit with C++Builder VCL and FireMonkey (Appmethod) applications.

GrammarKit Header Files

GrammarKit includes C++ header files comprised of the C++Builder classes that manage grammars and automatically load and unload the runtime DLL.

To access the GrammarKit C++Builder classes within your application, first add a project reference to the C++Builder header include files:

  • Win32
  • Win64
  1. Within your C++Builder or Appmethod project, select Project Options.
  2. Select the C++Builder or Appmethod compiler options.
  3. Add Include path reference to the GrammarKit header files directory: C:\Program Files\Chant\GrammarKit 5\Win32\CBuilder\include.
  1. Within your C++Builder or Appmethod project, select Project Options.
  2. Select the C++Builder or Appmethod compiler options.
  3. Add Include path reference to the GrammarKit header files directory: C:\Program Files\Chant\GrammarKit 5\Win64\CBuilder\include.

To access the GrammarKit C++Builder classes within your application, add a reference to the Chant shared and GrammarKit header files in your C++Builder application header file.

#include "ChantShared.h"
#include "ChantGrammarKit.h"

Add a reference in your C++Builder application source file to the Chant shared and GrammarKit code needed to dynamically load and unload the runtime DLL.

#include "ChantShared.cpp"
#include "ChantGrammarKit.cpp"

Object Instantiation

Declare a global variable for the ChantGM class, instantiate an instance, set the license and serial properties, and set the event handler message.

Add the following to your application header file:

  • VCL
  • FireMonkey (Appmethod)
protected:
    void __fastcall OnHasEvent(TMessage& msg);
    BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(WM_APP+4, TMessage, OnHasEvent);
    END_MESSAGE_MAP(TForm)
private:
    // User declarations
    CChantGM* ChantGM1;

#include <FMX.Platform.Win.hpp>
using namespace Fmx::Platform::Win;
...
protected:
    void __fastcall OnHasEvent(TMessage& msg);
private:
    // User declarations
    CChantGM* ChantGM1;
    HWND  FrmHwnd;
    long WndProc;
public:
    // User declarations
    __fastcall TForm1(TComponent* Owner);
    LRESULT __fastcall FrmWndProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam);

Add the following to your application source file:

  • VCL
  • FireMonkey (Appmethod)
ChantGM1 = new CChantGM();

// Set deployment license properties
ChantGM1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantGM1->SetStringProperty(CSPSerials,"LicenseSerialNumber");

// Define the HasEvent callback message
ChantGM1->SetWindowMessage(Handle, WM_APP+4, 0, 0);

ChantGM1 = new CChantGM();

// Set deployment license properties
ChantGM1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantGM1->SetStringProperty(CSPSerials,"LicenseSerialNumber");

// XE-XE3
HWND FrmHwnd = FmxHandleToHWND(Handle);
// XE4+
TWinWindowHandle *wndHandle = WindowHandleToPlatform(this->Handle);
HWND FrmHwnd = wndHandle->Wnd;

// Set up Windows Message Handling For FireMonkey
WndProc = GetWindowLongPtr(FrmHwnd, GWL_WNDPROC);
SetWindowLongPtr(FrmHwnd, GWL_WNDPROC, (long)WindowProc);
ChantGM1->SetWindowMessage(FrmHwnd, WM_APP+4, 0, 0);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

  • VCL
  • FireMonkey (Appmethod)
void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantGMEvent* chantGMEvent = ChantGM1->GetChantGMEvent();
    if (chantGMEvent != NULL)
    {
        switch (chantGMEvent->GetChantCallback())
        {
            default:
                break;
            case CCGMDone:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantGM1->RemoveEvent();
        // No longer need event object
        delete chantGMEvent;
        chantGMEvent = NULL;
    }
}

// Hook Window Messages
LRESULT WindowProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    return Form1->FrmWndProc(Hwnd, Msg, wParam, lParam);
}

LRESULT __fastcall TForm1::FrmWndProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    Winapi::Messages::TMessage aTMessage;
    aTMessage.Msg = Msg;
    aTMessage.WParam = wParam;
    aTMessage.LParam = lParam;
    // Trap our messages
    if (WM_APP+4 == Msg)
    {
        OnHasEvent(aTMessage);
        return 0;
    }
    // Forward all other messages
    return CallWindowProc((WNDPROC)WndProc, Hwnd, Msg, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantGMEvent* chantGMEvent = ChantGM1->GetChantGMEvent();
    if (chantGMEvent != NULL)
    {
        switch (chantGMEvent->GetChantCallback())
        {
            default:
                break;
            case CCGMDone:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantGM1->RemoveEvent();
        // No longer need event object
        delete chantGMEvent;
        chantGMEvent = NULL;
    }
}

Deployment Checklist

When you are ready to deploy your C++Builder VCL or FireMonkey (Appmethod) application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your C++Builder VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CGrammarKit.dll to the target system and place in the same directory with your application.
  • You may deploy your C++Builder VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CGrammarKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

C++Builder VCL and FireMonkey (Appmethod) sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\GrammarKit 5\Win32\CBuilder\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\GrammarKit 5\Win32\CBuilder\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\GrammarKit 5\Win32\CBuilder\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\GrammarKit 5\Win32\CBuilder\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\GrammarKit 5\Win32\CBuilder\RS 10.1 Berlin.
  • My Documents\Chant\GrammarKit 5\Win64\CBuilder\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\GrammarKit 5\Win64\CBuilder\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\GrammarKit 5\Win64\CBuilder\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\GrammarKit 5\Win64\CBuilder\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\GrammarKit 5\Win64\CBuilder\RS 10.1 Berlin.


GrammarKit Delphi VCL and FireMonkey (Appmethod) Applications

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

Delphi VCL and FireMonkey (Appmethod) Applications

You can develop Object Pascal applications that manage grammars using your favorite version of Delphi and Appmethod.

The following sections describe the steps for integrating GrammarKit with Delphi VCL and FireMonkey (Appmethod) applications.

GrammarKit Unit

GrammarKit includes an Object Pascal source file GrammarKit.pas comprised of the Object Pascal classes that manage grammars. It also includes an Object Pascal source file ChantShared.pas comprised of common Object Pascal classes that all Chant libraries use.

To access the GrammarKit Object Pascal classes within your application, first add a project reference to the GrammarKit Object Pascal source files:

  • Win32
  • Win64
  1. Within your Delphi or Appmethod project, select Project Options.
  2. Select the Delphi or Appmethod compiler options.
  3. Add Search path reference to the GrammarKit unit source file directory: C:\Program Files\Chant\GrammarKit 5\Win32\Delphi\source.
  4. Add unit output path reference to the local directory with a period '.' character.
  1. Within your Delphi or Appmethod project, select Project Options.
  2. Select the Delphi or Appmethod compiler options.
  3. Add Search path reference to the GrammarKit unit source file directory: C:\Program Files\Chant\GrammarKit 5\Win64\Delphi\source.
  4. Add unit output path reference to the local directory with a period '.' character.

To access the GrammarKit Object Pascal classes within your application, add a reference to the ChantShared and GrammarKit units in your uses clause.

  • VCL
  • FireMonkey (Appmethod)
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ChantShared, GrammarKit;

unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Rtti, System.Classes,
  System.Variants, FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Layouts,
  ChantShared, GrammarKit, FMX.Platform.Win, Winapi.Windows, Winapi.Messages;

Add an event handler declaration and Object instance variable to the application declarations.

  • VCL
  • FireMonkey (Appmethod)
type
  TForm1 = class(TForm)
    ...
  private
    { Private declarations }
  public
    { Public declarations }
    procedure OnHasEvent(var msg: TMessage);
      message WM_APP+4;
  end;

var
  Form1: TForm1;
  ChantGM1: TChantGM;

type
  TForm1 = class(TForm)
    ...
  private
    { Private declarations }
    FrmHwnd: HWND;
    WndProc: LONG;
  public
    { Public declarations }
    procedure OnHasEvent(var msg: TMessage);
    function FrmWndProc(Hwnd: HWND; Msg:UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
  end;

var
  Form1: TForm1;
  ChantGM1: TChantGM;

Object Instantiation

Instantiate an instance, set the license and serial properties, and set the event handler message.

  • VCL
  • FireMonkey (Appmethod)
ChantGM1 := TChantGM.Create();
// Set license properties
ChantGM1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantGM1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

// Define the HasEvent callback message
ChantGM1.SetWindowMessage(Handle, WM_APP+4, 0, 0);

ChantGM1 := TChantGM.Create();
// Set license properties
ChantGM1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantGM1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

var FrmHwnd: HWND;
// XE-XE3
FrmHwnd := FmxHandleToHwnd(Handle);
// XE4+
var wndHandle: TWinWindowHandle;
wndHandle := WindowHandleToPlatform(Handle);
FrmHwnd := wndHandle.Wnd;

// Set up Windows Message Handling For FireMonkey
WndProc := GetWindowLongPtr(FrmHwnd, GWL_WNDPROC);
SetWindowLongPtr(FrmHwnd, GWL_WNDPROC, NativeInt(@WindowProc));
ChantGM1.SetWindowMessage(FrmHwnd, WM_APP+4, 0, 0);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

  • VCL
  • FireMonkey (Appmethod)
procedure TForm1.OnHasEvent(var msg: TMessage);
var
    chantGMEvent: TChantGMEvent;
begin
    // Get the event from the event queue
    chantGMEvent := ChantGM1.GetChantGMEvent();
    if chantGMEvent <> nil then
    begin
      case chantGMEvent.ChantCallback of
        CCGMDone:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantGM1.RemoveEvent();
      // No longer need event object
      chantGMEvent.Destroy();
    end;
end;

// Hook Window Messages
function WindowProc(Hwnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
begin
    Result := Form1.FrmWndProc(Hwnd, Msg, wParam, lParam);
end;

function TForm1.FrmWndProc(Hwnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
var
    aTMessage: TMessage;
begin
    aTMessage.Msg := Msg;
    aTMessage.WParam := wParam;
    aTMessage.LParam := lParam;
    // Trap our messages
    if (WM_APP+4 = Msg) then
    begin
        OnHasEvent(aTMessage);
        Result := 0;
        Exit;
    end;
    // Forward all other messages
    Result := CallWindowProc(Ptr(WndProc), Hwnd, Msg, wParam, lParam);
end;

procedure TForm1.OnHasEvent(var msg: TMessage);
var
    chantGMEvent: TChantGMEvent;
begin
    // Get the event from the event queue
    chantGMEvent := ChantGM1.GetChantGMEvent();
    if chantGMEvent <> nil then
    begin
      case chantGMEvent.ChantCallback of
        CCGMDone:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantGM1.RemoveEvent();
      // No longer need event object
      chantGMEvent.Destroy();
    end;
end;

Deployment Checklist

When you are ready to deploy your Delphi VCL or FireMonkey (Appmethod) application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Delphi VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CGrammarKit.dll to the target system and place in the same directory with your application.
  • You may deploy your Delphi VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CGrammarKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

Delphi VCL and FireMonkey (Appmethod) sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\GrammarKit 5\Win32\Delphi\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\GrammarKit 5\Win32\Delphi\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\GrammarKit 5\Win32\Delphi\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\GrammarKit 5\Win32\Delphi\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\GrammarKit 5\Win32\Delphi\RS 10.1 Berlin.
  • My Documents\Chant\GrammarKit 5\Win64\Delphi\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\GrammarKit 5\Win64\Delphi\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\GrammarKit 5\Win64\Delphi\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\GrammarKit 5\Win64\Delphi\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\GrammarKit 5\Win64\Delphi\RS 10.1 Berlin.


GrammarKit Java Applications

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

Java Applications

You can develop Java applications that manage grammars using your favorite Java development tools. This includes development environments such as Eclipse, IntelliJ, JBuilder, JDeveloper, and NetBeans.

The following sections describe the steps for integrating GrammaKit with Java applications.

JRE Configuration

GrammarKit includes Java classes compiled with JDK 1.7 and 1.8 to support your application's target runtime environments.

To access the GrammarKit Java classes within your application, add the class libraries to your JDK environment:

  • Win32
  • Win64
  1. copy the JGrammarKit.DLL file to your Java JDK bin directory;
  2. copy the grammarkit.jar and chant-shared.jar libraries to your Java JDK lib; and
  3. append a path reference for your Java JDK lib\grammarkit.jar and lib\chant-shared.jar paths as a classpath property in your system settings.
  1. copy the JGrammarKitX64.DLL file to your Java JDK bin directory;
  2. copy the grammarkit.jar and chant-shared.jar class libraries to your Java JDK lib; and
  3. append a path reference for your Java JDK lib\grammarkit.jar and lib\chant-shared.jar paths as a classpath property in your system settings.

To access the GrammarKit Java classes within your application, add references to the Chant shared and GrammarKit class libraries in your code:

import com.grammarkit.*;
import net.chant.shared.*;

Object Instantiation

Declare a global variable for the ChantGM class, instantiate an instance, set the license and serial properties, and set the event handler.

public class Frame1 extends JFrame implements com.grammarkit.JChantGMEvents
{
    private JChantGM JChantGM1;

    private void jInit() throws Exception
    {
        // Create ChantGM object
        JChantGM1 = new JChantGM();

        // Set license properties
        JChantGM1.setStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
        JChantGM1.setStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");

        // Set the callback
        JChantGM1.setCallbackFunction(this,null,null);
    }
}

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantGMEvent chantGMEvent = JChantGM1.getChantGMEvent();
    if (chantGMEvent != null)
    {
        int callback = chantGMEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCGMDone :
                ...
                break;
        }
        JChantGM1.removeEvent();
    }
}

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Java application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy grammarkit.jar and chant-shared.jar to the target system Java JRE lib directory and/or ensure the classpath includes the path where the grammarkit.jar and chant-shared.jar libraries are placed on your target system.
  • Copy JGrammarKit.dll to the target system Java JRE bin directory.
  • You may deploy your Java application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy grammarkit.jar and chant-shared.jar to the target system Java JRE lib directory and/or ensure the classpath includes the path where the grammarkit.jar and chant-shared.jar libraries are placed on your target system.
  • Copy JGrammarKitX64.dll to the target system.

Sample Projects

Java sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\GrammarKit 5\Win32\Java\JDK.
  • My Documents\Chant\GrammarKit 5\Win64\Java\JDK.


GrammarKit Microsoft Visual C++ Applications

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

Microsoft Visual C++ Applications

You can develop C++ applications that manage grammars using your favorite version of Microsoft Visual C++.

The following sections describe the steps for integrating GrammarKit with Microsoft Visual C++ applications.

GrammarKit Header Files

GrammarKit includes C++ header files comprised of the C++ classes that manage grammars and automatically load and unload the runtime DLL.

To access the GrammarKit C++ classes within your application, first add a project reference to the C++ header include files:

  • Win32
  • Win64
  1. Within your C++ project, select Project Properties.
  2. Under Configuration Properties, expand the C++ Properties and select the General Settings.
  3. Edit the Additional Include Directories.
  4. Locate the include directory path of the GrammarKit header files: C:\Program Files\Chant\GrammarKit 5\Win32\CDLL\include.
  5. Press the Apply button to save changes and dismiss the Project Properties.
  1. Within your C++ project, select Project Properties.
  2. Under Configuration Properties, expand the C++ Properties and select the General Settings.
  3. Edit the Additional Include Directories.
  4. Locate the include directory path of the GrammarKit header files: C:\Program Files\Chant\GrammarKit 5\Win64\CDLL\include.
  5. Press the Apply button to save changes and dismiss the Project Properties.

To access the GrammarKit C++ classes within your application, add a reference to the Chant shared and GrammarKit header files in your C++ application header file:

#include "ChantShared.h"
#include "ChantGrammarKit.h"

Add a reference in your C++ application source file to the Chant shared and GrammarKit code needed to dynamically load and unload the runtime DLL:

#include "ChantShared.cpp"
#include "ChantGrammarKit.cpp"

Object Instantiation

Declare a global variable for the ChantGM class, instantiate an instance, set the license and serial properties, and set the event handler message.

Add the following to your application header file:

protected:
    CChantGM* m_pChantGM;  // ChantGM object
    virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

Add the following to your application source file:

    // Instantiate ChantGM object
    m_pChantGM = new CChantGM();

    // Set license properties
    m_pChantGM->SetStringProperty(CSPLicense,L"LicenseRegistrationNumber");
    m_pChantGM->SetStringProperty(CSPSerials,L"LicenseSerialNumber");

    // Define the HasEvent callback message
    m_HasEvent = WM_APP+4;
    m_pChantGM->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantGM != NULL)
    {
        if (message == m_HasEvent)
        {
            // Get the event from the event queue
            CChantGMEvent* chantGMEvent = m_pChantGM->GetChantGMEvent();
            if (chantGMEvent != NULL)
            {
                switch (chantGMEvent->GetChantCallback())
                {
                    case CCGMDone:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantGM->RemoveEvent();
                // No longer need event object
                delete chantGMEvent;
                chantGMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

Deployment Checklist

When you are ready to deploy your C++ application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your C++ application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CGrammarKit.dll to the target system and place in the same directory with your application.
  • You may deploy your C++ application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CGrammarKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

Microsoft Visual C++ sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\GrammarKit 5\Win32\CDLL\VS 2012,
  • My Documents\Chant\GrammarKit 5\Win32\CDLL\VS 2013, and
  • My Documents\Chant\GrammarKit 5\Win32\CDLL\VS 2015.
  • My Documents\Chant\GrammarKit 5\Win64\CDLL\VS 2012,
  • My Documents\Chant\GrammarKit 5\Win64\CDLL\VS 2013, and
  • My Documents\Chant\GrammarKit 5\Win64\CDLL\VS 2015.


GrammarKit .NET UWP Applications

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

.NET UWP Applications

You can develop .NET UWP applications that manage grammars using your favorite .NET UWP development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating GrammarKit with .NET UWP applications.

GrammarKit Assemblies

GrammarKit includes UWP compatible .NET assemblies compiled with .NET Framework V4 and native compiler V5 to support your application's target framework.

To access the GrammarKit .NET classes within your application, add them to your project References:

  1. Within your .NET project, right click on the References node in the Solution Explorer.
  2. Add references to the GrammarKit .NET assemblies:
    1. Program Files\Chant\GrammarKit 5\UWP\lib\Chant.GrammarKit.WindowsMedia.dll and
    2. Program Files\Chant\GrammarKit 5\UWP\lib\Chant.Shared.WindowsMedia.dll.

To access the GrammarKit .NET classes within your application, add references to the GrammarKit assemblies in your code:

  • C#
  • VB .NET
using System;
...
using Chant.GrammarKit.WindowsMedia;
using Chant.Shared.WindowsMedia;

Imports Chant.GrammarKit.WindowsMedia
Imports Chant.Shared.WindowsMedia
Public NotInheritable Class MainPage
...

Object Instantiation

Declare a global variable for the ChantGM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private NChantGM NChantGM1;
public MainPage()
{
    this.InitializeComponent();
    // Instantiate NChantGM object
    NChantGM1 = new NChantGM();
    // Setup event callback handler
    NChantGM1.HasEvent += this.NChantGM1_HasEvent;
    // Set license properties
    NChantGM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantGM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Public NotInheritable Class MainPage
    Inherits Page
    Dim NChantGM1 As NChantGM
    Public Sub New()
        Me.InitializeComponent()
        NChantGM1 = New NChantGM()
        ' Set license properties
        NChantGM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
        NChantGM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")
    End Sub
End Class

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

  • C#
  • VB .NET
private void NChantGM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantGMEvent nChantGMEvent = NChantGM1.GetChantGMEvent();
    if (nChantGMEvent != null)
    {
        switch (nChantGMEvent.ChantCallback)
        {
            case ChantCallback.CCGMDone:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantGM1.RemoveEvent();
    }
}

Private Sub NChantGM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantGM1.HasEvent
    Dim nChantGMEvent As NChantGMEvent
    ' Get the event from the event queue
    nChantGMEvent = NChantGM1.GetChantGMEvent()
    If nChantGMEvent <> Nothing Then
        Select Case nChantGMEvent.ChantCallback
            Case ChantCallback.CCGMDone
                ...
        End Select
        ' Remove the event from the event queue
        NChantGM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license. See the section License for more information about licensing Chant software.

Sample Projects

.NET UWP sample projects are installed at the following location:

  • My Documents\Chant\GrammarKit 5\UWP\VS 2015\cs and
  • My Documents\Chant\GrammarKit 5\UWP\VS 2015\vb.


GrammarKit .NET Windows Forms Applications

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

.NET Windows Forms Applications

You can develop .NET Windows Forms applications that manage grammars using your favorite .NET Windows Forms development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating GrammarKit with .NET Windows Forms applications.

GrammarKit Assemblies

GrammarKit includes Windows Forms compatible .NET assemblies compiled with .NET Framework V2-3.5 and V4+ to support your application's target framework.

To access the GrammarKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V2-3.5 applications, add references to the GrammarKit .NET assemblies:
    1. Program Files\Chant\GrammarKit 5\Win32\NET\libv2\Chant.GrammarKit.dll and
    2. Program Files\Chant\GrammarKit 5\Win32\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the GrammarKit .NET assemblies:
    1. Program Files\Chant\GrammarKit 5\Win32\NET\libv4\Chant.GrammarKit.dll and
    2. Program Files\Chant\GrammarKit 5\Win32\NET\libv4\Chant.Shared.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V2-3.5 applications, add references to the GrammarKit .NET assemblies:
    1. Program Files\Chant\GrammarKit 5\Win64\NET\libv2\Chant.GrammarKit.dll and
    2. Program Files\Chant\GrammarKit 5\Win64\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the GrammarKit .NET assemblies:
    1. Program Files\Chant\GrammarKit 5\Win64\NET\libv4\Chant.GrammarKit.dll and
    2. Program Files\Chant\GrammarKit 5\Win64\NET\libv4\Chant.Shared.dll.

To access the GrammarKit .NET classes within your application, add references to the Chant shared and GrammarKit assemblies in your code:

  • C#
  • VB .NET
using System;
...
using Chant.GrammarKit;
using Chant.Shared;

Imports Chant.GrammarKit
Imports Chant.Shared
Class MainWindow
...

GrammarKit also includes Windows Forms compatible .NET assemblies that interface with .NET Framework System.Speech and Microsoft.Speech libraries for .NET Managed applications.

To access the GrammarKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the GrammarKit .NET assemblies:
    1. Program Files\Chant\GrammarKit 5\Win32\NET\libv4m\Chant.GrammarKit.Managed.dll and
    2. Program Files\Chant\GrammarKit 5\Win32\NET\libv4m\Chant.Shared.Managed.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the GrammarKit .NET assemblies:
    1. Program Files\Chant\GrammarKit 5\Win64\NET\libv4m\Chant.GrammarKit.Managed.dll and
    2. Program Files\Chant\GrammarKit 5\Win64\NET\libv4m\Chant.Shared.Managed.dll.

To access the GrammarKit .NET classes within your application targeting System.Speech or Microsoft.Speech with managed SAPI, add references to the Chant shared and GrammarKit Speech assemblies in your code:

  • C#
  • VB .NET
using System;
...
using Chant.GrammarKit.Managed;
using Chant.Shared.Managed;

Imports Chant.GrammarKit.Managed
Imports Chant.Shared.Managed
Class MainWindow
...

Platform Target

Set the project Platform target to either x86 for 32-bit application or x64 for 64-bit application as follows:

  • C#
  • VB .NET

Within your C# project

  1. Select the Build tab under project properties.
  2. Select x86 or x64 in the Platform target dropdown list.

Within your VB .NET Project

  1. Select the Compile tab under project properties.
  2. Press the Advanced Compile Options... button.
  3. Select x86 or x64 in the Target CPU dropdown list.

Object Instantiation

Declare a global variable for the ChantGM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.GrammarKit.NChantGM NChantGM1;
public MainWindow()
{
    InitializeComponent();
    // Instantiate NChantGM object
    NChantGM1 = new NChantGM();
    // Setup event callback handler
    NChantGM1.HasEvent += this.NChantGM1_HasEvent;
    // Set license properties
    NChantGM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantGM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantGM1 As NChantGM

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantGM1 = New NChantGM()

    ' Set license properties
    NChantGM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantGM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

  • C#
  • VB .NET
private void NChantGM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantGMEvent nChantGMEvent = NChantGM1.GetChantGMEvent();
    if (nChantGMEvent != null)
    {
        switch (nChantGMEvent.ChantCallback)
        {
            case ChantCallback.CCGMDone:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantGM1.RemoveEvent();
    }
}

Private Sub NChantGM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantGM1.HasEvent
    Dim nChantGMEvent As NChantGMEvent
    ' Get the event from the event queue
    nChantGMEvent = NChantGM1.GetChantGMEvent()
    if nChantGMEvent <> Nothing Then
        Select Case nChantGMEvent.ChantCallback
            Case ChantCallback.CCGMDone
                ...
        End Select
        ' Remove the event from the event queue
        NChantGM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system.

Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.GrammarKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NGrammarKit.dll to the target system.
  • Register NGrammarKit.dll as a COM library on the target system.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.GrammarKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NGrammarKitX64.dll to the target system.
  • Register NGrammarKitX64.DLL as a COM library on the target system.

Review the following checklist before deploying your .NET Applications targeting System.Speech or Microsoft.Speech with managed SAPI:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.GrammarKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.GrammarKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.

Sample Projects

.NET Windows Forms sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\GrammarKit 5\Win32\NET WinForms\VS 2012\CSharp,
  • My Documents\Chant\GrammarKit 5\Win32\NET WinForms\VS 2012\Visual Basic,
  • My Documents\Chant\GrammarKit 5\Win32\NET WinForms\VS 2013\CSharp,
  • My Documents\Chant\GrammarKit 5\Win32\NET WinForms\VS 2013\Visual Basic,
  • My Documents\Chant\GrammarKit 5\Win32\NET WinForms\VS 2015\CSharp, and
  • My Documents\Chant\GrammarKit 5\Win32\NET WinForms\VS 2015\Visual Basic.
  • My Documents\Chant\GrammarKit 5\Win64\NET WinForms\VS 2012\CSharp,
  • My Documents\Chant\GrammarKit 5\Win64\NET WinForms\VS 2012\Visual Basic,
  • My Documents\Chant\GrammarKit 5\Win64\NET WinForms\VS 2013\CSharp,
  • My Documents\Chant\GrammarKit 5\Win64\NET WinForms\VS 2013\Visual Basic,
  • My Documents\Chant\GrammarKit 5\Win64\NET WinForms\VS 2015\CSharp, and
  • My Documents\Chant\GrammarKit 5\Win64\NET WinForms\VS 2015\Visual Basic.


GrammarKit .NET WPF Applications

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

.NET WPF Applications

You can develop .NET WPF applications that manage grammars using your favorite .NET WPF development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating GrammarKit with .NET WPF applications.

GrammarKit Assemblies

GrammarKit includes WPF compatible .NET assemblies compiled with .NET Framework V3 and V4+ to support your application's target framework.

To access the GrammarKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V3 applications, add references to the GrammarKit .NET assemblies:
    1. Program Files\Chant\GrammarKit 5\Win32\NET\libv2\Chant.GrammarKit.dll and
    2. Program Files\Chant\GrammarKit 5\Win32\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the GrammarKit .NET assemblies:
    1. Program Files\Chant\GrammarKit 5\Win32\NET\libv4\Chant.GrammarKit.dll and
    2. Program Files\Chant\GrammarKit 5\Win32\NET\libv4\Chant.Shared.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V3 applications, add references to the GrammarKit .NET assemblies:
    1. Program Files\Chant\GrammarKit 5\Win64\NET\libv2\Chant.GrammarKit.dll and
    2. Program Files\Chant\GrammarKit 5\Win64\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the GrammarKit .NET assemblies:
    1. Program Files\Chant\GrammarKit 5\Win64\NET\libv4\Chant.GrammarKit.dll and
    2. Program Files\Chant\GrammarKit 5\Win64\NET\libv4\Chant.Shared.dll.

To access the GrammarKit .NET classes within your application, add references to the GrammarKit assemblies in your code:

  • C#
  • VB .NET
using System;
...
using Chant.GrammarKit;
using Chant.Shared;

Imports Chant.GrammarKit
Imports Chant.Shared
Class MainWindow
...

GrammarKit also includes WPF compatible .NET assemblies that interface with .NET Framework System.Speech and Microsoft.Speech libraries for .NET Managed applications.

To access the GrammarKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the GrammarKit .NET assemblies:
    1. Program Files\Chant\GrammarKit 5\Win32\NET\libv4m\Chant.GrammarKit.Managed.dll and
    2. Program Files\Chant\GrammarKit 5\Win32\NET\libv4m\Chant.Shared.Managed.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the GrammarKit .NET assemblies:
    1. Program Files\Chant\GrammarKit 5\Win64\NET\libv4m\Chant.GrammarKit.Managed.dll and
    2. Program Files\Chant\GrammarKit 5\Win64\NET\libv4m\Chant.Shared.Managed.dll.

To access the GrammarKit .NET classes within your application targeting System.Speech or Microsoft.Speech with managed SAPI, add references to the GrammarKit assemblies in your code:

  • C#
  • VB .NET
using System;
...
using Chant.GrammarKit.Managed;
using Chant.Shared.Managed;

Imports Chant.GrammarKit.Managed
Imports Chant.Shared.Managed
Class MainWindow
...

Platform Target

Set the project Platform target to either x86 for 32-bit application or x64 for 64-bit application as follows:

  • C#
  • VB .NET

Within your C# project

  1. Select the Build tab under project properties.
  2. Select x86 or x64 in the Platform target dropdown list.

Within your VB .NET Project

  1. Select the Compile tab under project properties.
  2. Press the Advanced Compile Options... button.
  3. Select x86 or x64 in the Target CPU dropdown list.

Object Instantiation

Declare a global variable for the ChantGM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.GrammarKit.NChantGM NChantGM1;
public MainWindow()
{
    InitializeComponent();
    // Instantiate NChantGM object
    NChantGM1 = new NChantGM();
    // Setup event callback handler
    NChantGM1.HasEvent += this.NChantGM1_HasEvent;
    // Set license properties
    NChantGM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantGM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantGM1 As NChantGM

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantGM1 = New NChantGM()

    ' Set license properties
    NChantGM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantGM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

  • C#
  • VB .NET
private void NChantGM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantGMEvent nChantGMEvent = NChantGM1.GetChantGMEvent();
    if (nChantGMEvent != null)
    {
        switch (nChantGMEvent.ChantCallback)
        {
            case ChantCallback.CCGMDone:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantGM1.RemoveEvent();
    }
}

Private Sub NChantGM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantGM1.HasEvent
    Dim nChantGMEvent As NChantGMEvent
    ' Get the event from the event queue
    nChantGMEvent = NChantGM1.GetChantGMEvent()
    If nChantGMEvent <> Nothing Then
        Select Case nChantGMEvent.ChantCallback
            Case ChantCallback.CCGMDone
                ...
        End Select
        ' Remove the event from the event queue
        NChantGM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system.

Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.GrammarKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NGrammarKit.dll to the target system.
  • Register NGrammarKit.dll as a COM library on the target system.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.GrammarKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NGrammarKitX64.dll to the target system.
  • Register NGrammarKitX64.DLL as a COM library on the target system.

Review the following checklist before deploying your .NET Applications targeting System.Speech or Microsoft.Speech with managed SAPI:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.GrammarKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.GrammarKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.

Sample Projects

.NET WPF sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\GrammarKit 5\Win32\NET WPF\VS 2012\CSharp,
  • My Documents\Chant\GrammarKit 5\Win32\NET WPF\VS 2012\Visual Basic,
  • My Documents\Chant\GrammarKit 5\Win32\NET WPF\VS 2013\CSharp,
  • My Documents\Chant\GrammarKit 5\Win32\NET WPF\VS 2013\Visual Basic,
  • My Documents\Chant\GrammarKit 5\Win32\NET WPF\VS 2015\CSharp, and
  • My Documents\Chant\GrammarKit 5\Win32\NET WPF\VS 2015\Visual Basic.
  • My Documents\Chant\GrammarKit 5\Win64\NET WPF\VS 2012\CSharp,
  • My Documents\Chant\GrammarKit 5\Win64\NET WPF\VS 2012\Visual Basic,
  • My Documents\Chant\GrammarKit 5\Win64\NET WPF\VS 2013\CSharp,
  • My Documents\Chant\GrammarKit 5\Win64\NET WPF\VS 2013\Visual Basic,
  • My Documents\Chant\GrammarKit 5\Win64\NET WPF\VS 2015\CSharp, and
  • My Documents\Chant\GrammarKit 5\Win64\NET WPF\VS 2015\Visual Basic.


GrammarKit Silverlight Applications

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

Silverlight Applications

You can develop Silverlight applications that manage grammars using your favorite Silverlight development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating GrammarKit with Silverlight applications.

GrammarKit Assemblies

To access the GrammarKit Silverlight classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your Silverlight project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For Silverlight V5 applications, add references to the GrammarKit Silverlight assemblies:
    1. Program Files\Chant\GrammarKit 5\Win32\Silverlight\libv5\Chant.GrammarKit.Silverlight.dll and
    2. Program Files\Chant\GrammarKit 5\Win32\Silverlight\libv5\Chant.Shared.Silverlight.dll.
  1. Within your Silverlight project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For Silverlight V5 applications, add references to the GrammarKit Silverlight assemblies:
    1. Program Files\Chant\GrammarKit 5\Win64\Silverlight\libv5\Chant.GrammarKit.Silverlight.dll and
    2. Program Files\Chant\GrammarKit 5\Win64\Silverlight\libv5\Chant.Shared.Silverlight.dll.

To access the GrammarKit Silverlight classes within your application, add references to the GrammarKit assemblies in your code:

  • C#
  • VB .NET
using System;
...
using Chant.GrammarKit.Silverlight;
using Chant.Shared.Silverlight;

Imports Chant.GrammarKit.Silverlight
Imports Chant.Shared.Silverlight
Class MainWindow
...

Out-of-Browser Settings

To run your Silverlight app out-of-browser, set the properties as follows:

  1. Within your Silverlight project, select the Silverlight tab under project properties.
  2. Select the checkbox: Enable application running out of the browser.
  3. Deselect the checkbox: Require elevated trust when running in-browser.
  4. Press the Out-of-Browser Settings... button.
  5. Select the checkbox: Required elevated trust when running outside the browser.

In-Browser Settings

To run your Silverlight app in-browser, set the properties as follows:

  1. Within your Silverlight project, select the Silverlight tab under project properties.
  2. Select the checkbox: Require elevated trust when running in-browser.
  3. Deselect the checkbox: Enable application running out of the browser.
  4. Select the Signing tab under project properties.
  5. Select the checkbox: Sign the Xap File.
  6. Press one of the three buttons to select a signing certificate:
    1. Select from Store... if you have installed a signing certificate on your system;
    2. Select from File... if you have a signing certificate file your system; or
    3. Create test certificate... if you do not have signing certificate on your system.
  7. Press the More Details... button to ensure you have installed Trusted Root and Publisher certificiates:
    1. Press the Install Certificate... button;
    2. Select Automatically ... option if you have Certificate installed in your store or Select Place ... option if you created a temp certificate for testing and press the Browse button;
    3. Select Trusted Root Certification Authorities and press the OK button; and
    4. Press the Next button.
    5. Repeat the process by Pressing the Install Certificate... button;
    6. Select Place ... option and press the Browse button;
    7. Select Trusted Publishers and press the OK button; and
    8. Press the Next button.
  8. Run regedit to add a Silverlight registery property AllowElevatedTrustAppsInBrowser with value of 1:
    1. Select the Start menu and enter regedit to launch the Registry Editor;
    2. For Win32 systems, navigate to HKEY_LOCAL_MACHINE\Software\Microsoft\Silverlight\;
    3. For Win64 systems, navigate to HKEY_LOCAL_MACHINE\Software\Wow6432Node\Microsoft\Silverlight\;
    4. Right click and select New->DWORD (32-bit) Value;
    5. Set the value name to AllowElevatedTrustAppsInBrowser;
    6. Set th value data to 1;
    7. Press the OK button; and
    8. Close the Registry Editor.

Object Instantiation

Declare a global variable for the ChantGM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.GrammarKit.Silverlight.NChantGM NChantGM1;
public MainPage()
{
    InitializeComponent();
    // Instantiate NChantGM object
    NChantGM1 = new NChantGM();
    // Setup event callback handler
    NChantGM1.HasEvent += this.NChantGM1_HasEvent;
    // Set license properties
    NChantGM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantGM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantGM1 As NChantGM

Private Sub UserControl_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantGM1 = New NChantGM()

    ' Set license properties
    NChantGM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantGM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

  • C#
  • VB .NET
private void NChantGM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantGMEvent nChantGMEvent = NChantGM1.GetChantGMEvent();
    if (nChantGMEvent != null)
    {
        switch (nChantGMEvent.ChantCallback)
        {
            case ChantCallback.CCGMDone:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantGM1.RemoveEvent();
    }
}

Private Sub NChantGM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantGM1.HasEvent
    Dim nChantGMEvent As NChantGMEvent
    ' Get the event from the event queue
    nChantGMEvent = NChantGM1.GetChantGMEvent()
    If nChantGMEvent <> Nothing Then
        Select Case nChantGMEvent.ChantCallback
            Case ChantCallback.CCGMDone
                ...
        End Select
        ' Remove the event from the event queue
        NChantGM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Silverlight application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.GrammarKit.Silverlight.dll and Chant.Shared.Silverlight.dll libraries to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NGrammarKit.dll to the target system.
  • Register NGrammarKit.dll as a COM library on the target system.
  • You may deploy your Silverlight application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.GrammarKit.Silverlight.dll and Chant.Shared.Silverlight.dll libraries to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NGrammarKitX64.dll to the target system.
  • Register NGrammarKitX64.dll as a COM library on the target system.


Grammar Syntax Quick Reference

GrammarKit supports the following recognizers and their grammar formats:

Recognizer | Speech API | Grammar Syntax
Microsoft SAPI 5 (all languages) | SAPI 5 | SAPI 5 XML Grammar W3C SRGS XML
Microsoft Speech Platform (all languages) | MSP | W3C SRGS XML
Microsoft Universal Windows Platform (all languages) | Windows Media | W3C SRGS XML
Nuance VoCon 3200 (all languages) | VoCon 3200 | Nuance BNF+ V1.0, V1.1, V2.0 Java Speech Grammar Format (JSGF) W3C SRGS ABNF

Before you begin to develop grammars, you should review the documentation provided by your speech recognition engine vendor. The following sections provide a quick reference for the grammar syntax supported by the grammar compilers:

  • Microsoft SAPI 5 XML Grammar,
  • Nuance BNF+,
  • Java Speech Grammar Format (JSGF),
  • W3C SRGS ABNF, and
  • W3C SRGS XML.


Microsoft SAPI 5 XML Grammar

Microsoft SAPI 5 specifies a context-free grammar structure and grammar rule format using Extensible Markup Language (XML). A grammar compiler transforms the XML grammar into a SAPI 5 binary format for SAPI 5 compliant speech recognition engines.

A SAPI 5 grammar text file is comprised of XML elements and attributes that express one or more rules (i.e., recognizable utterances). An example SAPI5 compatible grammar file of rules is as follows:

<GRAMMAR LANGID="409">
   <RULE NAME="aRule" TOPLEVEL="ACTIVE">
      <L>
         <P>WORD</P>
         <P>OR PHRASE</P>
         <P><RULEREF NAME="anotherRule"/></P>
         <P>PHRASE WITH <RULEREF NAME="aDynamicRule"/></P>
      </L>
   </RULE>
   <RULE NAME="anotherRule">
     <L>
         <P>ANOTHER PHRASE</P>
         <P>AN ADDITIONAL PHRASE</P>
         <P>ANOTHERWORD</P>
      </L>
   </RULE>
   <RULE NAME="aDynamicListRule" DYNAMIC="TRUE">
         <P>aPlaceHolderForSubstitutionAtRuntime</P>
   </RULE>
</GRAMMAR>

The outermost tags, <GRAMMAR></GRAMMAR>, define the bounds of the grammar. You specify the language of your grammar in the grammar tag. Within the grammar, you define one or more rules using the <RULE></RULE> tags. At least one rule should be designated TOPLEVEL="ACTIVE" indicating that this rule is activated when the grammar is enabled. The EnableResource method enables all top level rules. You may have additional TOPLEVEL rules and subordinate rules defined in the grammar.

Each rule must have one or more phrases defined using the <P></P> tags. You can define a list of alternate phrases using the <L></L> tags.

You reference subordinate rules using the <RULEREF NAME="rulename"/> tag.

A question mark (?) preceding a word indicates that the word is optional.

To substitute a dynamic list of words or phrases, define a rule with the DYNAMIC="TRUE" property and a placeholder phrase.

Refer to the Microsoft Speech SDK 5.x for more information about SAPI 5 grammars and grammar compiler.

The following topics provide a quick reference for SAPI 5 speech recognition grammar format:

  • Extensible Markup Language (XML),
  • Grammar Elements and Attributes, and
  • Special Characters.


SAPI 5 Extensible Markup Language (XML)

Extensible Markup Language (XML) allows you to mark up data. That is, the language allows you to apply semantic and organizational structure to data. XML is very flexible and powerful, since the markup language can be anything you want it to be within the XML markup rules.

XML consists of elements, element attributes, and element relationships. The markup rules that describe elements, attributes, and element relationships are defined in an XML schema.

XML expresses elements using tags. Tags are text representation of elements. Element types have names enclosed within less than and greater than signs (e.g., <XMLElement>). Elements may have attributes that are assigned values within the tag (e.g., <XMLElement anAttribute="value"/>). Elements may also have text associated with them. Element text is declared between begin and end tag syntax (e.g., <XMLElement>element text</XMLElement>).

Microsoft SAPI 5 defines a speech recognition context-free grammar XML schema as part of the specification. This schema definition defines the XML elements, attributes, and element relationships to use when creating SAPI 5 context-free grammars.

For more information about XML, consult the World Wide Web Consortium Web site.


SAPI 5 Grammar Elements and Attributes

SAPI 5 context-free grammars are expressed with XML elements and attributes. The following SAPI 5 grammar elements may be used to construct context-free grammars:

  • <!--COMMENT-->,
  • <DEFINE>,
  • <DICTATION>,
  • <GRAMMAR>,
  • <ID>,
  • <LIST>,
  • <OPT>,
  • <PHRASE>,
  • <RESOURCE>,
  • <RULE>,
  • <RULEREF>,
  • <TEXTBUFFER>, and
  • <WILDCARD>.


SAPI 5 Grammar Comment Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<!--COMMENT-->

A comment contains text between the comment begin and end tags. Comment elements are for your benefit as a grammar author. They do not affect the grammar.

<GRAMMAR LANGID="409">
    <!-- This is an empty grammar -->
</GRAMMAR>

Attributes

none

Children

none

Parents

Any


SAPI 5 Grammar Define Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<DEFINE>

A <DEFINE> element is used to group one or more <ID> elements.

<GRAMMAR LANGID="409">
    <DEFINE>
        <ID NAME="FIRSTCHOICE" VAL="1"/>
        <ID NAME="SECONDCHOICE" VAL="2"/>
    </DEFINE>
</GRAMMAR>

Attributes

none

Children

<ID>

Parents

<LIST>, <OPT>, <PHRASE>, and <RULE>.


SAPI 5 Grammar Dictation Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<DICTATION>

A <DICTATION> element indicates to listen for any range of words that are found in the recognizer's dictionary.

<GRAMMAR LANGID="409">
    <RULE NAME="chatter" TOPLEVEL="ACTIVE">
        <DICTATION MIN="1" MAX="5" PROPID="DICTID" PROPNAME="RANDOMWORDS"/>
    </RULE>
</GRAMMAR>

Attributes

MAX

The maximum number of times valid recognitions of this element's contents may be recognized repeatedly. A value INF indicates that any number of recognitions may occur. The valid range of values for this is 1 to 255, or INF for infinite. The default value is 1. This attribute is optional.

MIN

The minimum number of times valid recognitions of this element's contents may be recognized repeatedly. The valid range of values for this is 0 to 255 and must be less than the value specified in MAX. If the MIN value is greater than the MAX value, the MAX is used. The default value is 1. This attribute is optional.

PROPID

NAME attribute of an <ID> element. The <ID> element VAL attribute is returned when recognitions occur. This attribute is optional.

PROPNAME

String identifier to indicate that a PROPID value is returned when recognitions occur. This attribute is optional.

Children

none

Parents

<LIST>, <OPT>, <PHRASE>, and <RULE>.


SAPI 5 Grammar Grammar Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<GRAMMAR>

A <GRAMMAR> element is the root element of a SAPI 5 context-free grammar. It defines the language of the grammar. A grammar file may contain only one <GRAMMAR> element.

<GRAMMAR LANGID="409" LEXDELIMITER="/" WORDTYPE="LEXICAL">
    <RULE NAME="hello" TOPLEVEL="ACTIVE">
        <PHRASE>Hello world</PHRASE>
    </RULE>
</GRAMMAR>

Attributes

LANGID

Defines the language identifier of the XML grammar. The speech recognition engine must support the grammar's language identifier for the grammar to successfully be loaded. The default value is the current user's UI language. This attribute is optional.

LEXDELIMITER

Specifies the delimiter that SAPI should use to separate an explicit lexicon entry in the grammar. The format is: LEXDELIMITER DisplayForm LEXDELIMITER LexicalForm LEXDELIMITER Pronunciation;. The default value is "/". This attribute is optional.

WORDTYPE

Specifies the type of the word(s) to be added to the grammar. Value must be the string "LEXICAL" with SAPI 5.0 and SAPI 5.1. See SPGRAMMARWORDTYPE in the Microsoft Speech SDK 5.1 for more information. The default value is "LEXICAL". This attribute is optional.

Children

<DEFINE> and <RULE>.

Parents

Grammar document.


SAPI 5 Grammar ID Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<ID>

An <ID> element is a name/value pair used to assign a constant value to other grammar elements via their PROPID attribute. <ID> elements are declared within a <DEFINE> element.

<GRAMMAR LANGID="409">
    <DEFINE>
        <ID NAME="FIRSTCHOICE" VAL="1"/>
        <ID NAME="SECONDCHOICE" VAL="2"/>
    </DEFINE>
</GRAMMAR>

Attributes

NAME

String identifier of the element.

VAL

The value associated with the identifier.

Children

none

Parents

<DEFINE>


SAPI 5 Grammar List Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<LIST>

A <LIST> element is group of alternative grammar elements. Only one list entry is recognized and returned by the recognizer at a time.

<GRAMMAR LANGID="409">
    <RULE NAME="sandwiches" TOPLEVEL="ACTIVE">
        <OPT><RULEREF NAME="number"/></OPT>
        <LIST PROPNAME="menuitems">
            <PHRASE>VALUE MEAL</PHRASE>
            <PHRASE>KIDS MEAL</PHRASE>
            <PHRASE>FISH FILET DELUXE</PHRASE>
            <PHRASE>JUMBO BURGER DELUXE</PHRASE>
            <PHRASE>CHICKEN FILET DELUXE</PHRASE>
            <PHRASE>APPLE PIE</PHRASE>
            <PHRASE>COOKIES</PHRASE>
        </LIST>
    </RULE>
    <RULE NAME="number">
        <LIST PROPNAME="number">
            <PHRASE VALSTR="1">one</PHRASE>
            <PHRASE VALSTR="2">two</PHRASE>
            <PHRASE VALSTR="3">three</PHRASE>
            <PHRASE VALSTR="4">four</PHRASE>
            <PHRASE VALSTR="5">five</PHRASE>
            <PHRASE VALSTR="6">six</PHRASE>
            <PHRASE VALSTR="7">seven</PHRASE>
            <PHRASE VALSTR="8">eight</PHRASE>
            <PHRASE VALSTR="9">nine</PHRASE>
            <PHRASE VALSTR="10">ten</PHRASE>
        </LIST>
    </RULE>
</GRAMMAR>

Attributes

PROPID

NAME attribute of an <ID> element. The <ID> element VAL attribute is returned when recognitions occur. This attribute is optional.

PROPNAME

String identifier to indicate that a PROPID value is returned when recognitions occur. This attribute is optional.

Children

<DICTATION>, <LIST>, <PHRASE>, <RULEREF>, <TEXTBUFFER>, and <WILDCARD>.

Parents

<LIST>, <OPT>, <PHRASE>, and <RULE>.


SAPI 5 Grammar Opt Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<OPT>

An <OPT> element represents one or more words that may or may not be spoken when matching for the rule.

<GRAMMAR LANGID="409">
    <RULE NAME="burgers" TOPLEVEL="ACTIVE">
        <OPT PROPNAME="upsize">DOUBLE</OPT>
         <LIST PROPNAME="burgers">
            <PHRASE>HAMBURGER</PHRASE>
            <PHRASE>CHEESEBURGER</PHRASE>
        </LIST>
    </RULE>
</GRAMMAR>

Attributes

DISP

Specifies the display form for the given phrase tag. Spoken words can have alternative text used for display. For example, the display form of the word two may be 2. This attribute is optional.

MAX

The maximum number of times valid recognitions of this element's contents may be recognized repeatedly. A value INF indicates that any number of recognitions may occur. The valid range of values for this is 1 to 255, or INF for infinite. The default value is 1. This attribute is optional.

MIN

The minimum number of times valid recognitions of this element's contents may be recognized repeatedly. The valid range of values for this is 0 to 255 and must be less than the value specified in MAX. If the MIN value is greater than the MAX value, the MAX is used. The default value is 1. This attribute is optional. This attribute is optional.

PRON

Phonemes that represent the phrase pronunciation. This attribute is optional.

PROPID

NAME attribute of an <ID> element. The <ID> element VAL attribute is returned when recognitions occur. This attribute is optional.

PROPNAME

String identifier to indicate that a VAL or VALSTR value is returned when recognitions occur. This attribute is optional.

VAL

A numeric value to return as a property value associated with the recognize phrase. This attribute is optional.

VALSTR

A string value to return as a property value associated with the recognize phrase. This attribute is optional.

WEIGHT

Float value (e.g., .15) that specifies the probability that this phrase versus another phrase in the list is recognized. The combined weights of the phrases in the list should be equal to 1. This attribute is optional.

Children

<DICTATION>, <LIST>, <OPT>, <PHRASE>, <RULEREF>, <TEXTBUFFER>, and <WILDCARD>.

Parents

<OPT>, <PHRASE>, and <RULE>.


SAPI 5 Grammar Phrase Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<PHRASE>

A <PHRASE> element is comprised of one or words used when matching for the rule.

<GRAMMAR LANGID="409">
    <RULE NAME="commandsandquestions" TOPLEVEL="ACTIVE">
        <PHRASE>What kind of soft drinks do you have</PHRASE>
    </RULE>
</GRAMMAR>

Attributes

DISP

Specifies the display form for the given phrase tag. Spoken words can have alternative text used for display. For example, the display form of the word two may be 2. This attribute is optional.

MAX

The maximum number of times valid recognitions of this element's contents may be recognized repeatedly. A value INF indicates that any number of recognitions may occur. The valid range of values for this is 1 to 255, or INF for infinite. The default value is 1. This attribute is optional.

MIN

The minimum number of times valid recognitions of this element's contents may be recognized repeatedly. The valid range of values for this is 0 to 255 and must be less than the value specified in MAX. If the MIN value is greater than the MAX value, the MAX is used. The default value is 1. This attribute is optional. This attribute is optional.

PRON

Phonemes that represent the phrase pronunciation. This attribute is optional.

PROPID

NAME attribute of an <ID> element. The <ID> element VAL attribute is returned when recognitions occur. This attribute is optional.

PROPNAME

String identifier to indicate that a VAL or VALSTR value is returned when recognitions occur. This attribute is optional.

VAL

A numeric value to return as a property value associated with the recognize phrase. This attribute is optional.

VALSTR

A string value to return as a property value associated with the recognize phrase. This attribute is optional.

WEIGHT

Float value (e.g., .15) that specifies the probability that this phrase versus another phrase in the list is recognized. The combined weights of the phrases in the list should be equal to 1. This attribute is optional.

Children

<DICTATION>, <LIST>, <OPT>, <PHRASE>, <RULEREF>, <TEXTBUFFER>, and <WILDCARD>.

Parents

<LIST>, <OPT>, <PHRASE>, and <RULE>.


SAPI 5 Grammar Resource Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<RESOURCE>

A <RESOURCE> element defines that a grammar is located in a standard Windows Resource.

<GRAMMAR LANGID="409">
    <DEFINE>
        <ID NAME="ResourceID" VAL="2002"/>
    </DEFINE>
    <RULE ID="ResourceID" TOPLEVEL="ACTIVE">
        <RESOURCE NAME="AResource">
            <![CDATA[Hello]]>
        </RESOURCE>
        <PHRASE>World</PHRASE>
    </RULE>
</GRAMMAR>

Attributes

NAME

String identifier value for the resource ID.

Children

none

Parents

<RULE>


SAPI 5 Grammar Rule Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<RULE>

A <RULE> element defines a phrase to recognize. A <RULE> definition may consist of a single <PHRASE> or multiple generations of grammar elements depending on the complexity of what can be spoken.

<GRAMMAR LANGID="409">
    <RULE NAME="sandwiches" TOPLEVEL="ACTIVE">
        <OPT><RULEREF NAME="number"/></OPT>
        <LIST PROPNAME="menuitems">
            <PHRASE>VALUE MEAL</PHRASE>
            <PHRASE>KIDS MEAL</PHRASE>
            <PHRASE>FISH FILET DELUXE</PHRASE>
            <PHRASE>JUMBO BURGER DELUXE</PHRASE>
            <PHRASE>CHICKEN FILET DELUXE</PHRASE>
            <PHRASE>APPLE PIE</PHRASE>
            <PHRASE>COOKIES</PHRASE>
        </LIST>
    </RULE>
    <RULE NAME="number">
        <LIST PROPNAME="number">
            <PHRASE VALSTR="1">one</PHRASE>
            <PHRASE VALSTR="2">two</PHRASE>
            <PHRASE VALSTR="3">three</PHRASE>
            <PHRASE VALSTR="4">four</PHRASE>
            <PHRASE VALSTR="5">five</PHRASE>
            <PHRASE VALSTR="6">six</PHRASE>
            <PHRASE VALSTR="7">seven</PHRASE>
            <PHRASE VALSTR="8">eight</PHRASE>
            <PHRASE VALSTR="9">nine</PHRASE>
            <PHRASE VALSTR="10">ten</PHRASE>
        </LIST>
    </RULE>
</GRAMMAR>

Attributes

DYNAMIC

Indicates whether the rule can be updated (dynamically) at runtime. Valid values include: 0 or 1, False or True, and No or Yes. The default value is 0. This attribute is optional.

EXPORT

Indicates whether the rule can be loaded by another grammar. By default, all grammars are not exportable. Dynamic rules or rules that reference dynamic rules cannot be exported. Valid values include: 0 or 1, False or True, and No or Yes. The default value is 0. This attribute is optional.

ID

A numeric identifier that is associated with a rule. This attribute is optional.

INTERPRETER

Indicates whether the rule should use the CFG-interpreter. Valid values include: Valid values include: 0 or 1, False or True, and No or Yes. The default value is 0. This attribute is optional.

NAME

A string identifier that is associated with a rule. This attribute is optional.

TOPLEVEL

Indicates that the rule is not dependent on parent rule and may be activated and deactivated programmatically. Valid values include ACTIVE and INACTIVE that specifies whether the rule is active by default when the grammar is loaded. The default value is INACTIVE. This attribute is optional.

Children

<DICTATION>, <LIST>, <OPT>, <PHRASE>, <RESOURCE>, <RULEREF>, <TEXTBUFFER>, and <WILDCARD>.

Parents

<GRAMMAR>


SAPI 5 Grammar Ruleref Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<RULEREF>

A <RULEREF> element serves as a reference to a rule that is included as part of the phrase to recognize. It provides a way to nest rule definitions within one another.

<GRAMMAR LANGID="409">
    <RULE NAME="burgers" TOPLEVEL="ACTIVE">
        <OPT><RULEREF NAME="number"/></OPT>
        <OPT PROPNAME="upsize">DOUBLE</OPT>
        <LIST PROPNAME="burgers">
            <PHRASE>HAMBURGER</PHRASE>
            <PHRASE>CHEESEBURGER</PHRASE>
        </LIST>
    </RULE>
    <RULE NAME="number">
        <LIST PROPNAME="number">
            <PHRASE VALSTR="1">one</PHRASE>
            <PHRASE VALSTR="2">two</PHRASE>
            <PHRASE VALSTR="3">three</PHRASE>
            <PHRASE VALSTR="4">four</PHRASE>
            <PHRASE VALSTR="5">five</PHRASE>
            <PHRASE VALSTR="6">six</PHRASE>
            <PHRASE VALSTR="7">seven</PHRASE>
            <PHRASE VALSTR="8">eight</PHRASE>
            <PHRASE VALSTR="9">nine</PHRASE>
            <PHRASE VALSTR="10">ten</PHRASE>
        </LIST>
    </RULE>
</GRAMMAR>

Attributes

NAME

A string identifier to associated with the element. This attribute is optional.

OBJECT

The PROGID of a COM object that contains either the CFG interpreter or grammar rule. This attribute is optional.

PROPID

NAME attribute of an <ID> element. The <ID> element VAL attribute is returned when recognitions occur. This attribute is optional.

PROPNAME

String identifier to indicate that a PROPID value is returned when recognitions occur. This attribute is optional.

REFID

A numeric identifier associated with the rule to be referenced. This attribute is optional.

URL

A uniform resource locator (URL) address of the rule to be referenced. This attribute is optional.

VAL

A numeric value to return as a property value associated with the recognize phrase. This attribute is optional.

VALSTR

A string value to return as a property value associated with the recognize phrase. This attribute is optional.

WEIGHT

Float value (e.g., .15) that specifies the probability that this phrase versus another phrase in the list is recognized. The combined weights of the phrases in the list should be equal to 1. This attribute is optional.

Children

none

Parents

<LIST>, <OPT>, <PHRASE>, and <RULE>.


SAPI 5 Grammar Textbuffer Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<TEXTBUFFER>

A <TEXTBUFFER> element indicates that the Grammar source is provided by the application at runtime.

<GRAMMAR LANGID="409">
    <RULE ID="Choices" TOPLEVEL="ACTIVE">
        <PHRASE>one of the following</PHRASE>
        <TEXTBUFFER PROPID="ChoiceSelected"/>
    </RULE>
</GRAMMAR>

Attributes

PROPID

NAME attribute of an <ID> element. The <ID> element VAL attribute is returned when recognitions occur. This attribute is optional.

PROPNAME

String identifier to indicate that a PROPID value is returned when recognitions occur. This attribute is optional.

WEIGHT

Float value (e.g., .15) that specifies the probability that this phrase versus another phrase in the list is recognized. The combined weights of the phrases in the list should be equal to 1. This attribute is optional.

Children

none

Parents

<LIST>, <OPT>, <PHRASE>, and <RULE>.


SAPI 5 Grammar Wildcard Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<WILDCARD>

A <WILDCARD> element is a garbage word identifier for one or more non-silence sounds. It is used to allow variations of the desired phrase to be spoken yet result in a rule match.

<GRAMMAR LANGID="409">
    <RULE NAME="burgers" TOPLEVEL="ACTIVE">
         <LIST PROPNAME="burgers">
            <PHRASE>HAMBURGER <WILDCARD/></PHRASE>
            <PHRASE>CHEESEBURGER <WILDCARD/></PHRASE>
        </LIST>
    </RULE>
</GRAMMAR>

Attributes

none

Children

none

Parents

<LIST>, <OPT>, <PHRASE>, and <RULE>.


SAPI 5 Grammar Special Characters

The Microsoft SAPI 5 grammar compiler supports special characters as alternatives to element tag. The special characters supported by the SAPI 5 grammar compiler include:

  • question mark (?),
  • ellipsis (...),
  • asterisk (*),
  • plus sign (+), and
  • minus sign (-).

Question Mark (?)

A question mark before a word identifies the word as optional. Using a question mark is the same as using the <OPT> element for the word. The question mark only applies to the word that immediately follows it. So it is not intended for use with phrases.

For example, words such as, "please" are often identified as optional.

<GRAMMAR LANGID="409">
    <RULE id="menu" TOPLEVEL="ACTIVE">
        <PHRASE>I would like a hamburger ?please</PHRASE>
    </RULE>
</GRAMMAR>

Ellipsis (...)

An ellipsis is used to allow any word or words to be spoken. It is equivalent to a <WILDCARD> element. The words spoken are not considered critical to the rule's intent.

For example, extraneous words in following transaction may be ignored:

<GRAMMAR LANGID="409">
    <RULE id="menu" TOPLEVEL="ACTIVE">
        <PHRASE>... hamburger ?please</PHRASE>
    </RULE>
</GRAMMAR>

and is analogous with:

<GRAMMAR LANGID="409">
    <RULE id="menu" TOPLEVEL="ACTIVE">
        <WILDCARD/>
        <PHRASE>hamburger ?please</PHRASE>
    </RULE>
</GRAMMAR>

Asterisk (*)

The asterisk allows any word or words to be spoken. It is analogous with the <DICTATION> element.

For example, to return accept a phrase that has one variable word, a dictation asterisk may be used as follows:

<GRAMMAR LANGID="409">
    <RULE id="colorchoice" TOPLEVEL="ACTIVE">
        <PHRASE>My favorite color is *</PHRASE>
    </RULE>
</GRAMMAR>

and is analogous with:

<GRAMMAR LANGID="409">
    <RULE id="colorchoice" TOPLEVEL="ACTIVE">
        <PHRASE>My favorite color is</PHRASE>
        <DICTATION/>
    </RULE>
</GRAMMAR>

If more than one word is allowed, then use the plus sign (+) after the asterisk. This is analogous with using the <DICTATION> element with the MAX attribute.

For example,

<GRAMMAR LANGID="409">
    <RULE id="directions" TOPLEVEL="ACTIVE">
        <PHRASE>What are the directions for *+</PHRASE>
    </RULE>
</GRAMMAR>

is analogous with:

<GRAMMAR LANGID="409">
    <RULE id="directions" TOPLEVEL="ACTIVE">
        <PHRASE>What are the directions for</PHRASE>
        <DICTATION MAX="INF"/>
    </RULE>
</GRAMMAR>

Plus Sign (+)

Placing a plus sign in front of a word indicates that the speech recognition engine should increase the required confidence when matching this word.

For example, when prompting with a message box, you want to ensure the yes and no responses are distinguishable.

<GRAMMAR LANGID="409">
    <RULE id="messagebox" TOPLEVEL="ACTIVE">
        <LIST>
            <PHRASE>+YES</PHRASE>
            <PHRASE>+NO</PHRASE>
        </LIST>
    </RULE>
</GRAMMAR>

There is no XML Grammar tag equivalent for the confidence increase plus sign character.

Minus Sign (-)

Placing a minus sign in front of a word indicates that the speech recognition engine should decrease the required confidence when matching this word.

For example, some words included in commands to aid in uniqueness are not critical to the command.

<GRAMMAR LANGID="409">
    <RULE id="commands" TOPLEVEL="ACTIVE">
        <LIST>
            <PHRASE>-show +email</PHRASE>
            <PHRASE>-turn +off +microphone</PHRASE>
        </LIST>
    </RULE>
</GRAMMAR>

There is no XML Grammar tag equivalent for the confidence decrease minus sign character.

How a speech recognition engine asserts confidence is unique to the engine. There is no standard or threshold defined by SAPI 5.


Nuance BNF+

Print document

The Nuance BNF+ grammar text file format is a Backus-Naur Form (BNF) grammar adapted for speech recognition in two formats: Engine Mode and Attributed Mode. BNF+ Engine mode has limited amount of Natural Language Understanding (NLU) capabilities. BNF+ Attributed mode offers more elaborate NLU capabilities and attribute-value pair recognition results.

A BNF+ grammar is comprised of statements and rules. Statements serve as declartions to inform the grammar compiler of options it should use when compiling the grammar. Rules are the syntax for declaring the recognition utterances as illustrated by the following:

<rule> : sentences | phrases | directives | <subrules>;

This general form is referred to as a rule. The rule has four parts:

Part | Description
<rule> | The left side. This part of the production rule is required, although it is not necessary to specify the string exactly as illustrated. In general, any string may be used as long as it is placed between angle brackets <>, and the string formed by the angle brackets and must be unique within the grammar.
: | The assignment operator. This part of the rule is required and must be written as shown.
sentences | phrases | directives | <subrules> | The right side. This part of the rule defines all of the sentences, phrases, directives, and subordinate rules that are valid in the speech grammar.
; (semi-colon) | The end-of-rule delimiter. This part of the rule is required and must be specifed as shown.

In addition to the rules declaring the utterances to be recognized, a BNF+ grammar must provide the grammar compiler with statements and directives for compiling the rules. An example engine mode grammar is as follows:

#BNF+EM V1.0;
!grammar Digit;
!start <Speech>;
<Speech>: !repeat(<Digit>,1,*);
<Digit>: 0 !id(0) |
          1 !id(1) |
          2 !id(2) |
          3 !id(3) |
          4 !id(4) |
          5 !id(5) |
          6 !id(6) |
          7 !id(7) |
          8 !id(8) |
          9 !id(9);

The "#BNF+EM V1.0;" statement indicates the type of grammar. EM specifices engine mode and AM specifies attribute mode.

The "!grammar" directive defines the name of the grammar. The "!" (exclamation mark) indicates a directive for grammar compiler.

The "!start" directive defines the entry point of grammar.

The "<Speech>" rule declares the subrule <Digit> can be spoken 1 or more times by using the repeat directive.

The "<Digit>" rule declares the list of possible utterances to to recognize. The id directive defines a WordID for a terminal. The Word ID is returned as part of the recognition result.

Parenthesis () can be used to group expressions together.

The vertical bar (|) means "or".

Comments can be included by using two forward slashes (//) as a prefix to the text or between /* and */.

Refer to the Nuance VoCon 3200 SDK for more information about BNF+ grammars.


Java Speech Grammar Format (JSGF)

The Java Speech Grammar Format (JSGF) grammar text file format is a Backus-Naur Form (BNF) grammar adapted for speech recognition. The JSGF specification is Grammar Format Specification 1.0

A JSGF grammar is comprised of statements and rules. Statements serve as declartions to inform the grammar compiler of options it should use when compiling the grammar. Rules are the syntax for declaring the recognition utterances as illustrated by the following:

public <ruleName> = sentences | phrases | <subrules>;

This general form is referred to as a rule. The rule has four parts:

Part | Description
public <ruleName> private <ruleName> | The left side. The rule definition consists of a scoping declaration followed by a legal rule name.
= | The assignment operator. This part of the rule is required and must be written as shown.
ruleExpansion | The right side. This part of the rule defines all of the sentences, phrases, and subordinate rules that are valid in the speech grammar.
; (semi-colon) | The end-of-rule delimiter. This part of the rule is required and must be specifed as shown.

In addition to the rules declaring the utterances to be recognized, a BNF+ grammar must provide the grammar compiler with statements and directives for compiling the rules. An example engine mode grammar is as follows:

#JSGF V1.0;
grammar Colors;
// This is the list of colors
public <Color> = <colorlist> ;
<colorlist> = red
    | blue
    | green
    | yellow
    | pink
    | purple
    | brown
    | orange
;

The "#JSGF V1.0;" statement indicates the type of grammar.

The "grammar" declaration defines the name of the grammar.

The "Color" root rule declares the subrule colorlist. The rule may be scoped public or private.

The "colorlist" rule declares the list of possible utterances to to recognize.

The vertical bar (|) means "or".

Comments can be included by using two forward slashes (//) as a prefix to the text or between /* and */.

Refer to the JSGF specification Grammar Format Specification 1.0 for more information about JSGF grammars.


W3C SRGS ABNF

The W3C SRGS ABNF grammar text file format is a Backus-Naur Form (BNF) grammar adapted for speech recognition. The W3C specification is Recognition Grammar Specification Version 1.0

The following W3C SRGS ABNF keywords may be used to construct speech recognition grammars:

  • #ABNF
  • /* comment */
  • item
  • lexicon
  • meta
  • | (one-of)
  • $ (rule)
  • $ (ruleref)
  • { } (tag)
  • token

Source: Recognition Grammar Specification Version 1.0


W3C SRGS ABNF Comment Keyword

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

/* comment */

A /* comment */ may be placed in most places in a grammar document. Comments are for the benefit of the grammar author and maintainer. C/C++/Java single and multiline comments are permitted.

Collapse/Expand Syntax section Syntax

/* single or mulitline */
// single line

Collapse/Expand Example section Example

The following example illustrates declaring a comment.

// This is a comment


W3C SRGS ABNF #ABNF Keyword

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

#ABNF

An #ABNF keyword declares the self-identifying header that must be present in any legal stand-alone ABNF Form grammar document. It defines the beginning of the speech rules.

Collapse/Expand Syntax section Syntax

#ABNF version encoding;
base <uri>;
language langid;
mode string;
root ruleref;
tag-format <format-type>

Keyword options

version

Specifies the version of the specification to be used for the grammar and must have the value "1.0".

encoding

Declares character encodings.

Addition header statements are available to define the grammar. The W3C specification defines these keywords a optional, some recognizers may required specific keywords.

Keyword | Description
base | Optional. Defines a URI form which relative URIs are resolved.
language | Optional. Defines the grammar language.
mode | Optional. Indicates the type of input that the user agent should be detecting. The default mode is "voice" for speech recognition grammars. An alternative input mode is "dtmf" input.
root | Optional. Declares a single rule to be the root rule of the grammar. The rule declared as the root rule must be defined within the scope of the grammar. The rule declared as the root rule may be scoped as either public or private.
tag-format | Optional. Indicates the content type of all rule tags and header tags contained within a grammar.

Collapse/Expand Example section Example

The following example illustrates an ABNF grammar.

#ABNF 1.0 ISO-8859-1;
language En;
mode voice;
// This is the list of colors
public $Color = $colorlist;
$colorlist = red
    | blue
    | green
    | yellow
    | pink
    | purple
    | brown
    | orange
;


W3C SRGS ABNF Item Keyword

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

item

An item is a legal expansion within a rule statement. A weight attribute of item is ignored unless the element appears within a <one-of> element.

Collapse/Expand Syntax section Syntax

item <n-m>
/weight/ item

Keyword options

repeat

Indicates the number of times the contained expansion may be repeated.

weight

A weight of 1.0 is equivalent to providing no weight at all. A weight greater than "1.0" positively biases the alternative and a weight less than "1.0" negatively biases the alternative.

Collapse/Expand Remarks section Remarks

Repeat operators are provided that define a legal rule expansion as being another sub-expansion that is optional, that is repeated zero or more times, that is repeated one or more times, or that is repeated some range of times.

Form | Description
repeat="n"
repeat="6" 		The contained expansion is repeated exactly "n" times. "n" must be "0" or a positive integer.
repeat="m-n"
repeat="4-6" 		The contained expansion is repeated between "m" and "n" times (inclusive). "m" and "n" must both be "0" or a positive integer and "m" must be less than or equal to "n".
repeat="m-"
repeat="3-" 		The contained expansion is repeated "m" times or more (inclusive). "m" must be "0" or a positive integer. For example, "3-" declares that the contained expansion can occur three, four, five or more times.
repeat="0-1" | The contained expansion is optional.

Collapse/Expand Example section Example

The following example illustrates using items with repeat and weight keywords.

// the token "very" is optional
[very]
very <0-1>

// the rule reference $digit can occur zero, one or many times
$digit <0->

// the rule reference $digit can occur one or more times
$digit <1->

// the rule reference $digit can occur four, five or six times
$digit <4-6>

// the rule reference $digit can occur ten or more times
$digit <10->

// Examples of the following expansion
//   "pizza"
//   "big pizza with pepperoni"
//   "very big pizza with cheese and pepperoni"
[[very] big] pizza ([with | and] $topping) <0->

// the token "very" is optional and is 60% likely to occur
// and 40% likely to be absent in input
very <0-1 /0.6/>

// the rule reference $digit must occur two to four times
// with 80% probability of recurrence
$digit <2-4 /.8/>


W3C SRGS ABNF Lexicon Keyword

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

lexicon

A lexicon keyword defines a statement as a reference to a document of pronunciations. The pronunciation information contained within a lexicon is used for tokens appearing within the referencing document. Any number of lexicon elements may occur in the grammar header after the #ABNF> statement.

Collapse/Expand Syntax section Syntax

lexicon <uri>~<media-type>;

Keyword options

media-type

Optional. Specifies the media type of the pronunciation lexicon document.

uri

The URI of the lexicon document.

Collapse/Expand Example section Example

The following example illustrates using lexicon keywords.

#ABNF V1.0 ISO-8859-1;
language en-US;
lexicon <http://www.example.com/lexicon.file>;
lexicon <http://www.example.com/strange-city-names.file>~<media-type>;


W3C SRGS ABNF Meta Keyword

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

meta or http-equiv

A meta or http-equiv keyword defines a metadata item as a name/value pair.

Collapse/Expand Syntax section Syntax

meta "name" is "value"
http-equiv "name" is :value"
      name="string" />

Keyword options

name

The name of the metadata property.

value

The value of the metadata property.

Collapse/Expand Example section Example

The following example illustrates using metadata.

#ABNF 1.0;

meta "Creator" is "Stephanie Williams";
meta "seeAlso" is "http://example.com/my-grammar-metadata.xml";

http-equiv "Expires" is '0';
http-equiv "Date" is "Thu, 12 Dec 2000 23:27:21 GMT";


W3C SRGS ABNF Oneof Keyword

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

| (one-of)

A | (one-of) keyword separates a set of alternative items.

Collapse/Expand Syntax section Syntax

item | item

Collapse/Expand Example section Example

The following example illustrates using a | keyword.

#ABNF 1.0 ISO-8859-1;
language En;
mode voice;
// This is the list of colors
public $Color = $colorlist;
$colorlist = red
    | blue
    | green
    | yellow
    | pink
    | purple
    | brown
    | orange
;


W3C SRGS ABNF Rule Keyword

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

$ (rule)

A $ (rule) can surround any expansion ($ (rule), | (one-of), $, { } (tag), token to permit a repeat attribute or language identifier to be attached. The weight attribute of rule is ignored unless the element appears within a | (one-of) keyword.

Collapse/Expand Syntax section Syntax

$ruleName = ruleExpansion;
public $ruleName = ruleExpansion;
private $ruleName = ruleExpansion;

Collapse/Expand Remarks section Remarks

Each defined rule has a scope. The scope is either "private" or "public". If not explicitly declared in a rule definition then the scope defaults to "private".

A public-scoped rule may referenced in the rule definitions of other grammars. A private rule may be referenced only by other rules within the same grammar.

Collapse/Expand Example section Example

The following example illustrates using rule elements.

#ABNF 1.0 ISO-8859-1;
language En;
mode voice;
// This is the list of cities
public $City = $citylist;
$citylist = Atlanta
    | Miami
    | New York
;


W3C SRGS ABNF Ruleref Keyword

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

$ (ruleref)

A $ (ruleref) keyword is an empty keyword with a uri attribute that specifies the rule reference to an external or local rule.

Collapse/Expand Syntax section Syntax

$rulename

Attributes

rulename

The name of the rule.

Collapse/Expand Remarks section Remarks

There are various forms of rule reference that are possible within and across grammar documents.

Form | Description
$rulename | Explicit local rule reference.
$<grammarURI#rulename> | Explicit reference to a named rule of a grammar identified by a URI.
$<grammarURI> | Implicit reference to the root rule of a grammar identified by a URI.
$<grammarURI#rulename>~<media-type> | Explicit reference to a named rule of a grammar identified by a URI with a media type.
$<grammarURI>~<media-type> | Implicit reference to the root rule of a grammar identified by a URI with a media type.

Several rulenames are defined to have specific interpretation and processing by a speech recognizer. A grammar must not redefine these rulenames.

Rulename | Form | Description
NULL | $NULL | Defines a rule that is automatically matched without the user speaking any word.
VOID | $VOID | Defines a rule that can never be spoken.
GARBAGE | $GARBAGE | Defines a rule that may match any speech up until the next rule match, the next token, or until the end of spoken input.

Collapse/Expand Example section Example

The following example illustrates using ruleref elements.

#ABNF 1.0 ISO-8859-1;
language En;
mode voice;
// References to specific rules of an external grammar
$<http://grammar.example.com/world-cities.gram#canada>
$<http://grammar.example.com/numbers.gram#digit>

// Implicit reference to the root rule of an external grammar
$<../date.gram>

// References with associated media types
$<http://grammar.example.com/world-cities.gram#canada>~<application/srgs>
$<../date.gram>~<application/srgs>


W3C SRGS ABNF Tag Keyword

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

{ } tag

A { } tag keyword is an arbitrary string that may be included inline within any legal rule expansion. Any number of tags may be included inline within a rule expansion. The content of tag is CDATA.

Collapse/Expand Syntax section Syntax

{ tag-content };

Collapse/Expand Example section Example

The following example illustrates using tag elements.

#ABNF 1.0 ISO-8859-1;
language En;
mode voice;
$rule1 = this is a {TAG-CONTENT-1} test {TAG-CONTENT-2};

$rule2 = open {TAG-CONTENT-1} | $close {TAG-CONTENT-2};

$rule3 = {!{ a simple tag containing { and } needs no escaping }!};


W3C ABNF XML Token Keyword

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

token

A token keyword defines words or other entities that may be spoken. Quotation marks may be used.

Collapse/Expand Syntax section Syntax

token

Collapse/Expand Example section Example

The following example illustrates token elements.

hello
2
"San Francisco"
"hello"
bon voyage


W3C SRGS XML

The W3C SRGS XML grammar text file format is an Extensible Markup Language (XML) grammar adapted for speech recognition. The W3C specification is Recognition Grammar Specification Version 1.0

W3C SRGS XML grammars are expressed with XML elements and attributes. The following W3C SRGS XML grammar elements may be used to construct speech recognition grammars:

  • <!--comment-->
  • <example>
  • <grammar>
  • <item>
  • <lexicon>
  • <meta>
  • <metadata>
  • <one-of>
  • <rule>
  • <ruleref>
  • <tag>
  • <token>

Source: Recognition Grammar Specification Version 1.0


W3C SRGS XML Comment Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<!-- comment -->

A <!-- comment --> element contains text between the comment begin and end tags. Comments are for the benefit of the grammar author and maintainer.

Collapse/Expand Syntax section Syntax

<!-- -->

Attributes

none

Children

none

Parents

<grammar>, <item>, <one-of>, <rule>, <token>, <tag>

Collapse/Expand Example section Example

The following example illustrates declaring a comment.

<!-- This is a comment -->


W3C SRGS XML Example Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<example>

An <example> element contains examples of phrases that match rule definitions along with the definition.

Collapse/Expand Syntax section Syntax

<example> </example>

Attributes

none

Children

none

Parents

<rule>

Collapse/Expand Example section Example

The following example illustrates using example elements.

<?xml version="1.0" encoding="ISO-8859-1"?>

<!DOCTYPE grammar PUBLIC "-//W3C//DTD GRAMMAR 1.0//EN" "http://www.w3.org/TR/speech-grammar/grammar.dtd">

<grammar xmlns="http://www.w3.org/2001/06/grammar"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://www.w3.org/2001/06/grammar http://www.w3.org/TR/speech-grammar/grammar.xsd"
xml:lang="En" version="1.0" mode="voice" >
   <rule id="colormodel">
      <example> red Camry </example>
      <example> silver Accord </example>
      <ruleref uri="#color" />
      <ruleref uri="#model" />
   </rule>
   <rule id="color>
      <one-of>
         <item>red</item>
         <item>blue</item>
         <item>green</item>
         <item>silver</item>
         <item>black</item>
         <item>white</item>
      </one-of>
   </rule>
   <rule id="model">
      <one-of>
         <item>Altima</item>
         <item>Camry</item>
         <item>Fusion</item>
         <item>Accord</item>
         <item>Malibu</item>
      </one-of>
   </rule>
</grammar>


W3C SRGS XML Grammar Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<grammar>

A <grammar> element is the required root element of a W3C XML grammar. It defines the beginning and end of the speech rules.

Collapse/Expand Syntax section Syntax

<grammar mode="string"
            root="string"
            tag-format="string"
            version="float"
            xml:base="uri"
            xml:lang="langid"
            xmlns="uri"
            xmlns:xsi="uri"
            xsi:schemaLocation="uri" />

Attributes

mode

The mode of a grammar indicates the type of input that the user agent should be detecting. The default mode is "voice" for speech recognition grammars. An alternative input mode is "dtmf" input.

root

The grammar header to optionally declare a single rule to be the root rule of the grammar.

tag-format

Defines an optional attribute that contains a tag format identifier (e.g. semantics/1.0).

version

Specifies the version of the specification to be used for the grammar and must have the value "1.0".

xml:base

Specifies a grammar's base URI explicitly.

xml:lang

Indicates the primary language contained by the grammar and optionally indicates a country.

xmlns

The URI of the SRGS XML name space.

xmlns:xsi

The URI of the SRGS XML schema instance.

xsi:schemaLocation

The URI of the SRGS XML schema.

Children

<lexicon>, <meta>, <metadata>, <rule>, <tag>

Parents

none

Collapse/Expand Example section Example

The following example illustrates using a grammar element.

<?xml version="1.0" encoding="ISO-8859-1"?>

<!DOCTYPE grammar PUBLIC "-//W3C//DTD GRAMMAR 1.0//EN" "http://www.w3.org/TR/speech-grammar/grammar.dtd">

<grammar xmlns="http://www.w3.org/2001/06/grammar"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://www.w3.org/2001/06/grammar http://www.w3.org/TR/speech-grammar/grammar.xsd"
xml:lang="En" version="1.0" mode="voice" >
    <!-- This is the list of colors -->
    <rule id="Color">
        <one-of>
            <item>red</item>
            <item>blue</item>
            <item>green</item>
            <item>yellow</item>
            <item>pink</item>
            <item>purple</item>
            <item>brown</item>
            <item>orange</item>
        </one-of>
    </rule>
</grammar>


W3C SRGS XML Item Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<item>

An <item> element can surround any expansion (<item>, <one-of>, <ruleref>, <tag>, <token>) to permit a repeat attribute or language identifier to be attached. The weight attribute of item is ignored unless the element appears within a <one-of> element.

Collapse/Expand Syntax section Syntax

<item repeat="n-m" weight="float" />

Attributes

repeat

Indicates the number of times the contained expansion may be repeated.

repeat-prob

Carries the repeat probability. Repeat probabilities are supported on any item element but are ignored if the repeat attribute is not also specified.

xml:lang

Indicates the primary language contained by the grammar and optionally indicates a country.

weight

A weight of 1.0 is equivalent to providing no weight at all. A weight greater than "1.0" positively biases the alternative and a weight less than "1.0" negatively biases the alternative.

Children

<one-of>, <ruleref>, <tag>, <token>

Parents

<one-of>, <rule>

Variables

none

Collapse/Expand Remarks section Remarks

Repeat operators are provided that define a legal rule expansion as being another sub-expansion that is optional, that is repeated zero or more times, that is repeated one or more times, or that is repeated some range of times.

Form | Description
repeat="n"
repeat="6" 		The contained expansion is repeated exactly "n" times. "n" must be "0" or a positive integer.
repeat="m-n"
repeat="4-6" 		The contained expansion is repeated between "m" and "n" times (inclusive). "m" and "n" must both be "0" or a positive integer and "m" must be less than or equal to "n".
repeat="m-"
repeat="3-"
repeat="3-" 		The contained expansion is repeated "m" times or more (inclusive). "m" must be "0" or a positive integer. For example, "3-" declares that the contained expansion can occur three, four, five or more times.
repeat="0-1" | The contained expansion is optional.

Collapse/Expand Example section Example

The following example illustrates using item elements with repeat and weight attributes.

<!-- the token "very" is optional -->
<item repeat="0-1">very</item>

<!-- the rule reference to digit can occur zero, one or many times -->
<item repeat="0-"> <ruleref uri="#digit"/> </item>

<!-- the rule reference to digit can occur one or more times -->
<item repeat="1-"> <ruleref uri="#digit"/> </item>

<!-- the rule reference to digit can occur four, five or six times -->
<item repeat="4-6"> <ruleref uri="#digit"/> </item>

<!-- the rule reference to digit can occur ten or more times -->
<item repeat="10-"> <ruleref uri="#digit"/> </item>

<!-- Examples of the following expansion -->
<!--   "pizza" -->
<!--   "big pizza with pepperoni" -->
<!--   "very big pizza with cheese and pepperoni" -->

<item repeat="0-1">
   <item repeat="0-1"> very </item>
   big
</item>
pizza
<item repeat="0-">
   <item repeat="0-1">
      <one-of>
         <item>with</item>
         <item>and</item>
      </one-of>
   </item>
   <ruleref uri="#topping"/>
</item>

<-- The token "very" is optional and is 60% likely to occur. -->
<-- Means 40% chance that "very" is absent in input -->
<item repeat="0-1" repeat-prob="0.6">very</item>

<-- The rule reference to digit must occur two to four times -->
<-- with 80% probability of recurrence. -->
<item repeat="2-4" repeat-prob=".8">
   <ruleref uri="#digit"/>
</item>


W3C SRGS XML Lexicon Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<lexicon>

A <lexicon> element serves as a reference to a document of pronunciations. The pronunciation information contained within a lexicon is used for tokens appearing within the referencing document. Any number of lexicon elements may occur as immediate children of the <grammar> element.

Collapse/Expand Syntax section Syntax

<lexicon type="mediaencodingtype"
            uri="uri" />

Attributes

type

Optional. Specifies the media type of the pronunciation lexicon document.

uri

The URI of the lexicon document.

Children

none

Parents

<grammar>

Collapse/Expand Example section Example

The following example illustrates using lexicon elements.

<?xml version="1.0" encoding="ISO-8859-1"?>

<!DOCTYPE grammar PUBLIC "-//W3C//DTD GRAMMAR 1.0//EN" "http://www.w3.org/TR/speech-grammar/grammar.dtd">

<grammar xmlns="http://www.w3.org/2001/06/grammar"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://www.w3.org/2001/06/grammar http://www.w3.org/TR/speech-grammar/grammar.xsd"
xml:lang="En" version="1.0" mode="voice" >
   <lexicon uri="http://www.example.com/lexicon.file"/>
   <lexicon uri="http://www.example.com/strange-city-names.file" type="text/plain"/>
</grammar>


W3C SRGS XML Metadata Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<metadata>

A <metadata> element define metadata information using a metadata schema.

Collapse/Expand Syntax section Syntax

<metadata creator="string"
          rights="string"
          subject="string"

Attributes

creator

An entity primarily responsible for making the content of the resource.

rights

Information about rights held in and over the resource.

subject

The topic of the content of the resource. Typically, a subject will be expressed as keywords, key phrases or classification codes. Recommended best practice is to select values from a controlled vocabulary or formal classification scheme.

Children

See RDF syntax.

Parents

<grammar>

Collapse/Expand Example section Example

The following example illustrates using metadata.

  <metadata>
   <rdf:RDF
       xmlns:rdf = "http://www.w3.org/1999/02/22-rdf-syntax-ns#"
       xmlns:rdfs = "http://www.w3.org/TR/1999/PR-rdf-schema-19990303#"
       xmlns:dc = "http://purl.org/metadata/dublin_core#">

   <!-- Metadata about the grammar document -->
   <rdf:Description about="http://www.example.com/meta.grxml"
       dc:Title="Digit Grammar"
       dc:Description="Digit Grammar in W3C XML Form"
       dc:Publisher="W3C"
       dc:Language="en"
       dc:Date="2002-02-14"
       dc:Rights="Copyright 2002 Jan Smith"
       dc:Format="application/srgs+xml" >
       <dc:Creator>
          <rdf:Seq ID="CreatorsAlphabeticalBySurname">
             <rdf:li>Jackie Crystal</rdf:li>
             <rdf:li>Jan Smith</rdf:li>
          </rdf:Seq>
       </dc:Creator>
   </rdf:Description>
  </rdf:RDF>
 </metadata>


W3C SRGS XML Meta Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<meta>

A <meta> element defines a metadata item as a name/value pair.

Collapse/Expand Syntax section Syntax

<meta content="string"
      http-equiv="string"
      name="string" />

Attributes

content

The value of the metadata property.

http-equiv

The name of an HTTP response header.

name

The name of the metadata property.

Children

none

Parents

<grammar>

Collapse/Expand Example section Example

The following example illustrates using metadata.

<meta name="Creator" content="Jane Doe"/>

<meta http-equiv="Expires" content="0"/>
<meta http-equiv="Date"    content="Thu, 12 Dec 2000 23:27:21 GMT"/>


W3C SRGS XML Oneof Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<one-of>

A <one-of> element identifies a set of alternative elements. Each alternative expansion is contained in a <item> element. There must be at least one <item> element contained within a one-of element.

Collapse/Expand Syntax section Syntax

<one-of> </one-of>

Attributes

xml:lang

Indicates the primary language contained by the grammar and optionally indicates a country.

Children

<item>

Parents

<rule>

Collapse/Expand Example section Example

The following example illustrates using a one-of element.

<?xml version="1.0" encoding="ISO-8859-1"?>

<!DOCTYPE grammar PUBLIC "-//W3C//DTD GRAMMAR 1.0//EN" "http://www.w3.org/TR/speech-grammar/grammar.dtd">

<grammar xmlns="http://www.w3.org/2001/06/grammar"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://www.w3.org/2001/06/grammar http://www.w3.org/TR/speech-grammar/grammar.xsd"
xml:lang="En" version="1.0" mode="voice" >
   <rule id="city">
      <one-of>
         <item>Atlanta</item>
         <item>Miami</item>
         <item>New York</item>
      </one-of>
   </rule>
</grammar>


W3C SRGS XML Rule Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<rule>

A <rule> element can surround any expansion (<rule>, <one-of>, <ruleref>, <tag>, <token>) to permit a repeat attribute or language identifier to be attached. The weight attribute of rule is ignored unless the element appears within a <one-of> element.

Collapse/Expand Syntax section Syntax

<rule id="string" scope="scopetype" />

Attributes

id

A unique identifier.

scope

Defines whether it is local (private) to the grammar in which it is defined or whether it may be referenced within other grammars (public).

Children

<example>, <one-of>, <ruleref>, <tag>, <token>

Parents

<one-of>, <rule>

Collapse/Expand Example section Example

The following example illustrates using rule elements.

<?xml version="1.0" encoding="ISO-8859-1"?>

<!DOCTYPE grammar PUBLIC "-//W3C//DTD GRAMMAR 1.0//EN" "http://www.w3.org/TR/speech-grammar/grammar.dtd">

<grammar xmlns="http://www.w3.org/2001/06/grammar"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://www.w3.org/2001/06/grammar http://www.w3.org/TR/speech-grammar/grammar.xsd"
xml:lang="En" version="1.0" mode="voice" >
   <rule id="city">
      <one-of>
         <item>Atlanta</item>
         <item>Miami</item>
         <item>New York</item>
      </one-of>
   </rule>
</grammar>


W3C SRGS XML Ruleref Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<ruleref>

A <ruleref> element is an empty element with a uri attribute that specifies the rule reference to an external or local rule.

Collapse/Expand Syntax section Syntax

<ruleref uri="#ruleName" />

Attributes

uri

The rule reference as a same-document reference URI.

special

A special rulename is represented with the special attribute on a ruleref element. It is illegal to provide both the special and the uri attributes.

NULL - Defines a rule that is automatically matched: that is, matched without the user speaking any word.

VOID - Defines a rule that can never be spoken. Inserting VOID into a sequence automatically makes that sequence unspeakable.

GARBAGE - Defines a rule that may match any speech up until the next rule match, the next token or until the end of spoken input. A grammar processor must accept grammars that contain special references to GARBAGE. The behavior GARBAGE rule is implementation-specific. A user agent should be capable of matching arbitrary spoken input up to the next token but may treat GARBAGE as equivalent to NULL (match no spoken input).

type

Specifies the media type of the reference.

Children

none

Parents

<item>, <rule>

Collapse/Expand Remarks section Remarks

There are various forms of rule reference that are possible within and across grammar documents.

Form | Description
<ruleref uri="#rulename"/> | Explicit local rule reference.
<ruleref uri="grammarURI#rulename"/"/> | Explicit reference to a named rule of a grammar identified by a URI.
<ruleref uri="grammarURI"/> | Implicit reference to the root rule of a grammar identified by a URI.
<ruleref uri="grammarURI#rulename" type="media-type"/> | Explicit reference to a named rule of a grammar identified by a URI with a media type.
<ruleref uri="grammarURI" type="media-type"/> | Implicit reference to the root rule of a grammar identified by a URI with a media type.

Several rulenames are defined to have specific interpretation and processing by a speech recognizer. A grammar must not redefine these rulenames.

Rulename | Form | Description
NULL | <ruleref special="NULL"/> | Defines a rule that is automatically matched without the user speaking any word.
VOID | <ruleref special="VOID"/> | Defines a rule that can never be spoken.
GARBAGE | <ruleref special="GARBAGE"/> | Defines a rule that may match any speech up until the next rule match, the next token, or until the end of spoken input.

Collapse/Expand Example section Example

The following example illustrates using ruleref elements.

<?xml version="1.0" encoding="ISO-8859-1"?>

<!DOCTYPE grammar PUBLIC "-//W3C//DTD GRAMMAR 1.0//EN" "http://www.w3.org/TR/speech-grammar/grammar.dtd">

<grammar xmlns="http://www.w3.org/2001/06/grammar"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://www.w3.org/2001/06/grammar http://www.w3.org/TR/speech-grammar/grammar.xsd"
xml:lang="En" version="1.0" mode="voice" >
   <rule id="colormodel">
      <ruleref uri="#color" />
      <ruleref uri="#model" />
   </rule>
   <rule id="color>
      <one-of>
         <item>red</item>
         <item>blue</item>
         <item>green</item>
         <item>silver</item>
         <item>black</item>
         <item>white</item>
      </one-of>
   </rule>
   <rule id="model">
      <one-of>
         <item>Altima</item>
         <item>Camry</item>
         <item>Fusion</item>
         <item>Accord</item>
         <item>Malibu</item>
      </one-of>
   </rule>
</grammar>


W3C SRGS XML Tag Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<tag>

A <tag> element is an arbitrary string that may be included inline within any legal rule expansion. Any number of tags may be included inline within a rule expansion. The content of tag is CDATA.

Collapse/Expand Syntax section Syntax

<tag> </tag>

Attributes

none

Children

none

Parents

<item>, <rule>

Collapse/Expand Example section Example

The following example illustrates using tag elements.

<?xml version="1.0" encoding="ISO-8859-1"?>

<!DOCTYPE grammar PUBLIC "-//W3C//DTD GRAMMAR 1.0//EN" "http://www.w3.org/TR/speech-grammar/grammar.dtd">

<grammar xmlns="http://www.w3.org/2001/06/grammar"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://www.w3.org/2001/06/grammar http://www.w3.org/TR/speech-grammar/grammar.xsd"
xml:lang="En" version="1.0" mode="voice" >
    <rule id="rule1">
        this is a <tag>TAG-CONTENT-1</tag> test <tag>TAG-CONTENT-2</tag>
    </rule>
</grammar>


W3C SRGS XML Token Element

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

<token>

A <token> element defines words or other entities that may be spoken. Token tags are not required and quotation marks may be used instead.

Collapse/Expand Syntax section Syntax

<token> </token>

Attributes

xml:lang

Indicates the primary language contained by the grammar and optionally indicates a country.

Children

none

Parents

<item>, <rule>

Collapse/Expand Example section Example

The following example illustrates token elements.

hello
2
"San Francisco"
"hello"
bon voyage
<token>San Francisco</token>


Chant KinesicsKit 3 Developer's Guide

Chant Inc.
KinesicsKit 3 Developer's Guide


Movement Mangement with KinesicsKit

Humanize your application interfaces with movement tracking using natural user interface (NUI) technology.

Movement tracking is the process of mapping movement from image and positional data captured by cameras.

It can be used to control data processing and data entry. As a new modality for a natural user interface, it can augment traditional input methods applications use with keyboard, mouse, touch, and voice.

What is Movement Management?

Movement management enables you to:

  • capture image data and detect movement,
  • map and process movement data for application processing,
  • persist movement data for playback, editing, and analytics, and
  • integrate sensor device configuration and control as part of deployed applications.

Applications benefits include:

  • touch-free modality for control and input,
  • added flexibility to run on demand based on movement detection, and
  • expanded deployment scenarios for interactive processing in non-traditional application environments.

What is KinesicsKit?

Chant KinesicsKit handles the complexities of tracking movement with Microsoft Kinect for Windows.

It simplifies the process of managing movement with Kinect sensors and the Microsoft Natural User Interface API (NAPI). You can process audio and visual data to map movement directly within software you develop and deploy.

KinesicsKit includes C++, C++Builder, Delphi, Java, and .NET Framework class libraries to support all your programming languages and provides sample projects for popular IDEs—such as the latest Visual Studio from Microsoft and RAD Studio from Embarcadero.

The class libraries can be integrated with 32-bit and 64-bit applications.

For more information about the Movement Mangement with KinesicsKit, review the following topics:

  • KinesicsKit Features and
  • Movement Management Architecture.


KinesicsKit Features

Chant KinesicsKit handles the complexities of tracking movement with Microsoft Kinect for Windows. The class libraries minimize the programming efforts necessary to construct software that maps movement from image and positional data captured by cameras.

A KinesicsKit application can:

  • Capture and map color, depth, and body data;
  • Record and playback audio files; and
  • Integrate movement tracking with speech technology.

Within Chant Developer Workbench IDE, you can:

  • Render color, depth, and body data; and
  • Validate sensor image streams.

Sensor Enumeration and Testing

Sensor Testing: Validate sensor streams.


Movement Management Architecture

The KinesicsKit class library includes a movement management class that provides you a simple way to track and map movement with Microsoft Kinect for Windows.

The movement management class, ChantKM, enables you to start and stop color, depth, body, and audio data collection with Microsoft Kinect sensors. Your application can also use the KinectSensor and adjunct classes to manage low-level functions if desired.

With the ChantKM class, you can detect movement, process color, depth, and body data, and record audio to a file. Your application uses the ChantKM class to manage the activities for interacting with the Microsoft Kinect sensor on behalf of your application. The ChantKM class manages the resources and interacts directly with the Natural User Interface API (NAPI) runtime.

Your application receives status notifications through event callbacks.

Speech recognition and synthesis are supported with the SpeechKit ChantSR and ChantTTS classes. See SpeechKit for more information about integrating speech technology.

KinesicsKit Architecture for Movement Management

The ChantKM class encapsulates the NAPI functions to make the process of tracking movement with Microsoft Kinect sensors simple and efficient for your application.

The ChantKM class simplifies the process of managing Microsoft Kinect sensors by handling the low-level activities directly with the sensor.

You instantiate a ChantKM class object before you want to start tracking movement within your application. You destroy the ChantKM class object and release its resources when you no longer want to track movement within your application.


Tracking Movement with KinesicsKit

Tracking movement is the process of mapping movement from image and positional data captured by cameras.

Chant KinesicsKit handles the complexities of tracking movement with Microsoft Kinect for Windows.

It simplifies the process of managing movement with Kinect sensors and the Microsoft Natural User Interface API (NAPI). You can process audio and visual data to map movement directly within software you develop and deploy.

Install Microsoft Kinect for Windows SDK or runtime, a Kinect for Windows sensor, Chant KinesicsKit, and you are ready to develop applications that track movement.

For more information about the tracking movement with KinesicsKit, review the following topics:

  • Touch-free Applications and
  • Data Validation.


Touch-free Applications

The following topics describe how to build touch-free applications:

  • Recording Image Data and Audio,
  • Event Handling,
  • Error Handling,
  • Audio Source Sample,
  • Green Screen Sample,
  • Tic Tac Toe Sample, and
  • Viewers Sample.


Recording Audio

The KinesicsKit movement management class ChantKM is designed to provide you a lot of flexiblity and minimize the programming necessary to manage the color, depth, body, and audio data from a Microsoft Kinect sensor.

To start capturing data, simply use the Start method to turn on the sensor cameras. To stop capturing data, simply use the Stop method to turn off the sensor cameras.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn the sensor on
NChantKM1.Start();

// Turn the sensor off
NChantKM1.Stop();

// Turn the sensor on
pChantKM->Start();

// Turn the sensor off
pChantKM->Stop();

// Turn the sensor on
pChantKM->Start();

// Turn the sensor off
pChantKM->Stop();

// Turn the sensor on
ChantKM1.Start();

// Turn the sensor off
ChantKM1.Stop();

// Turn the sensor on
JChantKM1.start();

// Turn the sensor off
JChantKM1.stop();

' Turn the sensor on
NChantKM1.Start()

' Turn the sensor off
NChantKM1.Stop()

To record audio using the sensor microphone, simply use the StartRecording method to start capturing audio. To stop capturing audio, simply use the StopRecording method.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
string path = Directory.GetCurrentDirectory();
// Append path terminator
path += "\\";

// Start audio source and persist to a file. Have KinesicsKit generate a unique file name.
NChantKM1.StartRecording(0, path, ChantAudioFormat.CAFDefault, ChantSensorStream.CSSAudio, "");

// Stop audio source
NChantKM1.StopRecording(0);

wchar_t path[MAX_PATH];
GetCurrentDirectory(MAX_PATH, path);
int length = wcslen(path);
// Append path terminator
path[length] = L'\\';
path[length + 1] = L'\0';
// Start audio source and persist to a file. Have KinesicsKit generate a unique file name.
pChantKM->StartRecording(0, path, CAFDefault, CSSAudio);

// Stop audio source
pChantKM->StopRecording(0);

wchar_t path[MAX_PATH];
GetCurrentDirectoryW(MAX_PATH, path);
int length = wcslen(path);
// Append path terminator
path[length] = L'\\';
path[length + 1] = L'\0';

// Start audio source and persist to a file. Have KinesicsKit generate a unique file name.
pChantKM->StartRecording(0, String(path), CAFDefault, CSSAudio);

// Stop audio source
pChantKM->StopRecording(0);

var
path: array [0..MAX_PATH] of WideChar;
pathLength: Integer;
begin
GetCurrentDirectoryW(MAX_PATH, path);
pathLength := Length(path);
// Append path terminator
path[pathLength] := WideChar('\');
path[pathLength + 1] := WideChar('0');

// Start audio source and persist to a file. Have KinesicsKit generate a unique file name.
ChantKM1.StartRecording(0, string(path), CAFDefault, CSSAudio);
end;

// Stop audio source
ChantKM1.StopRecording(0);

String path = new File(".").getAbsolutePath();
// Append path terminator
path += "\\";
// Start audio source and persist to a file. Have KinesicsKit generate a unique file name.
JChantKM1.startRecording(0, path, ChantAudioFormat.CAFDefault, ChantSensorStream.CSSAudio, "");

// Stop audio source
JChantKM1.stopRecording(0);

Dim path as String
path = Directory.GetCurrentDirectory()
' Append path terminator
path = path + "\"
' Start audio source and persist to a file. Have KinesicsKit generate a unique file name.
NChantKM1.StartRecording(0, path, ChantAudioFormat.CAFDefault, ChantSensorStream.CSSAudio, "")

// Stop audio source
NChantKM1.StopRecording(0)


KinesicsKit Event Handling

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Event Handling

To receive sensor data, status, and error messages, you need to request event notifications. You register for the events your application is interested in using the RegisterCallback method.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantKM1.RegisterCallback(ChantCallback.CCKSMultiSourceFrameArrived);

pChantKM->RegisterCallback(CCKSMultiSourceFrameArrived);

pChantKM->RegisterCallback(CCKSMultiSourceFrameArrived);

ChantKM1.RegisterCallback(CCKSMultiSourceFrameArrived);

JChantKM1.RegisterCallback(ChantCallback.CCKSMultiSourceFrameArrived);

NChantKM1.RegisterCallback(ChantCallback.CCKSMultiSourceFrameArrived)

The ChantKM object sends all notifications to the HasEvent function. All event data is contained in a ChantKMEvent object and accessed via object properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantKM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantKMEvent nChantKMEvent = NChantKM1.GetChantKMEvent();
    if (chantKMEvent != null)
    {
        switch (chantKMEvent.ChantCallback)
        {
            case ChantCallback.CCKSMultiSourceFrameArrived:
                {
                    // Get the color image frame
                    NMultiSourceFrameReference multiSourceFrameReference = chantKMEvent.MultiSourceFrameReference;
                    // Process the multi source frame
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantKM1.RemoveEvent();
    }
}

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantKM != NULL)
    {
        if (message == m_HasEvent)
        {
            // Get the event from the event queue
            CChantKMEvent* chantKMEvent = m_pChantKM->GetChantKMEvent();
            if (chantKMEvent != NULL)
            {
                switch (chantKMEvent->GetChantCallback())
                {
                    case CCKSMultiSourceFrameArrived:
                    {
                        // Get the color image frame
                        CMultiSourceFrameReference* multiSourceFrameReference = chantKMEvent->GetMultiSourceFrameReference();
                        // Process the multi source frame
                        ...
                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantKM->RemoveEvent();
                // No longer need event object
                delete chantKMEvent;
                chantKMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantKMEvent* chantKMEvent = ChantKM1->GetChantKMEvent();
    if (chantKMEvent != NULL)
    {
        switch (chantKMEvent->GetChantCallback())
        {
            default:
                break;
            case CCKSMultiSourceFrameArrived:
            {
                // Get the color image frame
                CMultiSourceFrameReference* multiSourceFrameReference = chantKMEvent->GetMultiSourceFrameReference();
                // Process the multi source frame
                ...
                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantKM1->RemoveEvent();
        // No longer need event object
        delete chantKMEvent;
        chantKMEvent = NULL;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
    chantKMEvent: TChantKMEvent;
    multiSourceFrameReference: TMultiSourceFrameReference;
    depthImageFrame: TDepthImageFrame;
    skeletonFrame: TSkeletonFrame;
begin
    // Get the event from the event queue
    chantKMEvent := ChantKM1.GetChantKMEvent();
    if chantKMEvent <> nil then
    begin
      case chantKMEvent.ChantCallback of
        CCKSMultiSourceFrameArrived:
          // Get the color image frame
          multiSourceFrameReference := chantKMEvent.MultiSourceFrameReference;
          // Process the multi source frame
          ...
      end;

      ...

      // Remove the event from the event queue
      ChantKM1.RemoveEvent();
      // No longer need event object
      chantKMEvent.Destroy();
    end;
end;

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantKMEvent chantKMEvent = JChantKM1.getChantKMEvent();
    if (chantKMEvent != null)
    {
        int callback = chantKMEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCKSMultiSourceFrameArrived :
                // Get the color image frame
                JMultiSourceFrameReference multiSourceFrameReference = chantKMEvent.getMultiSourceFrameReference();
                // Process the multi source frame
                ...
                break;
        }
        JChantKM1.removeEvent();
    }
}

Private Sub NChantKM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantKM1.HasEvent
    Dim chantKMEvent As NChantKMEvent
    Dim multiSourceFrameReference As NMultiSourceFrameReference
    Dim depthImageFrame As NDepthImageFrame
    Dim skeletonFrame As NSkeletonFrame
    ' Get the event from the event queue
    chantKMEvent = NChantKM1.GetChantKMEvent()
    if chantKMEvent <> Nothing Then
        Select Case chantKMEvent.ChantCallback
            Case ChantCallback.CCKSMultiSourceFrameArrived
                ' Get the color image frame
                multiSourceFrameReference = chantKMEvent.MultiSourceFrameReference
                ' Process the multi source frame
                ...
        End Select
        ' Remove the event from the event queue
        NChantKM1.RemoveEvent()
    End If
End Sub

The ChantKM object accumulates ChantKMEvent objects on a FIFO queue. Applications must remove the oldest event from the queue to be able to process the next event object. When you remove the event object it is destroyed and no longer available.


KinesicsKit Error Handling

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Error Handling

KinesicsKit uses a common set of return codes on error conditions to minimize the error processing required by the application. The following table provides a summary.

Error Constant | Value | Description
E_INVALIDARG | 0x80070057 | One or more arguments are invalid. Verify your parameter values used in invoking the method.
E_FAIL | 0x80004005 | Unspecified error. Exception handling catches as a non-specific failure.
E_NOINTERFACE | 0x80004002 | No such interface supported. Verify that the session with the recognizer or synthesizer is active before invoking the method.
E_OUTOFMEMORY | 0x8007000E | Ran out of memory. There is not enough memory to complete the operation.
E_NOTIMPL | 0x80004001 | Not implemented. Contact Chant support for assistance.
CLASS_E_NOTLICENSED | 0x80040112 | Class is not licensed for use. Verify that your License and Serials property values are set before invoking any other methods.

To obtain an the error code, use the ChantKM LastError, LastErrorString, and LastErrorMessage properties.

The Microsoft Natural User Interface API (NAPI), may generate error codes. To monitor these error codes, register for the CCAPIError event.

Consult the Microsoft Kinect for Windows SDK documentation for problem determination or contact Chant support for assistance.


Audio Source Sample

Chant KinesicsKit includes a sample application that illustrates sensor audio management features. Look for the AudioSource folder in the KinesicsKit sample projects.

Build and launch the AudioSource sample application. You can record and playback audio files.

Chant Audio Source Sample

Record an audio file with the following steps:

  1. Select a Kinect sensor. If you do not see any Kinect sensors listed, see the section entitled Kinect for Windows Installation.
  2. Press the Record button. Begin speaking. Press the Stop button when done. A file path should appear in the Audio Files listbox.

Playback an audio file with the following steps:

  1. Select an audio file from the list.
  2. Press the Play button.


Green Screen Sample

Chant KinesicsKit includes sample applications that illustrate movement management features. Look for the GreenScreen folder in the KinesicsKit sample projects.

Build and launch the sample green screen application. You can start the sensor to render the player image against the background.

Chant Green Screen Sample

Render a player image against a background image with the following steps:

  1. Press the Start Sensor button. Stand in front of the Kinect sensor and start moving. Press the Stop Sensor button when done.
  2. Select different background images by clicking on the thumbnail images.


Tic Tac Toe Sample

Chant KinesicsKit includes a sample application that illustrates speech recognition using the sensor microphone. Look for the TicTacToe folder in the KinesicsKit sample projects.

Build and launch the TicTacToe sample application. You can play the game by speaking your square choices.

Chant Tic Tac Toe Sample

Play the tic tac toe game with the following steps:

  1. Once the game initialization prompt has finished speaking, say the square number followed by your player designation of X or O. The X player always goes first.
  2. The game will automatically recognize the game winner or that the game is a draw and start over. Say "OK" to dismiss the message box prompt.
  3. To end the game and exit the program, say "game over".
  4. To start a new game, say "begin game".


Viewers Sample

Chant KinesicsKit includes sample applications that illustrate movement management features. Look for the Viewers folder in the KinesicsKit sample projects.

Build and launch the sample viewers application. You can display the color, depth, and body data.

Chant Viewers Sample

Stand in front of the Kinect sensor and start moving.


Data Validation

Within Chant Developer Workbench IDE, you can:

  • Render color, depth, and body data; and
  • Validate sensor image streams.


Integrating KinesicsKit

The following sections describe the steps for integrating KinesicsKit with your favorite development tool and programming language.

  • C++Builder Applications
  • Delphi and Appmethod Applications
  • Java Applications
  • Microsoft Visual C++ Applications
  • .NET Windows Forms Applications
  • .NET WPF Applications


KinesicsKit C++Builder VCL and FireMonkey (Appmethod) Applications

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

C++Builder VCL and FireMonkey (Appmethod) Applications

You can develop C++ applications that manage movement using your favorite version of C++Builder and Appmethod.

The following sections describe the steps for integrating KinesicsKit with C++Builder VCL and FireMonkey (Appmethod) applications.

KinesicsKit Header Files

KinesicsKit includes C++ header files comprised of the C++Builder classes that manage Kinect sensors and automatically load and unload the runtime DLL.

To access the KinesicsKit C++Builder classes within your application, first add a project reference to the C++Builder header include files:

  • Win32
  • Win64
  1. Within your C++Builder or Appmethod project, select Project Options.
  2. Select the C++Builder or Appmethod compiler options.
  3. Add Include path reference to the KinesicsKit header files directory: C:\Program Files\Chant\KinesicsKit 3\Win32\CBuilder\include.
  1. Within your C++Builder or Appmethod project, select Project Options.
  2. Select the C++Builder or Appmethod compiler options.
  3. Add Include path reference to the KinesicsKit header files directory: C:\Program Files\Chant\KinesicsKit 3\Win64\CBuilder\include.

To access the KinesicsKit C++Builder classes within your application, add a reference to the Chant shared and KinesicsKit header files in your C++Builder application header file.

#include "ChantShared.h"
#include "ChantKinesicsKit.h"

Add a reference in your C++Builder application source file to the KinesicsKit code needed to dynamically load and unload the runtime DLL.

#include "ChantKinesicsKit.cpp"
#include "ChantShared.cpp"

Object Instantiation

Declare a global variable for the ChantKM class, instantiate an instance, set the license and serial properties, and set the event handler message.

Add the following to your application header file:

  • VCL
  • FireMonkey (Appmethod)
protected:
    void __fastcall OnHasEvent(TMessage& msg);
    BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(WM_APP+8, TMessage, OnHasEvent);
    END_MESSAGE_MAP(TForm)
private:
    // User declarations
    CChantKM* ChantKM1;

#include <FMX.Platform.Win.hpp>
using namespace Fmx::Platform::Win;
...
protected:
    void __fastcall OnHasEvent(TMessage& msg);
private:
    // User declarations
    CChantKM* ChantKM1;
    HWND  FrmHwnd;
    long WndProc;
public:
    // User declarations
    __fastcall TForm1(TComponent* Owner);
    LRESULT __fastcall FrmWndProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam);

Add the following to your application source file:

  • VCL
  • FireMonkey (Appmethod)
ChantKM1 = new CChantKM();

// Set deployment license properties
ChantKM1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantKM1->SetStringProperty(CSPSerials,"LicenseSerialNumber");

// Define the HasEvent callback message
ChantKM1->SetWindowMessage(Handle, WM_APP+8, 0, 0);

ChantKM1 = new CChantKM();

// Set deployment license properties
ChantKM1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantKM1->SetStringProperty(CSPSerials,"LicenseSerialNumber");

// XE-XE3
HWND FrmHwnd = FmxHandleToHWND(Handle);
// XE4+
TWinWindowHandle *wndHandle = WindowHandleToPlatform(this->Handle);
HWND FrmHwnd = wndHandle->Wnd;

// Set up Windows Message Handling For FireMonkey
WndProc = GetWindowLongPtr(FrmHwnd, GWL_WNDPROC);
SetWindowLongPtr(FrmHwnd, GWL_WNDPROC, (long)WindowProc);
ChantKM1->SetWindowMessage(FrmHwnd, WM_APP+8, 0, 0);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

  • VCL
  • FireMonkey (Appmethod)
void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantKMEvent* chantKMEvent = ChantKM1->GetChantKMEvent();
    if (chantKMEvent != NULL)
    {
        switch (chantKMEvent->GetChantCallback())
        {
            default:
                break;
            case CCKSStatusChanged:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantKM1->RemoveEvent();
        // No longer need event object
        delete chantKMEvent;
        chantKMEvent = NULL;
    }
}

// Hook Window Messages
LRESULT WindowProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    return Form1->FrmWndProc(Hwnd, Msg, wParam, lParam);
}

LRESULT __fastcall TForm1::FrmWndProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    Winapi::Messages::TMessage aTMessage;
    aTMessage.Msg = Msg;
    aTMessage.WParam = wParam;
    aTMessage.LParam = lParam;
    // Trap our messages
    if (WM_APP+8 == Msg)
    {
        OnHasEvent(aTMessage);
        return 0;
    }
    // Forward all other messages
    return CallWindowProc((WNDPROC)WndProc, Hwnd, Msg, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantKMEvent* chantKMEvent = ChantKM1->GetChantKMEvent();
    if (chantKMEvent != NULL)
    {
        switch (chantKMEvent->GetChantCallback())
        {
            default:
                break;
            case CCKSStatusChanged:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantKM1->RemoveEvent();
        // No longer need event object
        delete chantKMEvent;
        chantKMEvent = NULL;
    }
}

Deployment Checklist

When you are ready to deploy your C++Builder VCL or FireMonkey (Appmethod) application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your C++Builder VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CKinesicsKit.dll to the target system and place in the same directory with your application.
  • You may deploy your C++Builder VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CKinesicsKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

C++Builder VCL and FireMonkey (Appmethod) sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\KinesicsKit 3\Win32\CBuilder\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\KinesicsKit 3\Win32\CBuilder\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\KinesicsKit 3\Win32\CBuilder\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\KinesicsKit 3\Win32\CBuilder\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\KinesicsKit 3\Win32\CBuilder\RS 10.1 Berlin.
  • My Documents\Chant\KinesicsKit 3\Win64\CBuilder\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\KinesicsKit 3\Win64\CBuilder\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\KinesicsKit 3\Win64\CBuilder\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\KinesicsKit 3\Win64\CBuilder\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\KinesicsKit 3\Win64\CBuilder\RS 10.1 Berlin.


KinesicsKit Delphi VCL and FireMonkey (Appmethod) Applications

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Delphi VCL and FireMonkey (Appmethod) Applications

You can develop Object Pascal applications that manage movement using your favorite version of Delphi and Appmethod.

The following sections describe the steps for integrating KinesicsKit with Delphi VCL and FireMonkey (Appmethod) applications.

KinesicsKit Unit

KinesicsKit includes an Object Pascal source file KinesicsKit.pas comprised of the Object Pascal classes that manage Kinect sensors. It also includes an Object Pascal source file ChantShared.pas comprised of common Object Pascal classes that all Chant libraries use.

To access the KinesicsKit Object Pascal classes within your application, first add a project reference to the KinesicsKit Object Pascal source files:

  • Win32
  • Win64
  1. Within your Delphi or Appmethod project, select Project Options.
  2. Select the Delphi or Appmethod compiler options.
  3. Add Search path reference to the KinesicsKit unit source file directory: C:\Program Files\Chant\KinesicsKit 3\Win32\Delphi\source.
  4. Add unit output path reference to the local directory with a period '.' character.
  1. Within your Delphi or Appmethod project, select Project Options.
  2. Select the Delphi or Appmethod compiler options.
  3. Add Search path reference to the KinesicsKit unit source file directory: C:\Program Files\Chant\KinesicsKit 3\Win64\Delphi\source.
  4. Add unit output path reference to the local directory with a period '.' character.

To access the KinesicsKit Object Pascal classes within your application, add a reference to the ChantShared and KinesicsKit units in your uses clause.

  • VCL
  • FireMonkey (Appmethod)
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ChantShared, KinesicsKit;

unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Rtti, System.Classes,
  System.Variants, FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Layouts,
  ChantShared, KinesicsKit, FMX.Platform.Win, Winapi.Windows, Winapi.Messages;

Add an event handler declaration and Object instance variable to the application declarations.

  • VCL
  • FireMonkey (Appmethod)
type
  TForm1 = class(TForm)
    ...
  private
    { Private declarations }
  public
    { Public declarations }
    procedure OnHasEvent(var msg: TMessage);
      message WM_APP+8;
  end;

var
  Form1: TForm1;
  ChantKM1: TChantKM;

type
  TForm1 = class(TForm)
    ...
  private
    { Private declarations }
    FrmHwnd: HWND;
    WndProc: LONG;
  public
    { Public declarations }
    procedure OnHasEvent(var msg: TMessage);
    function FrmWndProc(Hwnd: HWND; Msg:UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
  end;

var
  Form1: TForm1;
  ChantKM1: TChantKM;

Object Instantiation

Instantiate an instance, set the license and serial properties, and set the event handler message.

  • VCL
  • FireMonkey (Appmethod)
procedure TForm1.FormCreate(Sender: TObject);
begin
    ChantKM1 := TChantKM.Create();
    // Set license properties
    ChantKM1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
    ChantKM1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

    // Define the HasEvent callback message
    ChantKM1.SetWindowMessage(Handle, WM_APP+8, 0, 0);
end;

ChantKM1 := TChantKM.Create();
// Set license properties
ChantKM1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantKM1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

var FrmHwnd: HWND;
// XE-XE3
FrmHwnd := FmxHandleToHwnd(Handle);
// XE4+
var wndHandle: TWinWindowHandle;
wndHandle := WindowHandleToPlatform(Handle);
FrmHwnd := wndHandle.Wnd;

// Set up Windows Message Handling For FireMonkey
WndProc := GetWindowLongPtr(FrmHwnd, GWL_WNDPROC);
SetWindowLongPtr(FrmHwnd, GWL_WNDPROC, NativeInt(@WindowProc));
ChantKM1.SetWindowMessage(FrmHwnd, WM_APP+8, 0, 0);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

  • VCL
  • FireMonkey (Appmethod)
procedure TForm1.OnHasEvent(var msg: TMessage);
var
  chantKMEvent: TChantKMEvent;
begin
    // Get the event from the event queue
    chantKMEvent := ChantKM1.GetChantKMEvent();
    if chantKMEvent <> nil then
    begin
      case chantKMEvent.ChantCallback of
        CCKSStatusChanged:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantKM1.RemoveEvent();
      // No longer need event object
      chantKMEvent.Destroy();
    end;
end;

// Hook Window Messages
function WindowProc(Hwnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
begin
    Result := Form1.FrmWndProc(Hwnd, Msg, wParam, lParam);
end;

function TForm1.FrmWndProc(Hwnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
var
    aTMessage: TMessage;
begin
    aTMessage.Msg := Msg;
    aTMessage.WParam := wParam;
    aTMessage.LParam := lParam;
    // Trap our messages
    if (WM_APP+8 = Msg) then
    begin
        OnHasEvent(aTMessage);
        Result := 0;
        Exit;
    end;
    // Forward all other messages
    Result := CallWindowProc(Ptr(WndProc), Hwnd, Msg, wParam, lParam);
end;

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  chantKMEvent: TChantKMEvent;
begin
    // Get the event from the event queue
    chantKMEvent := ChantKM1.GetChantKMEvent();
    if chantKMEvent <> nil then
    begin
      case chantKMEvent.ChantCallback of
        CCKSStatusChanged:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantKM1.RemoveEvent();
      // No longer need event object
      chantKMEvent.Destroy();
    end;
end;

Deployment Checklist

When you are ready to deploy your Delphi VCL or FireMonkey (Appmethod) application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Delphi VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CKinesicsKit.dll to the target system and place in the same directory with your application.
  • You may deploy your Delphi VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CKinesicsKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

Delphi VCL and FireMonkey (Appmethod) sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\KinesicsKit 3\Win32\Delphi\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\KinesicsKit 3\Win32\Delphi\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\KinesicsKit 3\Win32\Delphi\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\KinesicsKit 3\Win32\Delphi\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\KinesicsKit 3\Win32\Delphi\RS 10.1 Berlin.
  • My Documents\Chant\KinesicsKit 3\Win64\Delphi\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\KinesicsKit 3\Win64\Delphi\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\KinesicsKit 3\Win64\Delphi\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\KinesicsKit 3\Win64\Delphi\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\KinesicsKit 3\Win64\Delphi\RS 10.1 Berlin.


KinesicsKit Java Applications

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Java Applications

You can develop Java applications that manage movement using your favorite Java development tools. This includes development environments such as Eclipse, IntelliJ, JBuilder, JDeveloper, and NetBeans.

The following sections describe the steps for integrating KinesicsKit with Java applications.

JRE Configuration

KinesicsKit includes Java classes compiled with JDK 1.7 and 1.8 to support your application's target runtime environments.

To access the KinesicsKit Java classes within your application, add the class libraries to your JDK environment:

  • Win32
  • Win64
  1. copy the JKinesicsKit.DLL file to your Java JDK bin directory;
  2. copy the kinesicskit.jar and chant-shared.jar libraries to your Java JDK lib; and
  3. append a path reference for your Java JDK lib\kinesicskit.jar and lib\chant-shared.jar paths as a classpath property in your system settings.
  1. copy the JKinesicsKitX64.DLL file to your Java JDK bin directory;
  2. copy the kinesicskit.jar and chant-shared.jar class libraries to your Java JDK lib; and
  3. append a path reference for your Java JDK lib\kinesicskit.jar and lib\chant-shared.jar paths as a classpath property in your system settings.

To access the KinesicsKit Java classes within your application, add references to the Chant shared and KinesicsKit class libraries in your code:

import com.kinesicskit.*;
import net.chant.shared.*;

Object Instantiation

Declare a global variable for the ChantKM class, instantiate an instance, set the license and serial properties, and set the event handler.

public class Frame1 extends JFrame implements com.kinesicskit.JChantKMEvents
{
    private JChantKM JChantKM1;

    private void jInit() throws Exception
    {
        // Create ChantKM object
        JChantKM1 = new JChantKM();

        // Set license properties
        JChantKM1.setStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
        JChantKM1.setStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");

        // Set the callback
        JChantKM1.setCallbackFunction(this,null,null);
    }
}

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantKMEvent chantKMEvent = JChantKM1.getChantKMEvent();
    if (chantKMEvent != null)
    {
        int callback = chantKMEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCKSStatusChanged :
                ...
                break;
        }
        JChantKM1.removeEvent();
    }
}

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Java application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy kinesicskit.jar and chant-shared.jar to the target system Java JRE lib directory and/or ensure the classpath includes the path where the kinesicskit.jar and chant-shared.jar libraries are placed on your target system.
  • Copy JKinesicsKit.dll to the target system Java JRE bin directory.
  • You may deploy your Java application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy kinesicskit.jar and chant-shared.jar to the target system Java JRE lib directory and/or ensure the classpath includes the path where the kinesicskit.jar and chant-shared.jar libraries are placed on your target system.
  • Copy JKinesicsKitX64.dll to the target system.

Sample Projects

Java sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\KinesicsKit 3\Win32\Java\JDK.
  • My Documents\Chant\KinesicsKit 3\Win64\Java\JDK.


KinesicsKit Microsoft Visual C++ Applications

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Microsoft Visual C++ Applications

You can develop C++ applications that manage movement using your favorite version of Microsoft Visual C++.

The following sections describe the steps for integrating KinesicsKit with Microsoft Visual C++ applications.

KinesicsKit Header Files

KinesicsKit includes C++ header files comprised of the C++ classes that manage Kinect sensors and automatically load and unload the runtime DLL.

To access the KinesicsKit C++ classes within your application, first add a project reference to the C++ header include files:

  • Win32
  • Win64
  1. Within your C++ project, select Project Properties.
  2. Under Configuration Properties, expand the C++ Properties and select the General Settings.
  3. Edit the Additional Include Directories.
  4. Locate the include directory path of the KinesicsKit header files: C:\Program Files\Chant\KinesicsKit 3\Win32\CDLL\include.
  5. Press the Apply button to save changes and dismiss the Project Properties.
  1. Within your C++ project, select Project Properties.
  2. Under Configuration Properties, expand the C++ Properties and select the General Settings.
  3. Edit the Additional Include Directories.
  4. Locate the include directory path of the KinesicsKit header files: C:\Program Files\Chant\KinesicsKit 3\Win64\CDLL\include.
  5. Press the Apply button to save changes and dismiss the Project Properties.

To access the KinesicsKit C++ classes within your application, add a reference to the Chant shared and KinesicsKit header files in your C++ application header file:

#include "ChantShared.h"
#include "ChantKinesicsKit.h"

Add a reference in your C++ application source file to the KinesicsKit code needed to dynamically load and unload the runtime DLL:

#include "ChantKinesicsKit.cpp"
#include "ChantShared.cpp"

Object Instantiation

Declare a global variable for the ChantKM class, instantiate an instance, set the license and serial properties, and set the event handler message.

Add the following to your application header file:

protected:
    CChantKM* m_pChantKM;  // ChantKM object
    virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

Add the following to your application source file:

    // Instantiate ChantKM object
    m_pChantKM = new CChantKM();

    // Set license properties
    m_pChantKM->SetStringProperty(CSPLicense,L"LicenseRegistrationNumber");
    m_pChantKM->SetStringProperty(CSPSerials,L"LicenseSerialNumber");

    // Define the HasEvent callback message
    m_HasEvent = WM_APP+8;
    m_pChantKM->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

LRESULT CKinectSensorDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantKM != NULL)
    {
        if (message == m_HasEvent)
        {
            // Get the event from the event queue
            CChantKMEvent* chantKMEvent = m_pChantKM->GetChantKMEvent();
            if (chantKMEvent != NULL)
            {
                switch (chantKMEvent->GetChantCallback())
                {
                    case CCKSStatusChanged:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantKM->RemoveEvent();
                // No longer need event object
                delete chantKMEvent;
                chantKMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

Deployment Checklist

When you are ready to deploy your C++ application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your C++ application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CKinesicsKit.dll to the target system and place in the same directory with your application.
  • You may deploy your C++ application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CKinesicsKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

Microsoft Visual C++ sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\KinesicsKit 3\Win32\CDLL\VS 2012,
  • My Documents\Chant\KinesicsKit 3\Win32\CDLL\VS 2013, and
  • My Documents\Chant\KinesicsKit 3\Win32\CDLL\VS 2015.
  • My Documents\Chant\KinesicsKit 3\Win64\CDLL\VS 2012,
  • My Documents\Chant\KinesicsKit 3\Win64\CDLL\VS 2013, and
  • My Documents\Chant\KinesicsKit 3\Win64\CDLL\VS 2015.


KinesicsKit .NET Windows Forms Applications

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

.NET Windows Forms Applications

You can develop .NET Windows Forms applications that manage movement using your favorite .NET Windows Forms development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating KinesicsKit with .NET Windows Forms applications.

KinesicsKit Assemblies

KinesicsKit includes Windows Forms compatible .NET assemblies compiled with .NET Framework V4+ to support your application's target framework.

To access the KinesicsKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the Chant shared and KinesicsKit .NET assemblies:
    1. Program Files\Chant\KinesicsKit 3\Win32\NET\libv4\Chant.KinesicsKit.dll and
    2. Program Files\Chant\KinesicsKit 3\Win32\NET\libv4\Chant.Shared.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the Chant shared and KinesicsKit .NET assemblies:
    1. Program Files\Chant\KinesicsKit 3\Win64\NET\libv4\Chant.KinesicsKit.dll and
    2. Program Files\Chant\KinesicsKit 3\Win64\NET\libv4\Chant.Shared.dll.

To access the KinesicsKit .NET classes within your application, add references to the Chant shared and KinesicsKit assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.KinesicsKit;
using Chant.Shared;

Imports Chant.KinesicsKit
Imports Chant.Shared
Class MainWindow
...

Platform Target

Set the project Platform target to either x86 for 32-bit application or x64 for 64-bit application as follows:

  • C#
  • VB .NET

Within your C# project

  1. Select the Build tab under project properties.
  2. Select x86 or x64 in the Platform target dropdown list.

Within your VB .NET Project

  1. Select the Compile tab under project properties.
  2. Press the Advanced Compile Options... button.
  3. Select x86 or x64 in the Target CPU dropdown list.

Object Instantiation

Declare a global variable for the ChantKM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.KinesicsKit.NChantKM NChantKM1;
public MainWindow()
{
    InitializeComponent();
    // Instantiate NChantKM object
    NChantKM1 = new NChantKM();
    // Setup event callback handler
    NChantKM1.HasEvent += this.NChantKM1_HasEvent;
    // Set license properties
    NChantKM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantKM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantKM1 As NChantKM

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantKM1 = New NChantKM()

    ' Set license properties
    NChantKM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantKM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

  • C#
  • VB .NET
private void NChantKM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantKMEvent nChantKMEvent = NChantKM1.GetChantKMEvent();
    if (nChantKMEvent != null)
    {
        switch (nChantKMEvent.ChantCallback)
        {
            case ChantCallback.CCKSStatusChanged:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantKM1.RemoveEvent();
    }
}

Private Sub NChantKM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantKM1.HasEvent
    Dim nChantKMEvent As NChantKMEvent
    ' Get the event from the event queue
    nChantKMEvent = NChantKM1.GetChantKMEvent()
    if nChantGMEvent <> Nothing Then
        Select Case nChantKMEvent.ChantCallback
            Case ChantCallback.CCKSStatusChanged
                ...
        End Select
        ' Remove the event from the event queue
        NChantKM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system.

Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.KinesicsKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NKinesicsKit.dll to the target system.
  • Register NKinesicsKit.dll as a COM library on the target system.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.KinesicsKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NKinesicsKitX64.dll to the target system.
  • Register NKinesicsKitX64.DLL as a COM library on the target system.

Review the following checklist before deploying your .NET Applications targeting Microsoft.Kinect with managed NAPI:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.KinesicsKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.KinesicsKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.

Sample Projects

.NET Windows Forms sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\KinesicsKit 3\Win32\NET WinForms\VS 2012\CSharp,
  • My Documents\Chant\KinesicsKit 3\Win32\NET WinForms\VS 2012\Visual Basic,
  • My Documents\Chant\KinesicsKit 3\Win32\NET WinForms\VS 2013\CSharp,
  • My Documents\Chant\KinesicsKit 3\Win32\NET WinForms\VS 2013\Visual Basic,
  • My Documents\Chant\KinesicsKit 3\Win32\NET WinForms\VS 2015\CSharp, and
  • My Documents\Chant\KinesicsKit 3\Win32\NET WinForms\VS 2015\Visual Basic.
  • My Documents\Chant\KinesicsKit 3\Win64\NET WinForms\VS 2012\CSharp,
  • My Documents\Chant\KinesicsKit 3\Win64\NET WinForms\VS 2012\Visual Basic,
  • My Documents\Chant\KinesicsKit 3\Win64\NET WinForms\VS 2013\CSharp,
  • My Documents\Chant\KinesicsKit 3\Win64\NET WinForms\VS 2013\Visual Basic,
  • My Documents\Chant\KinesicsKit 3\Win64\NET WinForms\VS 2015\CSharp, and
  • My Documents\Chant\KinesicsKit 3\Win64\NET WinForms\VS 2015\Visual Basic.


KinesicsKit .NET WPF Applications

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

.NET WPF Applications

You can develop .NET WPF applications that manage movement using your favorite .NET WPF development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating KinesicsKit with .NET WPF applications.

KinesicsKit Assemblies

KinesicsKit includes WPF compatible .NET assemblies compiled with .NET Framework V4+ to support your application's target framework.

To access the KinesicsKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the Chant shared and KinesicsKit .NET assemblies:
    1. Program Files\Chant\KinesicsKit 3\Win32\NET\libv4\Chant.KinesicsKit.dll and
    2. Program Files\Chant\KinesicsKit 3\Win32\NET\libv4\Chant.Shared.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the Chant shared and KinesicsKit .NET assemblies:
    1. Program Files\Chant\KinesicsKit 3\Win64\NET\libv4\Chant.KinesicsKit.dll and
    2. Program Files\Chant\KinesicsKit 3\Win64\NET\libv4\Chant.Shared.dll.

To access the KinesicsKit .NET classes within your application, add references to the Chant shared and KinesicsKit assemblies in your code:

  • C#
  • VB .NET
    using System;
    ...
    using Chant.KinesicsKit;
    using Chant.Shared;

    Imports Chant.KinesicsKit
    Imports Chant.Shared
    Class MainWindow
    ...

Platform Target

Set the project Platform target to either x86 for 32-bit application or x64 for 64-bit application as follows:

  • C#
  • VB .NET

Within your C# project

  1. Select the Build tab under project properties.
  2. Select x86 or x64 in the Platform target dropdown list.

Within your VB .NET Project

  1. Select the Compile tab under project properties.
  2. Press the Advanced Compile Options... button.
  3. Select x86 or x64 in the Target CPU dropdown list.

Object Instantiation

Declare a global variable for the ChantKM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
    private Chant.KinesicsKit.NChantKM NChantKM1;
    public MainWindow()
    {
        InitializeComponent();
        // Instantiate NChantKM object
        NChantKM1 = new NChantKM();
        // Setup event callback handler
        NChantKM1.HasEvent += this.NChantKM1_HasEvent;
        // Set license properties
        NChantKM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
        NChantKM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
    }

    Dim WithEvents NChantKM1 As NChantKM

    Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
        NChantKM1 = New NChantKM()

        ' Set license properties
        NChantKM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
        NChantKM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

        ...

    End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

  • C#
  • VB .NET
    private void NChantKM1_HasEvent(object sender, HasEventArgs e)
    {
        // Get the event from the event queue
        NChantKMEvent nChantKMEvent = NChantKM1.GetChantKMEvent();
        if (nChantKMEvent != null)
        {
            switch (nChantKMEvent.ChantCallback)
            {
                case ChantCallback.CCKSStatusChanged:
                    {
                        ...
                        break;
                    }
                default:
                    break;
            }
            // Remove the event from the event queue
            NChantKM1.RemoveEvent();
        }
    }

    Private Sub NChantKM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantKM1.HasEvent
        Dim nChantKMEvent As NChantKMEvent
        ' Get the event from the event queue
        nChantKMEvent = NChantKM1.GetChantKMEvent()
        If nChantKMEvent <> Nothing Then
            Select Case nChantKMEvent.ChantCallback
                Case ChantCallback.CCKSStatusChanged
                    ...
            End Select
            ' Remove the event from the event queue
            NChantKM1.RemoveEvent()
        End If
    End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system.

Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.KinesicsKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NKinesicsKit.dll to the target system.
  • Register NKinesicsKit.dll as a COM library on the target system.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.KinesicsKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NKinesicsKitX64.dll to the target system.
  • Register NKinesicsKitX64.DLL as a COM library on the target system.

Review the following checklist before deploying your .NET Applications targeting Microsoft.Kinect with managed NAPI:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.KinesicsKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.KinesicsKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.

Sample Projects

.NET WPF sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\KinesicsKit 3\Win32\NET WPF\VS 2012\CSharp,
  • My Documents\Chant\KinesicsKit 3\Win32\NET WPF\VS 2012\Visual Basic,
  • My Documents\Chant\KinesicsKit 3\Win32\NET WPF\VS 2013\CSharp,
  • My Documents\Chant\KinesicsKit 3\Win32\NET WPF\VS 2013\Visual Basic,
  • My Documents\Chant\KinesicsKit 3\Win32\NET WPF\VS 2015\CSharp, and
  • My Documents\Chant\KinesicsKit 3\Win32\NET WPF\VS 2015\Visual Basic.
  • My Documents\Chant\KinesicsKit 3\Win64\NET WPF\VS 2012\CSharp,
  • My Documents\Chant\KinesicsKit 3\Win64\NET WPF\VS 2012\Visual Basic,
  • My Documents\Chant\KinesicsKit 3\Win64\NET WPF\VS 2013\CSharp,
  • My Documents\Chant\KinesicsKit 3\Win64\NET WPF\VS 2013\Visual Basic,
  • My Documents\Chant\KinesicsKit 3\Win64\NET WPF\VS 2015\CSharp, and
  • My Documents\Chant\KinesicsKit 3\Win64\NET WPF\VS 2015\Visual Basic.


Chant LexiconKit 5 Developer's Guide

Chant Inc.
LexiconKit 5 Developer's Guide


Lexicon Management with LexiconKit

No matter how you slice it, a tomato is just a tomato. However, your end users—customers and clients—may be partial to their kind of tomato. Your applications need to accommodate and adjust to their manner of speaking when recognizing and synthesizing.

A lexicon is a collection of word pronunciations that a speech recognition engine (i.e., recognizer) uses to improve recognition accuracy and a speech synthesis engine (i.e., synthesizer) uses to enhance the quality of its pronunciation.

Lexicons play an important role in the accuracy of speech recognition. A speech recognition engine (i.e., recognizer) uses lexicons in the process of recognizing speech. Lexicons consist of the words that a recognizer understands and returns as recognized speech. Since it's impractical for a recognizer to maintain every possible word and context in its spoken language, you enhance the accuracy of speech recognition by extending its lexicon.

Lexicons play an important role in the quality of text-to-speech playback. A text-to-speech engine (i.e., synthesizer) uses lexicons to obtain pronunciation information associated with words to generate the appropriate speech sounds for the word. For example, with a lexicon you may ensure "record" is pronounced correctly when used as a noun and when used as a verb.

What is Lexicon Management?

Lexicon management enables you to:

  • tailor pronunciations to specific end user preferences.
  • extend recognizer and synthezizer lexicons, and
  • create, delete, edit, import, and export lexicons as part of your deployed applications.

Application benefits include:

  • improved speech recognition accuracy and
  • enhanced speech synthesis clarity.

What is LexiconKit?

Chant LexiconKit handles the complexities of managing lexicons and persisting them in files for deployment and installation.

The LexiconKit class library includes a lexicon management class that provides you a simple way to create, edit, export, and import lexicon word pronunciations. Your application can edit lexicons as part of its runtime operation to enable real-time customization and tailoring of your speech recognition and speech synthesis environment.

It simplifies the process of managing word pronunciations for Cepstral Swift API, Microsoft SAPI 5, and Nuance Vocalizer and VoCon API lexicon formats to use with your favorite speech recognizers and synthesizers.

LexiconKit includes C++, C++Builder, Delphi, Java, .NET Framework, and Silverlight class libraries to support all your programming languages and provides sample projects for popular IDEs—such as the latest Visual Studio from Microsoft and RAD Studio from Embarcadero.

The class libraries can be integrated with 32-bit and 64-bit applications.

For more information about the Lexicon Management with LexiconKit, review the following topics:

  • LexiconKit Features and
  • Lexicon Management Architecture.


LexiconKit Features

The goal of lexicon management is to adjust to the end user manner of speaking for enhanced speech recognition accuracy and speech synthesis quality. A LexiconKit application can:

  • Edit locally installed lexicons;
  • Create and delete lexicon word pronunciations on demand;
  • Export and import lexicon word pronunciations for ensuring maximum recognition accuracy and speech synthesis quality; and
  • Add and remove dictation shortcuts.

Chant LexiconKit handles the complexities of managing and persisting word pronunciations. This allows your application to enhance the quality of speech recognition and speech synthesis and offer administrative features for maintaining word pronunciations.

Recognizers and synthesizers have unique formats for word pronunciations, lexicon formats, and approaches for runtime inclusion. LexiconKit supports the following recognizer and synthesizers and their lexicons formats.

Recognizer or Synthesizer | Speech API | File Format | Archiveable
Acapela (all languages) | BabTTS | .dic | No
Cepstral (all languages) | Swift API | .txt | No
Microsoft SAPI 5 (all languages) | SAPI 5 | internal | Yes
Microsoft Speech Platform (all languages) | SAPI 5 | W3C .pls | No
Nuance Vocalizer Auotmotive (all languages) | Vocalizer Auotmotive | .dct (.dcb .dcc) | No
Nuance Vocalizer Expressive (all languages) | Vocalizer Expressive | .dct (.dcb .dcc) | No
Nuance Vocalizer Network (all languages) | Vocalizer Network | .dct (.dcb .dcc) | No
Nuance VocCon 3200 V2 (all languages) | VoCon 3200 V2 | .dct (.dcb .dcc) | No
Nuance VocCon 3200 V3 (all languages) | VoCon 3200 V3 | .dct (.dcb .dcc) | No
Nuance VocCon 3200 V4 (all languages) | VoCon 3200 V4 | .dct (.dcb .dcc) | No

Within Chant Developer Workbench IDE, you can:

  • Create and edit W3C lexicons (.pls);
  • Create and edit Cepstral lexicon file (.txt);
  • Create and edit Nuance Vocalizer and VoCon user dictionary text file (.dct);
  • Create, edit, export, and delete SAPI 5 user and application lexicons;
  • Generate word pronunciation phonemes; and
  • Edit word pronunciation phonemes.

PLS Lexicon Editing

PLS Lexicon Editing: Edit word pronunciations faster with built-in intelliprompt that suggests valid syntax and with built-in phoneme generation and editing tool windows.

Cepstral Pronunciation Editing

Cepstral Pronunciation Editing: Create and edit Cepstral default pronunciations faster by using the auto generation feature. Simply type the word, space, and 0 to generate the default pronunciation for editing.

Vocalizer and VoCon Pronunciation Editing

Vocalizer and VoCon Pronunciation Editing: Create and edit Vocalizer and VoCon pronunciations faster by using the auto generation feature. Simply type the word, space, and two forward slashes to generate the default pronunciation for editing.

SAPI5 Pronunciation Editing

SAPI5 Pronunciation Editing: Create, edit, export, and delete SAPI 5 user and application lexicons. Add and delete pronunications faster by using the Lexicon Pronunciation window.

SAPI5 Shortcut Editing

SAPI5 Shortcut Editing: Edit and export SAPI 5 user lexicons. Add and delete shortcuts faster by using the Lexicon Shortcut window.


Lexicon Management Architecture

The LexiconKit class library includes a lexicon management class that provides you a simple way to create, edit, export, and import lexicon word pronunciations. Your application can edit lexicons as part of its runtime operation to enable real-time customization and tailoring of your speech recognition and speech synthesis environment.

The lexicon management class, ChantLM, enables you to select a lexicon, edit word pronunciations, and optionally persist the word pronunciations to a binary. Your application uses the ChantLM class to manage the activities for editing lexicons on behalf of your application. The ChantLM class manages the resources and interacts directly with the applicable speech recognition or synthesis engine. The ChantLM class supports the following speech APIs:

  • Acapela BabTTS,
  • Cepstral Swift,
  • Microsoft SAPI 5,
  • Microsoft Speech Platform,
  • Nuance Vocalizer, and
  • Nuance VoCon 3200.

Your application receives import and export progress notifications through event callbacks.

The ChantLM class encapsulates all of the technologies necessary to make the process of editing word pronunciations simple and efficient for your application. Optionally, it can persist the pronunciations binary for deployment to other systems.

LexiconKit Architecture for Lexicon Management

The ChantLM class simplifies the process of editing lexicons by handling the low-level activities directly with the speech recognition and synthesis engines.

You instantiate a ChantLM class object before you want to edit a lexicon within your application. You destroy the ChantLM class object and release its resources when you no longer want to edit lexicons within your application.


Tailoring Pronunciations with LexiconKit

A lexicon is a collection of word pronunciations that a speech recognition engine (i.e., recognizer) uses to improve recognition accuracy and a speech synthesis engine (i.e.,g synthesizer) uses to enhance its word pronunciation.

Chant LexiconKit handles the complexities of managing and persisting word pronunciations. This allows your application to enhance the quality of speech recognition and speech synthesis and offer administrative features for maintaining word pronunciations.

Recognizers and synthesizers have unique formats for word pronunciations, lexicon formats, and approaches for runtime inclusion. LexiconKit supports the following recognizer and synthesizers and their lexicons formats.

Recognizer or Synthesizer | Speech API | File Format | Archiveable
Acapela (all languages) | BabTTS | .dic | No
Cepstral (all languages) | Swift API | .txt | No
Microsoft SAPI 5 (all languages) | SAPI 5 | internal | Yes
Microsoft Speech Platform (all languages) | SAPI 5 | W3C .xml | No
Nuance Vocalizer Auotmotive (all languages) | Vocalizer Auotmotive | .dct (.dcb .dcc) | No
Nuance Vocalizer Expressive (all languages) | Vocalizer Expressive | .dct (.dcb .dcc) | No
Nuance Vocalizer Network (all languages) | Vocalizer Network | .dct (.dcb .dcc) | No
Nuance VocCon 3200 V2 (all languages) | VoCon 3200 V2 | .dct (.dcb .dcc) | No
Nuance VocCon 3200 V3 (all languages) | VoCon 3200 V3 | .dct (.dcb .dcc) | No
Nuance VocCon 3200 V4 (all languages) | VoCon 3200 V4 | .dct (.dcb .dcc) | No

For more information about tailoring pronunciations with LexiconKit, review the following topics:

  • LexiconEditing and
  • Lexicon Management Applications.


Lexicon Editing

The following topics provide detailed steps for maintaining lexicons within the Chant Developer Workbench IDE:

  • PLS Lexicon Editing,
  • Cepstral Lexicon Editing,
  • Vocalizer and VoCon Lexicon Editing,
  • SAPI 5 Pronunciation Editing, and
  • SAPI 5 Shortcut Editing.


PLS Lexicon Editing

A PLS lexicon is a collection of word pronunciations that conform to the W3C PLS specification. The steps to create a PLS lexicon with Chant LexiconKit are as follows:

  1. Select the Start Page tab and click on the PLS Lexicon image or select the File - New menu item or click the New Standard toolbar button, select Lexicon from the category list, and select W3C PLS to create one in a document window.

  2. Save your new lexicon to a file by selecting the File - Save menu item or click the Save Standard toolbar button.

A lexicon consists of one or more pronunciation elements. You must add at least one valid pronunciation element to a lexicon. The Chant Developer Workbench lexicon editor provides Intelliprompt suggestions as you type your pronunciation definition:

  <lexeme>
    <grapheme>tomato</grapheme>
    <phoneme>t ax m ey t ow</phoneme>
  </lexeme>

Use the Speech - Generate Phonemes menu item or click the Generate Phonemes Speech toolbar button to display the Generate Phonemes window. Enter the word from which to generate phonemes, select the appropriate speech engine, and press the Generate Phonemes button. The default pronunciation is generated and added to the clipboard. Insert your cursor into the document and perform an Edit - Paste to copy the phonemes into the document.

PLS Lexicon Editing - Generate Phonemes

Use the Speech - Edit Phonemes menu item or click the Edit Phonemes Speech toolbar button to display the Edit Phonemes window. Select the appropriate speech engine and select the appropriate replacement phoneme. The phoneme is added to the clipboard. Insert your cursor into the document and perform an Edit - Paste to copy the phoneme into the document.

PLS Lexicon Editing - Edit Phonemes


Cepstral Lexicon Editing

A Cepstral lexicon is a collection of word pronunciations. The steps to create a Cepstral lexicon with Chant LexiconKit are as follows:

  1. Select the Start Page tab and click on the Cepstral Lexicon image or select the File - New menu item or click the New Standard toolbar button, select Lexicon from the category list, and select Cepstral Lexicon to create one in a document window.

  2. Save your new lexicon to a file by selecting the File - Save menu item or click the Save Standard toolbar button.

A lexicon consists of one or more pronunciation elements. You must add at least one valid pronunciation element to a lexicon. The Chant Developer Workbench lexicon editor provides automatic phoneme generation. Type the word, space, and part of speech (currently not implemented, so use '0') to generate default pronunciation.

tomato 0 t ah0 m ey1 t ow0

Use the Speech - Edit Phonemes menu item or click the Edit Phonemes Speech toolbar button to display the Edit Phonemes window. Select the appropriate speech engine and select the appropriate replacement phoneme. The phoneme is added to the clipboard. Insert your cursor into the document and perform an Edit - Paste to copy the phoneme into the document.

Cepstral Pronunciation Editing


Vocalizer and Vocon Lexicon Editing

A Vocalizer and Vocon lexicon is a collection of word pronunciations. The steps to create a Vocalizer and Vocon lexicon with Chant LexiconKit are as follows:

  1. Select the Start Page tab and click on the L&H User Dictionary image or select the File - New menu item or click the New Standard toolbar button, select Lexicon from the category list, and select L&H User Dictionary to create one in a document window.

  2. Save your new lexicon to a file by selecting the File - Save menu item or click the Save Standard toolbar button.

A lexicon consists of one or more pronunciation elements. You must add at least one valid pronunciation element to a lexicon. The Chant Developer Workbench lexicon editor provides automatic phoneme generation. Type the word, space, and two forward slashes to generate default pronunciation.

[Data]
tomato // #t$.'me&I.r6o&U#

Use the Speech - Edit Phonemes menu item or click the Edit Phonemes Speech toolbar button to display the Edit Phonemes window. Select the appropriate speech engine and select the appropriate replacement phoneme. The phoneme is added to the clipboard. Insert your cursor into the document and perform an Edit - Paste to copy the phoneme into the document.

Vocalizer and Vocon Pronunciation Editing


SAPI Pronunciation Editing

SAPI 5 supports pronunciations with user and application lexicons. There is only one user lexicon per Window user and there may be many application specific lexicons.

Select the View - Lexicons menu item to open the lexicon browser that lists the current lexcions detected on the system.

The steps to create a SAPI 5 application lexicon with Chant LexiconKit are as follows:

  1. Select the Speech - Create Lexicon Create Lexicon Speech toolbar button to display the Create Lexicon dialog.

  2. Select the speech engine, enter the new lexicon name, and press the OK button.

SAPI 5 Pronunciation Editing

Add Pronunciation

To add a pronunciation to the lexicon, fill in the form in the Lexicon Pronunciation window as follows:

  1. Enter the word.
  2. Select the part of speech.
  3. Press the Generate Phonemes Generate Phonemes button to generate the default pronunication phonemes.
  4. Press the Edit Phonemes Edit Phonemes button to edit the pronunication phonemes if necessary.
  5. Press the Add button to add the pronunciation to the lexicon.
  6. Select the Speech - Save Lexicon Save Lexicon Speech toolbar button to save the changes to the lexicon.

Delete Pronunciation

You may delete a pronunciation from the lexicon by selecting the pronunciation in the Lexicon Browser window and pressing the Delete button in the Lexicon Pronunciation window.

Select the Speech - Save Lexicon Save Lexicon Speech toolbar button to save the changes to the lexicon.


SAPI Shortcut Editing

SAPI 5 supports dictation shortcut defintions in user lexicons. There is only one user lexicon per Window user.

Select the View - Lexicons menu item to open the lexicon browser that lists the current lexcions detected on the system.

Select the CurrentUserLexicon to display any existing entries and to be able to edit that lexicon with the Lexicon Shortcut window.

SAPI 5 Shortcut Editing

Add Shortcut

To add a shortcut to the lexicon, fill in the form in the Lexicon Shortcut window as follows:

  1. Enter the display text.
  2. Enter the spokent text.
  3. Select the shortcut type.
  4. Press the Add button to add the shortcut to the lexicon.
  5. Select the Speech - Save Lexicon Save Lexicon Speech toolbar button to save the changes to the lexicon.

Delete Shortcut

You may delete a shortcut from the lexicon by selecting the shortcut in the Lexicon Browser window and pressing the Delete button in the Lexicon Shortcut window.

Select the Speech - Save Lexicon Save Lexicon Speech toolbar button to save the changes to the lexicon.


Lexicon Editing Applications

The following topics describe how to build lexicon editing applications:

  • Generating, Editing, and Persisting Pronunciations,
  • Event Handling,
  • Error Handling,
  • Create Lexicon Sample, and
  • Edit Lexicon Sample.


Generating, Editing, and Persisting Pronunciations

The LexiconKit management class is designed to provide you a lot of flexiblity and minimize the programming necessary to manage lexicon word pronunciations. Lexicon word pronunciations are comprised of phonemes or basic units of sounds. Speech engines (i.e., recognizers and synthesizers) have their own unique phonemes and pronunciation formats. That is, Acapela, Cesptral, L&H, and SAPI 5 phonemes vary as do the word pronunciations.

For example, the following table illustrates the differences in default pronunciations for the word tomato across speech engines.

Acapela BabTTS | Cepstral Swift | L&H | SAPI 5
t_h A m EI t_h @U | t ah0 m ey1 t ow0 | t$me&Ir6o&U | t ax m ey t ow

LexiconKit handles the complexities of dealing with these differences for your application.

To generate a lexicon word pronunciation, you simply pass the word, the engine name (i.e., recognizer or synthesizer), and the word type (i.e., part of speech) to LexiconKit.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
String phonemes = NChantLM1.GeneratePhonemes("tomato", "Microsoft David Desktop - English (United States)", ChantPartOfSpeech.CPOSNoun);

wchar_t* phonemes = pCChantLM->GeneratePhonemes(L"tomato", L"Microsoft David Desktop - English (United States)", CPOSNoun);

String phonemes = pCChantLM->GeneratePhonemes("tomato", "Microsoft David Desktop - English (United States)", CPOSNoun);

var phonemes: string;
phonemes := ChantLM1.GeneratePhonemes('tomato', 'Microsoft David Desktop - English (United States)', CPOSNoun);

String phonemes = JChantLM1.generatePhonemes("tomato", "Microsoft David Desktop - English (United States)", ChantPartOfSpeech.CPOSNoun);

Dim phonemes As String
phonemes = NChantLM1.GeneratePhonemes("tomato", "Microsoft David Desktop - English (United States)", ChantPartOfSpeech.CPOSNoun)

To provide alternate pronunciations, you may edit lexicon word pronunciations (i.e., change the phonemes) and add them to the lexicon.

Speech engines (i.e., recognizers and synthesizers) have their own unique lexicon formats and approaches for runtime inclusion in addition to their own unique phonemes and pronunciation formats.

Recognizer or Synthesizer | Speech API | File Format | Archiveable
Acapela (all languages) | BabTTS | .dic | No
Cepstral (all languages) | Swift API | .txt | No
Microsoft SAPI 5 (all languages) | SAPI 5 | internal | Yes
Microsoft Speech Platform (all languages) | SAPI 5 | W3C .pls | No
Nuance Vocalizer Auotmotive (all languages) | Vocalizer Auotmotive | .dct (.dcb .dcc) | No
Nuance Vocalizer Expressive (all languages) | Vocalizer Expressive | .dct (.dcb .dcc) | No
Nuance Vocalizer Network (all languages) | Vocalizer Network | .dct (.dcb .dcc) | No
Nuance VocCon 3200 V2 (all languages) | VoCon 3200 V2 | .dct (.dcb .dcc) | No
Nuance VocCon 3200 V3 (all languages) | VoCon 3200 V3 | .dct (.dcb .dcc) | No
Nuance VocCon 3200 V4 (all languages) | VoCon 3200 V4 | .dct (.dcb .dcc) | No

Open a lexicon for editing by specifying the name or file containing the pronunciations.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Open a local Acapela Lexicon
NBabLexicon nBabLexicon = NChantLM1.OpenLexicon("RyanWords.dct");

// Add pronunciation to speech engine lexicon
nBabLexicon.AddPronunciation("tomato", "t_h A m EI t_h @U", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nBabLexicon.DeletePronunciation("tomato", "t_h A m EI t_h @U", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("RyanWords.dct");

// Open a local Cepstral Lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.OpenLexicon("CallieWords.txt");

// Add pronunciation to speech engine lexicon
nCepstralLexicon.AddPronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nCepstralLexicon.DeletePronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("CallieWords.txt");

// Open a local SAPI 4 Lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.OpenLexicon("Mary");

// Add pronunciation to speech engine lexicon
nSAPI4Lexicon.AddPronunciation("tomato", "taxmeytow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nSAPI4Lexicon.DeletePronunciation("tomato", taxmeytow", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("Mary");

// Open a local SAPI 5 User Lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("CurrentUserLexicon");

// Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("CurrentUserLexicon");

// Open a local SAPI 5 App Lexicon
NSAPI5AppLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("DavidWords");

// Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("DavidWords");

// Open a local L&H Lexicon
NLHLexicon nLHLexicon = NChantLM1.OpenLexicon("TomWords.dct");

// Add pronunciation to speech engine lexicon
nLHLexicon.AddPronunciation("tomato", "t$me&Ir6o&U", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nLHLexicon.DeletePronunciation("tomato", "t$me&Ir6o&U", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("TomWords.dct");

// Open a local Acapela Lexicon
CBabLexicon* pBabLexicon = pChantLM->OpenLexicon(L"RyanWords.dct");

// Add pronunciation to speech engine lexicon
pBabLexicon->AddPronunciation(L"tomato", L"t_h A m EI t_h @U", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pBabLexicon->DeletePronunciation(L"tomato", L"t_h A m EI t_h @U", CPOSNoun);

// Save changes
pChantLM->Export(L"RyanWords.dct");

// Open a local Cepstral Lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->OpenLexicon(L"CallieWords.txt");

// Add pronunciation to speech engine lexicon
pCepstralLexicon->AddPronunciation(L"tomato", L"t ah0 m ey1 t ow0", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pCepstralLexicon->DeletePronunciation(L"tomato", L"t ah0 m ey1 t ow0", CPOSNoun);

// Save changes
pChantLM->Export(L"CallieWords.txt");

// Open a local SAPI 4 Lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->OpenLexicon(L"Mary");

// Add pronunciation to speech engine lexicon
pSAPI4Lexicon->AddPronunciation(L"tomato", L"taxmeytow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI4Lexicon->DeletePronunciation(L"tomato", Ltaxmeytow", CPOSNoun);

// Save changes
pChantLM->Export(L"Mary");

// Open a local SAPI 5 User Lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon(L"CurrentUserLexicon");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation(L"tomato", L"t ax m ey t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation(L"tomato", L"t ax m ey t ow", CPOSNoun);

// Save changes
pChantLM->Export(L"CurrentUserLexicon");

// Open a local SAPI 5 App Lexicon
CSAPI5AppLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon(L"DavidWords");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation(L"tomato", L"t ax m aa t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation(L"tomato", L"t ax m aa t ow", CPOSNoun);

// Save changes
pChantLM->Export(L"DavidWords");

// Open a local L&H Lexicon
CLHLexicon* pLHLexicon = pChantLM->OpenLexicon(L"TomWords.dct");

// Add pronunciation to speech engine lexicon
pLHLexicon->AddPronunciation(L"tomato", L"t$me&Ir6o&U", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pLHLexicon->DeletePronunciation(L"tomato", L"t$me&Ir6o&U", CPOSNoun);

// Save changes
pChantLM->Export(L"TomWords.dct");

// Open a local Acapela Lexicon
CBabLexicon* pBabLexicon = pChantLM->OpenLexicon("RyanWords.dct");

// Add pronunciation to speech engine lexicon
pBabLexicon->AddPronunciation("tomato", "t_h A m EI t_h @U", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pBabLexicon->DeletePronunciation("tomato", "t_h A m EI t_h @U", CPOSNoun);

// Save changes
pChantLM->Export("RyanWords.dct");

// Open a local Cepstral Lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->OpenLexicon("CallieWords.txt");

// Add pronunciation to speech engine lexicon
pCepstralLexicon->AddPronunciation("tomato", "t ah0 m ey1 t ow0", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pCepstralLexicon->DeletePronunciation("tomato", "t ah0 m ey1 t ow0", CPOSNoun);

// Save changes
pChantLM->Export("CallieWords.txt");

// Open a local SAPI 4 Lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->OpenLexicon("Mary");

// Add pronunciation to speech engine lexicon
pSAPI4Lexicon->AddPronunciation("tomato", "taxmeytow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI4Lexicon->DeletePronunciation("tomato", taxmeytow", CPOSNoun);

// Save changes
pChantLM->Export("Mary");

// Open a local SAPI 5 User Lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon("CurrentUserLexicon");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation("tomato", "t ax m ey t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation("tomato", "t ax m ey t ow", CPOSNoun);

// Save changes
pChantLM->Export("CurrentUserLexicon");

// Open a local SAPI 5 App Lexicon
CSAPI5AppLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon("DavidWords");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation("tomato", "t ax m aa t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation("tomato", "t ax m aa t ow", CPOSNoun);

// Save changes
pChantLM->Export("DavidWords");

// Open a local L&H Lexicon
CLHLexicon* pLHLexicon = pChantLM->OpenLexicon("TomWords.dct");

// Add pronunciation to speech engine lexicon
pLHLexicon->AddPronunciation("tomato", "t$me&Ir6o&U", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pLHLexicon->DeletePronunciation("tomato", "t$me&Ir6o&U", CPOSNoun);

// Save changes
pChantLM->Export("TomWords.dct");

var aTBabLexicon: TBabLexicon;
begin
// Open a local Acapela Lexicon
aTBabLexicon := ChantLM1.OpenLexicon('RyanWords.dct');

// Add pronunciation to speech engine lexicon
aTBabLexicon.AddPronunciation('tomato', 't_h A m EI t_h @U', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTBabLexicon.DeletePronunciation('tomato', 't_h A m EI t_h @U', CPOSNoun);

// Save changes
ChantLM1.Export('RyanWords.dct');
end;

var aTCepstralLexicon: TCepstralLexicon;
begin
// Open a local Cepstral Lexicon
aTCepstralLexicon := ChantLM1.OpenLexicon('CallieWords.txt');

// Add pronunciation to speech engine lexicon
aTCepstralLexicon.AddPronunciation('tomato', 't ah0 m ey1 t ow0', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTCepstralLexicon.DeletePronunciation('tomato', 't ah0 m ey1 t ow0', CPOSNoun);

// Save changes
ChantLM1.Export('CallieWords.txt');
end;

var aTSAPI4Lexicon: TSAPI4Lexicon;
begin
// Open a local SAPI 4 Lexicon
aTSAPI4Lexicon := ChantLM1.OpenLexicon('Mary');

// Add pronunciation to speech engine lexicon
aTSAPI4Lexicon.AddPronunciation('tomato', 'taxmeytow', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTSAPI4Lexicon.DeletePronunciation('tomato', taxmeytow', CPOSNoun);

// Save changes
ChantLM1.Export('Mary');
end;

var aTSAPI5UserLexicon: TSAPI5UserLexicon;
begin
// Open a local SAPI 5 User Lexicon
aTSAPI5UserLexicon := ChantLM1.OpenLexicon('CurrentUserLexicon');

// Add pronunciation to speech engine lexicon
aTSAPI5UserLexicon.AddPronunciation('tomato', 't ax m ey t ow', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTSAPI5UserLexicon.DeletePronunciation('tomato', 't ax m ey t ow', CPOSNoun);

// Save changes
ChantLM1.Export('CurrentUserLexicon');
end;

var aTSAPI5AppLexicon: TSAPI5AppLexicon;
begin
// Open a local SAPI 5 App Lexicon
aTSAPI5AppLexicon := ChantLM1.OpenLexicon('DavidWords');

// Add pronunciation to speech engine lexicon
aTSAPI5AppLexicon.AddPronunciation('tomato', 't ax m aa t ow', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTSAPI5AppLexicon.DeletePronunciation('tomato', 't ax m aa t ow', CPOSNoun);

// Save changes
ChantLM1.Export('DavidWords');
end;

var aTLHLexicon: TLHLexicon;
begin
// Open a local L&H Lexicon
aTLHLexicon := ChantLM1.OpenLexicon('TomWords.dct');

// Add pronunciation to speech engine lexicon
nLHLexicon.AddPronunciation('tomato', 't$me&Ir6o&U', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nLHLexicon.DeletePronunciation('tomato', 't$me&Ir6o&U', CPOSNoun);
end;

// Save changes
ChantLM1.Export('TomWords.dct');

// Open a local Acapela Lexicon
JBabLexicon jBabLexicon = JChantLM1.openLexicon("RyanWords.dct");

// Add pronunciation to speech engine lexicon
jBabLexicon.addPronunciation("tomato", "t_h A m EI t_h @U", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jBabLexicon.deletePronunciation("tomato", "t_h A m EI t_h @U", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("RyanWords.dct");

// Open a local Cepstral Lexicon
JCepstralLexicon jCepstralLexicon = JChantLM1.openLexicon("CallieWords.txt");

// Add pronunciation to speech engine lexicon
jCepstralLexicon.addPronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jCepstralLexicon.deletePronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("CallieWords.txt");

// Open a local SAPI 4 Lexicon
JSAPI4Lexicon jSAPI4Lexicon = JChantLM1.openLexicon("Mary");

// Add pronunciation to speech engine lexicon
jSAPI4Lexicon.addPronunciation("tomato", "taxmeytow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jSAPI4Lexicon.deletePronunciation("tomato", taxmeytow", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("Mary");

// Open a local SAPI 5 User Lexicon
JSAPI5UserLexicon jSAPI5UserLexicon = JChantLM1.openLexicon("CurrentUserLexicon");

// Add pronunciation to speech engine lexicon
jSAPI5UserLexicon.addPronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jSAPI5UserLexicon.deletePronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("CurrentUserLexicon");

// Open a local SAPI 5 App Lexicon
JSAPI5AppLexicon jSAPI5UserLexicon = JChantLM1.openLexicon("DavidWords");

// Add pronunciation to speech engine lexicon
jSAPI5UserLexicon.addPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jSAPI5UserLexicon.deletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("DavidWords");

// Open a local L&H Lexicon
JLHLexicon jLHLexicon = JChantLM1.openLexicon("TomWords.dct");

// Add pronunciation to speech engine lexicon
jLHLexicon.addPronunciation("tomato", "t$me&Ir6o&U", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jLHLexicon.deletePronunciation("tomato", "t$me&Ir6o&U", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("TomWords.dct");

Dim nBabLexicon as NBabLexicon
' Open a local Acapela Lexicon
NBabLexicon nBabLexicon = NChantLM1.OpenLexicon("RyanWords.dct")

' Add pronunciation to speech engine lexicon
nBabLexicon.AddPronunciation("tomato", "t_h A m EI t_h @U", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nBabLexicon.DeletePronunciation("tomato", "t_h A m EI t_h @U", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("RyanWords.dct")

Dim nCepstralLexicon as NCepstralLexicon
' Open a local Cepstral Lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.OpenLexicon("CallieWords.txt")

' Add pronunciation to speech engine lexicon
nCepstralLexicon.AddPronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nCepstralLexicon.DeletePronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("CallieWords.txt")

Dim nSAPI4Lexicon as NSAPI4Lexicon
' Open a local SAPI 4 Lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.OpenLexicon("Mary")

' Add pronunciation to speech engine lexicon
nSAPI4Lexicon.AddPronunciation("tomato", "taxmeytow", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nSAPI4Lexicon.DeletePronunciation("tomato", taxmeytow", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("Mary")

Dim nSAPI5UserLexicon as NSAPI5UserLexicon
' Open a local SAPI 5 User Lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("CurrentUserLexicon")

' Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("CurrentUserLexicon")

Dim nSAPI5UserLexicon as NSAPI5AppLexicon
' Open a local SAPI 5 App Lexicon
NSAPI5AppLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("DavidWords")

' Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("DavidWords")

Dim nLHLexicon as NLHLexicon
' Open a local L&H Lexicon
NLHLexicon nLHLexicon = NChantLM1.OpenLexicon("TomWords.dct")

' Add pronunciation to speech engine lexicon
nLHLexicon.AddPronunciation("tomato", "t$me&Ir6o&U", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nLHLexicon.DeletePronunciation("tomato", "t$me&Ir6o&U", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("TomWords.dct")

Open an archive for editing by specifying the archive file name.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Open an archived Cepstral Lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.OpenLexicon("CallieWords.exe");

// Add pronunciation to speech engine lexicon
nCepstralLexicon.AddPronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nCepstralLexicon.DeletePronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("CallieWords.exe");

// Open an archived SAPI 4 Lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.OpenLexicon("MaryWords.exe");

// Add pronunciation to speech engine lexicon
nSAPI4Lexicon.AddPronunciation("tomato", "taxmeytow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nSAPI4Lexicon.DeletePronunciation("tomato", taxmeytow", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("MaryWords.exe");

// Open an archived SAPI 5 User Lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("CurrentUserLexicon.exe");

// Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("CurrentUserLexicon.exe");

// Open an archived SAPI 5 App Lexicon
NSAPI5AppLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("DavidWords.exe");

// Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("DavidWords.exe");

// Open an archived Cepstral Lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->OpenLexicon(L"CallieWords.exe");

// Add pronunciation to speech engine lexicon
pCepstralLexicon->AddPronunciation(L"tomato", L"t ah0 m ey1 t ow0", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pCepstralLexicon->DeletePronunciation(L"tomato", L"t ah0 m ey1 t ow0", CPOSNoun);

// Save changes
pChantLM->Export(L"CallieWords.exe");

// Open an archived SAPI 4 Lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->OpenLexicon(L"MaryWords.exe");

// Add pronunciation to speech engine lexicon
pSAPI4Lexicon->AddPronunciation(L"tomato", L"taxmeytow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI4Lexicon->DeletePronunciation(L"tomato", Ltaxmeytow", CPOSNoun);

// Save changes
pChantLM->Export(L"MaryWords.exe");

// Open an archived SAPI 5 User Lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon(L"CurrentUserLexicon.exe");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation(L"tomato", L"t ax m ey t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation(L"tomato", L"t ax m ey t ow", CPOSNoun);

// Save changes
pChantLM->Export(L"CurrentUserLexicon.exe");

// Open an archived SAPI 5 App Lexicon
CSAPI5AppLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon(L"DavidWords.exe");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation(L"tomato", L"t ax m aa t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation(L"tomato", L"t ax m aa t ow", CPOSNoun);

// Save changes
pChantLM->Export(L"DavidWords.exe");

// Open an archived Cepstral Lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->OpenLexicon("CallieWords.exe");

// Add pronunciation to speech engine lexicon
pCepstralLexicon->AddPronunciation("tomato", "t ah0 m ey1 t ow0", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pCepstralLexicon->DeletePronunciation("tomato", "t ah0 m ey1 t ow0", CPOSNoun);

// Save changes
pChantLM->Export("CallieWords.exe");

// Open an archived SAPI 4 Lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->OpenLexicon("MaryWords.exe");

// Add pronunciation to speech engine lexicon
pSAPI4Lexicon->AddPronunciation("tomato", "taxmeytow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI4Lexicon->DeletePronunciation("tomato", taxmeytow", CPOSNoun);

// Save changes
pChantLM->Export("MaryWords.exe");

// Open an archived SAPI 5 User Lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon("CurrentUserLexicon.exe");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation("tomato", "t ax m ey t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation("tomato", "t ax m ey t ow", CPOSNoun);

// Save changes
pChantLM->Export("CurrentUserLexicon.exe");

// Open an archived SAPI 5 App Lexicon
CSAPI5AppLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon("DavidWords.exe");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation("tomato", "t ax m aa t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation("tomato", "t ax m aa t ow", CPOSNoun);

// Save changes
pChantLM->Export("DavidWords.exe");

var aTCepstralLexicon: TCepstralLexicon;
begin
// Open an archived Cepstral Lexicon
aTCepstralLexicon := ChantLM1.OpenLexicon('CallieWords.exe');

// Add pronunciation to speech engine lexicon
aTCepstralLexicon.AddPronunciation('tomato', 't ah0 m ey1 t ow0', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTCepstralLexicon.DeletePronunciation('tomato', 't ah0 m ey1 t ow0', CPOSNoun);

// Save changes
ChantLM1.Export('CallieWords.exe');
end;

var aTSAPI4Lexicon: TSAPI4Lexicon;
begin
// Open an archived SAPI 4 Lexicon
aTSAPI4Lexicon := ChantLM1.OpenLexicon('MaryWords.exe');

// Add pronunciation to speech engine lexicon
aTSAPI4Lexicon.AddPronunciation('tomato', 'taxmeytow', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTSAPI4Lexicon.DeletePronunciation('tomato', taxmeytow', CPOSNoun);

// Save changes
ChantLM1.Export('MaryWords.exe');
end;

var aTSAPI5UserLexicon: TSAPI5UserLexicon;
begin
// Open an archived SAPI 5 User Lexicon
aTSAPI5UserLexicon := ChantLM1.OpenLexicon('CurrentUserLexicon.exe');

// Add pronunciation to speech engine lexicon
aTSAPI5UserLexicon.AddPronunciation('tomato', 't ax m ey t ow', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTSAPI5UserLexicon.DeletePronunciation('tomato', 't ax m ey t ow', CPOSNoun);

// Save changes
ChantLM1.Export('CurrentUserLexicon.exe');
end;

var aTSAPI5AppLexicon: TSAPI5AppLexicon;
begin
// Open an archived SAPI 5 App Lexicon
aTSAPI5AppLexicon := ChantLM1.OpenLexicon('DavidWords.exe');

// Add pronunciation to speech engine lexicon
aTSAPI5AppLexicon.AddPronunciation('tomato', 't ax m aa t ow', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTSAPI5AppLexicon.DeletePronunciation('tomato', 't ax m aa t ow', CPOSNoun);

// Save changes
ChantLM1.Export('DavidWords.exe');
end;

// Open an archived Cepstral Lexicon
JCepstralLexicon jCepstralLexicon = JChantLM1.openLexicon("CallieWords.exe");

// Add pronunciation to speech engine lexicon
jCepstralLexicon.addPronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jCepstralLexicon.deletePronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("CallieWords.exe");

// Open an archived SAPI 4 Lexicon
JSAPI4Lexicon jSAPI4Lexicon = JChantLM1.openLexicon("MaryWords.exe");

// Add pronunciation to speech engine lexicon
jSAPI4Lexicon.addPronunciation("tomato", "taxmeytow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jSAPI4Lexicon.deletePronunciation("tomato", taxmeytow", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("MaryWords.exe");

// Open an archived SAPI 5 User Lexicon
JSAPI5UserLexicon jSAPI5UserLexicon = JChantLM1.openLexicon("CurrentUserLexicon.exe");

// Add pronunciation to speech engine lexicon
jSAPI5UserLexicon.addPronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jSAPI5UserLexicon.deletePronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("CurrentUserLexicon.exe");

// Open an archived SAPI 5 App Lexicon
JSAPI5AppLexicon jSAPI5UserLexicon = JChantLM1.openLexicon("DavidWords.exe");

// Add pronunciation to speech engine lexicon
jSAPI5UserLexicon.addPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jSAPI5UserLexicon.deletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("DavidWords.exe");

Dim nCepstralLexicon as NCepstralLexicon
' Open an archived Cepstral Lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.OpenLexicon("CallieWords.exe")

' Add pronunciation to speech engine lexicon
nCepstralLexicon.AddPronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nCepstralLexicon.DeletePronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("CallieWords.exe")

Dim nSAPI4Lexicon as NSAPI4Lexicon
' Open an archived SAPI 4 Lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.OpenLexicon("MaryWords.exe")

' Add pronunciation to speech engine lexicon
nSAPI4Lexicon.AddPronunciation("tomato", "taxmeytow", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nSAPI4Lexicon.DeletePronunciation("tomato", taxmeytow", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("MaryWords.exe")

Dim nSAPI5UserLexicon as NSAPI5UserLexicon
' Open an archived SAPI 5 User Lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("CurrentUserLexicon.exe")

' Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("CurrentUserLexicon.exe")

Dim nSAPI5UserLexicon as NSAPI5AppLexicon
' Open an archived SAPI 5 App Lexicon
NSAPI5AppLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("DavidWords.exe")

' Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("DavidWords.exe")

Create and empty lexicon for editing pronunciations.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define an empty Bab lexicon
NBabLexicon nBabLexicon = NChantLM1.CreateBabLexicon("RyanWords", "Ryan, HQ 22k, USEnglish, Acapela Multimedia");

// Define an empty Cepstral lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.CreateCepstralLexicon("CallieWords", "Cepstral Callie 16kHz 5.0.0");

// Define an empty SAPI 4 lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.CreateSAPI4Lexicon("MaryWords", "Microsoft Mary");

// Define an empty SAPI 5 user lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.CreateSAPI5UserLexicon();

// Define an empty SAPI 5 application lexicon
NSAPI5AppLexicon nSAPI5AppLexicon = NChantLM1.CreateSAPI5AppLexicon("DavidWords", "Microsoft David Desktop - English (United States)");

// Define an empty L&H lexicon
NLHLexicon nLHLexicon = NChantLM1.CreateLHLexicon("TomWords", "Nuance Vocalizer tom_16kHz");

// Define an empty Bab lexicon
CBabLexicon* pBabLexicon = pChantLM->CreateBabLexicon(L"RyanWords", L"Ryan, HQ 22k, USEnglish, Acapela Multimedia");

// Define an empty Cepstral lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->CreateCepstralLexicon(L"CallieWords", L"Cepstral Callie 16kHz 5.0.0");

// Define an empty SAPI 4 lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->CreateSAPI4Lexicon(L"MaryWords", L"Microsoft Mary");

// Define an empty SAPI 5 user lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->CreateSAPI5UserLexicon();

// Define an empty SAPI 5 application lexicon
CSAPI5AppLexicon* pSAPI5AppLexicon = pChantLM->CreateSAPI5AppLexicon(L"DavidWords", L"Microsoft David Desktop - English (United States)");

// Define an empty L&H lexicon
CLHLexicon* pLHLexicon = pChantLM->CreateLHLexicon(L"TomWords", L"Nuance Vocalizer tom_16kHz");

// Define an empty Bab lexicon
CBabLexicon* pBabLexicon = pChantLM->CreateBabLexicon("RyanWords", "Ryan, HQ 22k, USEnglish, Acapela Multimedia");

// Define an empty Cepstral lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->CreateCepstralLexicon("CallieWords", "Cepstral Callie 16kHz 5.0.0");

// Define an empty SAPI 4 lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->CreateSAPI4Lexicon("MaryWords", "Microsoft Mary");

// Define an empty SAPI 5 user lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->CreateSAPI5UserLexicon();

// Define an empty SAPI 5 application lexicon
CSAPI5AppLexicon* pSAPI5AppLexicon = pChantLM->CreateSAPI5AppLexicon("DavidWords", "Microsoft David Desktop - English (United States)");

// Define an empty L&H lexicon
CLHLexicon* pLHLexicon = pChantLM->CreateLHLexicon("TomWords", "Nuance Vocalizer tom_16kHz");

// Define an empty Bab lexicon
var aTBabLexicon: TBabLexicon;
aTBabLexicon := ChantLM1.CreateBabLexicon('RyanWords', 'Ryan, HQ 22k, USEnglish, Acapela Multimedia');

// Define an empty Cepstral lexicon
var aTCepstralLexicon: TCepstralLexicon;
aTCepstralLexicon := ChantLM1.CreateCepstralLexicon('CallieWords', 'Cepstral Callie 16kHz 5.0.0');

// Define an empty SAPI 4 lexicon
var aTSAPI4Lexicon: TSAPI4Lexicon;
aTSAPI4Lexicon := ChantLM1.CreateSAPI4Lexicon('MaryWords', 'Microsoft Mary');

// Define an empty SAPI 5 user lexicon
var aTSAPI5UserLexicon: TSAPI5UserLexicon;
aTSAPI5UserLexicon := ChantLM1.CreateSAPI5UserLexicon();

// Define an empty SAPI 5 application lexicon
var aTSAPI5AppLexicon: TSAPI5AppLexicon;
aTSAPI5AppLexicon := ChantLM1.CreateSAPI5AppLexicon('DavidWords', 'Microsoft David Desktop - English (United States)');

// Define an empty L&H lexicon
var aTLHLexicon: TLHLexicon;
aTLHLexicon := ChantLM1.CreateLHLexicon('TomWords', 'Nuance Vocalizer tom_16kHz');

// Define an empty Bab lexicon
JBabLexicon jBabLexicon = JChantLM1.createBabLexicon("RyanWords", "Ryan, HQ 22k, USEnglish, Acapela Multimedia");

// Define an empty Cepstral lexicon
JCepstralLexicon jCepstralLexicon = JChantLM1.createCepstralLexicon("CallieWords", "Cepstral Callie 16kHz 5.0.0");

// Define an empty SAPI 4 lexicon
JSAPI4Lexicon jSAPI4Lexicon = JChantLM1.createSAPI4Lexicon("MaryWords", "Microsoft Mary");

// Define an empty SAPI 5 user lexicon
JSAPI5UserLexicon jSAPI5UserLexicon = JChantLM1.createSAPI5UserLexicon();

// Define an empty SAPI 5 application lexicon
JSAPI5AppLexicon jSAPI5AppLexicon = JChantLM1.createChantLexicon("DavidWords", "Microsoft David Desktop - English (United States)");

// Define an empty L&H lexicon
JLHLexicon jLHLexicon = JChantLM1.createLHLexicon("TomWords", "Nuance Vocalizer tom_16kHz");

' Define an empty Bab lexicon
Dim nBabLexicon as NBabLexicon
nBabLexicon = NChantLM1.CreateBabLexicon("RyanWords", "Ryan, HQ 22k, USEnglish, Acapela Multimedia")

' Define an empty Cepstral lexicon
Dim nCepstralLexicon as NCepstralLexicon
nCepstralLexicon = NChantLM1.CreateCepstralLexicon("CallieWords", "Cepstral Callie 16kHz 5.0.0")

' Define an empty SAPI 4 lexicon
Dim nSAPI4Lexicon as NSAPI4Lexicon
nSAPI4Lexicon = NChantLM1.CreateSAPI4Lexicon("MaryWords", "Microsoft Mary")

' Define an empty SAPI 5 user lexicon
Dim nSAPI5UserLexicon as NSAPI5UserLexicon
nSAPI5UserLexicon = NChantLM1.CreateSAPI5UserLexicon()

' Define an empty SAPI 5 application lexicon
Dim nSAPI5AppLexicon as NSAPI5AppLexicon
nSAPI5AppLexicon = NChantLM1.CreateSAPI5AppLexicon("DavidWords", "Microsoft David Desktop - English (United States)")

' Define an empty L&H lexicon
Dim nLHLexicon as NLHLexicon
nLHLexicon = NChantLM1.CreateLHLexicon("TomWords", "Nuance Vocalizer tom_16kHz")

Once you have saved the lexicon or lexicon archive containing lexicon word pronunciations, you can deploy it with your application and install the pronunciations on a target system for your application to load at runtime.

Acapela, Cepstral, and Nuance Vocalizer lexicons are loaded at run time by the SpeechKit ChantTTS class. See the speech synthesis Lexicons topic for details.

Nuance VoCon lexicons are loaded at run time by the SpeechKit ChantSR class. See the speech synthesis Lexicons topic for details.

If you exported Cepstral, SAPI4, or SAPI5 lexicon word pronunciations to a .exe file, you can run it on the target system to self-extract and install the pronunciations. Alternatively, your application can use the Import method to update the speech engine lexicon word pronunciations on the local system.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Open an archived Cepstral Lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.OpenLexicon("mylexicon.exe");

// Import lexicon
NChantLM1.Import();

// Open an archived SAPI 4 Lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.OpenLexicon("MaryWords.exe");

// Import lexicon
NChantLM1.Import();

// Open an archived SAPI 5 User Lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("CurrentUserLexicon.exe");

// Import lexicon
NChantLM1.Import();

// Open an archived SAPI 5 App Lexicon
NSAPI5AppLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("DavidWords.exe");

// Import lexicon
NChantLM1.Import();

// Open an archived Cepstral Lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->OpenLexicon(L"mylexicon.exe");

// Import lexicon
pChantLM->Import();

// Open an archived SAPI 4 Lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->OpenLexicon(L"MaryWords.exe");

// Import lexicon
pChantLM->Import();

// Open an archived SAPI 5 User Lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon(L"CurrentUserLexicon.exe");

// Import lexicon
pChantLM->Import();

// Open an archived SAPI 5 App Lexicon
CSAPI5AppLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon(L"DavidWords.exe");

// Import lexicon
pChantLM->Import();

// Open an archived Cepstral Lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->OpenLexicon("mylexicon.exe");

// Import lexicon
pChantLM->Import();

// Open an archived SAPI 4 Lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->OpenLexicon("MaryWords.exe");

// Import lexicon
pChantLM->Import();

// Open an archived SAPI 5 User Lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon("CurrentUserLexicon.exe");

// Import lexicon
pChantLM->Import();

// Open an archived SAPI 5 App Lexicon
CSAPI5AppLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon("DavidWords.exe");

// Import lexicon
pChantLM->Import();

var aTCepstralLexicon: TCepstralLexicon;
begin
// Open an archived Cepstral Lexicon
aTCepstralLexicon := ChantLM1.OpenLexicon('mylexicon.exe');

// Import lexicon
ChantLM1.Import();
end;

var aTSAPI4Lexicon: TSAPI4Lexicon;
begin
// Open an archived SAPI 4 Lexicon
aTSAPI4Lexicon := ChantLM1.OpenLexicon();

// Import lexicon
ChantLM1.Import();
end;

var aTSAPI5UserLexicon: TSAPI5UserLexicon;
begin
// Open an archived SAPI 5 User Lexicon
aTSAPI5UserLexicon := ChantLM1.OpenLexicon('CurrentUserLexicon.exe');

// Import lexicon
ChantLM1.Import();
end;

var aTSAPI5AppLexicon: TSAPI5AppLexicon;
begin
// Open an archived SAPI 5 App Lexicon
aTSAPI5AppLexicon := ChantLM1.OpenLexicon('DavidWords.exe');

// Import lexicon
ChantLM1.Import();
end;

// Open an archived Cepstral Lexicon
JCepstralLexicon jCepstralLexicon = JChantLM1.openLexicon("mylexicon.exe");

// Import lexicon
JChantLM1.import();

// Open an archived SAPI 4 Lexicon
JSAPI4Lexicon jSAPI4Lexicon = JChantLM1.openLexicon("MaryWords.exe");

// Import lexicon
JChantLM1.import();

// Open an archived SAPI 5 User Lexicon
JSAPI5UserLexicon jSAPI5UserLexicon = JChantLM1.openLexicon("CurrentUserLexicon.exe");

// Import lexicon
JChantLM1.import();

// Open an archived SAPI 5 App Lexicon
JSAPI5AppLexicon jSAPI5UserLexicon = JChantLM1.openLexicon("DavidWords.exe");

// Import lexicon
JChantLM1.import();

Dim nCepstralLexicon as NCepstralLexicon
' Open an archived Cepstral Lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.OpenLexicon("mylexicon.exe")

' Import lexicon
NChantLM1.Import()

Dim nSAPI4Lexicon as NSAPI4Lexicon
' Open an archived SAPI 4 Lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.OpenLexicon("MaryWords.exe")

' Import lexicon
NChantLM1.Import()

Dim nSAPI5UserLexicon as NSAPI5UserLexicon
' Open an archived SAPI 5 User Lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("CurrentUserLexicon.exe")

' Import lexicon
NChantLM1.Import()

Dim nSAPI5UserLexicon as NSAPI5AppLexicon
' Open an archived SAPI 5 App Lexicon
NSAPI5AppLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("DavidWords.exe")

' Import lexicon
NChantLM1.Import()


LexiconKit Event Handling

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Event Handling

To track the progress of export and import operations, applications receive event notifications. You register for the events your application is interested in using the RegisterCallback method.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantLM1.RegisterCallback(ChantCallback.CCSRProgress);
// or
NChantLM1.RegisterCallback(ChantCallback.CCTTSProgress);

pChantLM->RegisterCallback(CCSRProgress);
// or
pChantLM->RegisterCallback(CCTTSProgress);

pChantLM->RegisterCallback(CCSRProgress);
// or
pChantLM->RegisterCallback(CCTTSProgress);

ChantLM1.RegisterCallback(CCSRProgress);
// or
ChantLM1.RegisterCallback(CCTTSProgress);

JChantLM1.RegisterCallback(ChantCallback.CCSRProgress);
// or
JChantLM1.RegisterCallback(ChantCallback.CCTTSProgress);

NChantLM1.RegisterCallback(ChantCallback.CCSRProgress)
' or
NChantLM1.RegisterCallback(ChantCallback.CCTTSProgress)

The ChantLM object sends all notifications to the HasEvent function. All event data is contained in a ChantLMEvent object and accessed via object properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantLM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantLMEvent nChantLMEvent = NChantLM1.GetChantLMEvent();
    if (nChantLMEvent != null)
    {
        switch (nChantLMEvent.ChantCallback)
        {
            case ChantCallback.CCSRProgress:
                {
                    ...
                    break;
                }
            case ChantCallback.CCTTSProgress:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantLM1.RemoveEvent();
    }
}

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantLM != NULL)
    {
        if (message == m_HasEvent)
        {
            // Get the event from the event queue
            CChantLMEvent* chantGMEvent = m_pChantLM->GetChantLMEvent();
            if (chantGMEvent != NULL)
            {
                switch (chantGMEvent->GetChantCallback())
                {
                    case CCSRProgress:
                    {

                        ...

                        break;
                    }
                    case CCTTSProgress:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantLM->RemoveEvent();
                // No longer need event object
                delete chantGMEvent;
                chantGMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantLMEvent* chantGMEvent = ChantLM1->GetChantLMEvent();
    if (chantGMEvent != NULL)
    {
        switch (chantGMEvent->GetChantCallback())
        {
            default:
                break;
            case CCSRProgress:
            {

                ...

                break;
            }
            case CCTTSProgress:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantLM1->RemoveEvent();
        // No longer need event object
        delete chantGMEvent;
        chantGMEvent = NULL;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
    chantGMEvent: TChantLMEvent;
begin
    // Get the event from the event queue
    chantGMEvent := ChantLM1.GetChantLMEvent();
    if chantGMEvent <> nil then
    begin
      case chantGMEvent.ChantCallback of
        CCSRProgress:
        ...
        CCTTSProgress:
        ...
      end;

      ...

      // Remove the event from the event queue
      ChantLM1.RemoveEvent();
      // No longer need event object
      chantGMEvent.Destroy();
    end;
end;

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantLMEvent chantGMEvent = JChantLM1.getChantLMEvent();
    if (chantGMEvent != null)
    {
        int callback = chantGMEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCSRProgress :
                ...
                break;
            case ChantCallback.CCTTSProgress :
                ...
                break;
        }
        JChantLM1.removeEvent();
    }
}

Private Sub NChantLM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantLM1.HasEvent
    Dim nChantLMEvent As NChantLMEvent
    ' Get the event from the event queue
    nChantLMEvent = NChantLM1.GetChantLMEvent()
    if nChantLMEvent <> Nothing Then
        Select Case nChantLMEvent.ChantCallback
            Case ChantCallback.CCSRProgress
                ...
            Case ChantCallback.CCTTSProgress
                ...
        End Select
        ' Remove the event from the event queue
        NChantLM1.RemoveEvent()
    End If
End Sub

The ChantLM object accumulates ChantLMEvent objects on a FIFO queue. Applications must remove the oldest event from the queue to be able to process the next event object. When you remove the event object it is destroyed and no longer available.


LexiconKit Error Handling

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Error Handling

LexiconKit uses a common set of return codes on error conditions to minimize the error processing required by the application. The following table provides a summary.

Error Constant | Value | Description
E_INVALIDARG | 0x80070057 | One or more arguments are invalid. Verify your parameter values used in invoking the method.
E_FAIL | 0x80004005 | Unspecified error. Exception handling catches as a non-specific failure.
E_NOINTERFACE | 0x80004002 | No such interface supported. Verify that the session with the recognizer or synthesizer is active before invoking the method.
E_OUTOFMEMORY | 0x8007000E | Ran out of memory. There is not enough memory to complete the operation.
E_NOTIMPL | 0x80004001 | Not implemented. Contact Chant support for assistance.
CLASS_E_NOTLICENSED | 0x80040112 | Class is not licensed for use. Verify that your License and Serials property values are set before invoking any other methods.

To obtain an the error code, use the ChantLM LastError, LastErrorString, and LastErrorMessage properties.

Speech APIs (i.e., recognizer and synthesizer) may generate error codes. To monitor these error codes, register for the CCAPIError event.

Consult the Speech API documentation for problem determination or contact Chant support for assistance.


Create Lexicon Sample

Chant LexiconKit includes sample applications that illustrate lexicon management features. Look for the Create folder in the LexiconKit sample projects.

Build and launch the create lexicon sample application.

Chant Create Lexicon Sample

Create a lexicon using the sample application with the following steps:

  1. Select a speech engine such as Microsoft David.
  2. Enter a name for the lexicon to create (e.g., MSDavid). Lexicon names should not contain spaces.
  3. Enter the word such as tomato to add to the lexicon.
  4. Select the part of speech for the word you entered.
  5. Press the Add Word button. The sample application generates a default pronunciation and adds it to the lexicon.
  6. Enter the file name to which to save the lexicon such as msdavid.exe. The .exe file extension indicates this lexicon is self-extracting.
  7. Press the Export Lexicon button to save the lexicon to the file.


Edit Lexicon Sample

Chant LexiconKit includes sample applications that illustrate lexicon management features. Look for the Edit folder in the LexiconKit sample projects.

Build and launch the sample edit lexicon application.

Chant Edit Lexicon Sample

Edit a lexicon using the sample application with the following steps:

  1. Enter the lexicon file name exported from the create sample. Click the ... button to locate the file in the Create sample directory.
  2. Select a speech engine associated with this lexicon.
  3. Press the Get Pronunciations to open and list the words in the lexicon.
  4. Select a word from the list to display its pronunciations.
  5. Select the pronunciation listed.
Select Phoneme dialog

Edit the pronunciation using the sample application with the following steps:

  1. Highlight the phonemes in the textbox to edit.
  2. Click the Insert Phonemes button.
  3. Select the speech engine of the lexicon you are editing.
  4. Select phonemes from the dialog to edit.
  5. Press the Select Phoneme dialog button to insert the phonemes into the original pronunciation
Chant Edit Lexicon Sample

Add the pronunciation using the sample application with the following steps:

  1. Press the the Add button to add the pronunciation list for this word.
  2. Press the the Save button to export the lexicon to the file and save the new pronunciation.


Integrating LexiconKit

The following sections describe the steps for integrating LexiconKit with your favorite development tool and programming language.

  • C++Builder Applications
  • Delphi and Appmethod Applications
  • Java Applications
  • Microsoft Visual C++ Applications
  • .NET Windows Forms Applications
  • .NET WPF Applications
  • Silverlight Applications


LexiconKit C++Builder VCL and FireMonkey (Appmethod) Applications

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

C++Builder VCL and FireMonkey (Appmethod) Applications

You can develop C++ applications that manage lexicons using your favorite version of C++Builder and Appmethod.

The following sections describe the steps for integrating LexiconKit with C++Builder VCL and FireMonkey (Appmethod) applications.

LexiconKit Header Files

LexiconKit includes C++ header files comprised of the C++Builder classes that manage grammars and automatically load and unload the runtime DLL.

To access the LexiconKit C++Builder classes within your application, first add a project reference to the C++Builder header include files:

  • Win32
  • Win64
  1. Within your C++Builder or Appmethod project, select Project Options.
  2. Select the C++Builder or Appmethod compiler options.
  3. Add Include path reference to the LexiconKit header files directory: C:\Program Files\Chant\LexiconKit 5\Win32\CBuilder\include.
  1. Within your C++Builder or Appmethod project, select Project Options.
  2. Select the C++Builder or Appmethod compiler options.
  3. Add Include path reference to the LexiconKit header files directory: C:\Program Files\Chant\LexiconKit 5\Win64\CBuilder\include.

To access the LexiconKit C++Builder classes within your application, add a reference to the Chant shared and LexiconKit header files in your C++Builder application header file.

#include "ChantShared.h"
#include "ChantLexiconKit.h"

Add a reference in your C++Builder application source file to the LexiconKit code needed to dynamically load and unload the runtime DLL.

#include "ChantLexiconKit.cpp"
#include "ChantShared.cpp"

Object Instantiation

Declare a global variable for the ChantLM class, instantiate an instance, set the license and serial properties, and set the event handler message.

Add the following to your application header file:

  • VCL
  • FireMonkey (Appmethod)
protected:
    void __fastcall OnHasEvent(TMessage& msg);
    BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(WM_APP+5, TMessage, OnHasEvent);
    END_MESSAGE_MAP(TForm)
private:
    // User declarations
    CChantLM* ChantLM1;

#include <FMX.Platform.Win.hpp>
using namespace Fmx::Platform::Win;
...
protected:
    void __fastcall OnHasEvent(TMessage& msg);
private:
    // User declarations
    CChantLM* ChantLM1;
    HWND  FrmHwnd;
    long WndProc;
public:
    // User declarations
    __fastcall TForm1(TComponent* Owner);
    LRESULT __fastcall FrmWndProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam);

Add the following to your application source file:

  • VCL
  • FireMonkey (Appmethod)
ChantLM1 = new CChantLM();

// Set license properties
ChantLM1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantLM1->SetStringProperty(CSPSerials,"LicenseSerialNumber");

// Define the HasEvent callback message
ChantLM1->SetWindowMessage(Handle, WM_APP+5, 0, 0);

ChantLM1 = new CChantLM();

// Set license properties
ChantLM1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantLM1->SetStringProperty(CSPSerials,"LicenseSerialNumber");

// XE-XE3
HWND FrmHwnd = FmxHandleToHWND(Handle);
// XE4+
TWinWindowHandle *wndHandle = WindowHandleToPlatform(this->Handle);
HWND FrmHwnd = wndHandle->Wnd;

// Set up Windows Message Handling For FireMonkey
WndProc = GetWindowLongPtr(FrmHwnd, GWL_WNDPROC);
SetWindowLongPtr(FrmHwnd, GWL_WNDPROC, (long)WindowProc);
ChantLM1->SetWindowMessage(FrmHwnd, WM_APP+5, 0, 0);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as phoneme selection, import/export processing state, or there was an error.

  • VCL
  • FireMonkey (Appmethod)
void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantLMEvent* chantLMEvent = ChantLM1->GetChantLMEvent();
    if (chantLMEvent != NULL)
    {
        switch (chantLMEvent->GetChantCallback())
        {
            default:
                break;
            case CCSRProgress:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantLM1->RemoveEvent();
        // No longer need event object
        delete chantLMEvent;
        chantLMEvent = NULL;
    }
}

// Hook Window Messages
LRESULT WindowProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    return Form1->FrmWndProc(Hwnd, Msg, wParam, lParam);
}

LRESULT __fastcall TForm1::FrmWndProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    Winapi::Messages::TMessage aTMessage;
    aTMessage.Msg = Msg;
    aTMessage.WParam = wParam;
    aTMessage.LParam = lParam;
    // Trap our messages
    if (WM_APP+5 == Msg)
    {
        OnHasEvent(aTMessage);
        return 0;
    }
    // Forward all other messages
    return CallWindowProc((WNDPROC)WndProc, Hwnd, Msg, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantLMEvent* chantLMEvent = ChantLM1->GetChantLMEvent();
    if (chantLMEvent != NULL)
    {
        switch (chantLMEvent->GetChantCallback())
        {
            default:
                break;
            case CCSRProgress:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantLM1->RemoveEvent();
        // No longer need event object
        delete chantLMEvent;
        chantLMEvent = NULL;
    }
}

Deployment Checklist

When you are ready to deploy your C++Builder VCL or FireMonkey (Appmethod) application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your C++Builder VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CLexiconKit.dll to the target system and place in the same directory with your application.
  • You may deploy your C++Builder VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CLexiconKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

C++Builder VCL and FireMonkey (Appmethod) sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\LexiconKit 5\Win32\CBuilder\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\LexiconKit 5\Win32\CBuilder\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\LexiconKit 5\Win32\CBuilder\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\LexiconKit 5\Win32\CBuilder\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\LexiconKit 5\Win32\CBuilder\RS 10.1 Berlin.
  • My Documents\Chant\LexiconKit 5\Win64\CBuilder\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\LexiconKit 5\Win64\CBuilder\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\LexiconKit 5\Win64\CBuilder\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\LexiconKit 5\Win64\CBuilder\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\LexiconKit 5\Win64\CBuilder\RS 10.1 Berlin.


LexiconKit Delphi VCL and FireMonkey (Appmethod) Applications

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Delphi VCL and FireMonkey (Appmethod) Applications

You can develop Object Pascal applications that manage lexicons using your favorite version of Delphi and Appmethod.

The following sections describe the steps for integrating LexiconKit with Delphi VCL and FireMonkey (Appmethod) applications.

LexiconKit Unit

LexiconKit includes an Object Pascal source file LexiconKit.pas comprised of the Object Pascal classes that manage lexicons. It also includes an Object Pascal source file ChantShared.pas comprised of common Delphi classes that all Chant libraries use.

To access the LexiconKit Object Pascal classes within your application, first add a project reference to the LexiconKit Object Pascal source files:

  • Win32
  • Win64
  1. Within your Delphi or Appmethod project, select Project Options.
  2. Select the Delphi or Appmethod compiler options.
  3. Add Search path reference to the LexiconKit unit source file director: C:\Program Files\Chant\LexiconKit 5\Win32\Delphi\source.
  4. Add unit output path reference to the local directory with a period '.' character.
  1. Within your Delphi or Appmethod project, select Project Options.
  2. Select the Delphi or Appmethod compiler options.
  3. Add Search path reference to the LexiconKit unit source file director: C:\Program Files\Chant\LexiconKit 5\Win64\Delphi\source.
  4. Add unit output path reference to the local directory with a period '.' character.

To access the LexiconKit Delphi classes within your application, add a reference to the ChantShared and LexiconKit units in your uses clause.

  • VCL
  • FireMonkey
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ChantShared, LexiconKit;

unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Rtti, System.Classes,
  System.Variants, FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Layouts,
  ChantShared, LexiconKit, FMX.Platform.Win, Winapi.Windows, Winapi.Messages;

Add an event handler declaration and Object instance variable to the application declarations.

  • VCL
  • FireMonkey (Appmethod)
type
  TForm1 = class(TForm)
    ...
  private
    { Private declarations }
  public
    { Public declarations }
    procedure OnHasEvent(var msg: TMessage);
      message WM_APP+5;
  end;

var
  Form1: TForm1;
  ChantLM1: TChantLM;

type
  TForm1 = class(TForm)
    ...
  private
    { Private declarations }
    FrmHwnd: HWND;
    WndProc: LONG;
  public
    { Public declarations }
    procedure OnHasEvent(var msg: TMessage);
    function FrmWndProc(Hwnd: HWND; Msg:UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
  end;

var
  Form1: TForm1;
  ChantLM1: TChantLM;

Object Instantiation

Instantiate an instance, set the license and serial properties, and set the event handler message.

  • VCL
  • FireMonkey (Appmethod)
ChantLM1 := TChantLM.Create();
// Set license properties
ChantLM1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantLM1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

// Define the HasEvent callback message
ChantLM1.SetWindowMessage(Handle, WM_APP+5, 0, 0);

ChantLM1 := TChantLM.Create();
// Set license properties
ChantLM1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantLM1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

var FrmHwnd: HWND;
// XE-XE3
FrmHwnd := FmxHandleToHwnd(Handle);
// XE4+
var wndHandle: TWinWindowHandle;
wndHandle := WindowHandleToPlatform(Handle);
FrmHwnd := wndHandle.Wnd;

// Set up Windows Message Handling For FireMonkey
WndProc := GetWindowLongPtr(FrmHwnd, GWL_WNDPROC);
SetWindowLongPtr(FrmHwnd, GWL_WNDPROC, NativeInt(@WindowProc));
ChantLM1.SetWindowMessage(FrmHwnd, WM_APP+5, 0, 0);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as phoneme selection, import/export processing state, or there was an error.

  • VCL
  • FireMonkey (Appmethod)
procedure TForm1.OnHasEvent(var msg: TMessage);
var
  chantLMEvent: TChantLMEvent;
begin
    // Get the event from the event queue
    chantLMEvent := ChantLM1.GetChantLMEvent();
    if chantLMEvent <> nil then
    begin
      case chantLMEvent.ChantCallback of
        CCSRProgress:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantLM1.RemoveEvent();
      // No longer need event object
      chantLMEvent.Destroy();
    end;
end;

// Hook Window Messages
function WindowProc(Hwnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
begin
    Result := Form1.FrmWndProc(Hwnd, Msg, wParam, lParam);
end;

function TForm1.FrmWndProc(Hwnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
var
    aTMessage: TMessage;
begin
    aTMessage.Msg := Msg;
    aTMessage.WParam := wParam;
    aTMessage.LParam := lParam;
    // Trap our messages
    if (WM_APP+5 = Msg) then
    begin
        OnHasEvent(aTMessage);
        Result := 0;
        Exit;
    end;
    // Forward all other messages
    Result := CallWindowProc(Ptr(WndProc), Hwnd, Msg, wParam, lParam);
end;

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  chantLMEvent: TChantLMEvent;
begin
    // Get the event from the event queue
    chantLMEvent := ChantLM1.GetChantLMEvent();
    if chantLMEvent <> nil then
    begin
      case chantLMEvent.ChantCallback of
        CCSRProgress:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantLM1.RemoveEvent();
      // No longer need event object
      chantLMEvent.Destroy();
    end;
end;

Deployment Checklist

When you are ready to deploy your Delphi VCL or FireMonkey (Appmethod) application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Delphi VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CLexiconKit.dll to the target system and place in the same directory with your application.
  • You may deploy your Delphi VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CLexiconKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

Delphi VCL and FireMonkey (Appmethod) sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\LexiconKit 5\Win32\Delphi\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\LexiconKit 5\Win32\Delphi\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\LexiconKit 5\Win32\Delphi\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\LexiconKit 5\Win32\Delphi\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\LexiconKit 5\Win32\Delphi\RS 10.1 Berlin.
  • My Documents\Chant\LexiconKit 5\Win64\Delphi\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\LexiconKit 5\Win64\Delphi\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\LexiconKit 5\Win64\Delphi\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\LexiconKit 5\Win64\Delphi\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\LexiconKit 5\Win64\Delphi\RS 10.1 Berlin.


LexiconKit Java Applications

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Java Applications

You can develop Java applications that manage lexicons using your favorite Java development tools. This includes development environments such as Eclipse, IntelliJ, JBuilder, JDeveloper, and NetBeans.

The following sections describe the steps for integrating LexiconKit with Java applications.

JRE Configuration

LexiconKit includes Java classes compiled with JDK 1.7 and 1.8 to support your application's target runtime environments.

To access the LexiconKit Java classes within your application, add the class libraries to your JDK environment:

  • Win32
  • Win64
  1. copy the JLexiconKit.DLL file to your Java JDK bin directory;
  2. copy the lexiconkit.jar and chant-shared.jar libraries to your Java JDK lib; and
  3. append a path reference for your Java JDK lib\lexiconkit.jar and lib\chant-shared.jar paths as a classpath property in your system settings.
  1. copy the JLexiconKitX64.DLL file to your Java JDK bin directory;
  2. copy the lexiconkit.jar and chant-shared.jar class libraries to your Java JDK lib; and
  3. append a path reference for your Java JDK lib\lexiconkit.jar and lib\chant-shared.jar paths as a classpath property in your system settings.

To access the LexiconKit Java classes within your application, add references to the Chant shared and LexiconKit class libraries in your code:

import com.lexiconkit.*;
import net.chant.shared.*;

Object Instantiation

Declare a global variable for the ChantLM class, instantiate an instance, set the license and serial properties, and set the event handler message.

public class Frame1 extends JFrame implements com.lexiconkit.JChantLMEvents
{
    private JChantLM JChantLM1;

    private void jInit() throws Exception
    {
        // Create ChantLM object
        JChantLM1 = new JChantLM();

        // Set license properties
        JChantLM1.setStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
        JChantLM1.setStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");

        // Set the callback
        JChantLM1.setCallbackFunction(this,null,null);
    }
}

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantLMEvent chantLMEvent = JChantLM1.getChantLMEvent();
    if (chantLMEvent != null)
    {
        int callback = chantLMEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCSRProgress :
                ...
                break;
        }
        JChantLM1.removeEvent();
    }
}

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Java application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy lexiconkit.jar and chant-shared.jar to the target system Java JRE lib directory and/or ensure the classpath includes the path where the lexiconkit.jar and chant-shared.jar libraries are placed on your target system.
  • Copy JLexiconKit.dll to the target system Java JRE bin directory.
  • You may deploy your Java application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy lexiconkit.jar and chant-shared.jar to the target system Java JRE lib directory and/or ensure the classpath includes the path where the lexiconkit.jar and chant-shared.jar libraries are placed on your target system.
  • Copy JLexiconKitX64.dll to the target system.

Sample Projects

Java sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\LexiconKit 5\Win32\Java\JDK.
  • My Documents\Chant\LexiconKit 5\Win64\Java\JDK.


LexiconKit Microsoft Visual C++ Applications

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Microsoft Visual C++ Applications

You can develop C++ applications that manage lexicons using your favorite version of Microsoft Visual C++.

The following sections describe the steps for integrating LexiconKit with Microsoft Visual C++ applications.

LexiconKit Header Files

LexiconKit includes C++ header files comprised of the C++ classes that manage grammars and automatically load and unload the runtime DLL.

To access the LexiconKit C++ classes within your application, first add a project reference to the C++ header include files:

  • Win32
  • Win64
  1. Within your C++ project, select Project Properties.
  2. Under Configuration Properties, expand the C++ Properties and select the General Settings.
  3. Edit the Additional Include Directories.
  4. Locate the include directory path of the LexiconKit header files: C:\Program Files\Chant\LexiconKit 5\Win32\CDLL\include.
  5. Press the Apply button to save changes and dismiss the Project Properties.
  1. Within your C++ project, select Project Properties.
  2. Under Configuration Properties, expand the C++ Properties and select the General Settings.
  3. Edit the Additional Include Directories.
  4. Locate the include directory path of the LexiconKit header files: C:\Program Files\Chant\LexiconKit 5\Win64\CDLL\include.
  5. Press the Apply button to save changes and dismiss the Project Properties.

To access the LexiconKit C++ classes within your application, add a reference to the Chant shared and LexiconKit header files in your C++ application header file:

#include "ChantShared.h"
#include "ChantLexiconKit.h"

Add a reference in your C++ application source file to the LexiconKit code needed to dynamically load and unload the runtime DLL:

#include "ChantLexiconKit.cpp"
#include "ChantShared.cpp"

Object Instantiation

Declare a global variable for the ChantLM class, instantiate an instance, set the license and serial properties, and set the event handler message.

Add the following to your application header file:

protected:
    CChantLM* m_pChantLM;  // ChantLM object
    virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

Add the following to your application source file:

    // Instantiate ChantLM object
    m_pChantLM = new CChantLM();

    // Set license properties
    m_pChantLM->SetStringProperty(CSPLicense,L"LicenseRegistrationNumber");
    m_pChantLM->SetStringProperty(CSPSerials,L"LicenseSerialNumber");

    // Define the HasEvent callback message
    m_HasEvent = WM_APP+5;
    m_pChantLM->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as phoneme selection, import/export processing state, or there was an error.

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantLM != NULL)
    {
        if (message == m_HasEvent)
        {
            // Get the event from the event queue
            CChantLMEvent* chantLMEvent = m_pChantLM->GetChantLMEvent(0);
            if (chantLMEvent != NULL)
            {
                switch (chantLMEvent->GetChantCallback())
                {
                    case CCSRProgress:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantLM->RemoveEvent();
                // No longer need event object
                delete chantLMEvent;
                chantLMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

Deployment Checklist

When you are ready to deploy your C++ application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your C++ application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CLexiconKit.dll to the target system and place in the same directory with your application.
  • You may deploy your C++ application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CLexiconKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

Microsoft Visual C++ sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\LexiconKit 5\Win32\CDLL\VS 2012,
  • My Documents\Chant\LexiconKit 5\Win32\CDLL\VS 2013, and
  • My Documents\Chant\LexiconKit 5\Win32\CDLL\VS 2015.
  • My Documents\Chant\LexiconKit 5\Win64\CDLL\VS 2012,
  • My Documents\Chant\LexiconKit 5\Win64\CDLL\VS 2013, and
  • My Documents\Chant\LexiconKit 5\Win64\CDLL\VS 2015.


LexiconKit .NET Windows Forms Applications

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

.NET Windows Forms Applications

You can develop .NET Windows Forms applications that manage lexicons using your favorite .NET Windows Forms development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating LexiconKit with .NET Windows Forms applications.

LexiconKit Assemblies

LexiconKit includes Windows Forms compatible .NET assemblies compiled with .NET Framework V2-3.5 and V4+ to support your application's target framework.

To access the LexiconKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V2-3.5 applications, add references to the Chant shared and LexiconKit .NET assemblies:
    1. Program Files\Chant\LexiconKit 5\Win32\NET\libv2\Chant.LexiconKit.dll and
    2. Program Files\Chant\LexiconKit 5\Win32\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the Chant shared and LexiconKit .NET assemblies:
    1. Program Files\Chant\LexiconKit 5\Win32\NET\libv4\Chant.LexiconKit.dll and
    2. Program Files\Chant\LexiconKit 5\Win32\NET\libv4\Chant.Shared.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V2-3.5 applications, add references to the Chant shared and LexiconKit .NET assemblies:
    1. Program Files\Chant\LexiconKit 5\Win64\NET\libv2\Chant.LexiconKit.dll and
    2. Program Files\Chant\LexiconKit 5\Win64\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the Chant shared and LexiconKit .NET assemblies:
    1. Program Files\Chant\LexiconKit 5\Win64\NET\libv4\Chant.LexiconKit.dll and
    2. Program Files\Chant\LexiconKit 5\Win64\NET\libv4\Chant.Shared.dll.

To access the LexiconKit .NET classes within your application, add references to the Chant shared and LexiconKit assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.LexiconKit;
using Chant.Shared;

Imports Chant.LexiconKit
Imports Chant.Shared
Class MainWindow
...

Platform Target

Set the project Platform target to either x86 for 32-bit application or x64 for 64-bit application as follows:

  • C#
  • VB .NET

Within your C# project

  1. Select the Build tab under project properties.
  2. Select x86 or x64 in the Platform target dropdown list.

Within your VB .NET Project

  1. Select the Compile tab under project properties.
  2. Press the Advanced Compile Options... button.
  3. Select x86 or x64 in the Target CPU dropdown list.

Object Instantiation

Declare a global variable for the ChantLM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.LexiconKit.NChantLM NChantLM1;
public MainWindow()
{
    InitializeComponent();
    // Instantiate NChantLM object
    NChantLM1 = new NChantLM();
    // Setup event callback handler
    NChantLM1.HasEvent += this.NChantLM1_HasEvent;
    // Set license properties
    NChantLM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantLM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantLM1 As NChantLM

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantLM1 = New NChantLM()

    ' Set license properties
    NChantLM1.SetStringProperty(ChantStringProperty.CSPLicense, "ProductRegistrationNumber")
    NChantLM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as phoneme selection, import/export processing state, or there was an error.

  • C#
  • VB .NET
private void NChantLM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantLMEvent nChantLMEvent = NChantLM1.GetChantLMEvent();
    if (nChantLMEvent != null)
    {
        switch (nChantLMEvent.ChantCallback)
        {
            case ChantCallback.CCTTSPhoneme:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantLM1.RemoveEvent();
    }
}

Private Sub NChantLM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantLM1.HasEvent
    Dim nChantLMEvent As NChantLMEvent
    ' Get the event from the event queue
    nChantLMEvent = NChantLM1.GetChantLMEvent()
    if nChantLMEvent <> Nothing Then
        Select Case nChantLMEvent.ChantCallback
            Case ChantCallback.CCTTSPhoneme
                ...
        End Select
        ' Remove the event from the event queue
        NChantLM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.LexiconKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NLexiconKit.dll to the target system.
  • Register NLexiconKit.dll as a COM library on the target system.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.LexiconKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NLexiconKitX64.dll to the target system.
  • Register NLexiconKitX64.DLL as a COM library on the target system.

Sample Projects

.NET Windows Forms sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\LexiconKit 5\Win32\NET WinForms\VS 2012\CSharp,
  • My Documents\Chant\LexiconKit 5\Win32\NET WinForms\VS 2012\Visual Basic,
  • My Documents\Chant\LexiconKit 5\Win32\NET WinForms\VS 2013\CSharp,
  • My Documents\Chant\LexiconKit 5\Win32\NET WinForms\VS 2013\Visual Basic,
  • My Documents\Chant\LexiconKit 5\Win32\NET WinForms\VS 2015\CSharp, and
  • My Documents\Chant\LexiconKit 5\Win32\NET WinForms\VS 2015\Visual Basic.
  • My Documents\Chant\LexiconKit 5\Win64\NET WinForms\VS 2012\CSharp,
  • My Documents\Chant\LexiconKit 5\Win64\NET WinForms\VS 2012\Visual Basic,
  • My Documents\Chant\LexiconKit 5\Win64\NET WinForms\VS 2013\CSharp,
  • My Documents\Chant\LexiconKit 5\Win64\NET WinForms\VS 2013\Visual Basic,
  • My Documents\Chant\LexiconKit 5\Win64\NET WinForms\VS 2015\CSharp, and
  • My Documents\Chant\LexiconKit 5\Win64\NET WinForms\VS 2015\Visual Basic.


LexiconKit .NET WPF Applications

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

.NET WPF Applications

You can develop .NET WPF applications that manage lexicons using your favorite .NET WPF development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating LexiconKit with .NET WPF applications.

LexiconKit Assemblies

LexiconKit includes WPF compatible .NET assemblies compiled with .NET Framework V3 and V4+ to support your application's target framework.

To access the LexiconKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V3 applications, add references to the Chant shared and LexiconKit .NET assemblies:
    1. Program Files\Chant\LexiconKit 5\Win32\NET\libv2\Chant.LexiconKit.dll and
    2. Program Files\Chant\LexiconKit 5\Win32\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the Chant shared and LexiconKit .NET assemblies:
    1. Program Files\Chant\LexiconKit 5\Win32\NET\libv4\Chant.LexiconKit.dll and
    2. Program Files\Chant\LexiconKit 5\Win32\NET\libv4\Chant.Shared.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V3 applications, add references to the Chant shared and LexiconKit .NET assemblies:
    1. Program Files\Chant\LexiconKit 5\Win64\NET\libv2\Chant.LexiconKit.dll and
    2. Program Files\Chant\LexiconKit 5\Win64\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the Chant shared and LexiconKit .NET assemblies:
    1. Program Files\Chant\LexiconKit 5\Win64\NET\libv4\Chant.LexiconKit.dll and
    2. Program Files\Chant\LexiconKit 5\Win64\NET\libv4\Chant.Shared.dll.

To access the LexiconKit .NET classes within your application, add references to the Chant shared and LexiconKit assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.LexiconKit;
using Chant.Shared;

Imports Chant.LexiconKit
Imports Chant.Shared
Class MainWindow
...

Platform Target

Set the project Platform target to either x86 for 32-bit application or x64 for 64-bit application as follows:

  • C#
  • VB .NET

Within your C# project

  1. Select the Build tab under project properties.
  2. Select x86 or x64 in the Platform target dropdown list.

Within your VB .NET Project

  1. Select the Compile tab under project properties.
  2. Press the Advanced Compile Options... button.
  3. Select x86 or x64 in the Target CPU dropdown list.

Object Instantiation

Declare a global variable for the ChantLM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.LexiconKit.NChantLM NChantLM1;
public MainWindow()
{
    InitializeComponent();
    // Instantiate NChantLM object
    NChantLM1 = new NChantLM();
    // Setup event callback handler
    NChantLM1.HasEvent += this.NChantLM1_HasEvent;
    // Set license properties
    NChantLM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantLM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantLM1 As NChantLM

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantLM1 = New NChantLM()

    ' Set license properties
    NChantLM1.SetStringProperty(ChantStringProperty.CSPLicense, "ProductRegistrationNumber")
    NChantLM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as phoneme selection, import/export processing state, or there was an error.

  • C#
  • VB .NET
private void NChantLM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantLMEvent nChantLMEvent = NChantLM1.GetChantLMEvent();
    if (nChantLMEvent != null)
    {
        switch (nChantLMEvent.ChantCallback)
        {
            case ChantCallback.CCTTSPhoneme:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantLM1.RemoveEvent();
    }
}

Private Sub NChantLM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantLM1.HasEvent
    Dim nChantLMEvent As NChantLMEvent
    ' Get the event from the event queue
    nChantLMEvent = NChantLM1.GetChantLMEvent()
    If nChantLMEvent <> Nothing Then
        Select Case nChantLMEvent.ChantCallback
            Case ChantCallback.CCTTSPhoneme
                ...
        End Select
        ' Remove the event from the event queue
        NChantLM1.RemoveEvent()
    Next
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.LexiconKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NLexiconKit.dll to the target system.
  • Register NLexiconKit.dll as a COM library on the target system.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.LexiconKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NLexiconKitX64.dll to the target system.
  • Register NLexiconKitX64.DLL as a COM library on the target system.

Sample Projects

.NET WPF sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\LexiconKit 5\Win32\NET WPF\VS 2012\CSharp,
  • My Documents\Chant\LexiconKit 5\Win32\NET WPF\VS 2012\Visual Basic,
  • My Documents\Chant\LexiconKit 5\Win32\NET WPF\VS 2013\CSharp,
  • My Documents\Chant\LexiconKit 5\Win32\NET WPF\VS 2013\Visual Basic,
  • My Documents\Chant\LexiconKit 5\Win32\NET WPF\VS 2015\CSharp, and
  • My Documents\Chant\LexiconKit 5\Win32\NET WPF\VS 2015\Visual Basic.
  • My Documents\Chant\LexiconKit 5\Win64\NET WPF\VS 2012\CSharp,
  • My Documents\Chant\LexiconKit 5\Win64\NET WPF\VS 2012\Visual Basic,
  • My Documents\Chant\LexiconKit 5\Win64\NET WPF\VS 2013\CSharp,
  • My Documents\Chant\LexiconKit 5\Win64\NET WPF\VS 2013\Visual Basic,
  • My Documents\Chant\LexiconKit 5\Win64\NET WPF\VS 2015\CSharp, and
  • My Documents\Chant\LexiconKit 5\Win64\NET WPF\VS 2015\Visual Basic.


LexiconKit Silverlight Applications

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Silverlight Applications

You can develop Silverlight applications that manage lexicons using your favorite Silverlight development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating LexiconKit with Silverlight applications.

LexiconKit Assemblies

To access the LexiconKit Silverlight classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your Silverlight project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For Silverlight V5 applications, add references to the Chant shared and LexiconKit Silverlight assemblies:
    1. Program Files\Chant\LexiconKit 5\Win32\Silverlight\libv5\Chant.LexiconKit.Silverlight.dll and
    2. Program Files\Chant\LexiconKit 5\Win32\Silverlight\libv5\Chant.Shared.Silverlight.dll.
  1. Within your Silverlight project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For Silverlight V5 applications, add references to the Chant shared and LexiconKit Silverlight assemblies:
    1. Program Files\Chant\LexiconKit 5\Win64\Silverlight\libv5\Chant.LexiconKit.Silverlight.dll and
    2. Program Files\Chant\LexiconKit 5\Win64\Silverlight\libv5\Chant.Shared.Silverlight.dll.

To access the LexiconKit Silverlight classes within your application, add references to the Chant shared and LexiconKit assemblies in your code:

  • C#
  • VB .NET
using System;
...
using Chant.LexiconKit.Silverlight;
using Chant.Shared.Silverlight;

Imports Chant.LexiconKit.Silverlight
Imports Chant.Shared.Silverlight
Class MainWindow
...

Out-of-Browser Settings

To run your Silverlight app out-of-browser, set the properties as follows:

  1. Within your Silverlight project, select the Silverlight tab under project properties.
  2. Select the checkbox: Enable application running out of the browser.
  3. Deselect the checkbox: Require elevated trust when running in-browser.
  4. Press the Out-of-Browser Settings... button.
  5. Select the checkbox: Required elevated trust when running outside the browser.

In-Browser Settings

To run your Silverlight app in-browser, set the properties as follows:

  1. Within your Silverlight project, select the Silverlight tab under project properties.
  2. Select the checkbox: Require elevated trust when running in-browser.
  3. Deselect the checkbox: Enable application running out of the browser.
  4. Select the Signing tab under project properties.
  5. Select the checkbox: Sign the Xap File.
  6. Press one of the three buttons to select a signing certificate:
    1. Select from Store... if you have installed a signing certificate on your system;
    2. Select from File... if you have a signing certificate file your system; or
    3. Create test certificate... if you do not have signing certificate on your system.
  7. Press the More Details... button to ensure you have installed Trusted Root and Publisher certificiates:
    1. Press the Install Certificate... button;
    2. Select Automatically ... option if you have Certificate installed in your store or Select Place ... option if you created a temp certificate for testing and press the Browse button;
    3. Select Trusted Root Certification Authorities and press the OK button; and
    4. Press the Next button.
    5. Repeat the process by Pressing the Install Certificate... button;
    6. Select Place ... option and press the Browse button;
    7. Select Trusted Publishers and press the OK button; and
    8. Press the Next button.
  8. Run regedit to add a Silverlight registery property AllowElevatedTrustAppsInBrowser with value of 1:
    1. Select the Start menu and enter regedit to launch the Registry Editor;
    2. For Win32 systems, navigate to HKEY_LOCAL_MACHINE\Software\Microsoft\Silverlight\;
    3. For Win64 systems, navigate to HKEY_LOCAL_MACHINE\Software\Wow6432Node\Microsoft\Silverlight\;
    4. Right click and select New->DWORD (32-bit) Value;
    5. Set the value name to AllowElevatedTrustAppsInBrowser;
    6. Set th value data to 1;
    7. Press the OK button; and
    8. Close the Registry Editor.

Object Instantiation

Declare a global variable for the ChantLM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.LexiconKit.Silverlight.NChantLM NChantLM1;
public MainPage()
{
    InitializeComponent();
    // Instantiate NChantLM object
    NChantLM1 = new NChantLM();
    // Setup event callback handler
    NChantLM1.HasEvent += this.NChantLM1_HasEvent;
    // Set license properties
    NChantLM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantLM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantLM1 As NChantLM

Private Sub UserControl_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantLM1 = New NChantLM()

    ' Set license properties
    NChantLM1.SetStringProperty(ChantStringProperty.CSPLicense, "ProductRegistrationNumber")
    NChantLM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as phoneme selection, import/export processing state, or there was an error.

  • C#
  • VB .NET
private void NChantLM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantLMEvent nChantLMEvent = NChantLM1.GetChantLMEvent();
    if (nChantLMEvent != null)
    {
        switch (nChantLMEvent.ChantCallback)
        {
            case ChantCallback.CCTTSPhoneme:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantLM1.RemoveEvent();
    }
}

Private Sub NChantLM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantLM1.HasEvent
    Dim nChantLMEvent As NChantLMEvent
    ' Get the event from the event queue
    nChantLMEvent = NChantLM1.GetChantLMEvent(0)
    If nChantLMEvent <> Nothing Then
        Select Case nChantLMEvent.ChantCallback
            Case ChantCallback.CCTTSPhoneme
                ...
        End Select
        ' Remove the event from the event queue
        NChantLM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Silverlight application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.LexiconKit.Silverlight.dll and Chant.Shared.Silverlight.dll libraries to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NLexiconKit.dll to the target system.
  • Register NLexiconKit.dll as a COM library on the target system.
  • You may deploy your Silverlight application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.LexiconKit.Silverlight.dll and Chant.Shared.Silverlight.dll libraries to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NLexiconKitX64.dll to the target system.
  • Register NLexiconKitX64.dll as a COM library on the target system.


Chant ProfileKit 5 Developer's Guide

Chant Inc.
ProfileKit 5 Developer's Guide


Profile Management with ProfileKit

Maximize speech recognition accuracy by ensuring end users have completed training sessions with the recognizer. Speaker training—even for command and grammar-based recognition—is essential for accuracy.

A recognition profile is a collection of information used by a speech recognition engine to increase its recognition accuracy for a specific individual's voice and environment.

A speech recognition engine saves training and background noise information to use in recognizing speech. Some speech recognition engines, such as Microsoft's Recognizer, capture and save information over time to adapt the profile for optimum speech recognition accuracy.

What is Profile Management?

Profile management enables you to:

  • create and delete speech recognition profiles,
  • train speech recognition profiles, and
  • backup and restore speech recognition profiles.

Applications benefits include:

  • enhanced speech recognition accuracy,
  • added flexibility to adapt to different acoustical environments, and
  • expanded reliability to recover from system errors.

What is ProfileKit?

Chant ProfileKit handles the complexities of managing profiles and persisting them in files for backup and recovery.

It simplifies the process of managing profiles for Microsoft SAPI 5, Nuance Dragon NaturallySpeaking, and Nuance VoCon recognizers. You can create, delete, train, backup, and restore profiles as needed within your application.

ProfileKit includes C++, C++Builder, Delphi, Java, .NET Framework, and Silverlight class libraries to support all your programming languages and provides sample projects for popular IDEs—such as the latest Visual Studio from Microsoft and RAD Studio from Embarcadero.

The class libraries can be integrated with 32-bit and 64-bit applications.

For more information about the Profile Management with ProfileKit, review the following topics:

  • ProfileKit Features and
  • Profile Management Architecture.


ProfileKit Features

The goal of profile management is to maximize speech recognition accuracy. With ProfileKit you can:

  • Create and delete speaker profiles on demand;
  • Train speaker profiles; and
  • Backup and restore speaker profiles for ensuring maximum recognition accuracy and reliability.

Chant ProfileKit handles the complexities of managing and persisting speaker profiles. This allows your application to enhance the quality of speech recognition and offer administrative features for maintaining speaker profiles.

Recognizers provide speaker training via built-in dialogs and/or custom training via API calls. ProfileKit supports the following recognizers and speaker training options:

Recognizer | Speech API | Training Dialogs | Custom Training
Microsoft SAPI 5 (all languages) | SAPI 5 | Yes | Yes
Microsoft Speech Platform (all languages) | MSP | Yes | Yes
Nuance Dragon NaturallySpeaking (all languages) | Dragon API | Yes | No
Nuance VocCon 3200 V2 (all languages) | VoCon 3200 V2 | No | Yes
Nuance VocCon 3200 V3 (all languages) | VoCon 3200 V3 | No | Yes
Nuance VocCon 3200 V4 (all languages) | VoCon 3200 V4 | No | Yes

Recognizers support speaker profile archiving via built-in dialogs or via API calls. ProfileKit supports the following recognizers and speaker profile archive options:

Recognizer | Speech API | Archiving Dialogs | API
Microsoft SAPI 5 (all languages) | SAPI 5 | No | Yes
Microsoft Speech Platform (all languages) | MSP | No | Yes
Nuance Dragon NaturallySpeaking (all languages) | Dragon API | Yes | No
Nuance VocCon 3200 V2 (all languages) | VoCon 3200 V2 | No | Yes
Nuance VocCon 3200 V3 (all languages) | VoCon 3200 V3 | No | Yes
Nuance VocCon 3200 V4 (all languages) | VoCon 3200 V4 | No | Yes

Within Chant Developer Workbench IDE, you can:

  • Create and delete speaker profiles;
  • Enumerate speaker profiles; and
  • Invoke recognizer built-in speaker training;
  • Design and test custom speaker training;

Built-in Speaker Training

Built-in Speaker Training: Enumerate and train speech recognition profiles with recognizer built-in speaker training.

Custom Speaker Training

Custom Speaker Training: Enumerate and train speech recognition profiles with custom speaker training.


Profile Management Architecture

The ProfileKit class library includes a profile management class that provides you a simple way to create, delete, train, backup and restore speaker profiles. Your application can integrate speaker training, backup, and recovery as part of its speech recognition administrative features.

The profile management class, ChantPM, enables you to select or create a speaker, train it, and optionally persist the profile (i.e., training) to a binary file. Your application can import the training to restore a profile or define a user on a new system. In addition the archived profile can be self extracting or self installing file. The ChantPM class supports the following recognizers:

  • Microsoft SAPI 5,
  • Microsoft Speech Platform,
  • Nuance Dragon NaturallySpeaking,
  • Nuance VoCon 3200 V2, V3, and V4.

Your application receives backup and restore progress notifications through event callbacks.

ProfileKit Architecture for Profile Management

The ChantPM class encapsulates all of the technologies necessary to make the process of managing profiles simple and efficient for your application. Optionally, it can persist the profile to a self extracting archive for portability across systems.

The ChantPM class simplifies the process of managing profiles by handling the low-level activities directly with the speech recognition engine application program interfaces (API).

You instantiate a ChantPM class object before you want to manage a profile within your application. You destroy the ChantPM class object and release its resources when you no longer want to manage a profile within your application.


Administering Speaker Profiles with ProfileKit

A speaker is an end user of a speech recognition system (i.e., recognizer). A recognizer maintains audio data associated with an individual speaker to enhance its ability to perform speech recognition more acurately.

Chant ProfileKit handles the complexities of managing and persisting speaker profiles. This allows your application to enhance the quality of speech recognition and offer administrative features for maintaining speaker profiles.

Recognizers have their own formats for speaker profiles. Some provide training dialogs with which to perform speaker training. In addition to launching recognizer-supplied training dialogs, ProfileKit provides custom training options for training speaker profiles:

  • Training dialog to manage the speaker training process;
  • UI-less (no dialog) to manage the speaker training process;
  • Application custom UI (application custom dialog) to manage the speaker training process; and
  • Train with live audio using microphone or with pre-recorded audio.

ProfileKit supports the following recognizers and profile formats:

Recognizer | Speech API | Training Dialogs | Custom Training
Microsoft SAPI 5 (all languages) | SAPI 5 | Yes | Yes
Microsoft Speech Platform (all languages) | SAPI 5 | Yes | Yes
Nuance Dragon NaturallySpeaking (all languages) | Dragon COM API | Yes | No
Nuance VocCon 3200 V2 (all languages) | VoCon 3200 V2 | No | Yes
Nuance VocCon 3200 V3 (all languages) | VoCon 3200 V3 | No | Yes
Nuance VocCon 3200 V4 (all languages) | VoCon 3200 V4 | No | Yes

For more information about administering speaker profiles with ProfileKit, review the following topics:

  • Managing Speaker Profiles and
  • Profile Management Applications.


Managing Speaker Profiles

The following topics provide detailed steps for managing speaker profiles within the Chant Developer Workbench IDE:

  • Create New Profile,
  • DeleteProfile,
  • Train Profile,


Create New Profile

You may Create a new speaker profile with the following steps:

  1. Select the View - S peaker Profiles menu item to open the Speaker Profiles browser.

  2. Select the Speech - Create Profile menu item or click the Create Speaker Speech toolbar button to display the Create Speaker dilaog.

  3. Select the speech recognizer.

  4. Enter the speaker profile name and press the OK button.

Be sure to train the new speaker profile.


Delete Profile

You may Delete a speaker profile with the following steps:

  1. Select the View - S peaker Profiles menu item to open the Speaker Profiles browser.

  2. Highlight the speaker profile in the profile list to delete.

  3. Select the Speech - Delete Profile menu item or click the Delete Profile Speech toolbar button to delete the speaker profile.

  4. Confirm the delete operation.


Train Profile

You may train a profile with the following steps.

  1. Highlight the speaker profile in the profile list that you want to train.

  2. Select the Speech - Train profile menu item or click the Train Profile Speech toolbar button to launch the training wizard and begin the training session for the recognition profile.

  3. Adjust your microphone settings with the Microphone Wizard or click the Cancel button to dismiss the wizard. For example, the Microsoft Microphone Wizard prompts you through the process of adjusting your microphone settings.

    Microphone Setup wizard

  4. Train the profile using the Recognition Profile Training wizard. For example, the Microsoft Recognizer Training wizard prompts you through the process of training your profile. You may click the Cancel button to dismiss the wizard at any time during the training session.

    Recognition Profile Training wizard


Managing Profiles

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Profile Management Applications

The following topics describe how to build profile management applications:

  • Creating, Deleting, Training, and Persisting Profiles,
  • Event Handling,
  • Error Handling,
  • Trainining Sample, and
  • Backup and Restore Profile Sample.


Creating, Deleting, Training, and Persisting Profiles

The ProfileKit management class is designed to provide you a lot of flexiblity and minimize the programming necessary to manage profiles. You can easily create, delete, train, backup and restore speaker profiles.

To create a speaker, use the CreateChantProfile method. If the speaker doesn't exist for this recognizer, it is created.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Create a new speaker profile
NChantProfile nChantProfile = NChantPM1.CreateChantProfile("NewUser", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");

// Create a new speaker profile
CChantProfile* pChantProfile = pChantPM->CreateChantProfile(L"NewUser", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");

// Create a new speaker profile
CChantProfile* pChantProfile = pChantPM->CreateChantProfile("NewUser", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");

// Create a new speaker profile
var aTChantProfile: TChantProfile;
aTChantProfile := ChantPM1.CreateChantProfile('NewUser', 'Microsoft Speech Recognizer 8.0 for Windows (English - US)');

// Create a new speaker profile
JChantProfile jChantProfile = JChantPM1.createChantProfile("NewUser", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");

' Create a new speaker profile
Dim nChantProfile as NChantProfile
nChantProfile = NChantPM1.CreateChantProfile("NewUser", "Microsoft Speech Recognizer 8.0 for Windows (English - US)")

To delete a speaker, invoke the Delete method.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Create a the speaker profile object on an existing speaker profile
NChantProfile nChantProfile = NChantPM1.CreateChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Delete the speaker
nChantProfile.Delete();

// Create a the speaker profile object on an existing speaker profile
CChantProfile* pChantProfile = pChantPM->CreateChantProfile(L"Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Delete the speaker
pChantProfile->Delete();

// Create a the speaker profile object on an existing speaker profile
CChantProfile* pChantProfile = pChantPM->CreateChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Delete the speaker
pChantProfile->Delete();

// Create a the speaker profile object on an existing speaker profile
var aTChantProfile: TChantProfile;
aTChantProfile := ChantPM1.CreateChantProfile('Jake Williams', 'Microsoft Speech Recognizer 8.0 for Windows (English - US)');
// Delete the speaker
aTChantProfile.Delete();

// Create a the speaker profile object on an existing speaker profile
JChantProfile jChantProfile = JChantPM1.createChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Delete the speaker
jChantProfile.deleteResource();

' Create a the speaker profile object on an existing speaker profile
Dim nChantProfile as NChantProfile
nChantProfile = NChantPM1.CreateChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)")
' Delete the speaker
nChantProfile.Delete()

To train a speaker with the recognizer supplied dialog, select the recognizer, select the speaker, and invoke the ShowDialog method.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Select the recognizer
NChantPM1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, nChantSpeaker.ChantEngineAPI);
// Select the speaker
NChantPM1.SetStringProperty(ChantStringProperty.CSPSpeaker, nChantSpeaker.Name);
// Train the speaker with the Recognizer default training
NChantPM1.ShowDialog(ChantDialog.CDMicTraining, this.Handle, "", "");

// Select the recognizer
pChantPM->SetNumberProperty(CNPEngineAPI, pChantSpeaker->GetChantEngineAPI());
// Select the speaker
pChantPM->SetStringProperty(CSPSpeaker, pChantSpeaker->GetName());
// Train the speaker with the Recognizer default training
pChantPM->ShowDialog(CDMicTraining, m_hWnd);

// Select the recognizer
pChantPM->SetNumberProperty(CNPEngineAPI, pChantSpeaker->GetChantEngineAPI());
// Select the speaker
pChantPM->SetStringProperty(CSPSpeaker, pChantSpeaker->GetName());
// Train the speaker with the Recognizer default training
pChantPM->ShowDialog(CDMicTraining, Handle);

// Select the recognizer
ChantPM1.SetNumberProperty(CNPEngineAPI, nChantSpeaker.ChantEngineAPI);
// Select the speaker
ChantPM1.SetStringProperty(CSPSpeaker, nChantSpeaker.Name);
// Train the speaker with the Recognizer default training
ChantPM1.ShowDialog(CDMicTraining, Handle, '', '');

// Select the recognizer
JChantPM1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, nChantSpeaker.ChantEngineAPI);
// Select the speaker
JChantPM1.setStringProperty(ChantStringProperty.CSPSpeaker, nChantSpeaker.Name);
// Train the speaker with the Recognizer default training
JChantPM1.showDialog(ChantDialog.CDMicTraining, this, "", "");

' Select the recognizer
NChantPM1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, nChantSpeaker.ChantEngineAPI)
' Select the speaker
NChantPM1.SetStringProperty(ChantStringProperty.CSPSpeaker, nChantSpeaker.Name)
' Train the speaker with the Recognizer default training
NChantPM1.ShowDialog(ChantDialog.CDMicTraining, Me.Handle, "", "")

To train a speaker with custom training, set the grammar or dictation text and invoke the StartTraining method.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Instantiate ChantProfile object
NChantProfile nChantProfile = NChantPM1.CreateChantProfile("Default Speaker", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");

// Example 1 - Training the speaker with ProfileKit grammar training
nChantProfile.SetTrainingProperty(ChantTrainingProperty.CTPTrainingText, "red\nblue\norange\ngreen\npurple\nyellow\nbrown\n");

// Example 1 - Start training with dialog hidden
nChantProfile.StartTraining("", 0, ChantRecordingObject.CROMultiMedia, ChantAudioFormat.CAFDefault, false);

// Example 2 - Training the speaker with ProfileKit using a grammar file
nChantProfile.SetTrainingProperty(ChantTrainingProperty.CTPTrainingGrammarVocab, "colors.xml");

// Example 2 - Start training with dialog hidden using pre-recorded audio file
nChantProfile.StartTraining("mytraining.wav", 0, ChantRecordingObject.CROFile, ChantAudioFormat.CAFDefault, false);

// Example 3 - Start training with dialog hidden using text file
nChantProfile.StartTraining("mydocument.txt", 0, ChantRecordingObject.CROFile, ChantAudioFormat.CAFText, false);

// Instantiate ChantProfile object
CChantProfile* pChantProfile = pChantPM->CreateChantProfile(L"Default Speaker", L"Microsoft Speech Recognizer 8.0 for Windows (English - US)");

// Example 1 - Training the speaker with ProfileKit grammar training
pChantProfile->SetTrainingProperty(CTPTrainingText, L"red\nblue\norange\ngreen\npurple\nyellow\nbrown\n");

// Example 1 - Start training with dialog hidden
pChantProfile->StartTraining(NULL, 0, CROMultiMedia, CAFDefault, false);

// Training the speaker with ProfileKit using a grammar file
pChantProfile->SetTrainingProperty(CTPTrainingGrammarVocab, L"colors.xml");

// Start training with dialog hidden using pre-recorded audio file
pChantProfile->StartTraining(L"mytraining.wav", 0, CROFile, CAFDefault, false);

// Example 3 - Start training with dialog hidden using text file
pChantProfile->StartTraining(L"mydocument.txt", 0, CROFile, CAFText, false);

// Instantiate ChantProfile object
CChantProfile* pChantProfile = pChantPM->CreateChantProfile("Default Speaker", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");

// Example 1 - Training the speaker with ProfileKit grammar training
pChantProfile->SetTrainingProperty(CTPTrainingText, "red\nblue\norange\ngreen\npurple\nyellow\nbrown\n");

// Example 1 - Start training with dialog hidden
pChantProfile->StartTraining(NULL, 0, CROMultiMedia, CAFDefault, false);

// Example 2 - Training the speaker with ProfileKit using a grammar file
pChantProfile->SetTrainingProperty(CTPTrainingGrammarVocab, "colors.xml");

// Example 2 - Start training with dialog hidden using pre-recorded audio file
pChantProfile->StartTraining("mytraining.wav", 0, CROFile, CAFDefault, false);

// Example 3 - Start training with dialog hidden using text file
pChantProfile->StartTraining("mydocument.txt", 0, CROFile, CAFText, false);

var
aTChantProfile: TChantProfile;
begin
// Set the current speaker
aTChantProfile = ChantPM1.CreateChantProfile('Default Speaker', 'Microsoft Speech Recognizer 8.0 for Windows (English - US)');

// Example 1 - Training the speaker with ProfileKit grammar training
aTChantProfile.SetTrainingProperty(CTPTrainingText, 'red\nblue\norange\ngreen\npurple\nyellow\nbrown\n');

// Example 1 - Start training with dialog hidden
aTChantProfile.StartTraining(nil, 0, CROMultiMedia, CAFDefault, False);

// Example 2 - Training the speaker with ProfileKit using a grammar file
aTChantProfile.SetTrainingProperty(CTPTrainingGrammarVocab, 'colors.xml');

// Example 2 - Start training with dialog hidden using pre-recorded audio file
aTChantProfile.StartTraining('mytraining.wav', 0, CROFile, CAFDefault, False);

// Example 3 - Start training with dialog hidden using text file
aTChantProfile.StartTraining('mydocument.txt', 0, CROFile, CAFText, False);
end;

// Instantiate ChantProfile object
JChantProfile jChantProfile = JChantPM1.createChantProfile("Default Speaker", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");

// Example 1 - Training the speaker with ProfileKit grammar training
jChantProfile.setTrainingProperty(ChantTrainingProperty.CTPTrainingText, "red\nblue\norange\ngreen\npurple\nyellow\nbrown\n");

// Example 1 - Start training with dialog hidden
jChantProfile.startTraining("", 0, ChantRecordingObject.CROMultiMedia, ChantAudioFormat.CAFDefault, false);

// Example 2 - Training the speaker with ProfileKit using a grammar file
jChantProfile.setTrainingProperty(ChantTrainingProperty.CTPTrainingGrammarVocab, "colors.xml");

// Example 2 - Start training with dialog hidden using pre-recorded audio file
jChantProfile.startTraining("mytraining.wav", 0, ChantRecordingObject.CROFile, ChantAudioFormat.CAFDefault, false);

// Example 3 - Start training with dialog hidden using text file
jChantProfile.startTraining("mydocument.txt", 0, ChantRecordingObject.CROFile, ChantAudioFormat.CAFText, false);

Dim nChantProfile As NChantProfile
' Instantiate ChantProfile object
nChantProfile = NChantPM1.CreateChantProfile("Default Speaker", "Microsoft Speech Recognizer 8.0 for Windows (English - US)")

' Example 1 - Training the speaker with ProfileKit grammar training
nChantProfile.SetTrainingProperty(ChantTrainingProperty.CTPTrainingText, "red" + vbCrLf + "blue" + vbCrLf + "orange" + vbCrLf + "green" + vbCrLf + "purple" + vbCrLf + "yellow" + vbCrLf + "brown" + vbCrLf)

' Example 1 - Start training with dialog hidden
nChantProfile.StartTraining("", 0, ChantRecordingObject.CROMultiMedia, ChantAudioFormat.CAFDefault, false)

' Example 2 - Training the speaker with ProfileKit using a grammar file
nChantProfile.SetTrainingProperty(ChantTrainingProperty.CTPTrainingGrammarVocab, "colors.xml")

' Example 2 - Start training with dialog hidden using pre-recorded audio file
nChantProfile.StartTraining("mytraining.wav", 0, ChantRecordingObject.CROFile, ChantAudioFormat.CAFDefault, false)

' Example 3 - Start training with dialog hidden using using text file
nChantProfile.StartTraining("mydocument.txt", 0, ChantRecordingObject.CROFile, ChantAudioFormat.CAFText, false)

To backup a speaker profile, invoke the Export method.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Create a the speaker profile object on an existing speaker profile
NChantProfile nChantProfile = NChantPM1.CreateChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Backup the speaker profile
nChantProfile1.Export("jakewilliams.dat");

// Create a the speaker profile object on an existing speaker profile
CChantProfile* pChantProfile = pChantPM->CreateChantProfile(L"Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Backup the speaker profile
pChantProfile->Export(L"jakewilliams.dat");

// Create a the speaker profile object on an existing speaker profile
CChantProfile* pChantProfile = pChantPM->CreateChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Backup the speaker profile
pChantProfile->Export("jakewilliams.dat");

// Create a the speaker profile object on an existing speaker profile
var aTChantProfile: TChantProfile;
aTChantProfile := ChantPM1.CreateChantProfile('Jake Williams', 'Microsoft Speech Recognizer 8.0 for Windows (English - US)');
// Backup the speaker profile
aTChantProfile1.Export('jakewilliams.dat');

// Create a the speaker profile object on an existing speaker profile
JChantProfile jChantProfile = JChantPM1.createChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Backup the speaker profile
jChantProfile.export("jakewilliams.dat");

' Create a the speaker profile object on an existing speaker profile
Dim nChantProfile as NChantProfile
nChantProfile = NChantPM1.CreateChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)")
' Backup the speaker profile
nChantProfile.Export("jakewilliams.dat")

To restore a speaker profile, invoke the Import method.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Instantiate ChantProfile object
NChantProfile nChantProfile = NChantPM1.OpenChantProfile("jakewilliams.dat");
// Restore the speaker profile
nChantProfile.Import();

// Instantiate ChantProfile object
CChantProfile* pChantProfile = pChantPM->OpenChantProfile(L"jakewilliams.dat");
// Restore the speaker profile
pChantProfile->Import();

// Instantiate ChantProfile object
CChantProfile* pChantProfile = pChantPM->OpenChantProfile("jakewilliams.dat");
// Restore the speaker profile
pChantProfile->Import();

var
aTChantProfile: TChantProfile;
begin
// Set the current speaker
aTChantProfile = ChantPM1.OpenChantProfile('jakewilliams.dat');
// Restore the speaker profile
aTChantProfile.Import();

// Instantiate ChantProfile object
JChantProfile jChantProfile = JChantPM1.openChantProfile("jakewilliams.dat");
// Restore the speaker profile
jChantProfile.import();

Dim nChantProfile As NChantProfile
' Instantiate ChantProfile object
nChantProfile = NChantPM1.OpenChantProfile("jakewilliams.dat")
' Restore the speaker profile
nChantProfile.Import()


ProfileKit Event Handling

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Event Handling

To track the progress of backup and restore operations, applications receive event notifications. You register for the events your application is interested in using the RegisterCallback method.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn on SRProgress events
NChantPM1.RegisterCallback(ChantCallback.CCSRProgress);

// Turn on SRProgress events
pChantPM->RegisterCallback(CCSRProgress);

// Turn on SRProgress events
pChantPM->RegisterCallback(CCSRProgress);

// Turn on SRProgress events
ChantPM1.RegisterCallback(CCSRProgress);

// Turn on SRProgress events
JChantPM1.registerCallback(ChantCallback.CCSRProgress);

' Turn on SRProgress events
NChantPM1.RegisterCallback(ChantCallback.CCSRProgress)

The ChantPM object sends all notifications to the HasEvent function. All event data is contained in a ChantPMEvent object and accessed via object properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantPM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantPMEvent nChantPMEvent = NChantPM1.GetChantPMEvent();
    if (nChantPMEvent != null)
    {
        switch (nChantPMEvent.ChantCallback)
        {
            case ChantCallback.CCSRProgress:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantPM1.RemoveEvent();
    }
}

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantPM != NULL)
    {
        if (message == m_HasEvent)
        {
            // Get the event from the event queue
            CChantPMEvent* chantPMEvent = m_pChantPM->GetChantPMEvent();
            if (chantPMEvent != NULL)
            {
                switch (chantPMEvent->GetChantCallback())
                {
                    case CCSRProgress:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantPM->RemoveEvent();
                // No longer need event object
                delete chantPMEvent;
                chantPMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantPMEvent* chantPMEvent = ChantPM1->GetChantPMEvent(0);
    if (chantPMEvent != NULL)
    {
        switch (chantPMEvent->GetChantCallback())
        {
            default:
                break;
            case CCSRProgress:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantPM1->RemoveEvent();
        // No longer need event object
        delete chantPMEvent;
        chantPMEvent = NULL;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  chantPMEvent: TChantPMEvent;
begin
    // Get the event from the event queue
    chantPMEvent := ChantPM1.GetChantPMEvent();
    if chantPMEvent <> nil then
    begin
      case chantPMEvent.ChantCallback of
        CCSRProgress:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantPM1.RemoveEvent();
      // No longer need event object
      chantPMEvent.Destroy();
    end;
end;

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantPMEvent chantPMEvent = JChantPM1.getChantPMEvent();
    if (chantPMEvent != null)
    {
        int callback = chantPMEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCSRProgress :
                ...
                break;
        }
        JChantPM1.removeEvent();
    }
}

Private Sub NChantPM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantPM1.HasEvent
    Dim nChantPMEvent As NChantPMEvent
    ' Get the event from the event queue
    nChantPMEvent = NChantPM1.GetChantPMEvent()
    if nChantPMEvent <> Nothing Then
        Select Case nChantPMEvent.ChantCallback
            Case ChantCallback.CCSRProgress
                ...
        End Select
        ' Remove the event from the event queue
        NChantPM1.RemoveEvent()
    End If
End Sub

The ChantPM object accumulates ChantPMEvent objects on a FIFO queue. Applications must remove the oldest event from the queue to be able to process the next event object. When you remove the event object it is destroyed and no longer available.


ProfileKit Error Handling

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Error Handling

ProfileKit uses a common set of return codes on error conditions to minimize the error processing required by the application. The following table provides a summary.

Error Constant | Value | Description
E_INVALIDARG | 0x80070057 | One or more arguments are invalid. Verify your parameter values used in invoking the method.
E_FAIL | 0x80004005 | Unspecified error. Exception handling catches as a non-specific failure.
E_NOINTERFACE | 0x80004002 | No such interface supported. Verify that the session with the recognizer or synthesizer is active before invoking the method.
E_OUTOFMEMORY | 0x8007000E | Ran out of memory. There is not enough memory to complete the operation.
E_NOTIMPL | 0x80004001 | Not implemented. Contact Chant support for assistance.
CLASS_E_NOTLICENSED | 0x80040112 | Class is not licensed for use. Verify that your License and Serials property values are set before invoking any other methods.

To obtain an the error code, use the ChantPM LastError, LastErrorString, and LastErrorMessage properties.

Speech APIs (i.e., recognizer and synthesizer) may generate error codes. To monitor these error codes, register for the CCAPIError event.

Consult the Speech API documentation for problem determination or contact Chant support for assistance.


Training Sample

Chant ProfileKit includes sample applications that illustrate profile management features. Look for the Training folder in the ProfileKit sample projects.

Build and launch the sample speaker training application. You can create, delete, and train speakers for the recognizers that are installed on your system.

Chant Speaker Training Sample

Train a speaker profile using the sample application with the following steps:

  1. Select a speaker for which to train. If you do not see any speakers listed, then create one.
  2. Select a training script.
  3. Press the Train Speaker button and follow the prompts of the training wizard.

Delete a speaker profile using the sample application with the following steps:

  1. Select a speaker from the list.
  2. Press the Delete Speaker button.

Create a speaker profile using the sample application with the following steps:

  1. Enter the speaker name.
  2. Select a speech API from list If you do not see any speech APIs listed, see the section entitled Recognizer and Synthesizer Installation.
  3. Press the Create Speaker button.


Backup Sample

Chant ProfileKit includes sample applications that illustrate profile management features. Look for the Backup folder in the ProfileKit sample projects.

Build and launch the sample backup and restore application. You can backup and restore speaker profiles for the recognizers that are installed on your system.

Chant Backup Sample

Back up a speaker profile using the sample application with the following steps:

  1. Select a speaker for which to backup a profile. If you do not see any speakers listed, then create one using the Training sample.
  2. Enter the file name of the profile archive. File names with .exe extension will be self extracting (i.e., self installing). Otherwise, file names with .dat as an extension for example, the archive will be a binary archive only.
  3. Press the Backup Profile button.

Restore a speaker profile using the sample application with the following steps:

  1. Enter the file name (including path) or press the ... button to select the file.
  2. Press the Restore Profile button.


Integrating ProfileKit

The following sections describe the steps for integrating ProfileKit with your favorite development tool and programming language.

  • C++Builder Applications
  • Delphi and Appmethod Applications
  • Java Applications
  • Microsoft Visual C++ Applications
  • .NET Windows Forms Applications
  • .NET WPF Applications
  • Silverlight Applications


ProfileKit C++Builder VCL and FireMonkey (Appmethod) Applications

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

C++Builder VCL and FireMonkey (Appmethod) Applications

You can develop C++ applications that manage speaker profiles using your favorite version of C++Builder and Appmethod.

The following sections describe the steps for integrating ProfileKit with C++Builder VCL and FireMonkey (Appmethod) applications.

ProfileKit Header Files

ProfileKit includes C++ header files comprised of the C++Builder classes that manage grammars and automatically load and unload the runtime DLL.

To access the ProfileKit C++Builder classes within your application, first add a project reference to the C++Builder header include files:

  • Win32
  • Win64
  1. Within your C++Builder or Appmethod project, select Project Options.
  2. Select the C++Builder or Appmethod compiler options.
  3. Add Include path reference to the ProfileKit header files directory: C:\Program Files\Chant\ProfileKit 5\Win32\CBuilder\include.
  1. Within your C++Builder or Appmethod project, select Project Options.
  2. Select the C++Builder or Appmethod compiler options.
  3. Add Include path reference to the ProfileKit header files directory: C:\Program Files\Chant\ProfileKit 5\Win64\CBuilder\include.

To access the ProfileKit C++Builder classes within your application, add a reference to the Chant shared and ProfileKit header files in your C++Builder application header file.

#include "ChantShared.h"
#include "ChantProfileKit.h"

Add a reference in your C++Builder application source file to the ProfileKit code needed to dynamically load and unload the runtime DLL.

#include "ChantShared.cpp"
#include "ChantPRofileKit.cpp"

Object Instantiation

Declare a global variable for the ChantPM class, instantiate an instance, set the license and serial properties, and set the event handler message.

Add the following to your application header file:

  • VCL
  • FireMonkey (Appmethod)
#include <FMX.Platform.Win.hpp>
using namespace Fmx::Platform::Win;
...
protected:
    void __fastcall OnHasEvent(TMessage& msg);
    BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(WM_APP+6, TMessage, OnHasEvent);
    END_MESSAGE_MAP(TForm)
private:
    // User declarations
    CChantPM* ChantPM1;

protected:
    void __fastcall OnHasEvent(TMessage& msg);
private:
    // User declarations
    CChantPM* ChantPM1;
    HWND  FrmHwnd;
    long WndProc;
public:
    // User declarations
    __fastcall TForm1(TComponent* Owner);
    LRESULT __fastcall FrmWndProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam);

Add the following to your application source file:

  • VCL
  • FireMonkey (Appmethod)
ChantPM1 = new CChantPM();

// Set license properties
ChantPM1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantPM1->SetStringProperty(CSPSerials,"LicenseLicenseSerialNumber");

// Define the HasEvent callback message
ChantPM1->SetWindowMessage(Handle, WM_APP+6, 0, 0);

ChantPM1 = new CChantPM();

// Set license properties
ChantPM1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantPM1->SetStringProperty(CSPSerials,"LicenseLicenseSerialNumber");

// Set up Windows Message Handling For FireMonkey
FrmHwnd = FmxHandleToHWND(Handle);
WndProc = GetWindowLongPtr(FrmHwnd, GWL_WNDPROC);
SetWindowLongPtr(FrmHwnd, GWL_WNDPROC, (long)WindowProc);

// Define the HasEvent callback message
ChantPM1->SetWindowMessage(FrmHwnd, WM_APP+6, 0, 0);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as import/export operation state, training state, or there was an error.

  • VCL
  • FireMonkey (Appmethod)
void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantPMEvent* chantPMEvent = ChantPM1->GetChantPMEvent(0);
    if (chantPMEvent != NULL)
    {
        switch (chantPMEvent->GetChantCallback())
        {
            default:
                break;
            case CCSRProgress:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantPM1->RemoveEvent();
        // No longer need event object
        delete chantPMEvent;
        chantPMEvent = NULL;
    }
}

// Hook Window Messages
LRESULT WindowProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    return Form1->FrmWndProc(Hwnd, Msg, wParam, lParam);
}

LRESULT __fastcall TForm1::FrmWndProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    Winapi::Messages::TMessage aTMessage;
    aTMessage.Msg = Msg;
    aTMessage.WParam = wParam;
    aTMessage.LParam = lParam;
    // Trap our messages
    if (WM_APP+6 == Msg)
    {
        OnHasEvent(aTMessage);
        return 0;
    }
    // Forward all other messages
    return CallWindowProc((WNDPROC)WndProc, Hwnd, Msg, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantPMEvent* chantPMEvent = ChantPM1->GetChantPMEvent(0);
    if (chantPMEvent != NULL)
    {
        switch (chantPMEvent->GetChantCallback())
        {
            default:
                break;
            case CCSRProgress:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantPM1->RemoveEvent();
        // No longer need event object
        delete chantPMEvent;
        chantPMEvent = NULL;
    }
}

Deployment Checklist

When you are ready to deploy your C++Builder VCL or FireMonkey (Appmethod) application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your C++Builder VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CProfileKit.dll to the target system and place in the same directory with your application.
  • You may deploy your C++Builder VCL or FireMonkey (Appmethod) to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CProfileKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

C++Builder VCL and FireMonkey (Appmethod) sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\ProfileKit 5\Win32\CBuilder\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\ProfileKit 5\Win32\CBuilder\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\ProfileKit 5\Win32\CBuilder\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\ProfileKit 5\Win32\CBuilder\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\ProfileKit 5\Win32\CBuilder\RS 10.1 Berlin.
  • My Documents\Chant\ProfileKit 5\Win64\CBuilder\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\ProfileKit 5\Win64\CBuilder\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\ProfileKit 5\Win64\CBuilder\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\ProfileKit 5\Win64\CBuilder\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\ProfileKit 5\Win64\CBuilder\RS 10.1 Berlin.


ProfileKit Delphi VCL and FireMonkey (Appmethod) Applications

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Delphi VCL and FireMonkey (Appmethod) Applications

You can develop Object Pascal applications that manage speaker profiles using your favorite version of Delphi and Appmethod.

The following sections describe the steps for integrating ProfileKit with Delphi VCL and FireMonkey (Appmethod) applications.

ProfileKit Unit

ProfileKit includes an Object Pascal source file ProfileKit.pas comprised of the Object Pascal classes that manage speaker profiles. It also includes an Object Pascal source file ChantShared.pas comprised of common Object Pascal classes that all Chant libraries use.

To access the ProfileKit Object Pascal classes within your application, first add a project reference to the ProfileKit Object Pascal source files:

  • Win32
  • Win64
  1. Within your Delphi or Appmethod project project, select Project Options.
  2. Select the Delphi or Appmethod project compiler options.
  3. Add Search path reference to the ProfileKit unit source file director: C:\Program Files\Chant\ProfileKit 5\Win32\Delphi\source.
  4. Add unit output path reference to the local directory with a period '.' character.
  1. Within your Delphi or Appmethod project project, select Project Options.
  2. Select the Delphi or Appmethod project compiler options.
  3. Add Search path reference to the ProfileKit unit source file director: C:\Program Files\Chant\ProfileKit 5\Win64\Delphi\source.
  4. Add unit output path reference to the local directory with a period '.' character.

To access the ProfileKit Object Pascal classes within your application, add a reference to the ChantShared and ProfileKit units in your uses clause.

  • VCL
  • FireMonkey (Appmethod)
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ChantShared, ProfileKit;

unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Rtti, System.Classes,
  System.Variants, FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Layouts,
  ChantShared, ProfileKit, FMX.Platform.Win, Winapi.Windows, Winapi.Messages;

Add an event handler declaration and Object instance variable to the application declarations.

  • VCL
  • FireMonkey (Appmethod)
type
  TForm1 = class(TForm)
    ...
  private
    { Private declarations }
  public
    { Public declarations }
    procedure OnHasEvent(var msg: TMessage);
      message WM_APP+6;
  end;

var
  Form1: TForm1;
  ChantPM1: TChantPM;

type
  TForm1 = class(TForm)
    ...
  private
    { Private declarations }
    FrmHwnd: HWND;
    WndProc: LONG;
  public
    { Public declarations }
    procedure OnHasEvent(var msg: TMessage);
    function FrmWndProc(Hwnd: HWND; Msg:UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
  end;

var
  Form1: TForm1;
  ChantPM1: TChantPM;

Object Instantiation

Instantiate an instance, set the license and serial properties, and set the event handler message.

  • VCL
  • FireMonkey (Appmethod)
ChantPM1 := TChantPM.Create();
// Set license properties
ChantPM1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantPM1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

// Define the HasEvent callback message
ChantPM1.SetWindowMessage(Handle, WM_APP+6, 0, 0);

ChantPM1 := TChantPM.Create();
// Set license properties
ChantPM1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantPM1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

var FrmHwnd: HWND;
// XE-XE3
FrmHwnd := FmxHandleToHwnd(Handle);
// XE4+
var wndHandle: TWinWindowHandle;
wndHandle := WindowHandleToPlatform(Handle);
FrmHwnd := wndHandle.Wnd;

// Set up Windows Message Handling For FireMonkey
WndProc := GetWindowLongPtr(FrmHwnd, GWL_WNDPROC);
SetWindowLongPtr(FrmHwnd, GWL_WNDPROC, NativeInt(@WindowProc));
ChantPM1.SetWindowMessage(FrmHwnd, WM_APP+6, 0, 0);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as import/export operation state, training state, or there was an error.

  • VCL
  • FireMonkey (Appmethod)
procedure TForm1.OnHasEvent(var msg: TMessage);
var
  chantPMEvent: TChantPMEvent;
begin
    // Get the event from the event queue
    chantPMEvent := ChantPM1.GetChantPMEvent();
    if chantPMEvent <> nil then
    begin
      case chantPMEvent.ChantCallback of
        CCSRProgress:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantPM1.RemoveEvent();
      // No longer need event object
      chantPMEvent.Destroy();
    end;
end;

// Hook Window Messages
function WindowProc(Hwnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
begin
    Result := Form1.FrmWndProc(Hwnd, Msg, wParam, lParam);
end;

function TForm1.FrmWndProc(Hwnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
var
    aTMessage: TMessage;
begin
    aTMessage.Msg := Msg;
    aTMessage.WParam := wParam;
    aTMessage.LParam := lParam;
    // Trap our messages
    if (WM_APP+6 = Msg) then
    begin
        OnHasEvent(aTMessage);
        Result := 0;
        Exit;
    end;
    // Forward all other messages
    Result := CallWindowProc(Ptr(WndProc), Hwnd, Msg, wParam, lParam);
end;

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  chantPMEvent: TChantPMEvent;
begin
    // Get the event from the event queue
    chantPMEvent := ChantPM1.GetChantPMEvent();
    if chantPMEvent <> nil then
    begin
      case chantPMEvent.ChantCallback of
        CCSRProgress:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantPM1.RemoveEvent();
      // No longer need event object
      chantPMEvent.Destroy();
    end;
end;

Deployment Checklist

When you are ready to deploy your Delphi VCL or FireMonkey (Appmethod) application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Delphi VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CProfileKit.dll to the target system and place in the same directory with your application.
  • You may deploy your Delphi VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CProfileKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

Delphi VCL and FireMonkey (Appmethod) sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\ProfileKit 5\Win32\Delphi\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\ProfileKit 5\Win32\Delphi\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\ProfileKit 5\Win32\Delphi\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\ProfileKit 5\Win32\Delphi\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\ProfileKit 5\Win32\Delphi\RS 10.1 Berlin.
  • My Documents\Chant\ProfileKit 5\Win64\Delphi\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\ProfileKit 5\Win64\Delphi\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\ProfileKit 5\Win64\Delphi\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\ProfileKit 5\Win64\Delphi\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\ProfileKit 5\Win64\Delphi\RS 10.1 Berlin.


ProfileKit Java Applications

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Java Applications

You can develop Java applications that manage speaker profiles using your favorite Java development tools. This includes development environments such as Eclipse, IntelliJ, JBuilder, JDeveloper, and NetBeans.

The following sections describe the steps for integrating ProfileKit with Java applications.

JRE Configuration

ProfileKit includes Java classes compiled with JDK 1.7 and 1.8 to support your application's target runtime environments.

To access the ProfileKit Java classes within your application, add the class libraries to your JDK environment:

  • Win32
  • Win64
  1. copy the JProfileKit.DLL file to your Java JDK bin directory;
  2. copy the profilekit.jar and chant-shared.jar libraries to your Java JDK lib; and
  3. append a path reference for your Java JDK lib\profilekit.jar and lib\chant-shared.jar paths as a classpath property in your system settings.
  1. copy the JProfileKitX64.DLL file to your Java JDK bin directory;
  2. copy the profilekit.jar and chant-shared.jar class libraries to your Java JDK lib; and
  3. append a path reference for your Java JDK lib\profilekit.jar and lib\chant-shared.jar paths as a classpath property in your system settings.

To access the ProfileKit Java classes within your application, add references to the Chant shared and ProfileKit class libraries in your code:

import com.profilekit.*;
import net.chant.shared.*;

Object Instantiation

Declare a global variable for the ChantPM class, instantiate an instance, set the license and serial properties, and set the event handler.

public class Frame1 extends JFrame implements com.profilekit.JChantPMEvents
{
    private JChantPM JChantPM1;

    private void jInit() throws Exception
    {
        // Create ChantPM object
        JChantPM1 = new JChantPM();

        // Set license properties
        JChantPM1.setStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
        JChantPM1.setStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");

        // Set the callback
        JChantPM1.setCallbackFunction(this,null,null);
    }
}

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantPMEvent chantPMEvent = JChantPM1.getChantPMEvent();
    if (chantPMEvent != null)
    {
        int callback = chantPMEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCSRProgress :
                ...
                break;
        }
        JChantPM1.removeEvent();
    }
}

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Java application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy profilekit.jar and chant-shared.jar to the target system Java JRE lib directory and/or ensure the classpath includes the path where the profilekit.jar and chant-shared.jar libraries are placed on your target system.
  • Copy JProfileKit.dll to the target system Java JRE bin directory.
  • You may deploy your Java application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy profilekit.jar and chant-shared.jar to the target system Java JRE lib directory and/or ensure the classpath includes the path where the profilekit.jar and chant-shared.jar libraries are placed on your target system.
  • Copy JProfileKitX64.dll to the target system.

Sample Projects

Java sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant ProfileKit 5\Win32\Java\JDK.
  • My Documents\Chant ProfileKit 5\Win64\Java\JDK.


ProfileKit Microsoft Visual C++ Applications

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Microsoft Visual C++ Applications

You can develop C++ applications that manage speaker profiles using your favorite version of Microsoft Visual C++.

The following sections describe the steps for integrating ProfileKit with Microsoft Visual C++ applications.

ProfileKit Header Files

ProfileKit includes C++ header files comprised of the C++ classes that manage grammars and automatically load and unload the runtime DLL.

To access the ProfileKit C++ classes within your application, first add a project reference to the C++ header include files:

  • Win32
  • Win64
  1. Within your C++ project, select Project Properties.
  2. Under Configuration Properties, expand the C++ Properties and select the General Settings.
  3. Edit the Additional Include Directories.
  4. Locate the include directory path of the ProfileKit header files: C:\Program Files\Chant\ProfileKit 5\Win32\CDLL\include.
  5. Press the Apply button to save changes and dismiss the Project Properties.
  1. Within your C++ project, select Project Properties.
  2. Under Configuration Properties, expand the C++ Properties and select the General Settings.
  3. Edit the Additional Include Directories.
  4. Locate the include directory path of the ProfileKit header files: C:\Program Files\Chant\ProfileKit 5\Win64\CDLL\include.
  5. Press the Apply button to save changes and dismiss the Project Properties.

To access the ProfileKit C++ classes within your application, add a reference to the Chant shared and ProfileKit header files in your C++ application header file:

#include "ChantShared.h"
#include "ChantProfileKit.h"

Add a reference in your C++ application source file to the ProfileKit code needed to dynamically load and unload the runtime DLL:

#include "ChantShared.cpp"
#include "ChantProfileKit.cpp"

Object Instantiation

Declare a global variable for the ChantPM class, instantiate an instance, set the license and serial properties, and set the event handler message.

Add the following to your application header file:

protected:
    CChantPM* m_pChantPM;  // ChantPM object
    virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

Add the following to your application source file:

    // Instantiate ChantPM object
    m_pChantPM = new CChantPM();

    // Set license properties
    m_pChantPM->SetStringProperty(CSPLicense,L"LicenseRegistrationNumber");
    m_pChantPM->SetStringProperty(CSPSerials,L"LicenseSerialNumber");

    // Define the HasEvent callback message
    m_HasEvent = WM_APP+6;
    m_pChantPM->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as import/export operation state, training state, or there was an error.

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantPM != NULL)
    {
        if (message == m_HasEvent)
        {
            // Get the event from the event queue
            CChantPMEvent* chantPMEvent = m_pChantPM->GetChantPMEvent();
            if (chantPMEvent != NULL)
            {
                switch (chantPMEvent->GetChantCallback())
                {
                    case CCSRProgress:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantPM->RemoveEvent();
                // No longer need event object
                delete chantPMEvent;
                chantPMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

Deployment Checklist

When you are ready to deploy your C++ application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your C++ application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CProfileKit.dll to the target system and place in the same directory with your application.
  • You may deploy your C++ application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CProfileKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

Microsoft Visual C++ sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\ProfileKit 5\Win32\CDLL\VS 2012,
  • My Documents\Chant\ProfileKit 5\Win32\CDLL\VS 2013, and
  • My Documents\Chant\ProfileKit 5\Win32\CDLL\VS 2015.
  • My Documents\Chant\ProfileKit 5\Win64\CDLL\VS 2012,
  • My Documents\Chant\ProfileKit 5\Win64\CDLL\VS 2013, and
  • My Documents\Chant\ProfileKit 5\Win64\CDLL\VS 2015.


ProfileKit .NET Windows Forms Applications

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

.NET Windows Forms Applications

You can develop .NET Windows Forms applications that manage speaker profiles using your favorite .NET Windows Forms development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating ProfileKit with .NET Windows Forms applications.

ProfileKit Assemblies

ProfileKit includes Windows Forms compatible .NET assemblies compiled with .NET Framework V2-3.5 and V4+ to support your application's target framework.

To access the ProfileKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V2-3.5 applications, add references to the ProfileKit .NET assemblies:
    1. Program Files\Chant\ProfileKit 5\Win32\NET\libv2\Chant.ProfileKit.dll and
    2. Program Files\Chant\ProfileKit 5\Win32\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the ProfileKit .NET assemblies:
    1. Program Files\Chant\ProfileKit 5\Win32\NET\libv4\Chant.ProfileKit.dll and
    2. Program Files\Chant\ProfileKit 5\Win32\NET\libv4\Chant.Shared.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V2-3.5 applications, add references to the ProfileKit .NET assemblies:
    1. Program Files\Chant\ProfileKit 5\Win64\NET\libv2\Chant.ProfileKit.dll and
    2. Program Files\Chant\ProfileKit 5\Win64\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the ProfileKit .NET assemblies:
    1. Program Files\Chant\ProfileKit 5\Win64\NET\libv4\Chant.ProfileKit.dll and
    2. Program Files\Chant\ProfileKit 5\Win64\NET\libv4\Chant.Shared.dll.

To access the ProfileKit .NET classes within your application, add references to the Chant shared and ProfileKit assemblies in your code:

  • C#
  • VB .NET
using System;
...
using Chant.ProfileKit;
using Chant.Shared;

Imports Chant.ProfileKit
Imports Chant.Shared
Class MainWindow
...

Platform Target

Set the project Platform target to either x86 for 32-bit application or x64 for 64-bit application as follows:

  • C#
  • VB .NET

Within your C# project

  1. Select the Build tab under project properties.
  2. Select x86 or x64 in the Platform target dropdown list.

Within your VB .NET Project

  1. Select the Compile tab under project properties.
  2. Press the Advanced Compile Options... button.
  3. Select x86 or x64 in the Target CPU dropdown list.

Object Instantiation

Declare a global variable for the ChantPM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.ProfileKit.NChantPM NChantPM1;
public MainWindow()
{
    InitializeComponent();
    // Instantiate NChantPM object
    NChantPM1 = new NChantPM();
    // Setup event callback handler
    NChantPM1.HasEvent += this.NChantPM1_HasEvent;
    // Set license properties
    NChantPM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantPM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantPM1 As NChantPM

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantPM1 = New NChantPM()

    ' Set license properties
    NChantPM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantPM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as import/export operation state, training state, or there was an error.

  • C#
  • VB .NET
private void NChantPM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantPMEvent nChantPMEvent = NChantPM1.GetChantPMEvent();
    if (nChantPMEvent != null)
    {
        switch (nChantPMEvent.ChantCallback)
        {
            case ChantCallback.CCSRProgress:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantPM1.RemoveEvent();
    }
}

Private Sub NChantPM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantPM1.HasEvent
    Dim nChantPMEvent As NChantPMEvent
    ' Get the event from the event queue
    nChantPMEvent = NChantPM1.GetChantPMEvent()
    if nChantPMEvent <> Nothing Then
        Select Case nChantPMEvent.ChantCallback
            Case ChantCallback.CCSRProgress
                ...
        End Select
        ' Remove the event from the event queue
        NChantPM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.ProfileKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NProfileKit.dll to the target system.
  • Register NProfileKit.dll as a COM library on the target system.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.ProfileKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NProfileKitX64.dll to the target system.
  • Register NProfileKitX64.DLL as a COM library on the target system.

Sample Projects

.NET Windows Forms sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\ProfileKit 5\Win32\NET WinForms\VS 2012\CSharp,
  • My Documents\Chant\ProfileKit 5\Win32\NET WinForms\VS 2012\Visual Basic,
  • My Documents\Chant\ProfileKit 5\Win32\NET WinForms\VS 2013\CSharp,
  • My Documents\Chant\ProfileKit 5\Win32\NET WinForms\VS 2013\Visual Basic,
  • My Documents\Chant\ProfileKit 5\Win32\NET WinForms\VS 2015\CSharp, and
  • My Documents\Chant\ProfileKit 5\Win32\NET WinForms\VS 2015\Visual Basic.
  • My Documents\Chant\ProfileKit 5\Win64\NET WinForms\VS 2012\CSharp,
  • My Documents\Chant\ProfileKit 5\Win64\NET WinForms\VS 2012\Visual Basic,
  • My Documents\Chant\ProfileKit 5\Win64\NET WinForms\VS 2013\CSharp,
  • My Documents\Chant\ProfileKit 5\Win64\NET WinForms\VS 2013\Visual Basic,
  • My Documents\Chant\ProfileKit 5\Win64\NET WinForms\VS 2015\CSharp, and
  • My Documents\Chant\ProfileKit 5\Win64\NET WinForms\VS 2015\Visual Basic.


ProfileKit .NET WPF Applications

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

.NET WPF Applications

You can develop .NET WPF applications that manage speaker profiles using your favorite .NET WPF development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating ProfileKit with .NET WPF applications.

ProfileKit Assemblies

ProfileKit includes WPF compatible .NET assemblies compiled with .NET Framework V3 and V4 to support your application's target framework.

To access the ProfileKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V3 applications, add references to the ProfileKit .NET assemblies:
    1. Program Files\Chant\ProfileKit 5\Win32\NET\libv2\Chant.ProfileKit.dll and
    2. Program Files\Chant\ProfileKit 5\Win32\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the ProfileKit .NET assemblies:
    1. Program Files\Chant\ProfileKit 5\Win32\NET\libv4\Chant.ProfileKit.dll and
    2. Program Files\Chant\ProfileKit 5\Win32\NET\libv4\Chant.Shared.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V3 applications, add references to the ProfileKit .NET assemblies:
    1. Program Files\Chant\ProfileKit 5\Win64\NET\libv3\Chant.ProfileKit.dll and
    2. Program Files\Chant\ProfileKit 5\Win64\NET\libv3\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the ProfileKit .NET assemblies:
    1. Program Files\Chant\ProfileKit 5\Win64\NET\libv4\Chant.ProfileKit.dll and
    2. Program Files\Chant\ProfileKit 5\Win64\NET\libv4\Chant.Shared.dll.

To access the ProfileKit .NET classes within your application, add references to the Chant shared and ProfileKit assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.ProfileKit;
using Chant.Shared;

Imports Chant.ProfileKit
Imports Chant.Shared
Class MainWindow
...

Platform Target

Set the project Platform target to either x86 for 32-bit application or x64 for 64-bit application as follows:

  • C#
  • VB .NET

Within your C# project

  1. Select the Build tab under project properties.
  2. Select x86 or x64 in the Platform target dropdown list.

Within your VB .NET Project

  1. Select the Compile tab under project properties.
  2. Press the Advanced Compile Options... button.
  3. Select x86 or x64 in the Target CPU dropdown list.

Object Instantiation

Declare a global variable for the ChantPM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.ProfileKit.NChantPM NChantPM1;
public MainWindow()
{
    InitializeComponent();
    // Instantiate NChantPM object
    NChantPM1 = new NChantPM();
    // Setup event callback handler
    NChantPM1.HasEvent += this.NChantPM1_HasEvent;
    // Set license properties
    NChantPM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantPM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantPM1 As NChantPM

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantPM1 = New NChantPM()

    ' Set license properties
    NChantPM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantPM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as import/export operation state, training state, or there was an error.

  • C#
  • VB .NET
private void NChantPM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantPMEvent nChantPMEvent = NChantPM1.GetChantPMEvent();
    if (nChantPMEvent != null)
    {
        switch (nChantPMEvent.ChantCallback)
        {
            case ChantCallback.CCSRProgress:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantPM1.RemoveEvent();
    }
}

Private Sub NChantPM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantPM1.HasEvent
    Dim nChantPMEvent As NChantPMEvent
    ' Get the event from the event queue
    nChantPMEvent = NChantPM1.GetChantPMEvent()
    if nChantPMEvent <> Nothing Then
        Select Case nChantPMEvent.ChantCallback
            Case ChantCallback.CCSRProgress
                ...
        End Select
        ' Remove the event from the event queue
        NChantPM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.ProfileKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NProfileKit.dll to the target system.
  • Register NProfileKit.dll as a COM library on the target system.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.ProfileKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NProfileKitX64.dll to the target system.
  • Register NProfileKitX64.DLL as a COM library on the target system.

Sample Projects

.NET WPF sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\ProfileKit 5\Win32\NET WPF\VS 2012\CSharp,
  • My Documents\Chant\ProfileKit 5\Win32\NET WPF\VS 2012\Visual Basic,
  • My Documents\Chant\ProfileKit 5\Win32\NET WPF\VS 2013\CSharp,
  • My Documents\Chant\ProfileKit 5\Win32\NET WPF\VS 2013\Visual Basic,
  • My Documents\Chant\ProfileKit 5\Win32\NET WPF\VS 2015\CSharp, and
  • My Documents\Chant\ProfileKit 5\Win32\NET WPF\VS 2015\Visual Basic.
  • My Documents\Chant\ProfileKit 5\Win64\NET WPF\VS 2012\CSharp,
  • My Documents\Chant\ProfileKit 5\Win64\NET WPF\VS 2012\Visual Basic,
  • My Documents\Chant\ProfileKit 5\Win64\NET WPF\VS 2013\CSharp,
  • My Documents\Chant\ProfileKit 5\Win64\NET WPF\VS 2013\Visual Basic,
  • My Documents\Chant\ProfileKit 5\Win64\NET WPF\VS 2015\CSharp, and
  • My Documents\Chant\ProfileKit 5\Win64\NET WPF\VS 2015\Visual Basic.


ProfileKit Silverlight Applications

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Silverlight Applications

You can develop Silverlight applications that manage speaker profiles using your favorite Silverlight development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating ProfileKit with Silverlight applications.

ProfileKit Assemblies

To access the ProfileKit Silverlight classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your Silverlight project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For Silverlight V5 applications, add references to the ProfileKit Silverlight assemblies:
    1. Program Files\Chant\ProfileKit 5\Win32\Silverlight\libv5\Chant.ProfileKit.Silverlight.dll and
    2. Program Files\Chant\ProfileKit 5\Win32\Silverlight\libv5\Chant.Shared.Silverlight.dll.
  1. Within your Silverlight project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For Silverlight V5 applications, add references to the ProfileKit Silverlight assemblies:
    1. Program Files\Chant\ProfileKit 5\Win64\Silverlight\libv5\Chant.ProfileKit.Silverlight.dll and
    2. Program Files\Chant\ProfileKit 5\Win64\Silverlight\libv5\Chant.Shared.Silverlight.dll.

To access the ProfileKit Silverlight classes within your application, add references to the Chant shared and ProfileKit assemblies in your code:

  • C#
  • VB .NET
using System;
...
using Chant.ProfileKit.Silverlight;
using Chant.Shared.Silverlight;

Imports Chant.ProfileKit.Silverlight
Imports Chant.Shared.Silverlight
Class MainWindow
...

Out-of-Browser Settings

To run your Silverlight app out-of-browser, set the properties as follows:

  1. Within your Silverlight project, select the Silverlight tab under project properties.
  2. Select the checkbox: Enable application running out of the browser.
  3. Deselect the checkbox: Require elevated trust when running in-browser.
  4. Press the Out-of-Browser Settings... button.
  5. Select the checkbox: Required elevated trust when running outside the browser.

In-Browser Settings

To run your Silverlight app in-browser, set the properties as follows:

  1. Within your Silverlight project, select the Silverlight tab under project properties.
  2. Select the checkbox: Require elevated trust when running in-browser.
  3. Deselect the checkbox: Enable application running out of the browser.
  4. Select the Signing tab under project properties.
  5. Select the checkbox: Sign the Xap File.
  6. Press one of the three buttons to select a signing certificate:
    1. Select from Store... if you have installed a signing certificate on your system;
    2. Select from File... if you have a signing certificate file your system; or
    3. Create test certificate... if you do not have signing certificate on your system.
  7. Press the More Details... button to ensure you have installed Trusted Root and Publisher certificiates:
    1. Press the Install Certificate... button;
    2. Select Automatically ... option if you have Certificate installed in your store or Select Place ... option if you created a temp certificate for testing and press the Browse button;
    3. Select Trusted Root Certification Authorities and press the OK button; and
    4. Press the Next button.
    5. Repeat the process by Pressing the Install Certificate... button;
    6. Select Place ... option and press the Browse button;
    7. Select Trusted Publishers and press the OK button; and
    8. Press the Next button.
  8. Run regedit to add a Silverlight registery property AllowElevatedTrustAppsInBrowser with value of 1:
    1. Select the Start menu and enter regedit to launch the Registry Editor;
    2. For Win32 systems, navigate to HKEY_LOCAL_MACHINE\Software\Microsoft\Silverlight\;
    3. For Win64 systems, navigate to HKEY_LOCAL_MACHINE\Software\Wow6432Node\Microsoft\Silverlight\;
    4. Right click and select New->DWORD (32-bit) Value;
    5. Set the value name to AllowElevatedTrustAppsInBrowser;
    6. Set th value data to 1;
    7. Press the OK button; and
    8. Close the Registry Editor.

Object Instantiation

Declare a global variable for the ChantPM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.ProfileKit.Silverlight.NChantPM NChantPM1;
public MainPage()
{
    InitializeComponent();
    // Instantiate NChantPM object
    NChantPM1 = new NChantPM();
    // Setup event callback handler
    NChantPM1.HasEvent += this.NChantPM1_HasEvent;
    // Set license properties
    NChantPM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantPM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantPM1 As NChantPM

Private Sub UserControl_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantPM1 = New NChantPM()

    ' Set license properties
    NChantPM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantPM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as import/export operation state, training state, or there was an error.

  • C#
  • VB .NET
private void NChantPM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantPMEvent nChantPMEvent = NChantPM1.GetChantPMEvent();
    if (nChantGMEvent != null)
    {
        switch (nChantPMEvent.ChantCallback)
        {
            case ChantCallback.CCSRProgress:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantPM1.RemoveEvent();
    }
}

Private Sub NChantPM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantPM1.HasEvent
    Dim nChantPMEvent As NChantPMEvent
    ' Get the event from the event queue
    nChantPMEvent = NChantPM1.GetChantPMEvent()
    If nChantPMEvent <> Nothing Then
        Select Case nChantPMEvent.ChantCallback
            Case ChantCallback.CCSRProgress
                ...
        End Select
        ' Remove the event from the event queue
        NChantPM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Silverlight application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.ProfileKit.Silverlight.dll and Chant.Shared.Silverlight.dll libraries to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NProfileKit.dll to the target system.
  • Register NProfileKit.dll as a COM library on the target system.
  • You may deploy your Silverlight application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.ProfileKit.Silverlight.dll and Chant.Shared.Silverlight.dll libraries to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NProfileKitX64.dll to the target system.
  • Register NProfileKitX64.dll as a COM library on the target system.


Chant SpeechKit 8 Developer's Guide

Chant Inc.
SpeechKit 8 Developer's Guide


Speech Management with SpeechKit

You really don't have to sit in front of a computer with a mouse and keyboard to use information technology. Your applications can be enhanced to speak and listen to you from where ever you need them to.

Speech recognition is the process of converting an acoustic signal (i.e. audio data), captured by a microphone or a telephone, to a set of words. These words can be used for controlling computer functions, data entry, and application processing.

Speech synthesis is the process of converting words to phonetic and prosodic symbols and generating synthetic speech audio data. Synthesized speech can be used for answering questions, event notification, and reading documents aloud.

What is Speech Management?

Speech management enables you to:

  • control application functions by speaking rather than having to use a mouse or keyboard,
  • capture data by speaking rather than typing, and
  • prompt and confirm data capture with spoken or audio acknowledgement.

Applications benefits include:

  • enhanced speed and accuracy of data capture,
  • added flexibility of running applications in a variety of environments, and
  • expanded operating scenarios for hands-free computing.

What is SpeechKit?

Chant SpeechKit handles the complexities of speech recognition and speech synthesis to minimize the programming necessary to develop software that speaks and listens.

It simplifies the process of managing Microsoft SAPI 5, Microsoft Speech Platform, Microsoft Windows Media (UWP), Nuance Dragon NaturallySpeaking, and Nuance Vocon 3200 recognizers, and managing Acapela, Cepstral, CereProc, Microsoft SAPI 5, Microsoft Speech Platform, Microsoft Windows Media (UWP), and Nuance Vocalizer synthesizers.

SpeechKit includes C++, C++Builder, Delphi, Java, .NET Framework, and Silverlight class libraries to support all your programming languages and provides sample projects for popular IDEs—such as the latest Visual Studio from Microsoft and RAD Studio from Embarcadero.

The class libraries can be integrated with 32-bit, 64-bit, and Universal Windows Platform (UWP) applications.

For more information about the Speech Management with SpeechKit, review the following topics:

  • SpeechKit Features and
  • Speech Management Architecture.


SpeechKit Features

Chant SpeechKit handles the complexities of speech recognition and speech synthesis. The classes minimize the programming efforts necessary to construct software that speaks and listens.

A SpeechKit application can:

  • Control application functions by speaking rather than having to use a mouse or keyboard;
  • Prompt users for applicable data capture;
  • Capture data by speaking rather than typing;
  • Confirm data capture with spoken or audio acknowledgement;
  • Transcribe audio buffers, files, and streams to text; and
  • Synthesize speech to audio buffers, files, and streams.

Recognizers provide proprietary programming interfaces (i.e., APIs). SpeechKit supports the following recognizers and their APIs:

Recognizer | Speech API | Platforms
Microsoft SAPI 5 (all languages) | SAPI 5 | Win64, Win32
Microsoft Speech Platform (all languages) | MSP | Win64, Win32
Microsoft Universal Windows Platform (all languages) | Windows Media | ARM, x86, x64
Nuance Dragon NaturallySpeaking (all languages) | Dragon COM API | Win64, Win32
Nuance VocCon 3200 V2 (all languages) | VoCon 3200 V2 | Win32
Nuance VocCon 3200 V3 (all languages) | VoCon 3200 V3 | Win32
Nuance VocCon 3200 V4 (all languages) | VoCon 3200 V4 | Win32

Synthesizers provide proprietary programming interfaces (i.e., APIs). SpeechKit supports the following synthesizers and their APIs:

Synthesizer | Speech API | Platforms
Acapela (all languages) | BabTTS | Win64, Win32
Acepela (all languages) | NSCAPI | Win64, Win32
Cepstral (all languages) | Cepstral Swift | Win64, Win32
CereProc (all languages) | CereVoice | Win64, Win32
Microsoft SAPI 5 (all languages) | SAPI 5 | Win64, Win32
Microsoft Speech Platform (all languages) | MSP | Win64, Win32
Microsoft Universal Windows Platform (all languages) | Windows Media | ARM, x86, x64
Nuance Vocalizer Auotmotive (all languages) | Vocalizer Auotmotive | Win32
Nuance Vocalizer Expressive (all languages) | Vocalizer Expressive | Win64, Win32
Nuance Vocalizer Mobile (all languages) | Vocalizer Mobile | Win32
Nuance Vocalizer Network (all languages) | Vocalizer Network | Win64, Win32

Within Chant Developer Workbench IDE, you can:

  • Enumerate audio devices and speech engines for selection and testing of audio-, recognizer-, and synthesizer-specific features;
  • Trace audio, recognition, and synthesis events;
  • Support grammar activation and testing (requires GrammarKit); and
  • Support TTS markup playback (requires VoiceMarkupKit).

Audio Device Management

Audio Device Management: Enumerate audio devices and inspect device properties.

Recognizer Management: Enumerate and test recognizers. Use the Speech Recognition window to recognize speech from a microphone, prerecorded audio, or simluate recognition from text. Trace recognition events in the Events window.

Synthesizer Management: Enumerate and test synthesizers. Use the Speech Synthesis window to synthesize text. Trace synthesis events in the Events window.


Speech Management Architecture

SpeechKit class library includes classes for managing audio, speech recognition, and speech synthesis.

Speech Recognition Architecture

The SpeechKit class library includes a speech recognition management class that provides you a productive way to develop software that listens. Your application sets properties and invokes methods through the speech recognition management class. This class handles the low-level functions with speech recognition engines (i.e., recognizers).

The speech recognition management class, ChantSR, enables you to establish a session with a recognizer, through which spoken language captured live via a microphone or from recorded audio can be processed and converted to text. Your application uses the ChantSR class to manage the activities for speech recognition on behalf of your application. The ChantSR class manages the resources and interacts directly with a recognizer application program interface (API). The ChantSR class supports the following speech APIs:

  • Microsoft SAPI 5,
  • Microsoft Speech Platform,
  • Microsoft Windows Media (UWP),
  • Nuance Dragon NaturallySpeaking, and
  • Nuance VoCon 3200.

Your application receives recognized speech as text and notification of other processing states through event callbacks.

The ChantSR class encapsulates all of the technologies necessary to make the process of recognizing speech simple and efficient for your application. Optionally, it can save the session properties for your application to ensure they persist across application invocations.

SpeechKit Architecture for Speech Recognition

The ChantSR class simplifies the process of recognizing speech by handling the low-level activities directly with a recognizer.

You instantiate a ChantSR class object before you want to recognize speech within your application. You destroy the ChantSR class object and release its resources when you no longer want to recognize speech within your application.

Speech Synthesis Architecture

The SpeechKit class library also includes a speech synthesis (i.e., text-to-speech) management class that provides you a productive way to develop software that speaks. Your application sets properties and invokes methods through the speech synthesis management class. This class handles the low-level functions with text-to-speech engines (i.e., synthesizers or voices).

The speech synthesis management class, ChantTTS, enables you to establish a session with a synthesizer, through which speech is synthesized from text. Your application uses the ChantTTS class to manage the synthesizer resources on behalf of the application. The ChantTTS class manages the resources and interacts directly with a tsynthesizer application program interface (API). The ChantTTS class supports the following speech APIs:

  • Acapela BabTTS,
  • Acapela NSCAPI,
  • Cepstral Swift,
  • CereProc CereVoice,
  • Microsoft SAPI 5,
  • Microsoft Speech Platform, and
  • Microsoft Windows Media (UWP), and
  • Nuance Vocalizer.

Your application receives notification of other processing states through event callbacks.

The ChantTTS class encapsulates all of the technologies necessary to make the process of synthesizing speech simple for your application. Optionally, it can save the session properties for your application to ensure they persist across application invocations.

SpeechKit Architecture for Speech Synthesis

The ChantTTS class simplifies the process of synthesizing speech by handling the low-level activities directly with a synthesizer.

You instantiate a ChantTTS class object before you want to synthesize speech within your application. You destroy the ChantTTS class object and release its resources when you no longer want to synthesize speech within your application.


Recognizing and Synthesizing Speech with SpeechKit

For your software to speak, your application needs to use a text-to-speech engine (i.e., synthesizer or voice). A text-to-speech engine is a software program that converts words to phonetic and prosodic symbols and generates a synthetic speech audio data. You application can playback the audio data through the system speakers, over telephony session, or streamed over an Internet session.

For your software to listen, your application needs to use a speech recognition engine (i.e., recognizer). A speech recognition engine converts audio data from a microphone, telephony session, Internet session, to a set of words.

Chant SpeechKit handles the complexities of speech recognition and speech synthesis to minimize the programming necessary to develop software that speaks and listens.

Recognizers provide proprietary programming interfaces (i.e., APIs). SpeechKit supports the following recognizers and their APIs:

Recognizer | Speech API | Platforms
Microsoft SAPI 5 (all languages) | SAPI 5 | Win64, Win32
Microsoft Speech Platform (all languages) | MSP | Win64, Win32
Microsoft Universal Windows Platform (all languages) | Windows Media | ARM, x86, x64
Nuance Dragon NaturallySpeaking (all languages) | Dragon COM API | Win64, Win32
Nuance VocCon 3200 V2 (all languages) | VoCon 3200 V2 | Win32
Nuance VocCon 3200 V3 (all languages) | VoCon 3200 V3 | Win32
Nuance VocCon 3200 V4 (all languages) | VoCon 3200 V4 | Win32

Synthesizers provide proprietary programming interfaces (i.e., APIs). SpeechKit supports the following synthesizers and their APIs:

Synthesizer | Speech API | Platforms
Acapela (all languages) | BabTTS | Win64, Win32
Acepela (all languages) | NSCAPI | Win64, Win32
Cepstral (all languages) | Cepstral Swift | Win64, Win32
CereProc (all languages) | CereVoice | Win64, Win32
Microsoft SAPI 5 (all languages) | SAPI 5 | Win64, Win32
Microsoft Speech Platform (all languages) | MSP | Win64, Win32
Microsoft Universal Windows Platform (all languages) | Windows Media | ARM, x86, x64
Nuance Vocalizer Auotmotive (all languages) | Vocalizer Auotmotive | Win32
Nuance Vocalizer Expressive (all languages) | Vocalizer Expressive | Win64, Win32
Nuance Vocalizer Mobile (all languages) | Vocalizer Mobile | Win32
Nuance Vocalizer Network (all languages) | Vocalizer Network | Win64, Win32

For more information about recognizing and synthesizing speech with SpeechKit, review the following topics:

  • Managing Speech Engines,
  • Audio Management Applications,
  • Speech Recognition Applications, and
  • Speech Synthesis Applications.


Managing Speech Engines

Integrating speech technology involves managing the resources to process speech and audio.

Audio devices handle the inbound recording and outbound playback of speech. Speech recognizers handle detecting speech from an audio source and converting to text. Speech synthesizers handle converting text to speech and generating audio.

Chant SpeechKit provides you an easy way to manage audio devices, speech recognizers, and speech synthesizers. It provides a simple way to construct software that speaks and listens.

Speech Engine Management

Speech Engine Management: audio device management, speech recognizer management, and speech synthesizer management.

The following topics are covered for managing speech engines with Chant SpeechKit:

  • Managing Audio Devices,
  • Managing Recognizers, and
  • Managing Synthesizers.


Managing Audio Devices

Managing audio devices is an application runtime function. Chant SpeechKit class libraries handle the complexities of working with audio devices and minimize the programming efforts necessary to record and playback audio.

Chant Developer Workbench provides you insight into managing audio devices.

Within Chant Developer Workbench, you can open the Audio Devices browser to inspect audio device properties.

Audio Device Management

Audio Device Management: Enumerate audio devices and inspect device properties.


Managing Recognizers

Managing recognizers for speech recognition is an application runtime function. Chant SpeechKit class libraries handle the complexities of speech recognition and minimize the programming efforts necessary to construct software that listens.

Chant Developer Workbench provides you powerful prototyping and testing environment to model and validate your application code for managing recognizers.

Within Chant Developer Workbench, you can open the Speech Recognizers browser for testing and trace callback events. This enables you to model and test your speech recognizer use before, during, and after integrating code in your applications.

Recognizer Management: Enumerate and test recognizers. Use the Speech Recognition window to recognize speech from a microphone, prerecorded audio, or simluate recognition from text. Trace recognition events in the Events window.


Managing Synthesizers

Managing synthesizers for speech synthesis is an application runtime function. Chant SpeechKit class libraries handle the complexities of speech synthesis and minimize the programming efforts necessary to construct software that speaks.

Chant Developer Workbench provides you powerful prototyping and testing environment to model and validate your application code for managing synthesizers.

Within Chant Developer Workbench, you can open the Speech Synthesizer browser testing and trace callback events. This enables you to model and test your synthesizer use before, during, and after integrating code in your applications.

Synthesizer Management: Enumerate and test synthesizers. Use the Speech Synthesis window to synthesize text. Trace synthesis events in the Events window.


Audio Management Applications

The following topics describe how to build applications that process audio:

  • Endpoint Devices,
  • Event Handling,
  • Error Handling, and
  • Audio Sample.


Endpoint Devices

The ChantAudio class supports enumerating capture and render Endpoint devices. This enables applications to control the gain and volume on endpoint devices as needed.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantAudioCaptureDevice chantAudioCaptureDevice in NChantAudio1.ChantAudioCaptureDevices)
{
    // Access inbound audio device properties
    string name = nChantAudioCaptureDevice.Name;
}

foreach (NChantAudioRenderDevice chantAudioRenderDevice in NChantAudio1.ChantAudioRenderDevices)
{
    // Access inbound audio device properties
    string name = chantAudioRenderDevice.Name;
}

int numberOfAudioCaptureDevices = pChantAudio->GetChantAudioCaptureDevices()->GetCount();
for (i = 0; i < numberOfAudioCaptureDevices; i++)
{
    CChantAudioCaptureDevice* pChantAudioCaptureDevice = pChantAudio->GetChantAudioCaptureDevices()->GetChantAudioCaptureDevice(i);
    // Access inbound audio device properties
    wchar_t* name = pChantAudioCaptureDevice->GetName();
}

int numberOfAudioRenderDevices = pChantAudio->GetChantAudioRenderDevices()->GetCount();
for (i = 0; i < numberOfAudioRenderDevices; i++)
{
    CChantAudioRenderDevice* pChantAudioRenderDevice = pChantAudio->GetChantAudioRenderDevices()->GetChantAudioRenderDevice(i);
    // Access inbound audio device properties
    wchar_t* name = pChantAudioRenderDevice->GetName();
}

int numberOfAudioCaptureDevices = pChantAudio->GetChantAudioCaptureDevices()->GetCount();
for (i = 0; i < numberOfAudioCaptureDevices; i++)
{
    CChantAudioCaptureDevice* pChantAudioCaptureDevice = pChantAudio->GetChantAudioCaptureDevices()->GetChantAudioCaptureDevice(i);
    // Access inbound audio device properties
    String name = pChantAudioCaptureDevice->GetName();
}

int numberOfAudioRenderDevices = pChantAudio->GetChantAudioRenderDevices()->GetCount();
for (i = 0; i < numberOfAudioRenderDevices; i++)
{
    CChantAudioRenderDevice* pChantAudioRenderDevice = pChantAudio->GetChantAudioRenderDevices()->GetChantAudioRenderDevice(i);
    // Access inbound audio device properties
    String name = pChantAudioRenderDevice->GetName();
}

var
chantAudioCaptureDevice: TChantAudioCaptureDevice;
name: string;
begin
    for chantAudioCaptureDevice in ChantAudio1.ChantAudioCaptureDevices do
    begin
        // Access inbound audio device properties
        name := chantAudioCaptureDevice.Name;
    end;
end;

var
chantAudioRenderDevice: TChantAudioRenderDevice;
name: string;
begin
for chantAudioRenderDevice in ChantAudio1.ChantAudioRenderDevices do
    begin
        // Access inbound audio device properties
        name := chantAudioRenderDevice.Name;
    end;
end;

for (JChantAudioCaptureDevice chantAudioCaptureDevice : JChantAudio1.getChantAudioCaptureDevices())
{
    // Access inbound audio device properties
    String name = chantAudioCaptureDevice.getName();
}

for (JChantAudioRenderDevice chantAudioRenderDevice : JChantAudio1.getChantAudioRenderDevices())
{
    // Access inbound audio device properties
    String name = chantAudioRenderDevice.getName();
}

Dim chantAudioCaptureDevice As NChantAudioCaptureDevice
Dim name As String
For Each chantAudioCaptureDevice In NChantAudio1.ChantAudioCaptureDevices
    ' Access inbound audio device properties
    name = chantAudioCaptureDevice.Name
Next

Dim chantAudioRenderDevice As NChantAudioRenderDevice
Dim name As String
For Each chantAudioRenderDevice In NChantAudio1.NChantAudioRenderDevices
    ' Access inbound audio device properties
    name = chantAudioRenderDevice.Name
Next


Event Handling

To track audio, recognition, and synthesis operations, applications receive event notifications. You register for the events your application is interested in using the RegisterCallback method as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn on audio render device arrival events
NChantAudio1.RegisterCallback(ChantCallback.CCDDeviceArrival);

// Turn on audio render device arrival events
pChantAudio->RegisterCallback(CCDDeviceArrival);

// Turn on audio render device arrival events
pChantAudio->RegisterCallback(CCDDeviceArrival);

// Turn on audio render device arrival events
ChantAudio1.RegisterCallback(CCDDeviceArrival);

// Turn on audio render device arrival events
JChantAudio1.registerCallback(ChantCallback.CCDDeviceArrival);

' Turn on audio render device arrival events
NChantAudio1.RegisterCallback(ChantCallback.CCDDeviceArrival)

The ChantAudio object sends all notifications to the HasEvent function. All event data is contained in a ChantAudioEvent object and accessed via object properties as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantAudio1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantAudioEvent nChantAudioEvent = NChantAudio1.GetChantAudioEvent();
    if (nChantAudioEvent != null)
    {
        switch (nChantAudioEvent.ChantCallback)
        {
            case ChantCallback.CCDDeviceArrival:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantAudio1.RemoveEvent();
    }
}

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantAudio != NULL)
    {
        if (message == m_HasAudioEvent)
        {
            // Get the event from the event queue
            CChantAudioEvent* chantAudioEvent = m_pChantAudio->GetChantAudioEvent();
            if (chantAudioEvent != NULL)
            {
                switch (chantAudioEvent->GetChantCallback())
                {
                    case CCDDeviceArrival:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantAudio->RemoveEvent();
                // No longer need event object
                delete chantAudioEvent;
                chantAudioEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasAudioEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantAudioEvent* chantAudioEvent = ChantAudio1->GetChantAudioEvent();
    if (chantAudioEvent != NULL)
    {
        switch (chantAudioEvent->GetChantCallback())
        {
            default:
                break;
            case CCDDeviceArrival:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantAudio1->RemoveEvent();
        // No longer need event object
        delete chantAudioEvent;
        chantAudioEvent = NULL;
    }
}

procedure TForm1.OnHasAudioEvent(var msg: TMessage);
var
  chantAudioEvent: TChantAudioEvent;
begin
    // Get the event from the event queue
    chantAudioEvent := ChantAudio1.GetChantAudioEvent();
    if chantAudioEvent <> nil then
    begin
      case chantAudioEvent.ChantCallback of
        CCDDeviceArrival:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantAudio1.RemoveEvent();
      // No longer need event object
      chantAudioEvent.Destroy();
    end;
end;

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantAudioEvent chantAudioEvent = JChantAudio1.getChantAudioEvent();
    if (chantAudioEvent != null)
    {
        int callback = chantAudioEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCDDeviceArrival :
                ...
                break;
        }
        JChantAudio1.removeEvent();
    }
}

Private Sub NChantAudio1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantAudio1.HasEvent
    Dim nChantAudioEvent As NChantAudioEvent
    ' Get the event from the event queue
    nChantAudioEvent = NChantAudio1.GetChantAudioEvent()
    if nChantAudioEvent <> Nothing Then
        Select Case nChantAudioEvent.ChantCallback
            Case ChantCallback.CCDDeviceArrival
                ...
        End Select
        ' Remove the event from the event queue
        NChantAudio1.RemoveEvent()
    End If
End Sub

The ChantAudio object accumulates event objects on a FIFO queue. Applications must remove the oldest event from the queue to be able to process the next event object. When you remove the event object it is destroyed and no longer available.


Error Handling

SpeechKit uses a common set of return codes on error conditions to minimize the error processing required by the application. The following table provides a summary.

Error Constant | Value | Description
E_INVALIDARG | 0x80070057 | One or more arguments are invalid. Verify your parameter values used in invoking the method.
E_FAIL | 0x80004005 | Unspecified error. Exception handling catches as a non-specific failure.
E_NOINTERFACE | 0x80004002 | No such interface supported. Verify that the session with the recognizer or synthesizer is active before invoking the method.
E_OUTOFMEMORY | 0x8007000E | Ran out of memory. There is not enough memory to complete the operation.
E_NOTIMPL | 0x80004001 | Not implemented. Contact Chant support for assistance.
CLASS_E_NOTLICENSED | 0x80040112 | Class is not licensed for use. Verify that your License and Serials property values are set before invoking any other methods.

To obtain an the error code, use the ChantAudio LastError, LastErrorString, and LastErrorMessage properties.

System APIs may generate error codes. To monitor these error codes, use the ChantAudio RegisterCallback method for the CCAPIError event.

Consult the System API documentation for problem determination or contact Chant support for assistance.


Record Sample

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Audio Sample

Chant SpeechKit includes a sample application that illustrates audio management features. Look for the Audio folder in the SpeechKit sample projects.

Build and launch the sample application.

Chant Audio Sample

Record an audio file with the following steps:

  1. Press the Record button.
  2. Begin speaking.
  3. Press the Stop button when done. A file path should appear in the Audio Files listbox.

Playback an audio file with the following steps:

  1. Select an audio file from the list.
  2. Press the Play button.


Speech Recognition Applications

The following topics describe how to build applications that recognize speech:

  • Selecting a Recognizer,
  • Application Framework,
  • Vocabularies,
  • Dynamic Vocabularies,
  • RemoteVocabularies,
  • Profiles,
  • Lexicons,
  • Event Handling,
  • Error Handling,
  • Command Recognition Sample,
  • Grammar Recognition Sample, and
  • Dictation Recognition Sample.


Speech Recognition Selecting a Recognizer

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Selecting a Recognizer

The ChantSR object defaults the recognizer selection first by looking for SAPI 5 default (i.e., speech control panel default) recognizer followed by Microsoft Speech Platform, Dragon NaturallySpeaking, Nuance VoCon 3200, and SAPI 4 recognizer.

Since there may be more than one recognizer available on the system in which your application runs, you may want to integrate selection into your application.

Applications obtain an enumerated list of available engines and then select the engine by setting the Engine property.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantSREngine chantSREngine in NChantSR1.ChantSREngines)
{
    // Access engine properties
    string engine = chantSREngine.Engine;
    ...
    // If this is the desired engine, select it
    NChantSR1.SetStringProperty(ChantStringProperty.CSPEngine, engine);
    break;
}

int numberOfEngines = pChantSR->GetChantSREngines()->GetCount();
for (i = 0; i < numberOfEngines; i++)
{
    CChantSREngine* pChantSREngine = pChantSR->GetChantSREngines()->GetChantSREngines(i);
    // Access engine properties
    wchar_t* engine = pChantSREngine->GetEngine();
    ...
    // If this is the desired engine, select it
    pChantSR->SetStringProperty(CSPEngine, engine);
    break;
}

int numberOfEngines = pChantSR->GetChantSREngines()->GetCount();
for (i = 0; i < numberOfEngines; i++)
{
    CChantSREngine* pChantSREngine = pChantSR->GetChantSREngines()->ChantSREngines(i);
    // Access engine properties
    String engine = pChantSREngine->GetEngine();
    ...
    // If this is the desired engine, select it
    pChantSR->SetStringProperty(CSPEngine, engine);
    break;
}

var
chantSREngine: TChantSREngine;
engine: string;
begin
for chantSREngine in ChantSR1.ChantSREngines do
    begin
        // Access engine properties
        engine := chantSREngine.Engine;
        ...
        // If this is the desired engine, select it
        ChantSR1.SetStringProperty(CSPEngine, engine);
        exit;
    end;
end;

for (JChantSREngine engine : JChantSR1.getChantSREngines())
{
    // Access engine properties
    String engine = engine.getEngine();
    ...
    // If this is the desired engine, select it
    JChantSR1.setStringProperty(ChantStringProperty.CSPEngine, engine);
    break;
}

Dim chantSREngine As NChantSREngine
Dim engine As String
For Each chantSREngine In NChantSR1.ChantSREngines
    ' Access engine properties
    engine = chantSREngine.Engine
    ...
    // If this is the desired engine, select it
    NChantSR1.SetStringProperty(ChantStringProperty.CSPEngine, engine)
    Exit
Next


Speech Recognition Application Framework

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Application Framework

The Chant aplication framework provides an optional way to persist property settings across application invocations.

This would enable your application to remember which recognizer the user selected and how it was possibly adjusted across invocations.

An application framework may be saved and loaded from an XML file.

Your application loads an application framework by using the ImportAppFramework method as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Import framework from a file
NChantSR1.ImportAppFramework("myapplicationframework.xml");

// Import framework from a file
pChantSR->ImportAppFramework("myapplicationframework.xml");

// Import framework from a file
pChantSR->ImportAppFramework("myapplicationframework.xml");

// Import framework from a file
ChantSR1.ImportAppFramework('myapplicationframework.xml');

// Import framework from a file
JChantSR1.importAppFramework("myapplicationframework.xml");

' Import framework from a file
NChantSR1.ImportAppFramework("myapplicationframework.xml")

Your application saves an application framework by using the ExportAppFramework method as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Export framework to a file
NChantSR1.ExportAppFramework("myapplicationframework.xml");

// Export framework to a file
pChantSR->ExportAppFramework("myapplicationframework.xml");

// Export framework to a file
pChantSR->ExportAppFramework("myapplicationframework.xml");

// Export framework to a file
ChantSR1.ExportAppFramework('myapplicationframework.xml');

// Export framework to a file
JChantSR1.exportAppFramework("myapplicationframework.xml");

// Export framework to a file
NChantSR1.ExportAppFramework("myapplicationframework.xml")


Speech Recognition Vocabularies

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Vocabularies

Vocabularies define the listening context from which to recognize speech. Speech recognition engines may support four types of vocabularies:

  • command,
  • grammar,
  • dictation, and
  • dictation topic.

To recognize speech with vocabularies, an applications defines the vocabulary object, enables it to make it active, and disables it to make it inactive.

Applications can instantiate, enable, and disable vocabularies as needed to manage the listening context.

Command Vocabulary

A command vocabulary consists of words and phrases that are spoken as commands. It is a simple list of the possible spoken words and phrases. The speech recognition engine matches recognized speech against the list and returns the best match. Command vocabularies are typically very small. For example, a command vocabulary may contain a 100 or fewer entries.

A command can optionally have a numeric identifier associated with it. This enables processing recognition results on the basis of a numeric identifier in addition to command strings.

To create a command vocabulary, instantiate a ChantCommandVocab class object. Then add the commands.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define the vocabulary
NChantCommandVocab nChantCommandVocab = nChantSR.CreateChantCommandVocab("commands");

// Add commands to the vocabulary
nChantCommandVocab.AddCommand("Open File");
nChantCommandVocab.AddCommand("Print File");
nChantCommandVocab.AddCommand("Close File");

// Enable the vocabulary
nChantCommandVocab.Enable();

// Disable the vocabulary
nChantCommandVocab.Disable();

// Define the vocabulary
CChantCommandVocab* pChantCommandVocab = pChantSR->CreateChantCommandVocab(L"commands");

// Add commands to the vocabulary
pChantCommandVocab->AddCommand(L"Open File");
pChantCommandVocab->AddCommand(L"Print File");
pChantCommandVocab->AddCommand(L"Close File");

// Enable the vocabulary
pChantCommandVocab->Enable();

// Disable the vocabulary
pChantCommandVocab->Disable();

// Define the vocabulary
CChantCommandVocab* pChantCommandVocab = pChantSR->CreateChantCommandVocab("commands");

// Add commands to the vocabulary
pChantCommandVocab->AddCommand("Open File");
pChantCommandVocab->AddCommand("Print File");
pChantCommandVocab->AddCommand("Close File");

// Enable the vocabulary
pChantCommandVocab->Enable();

// Disable the vocabulary
pChantCommandVocab->Disable();

var aTChantCommandVocab: TChantCommandVocab;
// Define the vocabulary
aTChantCommandVocab := aTChantSR.CreateChantCommandVocab('commands');

// Add commands to the vocabulary
aTChantCommandVocab.AddCommand('Open File');
aTChantCommandVocab.AddCommand('Print File');
aTChantCommandVocab.AddCommand('Close File');

// Enable the vocabulary
aTChantCommandVocab.Enable();

// Disable the vocabulary
aTChantCommandVocab.Disable();

// Define the vocabulary
JChantCommandVocab jChantCommandVocab = jChantSR.createChantCommandVocab("commands");

// Add commands to the vocabulary
jChantCommandVocab.addCommand("Open File");
jChantCommandVocab.addCommand("Print File");
jChantCommandVocab.addCommand("Close File");

// Enable the vocabulary
jChantCommandVocab.enable();

// Disable the vocabulary
jChantCommandVocab.disable();

' Define the vocabulary
Dim nChantCommandVocab As NChantCommandVocab
nChantCommandVocab = nChantSR.CreateChantCommandVocab("commands")

' Add commands to the vocabulary
nChantCommandVocab.AddCommand("Open File");
nChantCommandVocab.AddCommand("Print File");
nChantCommandVocab.AddCommand("Close File");

' Enable the vocabulary
nChantCommandVocab.Enable()

' Disable the vocabulary
nChantCommandVocab.Disable()

Grammar Vocabulary

A grammar vocabulary consists of words and phrases and combinations of words and phrases expressed in a grammar syntax. Recognizers have their own syntax for expressing grammars.

Recognizer | Speech API | Grammar Syntax
Microsoft SAPI 4 (all languages) | SAPI 4 | SAPI 4 Grammar Text File
Microsoft SAPI 5 (all languages) | SAPI 5 | SAPI 5 XML Grammar W3C SRGS XML
Microsoft Speech Platform (all languages) | SAPI 5 | W3C SRGS XML
Nuance VoCon 3200 (all languages) | VoCon 3200 | Nuance BNF+ V1.0, V1.1, V2.0 Java Speech Grammar Format (JSGF) W3C SRGS ABNF

To create a grammar vocabulary from a grammar source file, use the ChantGrammarVocab class.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define the vocabulary
NChantGrammarVocab nChantGrammarVocab = nChantSR.CreateChantGrammarVocab("mygrammar.xml");

// Enable the vocabulary
nChantGrammarVocab.Enable();

// Disable the vocabulary
nChantGrammarVocab.Disable();

// Define the vocabulary
CChantGrammarVocab* pChantGrammarVocab = pChantSR->CreateChantGrammarVocab(L"mygrammar.xml");

// Enable the vocabulary
pChantGrammarVocab->Enable();

// Disable the vocabulary
pChantGrammarVocab->Disable();

// Define the vocabulary
CChantGrammarVocab* pChantGrammarVocab = pChantSR->CreateChantGrammarVocab("mygrammar.xml");

// Enable the vocabulary
pChantGrammarVocab->Enable();

// Disable the vocabulary
pChantGrammarVocab->Disable();

var aTChantGrammarVocab: TChantGrammarVocab;
// Define the vocabulary
aTChantGrammarVocab := aTChantSR.CreateChantGrammarVocab('mygrammar.xml');

// Enable the vocabulary
aTChantGrammarVocab.Enable();

// Disable the vocabulary
aTChantGrammarVocab.Disable();

// Define the vocabulary
JChantGrammarVocab jChantGrammarVocab = jChantSR.createChantGrammarVocab(JChantSR1, "mygrammar.xml");

// Enable the vocabulary
jChantGrammarVocab.enable();

// Disable the vocabulary
jChantGrammarVocab.disable();

' Define the vocabulary
Dim nChantGrammarVocab As NChantGrammarVocab
nChantGrammarVocab = nChantSR.CreateChantGrammarVocab("mygrammar.xml")

' Enable the vocabulary
nChantGrammarVocab.Enable()

' Disable the vocabulary
nChantGrammarVocab.Disable()

To create a grammar vocabulary from a compiled grammar binary file, use the ChantNativeGrammarVocab class.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define the vocabulary
NChantNativeGrammarVocab nChantNativeGrammarVocab = nChantSR.CreateChantNativeGrammarVocab("mygrammar.dat");

// Enable the vocabulary
nChantNativeGrammarVocab.Enable();

// Disable the vocabulary
nChantNativeGrammarVocab.Disable();

// Define the vocabulary
CChantNativeGrammarVocab* pChantNativeGrammarVocab = pChantSR->CreateChantNativeGrammarVocab(L"mygrammar.dat");

// Enable the vocabulary
pChantNativeGrammarVocab->Enable();

// Disable the vocabulary
pChantNativeGrammarVocab->Disable();

// Define the vocabulary
CChantNativeGrammarVocab* pChantNativeGrammarVocab = pChantSR->CreateChantNativeGrammarVocab("mygrammar.dat");

// Enable the vocabulary
pChantNativeGrammarVocab->Enable();

// Disable the vocabulary
pChantNativeGrammarVocab->Disable();

var aTChantNativeGrammarVocab: TChantNativeGrammarVocab;
// Define the vocabulary
aTChantNativeGrammarVocab := aTChantSR.CreateChantNativeGrammarVocab('mygrammar.dat');

// Enable the vocabulary
aTChantNativeGrammarVocab.Enable();

// Disable the vocabulary
aTChantNativeGrammarVocab.Disable();

// Define the vocabulary
JChantNativeGrammarVocab jChantNativeGrammarVocab = jChantSR.CreateChantNativeGrammarVocab("mygrammar.dat");

// Enable the vocabulary
jChantNativeGrammarVocab.enable();

// Disable the vocabulary
jChantNativeGrammarVocab.disable();

' Define the vocabulary
Dim nChantNativeGrammarVocab As NChantNativeGrammarVocab
nChantNativeGrammarVocab = nChantSR.CreateChantNativeGrammarVocab("mygrammar.dat")

' Enable the vocabulary
nChantNativeGrammarVocab.Enable()

' Disable the vocabulary
nChantNativeGrammarVocab.Disable()

See GrammarKit for more information about speech recognition grammars.

Dictation Vocabulary

A dictation vocabulary represents a dictionary of all possible words from which speech is recognized. These vocabularies are integrated with the speech recognition engine. They are typically very large. For example, a dictionary may contain 30,000 and significantly more words.

To create a dictation vocabulary, use the ChantDictationVocab class.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define the vocabulary
NChantDictationVocab nChantDictationVocab = nChantSR.CreateChantDictationVocab("text");

// Enable the vocabulary
nChantDictationVocab.Enable();

// Disable the vocabulary
nChantDictationVocab.Disable();

// Define the vocabulary
CChantDictationVocab* pChantDictationVocab = pChantSR->CreateChantDictationVocab(L"text");

// Enable the vocabulary
pChantDictationVocab->Enable();

// Disable the vocabulary
pChantDictationVocab->Disable();

// Define the vocabulary
CChantDictationVocab* pChantDictationVocab = pChantSR->CreateChantDictationVocab("text");

// Enable the vocabulary
pChantDictationVocab->Enable();

// Disable the vocabulary
pChantDictationVocab->Disable();

var aTChantDictationVocab: TChantDictationVocab;
// Define the vocabulary
aTChantDictationVocab := aTChantSR.CreateChantDictationVocab('text');

// Enable the vocabulary
aTChantDictationVocab.Enable();

// Disable the vocabulary
aTChantDictationVocab.Disable();

// Define the vocabulary
JChantDictationVocab jChantDictationVocab = jChantSR.createChantDictationVocab("text");

// Enable the vocabulary
jChantDictationVocab.enable();

// Disable the vocabulary
jChantDictationVocab.disable();

' Define the vocabulary
Dim nChantDictationVocab As NChantDictationVocab
nChantDictationVocab = nChantSR.CreateChantDictationVocab("text")

' Enable the vocabulary
nChantDictationVocab.Enable()

' Disable the vocabulary
nChantDictationVocab.Disable()

Dictation Topic

A dictation topic is a dictionary of words for a specific subject area. Topics improve recognition accuracy by increasing the probability the spoken words are in the domain of the topic dictionary.

To enumerate available topics with Dragon NaturallySpeaking, use the ChantDictationTopicCollection class.

To enable a topic with Dragon NaturallySpeaking, use the ChantSR SetStringProperty method.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantSR1.SetStringProperty(ChantStringProperty.CSPTopic, "US English | Large | General");

pChantSR->SetStringProperty(CSPTopic, L"US English | Large | General");

pChantSR->SetStringProperty(CSPTopic, "US English | Large | General");

ChantSR1.SetStringProperty(CSPTopic, 'US English | Large | General');

JChantSR1.setStringProperty(ChantStringProperty.CSPTopic, "US English | Large | General");

NChantSR1.SetStringProperty(ChantStringProperty.CSPTopic, "US English | Large | General")

SAPI5 currently defines one specialized dictation topic: Spelling. SAPI5 recognition engines are not required to support specialized dictation topics including Spelling.

To enable a topic with SAPI5, use the ChantDictationVocab class and specify the topic name.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define the vocabulary
NChantDictationVocab nChantDictationVocab = nChantSR.CreateChantDictationVocab("Spelling");

// Enable the vocabulary
nChantDictationVocab.Enable();

// Disable the vocabulary
nChantDictationVocab.Disable();

// Define the vocabulary
CChantDictationVocab* pChantDictationVocab = pChantSR->CreateChantDictationVocab(L"Spelling");

// Enable the vocabulary
pChantDictationVocab->Enable();

// Disable the vocabulary
pChantDictationVocab->Disable();

// Define the vocabulary
CChantDictationVocab* pChantDictationVocab = pChantSR->CreateChantDictationVocab("Spelling");

// Enable the vocabulary
pChantDictationVocab->Enable();

// Disable the vocabulary
pChantDictationVocab->Disable();

var aTChantDictationVocab: TChantDictationVocab;
// Define the vocabulary
aTChantDictationVocab := aTChantSR.CreateChantDictationVocab('Spelling');

// Enable the vocabulary
aTChantDictationVocab.Enable();

// Disable the vocabulary
aTChantDictationVocab.Disable();

// Define the vocabulary
JChantDictationVocab jChantDictationVocab = jChantSR.createChantDictationVocab("Spelling");

// Enable the vocabulary
jChantDictationVocab.enable();

// Disable the vocabulary
jChantDictationVocab.disable();

' Define the vocabulary
Dim nChantDictationVocab As NChantDictationVocab
nChantDictationVocab = nChantSR.CreateChantDictationVocab("Spelling")

' Enable the vocabulary
nChantDictationVocab.Enable()

' Disable the vocabulary
nChantDictationVocab.Disable()


Speech Recognition Dynamic Vocabularies

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Dynamic Vocabularies

Some applications need the ability to create grammars at runtime to accommodate end-user provided information, database sources, and application processing states.

For tailoring and customizing grammars on end user systems, GrammarKit provides a grammar management class for compiling grammars within your application. For additional information about grammars, see GrammarKit.

For less complex dynamic processing needs, your application can set list choices within command and grammar vocabularies.

Choice Lists

Choice lists enable you to substitute a list of words or phrases at runtime. List placeholders are used in command and grammar vocabularies.

A list choice can optionally have a numeric identifier associated with it. This enableds processing recognition results on the basis of a numeric identifier in addition to choice string.

In command vocabularies, define a list placeholder as a list name between a less than and greater than characters.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define the vocabulary
NChantCommandVocab nChantCommandVocab = nChantSR.CreateChantCommandVocab("commands");

// Add commands to the vocabulary
nChantCommandVocab.AddCommand("Open <filename>");
nChantCommandVocab.AddCommand("Print <filename>");
nChantCommandVocab.AddCommand("Close <filename>");

// Add choices to list
nChantCommandVocab.AddChoiceToList("expenses.xlsx", "filename");
nChantCommandVocab.AddChoiceToList("statusreport.docx", "filename");

// Enable the vocabulary
nChantCommandVocab.Enable();

// Disable the vocabulary
nChantCommandVocab.Disable();

// Define the vocabulary
CChantCommandVocab* pChantCommandVocab = pChantSR->CreateChantCommandVocab(L"commands");

// Add commands to the vocabulary
pChantCommandVocab->AddCommand(L"Open <filename>");
pChantCommandVocab->AddCommand(L"Print <filename>");
pChantCommandVocab->AddCommand(L"Close <filename>");

// Add choices to list
pChantCommandVocab->AddChoiceToList(L"expenses.xlsx", L"filename");
pChantCommandVocab->AddChoiceToList(L"statusreport.docx", L"filename");

// Enable the vocabulary
pChantCommandVocab->Enable();

// Disable the vocabulary
pChantCommandVocab->Disable();

// Define the vocabulary
CChantCommandVocab* pChantCommandVocab = pChantSR->CreateChantCommandVocab("commands");

// Add commands to the vocabulary
pChantCommandVocab->AddCommand("Open <filename>");
pChantCommandVocab->AddCommand("Print <filename>");
pChantCommandVocab->AddCommand("Close <filename>");

// Add choices to list
pChantCommandVocab->AddChoiceToList("expenses.xlsx", "filename");
pChantCommandVocab->AddChoiceToList("statusreport.docx", "filename");

// Enable the vocabulary
pChantCommandVocab->Enable();

// Disable the vocabulary
pChantCommandVocab->Disable();

var aTChantCommandVocab: TChantCommandVocab;
// Define the vocabulary
aTChantCommandVocab := aTChantSR.CreateChantCommandVocab('commands');

// Add commands to the vocabulary
aTChantCommandVocab.AddCommand('Open <filename>');
aTChantCommandVocab.AddCommand('Print <filename>');
aTChantCommandVocab.AddCommand('Close <filename>');

// Add choices to list
aTChantCommandVocab.AddChoiceToList('expenses.xlsx', 'filename');
aTChantCommandVocab.AddChoiceToList('statusreport.docx', 'filename');

// Enable the vocabulary
aTChantCommandVocab.Enable();

// Disable the vocabulary
aTChantCommandVocab.Disable();

// Define the vocabulary
JChantCommandVocab jChantCommandVocab = jChantSR.createChantCommandVocab("commands");

// Add commands to the vocabulary
jChantCommandVocab.addCommand("Open <filename>");
jChantCommandVocab.addCommand("Print <filename>");
jChantCommandVocab.addCommand("Close <filename>");

// Add choices to list
jChantCommandVocab.addChoiceToList("expenses.xlsx", "filename");
jChantCommandVocab.addChoiceToList("statusreport.docx", "filename");

// Enable the vocabulary
jChantCommandVocab.enable();

// Disable the vocabulary
jChantCommandVocab.disable();

' Define the vocabulary
Dim nChantCommandVocab As NChantCommandVocab
nChantCommandVocab = nChantSR.CreateChantCommandVocab("commands")

' Add commands to the vocabulary
nChantCommandVocab.AddCommand("Open <filename>");
nChantCommandVocab.AddCommand("Print <filename>");
nChantCommandVocab.AddCommand("Close <filename>");

' Add choices to list
nChantCommandVocab.AddChoiceToList("expenses.xlsx", "filename")
nChantCommandVocab.AddChoiceToList("statusreport.docx", "filename")

' Enable the vocabulary
nChantCommandVocab.Enable()

' Disable the vocabulary
nChantCommandVocab.Disable()

In grammar vocabularies, define a list placeholder using the supported grammar syntax. See the GrammarKit Grammar Syntax Quick Reference.

Grammar Syntax List Declaration
SAPI 4 Grammar Text File
[Grammar]
langid=1033
type=cfg

[Lists]
=filename

[(Commands)]
// Add commands to rule
1=Open <filename>
2=Print <filename>
3=Close <filename>

// This is the list of choices that the grammar is listening for
[filename]
=placeholder
SAPI 5 XML Grammar
<grammar langid="409">
    <rule toplevel="active" name="commands">
        <l propname="commandprop">
            <p >Open <ruleref name="filename"/></p>
            <p >Print <ruleref name="filename"/></p>
            <p >Close <ruleref name="filename"/></p>
        </l>
    </rule>
    <rule name="filename" dynamic="True">
        <p>placeholder</p>
    </rule>
</grammar>
W3C SRGS XML
<grammar xmlns="http://www.w3.org/2001/06/grammar"
  xmlns:sapi="http://schemas.microsoft.com/Speech/2002/06/SRGSExtensions"
  xml:lang="En" version="1.0" mode="voice" root="commands" tag-format="semantics/1.0-literals">
    <rule id="commands">
        <one-of>
            <item>Open <ruleref uri="#filename"/></item>
            <item>Print <ruleref uri="#filename"/></item>
            <item>Close <ruleref uri="#filename"/></item>
        </one-of>
    </rule>
    <rule id="filename" sapi:dynamic="true">
        <item>placeholder</item>
    </rule>
</grammar>
Nuance BNF+ V1.0 (VoCon V2)
#BNF+EM V1.0;
!grammar myvocab;
!modifiable <filename>;
!start <start>;
<start>: Open <filename> | Print <filename> | Close <filename>;
<filename>: <VOID>;
Nuance BNF+ V1.1 (VoCon V3)
#BNF+EM V1.1;
!grammar myvocab;
!slot <filename>;
!start <start>;
<start>: Open <filename> | Print <filename> | Close <filename>;
<filename>: <VOID>;
Nuance BNF+ V2.0 (VoCon V4)
#BNF+EM V2.0;
!grammar myvocab;
!slot <filename>;
!start <start>;
<start>: Open <filename> | Print <filename> | Close <filename>;
  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define the vocabulary
NChantGrammarVocab nChantGrammarVocab = nChantSR.CreateChantGrammarVocab("mygrammar.xml");

// Add choices to list
nChantGrammarVocab.AddChoiceToList("expenses.xlsx", "filename");
nChantGrammarVocab.AddChoiceToList("statusreport.docx", "filename");

// Enable the vocabulary
nChantGrammarVocab.Enable();

// Disable the vocabulary
nChantGrammarVocab.Disable();

// Define the vocabulary
CChantGrammarVocab* pChantGrammarVocab = pChantSR->CreateChantGrammarVocab(L"mygrammar.xml");

// Add choices to list
pChantGrammarVocab->AddChoiceToList(L"expenses.xlsx", L"filename");
pChantGrammarVocab->AddChoiceToList(L"statusreport.docx", L"filename");

// Enable the vocabulary
pChantGrammarVocab->Enable();

// Disable the vocabulary
pChantGrammarVocab->Disable();

// Define the vocabulary
CChantGrammarVocab* pChantGrammarVocab = pChantSR->CreateChantGrammarVocab("mygrammar.xml");

// Add choices to list
pChantGrammarVocab->AddChoiceToList("expenses.xlsx", "filename");
pChantGrammarVocab->AddChoiceToList("statusreport.docx", "filename");

// Enable the vocabulary
pChantGrammarVocab->Enable();

// Disable the vocabulary
pChantGrammarVocab->Disable();

var aTChantGrammarVocab: TChantGrammarVocab;
// Define the vocabulary
aTChantGrammarVocab := aTChantSR.CreateChantGrammarVocab('mygrammar.xml');

// Add choices to list
aTChantGrammarVocab.AddChoiceToList('expenses.xlsx', 'filename');
aTChantGrammarVocab.AddChoiceToList('statusreport.docx', 'filename');

// Enable the vocabulary
aTChantGrammarVocab.Enable();

// Disable the vocabulary
aTChantGrammarVocab.Disable();

// Define the vocabulary
JChantGrammarVocab jChantGrammarVocab = jChantSR.createChantGrammarVocab(JChantSR1, "mygrammar.xml");

// Add choices to list
jChantGrammarVocab.addChoiceToList("expenses.xlsx", "filename");
jChantGrammarVocab.addChoiceToList("statusreport.docx", "filename");

// Enable the vocabulary
jChantGrammarVocab.enable();

// Disable the vocabulary
jChantGrammarVocab.disable();

' Define the vocabulary
Dim nChantGrammarVocab As NChantGrammarVocab
nChantGrammarVocab = nChantSR.CreateChantGrammarVocab("mygrammar.xml")

' Add choices to list
nChantGrammarVocab.AddChoiceToList("expenses.xlsx", "filename")
nChantGrammarVocab.AddChoiceToList("statusreport.docx", "filename")

' Enable the vocabulary
nChantGrammarVocab.Enable()

' Disable the vocabulary
nChantGrammarVocab.Disable()


Speech Recognition Remote Vocabularies

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Remote Vocabularies

A remote vocabulary is an xml file containing the parameters to use speech recognition services on a remote server. The parameters are unique to the service provider.

VoCon 3200 Hybrid Release 4.3 introduces a new Nuance Mobile Speech Platform (NMSP) add-on feature that supports the capabilities of Nuance Mobile Application Server (NMAS).

The VoCon NMSP add-on feature connects your application over TCP/IP through the NMSP gateway with a Nuance Mobile Application Server (NMAS). This server executes queries to perform dictation recognition and command execution.

A remote vocabulary represents a single query request for the server. Your application may have one or more remote vocabularies repesenting the various queries needed at runtime.

The query request is invoked when the remote vocabulary is enabled and terminated when the remote vocabulary is disabled.

For dictation query requests, the query is invoked until the vocabulary is disabled simulating continuous speech recognition.

The following grammar illustrates using dictation services with the NMAS server.

<?xml version="1.0" ?>
<csrremotevocab>
    <connectionparams>
        <host>65.124.114.138</host>
        <port>443</port>
        <applicationid>your_id</applicationid>
        <applicationkey>your_key</applicationkey>
    </connectionparams>
    <queryparams>
        <applicationversion>1</applicationversion>
        <applicationlanguage>enus</applicationlanguage>
        <carrier>wifi</carrier>
    </queryparams>
    <acmodfile>C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\acmod4_900_enu_gen_car_f16_v1_0_0.dat</acmodfile>
    <nmascommandname>AUTOMOTIVE_RESOLVE_DICTATION</nmascommandname>
    <nmaslinkname>BODY</nmaslinkname>
</csrremotevocab>

The following remote vocabulary elements may be defined:

Element | Parent Element | Definition
csrremotevocab |  | Vocabulary root element
connectionparams | csrremotevocab | Defines the session parameters.
host | connectionparams | Defines the IP address of the remote NMSP server.
port | connectionparams | Defines the port number of the remote NMSP server.
applicationid | connectionparams | Defines the application id.
applicationkey | connectionparams | Defines the application key.
queryparams | csrremotevocab | Defines the query parameters.
applicationversion | queryparams | Defines application version string.
applicationlanguage | queryparams | Defines application Language identifier.
carrier | queryparams | Defines carrier name.
phonemodel | queryparams | Defines the Phone model, e.g. \"iPhone\" (this key is optional).
phonenetwork | queryparams | Defines the phone network (this key is optional).
phoneos | queryparams | Defines the the phone os, e.g \"4.0\" (this key is optional).
phonesubmodel | queryparams | Defines the phone sub-model, e.g \"iPhone2,1\" (this key is optional).
dictationtype | queryparams | Defines the query type as Dictation, Websearch, or Automotive-Dictation.
audiosource | queryparams | Indicates the source of audio from the user as SpeakerAndMicrophone, HeadsetInOut, HeadsetBT, HeadPhone, or LineOut (this key is optional).
commandtimeout | queryparams | Defines query timeout value, in milliseconds (this key is optional).
asrparams | csrremotevocab | Defines the feature extractor recognition parameters.
fxparams | asrparams | Defines the feature extractor properties.
startenable | fxparams | Defines a LH_FX_PARAM_START_ENABLE value.
tsilence | fxparams | Defines a LH_FX_PARAM_TSILENCE value.
recparams | asrparams | Defines the distributed recognizer properties.
buffersize | recparams | Defines thebuffer size between front-end and back-end in milliseconds.
acmodfile | csrremotevocab | Defines the acoustic model file.
pcmaudio | csrremotevocab | Defines a collection of source audio files.
audiofile | pcmaudio | Defines an audio file (pcm wave audio).
localcontext | csrremotevocab | Defines a collection of local contexts.
contextfile | localcontext | Defines a context file (compiled grammar).
samplerate | csrremotevocab | Defines the audio sample rate.
deviceid | csrremotevocab | Defines the local audio source device id.
framesize | csrremotevocab | Defines the number of audio samples in the frame.
buffercount | csrremotevocab | Defines the number of audio frames to buffer.
ssenoisereduction | csrremotevocab | A flag to indicate whether noise reduction should be applied to the audio sent to the remote server.
nmascommandname | csrremotevocab | Defines the NMAS Remote query command name: AUTOMOTIVE_RESOLVE_DICTATION (dictation) NMDP_ASR_COMMAND (command).
nmaslinkname | csrremotevocab | Defines the NMAS audio link name: BODY (dictation) AUDIO_INFO (command).

The following grammar illustrates all the elements that may be defined:

<?xml version="1.0" ?>
<csrremotevocab>
    <connectionparams>
        <host>65.124.114.138</host>
        <port>443</port>
        <applicationid>your_id</applicationid>
        <applicationkey>your_key</applicationkey>
    </connectionparams>
    <queryparams>
        <applicationversion>1</applicationversion>
        <applicationlanguage>enus</applicationlanguage>
        <carrier>ATT</carrier>
        <phonemodel>iPhone</phonemodel>
        <phonenetwork>ATT</phonenetwork>
        <phoneos>4.0</phoneos>
        <phonesubmodel>iPhone2,1</phonesubmodel>
        <dictationtype>WebSearch</dictationtype>
        <audiosource>HeadsetInOut</audiosource>
        <commandtimeout>200000</commandtimeout>
    </queryparams>
    <asrparams>
        <fxparams>
            <startenable>1</startenable>
            <tsilence>1200</tsilence>
        </fxparams>
        <recparams>
            <buffersize>3000</buffersize>
        </recparams>
    </asrparams>
    <acmodfile>C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\models\\acmod4_900_enu_gen_car_f16_v1_0_0.dat</acmodfile>
    <pcmaudio>
        <audiofile>myaudio1.wav</audiofile>
        <audiofile>myaudio2.wav</audiofile>
    </pcmaudio>
    <localcontext>
        <contextfile>C:\\Nuance\\VoCon Hybrid\\SDK_v4_3\\samples\\data\\ctx\\acmod4_900_enu_gen_car_f16_v1_0_0\\commands_names.fcf</contextfile>
    </localcontext>
    <samplerate>16000</samplerate>
    <deviceid>-1</deviceid>
    <framesize>384</framesize>
    <buffercount>5</buffercount>
    <ssenoisereduction>0</ssenoisereduction>
    <nmascommandname>NMDP_ASR_COMMAND</nmascommandname>
    <nmaslinkname>AUDIO_INFO</nmaslinkname>
</csrremotevocab>


Speech Recognition Profiles

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Profiles

A speaker profile is a collection of information used by a speech recognition engine to increase its recognition accuracy for a specific individual's voice and environment.

A speech recognition engine saves training and background noise information to use in recognizing speech. Some speech recognition engines capture and save information over time to adapt the profile for optimum speech recognition accuracy.

You set the active profile via the ChantSR CSPSpeaker property.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantSR1.SetStringProperty(ChantStringProperty.CSPSpeaker, "Default Speaker");

pChantSR->SetStringProperty(CSPSpeaker, L"Default Speaker");

pChantSR->SetStringProperty(CSPSpeaker, "Default Speaker");

ChantSR1.SetStringProperty(CSPSpeaker, 'Default Speaker');

JChantSR1.setStringProperty(ChantStringProperty.CSPSpeaker, "Default Speaker");

NChantSR1.SetStringProperty(ChantStringProperty.CSPSpeaker, "Default Speaker")

See ProfileKit for more information about speech recognition profiles.


Speech Recognition Lexicons

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Lexicons

A lexicon is a collection of words and information about these words used by a speech recognition engine to increase its recognition accuracy.

Recognizers can use lexicons as a reference for the pronunciation information about words specific to your application to improve recognition quality. You may deploy lexicons with your application.

See LexiconKit for more information about speech recognition lexicons.


Event Handling

To track recognition operations, applications receive event notifications. You register for the events your application is interested in using the RegisterCallback method as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn on HasCommand events
NChantSR1.RegisterCallback(ChantCallback.CCSRHasCommand);

// Turn on HasCommand events
pChantSR->RegisterCallback(CCSRHasCommand);

// Turn on HasCommand events
pChantSR->RegisterCallback(CCSRHasCommand);

// Turn on HasCommand events
ChantSR1.RegisterCallback(CCSRHasCommand);

// Turn on HasCommand events
JChantSR1.registerCallback(ChantCallback.CCSRHasCommand);

' Turn on HasCommand events
NChantSR1.RegisterCallback(ChantCallback.CCSRHasCommand)

The ChantSR object sends all notifications to the HasEvent function. All event data is contained in a ChantSREvent object and accessed via object properties as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantSR1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantSREvent nChantSREvent = NChantSR1.GetChantSREvent();
    if (nChantSREvent != null)
    {
        switch (nChantSREvent.ChantCallback)
        {
            case ChantCallback.CCSRHasCommand:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantSR1.RemoveEvent();
    }
}

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantSR != NULL)
    {
        if (message == m_HasSREvent)
        {
            // Get the event from the event queue
            CChantSREvent* chantSREvent = m_pChantSR->GetChantSREvent();
            if (chantSREvent != NULL)
            {
                switch (chantSREvent->GetChantCallback())
                {
                    case CCSRHasCommand:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantSR->RemoveEvent();
                // No longer need event object
                delete chantSREvent;
                chantSREvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasSREvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantSREvent* chantSREvent = ChantSR1->GetChantSREvent();
    if (chantSREvent != NULL)
    {
        switch (pEvent->GetChantCallback())
        {
            default:
                break;
            case CCSRHasCommand:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantSR1->RemoveEvent();
        // No longer need event object
        delete chantSREvent;
        chantSREvent = NULL;
    }
}

procedure TForm1.OnHasSREvent(var msg: TMessage);
var
  chantSREvent: TChantSREvent;
begin
    // Get the event from the event queue
    chantSREvent := ChantSR1.GetChantSREvent();
    if chantSREvent <> nil then
    begin
      case chantSREvent.ChantCallback of
        CCSRHasCommand:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantSR1.RemoveEvent();
      // No longer need event object
      chantSREvent.Destroy();
    end;
end;

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantSREvent chantSREvent = JChantSR1.getChantSREvent();
    if (chantSREvent != null)
    {
        int callback = chantSREvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCSRHasCommand :
                ...
                break;
        }
        JChantSR1.removeEvent();
    }
}

Private Sub NChantSR1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantSR1.HasEvent
    Dim nChantSREvent As NChantSREvent
    ' Get the event from the event queue
    nChantSREvent = NChantSR1.GetChantSREvent()
    if nChantSREvent <> Nothing Then
        Select Case nChantSREvent.ChantCallback
            Case ChantCallback.CCSRHasCommand
                ...
        End Select
        ' Remove the event from the event queue
        NChantSR1.RemoveEvent()
    End If
End Sub

The ChantSR object accumulates event objects on a FIFO queue. Applications must remove the oldest event from the queue to be able to process the next event object. When you remove the event object it is destroyed and no longer available.


Error Handling

SpeechKit uses a common set of return codes on error conditions to minimize the error processing required by the application. The following table provides a summary.

Error Constant | Value | Description
E_INVALIDARG | 0x80070057 | One or more arguments are invalid. Verify your parameter values used in invoking the method.
E_FAIL | 0x80004005 | Unspecified error. Exception handling catches as a non-specific failure.
E_NOINTERFACE | 0x80004002 | No such interface supported. Verify that the session with the recognizer or synthesizer is active before invoking the method.
E_OUTOFMEMORY | 0x8007000E | Ran out of memory. There is not enough memory to complete the operation.
E_NOTIMPL | 0x80004001 | Not implemented. Contact Chant support for assistance.
CLASS_E_NOTLICENSED | 0x80040112 | Class is not licensed for use. Verify that your License and Serials property values are set before invoking any other methods.

To obtain an the error code, use the ChantSR LastError, LastErrorString, and LastErrorMessage properties.

Speech APIs (i.e., recognizer and synthesizer) may generate error codes. To monitor these error codes, use the ChantSR RegisterCallback method for the CCAPIError event.

Consult the Speech API documentation for problem determination or contact Chant support for assistance.


Command Sample

Chant SpeechKit includes a sample application that illustrates command speech recognition features. Look for the Command folder in the SpeechKit sample projects.

Build and launch the sample application. You can control its operation using your voice.

Chant Command Recognition Sample

Recognize speech using the sample application with the following steps:

  1. Press the Enable button to enable command recognition.
  2. Say "Select the color ..." with a color from the list. The color will be highlighted.
  3. Say "Pick the shape ..." with a shape from the list. The shape will be highlighted.
  4. Press the Disable button to disable command recognition.


Grammar Sample

Chant SpeechKit includes a sample application that illustrates grammar speech recognition features. Look for the Grammar folder in the SpeechKit sample projects.

Build and launch the sample application. You can control its operation using your voice.

Chant Grammar Recognition Sample

Recognize speech using the sample application with the following steps:

  1. Press the Enable button to enable grammar recognition.
  2. Say "Select the color ..." with a color from the list. The color will be highlighted.
  3. Say "Pick the shape ..." with a shape from the list. The shape will be highlighted.
  4. Press the Disable button to disable grammar recognition.


Dictation Sample

Chant SpeechKit includes a sample application that illustrates dictation speech recognition features. Look for the Dictation folder in the SpeechKit sample projects.

Build and launch the sample application. You can control its operation using your voice.

Chant Dictation Recognition Sample

Recognize speech using the sample application with the following steps:

  1. Press the Enable button to enable dictation recognition.
  2. Begin speaking.
  3. Press the Disable button to disable dictation recognition.


Speech Synthesis Applications

The following topics describe how to build applications that synthesize speech:

  • Selecting a Synthesizer,
  • Application Framework,
  • Lexicons,
  • Text Markup,
  • Event Handling,
  • Error Handling, and
  • Speech Synthesis Sample.


Speech Synthesis Selecting a Synthesizer

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Selecting a Synthesizer

The ChantTTS object defaults the synthesizer selection first by looking for SAPI 5 default (i.e., speech control panel default) voice followed by Microsoft Speech Platform, Cepstral, Acapela BabTTS, Acapela NSCAPI, Nuance Vocalizer (Auto, Expressive, Mobile, and Netword), SAPI 4, and RealSpeak Solo.

Since there may be more than one voice available on the system in which your application runs, you may want to integrate selection into your application.

Applications obtain an enumerated list of available voices and then select the voice by setting the Engine property.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantTTSEngine chantTTSEngine in NChantTTS1.ChantTTSEngines)
{
    // Access engine properties
    string engine = chantTTSEngine.Engine;
    ...
    // If this is the desired engine, select it
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPEngine, engine);
    break;
}

int numberOfEngines = pChantTTS->GetChantTTSEngines()->GetCount();
for (i = 0; i < numberOfEngines; i++)
{
    CChantTTSEngine* pChantTTSEngine = pChantTTS->GetChantTTSEngines()->GetChantTTSEngines(i);
    // Access engine properties
    wchar_t* engine = pChantTTSEngine->GetEngine();
    ...
    // If this is the desired engine, select it
    pChantTTS->SetStringProperty(CSPEngine, engine);
    break;
}

int numberOfEngines = pChantTTS->GetChantTTSEngines()->GetCount();
for (i = 0; i < numberOfEngines; i++)
{
    CChantTTSEngine* pChantTTSEngine = pChantTTS->GetChantTTSEngines()->ChantTTSEngines(i);
    // Access engine properties
    String engine = pChantTTSEngine->GetDisplay();
    ...
    // If this is the desired engine, select it
    pChantTTS->SetStringProperty(CSPEngine, engine);
    break;
}

var
chantTTSEngine: TChantTTSEngine;
engine: string;
begin
    for chantTTSEngine in ChantTTS1.ChantTTSEngines do
    begin
        // Access engine properties
        engine := chantTTSEngine.Engine;
        ...
        // If this is the desired engine, select it
        ChantTTS1.SetStringProperty(CSPEngine, engine);
        exit;
    end;
end;

for (JChantTTSEngine engine : JChantTTS1.getChantTTSEngines())
{
    // Access engine properties
    String engine = engine.getEngine();
    ...
    // If this is the desired engine, select it
    JChantTTS1.setStringProperty(ChantStringProperty.CSPEngine, engine);
    break;
}

Dim chantTTSEngine As NChantTTSEngine
Dim engine As String
For Each chantTTSEngine In NChantTTS1.ChantTTSEngines
    ' Access engine properties
    engine = chantTTSEngine.Engine
    ...
    // If this is the desired engine, select it
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPEngine, engine)
    Exit
Next


Speech Synthesis Application Framework

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Application Framework

The Chant application framework provides an optional way to persist property settings across application invocations.

This would enable your application to remember which voice the user selected and how it was possibly adjusted across invocations.

An application framework may be saved and loaded from an XML file.

Your application loads an application framework by using the ImportAppFramework method as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Import framework from a file
NChantTTS1.ImportAppFramework("myapplicationframework.xml");

// Import framework from a file
pChantTTS->ImportAppFramework("myapplicationframework.xml");

// Import framework from a file
pChantTTS->ImportAppFramework("myapplicationframework.xml");

// Import framework from a file
ChantTTS1.ImportAppFramework('myapplicationframework.xml');

// Import framework from a file
JChantTTS1.importAppFramework("myapplicationframework.xml");

' Import framework from a file
NChantTTS1.ImportAppFramework("myapplicationframework.xml")

Your application saves an application framework by using the ExportAppFramework method as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Export framework to a file
NChantTTS1.ExportAppFramework("myapplicationframework.xml");

// Export framework to a file
pChantTTS->ExportAppFramework("myapplicationframework.xml");

// Export framework to a file
pChantTTS->ExportAppFramework("myapplicationframework.xml");

// Export framework to a file
ChantTTS1.ExportAppFramework('myapplicationframework.xml');

// Export framework to a file
JChantTTS1.exportAppFramework("myapplicationframework.xml");

// Export framework to a file
NChantTTS1.ExportAppFramework("myapplicationframework.xml")


Speech Synthesis Lexicons

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Lexicons

A lexicon is a collection of words and information about these words used by a text-to-speech to enhance its the quality of its pronunciation.

Text-to-speech voices can use application lexicons as a reference for the pronunciation information about words specific to an application. You may deploy lexicons with your application.

See LexiconKit for more information about text-to-speech lexicons.


Speech Synthesis Text Markup

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Text Markup

Text-to-speech (TTS) markup is text with imbedded indicators that control speech synthesis from the text. Speaking qualities such as the speed, pitch, emphasis, and word pronunciation may be tailored in reproducing speech from text.

See VoiceMarkupKit for more information about text-to-speech markup.


Event Handling

To track synthesis operations, applications receive event notifications. You register for the events your application is interested in using the RegisterCallback method as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn on WordPosition events
NChantTTS1.RegisterCallback(ChantCallback.CCTTSWordPosition);

// Turn on WordPosition events
pChantTTS->RegisterCallback(CCTTSWordPosition);

// Turn on WordPosition events
pChantTTS->RegisterCallback(CCTTSWordPosition);

// Turn on WordPosition events
ChantTTS1.RegisterCallback(CCTTSWordPosition);

// Turn on WordPosition events
JChantTTS1.registerCallback(ChantCallback.CCTTSWordPosition);

' Turn on WordPosition events
NChantTTS1.RegisterCallback(ChantCallback.CCTTSWordPosition)

The ChantTTS object sends all notifications to the HasEvent function. All event data is contained in a ChantTTSEvent object and accessed via object properties as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantTTS1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantTTSEvent nChantTTSEvent = NChantTTS1.GetChantTTSEvent();
    if (nChantTTSEvent != null)
    {
        switch (nChantTTSEvent.ChantCallback)
        {
            case ChantCallback.CCTTSWordPosition:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantTTS1.RemoveEvent();
    }
}

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantTTS != NULL)
    {
        if (message == m_HasTTSEvent)
        {
            // Get the event from the event queue
            CChantTTSEvent* pChantTTSEvent = m_pChantTTS->GetChantTTSEvent();
            if (pChantTTSEvent != NULL)
            {
                switch (pChantTTSEvent->GetChantCallback())
                {
                    case CCTTSWordPosition:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantTTS->RemoveEvent();
                //  No longer need event object
                delete pChantTTSEvent;
                pChantTTSEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasTTSEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantTTSEvent* chantTTSEvent = ChantTTS1->GetChantTTSEvent();
    if (chantTTSEvent != NULL)
    {
        switch (chantTTSEvent->GetChantCallback())
        {
            default:
                break;
            case CCTTSWordPosition:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantTTS1->RemoveEvent();
        // No longer need event object
        delete chantTTSEvent;
        chantTTSEvent = NULL;
    }
}

procedure TForm1.OnHasTTSEvent(var msg: TMessage);
var
  chantTTSEvent: TChantTTSEvent;
begin
    // Get the event from the event queue
    chantTTSEvent := ChantTTS1.GetChantTTSEvent();
    if chantTTSEvent <> nil then
    begin
      case chantTTSEvent.ChantCallback of
        CCTTSWordPosition:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantTTS1.RemoveEvent();
      // No longer need event object
      chantTTSEvent.Destroy();
    end;
end;

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantTTSEvent chantTTSEvent = JChantTTS1.getChantTTSEvent();
    if (chantTTSEvent != null)
    {
        int callback = chantTTSEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCTTSWordPosition :
                ...
                break;
        }
        JChantTTS1.removeEvent();
    }
}

Private Sub NChantTTS1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantTTS1.HasEvent
    Dim nChantTTSEvent As NChantTTSEvent
    ' Get the event from the event queue
    nChantTTSEvent = NChantTTS1.GetChantTTSEvent()
    if nChantTTSEvent <> Nothing Then
        Select Case nChantTTSEvent.ChantCallback
            Case ChantCallback.CCTTSWordPosition
                ...
        End Select
        ' Remove the event from the event queue
        NChantTTS1.RemoveEvent()
    End If
End Sub

The ChantTTS object accumulates event objects on a FIFO queue. Applications must remove the oldest event from the queue to be able to process the next event object. When you remove the event object it is destroyed and no longer available.


Error Handling

SpeechKit uses a common set of return codes on error conditions to minimize the error processing required by the application. The following table provides a summary.

Error Constant | Value | Description
E_INVALIDARG | 0x80070057 | One or more arguments are invalid. Verify your parameter values used in invoking the method.
E_FAIL | 0x80004005 | Unspecified error. Exception handling catches as a non-specific failure.
E_NOINTERFACE | 0x80004002 | No such interface supported. Verify that the session with the recognizer or synthesizer is active before invoking the method.
E_OUTOFMEMORY | 0x8007000E | Ran out of memory. There is not enough memory to complete the operation.
E_NOTIMPL | 0x80004001 | Not implemented. Contact Chant support for assistance.
CLASS_E_NOTLICENSED | 0x80040112 | Class is not licensed for use. Verify that your License and Serials property values are set before invoking any other methods.

To obtain an the error code, use the ChantTTS LastError, LastErrorString, and LastErrorMessage properties.

Speech APIs (i.e., recognizer and synthesizer) may generate error codes. To monitor these error codes, use the ChantTTS RegisterCallback method for the CCAPIError event.

Consult the Speech API documentation for problem determination or contact Chant support for assistance.


Speech Synthesis Sample

Chant SpeechKit includes a sample application that illustrates speech synthesis features. Look for the Synthesis folder in the SpeechKit sample projects.

Build and launch the sample application.

Chant Speech Synthesis Sample

Synthesize speech using the sample application with the following steps:

  1. Press the speak button to preview the selected voice.
  2. Enter text in the text window and press the Speak button.
  3. To select another voice, click on another selection in the engine list.
  4. To generate an audio file with synthesized speech, press the Create File button.


Integrating SpeechKit

The following sections describe the steps for integrating SpeechKit with your favorite development tool and programming language.

  • C++Builder Applications
  • Delphi and Appmethod Applications
  • Java Applications
  • Microsoft Visual C++ Applications
  • .NET UWP Applications
  • .NET Windows Forms Applications
  • .NET WPF Applications
  • Silverlight Applications


SpeechKit C++Builder VCL and FireMonkey (Appmethod) Applications

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

C++Builder VCL and FireMonkey (Appmethod) Applications

You can develop C++ applications that speak and listen using your favorite version of C++Builder and Appmethod.

The following sections describe the steps for integrating SpeechKit with C++Builder VCL and FireMonkey (Appmethod) applications.

SpeechKit Header Files

SpeechKit includes C++ header files comprised of the C++Builder classes that manage grammars and automatically load and unload the runtime DLL.

To access the SpeechKit C++Builder classes within your application, first add a project reference to the C++Builder header include files:

  • Win32
  • Win64
  1. Within your C++Builder or Appmethod project, select Project Options.
  2. Select the C++Builder or Appmethod compiler options.
  3. Add Include path reference to the SpeechKit header files directory: C:\Program Files\Chant\SpeechKit 8\Win32\CBuilder\include.
  1. Within your C++Builder or Appmethod project, select Project Options.
  2. Select the C++Builder or Appmethod compiler options.
  3. Add Include path reference to the SpeechKit header files directory: C:\Program Files\Chant\SpeechKit 8\Win64\CBuilder\include.

To access the SpeechKit C++Builder classes within your application, add a reference to the Chant shared and SpeechKit header files in your C++Builder application header file.

#include "ChantShared.h"
#include "ChantSpeechKit.h"

Add a reference in your C++Builder application source file to the SpeechKit code needed to dynamically load and unload the runtime DLL.

#include "ChantShared.cpp"
#include "ChantSpeechKit.cpp"

Object Instantiation

Declare a global variable for the ChantSR class, instantiate an instance, set the license and serial properties, and set the event handler message.

Add the following to your application header file:

  • VCL
  • FireMonkey (Appmethod)
protected:
    void __fastcall OnHasEvent(TMessage& msg);
    BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(WM_APP+1, TMessage, OnHasAudioEvent);
    MESSAGE_HANDLER(WM_APP+2, TMessage, OnHasSREvent);
    MESSAGE_HANDLER(WM_APP+3, TMessage, OnHasTTSEvent);
    END_MESSAGE_MAP(TForm)
private:
    // User declarations
    CChantAudio* ChantAudio1;
    CChantSR* ChantSR1;
    CChantTTS* ChantTTS1;

#include <FMX.Platform.Win.hpp>
using namespace Fmx::Platform::Win;
...
protected:
    void __fastcall OnHasEvent(TMessage& msg);
private:
    // User declarations
    CChantAudio* ChantAudio1;
    CChantSR* ChantSR1;
    CChantTTS* ChantTTS1;
    HWND  FrmHwnd;
    long WndProc;
public:
    // User declarations
    __fastcall TForm1(TComponent* Owner);
    LRESULT __fastcall FrmWndProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam);

Add the following to your application source file:

  • VCL
  • FireMonkey (Appmethod)
ChantAudio1 = new CChantAudio();
ChantSR1 = new CChantSR();
ChantTTS1 = new CChantTTS();

// Set license properties
ChantAudio1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantAudio1->SetStringProperty(CSPSerials,"LicenseLicenseSerialNumber");
ChantSR1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantSR1->SetStringProperty(CSPSerials,"LicenseSerialNumber");
ChantTTS1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantTTS1->SetStringProperty(CSPSerials,"LicenseLicenseSerialNumber");

// Define the HasEvent callback message
ChantAudio1->SetWindowMessage(Handle, WM_APP+1, 0, 0);
ChantSR1->SetWindowMessage(Handle, WM_APP+2, 0, 0);
ChantTTS1->SetWindowMessage(Handle, WM_APP+3, 0, 0);

ChantAudio1 = new CChantAudio();
ChantSR1 = new CChantSR();
ChantTTS1 = new CChantTTS();

// Set license properties
ChantAudio1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantAudio1->SetStringProperty(CSPSerials,"LicenseLicenseSerialNumber");
ChantSR1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantSR1->SetStringProperty(CSPSerials,"LicenseSerialNumber");
ChantTTS1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantTTS1->SetStringProperty(CSPSerials,"LicenseLicenseSerialNumber");

// XE-XE3
HWND FrmHwnd = FmxHandleToHWND(Handle);
// XE4+
TWinWindowHandle *wndHandle = WindowHandleToPlatform(this->Handle);
HWND FrmHwnd = wndHandle->Wnd;

// Set up Windows Message Handling For FireMonkey
WndProc = GetWindowLongPtr(FrmHwnd, GWL_WNDPROC);
SetWindowLongPtr(FrmHwnd, GWL_WNDPROC, (long)WindowProc);
ChantAudio1->SetWindowMessage(FrmHwnd, WM_APP+1, 0, 0);
ChantSR1->SetWindowMessage(FrmHwnd, WM_APP+2, 0, 0);
ChantTTS1->SetWindowMessage(FrmHwnd, WM_APP+3, 0, 0);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as a headset was plugged in, speech recognition occurred, audio playback finished, or there was an error.

  • VCL
  • FireMonkey (Appmethod)
void __fastcall TForm1::OnHasAudioEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantAudioEvent* chantAudioEvent = ChantAudio1->GetChantAudioEvent();
    if (chantAudioEvent != NULL)
    {
        switch (chantAudioEvent->GetChantCallback())
        {
            default:
                break;
            case CCDDeviceArrival:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantAudio1->RemoveEvent();
        // No longer need event object
        delete chantAudioEvent;
        chantAudioEvent = NULL;
    }
}
void __fastcall TForm1::OnHasSREvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantSREvent* chantSREvent = ChantSR1->GetChantSREvent();
    if (chantSREvent != NULL)
    {
        switch (pEvent->GetChantCallback())
        {
            default:
                break;
            case CCSRHasCommand:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantSR1->RemoveEvent();
        // No longer need event object
        delete chantSREvent;
        chantSREvent = NULL;
    }
}
void __fastcall TForm1::OnHasTTSEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantTTSEvent* chantTTSEvent = ChantTTS1->GetChantTTSEvent();
    if (chantTTSEvent != NULL)
    {
        switch (chantTTSEvent->GetChantCallback())
        {
            default:
                break;
            case CCDAudioStop:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantTTS1->RemoveEvent();
        // No longer need event object
        delete chantTTSEvent;
        chantTTSEvent = NULL;
    }
}

// Hook Window Messages
LRESULT WindowProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    return Form1->FrmWndProc(Hwnd, Msg, wParam, lParam);
}

LRESULT __fastcall TForm1::FrmWndProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    Winapi::Messages::TMessage aTMessage;
    aTMessage.Msg = Msg;
    aTMessage.WParam = wParam;
    aTMessage.LParam = lParam;
    // Trap our messages
    switch (Msg)
    {
        default:
            break;
        case WM_APP+1:
            OnHasAudioEvent(aTMessage);
            return 0;
        case WM_APP+2:
            OnHasSREvent(aTMessage);
            return 0;
        case WM_APP+3:
            OnHasTTSEvent(aTMessage);
            return 0;
    }
    // Forward all other messages
    return CallWindowProc((WNDPROC)WndProc, Hwnd, Msg, wParam, lParam);
}

void __fastcall TForm1::OnHasAudioEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantAudioEvent* chantAudioEvent = ChantAudio1->GetChantAudioEvent();
    if (chantAudioEvent != NULL)
    {
        switch (chantAudioEvent->GetChantCallback())
        {
            default:
                break;
            case CCDDeviceArrival:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantAudio1->RemoveEvent();
        // No longer need event object
        delete chantAudioEvent;
        chantAudioEvent = NULL;
    }
}
void __fastcall TForm1::OnHasSREvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantSREvent* chantSREvent = ChantSR1->GetChantSREvent();
    if (chantSREvent != NULL)
    {
        switch (pEvent->GetChantCallback())
        {
            default:
                break;
            case CCSRHasCommand:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantSR1->RemoveEvent();
        // No longer need event object
        delete chantSREvent;
        chantSREvent = NULL;
    }
}
void __fastcall TForm1::OnHasTTSEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantTTSEvent* chantTTSEvent = ChantTTS1->GetChantTTSEvent();
    if (chantTTSEvent != NULL)
    {
        switch (chantTTSEvent->GetChantCallback())
        {
            default:
                break;
            case CCDAudioStop:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantTTS1->RemoveEvent();
        // No longer need event object
        delete chantTTSEvent;
        chantTTSEvent = NULL;
    }
}

Deployment Checklist

When you are ready to deploy your C++Builder VCL or FireMonkey (Appmethod) application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your C++Builder VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CSpeechKit.dll to the target system and place in the same directory with your application.
  • You may deploy your C++Builder VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CSpeechKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

C++Builder VCL and FireMonkey (Appmethod) sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\SpeechKit 8\Win32\CBuilder\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\SpeechKit 8\Win32\CBuilder\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\SpeechKit 8\Win32\CBuilder\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\SpeechKit 8\Win32\CBuilder\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\SpeechKit 8\Win32\CBuilder\RS 10.1 Berlin.
  • My Documents\Chant\SpeechKit 8\Win64\CBuilder\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\SpeechKit 8\Win64\CBuilder\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\SpeechKit 8\Win64\CBuilder\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\SpeechKit 8\Win64\CBuilder\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\SpeechKit 8\Win64\CBuilder\RS 10.1 Berlin.


SpeechKit Delphi VCL and FireMonkey (Appmethod) Applications

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Delphi VCL and FireMonkey (Appmethod) Applications

You can develop Object Pascal applications that speak and listen using your favorite version of Delphi and Appmethod.

The following sections describe the steps for integrating SpeechKit with Delphi VCL and FireMonkey (Appmethod) applications.

SpeechKit Unit

SpeechKit includes an Object Pascal source file SpeechKit.pas comprised of the Object Pascal classes that manage audio, recognizers, and synthesizers. It also includes an Object Pascal Pascal source file ChantShared.pas comprised of common Object Pascal classes that all Chant libraries use.

To access the SpeechKit Object Pascal classes within your application, first add a project reference to the SpeechKit Object Pascal source files:

  • Win32
  • Win64
  1. Within your Delphi or Appmethod project, select Project Options.
  2. Select the Delphi or Appmethod compiler options.
  3. Add Search path reference to the SpeechKit unit source file director: C:\Program Files\Chant\SpeechKit 8\Win32\Delphi\source.
  4. Add unit output path reference to the local directory with a period '.' character.
  1. Within your Delphi or Appmethod project, select Project Options.
  2. Select the Delphi or Appmethod compiler options.
  3. Add Search path reference to the SpeechKit unit source file director: C:\Program Files\Chant\SpeechKit 8\Win64\Delphi\source.
  4. Add unit output path reference to the local directory with a period '.' character.

To access the SpeechKit Object Pascal classes within your application, add a reference to the ChantShared and SpeechKit units in your uses clause.

  • VCL
  • FireMonkey (Appmethod)
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ChantShared, SpeechKit;

unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Rtti, System.Classes,
  System.Variants, FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Layouts,
  ChantShared, SpeechKit, FMX.Platform.Win, Winapi.Windows, Winapi.Messages;

Add an event handler declaration and Object instance variable to the application declarations.

  • VCL
  • FireMonkey (Appmethod)
type
  TForm1 = class(TForm)
    ...
  private
    { Private declarations }
  public
    { Public declarations }
    procedure OnHasAudioEvent(var msg: TMessage);
      message WM_APP+1;
    procedure OnHasSREvent(var msg: TMessage);
      message WM_APP+2;
    procedure OnHasTTSEvent(var msg: TMessage);
      message WM_APP+3;
  end;

var
  Form1: TForm1;
  ChantAudio1: TChantAudio;
  ChantSR1: TChantSR;
  ChantTTS1: TChantTTS;

type
  TForm1 = class(TForm)
    ...
  private
    { Private declarations }
    FrmHwnd: HWND;
    WndProc: LONG;
  public
    { Public declarations }
    procedure OnHasEvent(var msg: TMessage);
    function FrmWndProc(Hwnd: HWND; Msg:UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
  end;

var
  Form1: TForm1;
  ChantAudio1: TChantAudio;
  ChantSR1: TChantSR;
  ChantTTS1: TChantTTS;

Object Instantiation

Instantiate an instance, set the license and serial properties, and set the event handler message.

  • VCL
  • FireMonkey (Appmethod)
ChantAudio1 := TChantAudio.Create();
ChantSR1 := TChantSR.Create();
ChantTTS1 := TChantTTS.Create();
// Set license properties
ChantAudio1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantAudio1.SetStringProperty(CSPSerials,'LicenseSerialNumber');
ChantSR1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantSR1.SetStringProperty(CSPSerials,'LicenseSerialNumber');
ChantTTS1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantTTS1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

// Define the HasEvent callback message
ChantAudio1.SetWindowMessage(Handle, WM_APP+1, 0, 0);
ChantSR1.SetWindowMessage(Handle, WM_APP+2, 0, 0);
ChantTTS1.SetWindowMessage(Handle, WM_APP+3, 0, 0);

ChantAudio1 := TChantAudio.Create();
ChantSR1 := TChantSR.Create();
ChantTTS1 := TChantTTS.Create();
// Set license properties
ChantAudio1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantAudio1.SetStringProperty(CSPSerials,'LicenseSerialNumber');
ChantSR1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantSR1.SetStringProperty(CSPSerials,'LicenseSerialNumber');
ChantTTS1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantTTS1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

var FrmHwnd: HWND;
// XE-XE3
FrmHwnd := FmxHandleToHwnd(Handle);
// XE4+
var wndHandle: TWinWindowHandle;
wndHandle := WindowHandleToPlatform(Handle);
FrmHwnd := wndHandle.Wnd;

// Set up Windows Message Handling For FireMonkey
WndProc := GetWindowLongPtr(FrmHwnd, GWL_WNDPROC);
SetWindowLongPtr(FrmHwnd, GWL_WNDPROC, NativeInt(@WindowProc));
ChantAudio1.SetWindowMessage(FrmHwnd, WM_APP+1, 0, 0);
ChantSR1.SetWindowMessage(FrmHwnd, WM_APP+2, 0, 0);
ChantTTS1.SetWindowMessage(FrmHwnd, WM_APP+3, 0, 0);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as a headset was plugged in, speech recognition occurred, audio playback finished, or there was an error.

  • VCL
  • FireMonkey (Appmethod)
procedure TForm1.OnHasAudioEvent(var msg: TMessage);
var
  chantAudioEvent: TChantAudioEvent;
begin
    // Get the event from the event queue
    chantAudioEvent := ChantAudio1.GetChantAudioEvent();
    if chantAudioEvent <> nil then
    begin
      case chantAudioEvent.ChantCallback of
        CCDDeviceArrival:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantAudio1.RemoveEvent();
      // No longer need event object
      chantAudioEvent.Destroy();
    end;
end;

procedure TForm1.OnHasSREvent(var msg: TMessage);
var
  chantSREvent: TChantSREvent;
begin
    // Get the event from the event queue
    chantSREvent := ChantSR1.GetChantSREvent();
    if chantSREvent <> nil then
    begin
      case chantSREvent.ChantCallback of
        CCSRHasCommand:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantSR1.RemoveEvent();
      // No longer need event object
      chantSREvent.Destroy();
    end;
end;

procedure TForm1.OnHasTTSEvent(var msg: TMessage);
var
  chantTTSEvent: TChantTTSEvent;
begin
    // Get the event from the event queue
    chantTTSEvent := ChantTTS1.GetChantTTSEvent();
    if chantTTSEvent <> nil then
    begin
      case chantTTSEvent.ChantCallback of
        CCDAudioStop:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantTTS1.RemoveEvent();
      // No longer need event object
      chantTTSEvent.Destroy();
    end;
end;

// Hook Window Messages
function WindowProc(Hwnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
begin
    Result := Form1.FrmWndProc(Hwnd, Msg, wParam, lParam);
end;

function TForm1.FrmWndProc(Hwnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
var
    aTMessage: TMessage;
begin
    aTMessage.Msg := Msg;
    aTMessage.WParam := wParam;
    aTMessage.LParam := lParam;
    // Trap our messages
    case Msg of
        WM_APP+0:
            OnHasAudioEvent(aTMessage);
            Result := 0;
            Exit;
        WM_APP+1:
            OnHasSREvent(aTMessage);
            Result := 0;
            Exit;
        WM_APP+2:
            OnHasTTSEvent(aTMessage);
            Result := 0;
            Exit;
    end;
    // Forward all other messages
    Result := CallWindowProc(Ptr(WndProc), Hwnd, Msg, wParam, lParam);
end;

procedure TForm1.OnHasAudioEvent(var msg: TMessage);
var
  chantAudioEvent: TChantAudioEvent;
begin
    // Get the event from the event queue
    chantAudioEvent := ChantAudio1.GetChantAudioEvent();
    if chantAudioEvent <> nil then
    begin
      case chantAudioEvent.ChantCallback of
        CCDDeviceArrival:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantAudio1.RemoveEvent();
      // No longer need event object
      chantAudioEvent.Destroy();
    end;
end;

procedure TForm1.OnHasSREvent(var msg: TMessage);
var
  chantSREvent: TChantSREvent;
begin
    // Get the event from the event queue
    chantSREvent := ChantSR1.GetChantSREvent();
    if chantSREvent <> nil then
    begin
      case chantSREvent.ChantCallback of
        CCSRHasCommand:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantSR1.RemoveEvent();
      // No longer need event object
      chantSREvent.Destroy();
    end;
end;

procedure TForm1.OnHasTTSEvent(var msg: TMessage);
var
  chantTTSEvent: TChantTTSEvent;
begin
    // Get the event from the event queue
    chantTTSEvent := ChantTTS1.GetChantTTSEvent();
    if chantTTSEvent <> nil then
    begin
      case chantTTSEvent.ChantCallback of
        CCDAudioStop:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantTTS1.RemoveEvent();
      // No longer need event object
      chantTTSEvent.Destroy();
    end;
end;

Deployment Checklist

When you are ready to deploy your Delphi VCL or FireMonkey (Appmethod) application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Delphi VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CSpeechKit.dll to the target system and place in the same directory with your application.
  • You may deploy your Delphi VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CSpeechKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

Delphi VCL and FireMonkey (Appmethod) sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\SpeechKit 8\Win32\Delphi\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\SpeechKit 8\Win32\Delphi\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\SpeechKit 8\Win32\Delphi\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\SpeechKit 8\Win32\Delphi\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\SpeechKit 8\Win32\Delphi\RS 10.1 Berlin.
  • My Documents\Chant\SpeechKit 8\Win64\Delphi\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\SpeechKit 8\Win64\Delphi\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\SpeechKit 8\Win64\Delphi\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\SpeechKit 8\Win64\Delphi\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\SpeechKit 8\Win64\Delphi\RS 10.1 Berlin.


SpeechKit Java Applications

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Java Applications

You can develop Java applications that speak and listen using your favorite Java development tools. This includes development environments such as Eclipse, IntelliJ, JBuilder, JDeveloper, and NetBeans.

The following sections describe the steps for integrating SpeechKit with Java applications.

JRE Configuration

SpeechKit includes Java classes compiled with JDK 1.7 and 1.8 to support your application's target runtime environments.

To access the SpeechKit Java classes within your application, add the class libraries to your JDK environment:

  • Win32
  • Win64
  1. copy the JSpeechKit.DLL file to your Java JDK bin directory;
  2. copy the SpeechKit.jar and chant-shared.jar libraries to your Java JDK lib; and
  3. append a path reference for your Java JDK lib\SpeechKit.jar and lib\chant-shared.jar paths as a classpath property in your system settings.
  1. copy the JSpeechKitX64.DLL file to your Java JDK bin directory;
  2. copy the SpeechKit.jar and chant-shared.jar class libraries to your Java JDK lib; and
  3. append a path reference for your Java JDK lib\SpeechKit.jar and lib\chant-shared.jar paths as a classpath property in your system settings.

To access the SpeechKit Java classes within your application, add references to the Chant shared and SpeechKit class libraries in your code:

import com.SpeechKit.*;
import net.chant.shared.*;

Object Instantiation

Declare a global variables for the ChantAudio, ChantSR, and ChantTTS classes, instantiate instances, set the license and serial properties, and set the event handler.

public class Frame1 extends JFrame implements com.SpeechKit.JChantAudioEvents, com.SpeechKit.JChantSREvents, com.SpeechKit.JChantTTSEvents
{
    private JChantAudio JChantAudio1;
    private JChantSR JChantSR1;
    private JChantTTS JChantTTS1;

    private void jInit() throws Exception
    {
        // Create objects
        JChantAudio1 = new JChantAudio();
        JChantSR1 = new JChantSR();
        JChantTTS1 = new JChantTTS();

        // Set license properties
        JChantAudio1.setStringProperty(ChantStringProperty.CSPLicense, "ProductRegistrationNumber");
        JChantAudio1.setStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
        JChantSR1.setStringProperty(ChantStringProperty.CSPLicense, "ProductRegistrationNumber");
        JChantSR1.setStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
        JChantTTS1.setStringProperty(ChantStringProperty.CSPLicense, "ProductRegistrationNumber");
        JChantTTS1.setStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");

        // Set the callback
        JChantAudio1.setCallbackFunction(this,null,null);
        JChantSR1.setCallbackFunction(this,null,null);
        JChantTTS1.setCallbackFunction(this,null,null);
    }
}

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantAudioEvent chantAudioEvent = JChantAudio1.getChantAudioEvent();
    if (chantAudioEvent != null)
    {
        int callback = chantAudioEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCDDeviceArrival :
                ...
                break;
        }
        JChantAudio1.removeEvent();
    }
    // Get the event
    JChantSREvent chantSREvent = JChantSR1.getChantSREvent();
    if (chantSREvent != null)
    {
        int callback = chantSREvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCSRHasCommand :
                ...
                break;
        }
        JChantSR1.removeEvent();
    }
    // Get the event
    JChantTTSEvent chantTTSEvent = JChantTTS1.getChantTTSEvent();
    if (chantTTSEvent != null)
    {
        int callback = chantTTSEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCDAudioStop :
                ...
                break;
        }
        JChantTTS1.removeEvent();
    }
}

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Java application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy SpeechKit.jar and chant-shared.jar to the target system Java JRE lib directory and/or ensure the classpath includes the path where the SpeechKit.jar and chant-shared.jar libraries are placed on your target system.
  • Copy JSpeechKit.dll to the target system Java JRE bin directory.
  • You may deploy your Java application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy SpeechKit.jar and chant-shared.jar to the target system Java JRE lib directory and/or ensure the classpath includes the path where the SpeechKit.jar and chant-shared.jar libraries are placed on your target system.
  • Copy JSpeechKitX64.dll to the target system.

Sample Projects

Java sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\SpeechKit 8\Win32\Java\JDK.
  • My Documents\Chant\SpeechKit 8\Win64\Java\JDK.


SpeechKit Microsoft Visual C++ Applications

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Microsoft Visual C++ Applications

You can develop C++ applications that speak and listen using your favorite version of Microsoft Visual C++.

The following sections describe the steps for integrating SpeechKit with Microsoft Visual C++ applications.

SpeechKit Header Files

SpeechKit includes C++ header files comprised of the C++ classes that manage grammars and automatically load and unload the runtime DLL.

To access the SpeechKit C++ classes within your application, first add a project reference to the C++ header include files:

  • Win32
  • Win64
  1. Within your C++ project, select Project Properties.
  2. Under Configuration Properties, expand the C++ Properties and select the General Settings.
  3. Edit the Additional Include Directories.
  4. Locate the include directory path of the SpeechKit header files: C:\Program Files\Chant\SpeechKit 8\Win32\CDLL\include.
  5. Press the Apply button to save changes and dismiss the Project Properties.
  1. Within your C++ project, select Project Properties.
  2. Under Configuration Properties, expand the C++ Properties and select the General Settings.
  3. Edit the Additional Include Directories.
  4. Locate the include directory path of the SpeechKit header files: C:\Program Files\Chant\SpeechKit 8\Win64\CDLL\include.
  5. Press the Apply button to save changes and dismiss the Project Properties.

To access the SpeechKit C++ classes within your application, add a reference to the Chant shared and SpeechKit header files in your C++ application header file:

#include "ChantShared.h"
#include "ChantSpeechKit.h"

Add a reference in your C++ application source file to the SpeechKit code needed to dynamically load and unload the runtime DLL:

#include "ChantShared.cpp"
#include "ChantSpeechKit.cpp"

Object Instantiation

Declare a global variable for the ChantSR class, instantiate an instance, set the license and serial properties, and set the event handler message.

Add the following to your application header file:

protected:
    CChantAudio* m_pChantAudio; // ChantAudio object
    CChantSR* m_pChantSR;       // ChantSR object
    CChantTTS* m_pChantTTS;     // ChantTTS object
    virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

Add the following to your application source file:

    // Instantiate objects
    m_pChantAudio = new CChantAudio();
    m_pChantSR = new CChantSR();
    m_pChantTTS = new CChantTTS();

    // Set license properties
    m_pChantAudio->SetStringProperty(CSPLicense,L"LicensetRegistrationNumber");
    m_pChantAudio->SetStringProperty(CSPSerials,L"LicenseSerialNumber");
    m_pChantSR->SetStringProperty(CSPLicense,L"LicenseRegistrationNumber");
    m_pChantSR->SetStringProperty(CSPSerials,L"LicenseSerialNumber");
    m_pChantTTS->SetStringProperty(CSPLicense,L"LicenseRegistrationNumber");
    m_pChantTTS->SetStringProperty(CSPSerials,L"LicenseSerialNumber");

    // Define the HasEvent callback message
    m_HasAudioEvent = WM_APP+1;
    m_HasSREvent = WM_APP+2;
    m_HasTTSEvent = WM_APP+3;
    m_pChantAudio->SetWindowMessage(GetSafeHwnd(),m_HasAudioEvent);
    m_pChantSR->SetWindowMessage(GetSafeHwnd(),m_HasSREvent);
    m_pChantTTS->SetWindowMessage(GetSafeHwnd(),m_HasTTSEvent);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as a headset was plugged in, speech recognition occurred, audio playback finished, or there was an error.

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantAudio != NULL)
    {
        if (message == m_HasAudioEvent)
        {
            // Get the event from the event queue
            CChantAudioEvent* chantAudioEvent = m_pChantAudio->GetChantAudioEvent();
            if (chantAudioEvent != NULL)
            {
                switch (chantAudioEvent->GetChantCallback())
                {
                    case CCDDeviceArrival:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantAudio->RemoveEvent();
                // No longer need event object
                delete chantAudioEvent;
                chantAudioEvent = NULL;
            }
        }
    }
    if (m_pChantSR != NULL)
    {
        if (message == m_HasSREvent)
        {
            // Get the event from the event queue
            CChantSREvent* chantSREvent = m_pChantSR->GetChantSREvent();
            if (chantSREvent != NULL)
            {
                switch (chantSREvent->GetChantCallback())
                {
                    case CCSRHasCommand:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantSR->RemoveEvent();
                // No longer need event object
                delete chantSREvent;
                chantSREvent = NULL;
            }
        }
    }
    if (m_pChantTTS != NULL)
    {
        if (message == m_HasTTSEvent)
        {
            // Get the event from the event queue
            CChantTTSEvent* pChantTTSEvent = m_pChantTTS->GetChantTTSEvent();
            if (pChantTTSEvent != NULL)
            {
                switch (pChantTTSEvent->GetChantCallback())
                {
                    case CCDAudioStop:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantTTS->RemoveEvent();
                //  No longer need event object
                delete pChantTTSEvent;
                pChantTTSEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

Deployment Checklist

When you are ready to deploy your C++ application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your C++ application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CSpeechKit.dll to the target system and place in the same directory with your application.
  • You may deploy your C++ application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CSpeechKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

Microsoft Visual C++ sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\SpeechKit 8\Win32\CDLL\VS 2012,
  • My Documents\Chant\SpeechKit 8\Win32\CDLL\VS 2013, and
  • My Documents\Chant\SpeechKit 8\Win32\CDLL\VS 2015.
  • My Documents\Chant\SpeechKit 8\Win64\CDLL\VS 2012,
  • My Documents\Chant\SpeechKit 8\Win64\CDLL\VS 2013, and
  • My Documents\Chant\SpeechKit 8\Win64\CDLL\VS 2015.


SpeechKit .NET UWP Applications

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

.NET UWP Applications

You can develop .NET UWP applications that speak and listen using your favorite .NET UWP development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating SpeechKit with .NET UWP applications.

SpeechKit Assemblies

SpeechKit includes UWP compatible .NET assemblies compiled with .NET Framework V4 and native compiler V5 to support your application's target framework.

To access the SpeechKit .NET classes within your application, add them to your project References:

  1. Within your .NET project, right click on the References node in the Solution Explorer.
  2. Add references to the Chant shared and SpeechKit .NET assemblies:
    1. Program Files\Chant\SpeechKit 8\UWP\lib\Chant.SpeechKit.WindowsMedia.dll and
    2. Program Files\Chant\SpeechKit 8\UWP\lib\libv4\Chant.Shared.WindowsMedia.dll.

To access the SpeechKit .NET classes within your application, add references to the Chant shared and SpeechKit assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.SpeechKit.WindowsMedia;
using Chant.Shared.WindowsMedia;

Imports Chant.SpeechKit.WindowsMedia
Imports Chant.Shared.WindowsMedia
Public NotInheritable Class MainPage
...

Object Instantiation

Declare variables for the ChantAudio, ChantSR, ChantTTS classes, instantiate instances, add the event handlers, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.SpeechKit.NChantAudio NChantAudio1;
private Chant.SpeechKit.NChantSR NChantSR1;
private Chant.SpeechKit.NChantTTS NChantTTS1;
public MainPage()
{
    this.InitializeComponent();
    NChantAudio1 = new NChantAudio(this);
    // Setup event callback handler
    NChantAudio1.HasEvent += this.NChantAudio1_HasEvent;
    // Set license properties
    NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
    // Instantiate NChantSR object
    NChantSR1 = new NChantSR();
    // Setup event callback handler
    NChantSR1.HasEvent += this.NChantSR1_HasEvent;
    // Set license properties
    NChantSR1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantSR1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
    // Instantiate NChantTTS object
    NChantTTS1 = new NChantTTS();
    // Setup event callback handler
    NChantTTS1.HasEvent += this.NChantTTS1_HasEvent;
    // Set license properties
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Public NotInheritable Class MainPage
    Inherits Page
    Dim WithEvents NChantAudio1 As NChantAudio
    Dim WithEvents NChantSR1 As NChantSR
    Dim WithEvents NChantTTS1 As NChantTTS
    Public Sub New()
        Me.InitializeComponent()
        ' Instantiate NChantAudio object
        NChantAudio1 = New NChantAudio()
        ' Set license properties
        NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
        NChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")
        ' Instantiate NChantSR object
        NChantSR1 = New NChantSR()
        ' Set license properties
        NChantSR1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
        NChantSR1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")
        ' Instantiate NChantTTS object
        NChantTTS1 = New NChantTTS()
        ' Set license properties
        NChantTTS1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
        NChantTTS1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")
    End Sub
End Class

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as a headset was plugged in, speech recognition occurred, audio playback finished, or there was an error.

  • C#
  • VB .NET
private void NChantAudio1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantAudioEvent nChantAudioEvent = NChantAudio1.GetChantAudioEvent();
    switch (nChantAudioEvent.ChantCallback)
    {
        case ChantCallback.CCDDeviceArrival:
            {
                ...
                break;
            }
        default:
            break;
    }
    // Remove the event from the event queue
    NChantAudio1.RemoveEvent();
}

private void NChantSR1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantSREvent nChantSREvent = NChantSR1.GetChantSREvent();
    switch (nChantSREvent.ChantCallback)
    {
        case ChantCallback.CCSRHasCommand:
            {
                ...
                break;
            }
        default:
            break;
    }
    // Remove the event from the event queue
    NChantSR1.RemoveEvent();
}

private void NChantTTS1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantTTSEvent nChantTTSEvent = NChantTTS1.GetChantTTSEvent();
    switch (nChantTTSEvent.ChantCallback)
    {
        case ChantCallback.CCDAudioStop:
            {
                ...
                break;
            }
        default:
            break;
    }
    // Remove the event from the event queue
    NChantTTS1.RemoveEvent();
}

Private Sub NChantAudio1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantAudio1.HasEvent
    Dim nChantAudioEvent As NChantAudioEvent
    ' Get the event from the event queue
    nChantAudioEvent = NChantAudio1.GetChantAudioEvent()
    Select Case nChantAudioEvent.ChantCallback
        Case ChantCallback.CCDDeviceArrival
            ...
    End Select
    ' Remove the event from the event queue
    NChantAudio1.RemoveEvent()
End Sub

Private Sub NChantSR1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantSR1.HasEvent
    Dim nChantSREvent As NChantSREvent
    ' Get the event from the event queue
    nChantSREvent = NChantSR1.GetChantSREvent()
    Select Case nChantSREvent.ChantCallback
        Case ChantCallback.CCSRHasCommand
            ...
    End Select
    ' Remove the event from the event queue
    NChantSR1.RemoveEvent()
End Sub

Private Sub NChantTTS1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantTTS1.HasEvent
    Dim nChantTTSEvent As NChantTTSEvent
    ' Get the event from the event queue
    nChantTTSEvent = NChantTTS1.GetChantTTSEvent()
    Select Case nChantTTSEvent.ChantCallback
        Case ChantCallback.CCDAudioStop
            ...
    End Select
    ' Remove the event from the event queue
    NChantTTS1.RemoveEvent()
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license. See the section License for more information about licensing Chant software.

Sample Projects

.NET UWP sample projects are installed at the following location:

  • My Documents\Chant\SpeechKit 8\UWP\VS 2015\cs and
  • My Documents\Chant\SpeechKit 8\UWP\VS 2015\vb.


SpeechKit .NET Windows Forms Applications

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

.NET Windows Forms Applications

You can develop .NET Windows Forms applications that speak and listen using your favorite .NET Windows Forms development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating SpeechKit with .NET Windows Forms applications.

SpeechKit Assemblies

SpeechKit includes Windows Forms compatible .NET assemblies compiled with .NET Framework V2-3.5 and V4+ to support your application's target framework.

To access the SpeechKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V2-3.5 applications, add references to the Chant shared and SpeechKit .NET assemblies:
    1. Program Files\Chant\SpeechKit 8\Win32\NET\libv2\Chant.SpeechKit.dll and
    2. Program Files\Chant\SpeechKit 8\Win32\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the Chant shared and SpeechKit .NET assemblies:
    1. Program Files\Chant\SpeechKit 8\Win32\NET\libv4\Chant.SpeechKit.dll and
    2. Program Files\Chant\SpeechKit 8\Win32\NET\libv4\Chant.Shared.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V2-3.5 applications, add references to the Chant shared and SpeechKit .NET assemblies:
    1. Program Files\Chant\SpeechKit 8\Win64\NET\libv2\Chant.SpeechKit.dll and
    2. Program Files\Chant\SpeechKit 8\Win64\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the Chant shared and SpeechKit .NET assemblies:
    1. Program Files\Chant\SpeechKit 8\Win64\NET\libv4\Chant.SpeechKit.dll and
    2. Program Files\Chant\SpeechKit 8\Win64\NET\libv4\Chant.Shared.dll.

To access the SpeechKit .NET classes within your application, add references to the Chant shared and SpeechKit assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.SpeechKit;
using Chant.Shared;

Imports Chant.SpeechKit
Imports Chant.Shared
Class MainWindow
...

SpeechKit also includes Windows Forms compatible .NET assemblies that interface with .NET Framework System.Speech and Microsoft.Speech libraries for .NET Managed applications.

To access the SpeechKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the Chant shared and SpeechKit Speech .NET assemblies:
    1. Program Files\Chant\SpeechKit 8\Win32\NET\libv4m\Chant.SpeechKit.Managed.dll and
    2. Program Files\Chant\SpeechKit 8\Win32\NET\libv4m\Chant.Shared.Managed.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the Chant shared and SpeechKit Speech .NET assemblies:
    1. Program Files\Chant\SpeechKit 8\Win64\NET\libv4m\Chant.SpeechKit.Managed.dll and
    2. Program Files\Chant\SpeechKit 8\Win64\NET\libv4m\Chant.Shared.Managed.dll.

To access the SpeechKit .NET classes within your application targeting System.Speech or Microsoft.Speech with managed SAPI, add references to the Chant shared and SpeechKit Speech assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.SpeechKit.Managed;
using Chant.Shared.Managed;

Imports Chant.SpeechKit.Managed
Imports Chant.Shared.Managed
Class MainWindow
...

Platform Target

Set the project Platform target to either x86 for 32-bit application or x64 for 64-bit application as follows:

  • C#
  • VB .NET

Within your C# project

  1. Select the Build tab under project properties.
  2. Select x86 or x64 in the Platform target dropdown list.

Within your VB .NET Project

  1. Select the Compile tab under project properties.
  2. Press the Advanced Compile Options... button.
  3. Select x86 or x64 in the Target CPU dropdown list.

Object Instantiation

Declare global variables for the ChantAudio, ChantSR, ChantTTS classes, instantiate instances, add the event handlers, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.SpeechKit.NChantAudio NChantAudio1;
private Chant.SpeechKit.NChantSR NChantSR1;
private Chant.SpeechKit.NChantTTS NChantTTS1;
public MainWindow()
{
    InitializeComponent();
    // Instantiate NChantAudio object
    NChantAudio1 = new NChantAudio();
    // Setup event callback handler
    NChantAudio1.HasEvent += this.NChantAudio1_HasEvent;
    // Set license properties
    NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
    // Instantiate NChantSR object
    NChantSR1 = new NChantSR();
    // Setup event callback handler
    NChantSR1.HasEvent += this.NChantSR1_HasEvent;
    // Set license properties
    NChantSR1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantSR1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
    // Instantiate NChantTTS object
    NChantTTS1 = new NChantTTS();
    // Setup event callback handler
    NChantTTS1.HasEvent += this.NChantTTS1_HasEvent;
    // Set license properties
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPLicense, "LicensetRegistrationNumber");
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantAudio1 As NChantAudio
Dim WithEvents NChantSR1 As NChantSR
Dim WithEvents NChantTTS1 As NChantTTS

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantAudio1 = New NChantAudio()
    NChantSR1 = New NChantSR()
    NChantTTS1 = New NChantTTS()

    ' Set license properties
    NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")
    NChantSR1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantSR1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as a headset was plugged in, speech recognition occurred, audio playback finished, or there was an error.

  • C#
  • VB .NET
private void NChantAudio1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantAudioEvent nChantAudioEvent = NChantAudio1.GetChantAudioEvent();
    if (nChantAudioEvent != null)
    {
        switch (nChantAudioEvent.ChantCallback)
        {
            case ChantCallback.CCDDeviceArrival:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantAudio1.RemoveEvent();
    }
}

private void NChantSR1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantSREvent nChantSREvent = NChantSR1.GetChantSREvent();
    if (nChantSREvent != null)
    {
        switch (nChantSREvent.ChantCallback)
        {
            case ChantCallback.CCSRHasCommand:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantSR1.RemoveEvent();
    }
}

private void NChantTTS1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantTTSEvent nChantTTSEvent = NChantTTS1.GetChantTTSEvent();
    if (nChantTTSEvent != null)
    {
        switch (nChantTTSEvent.ChantCallback)
        {
            case ChantCallback.CCDAudioStop:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantTTS1.RemoveEvent();
    }
}

Private Sub NChantAudio1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantAudio1.HasEvent
    Dim nChantAudioEvent As NChantAudioEvent
    ' Get the event from the event queue
    nChantAudioEvent = NChantAudio1.GetChantAudioEvent()
    if nChantAudioEvent <> Nothing Then
        Select Case nChantAudioEvent.ChantCallback
            Case ChantCallback.CCDDeviceArrival
                ...
        End Select
        ' Remove the event from the event queue
        NChantAudio1.RemoveEvent()
    End If
End Sub

Private Sub NChantSR1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantSR1.HasEvent
    Dim nChantSREvent As NChantSREvent
    ' Get the event from the event queue
    nChantSREvent = NChantSR1.GetChantSREvent()
    if nChantSREvent <> Nothing Then
        Select Case nChantSREvent.ChantCallback
            Case ChantCallback.CCSRHasCommand
                ...
        End Select
        ' Remove the event from the event queue
        NChantSR1.RemoveEvent()
    End If
End Sub

Private Sub NChantTTS1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantTTS1.HasEvent
    Dim nChantTTSEvent As NChantTTSEvent
    ' Get the event from the event queue
    nChantTTSEvent = NChantTTS1.GetChantTTSEvent()
    if nChantTTSEvent <> Nothing Then
        Select Case nChantTTSEvent.ChantCallback
            Case ChantCallback.CCDAudioStop
                ...
        End Select
        ' Remove the event from the event queue
        NChantTTS1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system.

Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.SpeechKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NSpeechKit.dll to the target system.
  • Register NSpeechKit.dll as a COM library on the target system.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.SpeechKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NSpeechKitX64.dll to the target system.
  • Register NSpeechKitX64.DLL as a COM library on the target system.

Review the following checklist before deploying your .NET Applications targeting System.Speech or Microsoft.Speech with managed SAPI:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.SpeechKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.SpeechKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.

Sample Projects

.NET Windows Forms sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\SpeechKit 8\Win32\NET WinForms\VS 2012\CSharp,
  • My Documents\Chant\SpeechKit 8\Win32\NET WinForms\VS 2012\Visual Basic,
  • My Documents\Chant\SpeechKit 8\Win32\NET WinForms\VS 2013\CSharp,
  • My Documents\Chant\SpeechKit 8\Win32\NET WinForms\VS 2013\Visual Basic,
  • My Documents\Chant\SpeechKit 8\Win32\NET WinForms\VS 2015\CSharp, and
  • My Documents\Chant\SpeechKit 8\Win32\NET WinForms\VS 2015\Visual Basic.
  • My Documents\Chant\SpeechKit 8\Win64\NET WinForms\VS 2012\CSharp,
  • My Documents\Chant\SpeechKit 8\Win64\NET WinForms\VS 2012\Visual Basic,
  • My Documents\Chant\SpeechKit 8\Win64\NET WinForms\VS 2013\CSharp,
  • My Documents\Chant\SpeechKit 8\Win64\NET WinForms\VS 2013\Visual Basic,
  • My Documents\Chant\SpeechKit 8\Win64\NET WinForms\VS 2015\CSharp, and
  • My Documents\Chant\SpeechKit 8\Win64\NET WinForms\VS 2015\Visual Basic.


SpeechKit .NET WPF Applications

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

.NET WPF Applications

You can develop .NET WPF applications that speak and listen using your favorite .NET WPF development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating SpeechKit with .NET WPF applications.

SpeechKit Assemblies

SpeechKit includes WPF compatible .NET assemblies compiled with .NET Framework V3 and V4+ to support your application's target framework.

To access the SpeechKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V3 applications, add references to the Chant shared and SpeechKit .NET assemblies:
    1. Program Files\Chant\SpeechKit 8\Win32\NET\libv2\Chant.SpeechKit.dll and
    2. Program Files\Chant\SpeechKit 8\Win32\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the Chant shared and SpeechKit .NET assemblies:
    1. Program Files\Chant\SpeechKit 8\Win32\NET\libv4\Chant.SpeechKit.dll and
    2. Program Files\Chant\SpeechKit 8\Win32\NET\libv4\Chant.Shared.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V3 applications, add references to the Chant shared and SpeechKit .NET assemblies:
    1. Program Files\Chant\SpeechKit 8\Win64\NET\libv2\Chant.SpeechKit.dll and
    2. Program Files\Chant\SpeechKit 8\Win64\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the Chant shared and SpeechKit .NET assemblies:
    1. Program Files\Chant\SpeechKit 8\Win64\NET\libv4\Chant.SpeechKit.dll and
    2. Program Files\Chant\SpeechKit 8\Win64\NET\libv4\Chant.Shared.dll.

To access the SpeechKit .NET classes within your application, add references to the Chant shared and SpeechKit assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.SpeechKit;
using Chant.Shared;

Imports Chant.SpeechKit
Imports Chant.Shared
Class MainWindow
...

SpeechKit also includes WPF compatible .NET assemblies that interface with .NET Framework System.Speech and Microsoft.Speech libraries for .NET Managed applications.

To access the SpeechKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the Chant shared and SpeechKit Speech .NET assemblies:
    1. Program Files\Chant\SpeechKit 8\Win32\NET\libv4m\Chant.SpeechKit.Managed.dll and
    2. Program Files\Chant\SpeechKit 8\Win32\NET\libv4m\Chant.Shared.Managed.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the Chant shared and SpeechKit Speech .NET assemblies:
    1. Program Files\Chant\SpeechKit 8\Win64\NET\libv4m\Chant.SpeechKit.Managed.dll and
    2. Program Files\Chant\SpeechKit 8\Win64\NET\libv4m\Chant.Shared.Managed.dll.

To access the SpeechKit .NET classes within your application targeting System.Speech or Microsoft.Speech with managed SAPI, add references to the Chant shared and SpeechKit Speech assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.SpeechKit.Managed;
using Chant.Shared.Managed;

Imports Chant.SpeechKit.Managed
Imports Chant.Shared.Managed
Class MainWindow
...

Platform Target

Set the project Platform target to either x86 for 32-bit application or x64 for 64-bit application as follows:

  • C#
  • VB .NET

Within your C# project

  1. Select the Build tab under project properties.
  2. Select x86 or x64 in the Platform target dropdown list.

Within your VB .NET Project

  1. Select the Compile tab under project properties.
  2. Press the Advanced Compile Options... button.
  3. Select x86 or x64 in the Target CPU dropdown list.

Object Instantiation

Declare variables for the ChantAudio, ChantSR, ChantTTS classes, instantiate instances, add the event handlers, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.SpeechKit.NChantAudio NChantAudio1;
private Chant.SpeechKit.NChantSR NChantSR1;
private Chant.SpeechKit.NChantTTS NChantTTS1;
public MainWindow()
{
    InitializeComponent();
    // Instantiate NChantAudio object
    NChantAudio1 = new NChantAudio(this);
    // Setup event callback handler
    NChantAudio1.HasEvent += this.NChantAudio1_HasEvent;
    // Set license properties
    NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
    // Instantiate NChantSR object
    NChantSR1 = new NChantSR(this);
    // Setup event callback handler
    NChantSR1.HasEvent += this.NChantSR1_HasEvent;
    // Set license properties
    NChantSR1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantSR1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
    // Instantiate NChantTTS object
    NChantTTS1 = new NChantTTS(this);
    // Setup event callback handler
    NChantTTS1.HasEvent += this.NChantTTS1_HasEvent;
    // Set license properties
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantAudio1 As NChantAudio

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantAudio1 = New NChantAudio(Me)

    ' Set license properties
    NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Dim WithEvents NChantSR1 As NChantSR

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantSR1 = New NChantSR(Me)

    ' Set license properties
    NChantSR1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantSR1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Dim WithEvents NChantTTS1 As NChantTTS

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantTTS1 = New NChantTTS(Me)

    ' Set license properties
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as a headset was plugged in, speech recognition occurred, audio playback finished, or there was an error.

  • C#
  • VB .NET
private void NChantAudio1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantAudioEvent nChantAudioEvent = NChantAudio1.GetChantAudioEvent();
    switch (nChantAudioEvent.ChantCallback)
    {
        case ChantCallback.CCDDeviceArrival:
            {
                ...
                break;
            }
        default:
            break;
    }
    // Remove the event from the event queue
    NChantAudio1.RemoveEvent();
}

private void NChantSR1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantSREvent nChantSREvent = NChantSR1.GetChantSREvent();
    switch (nChantSREvent.ChantCallback)
    {
        case ChantCallback.CCSRHasCommand:
            {
                ...
                break;
            }
        default:
            break;
    }
    // Remove the event from the event queue
    NChantSR1.RemoveEvent();
}

private void NChantTTS1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantTTSEvent nChantTTSEvent = NChantTTS1.GetChantTTSEvent();
    switch (nChantTTSEvent.ChantCallback)
    {
        case ChantCallback.CCDAudioStop:
            {
                ...
                break;
            }
        default:
            break;
    }
    // Remove the event from the event queue
    NChantTTS1.RemoveEvent();
}

Private Sub NChantAudio1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantAudio1.HasEvent
    Dim nChantAudioEvent As NChantAudioEvent
    ' Get the event from the event queue
    nChantAudioEvent = NChantAudio1.GetChantAudioEvent()
    Select Case nChantAudioEvent.ChantCallback
        Case ChantCallback.CCDDeviceArrival
            ...
    End Select
    ' Remove the event from the event queue
    NChantAudio1.RemoveEvent()
End Sub

Private Sub NChantSR1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantSR1.HasEvent
    Dim nChantSREvent As NChantSREvent
    ' Get the event from the event queue
    nChantSREvent = NChantSR1.GetChantSREvent()
    Select Case nChantSREvent.ChantCallback
        Case ChantCallback.CCSRHasCommand
            ...
    End Select
    ' Remove the event from the event queue
    NChantSR1.RemoveEvent()
End Sub

Private Sub NChantTTS1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantTTS1.HasEvent
    Dim nChantTTSEvent As NChantTTSEvent
    ' Get the event from the event queue
    nChantTTSEvent = NChantTTS1.GetChantTTSEvent()
    Select Case nChantTTSEvent.ChantCallback
        Case ChantCallback.CCDAudioStop
            ...
    End Select
    ' Remove the event from the event queue
    NChantTTS1.RemoveEvent()
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system.

Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from the Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.SpeechKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NSpeechKit.dll to the target system.
  • Register NSpeechKit.dll as a COM library on the target system.
  • You may deploy your .NET application to any system with a valid license from the Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.SpeechKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NSpeechKitX64.dll to the target system.
  • Register NSpeechKitX64.DLL as a COM library on the target system.

Review the following checklist before deploying your .NET Applications targeting System.Speech or Microsoft.Speech with managed SAPI:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from the Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.SpeechKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • You may deploy your .NET application to any system with a valid license from the Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.SpeechKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.

Sample Projects

.NET WPF sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\SpeechKit 8\Win32\NET WPF\VS 2012\CSharp,
  • My Documents\Chant\SpeechKit 8\Win32\NET WPF\VS 2012\Visual Basic,
  • My Documents\Chant\SpeechKit 8\Win32\NET WPF\VS 2013\CSharp,
  • My Documents\Chant\SpeechKit 8\Win32\NET WPF\VS 2013\Visual Basic,
  • My Documents\Chant\SpeechKit 8\Win32\NET WPF\VS 2015\CSharp, and
  • My Documents\Chant\SpeechKit 8\Win32\NET WPF\VS 2015\Visual Basic.
  • My Documents\Chant\SpeechKit 8\Win64\NET WPF\VS 2012\CSharp,
  • My Documents\Chant\SpeechKit 8\Win64\NET WPF\VS 2012\Visual Basic,
  • My Documents\Chant\SpeechKit 8\Win64\NET WPF\VS 2013\CSharp,
  • My Documents\Chant\SpeechKit 8\Win64\NET WPF\VS 2013\Visual Basic,
  • My Documents\Chant\SpeechKit 8\Win64\NET WPF\VS 2015\CSharp, and
  • My Documents\Chant\SpeechKit 8\Win64\NET WPF\VS 2015\Visual Basic.


SpeechKit Silverlight Applications

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Silverlight Applications

You can develop Silverlight applications that speak and listen using your favorite Silverlight development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating SpeechKit with Silverlight applications.

SpeechKit Assemblies

To access the SpeechKit Silverlight classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your Silverlight project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For Silverlight V5 applications, add references to the SpeechKit Silverlight assemblies:
    1. Program Files\Chant\SpeechKit 8\Win32\Silverlight\libv5\Chant.SpeechKit.Silverlight.dll and
    2. Program Files\Chant\SpeechKit 8\Win32\Silverlight\libv5\Chant.Shared.Silverlight.dll.
  1. Within your Silverlight project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For Silverlight V5 applications, add references to the SpeechKit Silverlight assemblies:
    1. Program Files\Chant\SpeechKit 8\Win64\Silverlight\libv5\Chant.SpeechKit.Silverlight.dll and
    2. Program Files\Chant\SpeechKit 8\Win64\Silverlight\libv5\Chant.Shared.Silverlight.dll.

To access the SpeechKit Silverlight classes within your application, add references to the SpeechKit assemblies in your code:

  • C#
  • VB .NET
using System;
...
using Chant.SpeechKit.Silverlight;
using Chant.Shared.Silverlight;

Imports Chant.SpeechKit.Silverlight
Imports Chant.Shared.Silverlight
Class MainWindow
...

Out-of-Browser Settings

To run your Silverlight app out-of-browser, set the properties as follows:

  1. Within your Silverlight project, select the Silverlight tab under project properties.
  2. Select the checkbox: Enable application running out of the browser.
  3. Deselect the checkbox: Require elevated trust when running in-browser.
  4. Press the Out-of-Browser Settings... button.
  5. Select the checkbox: Required elevated trust when running outside the browser.

In-Browser Settings

To run your Silverlight app in-browser, set the properties as follows:

  1. Within your Silverlight project, select the Silverlight tab under project properties.
  2. Select the checkbox: Require elevated trust when running in-browser.
  3. Deselect the checkbox: Enable application running out of the browser.
  4. Select the Signing tab under project properties.
  5. Select the checkbox: Sign the Xap File.
  6. Press one of the three buttons to select a signing certificate:
    1. Select from Store... if you have installed a signing certificate on your system;
    2. Select from File... if you have a signing certificate file your system; or
    3. Create test certificate... if you do not have signing certificate on your system.
  7. Press the More Details... button to ensure you have installed Trusted Root and Publisher certificiates:
    1. Press the Install Certificate... button;
    2. Select Automatically ... option if you have Certificate installed in your store or Select Place ... option if you created a temp certificate for testing and press the Browse button;
    3. Select Trusted Root Certification Authorities and press the OK button; and
    4. Press the Next button.
    5. Repeat the process by Pressing the Install Certificate... button;
    6. Select Place ... option and press the Browse button;
    7. Select Trusted Publishers and press the OK button; and
    8. Press the Next button.
  8. Run regedit to add a Silverlight registery property AllowElevatedTrustAppsInBrowser with value of 1:
    1. Select the Start menu and enter regedit to launch the Registry Editor;
    2. For Win32 systems, navigate to HKEY_LOCAL_MACHINE\Software\Microsoft\Silverlight\;
    3. For Win64 systems, navigate to HKEY_LOCAL_MACHINE\Software\Wow6432Node\Microsoft\Silverlight\;
    4. Right click and select New->DWORD (32-bit) Value;
    5. Set the value name to AllowElevatedTrustAppsInBrowser;
    6. Set th value data to 1;
    7. Press the OK button; and
    8. Close the Registry Editor.

Object Instantiation

Declare a global variable for the ChantSR class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.SpeechKit.Silverlight.NChantAudio NChantAudio1;
private Chant.SpeechKit.Silverlight.NChantSR NChantSR1;
private Chant.SpeechKit.Silverlight.NChantTTS NChantTTS1;
public MainPage()
{
    InitializeComponent();
    // Instantiate NChantSR object
    NChantSR1 = new NChantSR(this);
    // Setup event callback handler
    NChantSR1.HasEvent += this.NChantSR1_HasEvent;
    // Set license properties
    NChantSR1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantSR1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");

    // Instantiate NChantSR object
    NChantSR1 = new NChantSR(this);
    // Setup event callback handler
    NChantSR1.HasEvent += this.NChantSR1_HasEvent;
    // Set license properties
    NChantSR1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantSR1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");

    // Instantiate NChantTTS object
    NChantTTS1 = new NChantTTS(this);
    // Setup event callback handler
    NChantTTS1.HasEvent += this.NChantTTS1_HasEvent;
    // Set license properties
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantAudio1 As NChantAudio
Dim WithEvents NChantSR1 As NChantSR
Dim WithEvents NChantTTS1 As NChantTTS

Private Sub UserControl_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantAudio1 = New NChantAudio(Me)
    NChantSR1 = New NChantSR(Me)
    NChantTTS1 = New NChantTTS(Me)

    ' Set license properties
    NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ' Set license properties
    NChantSR1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantSR1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ' Set license properties
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantTTS1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as a headset was plugged in, speech recognition occurred, audio playback finished, or there was an error.

  • C#
  • VB .NET
private void NChantAudio1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantAudioEvent nChantAudioEvent = NChantAudio1.GetChantAudioEvent();
    switch (nChantAudioEvent.ChantCallback)
    {
        case ChantCallback.CCDDeviceArrival:
            {
                ...
                break;
            }
        default:
            break;
    }
    // Remove the event from the event queue
    NChantAudio1.RemoveEvent();
}

private void NChantSR1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantSREvent nChantSREvent = NChantSR1.GetChantSREvent();
    switch (nChantSREvent.ChantCallback)
    {
        case ChantCallback.CCSRHasCommand:
            {
                ...
                break;
            }
        default:
            break;
    }
    // Remove the event from the event queue
    NChantSR1.RemoveEvent();
}

private void NChantTTS1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantTTSEvent nChantTTSEvent = NChantTTS1.GetChantTTSEvent();
    switch (nChantTTSEvent.ChantCallback)
    {
        case ChantCallback.CCDAudioStop:
            {
                ...
                break;
            }
        default:
            break;
    }
    // Remove the event from the event queue
    NChantTTS1.RemoveEvent();
}

Private Sub NChantAudio1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantAudio1.HasEvent
    Dim nChantAudioEvent As NChantAudioEvent
    ' Get the event from the event queue
    nChantAudioEvent = NChantAudio1.GetChantAudioEvent()
    Select Case nChantAudioEvent.ChantCallback
        Case ChantCallback.CCDDeviceArrival
            ...
    End Select
    ' Remove the event from the event queue
    NChantAudio1.RemoveEvent()
End Sub

Private Sub NChantSR1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantSR1.HasEvent
    Dim nChantSREvent As NChantSREvent
    ' Get the event from the event queue
    nChantSREvent = NChantSR1.GetChantSREvent()
    Select Case nChantSREvent.ChantCallback
        Case ChantCallback.CCSRHasCommand
            ...
    End Select
    ' Remove the event from the event queue
    NChantSR1.RemoveEvent()
End Sub

Private Sub NChantTTS1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantTTS1.HasEvent
    Dim nChantTTSEvent As NChantTTSEvent
    ' Get the event from the event queue
    nChantTTSEvent = NChantTTS1.GetChantTTSEvent()
    Select Case nChantTTSEvent.ChantCallback
        Case ChantCallback.CCDAudioStop
            ...
    End Select
    ' Remove the event from the event queue
    NChantTTS1.RemoveEvent()
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Silverlight application to any system with a valid license from the Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.SpeechKit.Silverlight.dll and Chant.Shared.Silverlight.dll libraries to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NSpeechKit.dll to the target system.
  • Register NSpeechKit.dll as a COM library on the target system.
  • You may deploy your Silverlight application to any system with a valid license from the Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.SpeechKit.Silverlight.dll and Chant.Shared.Silverlight.dll libraries to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NSpeechKitX64.dll to the target system.
  • Register NSpeechKitX64.dll as a COM library on the target system.

Sample Projects

Silverlight sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\SpeechKit 8\Win32\Silveright\VS 2010\CSharp,
  • My Documents\Chant\SpeechKit 8\Win32\Silveright\VS 2010\Visual Basic,
  • My Documents\Chant\SpeechKit 8\Win32\Silveright\VS 2012\CSharp,
  • My Documents\Chant\SpeechKit 8\Win32\Silveright\VS 2012\Visual Basic,
  • My Documents\Chant\SpeechKit 8\Win32\Silveright\VS 2013\CSharp, and
  • My Documents\Chant\SpeechKit 8\Win32\Silveright\VS 2013\Visual Basic.


Chant VoiceMarkupKit 5 Developer's Guide

Chant Inc.
VoiceMarkupKit 5 Developer's Guide


Chant VoiceMarkupKit

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

Markup Management with VoiceMarkupKit

Avoid putting your end users to sleep with boring synthesized speech. You will be amazed at how adjusting the speed, adding pauses, injecting emphasis, and switching voices can break up the monotony of synthesized speech.

Text-to-speech (TTS) markup is text with imbedded indicators that control speech synthesis from the text. Speaking qualities such as the speed, pitch, emphasis, and word pronunciation may be tailored in reproducing speech from text.

A TTS grammar is a collection TTS markup. A text-to-speech engine (i.e., synthesizer) uses TTS markup to enhance its ability to synthesize speech from text and generate the audio for playback.

What is Markup Management?

Markup management enables you to:

  • fine-tune speech synthesis,
  • tailor synthesis for specific voices, and
  • integrate dynamic markup generation as part of deployed applications.

Applications benefits include:

  • enhanced quality of TTS playback,
  • added flexibility to use various synthesizers and tailor markup at runtime, and
  • expanded adaptability to run with available technology on the deployed system.

What is VoiceMarkupKit?

Chant VoiceMarkupKit is text-to-speech (TTS) markup language management software that enables you to generate TTS markup to enhance the playback quality when synthesizing.

The VoiceMarkupKit class library includes a voice markup management class that provides you a simple way to generate text-to-speech markup. Your application can markup text as part of its runtime operation to enable real-time customization and tailoring of your text-to-speech environment.

It simplifies the process of generating Microsoft SAPI 5, Nuance L&H Native Control Sequence, and W3C SSML markup language to use with your favorite speech synthesizers.

VoiceMarkupKit includes C++, C++Builder, Delphi, Java, .NET Framework, and Silverlight class libraries to support all your programming languages and provides sample projects for popular IDEs—such as the latest Visual Studio from Microsoft and RAD Studio from Embarcadero.

The class libraries can be integrated with 32-bit, 64-bit, and Universal Windows Platform (UWP) applications.

For more information about the Markup Management with VoiceMarkupKit, review the following topics:

  • VoiceMarkupKit Features and
  • Markup Management Architecture.


VoiceMarkupKit Features

The goal of text-to-speech markup is to enhance the quality of the text-to-speech playback. With Chant VoiceMarkupKit, you can:

  • Generate markup language in Microsoft SAPI 5 XML, Nuance L&H Native Control Sequence, and W3C SSML syntax;
  • Generate pronunciation phonemes for Acapela, Cepstral, Microsoft SAPI 5, Microsoft Speech Platform, and Nuance Vocalizer synthesizers; and
  • Dynamically switch among speech APIs and syntax formats.

Chant VoiceMarkupKit handles the complexities of generating text-to-speech markup for various markup syntax. This enables you to tailor speech synthesis to produce sounds in familiar dialects, speaking patterns, and accents of your end users. You can adjust TTS markup as needed for the synthesizer to enhance the playback quality when synthesizing.

Synthesizers (i.e., speech APIs) support unique markup syntax. VoiceMarkupKit supports the following synthesizers and their markup syntax:

Synthesizer | Speech API | Markup Syntax
Cepstral (all languages) | Cepstral Swift | W3C SSML
Microsoft SAPI 5 (all languages) | SAPI 5 | SAPI 5 XML Markup, W3C SSML (SAPI 5.3+)
Microsoft Speech Platform (all languages) | MSP | W3C SSML
Microsoft Universal Windows Platform (all languages) | Windows Media | W3C SSML
Nuance Vocalizer Auotmotive (all languages) | Nuance Vocalizer Auotmotive | L&H Native Control Sequence, SAPI 5 XML Markup
Nuance Vocalizer Expressive (all languages) | Nuance Vocalizer Expressive | L&H Native Control Sequence, SAPI 5 XML Markup
Nuance Vocalizer Mobile (all languages) | Nuance Vocalizer Mobile | L&H Native Control Sequence
Nuance Vocalizer Network (all languages) | Nuance Vocalizer Network | L&H Native Control Sequence, SAPI 5 XML Markup, W3C SSML

Within Chant Developer Workbench IDE, you can:

  • Create and edit documents with TTS markup;
  • Generate TTS markup;
  • Generate word pronunciation phonemes;
  • Edit word pronunciation phonemes (requires LexiconKit); and
  • Playback text with TTS markup (requires SpeechKit).

SSML Editing: Edit L&H Native Control Sequence, SAPI 5, and W3C Speech Synthesis Markup Language (SSML) faster with built-in intelliprompt that suggests valid markup syntax.

SSML Error Debugging

SSML Error Debugging: Automatic syntax checking displays visual cues and syntax error messages in the Error window. Click on the error to take you to the location of it in the document window.

TTS Playback: Playback text-to-speech markup with a click of the button. Highlight specific text or playback the entire document.


Markup Management Architecture

The VoiceMarkupKit class library includes a voice markup management class that provides you a simple way to generate text-to-speech markup. Your application can markup text as part of its runtime operation to enable real-time customization and tailoring of your text-to-speech environment.

The voice markup management class, ChantVM, enables you to specify a markup language, the markup options, and generate markup prior to synthesis. Your application uses the ChantVM class to manage the activities for generating the markup in the format you need. The ChantVM class supports the following markup syntax:

  • Microsoft SAPI 5 XML markup,
  • Nuance L&H Native Control Sequence, and
  • W3C Speech Synthesis Markup Language (SSML).

VoiceMarkupKit Architecture for Markup Management

The ChantVM class encapsulates all of the technologies necessary to make the process of generating markup simple and efficient for your application.

You instantiate a ChantVM class object before you want to generate markup within your application. You destroy the ChantVM class object and release its resources when you no longer want to generate markup within your application.


FineTuning TTS With VoiceMarkupKit

Text-to-speech (TTS) markup is text with imbedded indicators that control speech synthesis from the text. Speaking qualities such as the speed, pitch, emphasis, and word pronunciation may be tailored in reproducing speech from text.

Chant VoiceMarkupKit is comprised of software class that handle the complexities of generating text-to-speech markup for various markup syntax. This enables you to tailor speech synthesis to produce sounds in familiar dialects, speaking patterns, and accents of your end users. You can adjust TTS markup as needed for the synthesizer to enhance the playback quality when synthesizing.

Synthesizers (i.e., speech APIs) support unique markup syntax. VoiceMarkupKit supports the following synthesizers and their markup syntax:

Synthesizer | Speech API | Markup Syntax
Cepstral (all languages) | Cepstral Swift | W3C SSML
Microsoft SAPI 5 (all languages) | SAPI 5 | SAPI 5 XML Markup, W3C SSML (SAPI 5.3+)
Microsoft Speech Platform (all languages) | MSP | W3C SSML
Microsoft Universal Windows Platform (all languages) | Windows Media | W3C SSML
Nuance Vocalizer Auotmotive (all languages) | Nuance Vocalizer Auotmotive | L&H Native Control Sequence, SAPI 5 XML Markup
Nuance Vocalizer Expressive (all languages) | Nuance Vocalizer Expressive | L&H Native Control Sequence, SAPI 5 XML Markup
Nuance Vocalizer Mobile (all languages) | Nuance Vocalizer Mobile | L&H Native Control Sequence
Nuance Vocalizer Network (all languages) | Nuance Vocalizer Network | L&H Native Control Sequence, SAPI 5 XML Markup, W3C SSML

For more information about the fine-tuning speech synthesis with VoiceMarkupKit, review the following topics:

  • Text-to-Speech Markup and
  • Synthesizing with Markup.


Text-to-Speech Markup

The following topics provide detailed steps for fine-tuning speech synthesis with text markup within the Chant Developer Workbench IDE:

  • Create Markup Document
  • Marking Up Text, and
  • Testing TTS Markup.


Create Markup Document

Text-to-speech (TTS) markup is text with imbedded indicators—Speech Synthesis Markup Language (SSML)—that control speech synthesis. Speaking qualities such as the speed, pitch, emphasis, and word pronunciation may be tailored in reproducing speech from text.

A TTS document is a collection TTS markup. A text-to-speech engine (i.e., synthesizer) uses TTS markup to enhance its ability to synthesize speech from text and generate the audio for playback.

The steps to create a TTS document with Chant VoiceMarkupKit are as follows:

  1. Select the Start Page tab and click on the image of the desired markup syntax or select the File - New menu item or click the New Standard toolbar button, select TTS Markup category, and select a markup document syntax to create one in a document window.

  2. Save your new markup document to a file by selecting the File - Save menu item or click the Save Standard toolbar button.

There are different SSML syntax and rules for imbedding the syntax. Refer to the section entitled Markup Syntax Quick Reference for more information about markup syntax.


Marking Up Text

Marking up text involves imbedding TTS markup tags in the text that control speech synthesis. Speaking qualities such as the speed, pitch, emphasis, and word pronunciation may be tailored in reproducing speech from text.

The Chant Developer Workbench grammar editor provides Intelliprompt suggestions as you type your markup syntax.

Marking Up Text

Refer to the section entitled Markup Syntax Quick Reference for more information about markup syntax.


Testing TTS Markup

Chant SpeechKit provides a way for you to test your TTS markup without having to write any software.

To test TTS markup, simply Select the Speech - Playback Text menu item or click the Playback Text Speech toolbar button.

If you want to test specific TTS markup, you may select specific text within the document for playback.

Marking Up Text


Synthesizing with Markup

The following topics describe how to generate markup in applications:

  • Generating Markup,
  • Event Handling,
  • Error Handling,
  • Compile Sample, and
  • Phonemes Sample.


Generating Markup

The VoiceMarkupKit management class is designed to provide you a lot of flexiblity and minimize the programming necessary to generate text-to-speech markup.

To generate markup, you need to specify a markup format, the markup type you want, provide any optional variable values, and the text from which to generate the markup.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
string markup = NChantVM1.GenerateMarkup(ChantVoiceMarkupLanguage.CVMLSAPI5SSML, ChantVoiceMarkupTag.CVMTRate, "", "5", "This text is spoken above the baseline at rate of five");

wchar_t* markup = pChantVM1->GenerateMarkup(CVMLSAPI5SSML, CVMTRate, L"", L"5", L"This text is spoken above the baseline at rate of five");

string markup = pChantVM1->GenerateMarkup(CVMLSAPI5SSML, CVMTRate, "", "5", "This text is spoken above the baseline at rate of five");

var
markup: string;
markup = NChantVM1.GenerateMarkup(CVMLSAPI5SSML, CVMTRate, '', '5', 'This text is spoken above the baseline at rate of five');

String markup = JChantVM1.generateMarkup(ChantVoiceMarkupLanguage.CVMLSAPI5SSML, ChantVoiceMarkupTag.CVMTRate, "", "5", "This text is spoken above the baseline at rate of five");

Dim markup as String
markup = NChantVM1.GenerateMarkup(ChantVoiceMarkupLanguage.CVMLSAPI5SSML, ChantVoiceMarkupTag.CVMTRate, "", "5", "This text is spoken above the baseline at rate of five")

To generate phonemes, you need to specify the word or words, the synthesizer name, and the part of speech for the word or words for which to generate the phonemes.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
String stringVal = NChantVM1.GeneratePhonemes("apple", "Microsoft David Desktop - English (United States)", ChantPartOfSpeech.CPOSNoun);

wchar_t* pszVal = pChantVM->GeneratePhonemes(L"apple", L"Microsoft David Desktop - English (United States)", CPOSNoun);

String stringVal = pChantVM->GeneratePhonemes("apple", "Microsoft David Desktop - English (United States)", CPOSNoun);

var stringVal: string;
stringVal := ChantVM1.GeneratePhonemes('apple', "Microsoft David Desktop - English (United States)", CPOSNoun);

String stringVal = JChantVM1.generatePhonemes("apple", "Microsoft David Desktop - English (United States)", ChantPartOfSpeech.CPOSNoun);

Dim stringVal As String
stringVal = NChantVM1.GeneratePhonemes("apple", "Microsoft David Desktop - English (United States)", ChantPartOfSpeech.CPOSNoun)


VoiceMarkupKit Event Handling

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

Event Handling

To trace speech API errors, applications receive event notifications. You register for the events your application is interested in using the RegisterCallback method.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn on API error events
NChantVM1.RegisterCallback(ChantCallback.CCAPIError);

// Turn on API error events
pChantVM->RegisterCallback(CCAPIError);

// Turn on API error events
pChantVM->RegisterCallback(CCAPIError);

// Turn on API error events
ChantVM1.RegisterCallback(CCAPIError);

// Turn on API error events
JChantVM1.registerCallback(ChantCallback.CCAPIError);

' Turn on API error events
NChantVM1.RegisterCallback(ChantCallback.CCAPIError)

The ChantVM object sends all notifications to the HasEvent function. All event data is contained in a ChantVMEvent object and accessed via object properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantVM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantVMEvent nChantVMEvent = NChantVM1.GetChantVMEvent();
    if (nChantVMEvent != null)
    {
        switch (nChantVMEvent.ChantCallback)
        {
            case ChantCallback.CCAPIError:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantVM1.RemoveEvent();
    }
}

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantVM != NULL)
    {
        if (message == m_HasEvent)
        {
            // Get the event from the event queue
            CChantVMEvent* chantVMEvent = m_pChantVM->GetChantVMEvent();
            if (chantVMEvent != NULL)
            {
                switch (chantVMEvent->GetChantCallback())
                {
                    case CCAPIError:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantVM->RemoveEvent();
                // No longer need event object
                delete chantVMEvent;
                chantVMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantVMEvent* chantVMEvent = ChantVM1->GetChantVMEvent();
    if (chantVMEvent != NULL)
    {
        switch (chantVMEvent->GetChantCallback())
        {
            default:
                break;
            case CCAPIError:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantVM1->RemoveEvent();
        delete chantVMEvent;
        chantVMEvent = NULL;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  chantVMEvent: TChantVMEvent;
begin
    // Get the event from the event queue
    chantVMEvent := ChantVM1.GetChantVMEvent();
    if chantVMEvent <> nil then
    begin
      case chantVMEvent.ChantCallback of
        CCAPIError:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantVM1.RemoveEvent();
      // No longer need event object
      chantVMEvent.Destroy();
    end;
end;

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantVMEvent chantVMEvent = JChantVM1.getChantVMEvent();
    if (chantVMEvent != null)
    {
        int callback = chantVMEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCAPIError :
                ...
                break;
        }
        JChantVM1.removeEvent();
    }
}

Private Sub NChantVM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantVM1.HasEvent
    Dim nChantVMEvent As NChantVMEvent
    ' Get the event from the event queue
    nChantVMEvent = NChantVM1.GetChantVMEvent()
    if nChantVMEvent <> Nothing Then
        Select Case nChantVMEvent.ChantCallback
            Case ChantCallback.CCAPIError
                ...
        End Select
        ' Remove the event from the event queue
        NChantVM1.RemoveEvent()
    End If
End Sub

The ChantVM object accumulates ChantVMEvent objects on a FIFO queue. Applications must remove the oldest event from the queue to be able to process the next event object. When you remove the event object it is destroyed and no longer available.


VoiceMarkupKit Error Handling

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

Error Handling

VoiceMarkupKit uses a common set of return codes on error conditions to minimize the error processing required by the application. The following table provides a summary.

Error Constant | Value | Description
E_INVALIDARG | 0x80070057 | One or more arguments are invalid. Verify your parameter values used in invoking the method.
E_FAIL | 0x80004005 | Unspecified error. Exception handling catches as a non-specific failure.
E_NOINTERFACE | 0x80004002 | No such interface supported. Verify that the session with the recognizer or synthesizer is active before invoking the method.
E_OUTOFMEMORY | 0x8007000E | Ran out of memory. There is not enough memory to complete the operation.
E_NOTIMPL | 0x80004001 | Not implemented. Contact Chant support for assistance.
CLASS_E_NOTLICENSED | 0x80040112 | Class is not licensed for use. Verify that your License and Serials property values are set before invoking any other methods.

To obtain an the error code, use the ChantVM LastError, LastErrorString, and LastErrorMessage properties.

Speech APIs (i.e., recognizer and synthesizer) may generate error codes. To monitor these error codes, register for the CCAPIError event.

Consult the Speech API documentation for problem determination or contact Chant support for assistance.


Markup Sample

Chant VoiceMarkupKit includes sample applications that illustrate voice markup management features. Look for the Markup folder in the VoiceMarkupKit sample projects.

Build and launch the sample application. You can generate markup for various markup formats.

Chant Markup Sample

Markup text as a comment using the sample application with the following steps:

  1. Select and highlight the first sentence with your mouse: "This is a comment".
  2. Select "SAPI 5 XML tags".
  3. Select "Comment" as the markup style.
  4. Click the Mark Up button.

Your text markup should look like the following:

<!-- This is a comment -->

Markup text with emphasis using the sample application with the following steps:

  1. Select and highlight the second sentence with your mouse: "Ouch!".
  2. Select "SAPI 5 XML tags".
  3. Select "Emphasis" as the markup style.
  4. Click the Mark Up button.

Your text markup should look like the following:

<emph> Ouch! </emph> That hurts!

Markup text with emphasis using the sample application with the following steps:

  1. Select and highlight the word "hurts!" in the third sentence with your mouse.
  2. Select "SAPI 5 XML tags".
  3. Select "Emphasis" as the markup style.
  4. Click the Mark Up button.

Your text markup should look like the following:

<emph> Ouch! </emph> That <emph> hurts! </emph>

Adjust the speaking rate using the sample application with the following steps:

  1. Select and highlight the forth and fifth sentences with your mouse: "This text is spoken above the baseline at rate of five. This text is spoken normally at the baseline level."
  2. Select "SAPI 5 XML tags".
  3. Select "Rate" as the markup style.
  4. Enter 5 for the attribute value.
  5. Click the Mark Up button.

Your text markup should look like the following:

<rate absspeed="5"> This text is spoken above the baseline at rate of five.
This text is spoken normally at the baseline level. </rate>

Adjust the speaking rate using the sample application with the following steps:

  1. Select and highlight the fifth sentence with your mouse: "This text is spoken normally at the baseline level."
    2. Select "SAPI 5 XML tags".
  2. Select "Rate" as the markup style.
  3. Enter -5 for the attribute value.
  4. Click the Mark Up button.

Your text markup should look like the following:

<rate absspeed="5"> This text is spoken above the baseline at rate of five.
<rate absspeed="-5"> This text is spoken normally at the baseline level. </rate> </rate>

Cause words to be spelled using the sample application with the following steps:

  1. Select and highlight the sixth sentence with your mouse: "The words in this sentence are spelled."
  2. Select "SAPI 5 XML tags".
  3. Select "Spell" as the markup style.
  4. Click the Mark Up button.
<spell> The words in this sentence are spelled. </spell>

Adjust the speaking volume using the sample application with the following steps:

  1. Select and highlight the seventh sentence with your mouse: "This text is spoken softly at level twenty."
  2. Select "SAPI 5 XML tags".
  3. Select "Volume" as the markup style.
  4. Enter 20 for the attribute value.
  5. Click the Mark Up button.

Your text markup should look like the following:

<volume level="20"> This text is spoken softly at level twenty. </volume>

Adjust the speaking rate using the sample application with the following steps:

  1. Select and highlight the eighth sentence with your mouse: "This text is spoken loudly at max volume level of one hundred."
  2. Select "SAPI 5 XML tags".
  3. Select "Volume" as the markup style.
  4. Enter 100 for the attribute value.
  5. Click the Mark Up button.

Your text markup should look like the following:

<volume level="100"> This text is spoken loudly at max volume level of one hundred. </volume>


Phonemes Sample

Chant VoiceMarkupKit includes sample applications that illustrate voice markup management features. Look for the Phonemes folder in the VoiceMarkupKit sample projects.

Build and launch the generate phonemes sample application. You can generate phonemes for one or more words.

Chant Phonemes Sample

Generate phonemes using the sample application with the following steps:

  1. Select a synthesizer for which to generate phonemes.
  2. Enter the word(s) for which you want to generate phonemes.
  3. Select the part of speech for the word(s).
  4. Press the generate phonemes button. The phonemes are generated and displayed.


Integrating VoiceMarkupKit

The following sections describe the steps for integrating VoiceMarkupKit with your favorite development tool and programming language.

  • C++Builder Applications
  • Delphi and Appmethod Applications
  • Java Applications
  • Microsoft Visual C++ Applications
  • .NET UWP Applications
  • .NET Windows Forms Applications
  • .NET WPF Applications
  • Silverlight Applications


VoiceMarkupKit C++Builder VCL and FireMonkey (Appmethod) Applications

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

C++Builder VCL and FireMonkey (Appmethod) Applications

You can develop C++ applications that manage voice markup using your favorite version of C++Builder and Appmethod.

The following sections describe the steps for integrating VoiceMarkupKit with C++Builder VCL and FireMonkey (Appmethod) applications.

VoiceMarkupKit Header Files

VoiceMarkupKit includes C++ header files comprised of the C++Builder classes that manage markup and automatically load and unload the runtime DLL.

To access the VoiceMarkupKit C++Builder classes within your application, first add a project reference to the C++Builder header include files:

  • Win32
  • Win64
  1. Within your C++Builder or Appmethod project, select Project Options.
  2. Select the C++Builder or Appmethod compiler options.
  3. Add Include path reference to the VoiceMarkupKit header files directory: C:\Program Files\Chant\VoiceMarkupKit 5\Win32\CBuilder\include.
  1. Within your C++Builder or Appmethod project, select Project Options.
  2. Select the C++Builder or Appmethod compiler options.
  3. Add Include path reference to the VoiceMarkupKit header files directory: C:\Program Files\Chant\VoiceMarkupKit 5\Win64\CBuilder\include.

To access the VoiceMarkupKit C++Builder classes within your application, add a reference to the Chant shared and VoiceMarkupKit header files in your C++Builder application header file.

#include "ChantShared.h"
#include "ChantVoiceMarkupKit.h"

Add a reference in your C++Builder application source file to the VoiceMarkupKit code needed to dynamically load and unload the runtime DLL.

#include "ChantShared.cpp"
#include "ChantVoiceMarkupKit.cpp"

Object Instantiation

Declare a global variable for the ChantVM class, instantiate an instance, set the license and serial properties, and set the event handler message.

Add the following to your application header file:

  • VCL
  • FireMonkey (Appmethod)
protected:
    void __fastcall OnHasEvent(TMessage& msg);
    BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(WM_APP+7, TMessage, OnHasEvent);
    END_MESSAGE_MAP(TForm)
private:
    // User declarations
    CChantVM* ChantVM1;

#include <FMX.Platform.Win.hpp>
using namespace Fmx::Platform::Win;
...
protected:
    void __fastcall OnHasEvent(TMessage& msg);
private:
    // User declarations
    CChantVM* ChantVM1;
    HWND  FrmHwnd;
    long WndProc;
public:
    // User declarations
    __fastcall TForm1(TComponent* Owner);
    LRESULT __fastcall FrmWndProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam);

Add the following to your application source file:

  • VCL
  • FireMonkey (Appemthod)
ChantVM1 = new CChantVM();

// Set license properties
ChantVM1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantVM1->SetStringProperty(CSPSerials,"LicenseSerialNumber");

// Define the HasEvent callback message
ChantVM1->SetWindowMessage(Handle, WM_APP+7, 0, 0);

ChantVM1 = new CChantVM();

// Set license properties
ChantVM1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantVM1->SetStringProperty(CSPSerials,"LicenseSerialNumber");

// XE-XE3
HWND FrmHwnd = FmxHandleToHWND(Handle);
// XE4+
TWinWindowHandle *wndHandle = WindowHandleToPlatform(this->Handle);
HWND FrmHwnd = wndHandle->Wnd;

// Set up Windows Message Handling For FireMonkey
WndProc = GetWindowLongPtr(FrmHwnd, GWL_WNDPROC);
SetWindowLongPtr(FrmHwnd, GWL_WNDPROC, (long)WindowProc);
ChantVM1->SetWindowMessage(FrmHwnd, WM_APP+7, 0, 0);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as there was an error.

  • VCL
  • FireMonkey (Appmethod)
void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantVMEvent* chantVMEvent = ChantVM1->GetChantVMEvent();
    if (chantVMEvent != NULL)
    {
        switch (chantVMEvent->GetChantCallback())
        {
            default:
                break;
            case CCAPIError:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantVM1->RemoveEvent();
        delete chantVMEvent;
        chantVMEvent = NULL;
    }
}

// Hook Window Messages
LRESULT WindowProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    return Form1->FrmWndProc(Hwnd, Msg, wParam, lParam);
}

LRESULT __fastcall TForm1::FrmWndProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    Winapi::Messages::TMessage aTMessage;
    aTMessage.Msg = Msg;
    aTMessage.WParam = wParam;
    aTMessage.LParam = lParam;
    // Trap our messages
    if (WM_APP+7 == Msg)
    {
        OnHasEvent(aTMessage);
        return 0;
    }
    // Forward all other messages
    return CallWindowProc((WNDPROC)WndProc, Hwnd, Msg, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantVMEvent* chantVMEvent = ChantVM1->GetChantVMEvent();
    if (chantVMEvent != NULL)
    {
        switch (chantVMEvent->GetChantCallback())
        {
            default:
                break;
            case CCAPIError:
            {

                ...

                break;
            }
        }

        ...

        // Remove the event from the event queue
        ChantVM1->RemoveEvent();
        delete chantVMEvent;
        chantVMEvent = NULL;
    }
}

Deployment Checklist

When you are ready to deploy your C++Builder VCL or FireMonkey (Appmethod) application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your C++Builder VCL or FireMonkey (Appmethod) application to any system with a valid license from the Chant. See the section License for more information about licensing Chant software.
  • Copy CVoiceMarkupKit.dll to the target system and place in the same directory with your application.
  • You may deploy your C++Builder VCL or FireMonkey (Appmethod) application to any system with a valid license from the Chant. See the section License for more information about licensing Chant software.
  • Copy CVoiceMarkupX64Kit.dll to the target system and place in the same directory with your application.

Sample Projects

C++Builder VCL and FireMonkey (Appmethod) sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\VoiceMarkupKit 5\Win32\CBuilder\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\VoiceMarkupKit 5\Win32\CBuilder\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\VoiceMarkupKit 5\Win32\CBuilder\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\VoiceMarkupKit 5\Win32\CBuilder\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\VoiceMarkupKit 5\Win32\CBuilder\RS 10.1 Berlin.
  • My Documents\Chant\VoiceMarkupKit 5\Win64\CBuilder\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\VoiceMarkupKit 5\Win64\CBuilder\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\VoiceMarkupKit 5\Win64\CBuilder\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\VoiceMarkupKit 5\Win64\CBuilder\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\VoiceMarkupKit 5\Win64\CBuilder\RS 10.1 Berlin.


VoiceMarkupKit Delphi VCL and FireMonkey (Appmethod) Applications

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

Delphi VCL and FireMonkey (Appmethod) Applications

You can develop Object Pascal applications that manage voice markup using your favorite version of Delphi and Appmethod.

The following sections describe the steps for integrating VoiceMarkupKit with Delphi VCL and FireMonkey (Appmethod) applications.

VoiceMarkupKit Unit

VoiceMarkupKit includes an Object Pascal source file VoiceMarkupKit.pas comprised of the Object Pascal classes that manage markup. It also includes an Object Pascal Pascal source file ChantShared.pas comprised of common Object Pascal classes that all Chant libraries use.

To access the VoiceMarkupKit Object Pascal classes within your application, first add a project reference to the VoiceMarkupKit Object Pascal source files:

  • Win32
  • Win64
  1. Within your Delphi or Appmethod project, select Project Options.
  2. Select the Delphi or Appmethod compiler options.
  3. Add Search path reference to the VoiceMarkupKit unit source file director: C:\Program Files\Chant\VoiceMarkupKit 5\Win32\Delphi\source.
  4. Add unit output path reference to the local directory with a period '.' character.
  1. Within your Delphi or Appmethod project, select Project Options.
  2. Select the Delphi or Appmethod compiler options.
  3. Add Search path reference to the VoiceMarkupKit unit source file director: C:\Program Files\Chant\VoiceMarkupKit 5\Win64\Delphi\source.
  4. Add unit output path reference to the local directory with a period '.' character.

To access the VoiceMarkupKit Object Pascal classes within your application, add a reference to the ChantShared and VoiceMarkupKit units in your uses clause.

  • VCL
  • FireMonkey (Appmethod)
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ChantShared, VoiceMarkupKit;

unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Rtti, System.Classes,
  System.Variants, FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Layouts,
  ChantShared, VoiceMarkupKit, FMX.Platform.Win, Winapi.Windows, Winapi.Messages;

Add an event handler declaration and Object instance variable to the application declarations.

  • VCL
    •

  • FireMonkey (Appmethod)
    •

type
  TForm1 = class(TForm)
    ...
  private
    { Private declarations }
  public
    { Public declarations }
    procedure OnHasEvent(var msg: TMessage);
      message WM_APP+7;
  end;

var
  Form1: TForm1;
  ChantVM1: TChantVM;

type
  TForm1 = class(TForm)
    ...
  private
    { Private declarations }
    FrmHwnd: HWND;
    WndProc: LONG;
  public
    { Public declarations }
    procedure OnHasEvent(var msg: TMessage);
    function FrmWndProc(Hwnd: HWND; Msg:UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
  end;

var
  Form1: TForm1;
  ChantVM1: TChantVM;

            Object Instantiation

            Instantiate an instance, set the license and serial properties, and set the event handler message.

  • VCL
    •

  • FireMonkey (Appmethod)
    •

ChantVM1 := TChantVM.Create();
// Set license properties
ChantVM1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantVM1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

// Define the HasEvent callback message
ChantVM1.SetWindowMessage(Handle, WM_APP+7, 0, 0);

ChantVM1 := TChantVM.Create();
// Set license properties
ChantVM1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantVM1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

var FrmHwnd: HWND;
// XE-XE3
FrmHwnd := FmxHandleToHwnd(Handle);
// XE4+
var wndHandle: TWinWindowHandle;
wndHandle := WindowHandleToPlatform(Handle);
FrmHwnd := wndHandle.Wnd;

// Set up Windows Message Handling For FireMonkey
WndProc := GetWindowLongPtr(FrmHwnd, GWL_WNDPROC);
SetWindowLongPtr(FrmHwnd, GWL_WNDPROC, NativeInt(@WindowProc));
ChantVM1.SetWindowMessage(FrmHwnd, WM_APP+7, 0, 0);

            Event Callbacks

            Event callbacks are the mechanism in which the class object sends information back to the application such as there was an error.

  • VCL
    •

  • FireMonkey (Appmethod)
    •

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  chantVMEvent: TChantVMEvent;
begin
    // Get the event from the event queue
    chantVMEvent := ChantVM1.GetChantVMEvent();
    if chantVMEvent <> nil then
    begin
      case chantVMEvent.ChantCallback of
        CCAPIError:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantVM1.RemoveEvent();
      // No longer need event object
      chantVMEvent.Destroy();
    end;
end;

// Hook Window Messages
function WindowProc(Hwnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
begin
    Result := Form1.FrmWndProc(Hwnd, Msg, wParam, lParam);
end;

function TForm1.FrmWndProc(Hwnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
var
    aTMessage: TMessage;
begin
    aTMessage.Msg := Msg;
    aTMessage.WParam := wParam;
    aTMessage.LParam := lParam;
    // Trap our messages
    if (WM_APP+7 = Msg) then
    begin
        OnHasEvent(aTMessage);
        Result := 0;
        Exit;
    end;
    // Forward all other messages
    Result := CallWindowProc(Ptr(WndProc), Hwnd, Msg, wParam, lParam);
end;

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  chantVMEvent: TChantVMEvent;
begin
    // Get the event from the event queue
    chantVMEvent := ChantVM1.GetChantVMEvent();
    if chantVMEvent <> nil then
    begin
      case chantVMEvent.ChantCallback of
        CCAPIError:
        ...

      end;

      ...

      // Remove the event from the event queue
      ChantVM1.RemoveEvent();
      // No longer need event object
      chantVMEvent.Destroy();
    end;
end;

            Deployment Checklist

            When you are ready to deploy your Delphi VCL or FireMonkey (Appmethod) application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
    •

  • Win64
    •

  •
                        You may deploy your Delphi VCL or FireMonkey (Appmethod) application to any system with a valid license
                        from the Chant. See the section License for more information about licensing Chant software.

    •

  •
                        Copy CVoiceMarkupKit.dll to the target system and place in the same directory with your application.

    •

  •
                        You may deploy your Delphi VCL or FireMonkey (Appmethod) application to any system with a valid license
                        from the Chant. See the section License for more information about licensing Chant software.

    •

  •
                        Copy CVoiceMarkupKitX64.dll to the target system and place in the same directory with your application.

    •

            Sample Projects

            Delphi VCL and FireMonkey (Appmethod) sample projects are installed at the following location:

  • Win32
    •

  • Win64
    •

  • My Documents\Chant\VoiceMarkupKit 5\Win32\Delphi\RS XE6 - Appmethod 1.14,
    •

  • My Documents\Chant\VoiceMarkupKit 5\Win32\Delphi\RS XE7 - Appmethod 1.15,
    •

  • My Documents\Chant\VoiceMarkupKit 5\Win32\Delphi\RS XE8 - Appmethod 1.16,
    •

  • My Documents\Chant\VoiceMarkupKit 5\Win32\Delphi\RS 10 Seattle - Appmethod 1.17, and
    •

  • My Documents\Chant\VoiceMarkupKit 5\Win32\Delphi\RS 10.1 Berlin.
    •

  • My Documents\Chant\VoiceMarkupKit 5\Win64\Delphi\RS XE6 - Appmethod 1.14,
    •

  • My Documents\Chant\VoiceMarkupKit 5\Win64\Delphi\RS XE7 - Appmethod 1.15,
    •

  • My Documents\Chant\VoiceMarkupKit 5\Win64\Delphi\RS XE8 - Appmethod 1.16,
    •

  • My Documents\Chant\VoiceMarkupKit 5\Win64\Delphi\RS 10 Seattle - Appmethod 1.17, and
    •

  • My Documents\Chant\VoiceMarkupKit 5\Win64\Delphi\RS 10.1 Berlin.
    •


VoiceMarkupKit Java Applications

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

Java Applications

You can develop Java applications that manage voice markup using your favorite Java development tools. This includes development environments such as Eclipse, IntelliJ, JBuilder, JDeveloper, and NetBeans.

The following sections describe the steps for integrating VoiceMarkupKit with Java applications.

JRE Configuration

VoiceMarkupKit includes Java classes compiled with JDK 1.7 and 1.8 to support your application's target runtime environments.

To access the VoiceMarkupKit Java classes within your application, add the class libraries to your JDK environment:

  • Win32
  • Win64
  1. copy the JVoiceMarkupKit.DLL file to your Java JDK bin directory;
  2. copy the VoiceMarkupKit.jar and chant-shared.jar libraries to your Java JDK lib; and
  3. append a path reference for your Java JDK lib\VoiceMarkupKit.jar and lib\chant-shared.jar paths as a classpath property in your system settings.
  1. copy the JVoiceMarkupKitX64.DLL file to your Java JDK bin directory;
  2. copy the VoiceMarkupKit.jar and chant-shared.jar class libraries to your Java JDK lib; and
  3. append a path reference for your Java JDK lib\VoiceMarkupKit.jar and lib\chant-shared.jar paths as a classpath property in your system settings.

To access the VoiceMarkupKit Java classes within your application, add references to the Chant shared and VoiceMarkupKit class libraries in your code:

import com.voicemarkupkit.*;
import net.chant.shared.*;

Object Instantiation

Declare a global variable for the ChantVM class, instantiate an instance, set the license and serial properties, and set the event handler message.

public class Frame1 extends JFrame implements com.VoiceMarkupKit.JChantVMEvents
{
    private JChantVM JChantVM1;

    private void jInit() throws Exception
    {
        // Create ChantVM object
        JChantVM1 = new JChantVM();

        // Set license properties
        JChantVM1.setStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
        JChantVM1.setStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");

        // Set the callback
        JChantVM1.setCallbackFunction(this,null,null);
    }
}

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantVMEvent chantVMEvent = JChantVM1.getChantVMEvent();
    if (chantVMEvent != null)
    {
        int callback = chantVMEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCAPIError :
                ...
                break;
        }
        JChantVM1.removeEvent();
    }
}

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Java application to any system with a valid license from the Chant. See the section License for more information about licensing Chant software.
  • Copy VoiceMarkupKit.jar and chant-shared.jar to the target system Java JRE lib directory and/or ensure the classpath includes the path where the VoiceMarkupKit.jar and chant-shared.jar libraries are placed on your target system.
  • Copy JVoiceMarkupKit.dll to the target system Java JRE bin directory.
  • You may deploy your Java application to any system with a valid license from the Chant. See the section License for more information about licensing Chant software.
  • Copy VoiceMarkupKit.jar and chant-shared.jar to the target system Java JRE lib directory and/or ensure the classpath includes the path where the VoiceMarkupKit.jar and chant-shared.jar libraries are placed on your target system.
  • Copy JVoiceMarkupKitX64.dll to the target system.

Sample Projects

Java sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\VoiceMarkupKit 5\Win32\Java\JDK.
  • My Documents\Chant\VoiceMarkupKit 5\Win64\Java\JDK.


VoiceMarkupKit Microsoft Visual C++ Applications

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

Microsoft Visual C++ Applications

You can develop C++ applications that manage voice markup using your favorite version of Microsoft Visual C++.

The following sections describe the steps for integrating VoiceMarkupKit with Microsoft Visual C++ applications.

VoiceMarkupKit Header Files

VoiceMarkupKit includes C++ header files comprised of the C++ classes that manage grammars and automatically load and unload the runtime DLL.

To access the VoiceMarkupKit C++ classes within your application, first add a project reference to the C++ header include files:

  • Win32
  • Win64
  1. Within your C++ project, select Project Properties.
  2. Under Configuration Properties, expand the C++ Properties and select the General Settings.
  3. Edit the Additional Include Directories.
  4. Locate the include directory path of the VoiceMarkupKit header files: C:\Program Files\Chant\VoiceMarkupKit 5\Win32\CDLL\include.
  5. Press the Apply button to save changes and dismiss the Project Properties.
  1. Within your C++ project, select Project Properties.
  2. Under Configuration Properties, expand the C++ Properties and select the General Settings.
  3. Edit the Additional Include Directories.
  4. Locate the include directory path of the VoiceMarkupKit header files: C:\Program Files\Chant\VoiceMarkupKit 5\Win64\CDLL\include.
  5. Press the Apply button to save changes and dismiss the Project Properties.

To access the VoiceMarkupKit C++ classes within your application, add a reference to the Chant shared and VoiceMarkupKit header files in your C++ application header file:

#include "ChantShared.h"
#include "ChantVoiceMarkupKit.h"

Add a reference in your C++ application source file to the VoiceMarkupKit code needed to dynamically load and unload the runtime DLL:

#include "ChantShared.cpp"
#include "ChantVoiceMarkupKit.cpp"

Object Instantiation

Declare a global variable for the ChantVM class, instantiate an instance, set the license and serial properties, and set the event handler message.

Add the following to your application header file:

protected:
    CChantVM* m_pChantVM;  // ChantVM object
    virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

Add the following to your application source file:

    // Instantiate ChantVM object
    m_pChantVM = new CChantVM();

    // Set license properties
    m_pChantVM->SetStringProperty(CSPLicense,L"LicenseRegistrationNumber");
    m_pChantVM->SetStringProperty(CSPSerials,L"LicenseSerialNumber");

    // Define the HasEvent callback message
    m_HasEvent = WM_APP+7;
    m_pChantVM->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as there was an error.

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantVM != NULL)
    {
        if (message == m_HasEvent)
        {
            // Get the event from the event queue
            CChantVMEvent* chantVMEvent = m_pChantVM->GetChantVMEvent();
            if (chantVMEvent != NULL)
            {
                switch (chantVMEvent->GetChantCallback())
                {
                    case CCAPIError:
                    {

                        ...

                        break;
                    }
                    default:
                        break;
                }

                ...

                // Remove the event from the event queue
                m_pChantVM->RemoveEvent();
                // No longer need event object
                delete chantVMEvent;
                chantVMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

Deployment Checklist

When you are ready to deploy your C++ application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your C++ application to any system with a valid license from the Chant. See the section License for more information about licensing Chant software.
  • Copy CVoiceMarkupKit.dll to the target system and place in the same directory with your application.
  • You may deploy your C++ application to any system with a valid license from the Chant. See the section License for more information about licensing Chant software.
  • Copy CVoiceMarkupKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

Microsoft Visual C++ sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\VoiceMarkupKit 5\Win32\CDLL\VS 2012,
  • My Documents\Chant\VoiceMarkupKit 5\Win32\CDLL\VS 2013, and
  • My Documents\Chant\VoiceMarkupKit 5\Win32\CDLL\VS 2015.
  • My Documents\Chant\VoiceMarkupKit 5\Win64\CDLL\VS 2012,
  • My Documents\Chant\VoiceMarkupKit 5\Win64\CDLL\VS 2013, and
  • My Documents\Chant\VoiceMarkupKit 5\Win64\CDLL\VS 2015.


VoiceMarkupKit .NET UWP Applications

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

.NET UWP Applications

You can develop .NET UWP applications that manage voice marupkit using your favorite .NET UWP development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating VoiceMarkupKit with .NET UWP applications.

VoiceMarkupKit Assemblies

VoiceMarkupKit includes UWP compatible .NET assemblies compiled with .NET Framework V4 and native compiler V5 to support your application's target framework.

To access the VoiceMarkupKit .NET classes within your application, add them to your project References:

  1. Within your .NET project, right click on the References node in the Solution Explorer.
  2. Add references to the VoiceMarkupKit .NET assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\UWP\lib\Chant.VoiceMarkupKit.WindowsMedia.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\UWP\lib\Chant.Shared.WindowsMedia.dll.

To access the VoiceMarkupKit .NET classes within your application, add references to the Chant shared and VoiceMarkupKit assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.VoiceMarkupKit.WindowsMedia;
using Chant.Shared.WindowsMedia;

Imports Chant.VoiceMarkupKit.WindowsMedia
Imports Chant.Shared.WindowsMedia
Public NotInheritable Class MainPage
...

Object Instantiation

Declare a global variable for the ChantVM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private NChantVM NChantVM1;
public MainPage()
{
    this.InitializeComponent();
    // Instantiate NChantTTS object
    NChantVM1 = new NChantVM();
    // Setup event callback handler
    NChantVM1.HasEvent += this.NChantVM1_HasEvent;
    // Set license properties
    NChantVM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantVM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Public NotInheritable Class MainPage
    Inherits Page
    Dim NChantVM1 As NChantVM
    Public Sub New()
        Me.InitializeComponent()
        NChantVM1 = New NChantVM()
        ' Set license properties
        NChantVM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
        NChantVM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")
    End Sub
End Class

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as there was an error.

  • C#
  • VB .NET
private void ChantVM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    ChantVMEvent nChantVMEvent = ChantVM1.GetChantVMEvent();
    if (nChantVMEvent != null)
    {
        switch (nChantVMEvent.ChantCallback)
        {
            case ChantCallback.CCAPIError:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        ChantVM1.RemoveEvent();
    }
}

Private Sub ChantVM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles ChantVM1.HasEvent
    Dim nChantVMEvent As ChantVMEvent
    ' Get the event from the event queue
    nChantVMEvent = ChantVM1.GetChantVMEvent()
    If nChantVMEvent <> Nothing Then
        Select Case nChantVMEvent.ChantCallback
            Case ChantCallback.CCAPIError
                ...
        End Select
        ' Remove the event from the event queue
        ChantVM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license. See the section License for more information about licensing Chant software.

Sample Projects

.NET UWP sample projects are installed at the following location:

  • My Documents\Chant\VoiceMarkupKit 5\UWP\VS 2015\cs and
  • My Documents\Chant\VoiceMarkupKit 5\UWP\VS 2015\vb.


VoiceMarkupKit .NET Windows Forms Applications

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

.NET Windows Forms Applications

You can develop .NET Windows Forms applications that manage voice marupkit using your favorite .NET Windows Forms development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating VoiceMarkupKit with .NET Windows Forms applications.

VoiceMarkupKit Assemblies

VoiceMarkupKit includes Windows Forms compatible .NET assemblies compiled with .NET Framework V2-3.5 and V4+ to support your application's target framework.

To access the VoiceMarkupKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V2-3.5 applications, add references to the VoiceMarkupKit .NET assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\Win32\NET\libv2\Chant.VoiceMarkupKit.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\Win32\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the VoiceMarkupKit .NET assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\Win32\NET\libv4\Chant.VoiceMarkupKit.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\Win32\NET\libv4\Chant.Shared.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V2-3.5 applications, add references to the VoiceMarkupKit .NET assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\Win64\NET\libv2\Chant.VoiceMarkupKit.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\Win64\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the VoiceMarkupKit .NET assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\Win64\NET\libv4\Chant.VoiceMarkupKit.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\Win64\NET\libv4\Chant.Shared.dll.

To access the VoiceMarkupKit .NET classes within your application, add references to the Chant shared and VoiceMarkupKit assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.VoiceMarkupKit;
using Chant.Shared;

Imports Chant.VoiceMarkupKit
Imports Chant.Shared
Class MainWindow
...

VoiceMarkupKit also includes Windows Forms compatible .NET assemblies that interface with .NET Framework System.Speech and Microsoft.Speech libraries for .NET Managed applications.

To access the VoiceMarkupKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the VoiceMarkupKit .NET assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\Win32\NET\libv4m\Chant.VoiceMarkupKit.Speech.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\Win32\NET\libv4m\Chant.Shared.Speech.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the VoiceMarkupKit .NET assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\Win64\NET\libv4m\Chant.VoiceMarkupKit.Speech.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\Win64\NET\libv4m\Chant.Shared.Speech.dll.

To access the VoiceMarkupKit .NET classes within your application targeting System.Speech or Microsoft.Speech with managed SAPI, add references to the Chant shared and VoiceMarkupKit Speech assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.VoiceMarkupKit.Managed;
using Chant.Shared.Managed;

Imports Chant.VoiceMarkupKit.Managed
Imports Chant.Shared.Managed
Class MainWindow
...

Platform Target

Set the project Platform target to either x86 for 32-bit application or x64 for 64-bit application as follows:

  • C#
  • VB .NET

Within your C# project

  1. Select the Build tab under project properties.
  2. Select x86 or x64 in the Platform target dropdown list.

Within your VB .NET Project

  1. Select the Compile tab under project properties.
  2. Press the Advanced Compile Options... button.
  3. Select x86 or x64 in the Target CPU dropdown list.

Object Instantiation

Declare a global variable for the ChantVM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.VoiceMarkupKit.NChantVM NChantVM1;
public MainWindow()
{
    InitializeComponent();
    // Instantiate NChantVM object
    NChantVM1 = new NChantVM();
    // Setup event callback handler
    NChantVM1.HasEvent += this.NChantVM1_HasEvent;
    // Set license properties
    NChantVM1.SetStringProperty(ChantStringProperty.CSPLicense, "ProductRegistrationNumber");
    NChantVM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantVM1 As NChantVM

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantVM1 = New NChantVM()

    ' Set license properties
    NChantVM1.SetStringProperty(ChantStringProperty.CSPLicense, "ProductRegistrationNumber")
    NChantVM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as there was an error.

  • C#
  • VB .NET
private void NChantVM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantVMEvent nChantVMEvent = NChantVM1.GetChantVMEvent();
    if (nChantVMEvent != null)
    {
        switch (nChantVMEvent.ChantCallback)
        {
            case ChantCallback.CCAPIError:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantVM1.RemoveEvent();
    }
}

Private Sub NChantVM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantVM1.HasEvent
    Dim nChantVMEvent As NChantVMEvent
    ' Get the event from the event queue
    nChantVMEvent = NChantVM1.GetChantVMEvent()
    if nChantVMEvent <> Nothing Then
        Select Case nChantVMEvent.ChantCallback
            Case ChantCallback.CCAPIError
                ...
        End Select
        ' Remove the event from the event queue
        NChantVM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system.

Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.VoiceMarkupKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NVoiceMarkupKit.dll to the target system.
  • Register NVoiceMarkupKit.dll as a COM library on the target system.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.VoiceMarkupKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NVoiceMarkupKitX64.dll to the target system.
  • Register NVoiceMarkupKitX64.DLL as a COM library on the target system.

Review the following checklist before deploying your .NET V4 and V4.5 Applications targeting System.Speech or Microsoft.Speech with managed SAPI:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.VoiceMarkupKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.VoiceMarkupKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.

Sample Projects

.NET Windows Forms sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\VoiceMarkupKit 5\Win32\NET WinForms\VS 2012\CSharp,
  • My Documents\Chant\VoiceMarkupKit 5\Win32\NET WinForms\VS 2012\Visual Basic,
  • My Documents\Chant\VoiceMarkupKit 5\Win32\NET WinForms\VS 2013\CSharp,
  • My Documents\Chant\VoiceMarkupKit 5\Win32\NET WinForms\VS 2013\Visual Basic,
  • My Documents\Chant\VoiceMarkupKit 5\Win32\NET WinForms\VS 2015\CSharp, and
  • My Documents\Chant\VoiceMarkupKit 5\Win32\NET WinForms\VS 2015\Visual Basic.
  • My Documents\Chant\VoiceMarkupKit 5\Win64\NET WinForms\VS 2012\CSharp,
  • My Documents\Chant\VoiceMarkupKit 5\Win64\NET WinForms\VS 2012\Visual Basic,
  • My Documents\Chant\VoiceMarkupKit 5\Win64\NET WinForms\VS 2013\CSharp,
  • My Documents\Chant\VoiceMarkupKit 5\Win64\NET WinForms\VS 2013\Visual Basic,
  • My Documents\Chant\VoiceMarkupKit 5\Win64\NET WinForms\VS 2015\CSharp, and
  • My Documents\Chant\VoiceMarkupKit 5\Win64\NET WinForms\VS 2015\Visual Basic.


VoiceMarkupKit .NET WPF Applications

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

.NET WPF Applications

You can develop .NET WPF applications that manage voice marupkit using your favorite .NET WPF development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating VoiceMarkupKit with .NET WPF applications.

VoiceMarkupKit Assemblies

VoiceMarkupKit includes WPF compatible .NET assemblies compiled with .NET Framework V3 and V4 to support your application's target framework.

To access the VoiceMarkupKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V3 applications, add references to the VoiceMarkupKit .NET assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\Win32\NET\libv2\Chant.VoiceMarkupKit.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\Win32\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the VoiceMarkupKit .NET assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\Win32\NET\libv4\Chant.VoiceMarkupKit.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\Win32\NET\libv4\Chant.Shared.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V3 applications, add references to the VoiceMarkupKit .NET assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\Win64\NET\libv2\Chant.VoiceMarkupKit.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\Win64\NET\libv2\Chant.Shared.dll.
  3. For .NET V4+ applications, add references to the VoiceMarkupKit .NET assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\Win64\NET\libv4\Chant.VoiceMarkupKit.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\Win64\NET\libv4\Chant.Shared.dll.

To access the VoiceMarkupKit .NET classes within your application, add references to the Chant shared and VoiceMarkupKit assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.VoiceMarkupKit;
using Chant.Shared;

Imports Chant.VoiceMarkupKit
Imports Chant.Shared
Class MainWindow
...

VoiceMarkupKit also includes WPF compatible .NET assemblies that interface with .NET Framework System.Speech and Microsoft.Speech libraries for .NET Managed applications.

To access the VoiceMarkupKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the VoiceMarkupKit .NET assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\Win32\NET\libv4m\Chant.VoiceMarkupKit.Managed.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\Win32\NET\libv4m\Chant.Shared.Managed.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the VoiceMarkupKit .NET assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\Win64\NET\libv4\Chant.VoiceMarkupKit.Managed.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\Win64\NET\libv4\Chant.Shared.Managed.dll.

To access the VoiceMarkupKit .NET classes within your application targeting System.Speech or Microsoft.Speech with managed SAPI, add references to the Chant shared and VoiceMarkupKit Speech assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.VoiceMarkupKit.Managed;
using Chant.Shared.Managed;

Imports Chant.VoiceMarkupKit.Managed
Imports Chant.Shared.Managed
Class MainWindow
...

Platform Target

Set the project Platform target to either x86 for 32-bit application or x64 for 64-bit application as follows:

  • C#
  • VB .NET

Within your C# project

  1. Select the Build tab under project properties.
  2. Select x86 or x64 in the Platform target dropdown list.

Within your VB .NET Project

  1. Select the Compile tab under project properties.
  2. Press the Advanced Compile Options... button.
  3. Select x86 or x64 in the Target CPU dropdown list.

Object Instantiation

Declare a global variable for the ChantVM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.VoiceMarkupKit.ChantVM ChantVM1;
public MainWindow()
{
    InitializeComponent();
    // Instantiate ChantVM object
    ChantVM1 = new ChantVM();
    // Setup event callback handler
    ChantVM1.HasEvent += this.ChantVM1_HasEvent;
    // Set license properties
    ChantVM1.SetStringProperty(ChantStringProperty.CSPLicense, "ProductRegistrationNumber");
    ChantVM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents ChantVM1 As ChantVM

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    ChantVM1 = New ChantVM(Me)

    ' Set license properties
    ChantVM1.SetStringProperty(ChantStringProperty.CSPLicense, "ProductRegistrationNumber")
    ChantVM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as there was an error.

  • C#
  • VB .NET
private void ChantVM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    ChantVMEvent nChantVMEvent = ChantVM1.GetChantVMEvent();
    if (nChantVMEvent != null)
    {
        switch (nChantVMEvent.ChantCallback)
        {
            case ChantCallback.CCAPIError:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        ChantVM1.RemoveEvent();
    }
}

Private Sub ChantVM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles ChantVM1.HasEvent
    Dim nChantVMEvent As ChantVMEvent
    ' Get the event from the event queue
    nChantVMEvent = ChantVM1.GetChantVMEvent()
    If nChantVMEvent <> Nothing Then
        Select Case nChantVMEvent.ChantCallback
            Case ChantCallback.CCAPIError
                ...
        End Select
        ' Remove the event from the event queue
        ChantVM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system.

Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.VoiceMarkupKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NVoiceMarkupKit.dll to the target system.
  • Register NVoiceMarkupKit.dll as a COM library on the target system.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.VoiceMarkupKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NVoiceMarkupKitX64.dll to the target system.
  • Register NVoiceMarkupKitX64.DLL as a COM library on the target system.

Review the following checklist before deploying your .NET Applications targeting System.Speech or Microsoft.Speech with managed SAPI:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.VoiceMarkupKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.VoiceMarkupKit.Managed.dll and Chant.Shared.Managed.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.

Sample Projects

.NET WPF sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\VoiceMarkupKit 5\Win32\NET WPF\VS 2012\CSharp,
  • My Documents\Chant\VoiceMarkupKit 5\Win32\NET WPF\VS 2012\Visual Basic,
  • My Documents\Chant\VoiceMarkupKit 5\Win32\NET WPF\VS 2013\CSharp,
  • My Documents\Chant\VoiceMarkupKit 5\Win32\NET WPF\VS 2013\Visual Basic,
  • My Documents\Chant\VoiceMarkupKit 5\Win32\NET WPF\VS 2015\CSharp, and
  • My Documents\Chant\VoiceMarkupKit 5\Win32\NET WPF\VS 2015\Visual Basic.
  • My Documents\Chant\VoiceMarkupKit 5\Win64\NET WPF\VS 2012\CSharp,
  • My Documents\Chant\VoiceMarkupKit 5\Win64\NET WPF\VS 2012\Visual Basic,
  • My Documents\Chant\VoiceMarkupKit 5\Win64\NET WPF\VS 2013\CSharp,
  • My Documents\Chant\VoiceMarkupKit 5\Win64\NET WPF\VS 2013\Visual Basic,
  • My Documents\Chant\VoiceMarkupKit 5\Win64\NET WPF\VS 2015\CSharp, and
  • My Documents\Chant\VoiceMarkupKit 5\Win64\NET WPF\VS 2015\Visual Basic.


VoiceMarkupKit Silverlight Applications

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

Silverlight Applications

You can develop Silverlight applications that manage voice markup using your favorite Silverlight development tools. This includes development environments such as Microsoft Visual C# .NET and Microsoft Visual Basic .NET.

The following sections describe the steps for integrating VoiceMarkupKit with Silverlight applications.

VoiceMarkupKit Assemblies

To access the VoiceMarkupKit Silverlight classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your Silverlight project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For Silverlight V5 applications, add references to the VoiceMarkupKit Silverlight assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\Win32\Silverlight\libv5\Chant.VoiceMarkupKit.Silverlight.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\Win32\Silverlight\libv5\Chant.Shared.Silverlight.dll.
  1. Within your Silverlight project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For Silverlight V5 applications, add references to the VoiceMarkupKit Silverlight assemblies:
    1. Program Files\Chant\VoiceMarkupKit 5\Win64\Silverlight\libv5\Chant.VoiceMarkupKit.Silverlight.dll and
    2. Program Files\Chant\VoiceMarkupKit 5\Win64\Silverlight\libv5\Chant.Shared.Silverlight.dll.

To access the VoiceMarkupKit Silverlight classes within your application, add references to the Chant shared and VoiceMarkupKit assemblies in your code:

  • C#
  • VB .NET
using System;
...
using Chant.VoiceMarkupKit.Silverlight;
using Chant.Shared.Silverlight;

Imports Chant.VoiceMarkupKit.Silverlight
Imports Chant.Shared.Silverlight
Class MainWindow
...

Out-of-Browser Settings

To run your Silverlight app out-of-browser, set the properties as follows:

  1. Within your Silverlight project, select the Silverlight tab under project properties.
  2. Select the checkbox: Enable application running out of the browser.
  3. Deselect the checkbox: Require elevated trust when running in-browser.
  4. Press the Out-of-Browser Settings... button.
  5. Select the checkbox: Required elevated trust when running outside the browser.

In-Browser Settings

To run your Silverlight app in-browser, set the properties as follows:

  1. Within your Silverlight project, select the Silverlight tab under project properties.
  2. Select the checkbox: Require elevated trust when running in-browser.
  3. Deselect the checkbox: Enable application running out of the browser.
  4. Select the Signing tab under project properties.
  5. Select the checkbox: Sign the Xap File.
  6. Press one of the three buttons to select a signing certificate:
    1. Select from Store... if you have installed a signing certificate on your system;
    2. Select from File... if you have a signing certificate file your system; or
    3. Create test certificate... if you do not have signing certificate on your system.
  7. Press the More Details... button to ensure you have installed Trusted Root and Publisher certificiates:
    1. Press the Install Certificate... button;
    2. Select Automatically ... option if you have Certificate installed in your store or Select Place ... option if you created a temp certificate for testing and press the Browse button;
    3. Select Trusted Root Certification Authorities and press the OK button; and
    4. Press the Next button.
    5. Repeat the process by Pressing the Install Certificate... button;
    6. Select Place ... option and press the Browse button;
    7. Select Trusted Publishers and press the OK button; and
    8. Press the Next button.
  8. Run regedit to add a Silverlight registery property AllowElevatedTrustAppsInBrowser with value of 1:
    1. Select the Start menu and enter regedit to launch the Registry Editor;
    2. For Win32 systems, navigate to HKEY_LOCAL_MACHINE\Software\Microsoft\Silverlight\;
    3. For Win64 systems, navigate to HKEY_LOCAL_MACHINE\Software\Wow6432Node\Microsoft\Silverlight\;
    4. Right click and select New->DWORD (32-bit) Value;
    5. Set the value name to AllowElevatedTrustAppsInBrowser;
    6. Set th value data to 1;
    7. Press the OK button; and
    8. Close the Registry Editor.

Object Instantiation

Declare a global variable for the ChantVM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.VoiceMarkupKit.Silverlight.NChantVM NChantVM1;
public MainPage()
{
    InitializeComponent();
    // Instantiate NChantVM object
    NChantVM1 = new NChantVM();
    // Setup event callback handler
    NChantVM1.HasEvent += this.NChantVM1_HasEvent;
    // Set license properties
    NChantVM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantVM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantVM1 As NChantVM

Private Sub UserControl_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantVM1 = New NChantVM()

    ' Set license properties
    NChantVM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantVM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as there was an error.

  • C#
  • VB .NET
private void NChantVM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantVMEvent nChantVMEvent = NChantVM1.GetChantVMEvent();
    if (nChantVMEvent != null)
    {
        switch (nChantVMEvent.ChantCallback)
        {
            case ChantCallback.CCAPIError:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantVM1.RemoveEvent();
    }
}

Private Sub NChantVM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantVM1.HasEvent
    Dim nChantVMEvent As NChantVMEvent
    ' Get the event from the event queue
    nChantVMEvent = NChantVM1.GetChantVMEvent()
    If nChantVMEvent <> Nothing Then
        Select Case nChantVMEvent.ChantCallback
            Case ChantCallback.CCAPIError
                ...
        End Select
        ' Remove the event from the event queue
        NChantVM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Silverlight application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.VoiceMarkupKit.Silverlight.dll and Chant.Shared.Silverlight.dll libraries to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NVoiceMarkupKit.dll to the target system.
  • Register NVoiceMarkupKit.dll as a COM library on the target system.
  • You may deploy your Silverlight application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.VoiceMarkupKit.Silverlight.dll and Chant.Shared.Silverlight.dll libraries to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NVoiceMarkupKitX64.dll to the target system.
  • Register NVoiceMarkupKitX64.dll as a COM library on the target system.


Markup Syntax Quick Reference

VoiceMarkupKit supports the following synthesizers and their markup formats:

Synthesizer | Speech API | Markup Syntax
Cepstral (all languages) | Cepstral Swift | W3C SSML
Microsoft SAPI 4 (all languages) | SAPI 4 | SAPI 4 Control Tags
Microsoft SAPI 5 (all languages) | SAPI 5 | SAPI 5 XML Markup, W3C SSML (SAPI 5.3+)
Microsoft Speech Platform (all languages) | MSP | W3C SSML
Microsoft Universal Windows Platform (all languages) | Windows Media | W3C SSML
Nuance RealSpeak Solo (all languages) | Nuance RealSpeak Solo | L&H Native Control Sequence, SAPI 5 XML Markup
Nuance Vocalizer Auotmotive (all languages) | Nuance Vocalizer Auotmotive | L&H Native Control Sequence, SAPI 5 XML Markup
Nuance Vocalizer Mobile (all languages) | Nuance Vocalizer Mobile | L&H Native Control Sequence
Nuance Vocalizer Network (all languages) | Nuance Vocalizer Network | L&H Native Control Sequence, SAPI 5 XML Markup, W3C SSML

Before you begin to markup text for synthesis, you should review the documentation provided by your speech synthesis engine vendor. The following sections provide a quick reference for the following markup syntax:

  • Nuance L&H Native Control Sequence
  • Microsoft SAPI 4 Control Tags,
  • Microsoft SAPI 5 XML Markup, and
  • W3C Speech Synthesis Markup Language.


Native Control Sequence

The Nuance L&H Native Control Sequence markup provides a syntax for controlling text pronunciation. Some of the control sequence tags follow these general rules of syntax:

        <ESC> \ <parameter> = <value> \

where

  • <ESC> represents the escape character “\x1B”
  • <parameter> is the name of the control parameter that the control sequence affects
  • <value> is the value you want to assign to the control parameter.

A value that is set with a control sequence, remains active until another control sequence sets a new value, or until the end of the input text. Note that control sequences should be located outside of words; when entered inside a word they will break the word into two words.

The following Native Control Sequence may be used to markup text for Nuance RealSpeak Solo, Vocalizer Automotive, Mobile and Network voices:

  • Nuance RealSpeak Solo Nuance Vocalizer for Network sent_accent
  • Nuance Vocalizer for Automotive Nuance Vocalizer Epressive Nuance Vocalizer for Network Nuance RealSpeak Solo audio
  • Nuance RealSpeak Solo Nuance Vocalizer mrk
  • Nuance RealSpeak Solo Nuance Vocalizer cmt
  • Nuance RealSpeak Solo C
  • Nuance RealSpeak Solo E
  • Nuance Vocalizer for Network domain
  • Nuance Vocalizer for Network p
  • Nuance RealSpeak Solo @c
  • Nuance RealSpeak Solo Nuance Vocalizer Pause
  • Nuance RealSpeak Solo %x
  • Nuance RealSpeak Solo Nuance Vocalizer /+
  • Nuance RealSpeak Solo Nuance Vocalizer for Network rate
  • Nuance RealSpeak Solo Nuance Vocalizer rate_wpm
  • Nuance RealSpeak Solo Nuance Vocalizer for Network Mx, readmode
  • Nuance RealSpeak Solo Nuance Vocalizer for Network F, rst
  • Nuance RealSpeak Solo Nuance Vocalizer tn
  • Nuance RealSpeak Solo Nuance Vocalizer voice
  • Nuance RealSpeak Solo Nuance Vocalizer vol
  • Nuance RealSpeak Solo Wx

Source: RealSpeak V4.0.1 January 2006 Nuance Communications User’s Guide for American English


Native Control Sequence Accent

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>\sent_accent\

The sentence accent control sequence requests that the following text be spoken with prominence or stress.

<ESC>\sent_accent\John is coming tomorrow. (i.e. not Jim)
John is coming <ESC>\sent_accent\tomorrow. (i.e. not today)


Native Control Sequence Audio

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>\audio="src"\

The audio element enables the insertion of recorded audio files and the insertion of other audio formats in conjunction with synthesized speech output.

<ESC>\audio="welcome.wav"\What city do you want to fly from?

Parameters

src

The URI of the audio source.


Native Control Sequence Bookmark

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>\mrk=n\

The bookmark control sequence places a marker to generate an event when synthesized.

Go from <ESC>\mrk=1\ here, to <ESC>\mrk=10\ there!

Parameters

n

A numeric value to return with the mark event. Valid values range from 0 to 4294967295.


Native Control Sequence Comment

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>\cmt=...\

The comment control sequence embeds a comment in the text. Comments are not translated into speech.

<ESC>\cmt=This is a comment.\


Native Control Sequence Continuation

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>C

The continuation control sequence eliminates a potential pause in speech. The may be necessary due to punctuation.

180 Park Ave. <ESC>C Room 24


Native Control Sequence End of Message

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>E

The end of message control sequence forces the system to read the entire input as separate sentences. This may be necessary when abbreviations are at the end of the sentence.

Tom lives in the U.S. <ESC>E So does John.


Native Control Sequence Extension

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>\domain=s\

The extension control sequence indicates the name of an extension to use when synthesizing or disables an extension. It is only applicable if a custom g2p has been loaded.

<ESC>\domain="germanaccent"\
Begin speaking with a german accent.
<ESC>\domain\

Parameters

s

The string name of the extension.


Native Control Sequence Paragraph

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>\p\

The paragraph control sequence inserts a paragraph boundary.

This is the first sentence of the paragraph. This is the last sentence of the paragraph. <ESC>\p\


Native Control Sequence Part of Speech

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>@c

The part of speech control sequence ensure the word is spoken in the appropriate grammatical context.

The new <ESC>@N record hit the charts at number one.
Please <ESC>@V record your message after the beep.
You can <ESC>@V read this article for a new prespective.
After having <ESC>@R read the article, John had a new perspective.

Parameters

c

Character. Indicates the part of speech which may be one of the following:

  • N = noun
  • J = adjective
  • A = adverb
  • V = verb
  • R = past participle


Native Control Sequence Pause

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>\pause=xxx\

The pause control sequence controls the pausing or other prosodic boundaries between words.

Take a deep breath <ESC>\pause=2000\ then continue.
Press 1 or wait for the tone. <ESC>\pause=3000\
I didn't hear you! <ESC>\pause=1000\ Please repeat.

Parameters

xxx

Number. Indicates the duration of a pause to be inserted in the output in milliseconds. Valid values range from 1 to 2^32 - 1.


Native Control Sequence Preprocessing Mode

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>%x

The preprocessing mode control sequence indicates the context in which to extract the text for synthesis.

<ESC>%text Author: Peter Gibbons.
<ESC>%email Author: Peter Gibbons

Parameters

x

String. Indicates the preprocessing mode which may be one of the following:

  • text = standard text mode
  • email = e-mail mode


Native Control Sequence Pronunciation

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>/+

The pronunciation control sequence indicates a phonetic pronunciation of the words to use when synthesizing speech from the text.

<ESC>/+‘fa&Il<ESC>/+


Native Control Sequence Rate

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>\rate=x\

The rate control sequence specifies the speech rate.

I can<ESC>\rate=150\ speed up the rate <ESC>\rate=75\ or
slow it down.

Parameters

x

Number. The speech rate that may range from 0 to 400. Default value is 100.


Native Control Sequence Rate Words Per Minute

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>\rate_wpm=xxx\

The ratewpm control sequence indicates the speech rate in words per minute.

I can <ESC>\rate_wpm=350\ speed up the rate
<ESC>\rate_wpm=110\ or slow it down.

Parameters

xxx

Number. The voice-specific words per minute that may range from 1 to 1000.


Native Control Sequence Read Mode

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>Mx, <ESC>\readmode=x\

The read mode control sequence indicates how the text is interprested and read aloud. The following illustrates the syntax for RealSpeak Solo:

<ESC>M0 Apples
(The word "Apples" will be spelled.)
<ESC>M1 Please buy green apples.
(This sentence will be read word by word.)
<ESC>M2 Please buy green apples. You can also get pears.
(This input will be read sentence by sentence.)
<ESC>M3
Bananas
Low-fat milk
Whole wheat flour
(This input will be read line by line.)

Parameters

x

Number. Indicates the reading mode which may be one of the following:

  • 0 = spelled
  • 1 = word-byword
  • 2 = sentence-by-sentence
  • 3 = line-by-line

The following illustrates the syntax for Vocalizer for Network:

<ESC>\readmode=char\ Apples
(The word "Apples" will be spelled.)
<ESC>\readmode=word\ Please buy green apples.
(This sentence will be read word by word.)
<ESC>\readmode=sent\ Please buy green apples. You can also get pears.
(This input will be read sentence by sentence.)
<ESC>\readmode=line\
Bananas
Low-fat milk
Whole wheat flour
(This input will be read line by line.)

Parameters

x

String. Indicates the reading mode which may be one of the following:

  • sent = Sentence mode (the default)
  • char = Character mode (similar to spelling)
  • word = Word-by-word mode
  • line = line-by-line
  • explicit_eos - Explicit end-of-sentence mode (sentence breaks only where indicated by \eos=1\)


Native Control Sequence Reset

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>F, <ESC>\rst\

The reset control sequence adjusts the previous control sequence to the default value. The following illustrates the syntax for RealSpeak Solo:

<ESC>\vol=10\ The volume is set to a low value. <ESC>F
Now it is reset to its default value.
<ESC>\rate=10\ The rate is set to a low value. <ESC>F Now it
is reset to its default value.

The following illustrates the syntax for Vocalizer for Network:

<ESC>\vol=10\ The volume is set to a low value. <ESC>\rst\
Now it is reset to its default value.
<ESC>\rate=10\ The rate is set to a low value. <ESC>\rst\ Now it
is reset to its default value.


Native Control Sequence Text Normalization

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>\tn=x\

The text normalization control sequence indicates the mode to use when interpreting text.

<ESC>\tn=address\ 244 Perryn Rd
Ithaca, NY <ESC>\tn=normal\
That’s spelled
<ESC>\tn=spell\Ithaca<ESC>\tn=normal\

Parameters

x

String. Indicates the text normalization mode which may be one of the following:

  • address = address mode
  • normal = standard mode
  • spell = spell mode


Native Control Sequence Voice

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>\voice="s"\

The voice control sequence requests a change in speaking voice.

<ESC>\voice="Nuance Tom_Full_22kHz"\Hello. My name is Tom. What is yours?

Parameters

s

String. The name of the voice to speak the text.


Native Control Sequence Volume

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>\vol=x\

The volume control sequence adjusts audio level of the speech output.

<ESC>\vol=10\ I can speak rather quietly, <ESC>\vol=90\
but also very loudly.

Parameters

x

Number. The speech volume that may range from 0 to 100.


Native Control Sequence Wait

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<ESC>Wx

The break element is an empty element that controls the pausing or other prosodic boundaries between words.

<ESC>W2 There will be a short wait period after this sentence.
<ESC>W9 This sentence will be followed by a long wait period. Did you notice the difference?

Parameter

x

Number. A numeric digit representing the number of 200 millisecond pauses (x * 200). Valid values are 0 (0 milliseconds) through 9 (1800 milliseconds).


Microsoft SAPI 4 Control Tags

SAPI 4 Text-to-speech control tags follow these general rules of syntax:

  • All tags begin and end with a backslash character (\).
  • The backslash character is not allowed within a tag.
  • An odd number of backslash characters in tagged text produce undefined behavior in the engine.
  • Tags are case-insensitive. For example, \vce\ is the same as \VCE\.
  • Tags are white-space -- dependent. For example, \Rst\ is not the same as \ Rst \.
  • To include a backslash character in tagged text, but outside a tag, use a double backslash (\\).
  • If your application has the tagged text bit on and wishes to speak a filename, such as "c:\windows\system\test.txt", then it should double up the backslashes (e.g., "c:\\windows\\system\\test.txt").

When the text-to-speech engine encounters a tag it does not understand, the tag is ignored.

Tags are persistent from one call to another. For example, if the \ctx="e-mail"\ tag is passed to an engine that supports that tag, the engine stays in the "e-mail" context until another tag changes the context.

Chr

Sets the character of the voice. The default characteristic is "Normal," which produces a normal tone of voice.

\Chr="Angry"\

Although the Chr tag is less specific than setting the inflection, stress, attack, and whispering qualities individually, it is easier to use and allows the engine more flexibility and intelligence in its response.

Several characteristics can be specified in the same tag, separated by commas. Depending on its capabilities, an engine may not support all of the characteristics listed here, or it may support additional characteristics.

Some common characteristics are the following: "Angry", "Business", "Calm", "Depressed", "Excited", "Falsetto", "Happy", "Loud", "Monotone", "Perky", "Quiet", "Sarcastic", "Scared", "Shout", "Tense", and "Whisper".

Com

Embeds a comment in the text. Comments are not translated into speech.

\com="This is a comment."\

Ctx

Sets the context for the text that follows, which determines how symbols are spoken.

\ctx="Unknown"\

This parameter can be one of the following values:

Context | Description
Address | Addresses and/or phone numbers
C | Code in the C or C++ programming language
Document | Text document
E-Mail | Electronic mail
Numbers | Numbers, dates, times, and so on
Spreadsheet | Spreadsheet document
Unknown | Context is unknown (default)
Normal | Normal/default speech mode

Dem

De-emphasizes the next word.

Emp

Emphasizes the next word to be spoken.

Eng

Embeds an engine-specific command that affects only the engine with the specified globally unique identifier (GUID). Subsequent engine-specific tags for that engine can omit the GUID until an engine-specific tag for a different engine is used.

Mrk

Indicates a bookmark in the text. When the text-to-speech engine encounters this tag, it notifies your application with callback event.

\Mrk=75000\

Bookmarks have a DWORD range, and the Mrk tag accepts a decimal representation. Bookmark number zero (\Mrk=0\) is reserved; a callback event is not sent for bookmark number zero.

Pau

Pauses speech for the specified number of milliseconds.

\Pau=1000\

Pit

Sets the baseline pitch of the text-to-speech mode to the specified value in hertz.

\Pit=90\

The actual pitch fluctuates above and below this baseline. Embedding a Pit tag in text is the same as calling the [SetPitch] function.

Pra

Sets the pitch range.

Prn

Indicates how to pronounce text by passing the phonetic equivalent to the engine.

\Prn=tomato=tomaato\

Using the Prn tag without specifying the word pronunciation (\Prn=text\) will undo the changes to the pronunciation; that is, it will return the word to the original pronunciation.

This tag is valid only for engines that support the International Phonetic Alphabet. The engine should continue to use this pronunciation for the current text-to-speech mode and should store the pronunciation in its lexicon for later use. If a lexicon entry already exists for a particular word, the Prn tag should be ignored for that word.

Pro

Activates and deactivates prosodic rules, which affect pitch, speaking rate, and volume of words independently of control tags embedded in the text. Prosodic rules are applied by the engine.

\Pro=0\

The value indicates whether to activate or deactivate prosodic rules. Setting [the value] to 1, the default value, activates prosodic rules. Setting [the value] to 0 deactivates prosodic rules.

Prosody does not have a corresponding attribute interface as speed and pitch do. If the engine supports control of prosody, use the Pro tag.

Prt

Indicates the part of speech of the next word.

\prt="Abbr"\

This parameter can be one of these values:

Part of Speech | Description
Abbr | Abbreviation
Adj | Adjective
Adv | Adverb
Card | Cardinal number
Conj | Conjunction
Cont | Contraction
Det | Determiner
Interj | Interjection
N | Noun
Ord | Ordinal number
Prep | Preposition
Pron | Pronoun
Prop | Proper noun
Punct | Punctuation
Quant | Quantifier
V | Verb

RmS

Sets reading mode to spelling out each letter of each word, or turns it off. Not all engines support this tag, so an application can get more consistent results by normalizing the text itself and putting spaces between letters.

\RmS=0\

Value indicates whether to spell out each letter of each word. Setting [the value] to 1 sets reading mode to spelling out each letter of each word. Setting [the value] to 0, the default, turns it off.

RmW

Sets reading mode to leaving audible pauses between each word, or turns it off. Not all engines support this tag, so an application can get more consistent results by normalizing the text itself and putting periods between words.

\RmW=0\

Value indicates whether to leave audible pauses between each word. Setting number to 1 sets reading mode to leave audible pauses between each word. Setting number to 0, the default, turns it off.

RPit

Sets the relative pitch. 100 is the default/original for the voice.

\RPit=100\

RPrn

Sets the relative pitch range. 100 is the default/original for the voice.

\RPrn=100\

RSpd

Sets the relative speed. 100 is the default/original for the voice.

\RSpd=100\

Rst

Resets the engine to the default settings for the current mode, as though the mode had just been re-created.

Spd

Sets the baseline average talking speed of the text-to-speech mode to the specified number of words per minute.

\Spd=120\

Vce

Instructs the engine to change its speaking voice to one that has the specified characteristics. The voice characteristics change as though a new mode object were created (using that voice) and used. The pitch, speed, volume, etc. revert to the defaults for the new voice.

\Vce=charact=value[[,charact=value]]\

The character can be one of these values:

Character Value | Description
Language | Requests the engine speak in the specified language
Accent | Requests the engine speak in the specified accent.
Dialect | Requests the engine speak in the specified dialect.
Gender | Specifies the gender of the voice: "Male", "Female", or "Neutral".
Speaker | Specifies the name of the voice, or NULL if the name is unimportant.
Age | Specifies the age of the voice, which can be: "Baby", "Toddler", "Child", "Adolescent", "Adult", or "Elderly".
Style | The personality of the voice -- for example: "Business", "Casual", "Computer", "Excited", or "Singsong".

Vol

Sets the baseline speaking volume for the text-to-speech mode. The volume level is a linear range from 0 for absolute silence to 65535 for the maximum monaural volume. The default is 65535.

\Vol=32768\

If you specify a value greater than 65535, the engine assumes that you want to set the left and right channels separately and converts the value to a double word, using the low word for the left channel and the high word for the right channel.

For example, a value of 65536 sets the left channel to the maximum baseline speaking volume and the right channel to the minimum. Embedding a Vol tag in text is similar to calling the [SetVolume] function.

Source: Microsoft Speech API 4.0 SDK


Microsoft SAPI 5 XML Markup

Microsoft SAPI 5 specifies a text-to-speech (TTS) markup format using Extensible Markup Language (XML). A SAPI 5 compliant TTS engine (i.e., voice) transforms the XML to adjust how speech is synthesized from text.

Refer to the Microsoft Speech SDK 5.1 for more information about SAPI 5 speech synthesis.

The following topics provide an overview of SAPI 5 text-to-speech markup format for constructing TTS grammars with Chant® VoiceMarkupKit:

  • Extensible Markup Language (XML), and
  • Grammar Elements and Attributes.


SAPI 5 Extensible Markup Language (XML)

Extensible Markup Language (XML) allows you to mark up data. That is, the language allows you to apply semantic and organizational structure to data. XML is very flexible and powerful, since the markup language can be anything you want it to be within the XML markup rules.

XML consists of elements, element attributes, and element relationships. The markup rules that describe elements, attributes, and element relationships are defined in an XML schema.

XML expresses elements using tags. Tags are text representation of elements. Element types have names enclosed within less than and greater than signs (e.g., <XMLElement>). Elements may have attributes that are assigned values within the tag (e.g., <XMLElement anAttribute="value"/>). Elements may also have text associated with them. Element text is declared between begin and end tag syntax (e.g., <XMLElement>element text</XMLElement>).

Microsoft SAPI 5 defines a TTS markup grammar XML schema as part of the specification. This schema definition defines the XML elements, attributes, and element relationships to use when creating SAPI 5 TTS grammars.

For more information about XML, consult the World Wide Web Consortium Web site.


SAPI 5 TTS Grammar Elements and Attributes

SAPI 5 TTS grammars are expressed with XML elements and attributes. The following SAPI 5 grammar elements may be used to construct TTS grammars:

  • <BOOKMARK>,
  • <!--COMMENT-->,
  • <CONTEXT>,
  • <EMPH>,
  • <LANG>,
  • <PARTOFSP>,
  • <PITCH>,
  • <PRON>,
  • <RATE>,
  • <SAPI>,
  • <SILENCE>,
  • <SPELL>,
  • <VOICE>, and
  • <VOLUME>.


SAPI 5 Bookmark Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<BOOKMARK>

A bookmark is a marker to generate an event when synthesized.

<SAPI>
    <BOOKMARK MARK="fairy_tale_start"/>
    Once upon a time.

    And they lived happily ever after.
    <BOOKMARK MARK="fairy_tale_end"/>
</SAPI>

Attributes

MARK

A string or integer value to return with the bookmark event.

Children

none

Parents

<SAPI>


SAPI 5 SSML Comment Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<!--COMMENT-->

A comment contains text between the comment begin and end tags. Comment elements are for your benefit as a markup author. They do not affect the synthesis.

<SAPI>
    <!-- This is a comment -->
</SAPI>

Attributes

none

Children

none

Parents

Any


SAPI 5 Context Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<CONTEXT>

A context defines the type of normalization rules to apply to the text. The SAPI 5 specification defines context identifiers. The implementation may vary among TTS engines (i.e., voices).

<SAPI>
    <CONTEXT ID="date_mdy"> 01/02/03 </CONTEXT> <!-- January second oh three -->
    <CONTEXT ID="date_dmy"> 01/02/03 </CONTEXT> <!-- February first oh three -->
    <CONTEXT ID="date_ymd"> 01/02/03 </CONTEXT> <!-- February third oh one -->
    <CONTEXT ID="date_ym"> 03-02 </CONTEXT> <!-- February oh three -->
    <CONTEXT ID="date_ym"> 2003-02 </CONTEXT> <!-- February two thousand three -->
    <CONTEXT ID="date_my"> 02/03 </CONTEXT> <!-- February oh three -->
    <CONTEXT ID="date_my"> 02/2003 </CONTEXT> <!-- February two thousand three -->
    <CONTEXT ID="date_dm"> 02/03 </CONTEXT> <!-- March second -->
    <CONTEXT ID="date_md"> 02/03 </CONTEXT> <!-- February third -->
    <CONTEXT ID="date_year"> 2003 </CONTEXT> <!-- two thousand three -->
    <CONTEXT ID="time"> 02:30 </CONTEXT> <!-- two thirty -->
    <CONTEXT ID="time"> 2'30" </CONTEXT> <!-- two minutes thirty seconds -->
    <CONTEXT ID="number_cardinal"> 235 </CONTEXT> <!-- two hundred thirty five-->
    <CONTEXT ID="number_digit"> 235 </CONTEXT> <!-- two three five -->
    <CONTEXT ID="number_fraction"> 2/5 </CONTEXT> <!-- two fifths -->
    <CONTEXT ID="number_decimal"> 2.5 </CONTEXT> <!-- two point five -->
    <CONTEXT ID="phone_number"> (310) 410-9895 </CONTEXT> <!-- TTS Engine specific -->
    <CONTEXT ID="currency"> $2.30 </CONTEXT> <!-- TTS Engine specific -->
    <CONTEXT ID="web_url"> http://www.chant.net </CONTEXT> <!-- TTS Engine specific -->
    <CONTEXT ID="email_address"> support@chant.net </CONTEXT> <!-- TTS Engine specific -->
    <CONTEXT ID="address"> 5601 W Slauson Ave, Suite 158, Culver City, CA 90230 </CONTEXT> <!-- TTS Engine specific -->
    <CONTEXT ID="address_postal">4G3 2F9 </CONTEXT> <!-- TTS Engine specific -->
</SAPI>

Attributes

ID

Specifies the context identifier for how text should be normalized when synthesized.

Children

none

Parents

<SAPI>


SAPI 5 Emph Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<EMPH>

A emph element places emphasis on the text contained within the element.

<SAPI>
    <EMPH>Ouch!</EMPH> That <EMPH>hurts!</EMPH>
</SAPI>

Attributes

none

Children

none

Parents

<SAPI>


SAPI 5 Lang Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<LANG>

A lang element is a constant value identifier for the rule. The implementation is TTS engine (i.e., voice) specific.

<SAPI>
    <LANG LANGID="409">This is the US English language</LANG>
    <LANG LANGID="9">This is the English Language</LANG>
</SAPI>

Attributes

LANGID

Defines the language identifier of text. A language identifier is specified as a hexadecimal value. For example, the LANGID for English (US) as a hexadecimal value is 409.

Children

none

Parents

<SAPI>


SAPI 5 Partofsp Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<PARTOFSP>

A part of speech identifier helps the synthesizer interpret the text by defining the part of speech of a word.

<SAPI>
    Driving to <PARTOFSP PART="NOUN"> work </PARTOFSP> is nice when traffic is light.
    Otherwise, you have to <PARTOFSP PART="VERB"> work </PARTOFSP> at navigating through traffic.
</SAPI>

Attributes

PART

Defines the part of speech for a word. Valid SAPI parts of speech are: noun, verb, modifier, function, interjection and unknown.

Children

none

Parents

<SAPI>


SAPI 5 Pitch Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<PITCH>

A pitch element defines level above or below baseline for the voice to use when speaking the text.

<SAPI>
    PITCH ABSMIDDLE="5">
        This text is spoken higher than the baseline at a pitch of five.
        <PITCH ABSMIDDLE="-5">
            This is spoken lower than the baseline at a pitch of negative five.
        </PITCH>
    </PITCH>
    <PITCH ABSMIDDLE="0"/>
    All remaining text is spoken normally at a baseline pitch of zero.

    <PITCH MIDDLE="5">
        This text is spoken higher than the baseline at a pitch of five.
        <PITCH MIDDLE="-5">
            This text is spoken normally at a baseline pitch of zero.
        </PITCH>
    </PITCH>
    All remaining text is spoken normally at a baseline pitch of zero.
</SAPI>

Attributes

ABSMIDDLE

Specifies the baseline pitch of the voice. The value can range from -10 to +10. When scoped, this attribute is absolute.

MIDDLE

Specifies the baseline rate of the voice. The value can range from -10 to +10. When scoped, this attribute is relative.

Children

none

Parents

<SAPI>


SAPI 5 Pron Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<PRON>

A pron element represents a phonetic pronunciation of the words for the voice to use when synthesizing the text.

<SAPI>
    5601 <PRON SYM="w eh s t">W</PRON> <PRON SYM="s l ao s ah n">Slauson</PRON> Ave.
    <SILENCE MSEC ="500"/>
    Suite <CONTEXT ID="number_digit">158</CONTEXT>
    <SILENCE MSEC ="500"/>
    Culver City, <PRON SYM="k ae l eh f ao r n y ax">CA</PRON><CONTEXT ID="number_digit">90230</CONTEXT>.
</SAPI>

Attributes

SYM

String representing the phonemes to use in formulating the pronunciation when synthesizing.

Children

none

Parents

<SAPI>


SAPI 5 Rate Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<RATE>

Rate defines the relative speaking speed for the voice to use when speaking the text.

<SAPI>
    <RATE ABSSPEED="5">
        This text is spoken above the baseline at rate of five.
        <RATE ABSSPEED="-5">
            This text is spoken below the baseline at rate of negative five.
        </RATE>
    </RATE>
    <RATE ABSSPEED="0"/>
    All remaining text is spoken normally at the baseline level.

    <RATE SPEED="5">
        This text is spoken above the baseline at rate of five.
        <RATE SPEED="-5">
            This text is spoken normally at the baseline level.
        </RATE>
    </RATE>
    All remaining text is spoken normally at the baseline level.
</SAPI>

Attributes

ABSSPEED

Specifies the baseline rate of the voice. The value can range from -10 to +10. A value of 0 sets a voice to speak at its default rate. When scoped, this attribute is absolute.

SPEED

Specifies the baseline rate of the voice. The value can range from -10 to +10. A value of 0 sets a voice to speak at its default rate. When scoped, this attribute is relative.

Children

none

Parents

<SAPI>


SAPI 5 Sapi Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<SAPI>

A <SAPI> element is the root element of a SAPI 5 TTS grammar. It defines the beginning and end of the text markup. This element is not required for text with XML markup passed to the synthesizer. However, it is required to edit and validate TTS XML grammar.

<SAPI>
    Validate this <SPELL>XML</SPELL> please.
</SAPI>

Attributes

none

Children

<BOOKMARK>, <CONTEXT>, <EMPH>, <LANG>, <PARTOFSP>, <PITCH>, <PRON>, <RATE>, <SAPI>, <SILENCE>, <SPELL>, <VOICE>, and <VOLUME>.

Parents

<SAPI>

Copyright © 1996-2016 Chant Inc. All rights reserved.


SAPI 5 Silence Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<SILENCE>

A silence element adds silence to the playback.

<SAPI>
    Let us observe five seconds of silence. <SILENCE MSEC ="5000"/> Thank you.
</SAPI>

Attributes

MSEC

Defines the number of milliseconds of silence from 0 to 65535.

Children

none

Parents

<SAPI>


SAPI 5 Spell Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<SPELL>

A spell element indicates the voice spells the words contained in the text.

<SAPI>
    <SPELL>
        The words in this sentence are spelled.
    </SPELL>
    The words in this sentence are not.
</SAPI>

Attributes

none

Children

none

Parents

<SAPI>


SAPI 5 Voice Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<VOICE>

A voice element identifies the voice (synthesizer) requested for speech synthesis. The attributes are TTS engine (i.e., voice) specific.

<SAPI>
    <VOICE REQUIRED="Gender=Female;Age=Adult"/>
    Hi.  I'm an adult female.
</SAPI>

Attributes

OPTIONAL

Specifies a list of semicolon-delimited strings representing the optional attributes SAPI uses to select a voice.

REQUIRED

Specifies a list of semicolon-delimited strings representing the required attributes SAPI uses to select a voice. Speech synthesis will fail if the SAPI cannot find a voice that matches the required attributes.

Children

none

Parents

<SAPI>


SAPI 5 Volume Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<VOLUME>

Volume is the playback audio level.

<SAPI>
    <VOLUME LEVEL="20">
        This text is spoken softly at level twenty.
        <VOLUME LEVEL ="100">
            This text is spoken loudly at max volume level of one hundred.
        </VOLUME>
    </VOLUME>
    <VOLUME LEVEL="50"/>
    All remaining text is spoken normally at volume level of fifty.
</SAPI>

Attributes

LEVEL

A value between 0 and 100. The default base volume for all voices is 100.

Children

none

Parents

<SAPI>


W3C Speech Synthesis Markup Language

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

W3C Speech Synthesis Markup Language (SSML)

The W3C Speech Synthesis Markup Language (SSML) specification is based upon the JSGF and/or JSML specifications, which are owned by Sun Microsystems, Inc., California, U.S.A.

Refer to the latest version of the Speech Synthesis Markup Language (SSML) Version 1.0 specification for more information about W3C SSML.

W3C SSML grammars are expressed with XML elements and attributes. The following W3C SSML grammar elements may be used to construct TTS grammars:

  • <audio>
  • <break>
  • <<!--comment-->
  • <desc>
  • <emphasis>
  • <lexicon>
  • <mark>
  • <meta>
  • <metadata>
  • <p>
  • <phoneme>
  • <prosody>
  • <s>
  • <say-as>
  • <speak>
  • <sub>
  • <voice>

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Audio Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<audio>

The audio element enables the insertion of recorded audio files and the insertion of other audio formats in conjunction with synthesized speech output.

<?xml version="1.0"?>
<speak version="1.0" xmlns="http://www.w3.org/2001/10/synthesis"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                   http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
         xml:lang="en-US">

  <audio src="prompt.au">What city do you want to fly from?</audio>
  <audio src="welcome.wav">
    <emphasis>Welcome</emphasis> to the Voice Portal.
  </audio>
</speak>

Attributes

src

The URI of the audio source.

Children

<audio>, <break>, <desc>, <emphasis>, <mark>, <p>, <phoneme>, <prosody>, <say-as>, <sub>, <s>, <voice>.

Parents

<speak>

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Break Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<break>

The break element is an empty element that controls the pausing or other prosodic boundaries between words.

<?xml version="1.0"?>
<speak version="1.0" xmlns="http://www.w3.org/2001/10/synthesis"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                   http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
         xml:lang="en-US">

  Take a deep breath <break/> then continue.
  Press 1 or wait for the tone. <break time="3s"/>
  I didn't hear you! <break strength="weak"/> Please repeat.
</speak>

Attributes

strength

Optional. Indicates the strength of the prosodic break in the speech output. The value "none" indicates that no prosodic break boundary should be outputted, which can be used to prevent a prosodic break which the processor would otherwise produce. Valid values include: "none", "x-weak", "weak", "medium" (default value), "strong", or "x-strong".

time

Optional. Indicates the duration of a pause to be inserted in the output in seconds or milliseconds. It follows the time value format from the Cascading Style Sheets Level 2 Recommendation [CSS2] (e.g. "250ms", "3s").

Children

none

Parents

<speak>

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Comment Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<!--comment-->

The comment element contains text between the comment begin and end tags. Comment elements are for your benefit as a markup author. They do not affect the synthesis.

<?xml version="1.0"?>
<speak version="1.0" xmlns="http://www.w3.org/2001/10/synthesis"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                   http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
         xml:lang="en-US">

    <!-- This is a comment -->
</speak>

Attributes

none

Children

none

Parents

Any

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Desc Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<desc>

The desc element provides descriptive information about an audio source. For example, when the audio source referenced in audio element is not speech (e.g. sound effect), it should contain a desc element whose textual content is a description of the audio source (e.g. "door slamming").

<?xml version="1.0"?>
<speak version="1.0" xmlns="http://www.w3.org/2001/10/synthesis"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                   http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
         xml:lang="en-US">

  <audio src="ichbineinberliner.wav">If you could hear it, this would be
  a recording of John F. Kennedy speaking in Berlin.
    <desc>Kennedy's famous German language gaffe</desc>
  </audio>
</speak>

Attributes

xml:lang

Optional. Indicates the natural language of the enclosing element and its attributes and subelements.

Children

none

Parents

<audio>

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Emphasis Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<emphasis>

The emphasis element requests that the contained text be spoken with prominence or stress.

<?xml version="1.0"?>
<speak version="1.0" xmlns="http://www.w3.org/2001/10/synthesis"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                   http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
         xml:lang="en-US">

  That is a <emphasis> big </emphasis> car!
  That is a <emphasis level="strong"> huge </emphasis> bank account!
</speak>

Attributes

level

Optional. Specifies the the strength of emphasis to be applied. Valid values include "strong", "moderate" (default), "none" and "reduced".

Children

<audio>, <break>, <emphasis>, <mark>, <phoneme>, <prosody>, <say-as>, <sub>, <voice>.

Parents

<audio>, <emphasis>, <p>, <prosody>, <s>, <speak>, <voice>.

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Lexicon Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<lexicon>

The lexicon element serves as a reference to a document of pronunciations. The pronunciation information contained within a lexicon is used for tokens appearing within the referencing document. Any number of lexicon elements may occur as immediate children of the speak element.

<?xml version="1.0"?>
<speak version="1.0"
       xmlns="http://www.w3.org/2001/10/synthesis"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                 http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
       xml:lang="en-US">

  <lexicon uri="http://www.example.com/lexicon.file"/>
  <lexicon uri="http://www.example.com/strange-words.file" type="media-type"/>

</speak>

Attributes

type

Optional. Specifies the media type of the pronunciation lexicon document.

uri

The URI of the lexicon document.

Children

none

Parents

<speak>

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Mark Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<mark>

The mark element is an empty element that places a marker to generate an event when synthesized.

<?xml version="1.0"?>
<speak version="1.0" xmlns="http://www.w3.org/2001/10/synthesis"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                   http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
         xml:lang="en-US">

Go from <mark name="here"/> here, to <mark name="there"/> there!

</speak>

Attributes

name

A token value to return with the mark event.

Children

none

Parents

<audio>, <emphasis>, <p>, <prosody>, <speak>, <s>, <voice>.

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Meta Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<meta>

The meta element serves as a container for descriptive information about the document that is not synthesized.

<?xml version="1.0"?>
<speak version="1.0"
       xmlns="http://www.w3.org/2001/10/synthesis"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                 http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
       xml:lang="en-US">

       <meta name="seeAlso" content="http://example.com/my-ssml-metadata.xml"/>
       <meta http-equiv="Cache-Control" content="no-cache"/>

</speak>

Attributes

content

Information related to the value in the name or http-equiv attributes.

http-equiv

Reference to desciptive information about the document. Either a name or http-equiv attribute is required.

name

Reference to desciptive information about the document. Either a name or http-equiv attribute is required.

Children

none

Parents

<speak>

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Metadata Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<metadata>

The metadata element serves as a container for information about the document using a metadata schema.

<?xml version="1.0"?>
<speak version="1.0"
       xmlns="http://www.w3.org/2001/10/synthesis"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
       xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                 http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
       xml:lang="en-US">

  <metadata>
   <rdf:RDF
       xmlns:rdf = "http://www.w3.org/1999/02/22-rdf-syntax-ns#"
       xmlns:rdfs = "http://www.w3.org/2000/01/rdf-schema#"
       xmlns:dc = "http://purl.org/dc/elements/1.1/">

    <!-- Metadata about the synthesis document -->
    <rdf:Description rdf:about="http://www.example.com/meta.ssml"
       dc:Title="Hamlet-like Soliloquy"
       dc:Description="Aldine's Soliloquy in the style of Hamlet"
       dc:Publisher="W3C"
       dc:Language="en-US"
       dc:Date="2002-11-29"
       dc:Rights="Copyright 2002 Aldine Turnbet"
       dc:Format="application/ssml+xml" >
       <dc:Creator>
          <rdf:Seq ID="CreatorsAlphabeticalBySurname">
             <rdf:li>William Shakespeare</rdf:li>
             <rdf:li>Aldine Turnbet</rdf:li>
          </rdf:Seq>
       </dc:Creator>
    </rdf:Description>
   </rdf:RDF>
  </metadata>

</speak>

Attributes

none

Children

Any valid Resource Description Format [RDF] XML.

Parents

<speak>

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML P Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<p>

The p element represents a paragraph.

<?xml version="1.0"?>
<speak version="1.0" xmlns="http://www.w3.org/2001/10/synthesis"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                   http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
         xml:lang="en-US">
  <p>
    <s>This is the first sentence of the paragraph.</s>
    <s>Here's another sentence.</s>
  </p>
</speak>

Attributes

xml:lang

Optional. Indicates the natural language of the enclosing element and its attributes and subelements.

Children

<audio>, <break>, <emphasis>, <mark>, <phoneme>, <prosody>, <say-as>, <sub>, <s>, <voice>.

Parents

<audio>, <prosody>, <speak>, <voice>.

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Phoneme Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<phoneme>

The phoneme element represents a phonetic pronunciation of the words for the voice to use when synthesizing the text.

<?xml version="1.0"?>
<speak version="1.0" xmlns="http://www.w3.org/2001/10/synthesis"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                   http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
         xml:lang="en-US">
  <phoneme alphabet="ipa" ph="təmei̥ɾou̥"> tomato </phoneme>
  <!-- This is an example of IPA using character entities -->
  <!-- Because many platform/browser/text editor combinations do not
       correctly cut and paste Unicode text, this example uses the entity
       escape versions of the IPA characters.  Normally, one would directly
       use the UTF-8 representation of these symbols: "t?mei??ou??". -->
</speak>

Attributes

alphabet

Optional. Specifies the phonemic/phonetic alphabet as "ipa" or vendor-defined strings of the form "x-organization" or "x-organization-alphabet".

ph

String representing the phonemes to use in formulating the pronunciation when synthesizing.

Children

none

Parents

<audio>, <emphasis>, <p>, <prosody>, <speak>, <s>, <voice>.

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Prosody Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<prosody>

The prosody element enables the control of the pitch, speaking rate and volume of the speech output.

<?xml version="1.0"?>
<speak version="1.0" xmlns="http://www.w3.org/2001/10/synthesis"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                   http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
         xml:lang="en-US">

  The price of XYZ is <prosody rate="-10%">$45</prosody>

  <prosody contour="(0%,+20Hz) (10%,+30%) (40%,+10Hz)">Good morning</prosody>

</speak>

Attributes

contour

Sets the actual pitch contour for the contained text. The pitch contour is defined as a set of white space-separated targets at specified time positions in the speech output. The algorithm for interpolating between the targets is synthesizer-specific.

duration

Specifies a value in seconds or milliseconds for the desired time to take to read the element contents. Follows the time value format from the Cascading Style Sheet Level 2 Recommendation [CSS2] (e.g. "250ms", "3s").

pitch

Specifies the baseline pitch for the contained text. Valid values include a number followed by "Hz", a relative change or "x-low", "low", "medium", "high", "x-high", or "default".

range

Specifies the pitch range (variability) for the contained text. Valid values include a number followed by "Hz", a relative change or "x-low", "low", "medium", "high", "x-high", or "default".

rate

Specifies a change in the speaking rate for the contained text. Valid values include a relative change or "x-slow", "slow", "medium", "fast", "x-fast", or "default".

volume

Specifies the volume for the contained text in the range 0.0 to 100.0. Higher values are louder and specifying a value of zero is equivalent to specifying "silent". Valid values include a number, a relative change, or "silent", "x-soft", "soft", "medium", "loud", "x-loud", or "default".

Children

<audio>, <break>, <emphasis>, <mark>, <phoneme>, <prosody>, <say-as>, <sub>, <s>, <voice>.

Parents

<audio>, <emphasis>, <p>, <prosody>, <s>, <speak>, <voice>.

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML S Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<s>

The s element element represents a sentence.

<?xml version="1.0"?>
<speak version="1.0" xmlns="http://www.w3.org/2001/10/synthesis"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                   http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
         xml:lang="en-US">
  <p>
    <s>This is the first sentence of the paragraph.</s>
    <s>Here's another sentence.</s>
  </p>
</speak>

Attributes

xml:lang

Optional. Indicates the natural language of the enclosing element and its attributes and subelements.

Children

<audio>, <break>, <emphasis>, <mark>, <phoneme>, <prosody>, <say-as>, <sub>, <voice>.

Parents

<audio>, <p>, <prosody>, <speak>, <voice>.

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Say-as Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<say-as>

The say-as element specifies synthesizer-specific information about the type of text construct contained within the element to help with rendering the contained text.

Attributes

interpret-as

Specifies the content type of the contained text construct.

format

Optional. Additional information about the contained text.

details

Optional. Additional information about the contained text.

Children

none.

Parents

<audio>, <emphasis>, <p>, <prosody>, <speak>, <s>, <voice>.

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Speak Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<speak>

A speak element is the required root element of a W3C SSML document. It defines the beginning and end of the text markup.

<?xml version="1.0"?>
<speak version="1.0"
         xmlns="http://www.w3.org/2001/10/synthesis"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                   http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
         xml:lang="en-US">
  ... the body ...
</speak>

Attributes

version

Specifies the version of the specification to be used for the document and must have the value "1.0".

xml:base

Specifies a document's base URI explicitly.

xml:lang

Instructs the synthesizer to speak content in the indicated language.

xmlns

The URI of the SSML name space.

xmlns:xsi

The URI of the SSML schema instance.

xsi:schemaLocation

The URI of the SSML schema.

Children

<audio>, <break>, <desc>, <emphasis>, <lexicon>, <mark>, <meta>, <metadata>, <p>, <phoneme>, <prosody>, <say-as>, <sub>, <s>, <voice>.

Parents

none

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Sub Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<sub>

The sub element indicates that the text in the alias attribute value replaces the contained text for pronunciation.

<?xml version="1.0"?>
<speak version="1.0" xmlns="http://www.w3.org/2001/10/synthesis"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                   http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
         xml:lang="en-US">

 <sub alias="World Wide Web Consortium">W3C</sub>
</speak>

Attributes

alias

The string to be spoken instead of the enclosed string.

Children

none

Parents

<audio>, <emphasis>, <p>, <prosody>, <s>, <speak>, <voice>.

Source: Speech Synthesis Markup Language (SSML) Version 1.0


W3C SSML Voice Element

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

<voice>

The voice element requests a change in speaking voice.

<?xml version="1.0"?>
<speak version="1.0" xmlns="http://www.w3.org/2001/10/synthesis"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://www.w3.org/2001/10/synthesis
                   http://www.w3.org/TR/speech-synthesis/synthesis.xsd"
         xml:lang="en-US">
  <voice gender="female">Mary had a little lamb,</voice>
  <!-- now request a different female child's voice -->
  <voice gender="female" variant="2">
  Its fleece was white as snow.
  </voice>
  <!-- processor-specific voice selection -->
  <voice name="Mike">I want to be like Mike.</voice>
</speak>

Attributes

age

Optional. Value indicating the preferred age in years (since birth) of the voice to speak the contained text.

gender

The preferred gender of the voice to speak the contained text. Valid values include "female", "male", or "neutral".

name

Optional. Specifies a processor-specific voice name to speak the contained text. The value may be a space-separated list of names ordered from top preference down.

variant

Optional. Specifies a preferred variant of a voice's characteristics to speak the contained text.

xml:lang

Optional. Indicates the natural language of the enclosing element and its attributes and subelements.

Children

<audio>, <break>, <desc>, <emphasis>, <mark>, <p>, <phoneme>, <prosody>, <say-as>, <sub>, <s>, <voice>.

Parents

<speak>

Source: Speech Synthesis Markup Language (SSML) Version 1.0


Chant VoiceXMLKit 2 Developer's Guide

Chant Inc.
VoiceXMLKit 2 Developer's Guide


Conversation Management with VoiceXMLKit

Voice Extensible Markup Language (VoiceXML) is defined by the W3C as markup language designed for creating audio dialogs that feature synthesized speech, digitized audio, recognition of spoken and DTMF key input, recording of spoken input, telephony, and mixed initiative conversations. Its major goal is to bring the advantages of Web-based development and content delivery to interactive voice response applications.

What is Conversation Management?

Conversation management enables you to:

  • create, edit, test VoiceXML documents for enriched conversations,
  • validate VoiceXML offline before deploying to voice response servers, and
  • integrate dynamic VoiceXML generation as part of deployed applications.

Applications benefits include:

  • enhanced performance with optimized documents,
  • added flexibility to run with information unknown until runtime, and
  • expanded adaptability to run with available technology on the deployed system.

What is VoiceXMLKit?

Chant VoiceXMLKit is comprised of classes and tools for creating, validating, and interpreting VoiceXML. VoiceXML applications can be developed and tested offline before deploying to servers.

It is an application development framework for managing conversations with VoiceXML. Applications now have the ability to dynamically generate VoiceXML at runtime.

VoiceXMLKit includes C++, C++Builder, Delphi, Java, and .NET Framework class libraries to support all your programming languages and provides sample projects for popular IDEs—such as the latest Visual Studio from Microsoft and RAD Studio from Embarcadero.

The class libraries can be integrated with 32-bit and 64-bit applications.


VoiceXMLKit Features

Chant VoiceXMLKit is comprised of software classes and tools for managing conversations.

With VoiceXMLKit you can:

  • Dynamically generate VoiceVXML; and
  • Run VoiceXML documents as a desktop application.

Within Chant Developer Workbench IDE, you can:

  • Create and edit VoiceXML documents;
  • Test VoiceXML documents with microphone audio and keypad data; and
  • Trace runtime events.

Conversation Management: Create, validate, edit, test, and debug VoiceXML offline before deploying to voice response servers.

VoiceXML Document Editing

VoiceXML Document Editing: Edit W3C VoiceXML documents faster with built-in intelliprompt that suggests valid syntax.

VoiceXML, SRGS, and SSML Editing

VoiceXML, SRGS, and SSML Editing: Edit inline speech recognition grammars and text-to-speech markup in addition to VoiceXML.

VoiceXML Syntax Error Debugging

VoiceXML Syntax Error Debugging: Automatic syntax checking displays visual cues and syntax error messages in the Error window. Click on the error to take you to the location of it in the document window.

VoiceXML Document Testing

VoiceXML Document Testing: Test VoiceXML documents offline before deploying to servers.

Runtime Events: Browse runtime events in the Events window.


Conversation Management Architecture

The VoiceXMLKit class library includes a conversation management class that provides you a simple way to build interactive applications using VoiceXML.

The conversation management class, ChantXM, enables you to generate, validate, and interpret VoiceXML.

With the ChantXM class, you can dynamically build VoiceXML documents. Your application uses the ChantVxmlDocument and adjunct classes to construct and modify VoiceXML objects as needed and generate VoiceXML on demand.

Your application receives status notifications through event callbacks.

Speech recognition and synthesis are supported with Microsoft Speech API and Microsoft Speech Platform recognizers and synthesizers.

VoiceXMLKit Architecture for Conversation Management

The ChantXM class encapsulates all of the technologies necessary to make the process of building and validating VoiceXML simple and efficient for your application.

The ChantXM class interpreter provides a runtime platform for testing and deploying VoiceXML applications.

You instantiate a ChantXM class object before you want to build, validate, or run VoiceXML within your application. You destroy the ChantXM class object and release its resources when you no longer want to manage conversations within your application.


Enriching Conversations

Voice Extensible Markup Language (VoiceXML) is defined by the W3C as markup language designed for creating audio dialogs that feature synthesized speech, digitized audio, recognition of spoken and DTMF key input, recording of spoken input, telephony, and mixed initiative conversations.

VoiceXML applications are documents where forms with fields used for data capture are expressed in XML syntax. All of the end user interaction for filling out the form is expressed in the XML document too.

Chant VoiceXMLKit is comprised of software components and tools for creating, validating, and interpreting VoiceXML. VoiceXML applications can be developed and tested offline before deploying to servers.

VoiceXML Document Editing

VoiceXML Document Editing: Edit W3C VoiceXML documents faster with built-in intelliprompt that suggests valid syntax.

VoiceXML, SRGS, and SSML Editing

VoiceXML, SRGS, and SSML Editing: Edit inline speech recognition grammars and text-to-speech markup in addition to VoiceXML.

VoiceXML Document Validation

VoiceXML Document Validation: Validate VoiceXML document syntax before testing.

VoiceXML Document Testing

VoiceXML Document Testing: Test VoiceXML documents offline before deploying to servers.

Runtime Events: Browse runtime events in the Events window.

Error Debugging: Browse validation errors in the Error window. Click on the error to take you to the location of it in the document window.

For more information about the enriching conversationg with VoiceXMLKit, review the following topics:

  • Conversation Design and
  • Dynamic VoiceXML Applications.


Conversation Design

Voice Extensible Markup Language (VoiceXML) is defined by the W3C as markup language designed for creating audio dialogs that feature synthesized speech, digitized audio, recognition of spoken and DTMF key input, recording of spoken input, telephony, and mixed initiative conversations.

VoiceXML applications are documents where forms with fields used for data capture are expressed in XML syntax. All of the end user interaction for filling out the form is expressed in the XML document too.

The following topics provide detailed steps for enriching conversations within the Chant Developer Workbench IDE:

  • Create Markup Document
  • Marking Up Text, and
  • Interpreting VoiceXML.


Create VoiceXML Document

The steps to create a VoiceXML document with Chant VoiceXMLKit are as follows:

  1. Select the Start Page tab and click on the image of the desired VoiceXML syntax version or select the File - New menu item or click the New Standard toolbar button, select the VoiceXML category, and select the desired VoiceXML syntax version to create one in a document window.

  2. Save your new VoiceXML document to a file by selecting the File - Save menu item or click the Save Standard toolbar button.

Refer to the VoiceXML Syntax Quick Reference for more about syntax.


Editing VoiceXML Document

Add VoiceXML tags to the document by typing in the document window.

The Chant Developer Workbench VoiceXML editor Intelliprompt automatically assists with element and attribute editing.

VoiceXML Document Editing

A VoiceXML document includes a form with one or more dialogs or menus.

Refer to the VoiceXML Syntax Quick Reference for more about syntax.


Interpreting VoiceXML

Chant VoiceXMLKit provides a way for you to interpret and test your VoiceXML document on your desktop without a VoiceXML server.

To run the VoiceXML Document, select the Speech - Run VoiceXML menu item or click the Run Document Speech toolbar button.

If you want to set runtime options, select the Speech - Run Options menu item.


Dynamic VoiceXML Applications

Traditional data entry applications are designed to present a form with multiple fields to capture data from the end user.

These fields can be text fields for keyboard entry, combobox lists for mouse selection, as well as other interface constructs.

Fields are marked to help guide the end user through the process of filling out the form.

VoiceXML is designed to enable applications to interact with end users field-at-a-time by prompting them for the desired input and waiting for a reponse.

The field-at-a-time, prompt-response interaction is conversational and is how VoiceXML applications are structured to capture data.

VoiceXML applications are documents where forms with fields used for data capture are expressed in XML syntax. All of the end user interaction for filling out the form is expressed in the XML document too.

End users typically interact with VoiceXML applications running on servers over a phone connection.

VoiceXMLKit provides tools developing and testing VoiceXML applications offline before the VoiceXML documents are deployed to servers.

It also provides VoiceXML applications the ability to dynamically generate VoiceXML at runtime.

The following topics describe how to generate VoiceXML in applications:

  • VoiceXML Applications,
  • Event Handling,
  • Error Handling,
  • Specials Sample, and
  • Tickets Sample.


Generating and Interpreting VoiceXML

The VoiceXMLKit conversation management class is designed to provide you a lot of flexiblity and minimize the programming necessary to generate, validate and interpret VoiceXML.

With the ChantXM class, you can dynamically build VoiceXML documents. Your application uses the ChantVxmlDocument and adjunct classes to construct and modify VoiceXML objects as needed and generate VoiceXML on demand.

To run a VoiceXML application, use the OpenSession method to create a session. The OpenSession method initiates the session with the ChantXM VoiceXML interpreter.

Use the RunDocument method to interpret the VoiceXML document.

To know when the conversation has ended and obtain the and conversation data, you need to use the RegisterCallback method and declare a routine to handle the callback when the conversation is over and data is available.

To stop the VoiceXML application, use the CloseSession method.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Open session
_SessionID = NChantXM1.OpenSession();
...
// Interpret the document
NChantXM1.RunDocument(_SessionID, "mydocument.vxml");
...
// Close session when CCXMDone event fires
NChantXM1.CloseSession(_SessionID);

// Open session
_SessionID = pChantXM->OpenSession();
...
// Interpret the document
pChantXM->RunDocument(_SessionID, L"mydocument.vxml");
...
// Close session when CCXMDone event fires
pChantXM->CloseSession(_SessionID);

// Open session
_SessionID = pChantXM->OpenSession();
...
// Interpret the document
pChantXM->RunDocument(_SessionID, "mydocument.vxml");
...
// Close session when CCXMDone event fires
pChantXM->CloseSession(_SessionID);

// Open session
_SessionID = NChantXM1.OpenSession();
...
// Interpret the document
ChantXM1.RunDocument(_SessionID, 'mydocument.vxml');
...
// Close session when CCXMDone event fires
ChantXM1.CloseSession(_SessionID);

// Open session
_SessionID = JChantXM1.OpenSession();
...
// Interpret the document
JChantXM1.RunDocument(_SessionID, "mydocument.vxml");
...
// Close session when CCXMDone event fires
JChantXM1.CloseSession(_SessionID);

' Open session
_SessionID = NChantXM1.OpenSession()
...
' Interpret the document
NChantXM1.RunDocument(_SessionID, "mydocument.vxml")
...
' Close session when CCXMDone event fires
NChantXM1.CloseSession(_SessionID)


VoiceXMLKit Event Handling

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Event Handling

To receive VoiceXML validation and runtime messages, you need to request event notifications. You register for the events your application is interested in using the RegisterCallback method as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantXM1.RegisterCallback(ChantCallback.CCXMCompileDone);
NChantXM1.RegisterCallback(ChantCallback.CCXMCompileError);
NChantXM1.RegisterCallback(ChantCallback.CCXMDone);
NChantXM1.RegisterCallback(ChantCallback.CCXMLog);

pChantXM->RegisterCallback(CCXMCompileDone);
pChantXM->RegisterCallback(CCXMCompileError);
pChantXM->RegisterCallback(CCXMDone);
pChantXM->RegisterCallback(CCXMLog);

pChantXM->RegisterCallback(CCXMCompileDone);
pChantXM->RegisterCallback(CCXMCompileError);
pChantXM->RegisterCallback(CCXMDone);
pChantXM->RegisterCallback(CCXMLog);

ChantXM1.RegisterCallback(CCXMCompileDone);
ChantXM1.RegisterCallback(CCXMCompileError);
ChantXM1.RegisterCallback(CCXMDone);
ChantXM1.RegisterCallback(CCXMLog);

JChantXM1.registerCallback(ChantCallback.CCXMCompileDone);
JChantXM1.registerCallback(ChantCallback.CCXMCompileError);
JChantXM1.registerCallback(ChantCallback.CCXMDone);
JChantXM1.registerCallback(ChantCallback.CCXMLog);

NChantXM1.RegisterCallback(ChantCallback.CCXMCompileDone)
NChantXM1.RegisterCallback(ChantCallback.CCXMCompileError)
NChantXM1.RegisterCallback(ChantCallback.CCXMDone)
NChantXM1.RegisterCallback(ChantCallback.CCXMLog)

The ChantXM object sends all notifications to the HasEvent function. All event data is contained in a ChantXMEvent object and accessed via object properties as follows:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantXM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantXMEvent nChantXMEvent = NChantXM1.GetChantXMEvent();
    if (nChantXMEvent != null)
    {
        switch (nChantXMEvent.ChantCallback)
        {
            case ChantCallback.CCXMCompileDone:
                {
                    ...
                    break;
                }
                case ChantCallback.CCXMCompileError:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantXM1.RemoveEvent();
    }
}

LRESULT CVoiceXMLSensorDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantXM != NULL)
    {
        if (message == m_HasEvent)
        {
            // Get the event from the event queue
            CChantXMEvent* chantXMEvent = m_pChantXM->GetChantXMEvent();
            if (chantXMEvent != NULL)
            {
                switch (chantXMEvent->GetChantCallback())
                {
                    case CCXMCompileDone:
                    {
                        ...
                        break;
                    }
                    case CCXMCompileError:
                    {
                        ...
                        break;
                    }
                    default:
                        break;
                }
                ...
                // Remove the event from the event queue
                m_pChantXM->RemoveEvent();
                // No longer need event object
                delete chantXMEvent;
                chantXMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantXMEvent* chantXMEvent = ChantXM1->GetChantXMEvent();
    if (chantXMEvent != NULL)
    {
        switch (chantXMEvent->GetChantCallback())
        {
            default:
                break;
            case CCXMCompileDone:
            {
                ...
                break;
            }
            case CCXMCompileError:
            {
                ...
                break;
            }
        }
        ...
        // Remove the event from the event queue
        ChantXM1->RemoveEvent();
        // No longer need event object
        delete chantXMEvent;
        chantXMEvent = NULL;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  chantXMEvent: TChantXMEvent;
begin
    // Get the event from the event queue
    chantXMEvent := ChantXM1.GetChantXMEvent();
    if chantXMEvent <> nil then
    begin
      case chantXMEvent.ChantCallback of
        CCXMCompileDone:
        ...
        CCXMCompileError:
        ...
      end;
      ...
      // Remove the event from the event queue
      ChantXM1.RemoveEvent();
      // No longer need event object
      chantXMEvent.Destroy();
    end;
end;

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantXMEvent chantXMEvent = JChantXM1.getChantXMEvent();
    if (chantXMEvent != null)
    {
        int callback = chantXMEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCXMCompileDone :
                ...
                break;
            case ChantCallback.CCXMCompileError :
                ...
                break;
        }
        // Remove the event from the event queue
        JChantXM1.removeEvent();
    }
}

Private Sub NChantXM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantXM1.HasEvent
    Dim nChantXMEvent As NChantXMEvent
    ' Get the event from the event queue
    nChantXMEvent = NChantXM1.GetChantXMEvent()
    if nChantXMEvent <> Nothing Then
        Select Case nChantXMEvent.ChantCallback
            Case ChantCallback.CCXMCompileDone
                ...
            Case ChantCallback.CCXMCompileError
                ...
        End Select
        ' Remove the event from the event queue
        NChantXM1.RemoveEvent()
    End If
End Sub

The ChantXM object accumulates ChantXMEvent objects on a FIFO queue. Applications must remove the oldest event from the queue to be able to process the next event object. When you remove the event object it is destroyed and no longer available.


VoiceXMLKit Error Handling

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Error Handling

VoiceXMLKit uses a common set of return codes on error conditions to minimize the error processing required by the application. The following table provides a summary.

Error Constant | Value | Description
E_INVALIDARG | 0x80070057 | One or more arguments are invalid. Verify your parameter values used in invoking the method.
E_FAIL | 0x80004005 | Unspecified error. Exception handling catches as a non-specific failure.
E_NOINTERFACE | 0x80004002 | No such interface supported. Verify that the session with the recognizer or synthesizer is active before invoking the method.
E_OUTOFMEMORY | 0x8007000E | Ran out of memory. There is not enough memory to complete the operation.
E_NOTIMPL | 0x80004001 | Not implemented. Contact Chant support for assistance.
CLASS_E_NOTLICENSED | 0x80040112 | Class is not licensed for use. Verify that your License and Serials property values are set before invoking any other methods.

To obtain an the error code, use the ChantXM LastError, LastErrorString, and LastErrorMessage properties.

The speech APIs may generate error codes. To monitor these error codes, register for the CCAPIError event.

For VoiceXML syntax errors, consult the W3C VoiceXML specification for problem determination or contact Chant support for assistance.


Compile Sample

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Specials Sample

Chant VoiceXMLKit includes sample applications that illustrate managing conversations with VoiceXML and the ability to dynamically generate VoiceXML at runtime. Look for the Specials folder in the VoiceXMLKit sample projects.

Build and launch the sample VoiceXML application. You can dynamically generate VoiceXML, validate, and excute it.

Chant Specials Sample

Generate VXML, validate, and execute it by pressing the Hear Specials button.

Chant Specials Sample Prompt

At the end of the prompt, say the choice or press the numeric keypad digit representing the choice.

Chant Specials Sample Prompt

The specials are read aloud.

Chant Specials Sample Return variables

Return variable values are displayed at the end of the VoiceXML document execution.

Copyright © 1996-2011 Chant Inc. All rights reserved.


Phonemes Sample

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Tickets Sample

Chant VoiceXMLKit includes sample applications that illustrate managing conversations with VoiceXML and the ability to dynamically generate VoiceXML at runtime. Look for the Tickets folder in the VoiceXMLKit sample projects.

Build and launch the sample VoiceXML application. You can validate and excute a VoiceXML document.

Chant Tickets Sample

Validate and execute the VoiceXML document tickets.vxml by pressing the Book Tickets button.

Chant Tickets Sample

Say the number of tickets (1-9) to book or enter using the numeric keypad.

Chant Tickets Sample

Say the movie selection or enter the corresponding choice using the numeric keypad.

Chant Tickets Sample

Say the month and day of the desired performance or enter a 2-digit month and 2-digit day value using the numeric keypad.

Chant Tickets Sample

Say the preferred performance time or enter the corresponding choice using the numeric keypad.

Chant Tickets Sample

The booking confirmation is read aloud.

Chant Tickets Sample

Return variable values are displayed at the end of the VoiceXML document execution.


Integrating VoiceXMLKit

The following sections describe the steps for integrating VoiceXMLKit with your favorite development tool and programming language.

  • C++Builder Applications
  • Delphi and Appmethod Applications
  • Java Applications
  • Microsoft Visual C++ Applications
  • .NET Windows Forms Applications
  • .NET WPF Applications


VoiceXMLKit C++Builder VCL and FireMonkey (Appmethod) Applications

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

C++Builder VCL and FireMonkey (Appmethod) Applications

You can develop C++ applications that manage conversations using your favorite version of C++Builder and Appmethod.

The following sections describe the steps for integrating VoiceXMLKit with C++Builder VCL and FireMonkey (Appmethod) applications.

VoiceXMLKit Header Files

VoiceXMLKit includes C++ header files comprised of the C++Builder classes that manage Kinect sensors and automatically load and unload the runtime DLL.

To access the VoiceXMLKit C++Builder classes within your application, first add a project reference to the C++Builder header include files:

  • Win32
  • Win64
  1. Within your C++Builder or Appmethod project, select Project Options.
  2. Select the C++Builder or Appmethod compiler options.
  3. Add Include path reference to the VoiceXMLKit header files directory: C:\Program Files\Chant\VoiceXMLKit\Win32\CBuilder\include.
  1. Within your C++Builder or Appmethod project, select Project Options.
  2. Select the C++Builder or Appmethod compiler options.
  3. Add Include path reference to the VoiceXMLKit header files directory: C:\Program Files\Chant\VoiceXMLKit\Win64\CBuilder\include.

To access the VoiceXMLKit C++Builder classes within your application, add a reference to the Chant shared and VoiceXMLKit header files in your C++Builder application header file.

#include "ChantShared.h"
#include "ChantVoiceXMLKit.h"

Add a reference in your C++Builder application source file to the VoiceXMLKit code needed to dynamically load and unload the runtime DLL.

#include "ChantShared.cpp"
#include "ChantVoiceXMLKit.cpp"

Object Instantiation

Declare a global variable for the ChantXM class, instantiate an instance, set the license and serial properties, and set the event handler message.

Add the following to your application header file:

  • VCL
  • FireMonkey (Appmethod)
protected:
    void __fastcall OnHasEvent(TMessage& msg);
    BEGIN_MESSAGE_MAP
    MESSAGE_HANDLER(WM_APP+9, TMessage, OnHasEvent);
    END_MESSAGE_MAP(TForm)
private:
    // User declarations
    CChantXM* ChantXM1;

#include <FMX.Platform.Win.hpp>
using namespace Fmx::Platform::Win;
...
protected:
    void __fastcall OnHasEvent(TMessage& msg);
private:
    // User declarations
    CChantXM* ChantXM1;
    HWND  FrmHwnd;
    long WndProc;
public:
    // User declarations
    __fastcall TForm1(TComponent* Owner);
    LRESULT __fastcall FrmWndProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam);

Add the following to your application source file:

  • VCL
  • FireMonkey (Appmethod)
ChantXM1 = new CChantXM();

// Set deployment license properties
ChantXM1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantXM1->SetStringProperty(CSPSerials,"LicenseSerialNumber");

// Define the HasEvent callback message
ChantXM1->SetWindowMessage(Handle, WM_APP+9, 0, 0);

ChantXM1 = new CChantXM();

// Set deployment license properties
ChantXM1->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
ChantXM1->SetStringProperty(CSPSerials,"LicenseSerialNumber");

// XE-XE3
HWND FrmHwnd = FmxHandleToHWND(Handle);
// XE4+
TWinWindowHandle *wndHandle = WindowHandleToPlatform(this->Handle);
HWND FrmHwnd = wndHandle->Wnd;

// Set up Windows Message Handling For FireMonkey
WndProc = GetWindowLongPtr(FrmHwnd, GWL_WNDPROC);
SetWindowLongPtr(FrmHwnd, GWL_WNDPROC, (long)WindowProc);
ChantXM1->SetWindowMessage(FrmHwnd, WM_APP+9, 0, 0);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as validation is complete or there was an error.

  • VCL
  • FireMonkey (Appmethod)
void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantXMEvent* chantXMEvent = ChantXM1->GetChantXMEvent();
    if (chantXMEvent != NULL)
    {
        switch (chantXMEvent->GetChantCallback())
        {
            default:
                break;
            case CCXMCompileDone:
            {
                ...
                break;
            }
            case CCXMCompileError:
            {
                ...
                break;
            }
        }
        ...
        // Remove the event from the event queue
        ChantXM1->RemoveEvent();
        // No longer need event object
        delete chantXMEvent;
        chantXMEvent = NULL;
    }
}

// Hook Window Messages
LRESULT WindowProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    return Form1->FrmWndProc(Hwnd, Msg, wParam, lParam);
}

LRESULT __fastcall TForm1::FrmWndProc(HWND Hwnd, UINT Msg, WPARAM wParam, LPARAM lParam)
{
    Winapi::Messages::TMessage aTMessage;
    aTMessage.Msg = Msg;
    aTMessage.WParam = wParam;
    aTMessage.LParam = lParam;
    // Trap our messages
    if (WM_APP+9 == Msg)
    {
        OnHasEvent(aTMessage);
        return 0;
    }
    // Forward all other messages
    return CallWindowProc((WNDPROC)WndProc, Hwnd, Msg, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantXMEvent* chantXMEvent = ChantXM1->GetChantXMEvent();
    if (chantXMEvent != NULL)
    {
        switch (chantXMEvent->GetChantCallback())
        {
            default:
                break;
            case CCXMCompileDone:
            {
                ...
                break;
            }
            case CCXMCompileError:
            {
                ...
                break;
            }
        }
        ...
        // Remove the event from the event queue
        ChantXM1->RemoveEvent();
        // No longer need event object
        delete chantXMEvent;
        chantXMEvent = NULL;
    }
}

Deployment Checklist

When you are ready to deploy your C++Builder VCL or FireMonkey (Appmethod) application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your C++Builder VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CVoiceXMLKit.dll to the target system and place in the same directory with your application.
  • You may deploy your C++Builder VCL or FireMonkey (Appmethod) application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CVoiceXMLKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

C++Builder VCL and FireMonkey (Appmethod) sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\VoiceXMLKit\Win32\CBuilder\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\VoiceXMLKit\Win32\CBuilder\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\VoiceXMLKit\Win32\CBuilder\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\VoiceXMLKit\Win32\CBuilder\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\VoiceXMLKit\Win32\CBuilder\RS 10.1 Berlin.
  • My Documents\Chant\VoiceXMLKit\Win64\CBuilder\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\VoiceXMLKit\Win64\CBuilder\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\VoiceXMLKit\Win64\CBuilder\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\VoiceXMLKit\Win64\CBuilder\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\VoiceXMLKit\Win64\CBuilder\RS 10.1 Berlin.


VoiceXMLKit Delphi and Appmethod Applications

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Delphi and Appmethod Applications

You can develop Object Pascal applications that manage conversations using your favorite version of Delphi and Appmethod.

The following sections describe the steps for integrating VoiceXMLKit with Delphi and Appmethod applications.

VoiceXMLKit Unit

VoiceXMLKit includes an Object Pascal source file VoiceXMLKit.pas comprised of the Object Pascal classes that manage VoiceXML converations. It also includes an Object Pascal source file ChantShared.pas comprised of common Object Pascal classes that all Chant libraries use.

To access the VoiceXMLKit Object Pascal classes within your application, first add a project reference to the VoiceXMLKit Object Pascal source files:

  • Win32
  • Win64
  1. Within your Delphi or Appmethod project, select Project Options.
  2. Select the Delphi or Appmethod compiler options.
  3. Add Search path reference to the VoiceXMLKit unit source file directory: C:\Program Files\Chant\VoiceXMLKit\Win32\Delphi\source.
  4. Add unit output path reference to the local directory with a period '.' character.
  1. Within your Delphi or Appmethod project, select Project Options.
  2. Select the Delphi or Appmethod compiler options.
  3. Add Search path reference to the VoiceXMLKit unit source file directory: C:\Program Files\Chant\VoiceXMLKit\Win64\Delphi\source.
  4. Add unit output path reference to the local directory with a period '.' character.

To access the VoiceXMLKit Object Pascal classes within your application, add a reference to the ChantShared and VoiceXMLKit units in your uses clause.

  • VCL
  • FireMonkey
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, ChantShared, VoiceXMLKit;

unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Rtti, System.Classes,
  System.Variants, FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Layouts,
  ChantShared, VoiceXMLKit, FMX.Platform.Win, Winapi.Windows, Winapi.Messages;

Add an event handler declaration and Object instance variable to the application declarations.

  • VCL
  • FireMonkey
type
  TForm1 = class(TForm)
    ...
  private
    { Private declarations }
  public
    { Public declarations }
    procedure OnHasEvent(var msg: TMessage);
      message WM_APP+9;
  end;

var
  Form1: TForm1;
  ChantXM1: TChantXM;

type
  TForm1 = class(TForm)
    ...
  private
    { Private declarations }
    FrmHwnd: HWND;
    WndProc: LONG;
  public
    { Public declarations }
    procedure OnHasEvent(var msg: TMessage);
    function FrmWndProc(Hwnd: HWND; Msg:UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
  end;

var
  Form1: TForm1;
  ChantXM1: TChantXM;

Object Instantiation

Instantiate an instance, set the license and serial properties, and set the event handler message.

  • VCL
  • FireMonkey
ChantXM1 := TChantXM.Create();
// Set license properties
ChantXM1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantXM1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

// Define the HasEvent callback message
ChantXM1.SetWindowMessage(Handle, WM_APP+9, 0, 0);

ChantXM1 := TChantXM.Create();
// Set license properties
ChantXM1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantXM1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

var FrmHwnd: HWND;
// XE-XE3
FrmHwnd := FmxHandleToHwnd(Handle);
// XE4+
var wndHandle: TWinWindowHandle;
wndHandle := WindowHandleToPlatform(Handle);
FrmHwnd := wndHandle.Wnd;

// Set up Windows Message Handling For FireMonkey
WndProc := GetWindowLongPtr(FrmHwnd, GWL_WNDPROC);
SetWindowLongPtr(FrmHwnd, GWL_WNDPROC, NativeInt(@WindowProc));
ChantXM1.SetWindowMessage(FrmHwnd, WM_APP+9, 0, 0);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as validation is complete or there was an error.

  • VCL
  • FireMonkey
procedure TForm1.OnHasEvent(var msg: TMessage);
var
  chantXMEvent: TChantXMEvent;
begin
    // Get the event from the event queue
    chantXMEvent := ChantXM1.GetChantXMEvent();
    if chantXMEvent <> nil then
    begin
      case chantXMEvent.ChantCallback of
        CCXMCompileDone:
        ...
        CCXMCompileError:
        ...
      end;
      ...
      // Remove the event from the event queue
      ChantXM1.RemoveEvent();
      // No longer need event object
      chantXMEvent.Destroy();
    end;
end;

// Hook Window Messages
function WindowProc(Hwnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT; stdcall;
begin
    Result := Form1.FrmWndProc(Hwnd, Msg, wParam, lParam);
end;

function TForm1.FrmWndProc(Hwnd: HWND; Msg: UINT; wParam: WPARAM; lParam: LPARAM): LRESULT;
var
    aTMessage: TMessage;
begin
    aTMessage.Msg := Msg;
    aTMessage.WParam := wParam;
    aTMessage.LParam := lParam;
    // Trap our messages
    if (WM_APP+9 = Msg) then
    begin
        OnHasEvent(aTMessage);
        Result := 0;
        Exit;
    end;
    // Forward all other messages
    Result := CallWindowProc(Ptr(WndProc), Hwnd, Msg, wParam, lParam);
end;

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  chantXMEvent: TChantXMEvent;
begin
    // Get the event from the event queue
    chantXMEvent := ChantXM1.GetChantXMEvent();
    if chantXMEvent <> nil then
    begin
      case chantXMEvent.ChantCallback of
        CCXMCompileDone:
        ...
        CCXMCompileError:
        ...
      end;
      ...
      // Remove the event from the event queue
      ChantXM1.RemoveEvent();
      // No longer need event object
      chantXMEvent.Destroy();
    end;
end;

Deployment Checklist

When you are ready to deploy your Delphi or Appmethod application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Delphi or Appmethod application to any system with a valid license from the Chant. See the section License for more information about licensing Chant software.
  • Copy CVoiceXMLKit.dll to the target system and place in the same directory with your application.
  • You may deploy your Delphi or Appmethod application to any system with a valid license from the Chant. See the section License for more information about licensing Chant software.
  • Copy CVoiceXMLKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

Delphi and Appmethod sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\VoiceXMLKit\Win32\Delphi\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\VoiceXMLKit\Win32\Delphi\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\VoiceXMLKit\Win32\Delphi\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\VoiceXMLKit\Win32\Delphi\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\VoiceXMLKit\Win32\Delphi\RS 10.1 Berlin.
  • My Documents\Chant\VoiceXMLKit\Win64\Delphi\RS XE6 - Appmethod 1.14,
  • My Documents\Chant\VoiceXMLKit\Win64\Delphi\RS XE7 - Appmethod 1.15,
  • My Documents\Chant\VoiceXMLKit\Win64\Delphi\RS XE8 - Appmethod 1.16,
  • My Documents\Chant\VoiceXMLKit\Win64\Delphi\RS 10 Seattle - Appmethod 1.17, and
  • My Documents\Chant\VoiceXMLKit\Win64\Delphi\RS 10.1 Berlin.


VoiceXMLKit Java Applications

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Java Applications

You can develop Java applications that manage conversations using your favorite Java development tools. This includes development environments such as Eclipse, IntelliJ, JBuilder, JDeveloper, and NetBeans.

The following sections describe the steps for integrating VoiceXMLKit with Java applications.

JRE Configuration

VoiceXMLKit includes Java classes compiled with JDK 1.7 and 1.8 to support your application's target runtime environments.

To access the VoiceXMLKit Java classes within your application, add the class libraries to your JDK environment:

  • Win32
  • Win64
  1. copy the JVoiceXMLKit.DLL file to your Java JDK bin directory;
  2. copy the voicexmlkit.jar and chant-shared.jar libraries to your Java JDK lib; and
  3. append a path reference for your Java JDK lib\voicexmlkit.jar and lib\chant-shared.jar paths as a classpath property in your system settings.
  1. copy the JVoiceXMLKitX64.DLL file to your Java JDK bin directory;
  2. copy the voicexmlkit.jar and chant-shared.jar class libraries to your Java JDK lib; and
  3. append a path reference for your Java JDK lib\voicexmlkit.jar and lib\chant-shared.jar paths as a classpath property in your system settings.

To access the VoiceXMLKit Java classes within your application, add references to the Chant shared and VoiceXMLKit class libraries in your code:

import com.voicexmlkit.*;
import net.chant.shared.*;

Object Instantiation

Declare a global variable for the ChantXM class, instantiate an instance, set the license and serial properties, and set the event handler.

public class Frame1 extends JFrame implements com.voicexmlkit.JChantXMEvents
{
    private JChantXM JChantXM1;

    private void jInit() throws Exception
    {
        // Create ChantXM object
        JChantXM1 = new JChantXM();

        // Set license properties
        JChantXM1.setStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
        JChantXM1.setStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");

        // Set the callback
        JChantXM1.setCallbackFunction(this,null,null);
    }
}

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as compilation is complete or there was an error.

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantXMEvent chantXMEvent = JChantXM1.getChantXMEvent();
    if (chantXMEvent != null)
    {
        int callback = chantXMEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCXMCompileDone :
                ...
                break;
            case ChantCallback.CCXMCompileError :
                ...
                break;
        }
        JChantXM1.removeEvent();
    }
}

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your Java application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy voicexmlkit.jar and chant-shared.jar to the target system Java JRE lib directory and/or ensure the classpath includes the path where the voicexmlkit.jar and chant-shared.jar libraries are placed on your target system.
  • Copy JVoiceXMLKit.dll to the target system Java JRE bin directory.
  • You may deploy your Java application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy voicexmlkit.jar and chant-shared.jar to the target system Java JRE lib directory and/or ensure the classpath includes the path where the voicexmlkit.jar and chant-shared.jar libraries are placed on your target system.
  • Copy JVoiceXMLKitX64.dll to the target system.

Sample Projects

Java sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\VoiceXMLKit\Win32\Java\JDK.
  • My Documents\Chant\VoiceXMLKit\Win64\Java\JDK.


VoiceXMLKit Microsoft Visual C++ Applications

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Microsoft Visual C++ Applications

You can develop C++ applications that manage conversations using your favorite version of Microsoft Visual C++.

The following sections describe the steps for integrating VoiceXMLKit with Microsoft Visual C++ applications.

VoiceXMLKit Header Files

VoiceXMLKit includes C++ header files comprised of the C++ classes that manage VoiceXML sensors and automatically load and unload the runtime DLL.

To access the VoiceXMLKit C++ classes within your application, first add a project reference to the C++ header include files:

  • Win32
  • Win64
  1. Within your C++ project, select Project Properties.
  2. Under Configuration Properties, expand the C++ Properties and select the General Settings.
  3. Edit the Additional Include Directories.
  4. Locate the include directory path of the VoiceXMLKit header files: C:\Program Files\Chant\VoiceXMLKit\Win32\CDLL\include.
  5. Press the Apply button to save changes and dismiss the Project Properties.
  1. Within your C++ project, select Project Properties.
  2. Under Configuration Properties, expand the C++ Properties and select the General Settings.
  3. Edit the Additional Include Directories.
  4. Locate the include directory path of the VoiceXMLKit header files: C:\Program Files\Chant\VoiceXMLKit\Win64\CDLL\include.
  5. Press the Apply button to save changes and dismiss the Project Properties.

To access the VoiceXMLKit C++ classes within your application, add a reference to the Chant shared and VoiceXMLKit header files in your C++ application header file:

#include "cchantxm.h"

Add a reference in your C++ application source file to the VoiceXMLKit code needed to dynamically load and unload the runtime DLL:

#include "CChantVoiceXMLKit.cpp"

Object Instantiation

Declare a global variable for the ChantXM class, instantiate an instance, set the license and serial properties, and set the event handler message.

Add the following to your application header file:

protected:
    CChantXM* m_pChantXM;  // ChantXM object
    virtual LRESULT DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam);

Add the following to your application source file:

    // Instantiate ChantXM object
    m_pChantXM = new CChantXM();

    // Set license properties
    m_pChantXM->SetStringProperty(CSPLicense,L"LicenseRegistrationNumber");
    m_pChantXM->SetStringProperty(CSPSerials,L"LicenseSerialNumber");

    // Define the HasEvent callback message
    m_HasEvent = WM_APP+9;
    m_pChantXM->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as validation is complete or there was an error.

LRESULT CVoiceXMLSensorDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantXM != NULL)
    {
        if (message == m_HasEvent)
        {
            // Get the event from the event queue
            CChantXMEvent* chantXMEvent = m_pChantXM->GetChantXMEvent();
            if (chantXMEvent != NULL)
            {
                switch (chantXMEvent->GetChantCallback())
                {
                    case CCXMCompileDone:
                    {
                        ...
                        break;
                    }
                    case CCXMCompileError:
                    {
                        ...
                        break;
                    }
                    default:
                        break;
                }
                ...
                // Remove the event from the event queue
                m_pChantXM->RemoveEvent();
                // No longer need event object
                delete chantXMEvent;
                chantXMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

Deployment Checklist

When you are ready to deploy your C++ application, you need to ensure you have a valid license, bundle the correct Chant class library, and configure your installation properly on the target system. Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your C++ application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CVoiceXMLKit.dll to the target system and place in the same directory with your application.
  • You may deploy your C++ application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy CVoiceXMLKitX64.dll to the target system and place in the same directory with your application.

Sample Projects

Microsoft Visual C++ sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\VoiceXMLKit\Win32\CDLL\VS 2012,
  • My Documents\Chant\VoiceXMLKit\Win32\CDLL\VS 2013, and
  • My Documents\Chant\VoiceXMLKit\Win32\CDLL\VS 2015.
  • My Documents\Chant\VoiceXMLKit\Win64\CDLL\VS 2012,
  • My Documents\Chant\VoiceXMLKit\Win64\CDLL\VS 2013, and
  • My Documents\Chant\VoiceXMLKit\Win64\CDLL\VS 2015.


VoiceXMLKit .NET Windows Forms Applications

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

.NET Windows Forms Applications

You can develop .NET Windows Forms applications that manage conversations using your favorite .NET Windows Forms development tools. This includes development environments such as Microsoft Visual C# .NET, Microsoft Visual Basic .NET, and Embarcadero Delphi Prism.

The following sections describe the steps for integrating VoiceXMLKit with .NET Windows Forms applications.

VoiceXMLKit Assemblies

VoiceXMLKit includes Windows Forms compatible .NET assemblies compiled with .NET Framework V4 to support your application's target framework.

To access the VoiceXMLKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the Chant shared and VoiceXMLKit .NET assemblies:
    1. Program Files\Chant\VoiceXMLKit\Win32\NET\libv4\Chant.VoiceXMLKit.dll and
    2. Program Files\Chant\VoiceXMLKit\Win32\NET\libv4\Chant.Shared.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the Chant shared and VoiceXMLKit .NET assemblies:
    1. Program Files\Chant\VoiceXMLKit\Win64\NET\libv4\Chant.VoiceXMLKit.dll and
    2. Program Files\Chant\VoiceXMLKit\Win64\NET\libv4\Chant.Shared.dll.

To access the VoiceXMLKit .NET classes within your application, add references to the Chant shared and VoiceXMLKit assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.VoiceXMLKit;
using Chant.Shared;

Imports Chant.VoiceXMLKit
Imports Chant.Shared
Class MainWindow
...

Platform Target

Set the project Platform target to either x86 for 32-bit application or x64 for 64-bit application as follows:

  • C#
  • VB .NET

Within your C# project

  1. Select the Build tab under project properties.
  2. Select x86 or x64 in the Platform target dropdown list.

Within your VB .NET Project

  1. Select the Compile tab under project properties.
  2. Press the Advanced Compile Options... button.
  3. Select x86 or x64 in the Target CPU dropdown list.

Object Instantiation

Declare a global variable for the ChantXM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.VoiceXMLKit.NChantXM NChantXM1;
public MainWindow()
{
    InitializeComponent();
    // Instantiate NChantXM object
    NChantXM1 = new NChantXM();
    // Setup event callback handler
    NChantXM1.HasEvent += this.NChantXM1_HasEvent;
    // Set license properties
    NChantXM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantXM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantXM1 As NChantXM

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantXM1 = New NChantXM()

    ' Set license properties
    NChantXM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantXM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as validation is complete or there was an error.

  • C#
  • VB .NET
private void NChantXM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantXMEvent nChantXMEvent = NChantXM1.GetChantXMEvent();
    if (nChantXMEvent != null)
    {
        switch (nChantXMEvent.ChantCallback)
        {
            case ChantCallback.CCXMCompileDone:
                {
                    ...
                    break;
                }
                case ChantCallback.CCXMCompileError:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantXM1.RemoveEvent();
    }
}

Private Sub NChantXM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantXM1.HasEvent
    Dim nChantXMEvent As NChantXMEvent
    ' Get the event from the event queue
    nChantXMEvent = NChantXM1.GetChantXMEvent()
    if nChantXMEvent <> Nothing Then
        Select Case nChantXMEvent.ChantCallback
            Case ChantCallback.CCXMCompileDone
                ...
            Case ChantCallback.CCXMCompileError
                ...
        End Select
        ' Remove the event from the event queue
        NChantXM1.RemoveEvent()
    End If
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system.

Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.VoiceXMLKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NVoiceXMLKit.dll to the target system.
  • Register NVoiceXMLKit.dll as a COM library on the target system.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.VoiceXMLKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NVoiceXMLKitX64.dll to the target system.
  • Register NVoiceXMLKitX64.DLL as a COM library on the target system.

Sample Projects

.NET Windows Forms sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\VoiceXMLKit\Win32\NET WinForms\VS 2012\CSharp,
  • My Documents\Chant\VoiceXMLKit\Win32\NET WinForms\VS 2012\Visual Basic,
  • My Documents\Chant\VoiceXMLKit\Win32\NET WinForms\VS 2013\CSharp,
  • My Documents\Chant\VoiceXMLKit\Win32\NET WinForms\VS 2013\Visual Basic,
  • My Documents\Chant\VoiceXMLKit\Win32\NET WinForms\VS 2015\CSharp, and
  • My Documents\Chant\VoiceXMLKit\Win32\NET WinForms\VS 2015\Visual Basic.
  • My Documents\Chant\VoiceXMLKit\Win64\NET WinForms\VS 2012\CSharp,
  • My Documents\Chant\VoiceXMLKit\Win64\NET WinForms\VS 2012\Visual Basic,
  • My Documents\Chant\VoiceXMLKit\Win64\NET WinForms\VS 2013\CSharp,
  • My Documents\Chant\VoiceXMLKit\Win64\NET WinForms\VS 2013\Visual Basic,
  • My Documents\Chant\VoiceXMLKit\Win64\NET WinForms\VS 2015\CSharp, and
  • My Documents\Chant\VoiceXMLKit\Win64\NET WinForms\VS 2015\Visual Basic.


VoiceXMLKit .NET WPF Applications

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

.NET WPF Applications

You can develop .NET WPF applications that manage conversations using your favorite .NET WPF development tools. This includes development environments such as Microsoft Visual C# .NET, Microsoft Visual Basic .NET, and Embarcadero Delphi Prism.

The following sections describe the steps for integrating VoiceXMLKit with .NET WPF applications.

VoiceXMLKit Assemblies

VoiceXMLKit includes WPF compatible .NET assemblies compiled with .NET Framework V4 to support your application's target framework.

To access the VoiceXMLKit .NET classes within your application, add them to your project References:

  • Win32
  • Win64
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the Chant shared and VoiceXMLKit .NET assemblies:
    1. Program Files\Chant\VoiceXMLKit\Win32\NET\libv4\Chant.VoiceXMLKit.dll and
    2. Program Files\Chant\VoiceXMLKit\Win32\NET\libv4\Chant.Shared.dll.
  1. Within your .NET project, right click on the References folder in C# or Open MyProject in VB and select the References tab.
  2. For .NET V4+ applications, add references to the Chant shared and VoiceXMLKit .NET assemblies:
    1. Program Files\Chant\VoiceXMLKit\Win64\NET\libv4\Chant.VoiceXMLKit.dll and
    2. Program Files\Chant\VoiceXMLKit\Win64\NET\libv4\Chant.Shared.dll.

To access the VoiceXMLKit .NET classes within your application, add references to the Chant shared and VoiceXMLKit assemblies in your code.

  • C#
  • VB .NET
using System;
...
using Chant.VoiceXMLKit;
using Chant.Shared;

Imports Chant.VoiceXMLKit
Imports Chant.Shared
Class MainWindow
...

Platform Target

Set the project Platform target to either x86 for 32-bit application or x64 for 64-bit application as follows:

  • C#
  • VB .NET

Within your C# project

  1. Select the Build tab under project properties.
  2. Select x86 or x64 in the Platform target dropdown list.

Within your VB .NET Project

  1. Select the Compile tab under project properties.
  2. Press the Advanced Compile Options... button.
  3. Select x86 or x64 in the Target CPU dropdown list.

Object Instantiation

Declare a global variable for the ChantXM class, instantiate an instance, add the event handler, and set the license and serial properties.

  • C#
  • VB .NET
private Chant.VoiceXMLKit.NChantXM NChantXM1;
public MainWindow()
{
    InitializeComponent();
    // Instantiate NChantXM object
    NChantXM1 = new NChantXM();
    // Setup event callback handler
    NChantXM1.HasEvent += this.NChantXM1_HasEvent;
    // Set license properties
    NChantXM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber");
    NChantXM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber");
}

Dim WithEvents NChantXM1 As NChantXM

Private Sub Window_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs) Handles MyBase.Loaded
    NChantXM1 = New NChantXM()

    ' Set license properties
    NChantXM1.SetStringProperty(ChantStringProperty.CSPLicense, "LicenseRegistrationNumber")
    NChantXM1.SetStringProperty(ChantStringProperty.CSPSerials, "LicenseSerialNumber")

    ...

End Sub

Event Callbacks

Event callbacks are the mechanism in which the class object sends information back to the application such as validation is complete or there was an error.

  • C#
  • VB .NET
private void NChantXM1_HasEvent(object sender, HasEventArgs e)
{
    // Get the event from the event queue
    NChantXMEvent nChantXMEvent = NChantXM1.GetChantXMEvent(0);
    if (nChantXMEvent != null)
    {
        switch (nChantXMEvent.ChantCallback)
        {
            case ChantCallback.CCXMCompileDone:
                {
                    ...
                    break;
                }
            case ChantCallback.CCXMCompileError:
                {
                    ...
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantXM1.RemoveEvent();
    }
}

Private Sub NChantXM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantXM1.HasEvent
    Dim nChantXMEvent As NChantXMEvent
    ' Get the event from the event queue
    nChantXMEvent = NChantXM1.GetChantXMEvent()
    if nChantXMEvent <> Nothing Then
        Select Case nChantXMEvent.ChantCallback
            Case ChantCallback.CCXMCompileDone
                ...
            Case ChantCallback.CCXMCompileError
                ...
        End Select
        ' Remove the event from the event queue
        NChantXM1.RemoveEvent()
    Next
End Sub

Deployment Checklist

When you are ready to deploy your application, you need to ensure you have a valid license, bundle the correct Chant class libraries, and configure your installation properly on the target system.

Review the following checklist before deploying your applications:

  • Win32
  • Win64
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.VoiceXMLKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NVoiceXMLKit.dll to the target system.
  • Register NVoiceXMLKit.dll as a COM library on the target system.
  • You may deploy your .NET application to any system with a valid license from Chant. See the section License for more information about licensing Chant software.
  • Copy Chant.VoiceXMLKit.dll and Chant.Shared.dll assemblies to the target system or merge them with your application using an obfuscator like .NET Reactor by Eziriz.
  • Copy NVoiceXMLKitX64.dll to the target system.
  • Register NVoiceXMLKitX64.DLL as a COM library on the target system.

Sample Projects

.NET WPF sample projects are installed at the following location:

  • Win32
  • Win64
  • My Documents\Chant\VoiceXMLKit\Win32\NET WPF\VS 2012\CSharp,
  • My Documents\Chant\VoiceXMLKit\Win32\NET WPF\VS 2012\Visual Basic,
  • My Documents\Chant\VoiceXMLKit\Win32\NET WPF\VS 2013\CSharp,
  • My Documents\Chant\VoiceXMLKit\Win32\NET WPF\VS 2013\Visual Basic,
  • My Documents\Chant\VoiceXMLKit\Win32\NET WPF\VS 2015\CSharp, and
  • My Documents\Chant\VoiceXMLKit\Win32\NET WPF\VS 2015\Visual Basic.
  • My Documents\Chant\VoiceXMLKit\Win64\NET WPF\VS 2012\CSharp,
  • My Documents\Chant\VoiceXMLKit\Win64\NET WPF\VS 2012\Visual Basic,
  • My Documents\Chant\VoiceXMLKit\Win64\NET WPF\VS 2013\CSharp,
  • My Documents\Chant\VoiceXMLKit\Win64\NET WPF\VS 2013\Visual Basic,
  • My Documents\Chant\VoiceXMLKit\Win64\NET WPF\VS 2015\CSharp, and
  • My Documents\Chant\VoiceXMLKit\Win64\NET WPF\VS 2015\Visual Basic.


VoiceXML Syntax Quick Reference

Voice Extensible Markup Language (VoiceXML) is defined by the W3C as markup language designed for creating audio dialogs that feature synthesized speech, digitized audio, recognition of spoken and DTMF key input, recording of spoken input, telephony, and mixed initiative conversations. Its major goal is to bring the advantages of Web-based development and content delivery to interactive voice response applications.

The following syntax quick reference provides an aggregate of elements and attributes of the VoiceXML specifications that have been recommended:

  • VoiceXML 1.0,
  • VoiceXML 2.0, and
  • VoiceXML 2.1

A quick reference for W3C grammar syntax can be found in the Chant GrammarKit documentation.

A quick reference for the W3C speech synthesis markup language (SSML) can be found in the Chant VoiceMarkupKit documentation.


VoiceXML Assign Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<assign>

An <assign> element sets a variable value.

Collapse/Expand Syntax section Syntax

<assign expr="varval"
        name="var" />

Attributes

expr

The new value of the variable.

name

The name of the variable being assigned to. The corresponding variable must have been previously declared otherwise an error.semantic event is thrown. By default, the scope in which the variable is resolved is the closest enclosing scope of the currently active element. To remove ambiguity, the variable name may be prefixed with a scope name.

Children

none

Parents

<block>, <catch>, <error>, <filled>, <help>, <if>, <noinput>, <nomatch>, <prompt>

Variables

none

Collapse/Expand Example section Example

The following example illustrates setting variable values.

<assign name="flavor" expr="'chocolate'"/>
<assign name="document.mycost" expr="document.mycost+14"/>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Audio Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<audio>

An <audio> element plays an audio clip within a prompt.

Collapse/Expand Syntax section Syntax

<audio expr="expression"
       fetchhint="fetchtype"
       fetchtimeout="secondsormilliseconds"
       maxage="seconds"
       maxstale="seconds"
       src="uri" />

Attributes

expr

An ECMAScript expression which determines the source of the audio to be played. The expression may be either a reference to audio previously recorded with the <record> element or evaluate to the URI of an audio resource to fetch.

fetchhint

Defines when the interpreter context should retrieve content from the server. prefetch indicates a file may be downloaded when the page is loaded. safe indicates a file that should only be downloaded when actually needed. If not specified, a value derived from the innermost relevant fetchhint property is used. The default value is the audiofetchhint property.

Fetch Type | Description
prefetch | Indicates a file may be downloaded when the page is loaded.
safe | Indicates a file that should only be downloaded when actually needed.

fetchtimeout

The interval to wait for the content to be returned before throwing an error.badfetch event. The value is a Time Designation. The default value is the fetchtimeout property.

maxage

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds. The default value is the audiomaxage property.

maxstale

Indicates that the document is willing to use content that has exceeded its expiration time. The default value is the audiomaxstale property.

src

The URI of the audio prompt.

Children

<audio>

Parents

<audio>, <block>, <catch>, <enumerate>, <error>, <field>, <filled>, <help>, <if>, <initial>, <menu>, <noinput>, <nomatch>, <object>, <prompt>, <record>, <subdialog>, <transfer>

Variables

none

Collapse/Expand Example section Example

The following example illustrates recording audio.

<?xml version="1.0" encoding="UTF-8"?>
<vxml xmlns="http://www.w3.org/2001/vxml"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.w3.org/2001/vxml
   http://www.w3.org/TR/voicexml20/vxml.xsd"
   version="2.0">
 <meta name="author" content="VoiceXML 2.0"/>
 <meta name="maintainer" content="productsupport@chant.net"/>
 <form>
   <prompt>
         Your recorded greeting is
         <audio expr="greeting"/>
         To rerecord, press 1.
         To keep it, press pound.
         To return to the main menu press star M.
         To exit press star, star X.
   </prompt>
 </form>
</vxml>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Block Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<block>

A <block> element is a container of non-interactive executable code.

Collapse/Expand Syntax section Syntax

<block cond="expression"
       expr="expression"
       name="var" />

Attributes

cond

An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.

expr

The initial value of the form item variable; default is ECMAScript undefined. If initialized to a value, then the form item will not be visited unless the form item variable is cleared.

name

The name of the form item variable used to track whether this block is eligible to be executed. The default value is an inaccessible internal variable.

Children

<assign>, <audio>, <clear>, <disconnect>, <enumerate>, <exit>, <goto>, <if>, <log>, <prompt>, <reprompt>, <return>, <script>, <submit>, <throw>, <value>, <var>

Parents

<form>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using a <block> element.

<?xml version="1.0" encoding="UTF-8"?>
<vxml xmlns="http://www.w3.org/2001/vxml"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.w3.org/2001/vxml
   http://www.w3.org/TR/voicexml20/vxml.xsd"
   version="2.0">
 <meta name="author" content="VoiceXML 2.0"/>
 <meta name="maintainer" content="productsupport@chant.net"/>
 <form>
    <block>Hello World!</block>
 </form>
</vxml>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Catch Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<catch>

A <catch> element is an event handler.

Collapse/Expand Syntax section Syntax

<catch cond="expression"
       count="integer"
       event="event1 ..." />

Attributes

cond

An expression which must evaluate to true after conversion to boolean in order for the event to be caught. Default value is true.

count

The occurrence of the event. The count allows you to handle different occurrences of the same event differently. Default value is 1.

event

The event or events to catch. A space-separated list of events may be specified, indicating that this element catches all the events named in the list. In such a case a separate event counter is maintained for each event. If the attribute is unspecified, all events are to be caught.

Children

<assign>, <audio>, <clear>, <disconnect>, <enumerate>, <exit>, <goto>, <if>, <log>, <prompt>, <reprompt>, <return>, <script>, <submit>, <throw>, <value>, <var>

Parents

<field>, <form>, <initial>, <menu>, <object>, <record>, <subdialog>, <transfer>, <vxml>

Variables

_event

The _event shadow variable identifies the event name that caused the exception.

_message

The user-defined message from the event.

Collapse/Expand Example section Example

The following example illustrates catching an event.

<?xml version="1.0" encoding="UTF-8"?>
<vxml xmlns="http://www.w3.org/2001/vxml"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.w3.org/2001/vxml
   http://www.w3.org/TR/voicexml20/vxml.xsd"
   version="2.0">
 <meta name="author" content="VoiceXML 2.0"/>
 <meta name="maintainer" content="productsupport@chant.net"/>
 <form id="launch_missiles">
  <field name="user_id" type="digits">
    <prompt>What is your username</prompt>
  </field>
  <field name="password">
    <prompt>What is the code word?</prompt>
    <grammar version="1.0" root="root">
     <rule id="root" scope="public">rutabaga</rule>
    </grammar>
   <help>It is the name of an obscure vegetable.</help>
   <catch event="nomatch noinput" count="3">
     <prompt>Security violation!</prompt>
     <submit next="http://www.example.com/apprehend_felon.vxml" namelist="user_id"/>
   </catch>
  </field>
  </form>
</vxml>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Choice Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<choice>

A <choice> element defines a menu item.

Collapse/Expand Syntax section Syntax

<choice accept="accepttype"
      dtmf="dtmfsequence"
      event="event"
      eventexpr="expression"
      expr="expression"
      fetchaudio="uri"
      fetchhint="fetchtype"
      fetchtimeout="secondsormilliseconds"
      maxage="seconds"
      maxstale="seconds"
      message="string"
      messageexpr="expression"
      next="uri" />

Attributes

accept

Override the setting for accept in menu for this particular choice. Default value is exact.

Accept Type | Description
approximate | the text of the choice element defines an approximate recognition phrase.
exact | The text of the choice element defines the exact phrase to be recognized.

dtmf

The DTMF sequence for this choice.

event

Specify an event to be thrown instead of specifying a next.

eventexpr

An ECMAScript expression evaluating to the name of the event to be thrown.

expr

Specify an expression to evaluate as a URI to transition to instead of specifying a next.

fetchaudio

The URI of the audio clip to play while the fetch is being done. If not specified, the fetchaudio property is used, and if that property is not set, no audio is played during the fetch. The fetching of the audio clip is governed by the audiofetchhint, audiomaxage, audiomaxstale, and fetchtimeout properties in effect at the time of the fetch. The playing of the audio clip is governed by the fetchaudiodelay, and fetchaudiominimum properties in effect at the time of the fetch. The default value is the fetchaudio property.

fetchhint

Defines when the interpreter context should retrieve content from the server. If not specified, a value derived from the innermost relevant fetchhint property is used. The default value is the documentfetchhint property.

Fetch Type | Description
prefetch | Indicates a file may be downloaded when the page is loaded.
safe | Indicates a file that should only be downloaded when actually needed.

fetchtimeout

The interval to wait for the content to be returned before throwing an error.badfetch event. The value is a Time Designation. The default value is the fetchtimeout property.

maxage

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds. The document is not willing to use stale content, unless maxstale is also provided. If not specified, a value derived from the innermost relevant maxage property, if present, is used. The default value is the documentmaxage property.

maxstale

Indicates that the document is willing to use content that has exceeded its expiration time. If maxstale is assigned a value, then the document is willing to accept content that has exceeded its expiration time by no more than the specified number of seconds. If not specified, a value derived from the innermost relevant maxstale property, if present, is used. The default value is the documentmaxstale property.

message

A message string providing additional context about the event being thrown. The message is available as the value of a variable within the scope of the catch element.

messageexpr

An ECMAScript expression evaluating to the message string.

next

The URI of next dialog or document.

Children

<grammar>

Parents

<menu>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using a subdialog.

<?xml version="1.0" encoding="UTF-8"?>
<vxml xmlns="http://www.w3.org/2001/vxml"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.w3.org/2001/vxml
   http://www.w3.org/TR/voicexml20/vxml.xsd"
   version="2.0">
 <meta name="author" content="VoiceXML 2.0"/>
 <meta name="maintainer" content="productsupport@chant.net"/>
 <var name="hi" expr="'Hello World!'"/>
  <menu>
    <choice next="http://www.sports.example.com/vxml/start.vxml">
      <grammar src="sports.grxml" type="application/srgs+xml"/>
        Sports
    </choice>
    <choice next="http://www.weather.example.com/intro.vxml">
       <grammar src="weather.grxml" type="application/srgs+xml"/>
       Weather
    </choice>
    <choice next="http://www.stargazer.example.com/voice/astronews.vxml">
       <grammar src="astronews.grxml" type="application/srgs+xml"/>
       Stargazer astrophysics
    </choice>
  </menu>
</vxml>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Clear Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<clear>

A <clear> element clears one or more form item variables.

Collapse/Expand Syntax section Syntax

<clear namelist="var1 ..." />

Attributes

namelist

The list of variables to be reset; this can include variable names other than form items. If an undeclared variable is referenced in the namelist, then an error.semantic is thrown. When not specified, all form items in the current form are cleared.

Children

none

Parents

<block>, <catch>, <error>, <filled>, <help>, <if>, <noinput>, <nomatch>, <prompt>

Variables

none

Collapse/Expand Example section Example

The following example illustrates clearing variables.

<clear namelist="city state zip" />

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Data Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<data>

The <data> element allows a VoiceXML application to fetch arbitrary XML data from a document server without transitioning to a new VoiceXML document.

Collapse/Expand Syntax section Syntax

<clear enctype="mediaencodingtype"
       fetchaudio="uri"
       fetchhint="fetchtype"
       fetchtimeout="secondsormilliseconds"
       maxage="seconds"
       maxstale="seconds"
       method="string"
       name="var"
       namelist="var1 ..."
       src="uri"
       srcexpr="expression" />

Attributes

enctype

The media encoding type of the submitted document.

Media Encoding Type | Description
text/plain | See Form content types.
multipart/form-data | See Form content types.

fetchaudio

The URI of the audio clip to play while the fetch is being done. If not specified, the fetchaudio property is used, and if that property is not set, no audio is played during the fetch. The fetching of the audio clip is governed by the audiofetchhint, audiomaxage, audiomaxstale, and fetchtimeout properties in effect at the time of the fetch. The playing of the audio clip is governed by the fetchaudiodelay, and fetchaudiominimum properties in effect at the time of the fetch. The default value is the fetchaudio property.

fetchhint

Defines when the interpreter context should retrieve content from the server. If not specified, a value derived from the innermost relevant fetchhint property is used. The default value is the documentfetchhint property.

Fetch Type | Description
prefetch | Indicates a file may be downloaded when the page is loaded.
safe | Indicates a file that should only be downloaded when actually needed.

fetchtimeout

The interval to wait for the content to be returned before throwing an error.badfetch event. The value is a Time Designation. The default value is the fetchtimeout property.

maxage

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds. The default value is the audiomaxage property.

maxstale

Indicates that the document is willing to use content that has exceeded its expiration time. The default value is the audiomaxstale property.

method

The request method: get (the default) or post.

name

The name of the variable that exposes the DOM.

namelist

The list of variables to submit. By default, no variables are submitted. If a namelist is supplied, it may contain individual variable references which are submitted with the same qualification used in the namelist. Declared VoiceXML and ECMAScript variables can be referenced.

src

The URI specifying the location of the XML data to retrieve.

srcexpr

The URI is dynamically determined by evaluating the given ECMAScript expression when the data needs to be fetched. If srcexpr cannot be evaluated, an error.semantic event is thrown.

Children

none

Parents

<block>, <catch>, <error>, <filled>, <form>, <help>, <if>, <noinput>, <nomatch>, <prompt>, <vxml>

Variables

none

Collapse/Expand Example section Example

The following example illustrates clearing variables.

<?xml version="1.0" encoding="UTF-8"?>
<quote xmlns="http://www.example.org">
  <ticker>F</ticker>
  <name>Ford Motor Company</name>
  <change>1.00</change>
  <last>30.00</last>
</quote>

<data name="quote" src="quote.xml"/>
<script><![CDATA[
  var price = quote.documentElement.getElementsByTagNameNS("http://www.example.org", "last").item(0).firstChild.data;
    ]]></script>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 2.1


VoiceXML Disconnect Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<disconnect>

A <disconnect> element disconnects a session.

Collapse/Expand Syntax section Syntax

<disconnect namelist="var1 ..." />

Attributes

namelist

(2.1) Variable names to be returned to the interpreter context. The default is to return no variables; this means the interpreter context will receive an empty ECMAScript object. If an undeclared variable is referenced in the namelist, then an error.semantic is thrown.

Children

none

Parents

<block>, <catch>, <error>, <filled>, <help>, <if>, <noinput>, <nomatch>, <prompt>

Variables

none

Collapse/Expand Example section Example

The following example illustrates disconnecting from a call.

<catch event="noinput">
      <disconnect />
</catch>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML DTMF Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<dtmf>

A <dtmf> element specifies a touch-tone key grammar.

Collapse/Expand Syntax section Syntax

<dtmf caching="cachingtype"
    fetchhint="fetchtype"
    fetchtimeout="secondsormilliseconds"
    scope="scopetype"
    src="uri"
    type="mimetype"/>

Attributes

caching

Defines the caching type. If not specified, a value derived from the innermost caching property is used.

Media Encoding Type | Description
fast | Force a query to fetch the most recent copy of the content.
safe | Use the cached copy of the content if it has not expired.

fetchhint

Defines when the interpreter context should retrieve content from the server. If not specified, a value derived from the innermost relevant fetchhint property is used. The default value is the grammarfetchhint property.

Fetch Type | Description
prefetch | Indicates a file may be downloaded when the page is loaded.
safe | Indicates a file that should only be downloaded when actually needed.

fetchtimeout

The interval to wait for the content to be returned before throwing an error.badfetch event. The default value is the fetchtimeout property.

scope

Either document, which makes the grammar active in all dialogs of the current document (and relevant application leaf documents), or dialog, to make the grammar active throughout the current form. If omitted, the grammar scoping is resolved by looking at the parent element.

Scope Type | Description
dialog | The form grammars are active only in the form.
document | The form grammars are active during any dialog in the same document.

src

The URI specifying the location of the grammar, if it is external.

type

The MIME type of the grammar. If this is omitted, the interpreter context will attempt to determine the type dynamically.

Children

none

Parents

<choice>, <field>, <form>, <link>, <record>, <transfer>

Variables

none

Collapse/Expand Example section Example

The following example illustrates an inline DTMF grammar.

<dtmf> 2 </dtmf>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0


VoiceXML Else Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<else>

An <else> element used in <if> elements.

Collapse/Expand Syntax section Syntax

<else />

Attributes

none

Children

none

Parents

<if>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using if-else logic.

<if cond="total > 1000">
  <prompt>This is way too much to spend.</prompt>
  <throw event="com.xyzcorp.acct.toomuchspent"/>
</if>

<if cond="amount < 29.95">
  <assign name="x" expr="amount"/>
<else/>
  <assign name="x" expr="29.95"/>
</if>

<if cond="flavor == 'vanilla'">
  <assign name="flavor_code" expr="'v'"/>
<elseif cond="flavor == 'chocolate'"/>
  <assign name="flavor_code" expr="'h'"/>
<elseif cond="flavor == 'strawberry'"/>
  <assign name="flavor_code" expr="'b'"/>
<else/>
  <assign name="flavor_code" expr="'?'"/>
</if>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Elseif Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<elseif>

An <elseif> element is used in <if> elements.

Collapse/Expand Syntax section Syntax

<elseif cond="expression" />

Attributes

cond

An expression to evaluate in conjunction with the test of the form item variable.

Children

none

Parents

<if>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using elseif logic.

<if cond="total > 1000">
  <prompt>This is way too much to spend.</prompt>
  <throw event="com.xyzcorp.acct.toomuchspent"/>
</if>

<if cond="amount < 29.95">
  <assign name="x" expr="amount"/>
<else/>
  <assign name="x" expr="29.95"/>
</if>

<if cond="flavor == 'vanilla'">
  <assign name="flavor_code" expr="'v'"/>
<elseif cond="flavor == 'chocolate'"/>
  <assign name="flavor_code" expr="'h'"/>
<elseif cond="flavor == 'strawberry'"/>
  <assign name="flavor_code" expr="'b'"/>
<else/>
  <assign name="flavor_code" expr="'?'"/>
</if>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Enumerate Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<enumerate>

An <enumerate> element enumerates the choices in a menu.

Collapse/Expand Syntax section Syntax

<enumerate />

Attributes

none

Children

<audio>

Parents

<audio>, <block>, <catch>, <error>, <field>, <filled>, <help>, <if>, <initial>, <menu>, <noinput>, <nomatch>, <object>, <prompt>, <record>, <subdialog>, <transfer>

Variables

none

Collapse/Expand Example section Example

The following example illustrates enumerating the choices in a menu.

<menu dtmf="true">
  <prompt>
    Welcome home.
    <enumerate>
     For <value expr="_prompt"/>, press <value
     expr="_dtmf"/>.
   </enumerate>
   </prompt>
   <choice next="http://www.sports.example.com/vxml/start.vxml">
      sports </choice>
   <choice next="http://www.weather.example.com/intro.vxml">
      weather </choice>
   <choice next="http://www.stargazer.example.com/voice/astronews.vxml">
      Stargazer astrophysics news
   </choice>
</menu>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Error Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<error>

An <error> element catches an error event. It is equivalent to <catch event="error"> and catches all events of type error.

Collapse/Expand Syntax section Syntax

<error cond="expression"
       count="integer" />

Attributes

cond

An optional condition to test to see if the event is caught by this element. The defaults value is true.

count

The event count.

Children

<assign>, <audio>, <clear>, <disconnect>, <enumerate>, <exit>, <goto>, <if>, <log>, <prompt>, <reprompt>, <return>, <script>, <submit>, <throw>, <value>, <var>

Parents

<field>, <form>, <initial>, <menu>, <object>, <record>, <subdialog>, <transfer>, <vxml>

Variables

_event

The _event shadow variable identifies the event name that caused the exception.

_message

The user-defined message from the event.

Collapse/Expand Example section Example

The following example illustrates handling an error.

<error>
  An error has occurred -- please call again later.
  <exit/>
</error>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Exit Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<exit>

An <exit> element is used to exit a session.

Collapse/Expand Syntax section Syntax

<exit expr="expression"
      namelist="var1 ..." />

Attributes

expr

An ECMAScript expression that is evaluated as the return value (e.g. "0", "'oops!'", or "field1").

namelist

Variable names to be returned to interpreter context. The default is to return no variables; this means the interpreter context will receive an empty ECMAScript object. If an undeclared variable is referenced in the namelist, then an error.semantic is thrown.

Children

none

Parents

<block>, <catch>, <error>, <filled>, <help>, <if>, <noinput>, <nomatch>, <prompt>

Variables

none

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Field Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<field>

A <field> element declares an input field in a form.

Collapse/Expand Syntax section Syntax

<field cond="expression"
       expr="expression"
       modal="boolean"
       name="var"
       slot="var"
       type="grammartype" />

Attributes

cond

An expression that must evaluate to true after conversion to boolean in order for the form item to be visited. The form item can also be visited if the attribute is not specified.

expr

The initial value of the form item variable; default is ECMAScript undefined. If initialized to a value, then the form item will not be visited unless the form item variable is cleared.

modal

If this is false, then all active grammars are turned on while collecting this field. If this is true, then only the field's grammars are enabled: all others are temporarily disabled. Default value is false.

name

The form item variable in the dialog scope that will hold the result. The name must be unique among form items in the form. If the name is not unique, then a badfetch error is thrown when the document is fetched.

slot

The name of the grammar slot used to populate the variable. This attribute is useful in the case where the grammar format being used has a mechanism for returning sets of slot/value pairs and the slot names differ from the form item variable names. The default value is the variable name.

type

The type of field, i.e., the name of a builtin grammar type. Platform support for builtin grammar types is optional. If the specified builtin type is not supported by the platform, an error.unsupported.builtin event is thrown.

Grammar Type | Description
boolean | Inputs include affirmative and negative phrases appropriate to the current language. DTMF 1 is affirmative and 2 is negative. The result is ECMAScript true for affirmative or false for negative. The value will be submitted as the string "true" or the string "false". If the field value is subsequently used in <say-as> with the interpret-as value "vxml:boolean", it will be spoken as an affirmative or negative phrase appropriate to the current language.
date | Valid spoken inputs include phrases that specify a date, including a month day and year. DTMF inputs are: four digits for the year, followed by two digits for the month, and two digits for the day. The result is a fixed-length date string with format yyyymmdd, e.g. "20000704". If the year is not specified, yyyy is returned as "????"; if the month is not specified mm is returned as "??"; and if the day is not specified dd is returned as "??". If the value is subsequently used in <say-as> with the interpret-as value "vxml:date", it will be spoken as date phrase appropriate to the current language.
digits | Valid spoken or DTMF inputs include one or more digits, 0 through 9. The result is a string of digits. If the result is subsequently used in <say-as> with the interpret-as value "vxml:digits", it will be spoken as a sequence of digits appropriate to the current language. A user can say for example "two one two seven", but not "twenty one hundred and twenty-seven". A platform may support constructs such as "two double-five eight".
currency | Valid spoken inputs include phrases that specify a currency amount. For DTMF input, the "*" key will act as the decimal point. The result is a string with the format UUUmm.nn, where UUU is the three character currency indicator according to ISO standard 4217 [ISO4217], or mm.nn if the currency is not spoken by the user or if the currency cannot be reliably determined (e.g. "dollar" and "peso" are ambiguous). If the field is subsequently used in <say-as> with the interpret-as value "vxml:currency", it will be spoken as a currency amount appropriate to the current language.
number | Valid spoken inputs include phrases that specify numbers, such as "one hundred twenty-three", or "five point three". Valid DTMF input includes positive numbers entered using digits and "*" to represent a decimal point. The result is a string of digits from 0 to 9 and may optionally include a decimal point (".") and/or a plus or minus sign. ECMAScript automatically converts result strings to numerical values when used in numerical expressions. The result must not use a leading zero (which would cause ECMAScript to interpret as an octal number). If the field is subsequently used in <say-as> with the interpret-as value "vxml:number", it will be spoken as a number appropriate to the current language.
phone | Valid spoken inputs include phrases that specify a phone number. DTMF asterisk "*" represents "x". The result is a string containing a telephone number consisting of a string of digits and optionally containing the character "x" to indicate a phone number with an extension. For North America, a result could be "8005551234x789". If the field is subsequently used in <say-as> with the interpret-as value "vxml:phone", it will be spoken as a phone number appropriate to the current language.
time | Valid spoken inputs include phrases that specify a time, including hours and minutes. The result is a five character string in the format hhmmx, where x is one of "a" for AM, "p" for PM, "h" to indicate a time specified using 24 hour clock, or "?" to indicate an ambiguous time. Input can be via DTMF. Because there is no DTMF convention for specifying AM/PM, in the case of DTMF input, the result will always end with "h" or "?". If the field is subsequently used in <say-as> with the interpret-as value "vxml:time", it will be spoken as a time appropriate to the current language.

Children

<audio>, <catch>, <enumerate>, <error>, <filled>, <grammar>, <help>, <link>, <noinput>, <nomatch>, <option>, <prompt>, <property>, <value>

Parents

<form>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using form fields.

<field name="maincourse">
  <prompt>
      Please select an entree. Today, we are featuring <enumerate/>
  </prompt>

  <option dtmf="1" value="fish"> swordfish </option>
  <option dtmf="2" value="beef"> roast beef </option>
  <option dtmf="3" value="chicken"> frog legs </option>

  <filled>
    <submit next="/cgi-bin/maincourse.cgi"
        method="post" namelist="maincourse"/>
  </filled>
</field>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Filled Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<filled>

A <filled> element is an action executed when fields are filled.

Collapse/Expand Syntax section Syntax

<filled mode="modetype"
        namelist="var1 ..." />

Attributes

mode

A <filled> element in an input item cannot specify a mode. If a mode is specified, then an error.badfetch is thrown by the platform upon encountering the document. Default value is all.

Mode Type | Description
all | This action is executed when all of the mentioned input items are filled and at least one has been filled by the last user input
any | This action is executed when any of the specified input items is filled by the last user input.

namelist

The input items to trigger on. For a <filled> in a form, namelist defaults to the names (explicit and implicit) of the form's input items. A <filled> element in an input item cannot specify a namelist (the namelist in this case is the input item name); if a namelist is specified, then an error.badfetch is thrown by the platform upon encountering the document. Note that control items are not permitted in this list; an error.badfetch is thrown when the document contains a <filled> element with a namelist attribute referencing a control item variable.

Children

<assign>, <audio>, <clear>, <disconnect>, <enumerate>, <exit>, <goto>, <if>, <log>, <prompt>, <reprompt>, <return>, <script>, <submit>, <throw>, <value>, <var>

Parents

<field>, <form>, <object>, <record>, <subdialog>, <transfer>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using a subdialog.

<?xml version="1.0" encoding="UTF-8"?>
<vxml xmlns="http://www.w3.org/2001/vxml"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.w3.org/2001/vxml
   http://www.w3.org/TR/voicexml20/vxml.xsd"
   version="2.0">
 <meta name="author" content="VoiceXML 2.0"/>
 <meta name="maintainer" content="productsupport@chant.net"/>
 <form id="get_starting_and_ending_cities">
  <field name="start_city">
      <grammar src="http://www.grammars.example.com/voicexml/city.grxml"
        type="application/srgs+xml"/>
      <prompt>What is the starting city?</prompt>
  </field>
  <field name="end_city">
      <grammar src="http://www.grammars.example.com/voicexml/city.grxml"
        type="application/srgs+xml"/>
      <prompt>What is the ending city?</prompt>
  </field>
  <filled mode="all" namelist="start_city end_city">
    <if cond="start_city == end_city">
      <prompt>
        You can't fly from and to the same city.
      </prompt>
      <clear/>
    </if>
  </filled>
</form>
</vxml>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Foreach Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<foreach>

A <foreach> element allows a VoiceXML application to iterate through an ECMAScript array and to execute the content contained within the <foreach> element for each item in the array.

Collapse/Expand Syntax section Syntax

<foreach array="expression"
     item="var" />

Attributes

array

An ECMAScript expression that must evaluate to an ECMAScript array.

item

The variable that stores each array item upon each iteration of the loop.

Children

<assign>, <audio>, <clear>, <data>, <disconnect>, <enumerate>, <exit>, <foreach>, <goto>, <if>, <log>, <prompt>, <reprompt>, <return>, <script>, <submit>, <throw>, <value>, <var>

Parents

<block>, <catch>, <error>, <filled>, <foreach>, <help>, <if>, <noinput>, <nomatch>, <prompt>,

Variables

none

Collapse/Expand Example section Example

The following examples illustrate declaring variables.

<?xml version="1.0" encoding="UTF-8"?>
<vxml xmlns="http://www.w3.org/2001/vxml"
  version="2.1"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.w3.org/2001/vxml
  http://www.w3.org/TR/2007/REC-voicexml21-20070619/vxml.xsd">

  <script src="movies.js"/>

  <form id="pick_movie">

    <!--
    GetMovieList returns an array of objects
      with properties audio and tts.
      The size of the array is undetermined until runtime.
    -->
    <var name="prompts" expr="GetMovieList()"/>

    <field name="movie">
      <grammar type="application/srgs+xml" src="movie_names.grxml"/>

      <prompt>Say the name of the movie you want.</prompt>

      <prompt count="2">
        <audio src="prelist.wav">When you hear the name of the movie you want, just say it.</audio>
        <foreach item="thePrompt" array="prompts">
          <audio expr="thePrompt.audio"><value expr="thePrompt.tts"/></audio>
          <break time="300ms"/>
        </foreach>
      </prompt>

      <noinput>
        I'm sorry. I didn't hear you.
        <reprompt/>
      </noinput>

      <nomatch>
        I'm sorry. I didn't get that.
        <reprompt/>
      </nomatch>

    </field>
  </form>
</vxml>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 2.1


VoiceXML Form Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<form>

A <form> element is a dialog for presenting information and collecting data.

Collapse/Expand Syntax section Syntax

<form id="string"
      scope="scopetype" />

Attributes

id

The name of the form. If specified, the form can be referenced within the document or from another document.

scope

The default scope of the form's grammars. Note that the scope of individual form grammars takes precedence over the default scope; for example, in non-root documents a form with the default scope "dialog", and a form grammar with the scope "document", then that grammar is active in any dialog in the document.

Scope Type | Description
dialog | The form grammars are active only in the form.
document | The form grammars are active during any dialog in the same document.

Children

<block>, <catch>, <error>, <field>, <filled>, <grammar>, <help>, <initial>, <link>, <noinput>, <nomatch>, <object>, <property>, <record>, <script>, <subdialog>, <transfer>, <var>

Parents

<vxml>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using a form.

<form id="weather_info">
 <block>Welcome to the weather information service.</block>
 <field name="state">
  <prompt>What state?</prompt>
  <grammar src="state.grxml"  type="application/srgs+xml"/>
  <catch event="help">
     Please speak the state for which you want the weather.
  </catch>
 </field>
 <field name="city">
  <prompt>What city?</prompt>
  <grammar src="city.grxml" type="application/srgs+xml"/>
  <catch event="help">
     Please speak the city for which you want the weather.
  </catch>
 </field>
 <block>
  <submit next="/servlet/weather" namelist="city state"/>
 </block>
</form>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Goto Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<goto>

A <goto> element transitions to another form item in the current form, another dialog in the current document, or another document.

Collapse/Expand Syntax section Syntax

<goto expr="expression"
      expritem="expression"
      fetchaudio="uri"
      fetchhint="fetchtype"
      fetchtimeout="secondsormilliseconds"
      maxage="seconds"
      maxstale="seconds"
      next="uri"
      nextitem="string" />

Attributes

expr

An ECMAScript expression that yields the URI.

expritem

An ECMAScript expression that yields the name of the next form item to visit.

fetchaudio

The URI of the audio clip to play while the fetch is being done. If not specified, the fetchaudio property is used, and if that property is not set, no audio is played during the fetch. The fetching of the audio clip is governed by the audiofetchhint, audiomaxage, audiomaxstale, and fetchtimeout properties in effect at the time of the fetch. The playing of the audio clip is governed by the fetchaudiodelay, and fetchaudiominimum properties in effect at the time of the fetch. The default value is the fetchaudio property.

fetchhint

Defines when the interpreter context should retrieve content from the server. If not specified, a value derived from the innermost relevant fetchhint property is used. The default value is the documentfetchhint property.

Fetch Type | Description
prefetch | Indicates a file may be downloaded when the page is loaded.
safe | Indicates a file that should only be downloaded when actually needed.

fetchtimeout

The interval to wait for the content to be returned before throwing an error.badfetch event. The value is a Time Designation. The default value is the fetchtimeout property.

maxage

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds. The document is not willing to use stale content, unless maxstale is also provided. If not specified, a value derived from the innermost relevant maxage property, if present, is used. The default value is the documentmaxage property.

maxstale

Indicates that the document is willing to use content that has exceeded its expiration time. If maxstale is assigned a value, then the document is willing to accept content that has exceeded its expiration time by no more than the specified number of seconds. If not specified, a value derived from the innermost relevant maxstale property, if present, is used. The default value is the documentmaxstale property.

next

The URI to which to transition.

nextitem

The name of the next form item to visit in the current form.

Children

none

Parents

<block>, <catch>, <error>, <filled>, <help>, <if>, <noinput>, <nomatch>, <prompt>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using goto branching.

<goto nextitem="ssn_confirm"/>
<goto expritem="(type==12)? 'ssn_confirm' : 'reject'"/>

<goto next="#another_dialog"/>
<goto expr="'#' + 'another_dialog'"/>

<goto next="http://flight.example.com/reserve_seat"/>
<goto next="./special_lunch#wants_vegan"/>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Grammar Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<grammar>

A <grammar> element specifies a speech recognition or DTMF grammar.

Collapse/Expand Syntax section Syntax

<grammar fetchhint="fetchtype"
         fetchtimeout="secondsormilliseconds"
         maxage="seconds"
         maxstale="seconds"
         mode="string"
         root="string"
         scope="scopetype"
         src="uri"
         srcexpr="expression"
         tag-format="tagtype"
         type="encodingtype"
         version="float"
         weight="float"
         xml:base=uri"
         xml:lang="langid"/>

Attributes

fetchhint

Defines when the interpreter context should retrieve content from the server. If not specified, a value derived from the innermost relevant fetchhint property is used. The default value is the grammarfetchhint property.

Fetch Type | Description
prefetch | Indicates a file may be downloaded when the page is loaded.
safe | Indicates a file that should only be downloaded when actually needed.

fetchtimeout

The interval to wait for the content to be returned before throwing an error.badfetch event. The value is a Time Designation. The default value is the fetchtimeout property.

maxage

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds. The document is not willing to use stale content, unless maxstale is also provided. If not specified, a value derived from the innermost relevant maxage property, if present, is used. The default value is the grammarmaxage property.

maxstale

Indicates that the document is willing to use content that has exceeded its expiration time. If maxstale is assigned a value, then the document is willing to accept content that has exceeded its expiration time by no more than the specified number of seconds. If not specified, a value derived from the innermost relevant maxstale property, if present, is used. The default value is the grammarmaxstale property.

mode

Defines the mode of the grammar that indicates the type of input that the user agent should be detecting. The default mode is "voice" for speech recognition grammars. An alternative input mode defined is "dtmf" input.

root

Defines the rule which acts as the root rule of the grammar.

scope

The default scope of the form's grammars. Note that the scope of individual form grammars takes precedence over the default scope; for example, in non-root documents a form with the default scope "dialog", and a form grammar with the scope "document", then that grammar is active in any dialog in the document.

Scope Type | Description
dialog | The form grammars are active only in the form.
document | The form grammars are active during any dialog in the same document.

src

The URI specifying the location of the grammar and optionally a rulename within that grammar, if it is external. The URI is interpreted as a rule reference of the Speech Recognition Grammar Specification [SRGS] but not all forms of rule reference are permitted from within VoiceXML.

srcexpr

(2.1) Equivalent to src, except that the URI is dynamically determined by evaluating the given ECMAScript expression in the current scope (e.g. the current form item). The expression must be evaluated each time the grammar needs to be activated. If srcexpr cannot be evaluated, an error.semantic event is thrown.

tag-format

Defines the tag content format for all tags within the grammar.

Tag Type | Description
semantics/1.0 | The tag contents are ECMAScript
semantics/1.0-literals | The tag contents are string literals.

type

The preferred media type of the grammar. A resource indicated by the URI reference in the src attribute may be available in one or more media types.

Tag Type | Description
application/srgs | W3C ABNF grammar format
application/srgs+xml | W3C XML grammar format

version

Defines the version of the grammar.

weight

Specifies the weight of the grammar.

xml:base

Declares the base URI from which relative URIs in the grammar are resolved. This base declaration has precedence over the <vxml> base URI declaration. If a local declaration is omitted, the value is inherited down the document hierarchy.

xml:lang

The language identifier of the grammar (for example, "fr-CA" for Canadian French.) If omitted, the value is inherited down from the document hierarchy.

Children

Refer to the GrammarKit documentation section entitled Grammar Syntax Quick Reference and the W3C specification Recognition Grammar Specification Version 1.0 for more information about SRGS XML grammars.

Parents

<choice>, <field>, <form>, <link>, <record>, <transfer>

Variables

none

Collapse/Expand Example section Example

The following example illustrates decalaring a speech recognition grammar.

<grammar type="application/srgs+xml" src="http://www.grammar.example.com/date.grxml" />

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Help Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<help>

A <help> element catches a help event.

Collapse/Expand Syntax section Syntax

<help cond="expression"
      count="integer" />

Attributes

cond

An optional condition to test to see if the event is caught by this element. The default value is true.

count

The event count.

Children

<assign>, <audio>, <clear>, <disconnect>, <enumerate>, <exit>, <goto>, <if>, <log>, <prompt>, <reprompt>, <return>, <script>, <submit>, <throw>, <value>, <var>

Parents

<field>, <form>, <initial>, <menu>, <object>, <record,>, <subdialog>, <transfer>, <vxml>

Variables

_event

The _event shadow variable identifies the event name that caused the exception.

Collapse/Expand Example section Example

The following example illustrates processing a help event.

<help>No help is available.</help>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML If Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<if>

An <if> element is used for simple conditional logic.

Collapse/Expand Syntax section Syntax

<if cond="expression">

Attributes

cond

An expression to evaluate in conjunction with the test of the form item variable.

Children

<assign>, <audio>, <clear>, <disconnect>, <else>, <elseif>, <enumerate>, <exit>, <goto>, <if>, <log>, <prompt>, <reprompt>, <return>, <script>, <submit>, <throw>, <value>, <var>

Parents

<block>, <catch>, <error>, <filled>, <help>, <if>, <noinput>, <nomatch>, <prompt>

Variables

none

Collapse/Expand Example section Example

The following example illustrates if condition logic.

<if cond="total > 1000">
  <prompt>This is way too much to spend.</prompt>
  <throw event="com.xyzcorp.acct.toomuchspent"/>
</if>

<if cond="amount < 29.95">
  <assign name="x" expr="amount"/>
<else/>
  <assign name="x" expr="29.95"/>
</if>

<if cond="flavor == 'vanilla'">
  <assign name="flavor_code" expr="'v'"/>
<elseif cond="flavor == 'chocolate'"/>
  <assign name="flavor_code" expr="'h'"/>
<elseif cond="flavor == 'strawberry'"/>
  <assign name="flavor_code" expr="'b'"/>
<else/>
  <assign name="flavor_code" expr="'?'"/>
</if>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Initial Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<initial>

An <initial> element declares initial logic upon entry into a (mixed initiative) form.

Collapse/Expand Syntax section Syntax

<initial cond="expression"
         expr="expression"
         name="var" />

Attributes

cond

An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.

expr

The initial value of the form item variable.

name

The name of a form item variable used to track whether this is eligible to execute. The default value is an inaccessible internal variable.

Children

<audio>, <catch>, <enumerate>, <error>, <help>, <link>, <noinput>, <nomatch>, <prompt>, <property>, <value>

Parents

<form>

Variables

none

Collapse/Expand Example section Example

The following example illustrates initial logic.

<initial name="bypass_init">
    <prompt>
    Where do you want to drive from and to?
    </prompt>
    <nomatch count="1">
    Please say something like "from Atlanta Georgia to Toledo Ohio".
    </nomatch>
    <nomatch count="2">
    I'm sorry, I still don't understand.
    I'll ask you for information one piece at a time.
    <assign name="bypass_init" expr="true"/>
    <reprompt/>
    </nomatch>
</initial>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Link Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<link>

A <link> element specifies a transition common to all dialogs in the link's scope.

Collapse/Expand Syntax section Syntax

<link dtmf="dtmfsequence"
      event="event"
      eventexpr="expression"
      expr="expression"
      fetchaudio="uri"
      fetchhint="fetchtype"
      fetchtimeout="secondsormilliseconds"
      maxage="seconds"
      maxstale="seconds"
      message="string"
      messageexpr="expression"
      next="uri" />

Attributes

dtmf

The DTMF sequence for this link. It is equivalent to a simple DTMF <grammar> and DTMF properties apply to recognition of the sequence. Unlike DTMF grammars, whitespace is optional: dtmf="123#" is equivalent to dtmf="1 2 3 #". The attribute can be used at the same time as other <grammar>s: the link is activated when user input matches a link grammar or the DTMF sequence.

event

The event to throw when the user matches one of the link grammars.

eventexpr

An ECMAScript expression evaluating to the name of the event to throw when the user matches one of the link grammars.

expr

Like next, except that the URI is dynamically determined by evaluating the given ECMAScript expression.

fetchaudio

The URI of the audio clip to play while the fetch is being done. If not specified, the fetchaudio property is used, and if that property is not set, no audio is played during the fetch. The fetching of the audio clip is governed by the audiofetchhint, audiomaxage, audiomaxstale, and fetchtimeout properties in effect at the time of the fetch. The playing of the audio clip is governed by the fetchaudiodelay, and fetchaudiominimum properties in effect at the time of the fetch. The default value is the fetchaudio property.

fetchhint

Defines when the interpreter context should retrieve content from the server. If not specified, a value derived from the innermost relevant fetchhint property is used. The default value is the documentfetchhint property.

Fetch Type | Description
prefetch | Indicates a file may be downloaded when the page is loaded.
safe | Indicates a file that should only be downloaded when actually needed.

fetchtimeout

The interval to wait for the content to be returned before throwing an error.badfetch event. The value is a Time Designation. The default value is the fetchtimeout property.

maxage

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds. The document is not willing to use stale content, unless maxstale is also provided. If not specified, a value derived from the innermost relevant maxage property, if present, is used. The default value is the documentmaxage property.

maxstale

Indicates that the document is willing to use content that has exceeded its expiration time. If maxstale is assigned a value, then the document is willing to accept content that has exceeded its expiration time by no more than the specified number of seconds. If not specified, a value derived from the innermost relevant maxstale property, if present, is used. The default value is the documentmaxstale property.

message

A message string providing additional context about the event being thrown. The message is available as the value of a variable within the scope of the catch element.

messageexpr

An ECMAScript expression evaluating to the message string.

next

The URI to go to. This URI is a document (perhaps with an anchor to specify the starting dialog), or a dialog in the current document (just a bare anchor).

Children

<grammar>

Parents

<field>, <form>, <initial>, <vxml>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using a link element.

<link next="http://www.voicexml.org/books/main.vxml">
  <grammar mode="voice" version="1.0" root="root">
    <rule id="root" scope="public">
       <one-of>
         <item>books</item>
         <item>VoiceXML books</item>
       </one-of>
    </rule>
  </grammar>
  <grammar mode="dtmf" version="1.0" root="r2">
     <rule id="r2" scope="public"> 2 </rule>
  </grammar>
</link>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Log Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<log>

A <log> element generates a debug message.

Collapse/Expand Syntax section Syntax

<log expr="expression"
     label="string" />

Attributes

expr

An optional ECMAScript expression evaluating to a string.

label

An optional string which may be used, for example, to indicate the purpose of the log.

Children

<value>

Parents

<block>, <catch>, <error>, <filled>, <help>, <if>, <noinput>, <nomatch>, <prompt>

Variables

none

Collapse/Expand Example section Example

The following example illustrates logging a debug message.

<log>The card number was <value expr="card_num"/></log>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 2.0, VoiceXML 2.1


VoiceXML Menu Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<menu>

A <menu> element is a dialog for choosing amongst alternative destinations.

Collapse/Expand Syntax section Syntax

<menu accept="accepttype"
      dtmf="boolean"
      id="var"
      scope="scopetype" />

Attributes

accept

Defines the matching criteria. Each <choice> can override this setting.

Accept Type | Description
approximate | The text of the choice elements defines an approximate recognition phrase.
exact | The text of the choice elements in the menu defines the exact phrase to be recognized.

dtmf

When set to true, the first nine choices that have not explicitly specified a value for the dtmf attribute are given the implicit ones "1", "2", etc. Remaining choices that have not explicitly specified a value for the dtmf attribute will not be assigned DTMF values (and thus cannot be matched via a DTMF keypress). If there are choices which have specified their own DTMF sequences to be something other than "*", "#", or "0", an error.badfetch will be thrown. The default is false.

id

The identifier of the menu. It allows the menu to be the target of a <goto> or a <submit>.

scope

The menu's grammar scope. If it is dialog (the default), the menu's grammars are only active when the user transitions into the menu. If the scope is document, its grammars are active over the whole document (or if the menu is in the application root document, any loaded document in the application).

Scope Type | Description
approximate | The text of the choice elements defines an approximate recognition phrase.
exact | The text of the choice elements in the menu defines the exact phrase to be recognized.

Children

<audio>, <catch>, <choice>, <enumerate>, <error>, <help>, <noinput>, <nomatch>, <prompt>, <property>, <script>, <value>, <var>

Parents

<vxml>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using a subdialog.

<menu>
  <choice next="http://www.sports.example.com/vxml/start.vxml">
    <grammar src="sports.grxml" type="application/srgs+xml"/>
    Sports
  </choice>
  <choice next="http://www.weather.example.com/intro.vxml">
   <grammar src="weather.grxml" type="application/srgs+xml"/>
   Weather
  </choice>
  <choice next="http://www.stargazer.example.com/voice/astronews.vxml">
   <grammar src="astronews.grxml" type="application/srgs+xml"/>
   Stargazer astrophysics
  </choice>
</menu>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Meta Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<meta>

A <meta> element defines a metadata item as a name/value pair.

Collapse/Expand Syntax section Syntax

<meta content="string"
      http-equiv="string"
      name="string" />

Attributes

content

The value of the metadata property.

http-equiv

The name of an HTTP response header.

name

The name of the metadata property.

Children

none

Parents

<vxml>

Variables

none

Collapse/Expand Example section Example

The following examples illustrate using metadata.

<meta name="maintainer" content="jpdoe@anycompany.example.com"/>

<meta http-equiv="Expires" content="0"/>
<meta http-equiv="Date"    content="Thu, 12 Dec 2000 23:27:21 GMT"/>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Metadata Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<metadata>

A <metadata> element define metadata information using a metadata schema.

Collapse/Expand Syntax section Syntax

<metadata creator="string"
          rights="string"
          subject="string"

Attributes

creator

An entity primarily responsible for making the content of the resource.

rights

Information about rights held in and over the resource.

subject

The topic of the content of the resource. Typically, a subject will be expressed as keywords, key phrases or classification codes. Recommended best practice is to select values from a controlled vocabulary or formal classification scheme.

Children

See RDF syntax.

Parents

<vxml>

Variables

none

Collapse/Expand Example section Example

The following example illustrates declaring metadata.

<metadata>
   <rdf:RDF
       xmlns:rdf = "http://www.w3.org/1999/02/22-rdf-syntax-ns#"
       xmlns:rdfs = "http://www.w3.org/TR/1999/PR-rdf-schema-19990303#"
       xmlns:dc = "http://purl.org/metadata/dublin_core#">

<!-- Metadata about the VoiceXML document -->
   <rdf:Description about="http://www.example.com/meta.vxml"
       dc:Title="Directory Enquiry Service"
       dc:Description="Directory Enquiry Service for London in VoiceXML"
       dc:Publisher="W3C"
       dc:Language="en"
       dc:Date="2002-02-12"
       dc:Rights="Copyright 2002 John Smith"
       dc:Format="application/voicexml+xml" >
       <dc:Creator>
          <rdf:Seq ID="CreatorsAlphabeticalBySurname">
             <rdf:li>Jackie Crystal</rdf:li>
             <rdf:li>William Lee</rdf:li>
          </rdf:Seq>
       </dc:Creator>
   </rdf:Description>
  </rdf:RDF>
 </metadata>
 <form>
    <block>
       <prompt>Hello</prompt>
    </block>
 </form>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 2.0, VoiceXML 2.1


VoiceXML Noinput Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<noinput>

A <noinput> element catches a noinput event that occurs when a user does not provide a response to an active <field>.

Collapse/Expand Syntax section Syntax

<noinput cond="expression"
      count="integer" />

Attributes

cond

An optional condition to test to see if the event is caught by this element. The default value is true.

count

The event count.

Children

<assign>, <audio>, <clear>, <disconnect>, <enumerate>, <exit>, <goto>, <if>, <log>, <prompt>, <reprompt>, <return>, <script>, <submit>, <throw>, <value>, <var>

Parents

<field>, <form>, <initial>, <menu>, <object>, <record>, <subdialog>, <transfer>, <vxml>

Variables

_event

The _event shadow variable identifies the event name that caused the exception.

_message

The user-defined message from the event.

Collapse/Expand Example section Example

The following example illustrates processing a noinput event.

 <noinput>I didn't hear anything, please try again.</noinput>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Nomatch Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<nomatch>

A <nomatch> element catches a nomatch event.

Collapse/Expand Syntax section Syntax

<nomatch cond="expression"
      count="integer" />

Attributes

cond

An optional condition to test to see if the event is caught by this element. The default value is true.

count

The event count.

Children

<assign>, <audio>, <clear>, <disconnect>, <enumerate>, <exit>, <goto>, <if>, <log>, <prompt>, <reprompt>, <return>, <script>, <submit>, <throw>, <value>, <var>

Parents

<field>, <form>, <initial>, <menu>, <object>, <record>, <subdialog>, <transfer>, <vxml>

Variables

_event

The _event shadow variable identifies the event name that caused the exception.

_message

The user-defined message from the event.

Collapse/Expand Example section Example

The following example illustrates processing a nomatch event.

 <nomatch>I heard something, but it wasn't a known city.</nomatch>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Object Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<object>

An <object> element interacts with a custom extension.

Collapse/Expand Syntax section Syntax

<object archive="uri1 ..."
        classid="uri"
        codebase="uri"
        codetype="codetype"
        cond="expression"
        data="uri"
        expr="expression"
        fetchhint="fetchtype"
        fetchtimeout="secondsormilliseconds"
        maxage="seconds"
        maxstale="seconds"
        name="var"
        type="contenttype" />

Attributes

archive

A space-separated list of URIs for archives containing resources relevant to the object, which may include the resources specified by the classid and data attributes. URIs which are relative are interpreted relative to the codebase attribute.

classid

The URI specifying the location of the object's implementation. The URI conventions are platform-dependent.

codebase

The base path used to resolve relative URIs specified by classid, data, and archive. The default value is the base URI of the current document.

codetype

The content type of data expected when downloading the object specified by classid. The default value is the value of the type attribute.

cond

An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.

data

The URI specifying the location of the object's data. If it is a relative URI, it is interpreted relative to the codebase attribute.

expr

The initial value of the form item variable; default is ECMAScript undefined. If initialized to a value, then the form item will not be visited unless the form item variable is cleared.

fetchhint

Defines when the interpreter context should retrieve content from the server. If not specified, a value derived from the innermost relevant fetchhint property is used. The default value is the objectfetchhint property.

Fetch Type | Description
prefetch | Indicates a file may be downloaded when the page is loaded.
safe | Indicates a file that should only be downloaded when actually needed.

fetchtimeout

The interval to wait for the content to be returned before throwing an error.badfetch event. The value is a Time Designation. The default value is the fetchtimeout property.

maxage

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds. The document is not willing to use stale content, unless maxstale is also provided. If not specified, a value derived from the innermost relevant maxage property, if present, is used. The default value is the objectmaxage property.

maxstale

Indicates that the document is willing to use content that has exceeded its expiration time. If maxstale is assigned a value, then the document is willing to accept content that has exceeded its expiration time by no more than the specified number of seconds. If not specified, a value derived from the innermost relevant maxstale property, if present, is used. The default value is the objectmaxstale property.

name

When the object is evaluated, it sets this variable to an ECMAScript value whose type is defined by the object.

type

The content type of the data specified by the data attribute.

Children

<audio>, <catch>, <enumerate>, <error>, <filled>, <help>, <noinput>, <nomatch>, <param>, <prompt>, <property>, <value>

Parents

<form>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using an object to invoke external processes.

<object
    name="debit"
    classid="method://credit-card/gather_and_debit"
    data="http://www.recordings.example.com/prompts/credit/jesse.jar">
  <param name="amount" expr="document.amt"/>
  <param name="vendor" expr="vendor_num"/>
</object>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Option Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<option>

An <option> element specifies an option in a <field> element.

Collapse/Expand Syntax section Syntax

<option accept="accepttype"
        dtmf="dtmfsequence"
        value="string" />

Attributes

accept

Defines the matching criteria. Each <choice> can override this setting.

Accept Type | Description
approximate | The text of the choice elements defines an approximate recognition phrase.
exact | The text of the choice elements in the menu defines the exact phrase to be recognized.

dtmf

An optional DTMF sequence for this option. It is equivalent to a simple DTMF and DTMF properties apply to recognition of the sequence. Unlike DTMF grammars, whitespace is optional: dtmf="123#" is equivalent to dtmf="1 2 3 #". If unspecified, no DTMF sequence is associated with this option so it cannot be matched using DTMF.

value

The string to assign to the field's form item variable when a user selects this option, whether by speech or DTMF. The default assignment is the CDATA content of the

Children

none

Parents

<field>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using field options.

<field name="maincourse">
  <prompt>
      Please select an entree. Today, we are featuring <enumerate/>
  </prompt>

  <option dtmf="1" value="fish"> swordfish </option>
  <option dtmf="2" value="beef"> roast beef </option>
  <option dtmf="3" value="chicken"> frog legs </option>

  <filled>
    <submit next="/cgi-bin/maincourse.cgi"
        method="post" namelist="maincourse"/>
  </filled>
</field>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Param Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<param>

A <param> element is a parameter in an <object> or <subdialog> element.

Collapse/Expand Syntax section Syntax

<param expr="expression"
       name="var"
       type="mediaencodingtype"
       value="string"
       valuetype="valuetype" />

Attributes

expr

An expression that computes the value associated with name.

name

The name to be associated with this parameter when the object or subdialog is invoked.

type

The media type of the result provided by a URI if the valuetype is ref. Used only for <param> elements in an <object> element.

Media Encoding Type | Description
text/plain | See Form content types.
multipart/form-data | See Form content types.

value

Associates a literal string value with name.

valuetype

Describes the value type. This is not used for <subdialog> element since values are always data. The default value is data.

Value Type | Description
data | Indicates to an object if the value associated with name is data.
ref | Indicate to an object if the value associated with name is a URI.

Children

none

Parents

<object>, <subdialog>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using an object with param elements.

<object name="debit"
 classid="method://credit-card/gather_and_debit"
 data="http://www.recordings.example.com/prompts/credit/jesse.jar">
  <param name="amount" expr="document.amt"/>
  <param name="vendor" expr="vendor_num"/>
  <param name="application_id" value="ADC5678-QWOO"/>
  <param name="authentication_server"
   value="http://auth-svr.example.com"
   valuetype="ref"
   type="text/plain"/></object>

<subdialog name="result" src="http://another.example.com/#getssn">
    <param name="firstname" expr="document.first"/>
    <param name="lastname"  expr="document.last"/>
    <filled>
      <submit namelist="result.ssn"
        next="http://myservice.example.com/cgi-bin/process"/>
    </filled>
  </subdialog>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Prompt Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<prompt>

A <prompt> element queues speech synthesis and audio output to the user.

Collapse/Expand Syntax section Syntax

<prompt bargein="boolean"
        bargeintype="bargeintype"
        cond="expression"
        count="integer"
        timeout="secondsormilliseconds"
        xml:base="uri"
        xml:lang="langid" />

Attributes

bargein

Control whether a user can interrupt a prompt. The default value is the value of the bargein property.

bargeintype

The type of bargein. The default value is the value of the bargeintype property.

Bargein Type | Description
hotword | The prompt will not be stopped until a complete match of an active grammar is detected. Input that does not match a grammar is ignored (note that this even applies during the timeout period); as a consequence, a nomatch event will never be generated in the case of hotword bargein.
speech | The prompt will be stopped as soon as speech or DTMF input is detected. The prompt is stopped irrespective of whether or not the input matches a grammar and irrespective of which grammars are active.

cond

An expression that must evaluate to true after conversion to boolean in order for the prompt to be played. Default is true.

count

A number that allows you to emit different prompts if the user is doing something repeatedly. The default value is 1.

timeout

The timeout that will be used for the following user input. The value is a Time Designation. The default noinput timeout is platform specific.

xml:base

Declares the base URI from which relative URIs in the prompt are resolved. This base declaration has precedence over the <vxml> base URI declaration. If a local declaration is omitted, the value is inherited down the document hierarchy.

xml:lang

The language identifier for the prompt. The default value is the value specified in the document's xml:lang attribute.

Children

<assign>, <audio>, <clear>, <disconnect>, <enumerate>, <exit>, <goto>, <if>, <log>, <prompt>, <reprompt>, <return>, <script>, <submit>, <throw>, <value>, <var>

Parents

<block>, <catch>, <error>, <field>, <filled>, <help>, <if>, <initial>, <menu>, <noinput>, <nomatch>, <object>, <prompt>, <record>, <subdialog>, <transfer>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using a prompt.

<field name="state">
  <prompt>What state?</prompt>
  <grammar src="state.grxml"  type="application/srgs+xml"/>
  <catch event="help">
     Please speak the state for which you want the weather.
  </catch>
 </field>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Property Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<property>

A <property> element controls implementation platform settings.

Collapse/Expand Syntax section Syntax

<property name="string"
          value="string" />

Attributes

name

The name of the property.

Generic Speech Recognizer Property | Description
confidencelevel | The speech recognition confidence level, a float value in the range of 0.0 to 1.0. Results are rejected (a nomatch event is thrown) when application.lastresult$.confidence is below this threshold. A value of 0.0 means minimum confidence is needed for a recognition, and a value of 1.0 requires maximum confidence. The value is a Real Number Designation. The default value is 0.5.
sensitivity | Set the sensitivity level. A value of 1.0 means that it is highly sensitive to quiet input. A value of 0.0 means it is least sensitive to noise. The value is a Real Number Designation. The default value is 0.5.
speedvsaccuracy | A hint specifying the desired balance between speed vs. accuracy. A value of 0.0 means fastest recognition. A value of 1.0 means best accuracy. The value is a Real Number Designation. The default is value 0.5.
completetimeout The length of silence required following user speech before the speech recognizer finalizes a result (either accepting it or throwing a nomatch event). The complete timeout is used when the speech is a complete match of an active grammar. By contrast, the incomplete timeout is used when the speech is an incomplete match to an active grammar.

A long complete timeout value delays the result completion and therefore makes the computer's response slow. A short complete timeout may lead to an utterance being broken up inappropriately. Reasonable complete timeout values are typically in the range of 0.3 seconds to 1.0 seconds. The value is a Time Designation. The default is platform-dependent.

Although platforms must parse the completetimeout property, platforms are not required to support the behavior of completetimeout. Platforms choosing not to support the behavior of completetimeout must so document and adjust the behavior of the incompletetimeout property as described below.
incompletetimeout The required length of silence following user speech after which a recognizer finalizes a result. The incomplete timeout applies when the speech prior to the silence is an incomplete match of all active grammars. In this case, once the timeout is triggered, the partial result is rejected with a nomatch event.

The incomplete timeout also applies when the speech prior to the silence is a complete match of an active grammar, but where it is possible to speak further and still match the grammar. By contrast, the complete timeout is used when the speech is a complete match to an active grammar and no further words can be spoken.

A long incomplete timeout value delays the result completion and therefore makes the computer's response slow. A short incomplete timeout may lead to an utterance being broken up inappropriately.

The incomplete timeout is usually longer than the complete timeout to allow users to pause mid-utterance (for example, to breathe).

Platforms choosing not to support the completetimeout property (described above) must use the maximum of the completetimeout and incompletetimeout values as the value for the incompletetimeout.

The value is a Time Designation.
maxspeechtimeout | The maximum duration of user speech. If this time elapsed before the user stops speaking, the event "maxspeechtimeout" is thrown. The value is a Time Designation. The default duration is platform-dependent.
Generic DTMF Recognizer Properties | Description
interdigittimeout | The inter-digit timeout value to use when recognizing DTMF input. The value is a Time Designation. The default is platform-dependent
termtimeout | The terminating timeout to use when recognizing DTMF input. The value is a Time Designation. The default value is 0s.
termchar | The terminating DTMF character for DTMF input recognition. The default value is #.
Fetch Prompt and Collect Properties | Description
bargein | The bargein attribute to use for prompts. Setting this to true allows bargein by default. Setting it to false disallows bargein. The default value is true.
bargeintype | Sets the type of bargein to be speech or hotword. Default is platform-specific.
timeout | The time after which a noinput event is thrown by the platform. The value is a Time Designation. The default value is platform-dependent.
Fetching Properties | Description
audiofetchhint | This tells the platform whether or not it can attempt to optimize dialog interpretation by pre-fetching audio. The value is either safe to say that audio is only fetched when it is needed, never before; or prefetch to permit, but not require the platform to pre-fetch the audio. The default value is prefetch.
audiomaxage | Tells the platform the maximum acceptable age, in seconds, of cached audio resources. The default is platform-specific.
audiomaxstale | Tells the platform the maximum acceptable staleness, in seconds, of expired cached audio resources. The default is platform-specific.
documentfetchhint | Tells the platform whether or not documents may be pre-fetched. The value is either safe (the default), or prefetch.
documentmaxage | Tells the platform the maximum acceptable age, in seconds, of cached documents. The default is platform-specific.
documentmaxstale | Tells the platform the maximum acceptable staleness, in seconds, of expired cached documents. The default is platform-specific.
grammarfetchhint | Tells the platform whether or not grammars may be pre-fetched. The value is either prefetch (the default), or safe.
grammarmaxage | Tells the platform the maximum acceptable age, in seconds, of cached grammars. The default is platform-specific.
grammarmaxstale | Tells the platform the maximum acceptable staleness, in seconds, of expired cached grammars. The default is platform-specific.
objectfetchhint | Tells the platform whether the URI contents for <object> may be pre-fetched or not. The values are prefetch (the default), or safe.
objectmaxage | Tells the platform the maximum acceptable age, in seconds, of cached objects. The default is platform-specific.
objectmaxstale | Tells the platform the maximum acceptable staleness, in seconds, of expired cached objects. The default is platform-specific.
scriptfetchhint | Tells whether scripts may be pre-fetched or not. The values are prefetch (the default), or safe.
scriptmaxage | Tells the platform the maximum acceptable age, in seconds, of cached scripts. The default is platform-specific.
scriptmaxstale | Tells the platform the maximum acceptable staleness, in seconds, of expired cached scripts. The default is platform-specific.
fetchaudio | The URI of the audio to play while waiting for a document to be fetched. The default is not to play any audio during fetch delays. There are no fetchaudio properties for audio, grammars, objects, and scripts. The fetching of the audio clip is governed by the audiofetchhint, audiomaxage, audiomaxstale, and fetchtimeout properties in effect at the time of the fetch. The playing of the audio clip is governed by the fetchaudiodelay, and fetchaudiominimum properties in effect at the time of the fetch.
fetchaudiodelay | The time interval to wait at the start of a fetch delay before playing the fetchaudio source. The value is a Time Designation. The default interval is platform-dependent, e.g. "2s". The idea is that when a fetch delay is short, it may be better to have a few seconds of silence instead of a bit of fetchaudio that is immediately cut off.
fetchaudiominimum | The minimum time interval to play a fetchaudio source, once started, even if the fetch result arrives in the meantime. The value is a Time Designation. The default is platform-dependent, e.g., "5s". The idea is that once the user does begin to hear fetchaudio, it should not be stopped too quickly.
fetchtimeout | The timeout for fetches. The value is a Time Designation. The default value is platform-dependent.
Miscellaneous Properties | Description
inputmodes | This property determines which input modality to use. The input modes to enable: dtmf and voice. On platforms that support both modes, inputmodes defaults to "dtmf voice". To disable speech recognition, set inputmodes to "dtmf". To disable DTMF, set it to "voice". One use for this would be to turn off speech recognition in noisy environments. Another would be to conserve speech recognition resources by turning them off where the input is always expected to be DTMF. This property does not control the activation of grammars. For instance, voice-only grammars may be active when the inputmode is restricted to DTMF. Those grammars would not be matched, however, because the voice input modality is not active.
universals Platforms may optionally provide platform-specific universal command grammars, such as "help", "cancel", or "exit" grammars, that are always active (except in the case of modal input items) and which generate specific events.

Production-grade applications often need to define their own universal command grammars, e.g., to increase application portability or to provide a distinctive interface. They specify new universal command grammars with <link> elements. They turn off the default grammars with this property. Default catch handlers are not affected by this property.

The value "none" is the default, and means that all platform default universal command grammars are disabled. The value "all" turns them all on. Individual grammars are enabled by listing their names separated by spaces; for example, "cancel exit help".
maxnbest | This property controls the maximum size of the "application.lastresult$" array; the array is constrained to be no larger than the value specified by 'maxnbest'. This property has a minimum value of 1. The default value is 1.

value

The value of the property.

Children

none

Parents

<form>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using a property.

<form id="no_bargein_form">
  <property name="bargein" value="false"/>
  <block>
    <prompt>
      This introductory prompt cannot be barged into.
    </prompt>
    <prompt>
      And neither can this prompt.
    </prompt>
    <prompt bargein="true">
      But this one <emphasis>can</emphasis> be barged into.
    </prompt>
  </block>
  <field type="boolean">
    <prompt>
      Please say yes or no.
    </prompt>
  </field>
</form>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Record Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<record>

A <record> element records an audio sample.

Collapse/Expand Syntax section Syntax

<record beep="boolean"
        cond="expression"
        dtmfterm="boolean"
        expr="expression"
        finalsilence="secondsormilliseconds"
        maxtime="seconds"
        modal="boolean"
        name="var"
        type="mediatype" />

Attributes

beep

If true, a tone is emitted just prior to recording. The default value is false.

cond

An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.

dtmfterm

If true, any DTMF keypress not matched by an active grammar will be treated as a match of an active (anonymous) local DTMF grammar. The default value is true.

expr

The initial value of the form item variable; default is ECMAScript undefined. If initialized to a value, then the form item will not be visited unless the form item variable is cleared.

finalsilence

The interval of silence that indicates end of speech. The value is a Time Designation. The default value is a platform-specific value.

maxtime

The maximum duration to record. The value is a Time Designation. The default value is a platform-specific value.

modal

If this is true (the default) all non-local speech and DTMF grammars are not active while making the recording. If this is false, non-local speech and DTMF grammars are active.

name

The input item variable that will hold the recording.

type

The media format of the resulting recording. The default value is a platform-specific format which should be one of the following required formats.

Media Type | Audio Format
audio/basic | Raw (headerless) 8kHz 8-bit mono mu-law [PCM] single channel. (G.711)
audio/x-alaw-basic | Raw (headerless) 8kHz 8 bit mono A-law [PCM] single channel. (G.711)
audio/x-wav | WAV (RIFF header) 8kHz 8-bit mono mu-law [PCM] single channel.
audio/x-wav | WAV (RIFF header) 8kHz 8-bit mono A-law [PCM] single channel.

Children

<audio>, <catch>, <enumerate>, <error>, <filled>, <grammar>, <help>, <noinput>, <nomatch>, <prompt>, <property>, <value>

Parents

<form>

Variables

name$.duration

The duration of the recording in milliseconds.

name$.size

The size of the recording in bytes.

name$.termchar

If the dtmfterm attribute is true, and the user terminates the recording by pressing a DTMF key, then this shadow variable is the key pressed (e.g. "#"). Otherwise it is undefined.

name$.maxtime

Boolean, true if the recording was terminated because the maxtime duration was reached.

Collapse/Expand Example section Example

The following example illustrates recording audio.

<form>
    <property name="bargein" value="true"/>
    <block>
    <prompt>
        Riley is not available to take your call.
    </prompt>
    </block>
    <record  name="msg" beep="true" maxtime="10s"
    finalsilence="4000ms" dtmfterm="true" type="audio/x-wav">
    <prompt timeout="5s">
        Record a message after the beep.
    </prompt>
    <noinput>
        I didn't hear anything, please try again.
    </noinput>
    </record>

    <field name="confirm">
    <grammar type="application/srgs+xml" src="/grammars/boolean.grxml"/>
    <prompt>
        Your message is <audio expr="msg"/>.
    </prompt>
    <prompt>
        To keep it, say yes.  To discard it, say no.
    </prompt>
    <filled>
        <if cond="confirm">
        <submit next="save_message.pl" enctype="multipart/form-data"
            method="post" namelist="msg"/>
        </if>
        <clear/>
    </filled>
    </field>
</form>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Reprompt Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<reprompt>

A <reprompt> element plays a field prompt when a field is re-visited after an event.

Collapse/Expand Syntax section Syntax

<reprompt />

Attributes

none

Children

none

Parents

<block>, <catch>, <error>, <filled>, <help>, <if>, <noinput>, <nomatch>, <prompt>

Variables

none

Collapse/Expand Example section Example

The following example illustrates reprompting on a catch.

<catch event="noinput nomatch">
    Sorry. I didn't get that.
    <reprompt/>
</catch>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Return Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<return>

A <return> element returns from a subdialog.

Collapse/Expand Syntax section Syntax

<return event="event"
        eventexpr="expression"
        message="string"
        messageexpr="expression"
        namelist="var1 ..." />

Attributes

event

Return, then throw this event.

eventexpr

Return, then throw the event to which this ECMAScript expression evaluates.

message

A message string providing additional context about the event being thrown. The message is available as the value of a variable within the scope of the catch element.

messageexpr

An ECMAScript expression evaluating to the message string.

namelist

Variable names to be returned to calling dialog. The default is to return no variables; this means the caller will receive an empty ECMAScript object. If an undeclared variable is referenced in the namelist, then an error.semantic is thrown.

Children

none

Parents

<block>, <catch>, <error>, <filled>, <help>, <if>, <noinput>, <nomatch>, <prompt>

Variables

none

Collapse/Expand Example section Example

The following example illustrates recording audio.

<form>
  <subdialog name="result" src="#getssn">
    <nomatch>
      <!-- a no match event that is returned by the
          subdialog indicates that a valid Social Securityy
          number could not be matched. -->
      <goto next="http://myservice.example.com/ssn-problems.vxml"/>
    </nomatch>

    <filled>
      <submit namelist="result.ssn"
       next="http://myservice.example.com/cgi-bin/process"/>
    </filled>
  </subdialog>
</form>
<form id="getssn">
  <field name="ssn">
      <grammar src="http://grammarlib/ssn.grxml"
        type="application/srgs+xml"/>
      <prompt> Please say Social Securityy number.</prompt>
      <nomatch count="3">
        <return event="nomatch"/>
      </nomatch>
      <filled>
        <return namelist="ssn"/>
      </filled>
  </field>
</form>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Script Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<script>

A <script> element specifies a block of ECMAScript client-side scripting logic.

Collapse/Expand Syntax section Syntax

<script charset="encoding"
        fetchhint="type"
        fetchtimeout="secondsormilliseconds"
        maxage="seconds"
        maxstale="seconds"
        src="uri"
        srcexpr="expression" />

Attributes

charset

The character encoding of the script designated by src. UTF-8 and UTF-16 encodings of ISO/IEC 10646 must be supported (as in [XML]) and other encodings, as defined in the [IANA], may be supported. The default value is UTF-8.

fetchhint

Defines when the interpreter context should retrieve content from the server. If not specified, a value derived from the innermost relevant fetchhint property is used. The default value is the scriptfetchhint property.

Fetch Type | Description
prefetch | Indicates a file may be downloaded when the page is loaded.
safe | Indicates a file that should only be downloaded when actually needed.

fetchtimeout

The interval to wait for the content to be returned before throwing an error.badfetch event. The value is a Time Designation. The default value is the fetchtimeout property.

maxage

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds. The document is not willing to use stale content, unless maxstale is also provided. If not specified, a value derived from the innermost relevant maxage property, if present, is used. The default value is the scriptmaxage property.

maxstale

Indicates that the document is willing to use content that has exceeded its expiration time. If maxstale is assigned a value, then the document is willing to accept content that has exceeded its expiration time by no more than the specified number of seconds. If not specified, a value derived from the innermost relevant maxstale property, if present, is used. The default value is the scriptmaxstale property.

src

The URI specifying the location of the script, if it is external.

srcexpr

(2.1) Equivalent to src, except that the URI is dynamically determined by evaluating the given ECMAScript expression. The expression must be evaluated each time the script needs to be executed. If srcexpr cannot be evaluated, an error.semantic event is thrown.

Children

none

Parents

<block>, <catch>, <error>, <filled>, <form>, <help>, <if>, <menu>, <noinput>, <nomatch>, <prompt>, <vxml>

Variables

none

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Subdialog Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<subdialog>

A <subdialog> element invokes another dialog as a subdialog of the current one.

Collapse/Expand Syntax section Syntax

<subdialog cond="expression"
           enctype="mediaencodingtype"
           expr="expression"
           fetchaudio="uri"
           fetchhint="fetchtype"
           fetchtimeout="secondsormilliseconds"
           maxage="seconds"
           maxstale="methodtype"
           method="seconds"
           name="var"
           namelist="var1 ..."
           src="uri"
           srcexpr="expression" />

Attributes

cond

An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.

enctype

The media encoding type of the submitted document. The default is application/x-www-form-urlencoded.

Media Encoding Type | Description
application/x-www-form-urlencoded | See Form content types.
multipart/form-data | See Form content types.

expr

The initial value of the form item variable. If initialized to a value, then the form item will not be visited unless the form item variable is cleared. The default value is undefined.

fetchaudio

The URI of the audio clip to play while the fetch is being done. If not specified, the fetchaudio property is used, and if that property is not set, no audio is played during the fetch. The fetching of the audio clip is governed by the audiofetchhint, audiomaxage, audiomaxstale, and fetchtimeout properties in effect at the time of the fetch. The playing of the audio clip is governed by the fetchaudiodelay, and fetchaudiominimum properties in effect at the time of the fetch. The default value is the fetchaudio property.

fetchhint

Defines when the interpreter context should retrieve content from the server. If not specified, a value derived from the innermost relevant fetchhint property is used. The default value is the documentfetchhint property

Fetch Type | Description
prefetch | Indicates a file may be downloaded when the page is loaded.
safe | Indicates a file that should only be downloaded when actually needed.

fetchtimeout

The interval to wait for the content to be returned before throwing an error.badfetch event. The value is a Time Designation. The default value is the fetchtimeout property.

maxage

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds. The document is not willing to use stale content, unless maxstale is also provided. If not specified, a value derived from the innermost relevant maxage property, if present, is used. The default value is the documentmaxage property.

maxstale

Indicates that the document is willing to use content that has exceeded its expiration time. If maxstale is assigned a value, then the document is willing to accept content that has exceeded its expiration time by no more than the specified number of seconds. If not specified, a value derived from the innermost relevant maxstale property, if present, is used. The default value is the documentmaxstale property.

method

The request method type. The default value is get.

Method Type | Description
get | HTTP GET request
post | HTTP POST request

name

The result returned from the subdialog, an ECMAScript object whose properties are the ones defined in the namelist attribute of the <return> element.

namelist

The list of variables to submit. The default is to submit no variables.

src

The URI of the subdialog.

srcexpr

An ECMAScript expression yielding the URI of the subdialog.

Children

<audio>, <catch>, <enumerate>, <error>, <filled>, <help>, <noinput>, <nomatch>, <param>, <prompt>, <property>, <value>

Parents

<form>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using a subdialog.

<form>
  <subdialog name="result" src="#getdriverslicense">
   <param name="birthday" expr="'2000-02-10'"/>
   <filled>
     <submit next="http://myservice.example.com/cgi-bin/process"/>
   </filled>
  </subdialog>
</form>

<!-- subdialog to get drivers license -->
<form id="getdriverslicense">
  <var name="birthday"/>
  <field name="drivelicense">
   <grammar src="http://grammarlib/drivegrammar.grxml"
      type="application/srgs+xml"/>
   <prompt> Please say your drivers license number. </prompt>
   <filled>
     <if cond="validdrivelicense(drivelicense,birthday)">
       <var name="status" expr="true"/>
     <else/>
       <var name="status" expr="false"/>
     </if>
     <return namelist="drivelicense status"/>
   </filled>
  </field>
</form>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Submit Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<submit>

A <submit> element sends values to a document server.

Collapse/Expand Syntax section Syntax

<submit enctype="mediaencodingtype"
        expr="expression"
        fetchaudio="uri"
        fetchhint="fetchtype"
        fetchtimeout="secondsormilliseconds"
        maxage="seconds"
        maxstale="seconds"
        method="methodtype"
        namelist="var1 ..."
        next="uri" />

Attributes

enctype

The media encoding type of the submitted document (when the value of method is "post"). The default is application/x-www-form-urlencoded. Interpreters may support additional encoding types.

Media Encoding Type | Description
application/x-www-form-urlencoded | See Form content types.
multipart/form-data | See Form content types.

expr

Like next, except that the URI reference is dynamically determined by evaluating the given ECMAScript expression.

fetchaudio

The URI of the audio clip to play while the fetch is being done. If not specified, the fetchaudio property is used, and if that property is not set, no audio is played during the fetch. The fetching of the audio clip is governed by the audiofetchhint, audiomaxage, audiomaxstale, and fetchtimeout properties in effect at the time of the fetch. The playing of the audio clip is governed by the fetchaudiodelay, and fetchaudiominimum properties in effect at the time of the fetch. The default value is the fetchaudio property.

fetchhint

Defines when the interpreter context should retrieve content from the server. If not specified, a value derived from the innermost relevant fetchhint property is used. The default value is the documentfetchhint property.

Fetch Type | Description
prefetch | Indicates a file may be downloaded when the page is loaded.
safe | Indicates a file that should only be downloaded when actually needed.

fetchtimeout

The interval to wait for the content to be returned before throwing an error.badfetch event. The value is a Time Designation. The default value is the fetchtimeout property.

maxage

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds. The document is not willing to use stale content, unless maxstale is also provided. If not specified, a value derived from the innermost relevant maxage property, if present, is used. The default value is the documentmaxage property.

maxstale

Indicates that the document is willing to use content that has exceeded its expiration time. If maxstale is assigned a value, then the document is willing to accept content that has exceeded its expiration time by no more than the specified number of seconds. If not specified, a value derived from the innermost relevant maxstale property, if present, is used. The default value is the documentmaxstale property.

method

The request method type. The default value is get.

Method Type | Description
get | HTTP GET request
post | HTTP POST request

namelist

The list of variables to submit. By default, all the named input item variables are submitted. If a namelist is supplied, it may contain individual variable references which are submitted with the same qualification used in the namelist. Declared VoiceXML and ECMAScript variables can be referenced. If an undeclared variable is referenced in the namelist, then an error.semantic is thrown.

next

The URI reference.

Children

none

Parents

<block>, <catch>, <error>, <filled>, <help>, <if>, <noinput>, <nomatch>, <prompt>

Variables

none

Collapse/Expand Example section Example

The following example illustrates using submit.

<form>
  <subdialog name="result" src="#getdriverslicense">
   <param name="birthday" expr="'2000-02-10'"/>
   <filled>
     <submit next="http://myservice.example.com/cgi-bin/process"/>
   </filled>
  </subdialog>
</form>

<!-- subdialog to get drivers license -->
<form id="getdriverslicense">
  <var name="birthday"/>
  <field name="drivelicense">
   <grammar src="http://grammarlib/drivegrammar.grxml"
      type="application/srgs+xml"/>
   <prompt> Please say your drivers license number. </prompt>
   <filled>
     <if cond="validdrivelicense(drivelicense,birthday)">
       <var name="status" expr="true"/>
     <else/>
       <var name="status" expr="false"/>
     </if>
     <return namelist="drivelicense status"/>
   </filled>
  </field>
</form>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Throw Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<throw>

A <throw> element throws an event.

Collapse/Expand Syntax section Syntax

<throw event="event"
       eventexpr="expression"
       message="string"
       messageexpr="expression"

Attributes

event

The event being thrown.

eventexpr

An ECMAScript expression evaluating to the name of the event being thrown.

message

A message string providing additional context about the event being thrown. For the pre-defined events thrown by the platform, the value of the message is platform-dependent. The message is available as the value of a variable within the scope of the catch element.

messageexpr

An ECMAScript expression evaluating to the message string.

Children

none

Parents

<block>, <catch>, <error>, <filled>, <help>, <if>, <noinput>, <nomatch>, <prompt>

Variables

none

Collapse/Expand Example section Example

The following examples illustrate throwing an event.

<throw name="flavor" expr="'chocolate'"/>
<throw name="document.mycost" expr="document.mycost+14"/>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Transfer Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<transfer>

A <transfer> element transfers the caller to another destination.

Collapse/Expand Syntax section Syntax

<transfer aai="string"
          aaiexpr="expression"
          bridge="booelan"
          cond="string"
          connecttimeout="secondsormilliseconds"
          dest="uri"
          destexpr="expression"
          expr="expression"
          maxtime="secondsormilliseconds"
          name="var"
          transferaudio="uri"
          type="transfertype" />

Attributes

aai

Application-to-application information. A string containing data sent to an application on the far-end, available in the session variable session.connection.aai. The transmission of aai data may depend upon signaling network gateways and data translation (e.g. ISDN to SIP); the status of data sent to a remote site is not known or reported. Although all platforms must support the aai attribute, platforms are not required to send aai data and need not support receipt of aai data. Platforms that cannot receive aai data must set the session.connection.aai variable to the ECMAScript undefined value. The underlying transmission mechanism may impose data length limits.

aaiexpr

An ECMAScript expression yielding the AAI data.

bridge

Determines whether the platform remains in the connection with the caller and callee.

Transfer Type | Description
Bridge transfer | If true, the platform adds the callee to the connection. Document interpretation suspends until the transferred call terminates. The platform remains in the connection for the duration of the transferred call; listening during transfer is controlled by any included <grammar>s. If the caller disconnects by going onhook or if the network disconnects the caller, the platform throws a connection.disconnect.hangup event.
Blind transfer | If flase (default), platform redirects the caller to the callee without remaining in the connection, and does not monitor the outcome. The platform throws a connection.disconnect.transfer immediately, regardless of whether the transfer was successful or not.

cond

An expression that must evaluate to true in order for the form item to be visited.

connecttimeout

The time to wait while trying to connect the call before returning the noanswer condition. The value is a Time Designation. Only applies if bridge is true. Default is platform specific.

dest

The URI of the destination (telephone, IP telephony address). Platforms must support the tel: URL syntax and may support other URI-based addressing schemes.

destexpr

An ECMAScript expression yielding the URI of the destination.

expr

The initial value of the form item variable; default is ECMAScript undefined. If initialized to a value, then the form item will not be visited unless the form item variable is cleared.

maxtime

The time that the call is allowed to last, or 0s if no limit is imposed. The value is a Time Designation. Only applies if bridge is true. Default is 0s.

name

Stores the outcome of a bridge transfer attempt. In the case of a blind transfer, this variable is undefined.

transferaudio

The URI of audio source to play while the transfer attempt is in progress (before far-end answer). If the resource cannot be fetched, the error is ignored and the transfer continues; what the caller hears is platform-dependent.

type

(2.1) The type of transfer. The value can be "bridge", "blind", or "consultation".

Children

<audio>, <catch>, <enumerate>, <error>, <filled>, <grammar>, <help>, <noinput>, <nomatch>, <prompt>, <property>, <value>

Parents

<form>

Variables

none

Collapse/Expand Example section Example

The following example illustrates transfering a call.

<form id="xfer">
   <var name="mydur" expr="0"/>
   <block>
     <!-- queued and played before starting the transfer -->
     <prompt>
        Calling Riley. Please wait.
     </prompt>
   </block>

   <!-- Play music while attempting to connect to far-end -->
   <!-- "hotword" bargeintype during transferaudio only -->
   <!-- Wait up to 60 seconds for the far end to answer  -->
   <transfer name="mycall" dest="tel:+1-555-123-4567"
      transferaudio="music.wav" connecttimeout="60s" bridge="true">

     <!-- queued and played before starting the transfer -->
     <!-- bargein properties apply during this prompt -->
     <prompt>
        Say cancel to disconnect this call at any time.
     </prompt>

     <!-- specify an external grammar to listen for "cancel" command -->
     <grammar src="cancel.grxml" type="application/srgs+xml"/>

     <filled>
       <assign name="mydur" expr="mycall$.duration"/>
         <if cond="mycall == 'busy'">
           <prompt>
             Riley's line is busy. Please call again later.
           </prompt>
         <elseif cond="mycall == 'noanswer'"/>
           <prompt>
             Riley can't answer the phone now. Please call
             again later.
           </prompt>
         </if>
     </filled>
   </transfer>

   <!-- submit call statistics to server -->
   <block>
      <submit namelist="mycall mydur" next="/cgi-bin/report"/>
   </block>
</form>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Value Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<value>

A <value> element inserts the value of an expression in a prompt.

Collapse/Expand Syntax section Syntax

<value expr="expression" />

Attributes

expr

The expression to render.

Children

none

Parents

<audio>, <block>, <catch>, <enumerate>, <error>, <field>, <filled>, <help>, <if>, <initial>, <log>, <menu>, <noinput>, <nomatch>, <object>, <prompt>, <record>, <subdialog>, <transfer>

Variables

none

Collapse/Expand Example section Example

The following example illustrates inserting a values into a prompt.

<prompt>
  <value expr="n*n"/> is the square of <value expr="n"/>.
</prompt>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Var Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<var>

A <var> element declares a variable.

Collapse/Expand Syntax section Syntax

<var expr="expression"
     name="var" />

Attributes

expr

The initial value of the variable (optional). If there is no expr attribute, the variable retains its current value, if any. Variables start out with the ECMAScript value undefined if they are not given initial values.

name

The name of the variable that will hold the result. Unlike the name attribute of <assign> element, this attribute must not specify a variable with a scope prefix. The scope in which the variable is defined is determined from the position in the document at which the element is declared.

Children

none

Parents

<block>, <catch>, <error>, <filled>, <form>, <help>, <if>, <menu>, <noinput>, <nomatch>, <prompt>, <vxml>

Variables

none

Collapse/Expand Example section Example

The following examples illustrate declaring variables.

<var name="phone" expr="'6305551212'"/>
<var name="y" expr="document.z+1"/>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


VoiceXML Vxml Element

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

<vxml>

A <vxml> element is the top-level element in each VoiceXML document.

Collapse/Expand Syntax section Syntax

<vxml application="uri"
      version="float"
      xmlns="uri"
      xml:base="uri"
      xml:lang="langid" />

Attributes

application

The URI of this document's application root document, if any.

version

The version of VoiceXML of this document (required). The current version number is 2.0.

xmlns

The designated namespace for VoiceXML (required). The namespace for VoiceXML is defined to be http://www.w3.org/2001/vxml.

xml:base

The base URI for this document from which all relative references within the document take as their base.

xml:lang

The language identifier for this document. If omitted, the value is a platform-specific default.

Children

<catch>, <error>, <form>, <help>, <link>, <menu>, <meta>, <metadata>, <noinput>, <nomatch>, <property>, <script>, <var>

Parents

none

Variables

none

Collapse/Expand Example section Example

The following example illustrates a VoiceXML document with the vxml root element.

<?xml version="1.0" encoding="UTF-8"?>
<vxml xmlns="http://www.w3.org/2001/vxml"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://www.w3.org/2001/vxml
   http://www.w3.org/TR/voicexml20/vxml.xsd"
   version="2.0">
 <meta name="author" content="VoiceXML 2.0"/>
 <meta name="maintainer" content="productsupport@chant.net"/>
 <var name="hi" expr="'Hello World!'"/>
 <form>
   <block>
      <value expr="hi"/>
      <goto next="#say_goodbye"/>
   </block>
 </form>
 <form id="say_goodbye">
   <block>
      Goodbye!
   </block>
 </form>
</vxml>

Collapse/Expand Remarks section Version Information

Supported in: VoiceXML 1.0, VoiceXML 2.0, VoiceXML 2.1


Class Library Reference

All Chant Developer Workbench class libraries and class names begin with a unique letter as follows:

  • C++ - C (e.g., CGrammarKit, CChantGM)
  • Delphi - T (e.g., TChantGM)
  • Java - J (e.g., JGrammarKit, JChantGM)
  • .NET - N (e.g., NGrammarKit, NChantGM)

The following class libraries are included in the Developer Workbench:

  • ChantShared - Common classes shared across all products
  • GrammarKit - Grammar management classes
  • KinesicsKit - Movement management classes
  • LexiconKit - Lexicon management classes
  • ProfileKit - Speech recognition profile management classes
  • SpeechKit - Speech recognition and synthesis management classes
  • VoiceMarkupKit - Text-to-speech markup management classes
  • VoiceXMLKit - VoiceXML management classes


ChantShared Classes

All ChantShared class libraries and class names begin with a unique letter as follows:

  • C++ - C (e.g., CChantShared, CChantEngine)
  • Delphi - T (e.g., TChantEngine)
  • Java - J (e.g., JChantShared, JChantEngine)
  • .NET - N (e.g., NChantShared, NChantEngine)

The following classes are included in the ChantShared class library:

Class | Description
ChantDictationSource | Represents a speech recognition dictation (audio) source.
ChantDictationSourceCollection | Represents a collection of ChantDictationSource objects.
ChantDictationTopic | Represents a speech recognition dictation topic.
ChantDictationTopicCollection | Represents a collection of ChantDictationTopic objects.
ChantSpeaker | Represents a speech recognition speaker (i.e., end user).
ChantSpeakerCollection | Represents a collection of ChantSpeaker objects.
ChantSpeakerProperty | Represents a speech profile property.
ChantSpeakerPropertyCollection | Represents a collection of ChantSpeakerProperty objects.
ChantSREngine | Represents a speech recognition engine (i.e., recognizer).
ChantSREngineCollection | Represents a collection of ChantSREngine objects.
ChantTTSEngine | Represents a text-to-speech engine (i.e., synthesizer or voice).
ChantTTSEngineCollection | Represents a collection of ChantTTSEngine objects.


ChantDictationSource Class

Represents a speech recognition dictation (audio) source.

Collapse/Expand Remarks section Remarks

A dictation source identifies the type of audio source used to capture speech.

Dragon Naturally Speaking factors in the type of audio source when creating the speaker profile.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Nuance Dragon NaturallySpeaking | ID | The source identifier.
Public property | Nuance Dragon NaturallySpeaking | Source | The source name.


ChantDictationSource Description Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ID Property

The source identifier.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int intVal = nChantDictationSource.ID;

long longVal = pChantDictationSource->GetID();

long longVal = pChantDictationSource->GetID();

var intVal: Integer;
intVal := aTChantDictationSource.ID;

int intVal = jChantDictationSource.getID();

Dim intVal As Integer
intVal = nChantDictationSource.ID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantDictationSource


ChantDictationSource Source Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Source Property

The source name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String stringVal = nChantDictationSource.Source;

wchar_t* pszVal = pChantDictationSource->GetSource();

String stringVal = pChantDictationSource->GetSource();

var stringVal: string;
stringVal := aTChantDictationSource.Source;

String stringVal = jChantDictationSource.getSource();

Dim stringVal As String
stringVal = nChantDictationSource.Source

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantDictationSource


ChantDictationSourceCollection Class

Represents a collection of ChantDictationSource objects.

Collapse/Expand Remarks section Remarks

A ChantDictationSourceCollection is used to enumerate the available speech recognition dictation sources (audio inputs).

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantDictationSource | The ChantDictationSource object collection.
Public property | Count | The number of ChantDictationSource objects.

Collapse/Expand Example section Example

The following example illustrates enumerating dictation sources and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantDictationSource chantDictationSource in NChantSR1.ChantDictationSources)
{
    // Access dictation source properties
    string source = nChantDictationSource.Source;
}

int numberOfDictationSources = pChantSR->GetChantDictationSources()->GetCount();
for (i = 0; i < numberOfDictationSources; i++)
{
    CChantDictationSource* pChantDictationSource = pChantSR->GetChantDictationSources()->GetChantDictationSource(i);
    // Access dictation source properties
    wchar_t* source = pChantDictationSource->GetSource();
}

int numberOfDictationSources = pChantSR->GetChantDictationSources()->GetCount();
for (i = 0; i < numberOfDictationSources; i++)
{
    CChantDictationSource* pChantDictationSource = pChantSR->GetChantDictationSources()->GetChantDictationSource(i);
    // Access dictation source properties
    String source = pChantDictationSource->GetSource();
}

var
chantDictationSource: TChantDictationSource;
source: string;
begin
for chantDictationSource in ChantSR1.ChantDictationSources do
    begin
        // Access dictation source properties
        source := chantDictationSource.Source;
    end;
end;

for (JChantDictationSource dictationSource : JChantSR1.getChantDictationSources())
{
    // Access dictation source properties
    String source = dictationSource.getSource();
}

Dim chantDictationSource As NChantDictationSource
Dim source As String
For Each chantDictationSource In NChantSR1.ChantDictationSources
    ' Access dictation source properties
    source = chantDictationSource.Source
Next

Collapse/Expand See Also section See Also

ChantDictationSource


ChantDictationSourceCollection ChantDictationSource Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantDictationSource Property

A collection of ChantDictationSource objects representing an instance of the speech recognition dictation sources (audio input).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantDictationSource chantDictationSource = chantDictationSourceCollection.ChantDictationSource[index];

CChantDictationSource* chantDictationSource = chantDictationSourceCollection->GetChantDictationSource(index);

CChantDictationSource* chantDictationSource = chantDictationSourceCollection->GetChantDictationSource(index);

var chantDictationSource: TChantDictationSource;
chantDictationSource := chantDictationSourceCollection.ChantDictationSource(index);

JChantDictationSource chantDictationSource = chantDictationSourceCollection.getAt(index);

Dim chantDictationSource As NChantDictationSource
chantDictationSource = chantDictationSourceCollection.ChantDictationSource(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantDictationSource


ChantDictationSourceCollection Count Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Count Property

The number of ChantDictationSource objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantDictationSourceCollection.Count;

int count = chantDictationSourceCollection->GetCount();

int count = chantDictationSourceCollection->GetCount();

var count: Integer;
count := chantDictationSourceCollection.Count;

int count = chantDictationSourceCollection.getCount();

Dim count As Integer
count = chantDictationSourceCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantDictationSourceCollection


ChantDictationTopic Class

Represents a speech recognition dictation topic.

Collapse/Expand Remarks section Remarks

A topic is a dictation vocabulary used to scope the listening context to improve recognition quality.

Topics are provided by the recognizer. For example, Microsoft SAPI 5.1 Recognizer provides the Spelling topic as a spelling-mode grammar. Some recognizer, such as Dragon Naturally Speaking, provide dialogs for creating topics.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Nuance Dragon NaturallySpeaking | Description | The topic description.
Public property | Nuance Dragon NaturallySpeaking | Name | The topic name.


ChantDictationTopic Description Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Description Property

The description of the topic.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String description = nChantDictationTopic.Description;

wchar_t* description = pChantDictationTopic->GetDescription();

String description = pChantDictationTopic->GetDescription();

var description: string;
description := aTChantDictationTopic.Description;

String description = jChantDictationTopic.getDescription();

Dim description As String
description = nChantDictationTopic.Description

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantDictationTopic


ChantDictationTopic Name Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Name Property

The topic name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantDictationTopic.Name;

wchar_t* name = chantDictationTopic->GetName();

String name = chantDictationTopic->GetName();

var name: string;
name := aTChantDictationTopic.Name;

String name = chantDictationTopic.getName();

Dim name As String
name = chantDictationTopic.Name

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantDictationTopic


ChantDictationTopicCollection Class

Represents a collection of ChantDictationTopic objects.

Collapse/Expand Remarks section Remarks

A ChantDictationTopicCollection is used to enumerate the available speech recognition dictation topics.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantDictationTopic | The ChantDictationTopic object collection.
Public property | Count | The number of ChantDictationTopic objects.

Collapse/Expand Example section Example

The following example illustrates enumerating dictation topics and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantDictationTopic chantDictationTopic in NChantSR1.ChantDictationTopics)
{
    // Access dictation topic properties
    string topic = chantDictationTopic.Topic;
}

int numberOfDictationTopics = pChantSR->GetChantDictationTopics()->GetCount();
for (i = 0; i < numberOfDictationTopics; i++)
{
    CChantDictationTopic* pChantDictationTopic = pChantSR->GetChantDictationTopics()->GetChantDictationTopic(i);
    // Access dictation topic properties
    wchar_t* topic = pChantDictationTopic->GetTopic();
}

int numberOfDictationTopics = pChantSR->GetChantDictationTopics()->GetCount();
for (i = 0; i < numberOfDictationTopics; i++)
{
    CChantDictationTopic* pChantDictationTopic = pChantSR->GetChantDictationTopics()->GetChantDictationTopic(i);
    // Access dictation topic properties
    String topic = pChantDictationTopic->GetTopic();
}

var
chantDictationTopic: TChantDictationTopic;
topic: string;
begin
for chantDictationTopic in ChantSR1.ChantDictationTopics do
    begin
        // Access dictation topic properties
        topic := chantDictationTopic.Topic;
    end;
end;

for (JChantDictationTopic dictationTopic : JChantSR1.getChantDictationTopics())
{
    // Access dictation topic properties
    String topic = dictationTopic.getTopic();
}

Dim chantDictationTopic As NChantDictationTopic
Dim topic As String
For Each chantDictationTopic In NChantSR1.ChantDictationTopics
    ' Access dictation topic properties
    topic = chantDictationTopic.Topic
Next

Collapse/Expand See Also section See Also

ChantDictationTopic


ChantDictationTopicCollection ChantDictationTopic Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantDictationTopic Property

A collection of ChantDictationTopic objects representing an instance of the speech recognition dictation topic.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantDictationTopic chantDictationTopic = chantDictationTopicCollection.ChantDictationTopic[index];

CChantDictationTopic* chantDictationTopic = chantDictationTopicCollection->GetChantDictationTopic(index);

CChantDictationTopic* chantDictationTopic = chantDictationTopicCollection->GetChantDictationTopic(index);

var chantDictationTopic: TChantDictationTopic;
chantDictationTopic := chantDictationTopicCollection.ChantDictationTopic(index);

JChantDictationTopic chantDictationTopic = chantDictationTopicCollection.getAt(index);

Dim chantDictationTopic As NChantDictationTopic
chantDictationTopic = chantDictationTopicCollection.ChantDictationTopic(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantDictationTopic


ChanDictationTopicCollection Count Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Count Property

The number of ChanDictationTopic objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chanDictationTopicCollection.Count;

int count = chanDictationTopicCollection->GetCount();

int count = chanDictationTopicCollection->GetCount();

var count: Integer;
count := chanDictationTopicCollection.Count;

int count = chanDictationTopicCollection.getCount();

Dim count As Integer
count = chanDictationTopicCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantDictationTopicCollection


ChantSpeaker Class

Represents a speech recognition speaker (i.e., end user).

Collapse/Expand Remarks section Remarks

A recognizer maintains information about an end user in a recognition profile. A recognition profile is a collection of information used by a speech recognition engine to increase its recognition accuracy for a specific individual's voice and environment.

A speech recognition engine saves training and background noise information to use in recognizing speech. Some speech recognition engines, such as Microsoft's Recognizer 5.1, capture and save information over time to adapt the profile for optimum speech recognition accuracy.

Refer to Chant ProfileKit for more information about how to train, adjust settings, backup, and restore profiles.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | ChantEngineAPI | The speech engine API.
Public property | Microsoft SAPI 5 Speech Recognition | ChantSpeakerProperties | The speaker properties.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | Name | The speaker name.


ChantSpeaker ChantEngineAPI Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantEngineAPI Property

The speech engine API.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantEngineAPI eChantEngineAPI = chantSpeaker.ChantEngineAPI;

ChantEngineAPI eChantEngineAPI = chantSpeaker->GetChantEngineAPI();

ChantEngineAPI eChantEngineAPI = chantSpeaker->GetChantEngineAPI();

var eChantEngineAPI: ChantEngineAPI;
eChantEngineAPI := chantSpeaker.ChantEngineAPI;

int eChantEngineAPI = chantSpeaker.getChantEngineAPI();

Dim eChantEngineAPI As ChantEngineAPI
eChantEngineAPI = chantSpeaker.ChantEngineAPI

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSpeaker


ChantSpeaker ChantSpeakerProperties Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantSpeakerProperties Property

A collection of ChantSpeakerProperty objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantSpeakerPropertyCollection chantSpeakerPropertyCollection = chantSpeaker.ChantSpeakerProperties;

CChantSpeakerPropertyCollection* chantSpeakerPropertyCollection = chantSpeaker->GetChantSpeakerProperties();

CChantSpeakerPropertyCollection* chantSpeakerPropertyCollection = chantSpeaker->GetChantSpeakerProperties();

var chantSpeakerPropertyCollection: TChantSpeakerPropertyCollection;
chantSpeakerPropertyCollection := chantSpeaker.ChantSpeakerProperties;

JChantSpeakerPropertyCollection chantSpeakerPropertyCollection = chantSpeaker.getChantSpeakerProperties();

Dim chantSpeakerPropertyCollection As NChantSpeakerPropertyCollection
chantSpeakerPropertyCollection = chantSpeaker.ChantSpeakerProperties

Collapse/Expand Example section Example

See the ChantSpeakerPropertyCollection example.

Collapse/Expand See Also section See Also

ChantSpeakerPropertyCollection
ChantSpeaker


ChantSpeaker Name Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Name Property

The speaker name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantSpeaker.Name;

wchar_t* name = chantSpeaker->GetName);

String name = chantSpeaker->GetName();

var name: string;
name := chantSpeaker.Name;

String name = chantSpeaker.getName();

Dim name As String
name = chantSpeaker.Name

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSpeaker


ChantSpeakerCollection Class

Represents a collection of ChantSpeaker objects.

Collapse/Expand Remarks section Remarks

A ChantSpeakerCollection is used to enumerate the speech recognition speakers.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantSpeaker | The ChantSpeaker object collection.
Public property | Count | The number of ChantSpeakers.

Collapse/Expand Example section Example

The following example illustrates enumerating speech recognition speakers and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantSpeaker chantSpeaker in NChantSR1.ChantSpeakers)
{
    // Access speech recognition speaker properties
    String name = chantSpeaker.Name;
}

int numberOfSpeakers = pChantSR->GetChantSpeakers()->GetCount();
for (i = 0; i < numberOfSpeakers; i++)
{
    CChantSpeaker* pChantSpeaker = pChantSR->GetChantSpeakers()->GetChantSpeaker(i);
    // Access speech recognition speaker properties
    wchar_t* name = pChantSpeaker->GetName();
}

int numberOfSpeakers = pChantSR->GetChantSpeakers()->GetCount();
for (i = 0; i < numberOfSpeakers; i++)
{
    CChantSpeaker* pChantSpeaker = pChantSR->GetChantSpeakers()->GetChantSpeaker(i);
    // Access speech recognition speaker properties
    String name = pChantSpeaker->GetName();
}

var
chantSpeaker: TChantSpeaker;
name: string;
begin
for chantSpeaker in ChantSR1.ChantSpeakers do
    begin
        // Access speech recognition speaker properties
        name := chantSpeaker.Name;
    end;
end;

for (JChantSpeaker chantSpeaker : JChantSR1.getChantSpeakers())
{
    // Access speech recognition speaker properties
    String name = chantSpeaker.getName();
}

Dim chantSpeaker As NChantSpeaker;
Dim name As String
For Each chantSpeaker In NChantSR1.ChantSpeakers
    ' Access speech recognition speaker properties
    name = chantSpeaker.Name
Next

Collapse/Expand See Also section See Also

ChantSpeaker


ChantSpeakerCollection ChantSpeaker Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantSpeaker Property

A speech recognition speaker (i.e., end user).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantSpeaker chantSpeaker = chantSpeakerCollection.ChantSpeaker[index];

CChantSpeaker* chantSpeaker = chantSpeakerCollection->GetChantSpeaker(index);

CChantSpeaker* chantSpeaker = chantSpeakerCollection->GetChantSpeaker(index);

var chantSpeaker: TChantSpeaker;
chantSpeaker := chantSpeakerCollection.ChantSpeaker(index);

JChantSpeaker chantSpeaker = chantSpeakerCollection.getAt(index);

Dim chantSpeaker As NChantSpeaker
chantSpeaker = chantSpeakerCollection.ChantSpeaker(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSpeaker


ChantSpeakerCollection Count Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Count Property

The number of ChantSpeaker objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantSpeakerCollection.Count;

long count = chantSpeakerCollection->GetCount();

long count = chantSpeakerCollection->GetCount();

var count: Integer;
count := chantSpeakerCollection.Count;

int count = chantSpeakerCollection.getCount();

Dim count As Integer
count = chantSpeakerCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSpeakerCollection


ChantSpeakerProperty Class

Represents a speech profile property.

Collapse/Expand Remarks section Remarks

Microsoft SAPI 5 speaker-specific recognition options are persisted as speaker profile properties. These properties and their values are recognizer-specific.

Recognizer Version | Property Name | Description
Microsoft V5.1 | Accuracy | Controls whether the system recognizes the text with high accuracy but slower response times (100), or lower accuracy with faster response times (0). Values range 0 - 100. Default value 50.
Microsoft V5.1 | Age | Relative age of the speaker: 1 - Child, 2 - Adult.
Microsoft V5.1 | Background Adapation | Automatically adapt to the speaker's voice during recognition.: 0 - Off, 1 - On.
Microsoft V5.1 | Gender | Gender of the speaker: 1 - Female, 2 - Male.
Microsoft V5.1 | Rejection Threshold | Confidence threshold before rejecting the match. Values range 0 - 100. Default value 50.
Microsoft V8.0 | Adapted Accuracy | Undocumented.
Microsoft V8.0 | Autodetection | Undocumented.
Microsoft V8.0 | Model Characteristic 1 | Undocumented.
Microsoft V8.0 | Model Characteristic 2 | Undocumented.
Microsoft V8.0 | Persist Language Model Adaptation | Undocumented.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | Name | The speaker profile property name.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | Value | The speaker profile property value.

Collapse/Expand See Also section See Also

ChantSpeakerPropertyCollection


ChantSpeakerProperty Name Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Name Property

The speaker profile property name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantSpeakerProperty.Name;

wchar_t* name = chantSpeakerProperty->GetName();

String name = chantSpeakerProperty->GetName();

var name: string;
name := chantSpeakerProperty.Name;

String name = chantSpeakerProperty.getName();

Dim name As String
name = chantSpeakerProperty.Name

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSpeakerProperty


ChantSpeakerProperty Value Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Value Property

The speaker profile property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String value = chantSpeakerProperty.Value;

wchar_t* value = chantSpeakerProperty->GetValue();

String value = chantSpeakerProperty->GetValue();

var value: string;
value := chantSpeakerProperty.Value;

String value = chantSpeakerProperty.getValue();

Dim value As String
value = chantSpeakerProperty.Value

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSpeakerProperty


ChantSpeakerPropertyCollection Class

Represents a collection of ChantSpeakerProperty objects.

Collapse/Expand Remarks section Remarks

A ChantSpeakerPropertyCollection is used to enumerate the available profile properties.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantSpeakerProperty | The ChantSpeakerProperty object collection.
Public property | Count | The number of ChantSpeakerProperty objects.

Collapse/Expand Example section Example

The following example illustrates enumerating profile properties and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantSpeakerProperty chantSpeakerProperty in chantSpeaker.ChantSpeakerProperties)
{
    // Access profile property properties
    string name = chantSpeakerProperty.Name;
}

int numberOfProperties = pChantSpeaker->GetSpeakerProperties()->GetCount();
for (i = 0; i < numberOfProperties; i++)
{
    ChantSpeakerProperty* pChantSpeakerProperty = pChantSpeaker->GetSpeakerProperties()->GetChantSpeakerProperty(i);
    // Access profile property properties
    wchar_t* name = pChantSpeakerProperty->GetName();
}

int numberOfProperties = pChantSpeaker->GetSpeakerProperties()->GetCount();
for (i = 0; i < numberOfProperties; i++)
{
    CChantSpeakerProperty* pChantSpeakerProperty = pChantSpeaker->GetSpeakerProperties()->GetChantSpeakerProperty(i);
    // Access profile property properties
    String name = pChantSpeakerProperty->GetName();
}

var
chantSpeakerProperty: TChantSpeakerProperty;
name: string;
begin
for chantSpeakerProperty in chantSpeaker.ChantSpeakerProperties do
    begin
        // Access profile property properties
        name := chantSpeakerProperty.Name;
    end;
end;

for (JChantSpeakerProperty chantSpeakerProperty : chantSpeaker.getChantSpeakerProperties())
{
    // Access profile property properties
    String name = chantSpeakerProperty.getName();
}

Dim chantSpeakerProperty As NChantSpeakerProperty
Dim name As String
For Each chantSpeakerProperty In chantSpeaker.ChantSpeakerProperties
    ' Access profile property properties
    name = chantSpeakerProperty.Name
Next

Collapse/Expand See Also section See Also

ChantSpeakerProperty


ChantSpeakerPropertyCollection ChantSpeakerProperty Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantSpeakerProperty Property

A collection of ChantSpeakerProperty objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantSpeakerProperty chantSpeakerProperty = chantSpeakerPropertyCollection.ChantSpeakerProperty[index];

CChantSpeakerProperty* chantSpeakerProperty = chantSpeakerPropertyCollection->GetChantSpeakerProperty(index);

CChantSpeakerProperty* chantSpeakerProperty = chantSpeakerPropertyCollection->GetChantSpeakerProperty(index);

var chantSpeakerProperty: TChantSpeakerProperty;
chantSpeakerProperty := chantSpeakerPropertyCollection.ChantSpeakerProperty(index);

JChantSpeakerProperty chantSpeakerProperty = chantSpeakerPropertyCollection.getAt(index);

Dim chantSpeakerProperty As NChantSpeakerProperty
chantSpeakerProperty = chantSpeakerPropertyCollection.ChantSpeakerProperty(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSpeakerProperty


ChantSpeakerPropertyCollection Count Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Count Property

The number of ChantSpeakerProperty objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantSpeakerPropertyCollection.Count;

int count = chantSpeakerPropertyCollection->GetCount();

int count = chantSpeakerPropertyCollection->GetCount();

var count: Integer;
count := chantSpeakerPropertyCollection.Count;

int count = chantSpeakerPropertyCollection.getCount();

Dim count As Integer
count = chantSpeakerPropertyCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSpeakerPropertyCollection


ChantSREngine Class

Represents a speech recognition engine (i.e., recognizer).

Collapse/Expand Remarks section Remarks

Some recognizers provide detailed information about the recognition features they provide. Recognizers may or may not provide any of the ChantSREngine property values.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | API | The recognizer API.
Public property | Microsoft SAPI 4 Speech Recognition | Dialect | The recognizer language dialect.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | Engine | The recognizer name.
Public property | Microsoft SAPI 4 Speech Recognition | EngineFeatures | The recognizer features.
Public property | Microsoft SAPI 4 Speech Recognition | Features | The features supported by a SAPI 4 recognizer.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | ID | The recognizer identifier.
Public property | Microsoft SAPI 4 Speech Recognition | Interfaces | The COM interfaces supported by a SAPI 4 recognizer.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | LanguageID | The recognizer language identifier.
Public property | Microsoft SAPI 4 Speech Recognition | MaxWordsVocab | The maximum number of words supported in a vocabulary.
Public property | Microsoft SAPI 4 Speech Recognition | MaxWordsState | The maximum number of words in any state of the grammar.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | MfgName | The recognizer vendor name.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | ProductName | The recognizer product name.
Public property | Microsoft SAPI 4 Speech Recognition | Sequencing | The recognition schemes supported by the recognizer.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | Vocabs | The vocabulary types supported by the recognizer.


ChantSREngine ChantEngineAPI Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantEngineAPI Property

The speech engine API.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantEngineAPI eChantEngineAPI = chantSREngine.ChantEngineAPI;

ChantEngineAPI eChantEngineAPI = chantSREngine->GetChantEngineAPI();

ChantEngineAPI eChantEngineAPI = chantSREngine->GetChantEngineAPI();

var eChantEngineAPI: ChantEngineAPI;
eChantEngineAPI := chantSREngine.ChantEngineAPI;

int eChantEngineAPI = chantSREngine.getChantEngineAPI();

Dim eChantEngineAPI As ChantEngineAPI
eChantEngineAPI = chantSREngine.ChantEngineAPI

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantEngineAPI constant values.

ChantEngineAPIs | Constant | Value | Description
Nuance Dragon NaturallySpeaking | CEDGN4SR | 1 | Dragon Naturally Speaking recognition interface.
Microsoft SAPI 4 Speech Recognition | CESAPI4SR | 2 | SAPI 4 DirectSpeechRecognition interface.
Microsoft SAPI 4 Speech Recognition | CESAPI4SRShared | 3 | SAPI 4 DirectSpeechRecognition interface shared object. This allows multiple applications to share the same recognizer.
Microsoft SAPI 4 Text-to-Speech | CESAPI4TTS | 4 | SAPI 4 DirectTextToSpeech interface.
Microsoft SAPI 5 Speech Recognition | CESAPI5SR | 5 | SAPI 5 in proc recognizer.
Microsoft SAPI 5 Speech Recognition | CESAPI5SRShared | 6 | SAPI 5 shared recognizer. This allows multiple applications to share the same engine.
Microsoft SAPI 5 Text-to-Speech | CESAPI5TTS | 7 | SAPI 5 voice.
Microsoft SAPI 4 Speech Recognition | CESAPIVoiceCommand | 8 | Microsoft SAPI 4 Voice Command site interface.
Microsoft SAPI 4 Text-to-Speech | CESAPIVoiceText | 9 | SAPI 4 Voice Text site interface.
Nuance VoCon 3200 | CEVoCon2 | 11 | Nuance VoCon 3200 V2 API recognition interface.
Cepstral SWIFT | CESWIFTTTS | 12 | Cepstral Swift API text-to-speech interface.
Nuance RealSpeak Solo | CERSSOLOTTS | 13 | Nuance RealSpeak Solo API text-to-speech interface.
Acapela BabTTS | CEBABTTS | 14 | Acapela Multimedia API text-to-speech interface.
Nuance Vocalizer for Mobile | CEVMOBILE | 15 | Nuance Vocalizer for Mobile API text-to-speech interface.
Nuance VoCon 3200 | CEVoCon3 | 16 | Nuance VoCon 3200 V3 API recognition interface.
Nuance Vocalizer for Automotive | CEVAUTO | 17 | Nuance Vocalizer for Automotive API text-to-speech interface.
Nuance Vocalizer for Network | CEVNETWORK | 18 | Nuance Vocalizer for Network text-to-speech interface.
Nuance VoCon 3200 | CEVoCon4 | 19 | Nuance VoCon 3200 V4 API recognition interface.
Acapela NSCAPI | CENSCTTS | 20 | Acapela NSCAPI text-to-speech interface.
Microsoft Speech Platform Speech Recognition | CEMSPSR | 22 | Microsoft Speech Platform in proc recognizer.
Microsoft Speech Platform Text-to-Speech | CEMSPTTS | 23 | Microsoft Speech Platform voice.
Nuance Vocalizer Expressive | CEVExpressive | 24 | Nuance Vocalizer Expressive API text-to-speech interface.

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngine Dialect Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Dialect Property

The recognizer language dialect.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String dialect = chantSREngine.Dialect;

wchar_t* dialect = chantSREngine->GetDialect();

String dialect = chantSREngine->GetDialect();

var dialect: string;
dialect := chantSREngine.Dialect;

String dialect = chantSREngine.getDialect();

Dim dialect As String
dialect = chantSREngine.Dialect

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngine Engine Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Engine Property

The recognizer name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String engine = chantSREngine.Engine;

wchar_t* engine = chantSREngine->GetEngine();

String engine = chantSREngine->GetEngine();

var engine: string;
engine := chantSREngine.Engine;

String engine = chantSREngine.getEngine();

Dim engine As String
engine = chantSREngine.Engine

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngine EngineFeatures Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

EngineFeatures Property

The recognizer features.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int engineFeatures = chantSREngine.EngineFeatures;

long engineFeatures = chantSREngine->GetEngineFeatures();

long engineFeatures = chantSREngine->GetEngineFeatures();

var engineFeatures: Integer;
engineFeatures := chantSREngine.EngineFeatures;

int engineFeatures = chantSREngine.getEngineFeatures();

Dim engineFeatures As Integer
engineFeatures = chantSREngine.EngineFeatures

Collapse/Expand Remarks section Remarks

The property is read only. Features are specific to the recognizer and not part of a speech API. These values are defined by the engine vendor.

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngine Features Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Features Property

The features for a SAPI 4 recognizer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int features = chantSREngine.Features;

long features = chantSREngine->GetFeatures();

long features = chantSREngine->GetFeatures();

var features: Integer;
features := chantSREngine.Features;

int features = chantSREngine.getFeatures();

Dim features As Integer
features = chantSREngine.Features

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantSRFeature constant values.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition | CSRFIndepSpeaker | 1 | The engine is speaker-independent and works well without training.
Microsoft SAPI 4 Speech Recognition | CSRFIndepMicrophone | 2 | The engine is microphone-independent (indifferent to background noise and microphone) and does not require retraining if the microphone changes.
Microsoft SAPI 4 Speech Recognition | CSRFTrainWord | 4 | The speaker can train the engine on individual words.
Microsoft SAPI 4 Speech Recognition | CSRFTrainPhonetic | 8 | The speaker can train the engine on a preselected set of words and thereby train all of the phonemes used for recognition. This is done in general training.
Microsoft SAPI 4 Speech Recognition | CSRFWildCard | 16 | The engine supports wildcards in context-free grammars.
Microsoft SAPI 4 Speech Recognition | CSRFAnyWord | 32 | The engine can attempt to recognize any word.
Microsoft SAPI 4 Speech Recognition | CSRFPCOptimized | 64 | The voice is optimized to work over the PC, which provides better sound quality.
Microsoft SAPI 4 Speech Recognition | CSRFPhoneOptimized | 128 | The voice is designed to work over the telephone and uses an 8-kHz sampling rate.
Microsoft SAPI 4 Speech Recognition | CSRFGramList | 256 | The grammars support recognition lists.
Microsoft SAPI 4 Speech Recognition | CSRFGramLink | 512 | The engine supports automatic links between grammars.
Microsoft SAPI 4 Speech Recognition | CSRFMultilingual | 1024 | The engine can recognize speech in several languages at a time. This is necessary for systems that run two or more applications written for different languages.
Microsoft SAPI 4 Speech Recognition | CSRFGramRecursive | 2048 | The engine accepts recursive, context-free grammars; otherwise, it cannot have recursive grammars.
Microsoft SAPI 4 Speech Recognition | CSRFIPAUnicode | 4096 | The engine supports the IPA in Unicode.
Microsoft SAPI 4 Speech Recognition | CSRFSingleInstance | 8192 | The engine is single instance, and so only one mode object can exist at one time. Text-to-speech engines that are .EXE servers use this.
Microsoft SAPI 4 Speech Recognition | CSRFThreadSafe | 16384 | The engine is completely thread safe, and can be called from any thread.
Microsoft SAPI 4 Speech Recognition | CSRFFixedAudio | 32768 | The audio source for the device is fixed, so an audio source object is not needed for Select. If an audio source is passed in, it will be ignored. Hardware devices, such as an external recognizer box, will support this.
Microsoft SAPI 4 Speech Recognition | CSRFIPAWord | 65536 | Words can contain IPA pronunciations.
Microsoft SAPI 4 Speech Recognition | CSRFSAPI4 | 131072 | Denotes that the engine is SAPI 4 compliant. SAPI 4 compliant means that it supports all of the required interfaces defined in this document and can pass the SRFUNC test included in the SAPI SDK.

Source: Microsoft SAPI 4 SDK

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngine ID Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ID Property

The recognizer identifier.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String id = chantSREngine.ID;

wchar_t* id = chantSREngine->GetID();

String id = chantSREngine->GetID();

var id: string;
id := chantSREngine.ID;

String id = chantSREngine.getID();

Dim id As String
id = chantSREngine.ID

Collapse/Expand Remarks section Remarks

The property is read only. A recognizer may be selected by using its Engine or ID property. For SAPI 5 recognizers, the ID is the TokenID. For SAPI 4 recognizers, the ID is the recognizer mode GUID.

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngine Interfaces Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Interfaces Property

The COM interfaces supported by a SAPI 4 recognizer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int interfaces = chantSREngine.Interfaces;

long interfaces = chantSREngine->GetInterfaces();

long interfaces = chantSREngine->GetInterfaces();

var interfaces: Integer;
interfaces := chantSREngine.Interfaces;

int interfaces = chantSREngine.getInterfaces();

Dim interfaces As Integer
interfaces = chantSREngine.Interfaces

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantSRInterface constant values.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition | CCNone | 0 | No callback event.
Microsoft SAPI 4 Speech Recognition | CSRIILexPronounce | 1 | The ILexPronounce interface
Microsoft SAPI 4 Speech Recognition | CSRIISRAttributes | 2 | The ISRAttributes interface
Microsoft SAPI 4 Speech Recognition | CSRIISRCentral | 4 | The ISRCentral interface
Microsoft SAPI 4 Speech Recognition | CSRIISRDialogs | 8 | The ISRDialogs interface
Microsoft SAPI 4 Speech Recognition | CSRIISRGramCommon | 16 | The ISRGramCommon interface
Microsoft SAPI 4 Speech Recognition | CSRIISRGramCFG | 32 | The ISRGramCFG interface
Microsoft SAPI 4 Speech Recognition | CSRIISRGramDictation | 64 | The ISRGramDictation interface
Microsoft SAPI 4 Speech Recognition | CSRIISRGramInserionGUI | 128 | The ISRGramInsertionGUI interface
Microsoft SAPI 4 Speech Recognition | CSRIISResBasic | 256 | The ISRResBasic interface
Microsoft SAPI 4 Speech Recognition | CSRIISResMerge | 512 | The ISRResMerge interface
Microsoft SAPI 4 Speech Recognition | CSRIISResAudio | 1024 | The ISRResAudio interface
Microsoft SAPI 4 Speech Recognition | CSRIISResCorrection | 2048 | The ISRResCorrection interface
Microsoft SAPI 4 Speech Recognition | CSRIISResEval | 4096 | The ISRResEval interface
Microsoft SAPI 4 Speech Recognition | CSRIISResGraph | 8192 | The ISRResGraph interface
Microsoft SAPI 4 Speech Recognition | CSRIISResMemory | 16384 | The ISRResMemory interface
Microsoft SAPI 4 Speech Recognition | CSRIISResModifyGUI | 32768 | The ISRResModifyGUI interface
Microsoft SAPI 4 Speech Recognition | CSRIISResSpeaker | 65536 | The ISRResSpeaker interface
Microsoft SAPI 4 Speech Recognition | CSRIISRSpeaker | 131072 | The ISRSpeaker interface
Microsoft SAPI 4 Speech Recognition | CSRIISResScores | 262144 | The ISRResScores interface

Source: Microsoft SAPI 4 SDK

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngine LanguageID Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

LanguageID Property

The recognizer language identifier.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int languageID = chantSREngine.LanguageID;

long languageID = chantSREngine->GetLanguageID();

long languageID = chantSREngine->GetLanguageID();

var languageID: Integer;
languageID := chantSREngine.LanguageID;

int languageID = chantSREngine.getLanguageID();

Dim languageID As Integer
languageID = chantSREngine.LanguageID

Collapse/Expand Remarks section Remarks

The property is read only. The value represents a Win32 LANGID value.

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngine MaxWordsState Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

MaxWordsState Property

The maximum number of words in any state of the grammar.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxWordsState = chantSREngine.MaxWordsState;

long maxWordsState = chantSREngine->GetMaxWordsState();

long maxWordsState = chantSREngine->GetMaxWordsState();

var maxWordsState: Integer;
maxWordsState := chantSREngine.MaxWordsState;

int maxWordsState = chantSREngine.getMaxWordsState();

Dim maxWordsState As Integer
maxWordsState = chantSREngine.MaxWordsState

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngine MaxWordsVocab Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

MaxWordsVocab Property

The maximum number of words supported in a vocabulary.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxWordsVocab = chantSREngine.MaxWordsVocab;

long maxWordsVocab = chantSREngine->GetMaxWordsVocab();

long maxWordsVocab = chantSREngine->GetMaxWordsVocab();

var maxWordsVocab: Integer;
maxWordsVocab := chantSREngine.MaxWordsVocab;

int maxWordsVocab = chantSREngine.getMaxWordsVocab();

Dim maxWordsVocab As Integer
maxWordsVocab = chantSREngine.MaxWordsVocab

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngine MfgName Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

MfgName Property

The recognizer's vendor name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String mfgName = chantSREngine.MfgName;

wchar_t* mfgName = chantSREngine->GetMfgName();

String mfgName = chantSREngine->GetMfgName();

var mfgName: string;
mfgName := chantSREngine.MfgName;

String mfgName = chantSREngine.getMfgName();

Dim mfgName As String
mfgName = chantSREngine.MfgName

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngine ProductName Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ProductName Property

The recognizer's product name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String productName = chantSREngine.ProductName;

wchar_t* productName = chantSREngine->GetProductName();

String productName = chantSREngine->GetProductName();

var productName: string;
productName := chantSREngine.ProductName;

String productName = chantSREngine.getProductName();

Dim productName As String
productName = chantSREngine.ProductName

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngine Sequencing Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Sequencing Property

The recognition schemes supported by the recognizer. SAPI4 only.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int sequencing = chantSREngine.Sequencing;

long sequencing = chantSREngine->GetSequencing();

long sequencing = chantSREngine->GetSequencing();

var sequencing: Integer;
sequencing := chantSREngine.Sequencing;

int sequencing = chantSREngine.getSequencing();

Dim sequencing As Integer
sequencing = chantSREngine.Sequencing

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantSRSequencing constant values.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition | CSRSDiscrete | 0 | Recognizes discrete utterances. Every word must be isolated by a pause before and after the word for the engine to recognize it.
Microsoft SAPI 4 Speech Recognition | CSRSContinuous | 1 | Performs continuous recognition. Given a continuous utterance with no pauses between words, the engine can recognize the words that were spoken.
Microsoft SAPI 4 Speech Recognition | CSRSWordSpot | 2 | Performs word spotting. A series of words may be spoken in a continuous utterance, but the engine recognizes only selected words or phrases.
Microsoft SAPI 4 Speech Recognition | CSRSContCFGDiscDict | 3 | Performs continuous recognition for context-free grammars. It also supports discrete dictation.

Source: Microsoft SAPI 4 SDK

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngine Vocabs Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Vocabs Property

The vocabulary types supported by the recognizer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantSRGram eChantSRGram = chantSREngine.Vocabs;

ChantSRGram eChantSRGram = chantSREngine->GetVocabs();

ChantSRGram eChantSRGram = chantSREngine->GetVocabs();

var eChantSRGram: ChantSRGram;
eChantSRGram := chantSREngine.Vocabs;

int eChantSRGram = chantSREngine.getVocabs();

Dim eChantSRGram As ChantSRGram
eChantSRGram = chantSREngine.Vocabs

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantSRGram constant values.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CSRGCFG | 1 | Context-free grammar
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CSRGDictation | 2 | Dictation
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CSRGLimitedDomain | 4 | Limited-domain (command)

Source: Microsoft SAPI 4 SDK

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngineCollection Class

Represents a collection of ChantSREngine objects.

Collapse/Expand Remarks section Remarks

A ChantSREngineCollection is used to enumerate the available speech recognition engines.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantSREngine | The ChantSREngine object collection.
Public property | Count | The number of ChantSREngines.

Collapse/Expand Example section Example

The following example illustrates enumerating engines and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantSREngine chantSREngine in NChantSR1.ChantSREngines)
{
    // Access engine properties
    string engine = chantSREngine.Engine;
}

int numberOfEngines = pChantSR->GetChantSREngines()->GetCount();
for (i = 0; i < numberOfEngines; i++)
{
    CChantSREngine* pChantSREngine = pChantSR->GetChantSREngines()->GetChantSREngines(i);
    // Access engine properties
    wchar_t* engine = pChantSREngine->GetEngine();
}

int numberOfEngines = pChantSR->GetChantSREngines()->GetCount();
for (i = 0; i < numberOfEngines; i++)
{
    CChantSREngine* pChantSREngine = pChantSR->GetChantSREngines()->ChantSREngines(i);
    // Access engine properties
    String engine = pChantSREngine->GetEngine();
}

var
chantSREngine: TChantSREngine;
engine: string;
begin
for chantSREngine in ChantSR1.ChantSREngines do
    begin
        // Access engine properties
        engine := chantSREngine.Engine;
    end;
end;

for (JChantSREngine engine : JChantSR1.getChantSREngines())
{
    // Access engine properties
    String engine = engine.getEngine();
}

Dim chantSREngine As NChantSREngine
Dim engine As String
For Each chantSREngine In NChantSR1.ChantSREngines
    ' Access engine properties
    engine = chantSREngine.Engine
Next

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngineCollection ChantSREngine Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantSREngine Property

A collection of ChantSREngine objects representing an instance of the speech recognition engines.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantSREngine chantSREngine = chantEngineCollection.ChantSREngine[index];

CChantSREngine* chantSREngine = chantEngineCollection->GetChantSREngine(index);

CChantSREngine* chantSREngine = chantEngineCollection->GetChantSREngine(index);

var chantSREngine: TChantSREngine;
chantSREngine := chantEngineCollection.ChantSREngine(index);

JChantSREngine chantSREngine = chantEngineCollection.getAt(index);

Dim chantSREngine As NChantSREngine
chantSREngine = chantEngineCollection.ChantSREngine(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREngine


ChantSREngineCollection Count Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Count Property

The number of ChantSREngine objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantEngineCollection.Count;

int count = chantEngineCollection->GetCount();

int count = chantEngineCollection->GetCount();

var count: Integer;
count := chantEngineCollection.Count;

int count = chantEngineCollection.getCount();

Dim count As Integer
count = chantEngineCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREngineCollection


ChantTTSEngine Class

Represents a text-to-speech engine (i.e., synthesizer or voice).

Collapse/Expand Remarks section Remarks

Some synthesizers provide detailed information about the text-to-speech features they provide. Synthesizers may or may not provide any of the ChantTTSEngine property values.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Age | The voice age.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | ChantEngineAPI | The synthesizer API.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Engine | The synthesizer name.
Public property | Microsoft SAPI 4 Text-to-Speech | EngineFeatures | The synthesizer features.
Public property | Microsoft SAPI 4 Text-to-Speech | Features | The features supported by a SAPI 4 synthesizer.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | Gender | The voice gender.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | ID | Synthesizer identifier.
Public property | Microsoft SAPI 4 Text-to-Speech | Interfaces | The COM interfaces supported by a SAPI 4 synthesizer.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | LanguageID | Synthesizer language identifier.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | MfgName | The synthesizer vendor name.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | ProductName | The synthesizer product name.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech | Speaker | The voice name.
Public property | Microsoft SAPI 4 Text-to-Speech | Style | The speaking style (e.g., business, casual, et. al.).


ChantTTSEngine Age Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Age Property

The voice age.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantTTSAge eChantTTSAge = chantTTSEngine.Age;

ChantTTSAge eChantTTSAge = chantTTSEngine->GetAge();

ChantTTSAge eChantTTSAge = chantTTSEngine->GetAge();

var eChantTTSAge: Integer;
eChantTTSAge := chantTTSEngine.Age;

int eChantTTSAge = chantTTSEngine.getAge();

Dim eChantTTSAge As ChantTTSAge
eChantTTSAge = chantTTSEngine.Age

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantTTSAge constant values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSABaby | 1 | About 1 year old
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSAToddler | 3 | About 3 years old
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSAChild | 6 | About 6 years old
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSAAdolescent | 14 | About 14 years old
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSAAdult | 30 | Between 20 and 60 years old
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSAElderly | 70 | Over 60 years old

Source: Microsoft SAPI 4 SDK

Collapse/Expand See Also section See Also

ChantTTSEngine


ChantTTSEngine ChantEngineAPI Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantEngineAPI Property

The speech engine API.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantEngineAPI eChantEngineAPI = chantTTSEngine.ChantEngineAPI;

ChantEngineAPI eChantEngineAPI = chantTTSEngine->GetChantEngineAPI();

ChantEngineAPI eChantEngineAPI = cChantTTSEngine->GetChantEngineAPI();

var eChantEngineAPI: ChantEngineAPI;
eChantEngineAPI := chantTTSEngine.ChantEngineAPI;

int eChantEngineAPI = chantTTSEngine.getChantEngineAPI();

Dim eChantEngineAPI As ChantEngineAPI
eChantEngineAPI = chantTTSEngine.ChantEngineAPI

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantEngineAPI constant values.

ChantEngineAPIs | Constant | Value | Description
Nuance Dragon NaturallySpeaking | CEDGN4SR | 1 | Dragon Naturally Speaking recognition interface.
Microsoft SAPI 4 Speech Recognition | CESAPI4SR | 2 | SAPI 4 DirectSpeechRecognition interface.
Microsoft SAPI 4 Speech Recognition | CESAPI4SRShared | 3 | SAPI 4 DirectSpeechRecognition interface shared object. This allows multiple applications to share the same recognizer.
Microsoft SAPI 4 Text-to-Speech | CESAPI4TTS | 4 | SAPI 4 DirectTextToSpeech interface.
Microsoft SAPI 5 Speech Recognition | CESAPI5SR | 5 | SAPI 5 in proc recognizer.
Microsoft SAPI 5 Speech Recognition | CESAPI5SRShared | 6 | SAPI 5 shared recognizer. This allows multiple applications to share the same engine.
Microsoft SAPI 5 Text-to-Speech | CESAPI5TTS | 7 | SAPI 5 voice.
Microsoft SAPI 4 Speech Recognition | CESAPIVoiceCommand | 8 | Microsoft SAPI 4 Voice Command site interface.
Microsoft SAPI 4 Text-to-Speech | CESAPIVoiceText | 9 | SAPI 4 Voice Text site interface.
Nuance VoCon 3200 | CEVoCon2 | 11 | Nuance VoCon 3200 V2 API recognition interface.
Cepstral SWIFT | CESWIFTTTS | 12 | Cepstral Swift API text-to-speech interface.
Nuance RealSpeak Solo | CERSSOLOTTS | 13 | Nuance RealSpeak Solo API text-to-speech interface.
Acapela BabTTS | CEBABTTS | 14 | Acapela Multimedia API text-to-speech interface.
Nuance Vocalizer for Mobile | CEVMOBILE | 15 | Nuance Vocalizer for Mobile API text-to-speech interface.
Nuance VoCon 3200 | CEVoCon3 | 16 | Nuance VoCon 3200 V3 API recognition interface.
Nuance Vocalizer for Automotive | CEVAUTO | 17 | Nuance Vocalizer for Automotive API text-to-speech interface.
Nuance Vocalizer for Network | CEVNETWORK | 18 | Nuance Vocalizer for Network text-to-speech interface.
Nuance VoCon 3200 | CEVoCon4 | 19 | Nuance VoCon 3200 V4 API recognition interface.
Acapela NSCAPI | CENSCTTS | 20 | Acapela NSCAPI text-to-speech interface.
Microsoft Speech Platform Speech Recognition | CEMSPSR | 22 | Microsoft Speech Platform in proc recognizer.
Microsoft Speech Platform Text-to-Speech | CEMSPTTS | 23 | Microsoft Speech Platform voice.
Nuance Vocalizer Expressive | CEVExpressive | 24 | Nuance Vocalizer Expressive API text-to-speech interface.
CereProc CereVoice | CECereVoice | 25 | CereProc CereVoice API text-to-speech interface.

Collapse/Expand See Also section See Also

ChantTTSEngine


ChantTTSEngine Engine Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Engine Property

The synthesizer name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String engine = chantTTSEngine.Engine;

wchar_t* engine = chantTTSEngine->GetEngine();

String engine = chantTTSEngine->GetEngine();

var engine: string;
engine := chantTTSEngine.Engine;

String engine = chantTTSEngine.getEngine();

Dim engine As String
engine = chantTTSEngine.Engine

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEngine


ChantTTSEngine EngineFeatures Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

EngineFeatures Property

The synthesizer features.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int engineFeatures = chantTTSEngine.EngineFeatures;

long engineFeatures = chantTTSEngine->GetEngineFeatures();

long engineFeatures = chantTTSEngine->GetEngineFeatures();

var engineFeatures: Integer;
engineFeatures := chantTTSEngine.EngineFeatures;

int engineFeatures = chantTTSEngine.getEngineFeatures();

Dim engineFeatures As Integer
engineFeatures = chantTTSEngine.EngineFeatures

Collapse/Expand Remarks section Remarks

The property is read only. Features are specific to the synthesizer and not part of a speech API. These values are defined by the engine vendor.

Collapse/Expand See Also section See Also

ChantTTSEngine


ChantTTSEngine Features Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Features Property

The features for a SAPI 4 synthesizer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantTTSFeature eChantTTSFeature = chantTTSEngine.Features;

ChantTTSFeature eChantTTSFeature = chantTTSEngine->GetFeatures();

ChantTTSFeature eChantTTSFeature = chantTTSEngine->GetFeatures();

var eChantTTSFeature: ChantTTSFeature;
eChantTTSFeature := chantTTSEngine.Features;

int eChantTTSFeature = chantTTSEngine.getFeatures();

Dim eChantTTSFeature As ChantTTSFeature
eChantTTSFeature = chantTTSEngine.Features

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantTTSFeature constant values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech | CTTSFAnyWord | 1 | The engine can attempt to read any word.
Microsoft SAPI 4 Text-to-Speech | CTTSFVolume | 2 | The engine can adjust the volume of the voice.
Microsoft SAPI 4 Text-to-Speech | CTTSFSpeed | 4 | The engine can adjust the speed of the voice while it is speaking.
Microsoft SAPI 4 Text-to-Speech | CTTSFPitch | 8 | The engine can adjust the pitch of the voice while it is speaking.
Microsoft SAPI 4 Text-to-Speech | CTTSFTagged | 16 | The engine can interpret tagged text to control the voice.
Microsoft SAPI 4 Text-to-Speech | CTTSFIPAUnicode | 32 | The engine's ITTSCentral::Phoneme function supports the CHARSET_IPAPHONETIC voice character set and will return phonemic representations using the International Phonetic Alphabet (IPA) in Unicode. Note that the Unicode version of Phoneme must be called, even if this flag is set.
Microsoft SAPI 4 Text-to-Speech | CTTSFVisual | 64 | The engine can provide mouth position information for the voice.
Microsoft SAPI 4 Text-to-Speech | CTTSFWordPosition | 128 | The engine sends notification of word position.
Microsoft SAPI 4 Text-to-Speech | CTTSFPCOptimized | 256 | The voice is optimized to work over the computer, which provides better sound quality.
Microsoft SAPI 4 Text-to-Speech | CTTSFPhoneOptimized | 512 | The voice is designed to work over the telephone and uses an 8-kilohertz (kHz) sampling rate.
Microsoft SAPI 4 Text-to-Speech | CTTSFFixedAudio | 1024 | The audio destination for the device is fixed, so an audio destination object is not needed for select. If an audio destination is passed in, it will be ignored. Hardware devices, such as an external synthesizer box, will support this.
Microsoft SAPI 4 Text-to-Speech | CTTSFSingleInstance | 2048 | The engine is single instance, and so only one mode object can exist at one time. TTS engines that are .EXE servers use this.
Microsoft SAPI 4 Text-to-Speech | CTTSFThreadSafe | 4096 | The engine is completely thread safe, and can be called from any thread.
Microsoft SAPI 4 Text-to-Speech | CTTSFIPATextData | 8192 | TextData supports IPA phonemes being passed in, as long as CHARSET_IPAPHONETIC is used. Applications can use this to identify TTS engines that can speak words solely from a pronunciation.
Microsoft SAPI 4 Text-to-Speech | CTTSFPreferred | 16384 | The voice is one of the preferred voices from the TTS vendor's set, because of its realism and quality. ITTSFind will use preferred voices over non-preferred, as long as they meet the application's search criteria.
Microsoft SAPI 4 Text-to-Speech | CTTSFTransplanted | 32768 | Supports transplanted prosody.
Microsoft SAPI 4 Text-to-Speech | CTTSFSAPI4 | 65536 | Denotes that the engine is SAPI 4 compliant. SAPI 4 compliant means that it supports all of the required interfaces defined in this document and can pass the TTSFUNC test included in the SAPI SDK.

Source: Microsoft SAPI 4 SDK

Collapse/Expand See Also section See Also

ChantTTSEngine


ChantTTSEngine Gender Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Gender Property

The voice gender.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantTTSGender eChantTTSGender = chantTTSEngine.Gender;

ChantTTSGender eChantTTSGender = chantTTSEngine->GetGender();

ChantTTSGender eChantTTSGender = chantTTSEngine->GetGender();

var eChantTTSGender: ChantTTSGender;
eChantTTSGender := chantTTSEngine.Gender;

int eChantTTSGender = chantTTSEngine.getGender();

Dim eChantTTSGender As ChantTTSGender
eChantTTSGender = chantTTSEngine.Gender

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantTTSGender constant values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CTTSGNeutral | 0 | Not perceptibly male or female voice
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CTTSGFemale | 1 | Female voice
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CTTSGMale | 2 | Male voice

Source: Microsoft SAPI 4 SDK

Collapse/Expand See Also section See Also

ChantTTSEngine


ChantTTSEngine ID Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ID Property

The synthesizer identifier.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String id = chantTTSEngine.ID;

wchar_t* id = chantTTSEngine->GetID();

String id = chantTTSEngine->GetID();

var id: string;
id := chantTTSEngine.ID;

String id = chantTTSEngine.getID();

Dim id As String
id = chantTTSEngine.ID

Collapse/Expand Remarks section Remarks

The property is read only. A synthesizer may be selected by using its Engine or ID property. For SAPI 5 synthesizers, the ID is the TokenID. For SAPI 4 synthesizers, the ID is the synthesizer mode GUID.

Collapse/Expand See Also section See Also

ChantTTSEngine


ChantTTSEngine Interfaces Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Interfaces Property

The COM interfaces supported by a SAPI 4 synthesizer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int interfaces = chantTTSEngine.Interfaces;

long interfaces = chantTTSEngine->GetInterfaces();

long interfaces = chantTTSEngine->GetInterfaces();

var interfaces: Integer;
interfaces := chantTTSEngine.Interfaces;

int interfaces = chantTTSEngine.getInterfaces();

Dim interfaces As Integer
interfaces = chantTTSEngine.Interfaces

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantTTSInterface constant values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech | CTTSIILexPronounce | 1 | ILexPronounce interface
Microsoft SAPI 4 Text-to-Speech | CTTSIITTSAttributes | 2 | ITTSAttributes interface
Microsoft SAPI 4 Text-to-Speech | CTTSIITTSCentral | 4 | ITTSCentral interface
Microsoft SAPI 4 Text-to-Speech | CTTSIITTSDialogs | 8 | ITTSDialogs interface

Source: Microsoft SAPI 4 SDK

Collapse/Expand See Also section See Also

ChantTTSEngine


ChantTTSEngine LanguageID Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

LanguageID Property

The synthesizer language identifier.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int languageID = chantTTSEngine.LanguageID;

long languageID = chantTTSEngine->GetLanguageID();

long languageID = chantTTSEngine->GetLanguageID();

var languageID: Integer;
languageID := chantTTSEngine.LanguageID;

int languageID = chantTTSEngine.getLanguageID();

Dim languageID As Integer
languageID = chantTTSEngine.LanguageID

Collapse/Expand Remarks section Remarks

The property is read only. The value represents a Win32 LANGID value.

Collapse/Expand See Also section See Also

ChantTTSEngine


ChantTTSEngine MfgName Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

MfgName Property

The synthesizer's vendor name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String mfgName = chantTTSEngine.MfgName;

wchar_t* mfgName = chantTTSEngine->GetMfgName();

String mfgName = chantTTSEngine->GetMfgName();

var mfgName: string;
mfgName := chantTTSEngine.MfgName;

String mfgName = chantTTSEngine.getMfgName();

Dim mfgName As String
mfgName = chantTTSEngine.MfgName

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEngine


ChantTTSEngine ProductName Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ProductName Property

The synthesizer's product name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String productName = chantTTSEngine.ProductName;

wchar_t* productName = chantTTSEngine->GetProductName();

String productName = chantTTSEngine->GetProductName();

var productName: string;
productName := chantTTSEngine.ProductName;

String productName = chantTTSEngine.getProductName();

Dim productName As String
productName = chantTTSEngine.ProductName

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEngine


ChantTTSEngine Speaker Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Speaker Property

The voice name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String speaker = chantTTSEngine.Speaker;

wchar_t* speaker = chantTTSEngine->GetSpeaker();

String speaker = chantTTSEngine->GetSpeaker();

var speaker: string;
speaker := chantTTSEngine.Speaker;

String speaker = chantTTSEngine.getSpeaker();

Dim speaker As String
speaker = chantTTSEngine.Speaker

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEngine


ChantTTSEngine Style Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Style Property

The speaking style (e.g., business, casual, et. al.).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String style = chantTTSEngine.Style;

wchar_t* style = chantTTSEngine->GetStyle();

String style = chantTTSEngine->GetStyle();

var style: string;
style := chantTTSEngine.Style;

String style = chantTTSEngine.getStyle();

Dim style As String
style = chantTTSEngine.Style

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEngine


ChantTTSEngineCollection Class

Represents a collection of ChantTTSEngine objects.

Collapse/Expand Remarks section Remarks

A ChantTTSEngineCollection is used to enumerate the available speech synthesis engines.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantTTSEngine | The ChantTTSEngine object collection.
Public property | Count | The number of ChantTTSEngines.

Collapse/Expand Example section Example

The following example illustrates enumerating engines and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantTTSEngine chantTTSEngine in NChantTTS1.ChantTTSEngines)
{
    // Access engine properties
    string engine = chantTTSEngine.Engine;
}

int numberOfEngines = pChantTTS->GetChantTTSEngines()->GetCount();
for (i = 0; i < numberOfEngines; i++)
{
    CChantTTSEngine* pChantTTSEngine = pChantTTS->GetChantTTSEngines()->GetChantTTSEngines(i);
    // Access engine properties
    wchar_t* engine = pChantTTSEngine->GetEngine();
}

int numberOfEngines = pChantTTS->GetChantTTSEngines()->GetCount();
for (i = 0; i < numberOfEngines; i++)
{
    CChantTTSEngine* pChantTTSEngine = pChantTTS->GetChantTTSEngines()->ChantTTSEngines(i);
    // Access engine properties
    String engine = pChantTTSEngine->GetDisplay();
}

var
chantTTSEngine: TChantTTSEngine;
engine: string;
begin
for chantTTSEngine in ChantTTS1.ChantTTSEngines do
    begin
        // Access engine properties
        engine := chantTTSEngine.Engine;
    end;
end;

for (JChantTTSEngine engine : JChantTTS1.getChantTTSEngines())
{
    // Access engine properties
    String engine = engine.getEngine();
}

Dim chantTTSEngine As NChantTTSEngine
Dim engine As String
For Each chantTTSEngine In NChantTTS1.ChantTTSEngines
    ' Access engine properties
    engine = chantTTSEngine.Engine
Next

Collapse/Expand See Also section See Also

ChantTTSEngine


ChanttTTSEngineCollection ChantTTSEngine Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantTTSEngine Property

A collection of ChantTTSEngine objects representing an instance of the speech synthesis engines.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantTTSEngine chantTTSEngine = chantTTSEngineCollection.ChantTTSEngine[index];

CChantTTSEngine* chantTTSEngine = chantTTSEngineCollection->GetChantTTSEngine(index);

CChantTTSEngine* chantTTSEngine = chantTTSEngineCollection->GetChantTTSEngine(index);

var chantTTSEngine: TChantTTSEngine;
chantTTSEngine := chantTTSEngineCollection.ChantTTSEngine(index);

JChantTTSEngine chantTTSEngine = chantTTSEngineCollection.getAt(index);

Dim chantTTSEngine As NChantTTSEngine
chantTTSEngine = chantTTSEngineCollection.ChantTTSEngine(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEngine


ChantTTSEngineCollection Count Property

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

Count Property

The number of ChantTTSEngine objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantTTSEngineCollection.Count;

int count = chantTTSEngineCollection->GetCount();

int count = chantTTSEngineCollection->GetCount();

var count: Integer;
count := chantTTSEngineCollection.Count;

int count = chantTTSEngineCollection.getCount();

Dim count As Integer
count = chantTTSEngineCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEngineCollection


GrammarKit Classes

All GrammarKit class libraries and class names begin with a unique letter as follows:

  • C++ - C (e.g., CGrammarKit, CChantGM)
  • Delphi - T (e.g., TChantGM)
  • Java - J (e.g., JGrammarKit, JChantGM)
  • .NET - N (e.g., NGrammarKit, NChantGM)

The following classes are included in the GrammarKit class libraries:

Class | Description
ChantGM | Represents a grammar management object compiling grammars and generating phonemes.
ChantGMContext | Represents a speech recognition context for compiling multiple grammars.
ChantGMEvent | Represents a grammar management event.
ChantGMResource | Represents a grammar resource.
ChantGrammar | Represents a grammar.
ChantGrammarComment | Represents a grammar comment.
ChantGrammarList | Represents a grammar list.
ChantGrammarOptionalPhrase | Represents a grammar phrase that is optional.
ChantGrammarOptionalRuleRef | Represents an optional grammar rule reference.
ChantGrammarPhrase | Represents a grammar phrase.
ChantGrammarRule | Represents a grammar rule.
ChantGrammarRuleRef | Represents a grammar rule reference.
ChantGrammarText | Represents grammar-specific syntax.
ChantGrammarWildcard | Represents a grammar wildcard.


ChantGM Class

Object for managing grammar compilation.

Collapse/Expand Remarks section Remarks

The grammar management object, ChantGM, provides a common grammar compiler interface for Microsoft SAPI 4, Microsoft SAPI 5, and Nuance BNF+ grammar compilers.

It manages the resources and interacts directly with the grammar compilers.

Applications receive compiler messages and error notifications through events.

Collapse/Expand Events section Events

 | APIs | Name | Description
Public event |  | HasEvent | Notifies the application of a grammar compiler message or error.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CompileGrammar | Compiles a speech recognition grammar.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CreateGrammar | Returns a ChantGrammar object.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | GeneratePhonemes | Generate phoneme representation of a word.
Public method |  | GetChantGMEvent | Returns a ChantGMEvent object.
Public method | Microsoft SAPI 5 Speech Recognition | GetPronounceable | Returns flag indicating whether pronunciation can be generated.
Public method |  | IsSupported | Returns whether a feature is supported.
Public method |  | RegisterCallback | Sets the callback event active.
Public method |  | RemoveEvent | Removes an event from the event queue.
Public method |  | SetCallbackFunction | Sets static callback function.
Public method |  | SetCallbackParms | Sets optional callback parameters.
Public method |  | SetNumberProperty | Sets a numeric property value.
Public method |  | SetStringProperty | Sets a string property value.
Public method |  | SetWindowMessage | Sets application-unique Windows message number used to notify about callback events.
Public method |  | UnregisterCallback | Sets the callback event inactive.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | ChantSREngines | A collection of ChantSREngine objects.
Public property |  | LastError | A numeric error code for the last error condition.
Public property |  | LastErrorMessage | A description of the last error condition.
Public property |  | LastErrorString | A text representation of the last error condition.

Collapse/Expand See Also section See Also

ChantGrammar
ChantSREngine
ChantGMEvent


ChantGM ChantSREngines Property

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

ChantSREngines Property

A collection of ChantSREngine objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantSREngineCollection chantSREngines = chantGM.ChantSREngines;

CChantSREngineCollection* chantSREngines = chantGM->GetChantSREngines();

CChantSREngineCollection* chantSREngines = chantGM->GetChantSREngines();

var chantSREngines: TChantSREngineCollection;
chantSREngines := chantGM.ChantSREngines;

JChantSREngineCollection chantSREngines = chantGM.getChantSREngines();

Dim chantSREngines As NChantSREngineCollection
chantSREngines = chantGM.ChantSREngines

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREngine
ChantSREngineCollection


ChantGM CompileGrammar Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

CompileGrammar Method

Compiles a speech recognition grammar.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGM.CompileGrammar(compileObject, compileObjectSize, eChantCompileObject, eChantGrammarSyntax, compileResult, eChantCompileResult, compilerOption, eChantCompileOption);

chantGM->CompileGrammar(compileObject, compileObjectSize, eChantCompileObject, eChantGrammarSyntax, compileResult, eChantCompileResult, compilerOption, eChantCompileOption);

chantGM->CompileGrammar(compileObject, compileObjectSize, eChantCompileObject, eChantGrammarSyntax, compileResult, eChantCompileResult, compilerOption, eChantCompileOption);

chantGM.CompileGrammar(compileObject, compileObjectSize, eChantCompileObject, eChantGrammarSyntax, compileResult, eChantCompileResult, compilerOption, eChantCompileOption);

chantGM.compileGrammar(compileObject, compileObjectSize, eChantCompileObject, eChantGrammarSyntax, compileResult, eChantCompileResult, compilerOption, eChantCompileOptionn);

chantGM.CompileGrammar(compileObject, compileObjectSize, eChantCompileObject, eChantGrammarSyntax, compileResult, eChantCompileResult, compilerOption, eChantCompileOption)

Parameters

compileObject

String, Pointer, or ByteArray. The grammar text, string grammar file name, stream pointer, or buffer of grammar text.

compileObjectSize

Long integer. Length in bytes of the buffer, byte array, or text string.

eChantCompileObject

ChantCompileObject. Specifies whether the compile source is a buffer of text, file name, stream, or text string.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the grammar syntax (i.e., type of grammar).

compileResult

String or Pointer. String file name, buffer, or stream.

eChantCompileResult

ChantCompileResult. Specifies whether compiled output is written to a buffer, file, or stream.

compilerOption

Long integer. Optional grammar compiler flags. Values are unique to grammar compiler.

eChantCompileOption

ChantCompileOption. Specifies how to process the compile request.

Collapse/Expand Remarks section Remarks

The CompileGrammar method supports a variety of grammar source input formats specified with ChantCompileObject. The source type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCOBuffer | 1 | The grammar input source is copied from a buffer.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCOFile | 2 | The grammar input source is read from a file.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCOResource | 3 | The grammar input source is copied from a resource.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCOStream | 4 | The grammar input source is read from a stream.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCOText | 5 | The grammar input source is a text string.

Identify the grammar syntax of the grammar source using ChantGrammarSyntax

The grammar format may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CGSAll | 0 | All grammar syntax. Syntax independent.
Microsoft SAPI 4 Speech Recognition | CGSSAPI4CFG | 2 | SAPI 4 DirectSpeechRecognition interface.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CGSSAPI5XML | 4 | Microsoft SAPI 5 XML grammar
Nuance VoCon 3200 | CGSVoConBNF | 8 | VoCon 3200 BNF+ V1.0
Nuance VoCon 3200 | CGSW3CSRGABNF | 16 | W3C SRGS ABNF
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CGSW3CSRGXML | 32 | W3C SRGS XML
Nuance VoCon 3200 | CGSVoConBNF1 | 64 | VoCon 3200 BNF+ V1.1
Nuance VoCon 3200 | CGSVoConBNF2 | 128 | VoCon 3200 BNF+ V2.0
Nuance VoCon 3200 | CGSVoConJSGF | 256 | VoCon 3200 Java Speech Grammar Format (JSGF)

If compiled output is to be saved, you must specify the type of result object format needed with ChantCompileResult. The compiled result format may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCRNone | 0 | No compiled output is returned.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCRBuffer | 1 | Compiled output written to a buffer.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCRFile | 2 | Compiled output written to a file.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCRStream | 3 | Compiled output written to a stream.

Compile processing may be synchronous or asynchronous. The option may be one of the following ChantCompileOption values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCPAsynchronous | 0 | Return from the compile request after processing is initiated.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCPSynchronous | 1 | Return from the compile request after the compile processing is complete.

Collapse/Expand Example section Example

The following example illustrates compiling grammars.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Compile a grammar file
NChantGM1.CompileGrammar("mygrammar.xml", ChantGrammarSyntax.CGSSAPI5XML);
// Compile a grammar file and save results to file
NChantGM1.CompileGrammar("mygrammar.xml", 0, ChantCompileObject.CCOFile, ChantGrammarSyntax.CGSSAPI5XML, "mygrammar.dat", ChantCompileResult.CCRFile, 0, ChantCompileOption.CCPAsynchronous);

// Compile a grammar file
pChantGM->CompileGrammar(L"mygrammar.xml", CGSSAPI5XML);
// Compile a grammar file and save results to file
pChantGM->CompileGrammar(L"mygrammar.xml", 0, CCOFile, CGSSAPI5XML, L"mygrammar.dat", CCRFile, 0, CCPAsynchronous);

// Compile a grammar file
pChantGM->CompileGrammar("mygrammar.xml", CGSSAPI5XML);
// Compile a grammar file and save results to file
pChantGM->CompileGrammar("mygrammar.xml", 0, CCOFile, CGSSAPI5XML, "mygrammar.dat", CCRFile, 0, CCPAsynchronous);

// Compile a grammar file
ChantGM1.CompileGrammar('mygrammar.xml', CGSSAPI5XML);
// Compile a grammar file and save results to file
ChantGM1.CompileGrammar('mygrammar.xml', 0, CCOFile, CGSSAPI5XML, 'mygrammar.dat', CCRFile, 0, CCPAsynchronous);

// Compile a grammar file
JChantGM1.compileResource("mygrammar.xml", ChantGrammarSyntax.CGSSAPI5XML);
// Compile a grammar file and save results to file
JChantGM1.compileResource("mygrammar.xml", 0, ChantCompileObject.CCOFile, ChantGrammarSyntax.CGSSAPI5XML, "mygrammar.dat", ChantCompileResult.CCRFile, 0, ChantCompileOption.CCPAsynchronous);

' Compile a grammar file
NChantGM1.CompileGrammar("mygrammar.xml", ChantGrammarSyntax.CGSSAPI5XML)
' Compile a grammar file and save results to file
NChantGM1.CompileGrammar("mygrammar.xml", 0, ChantCompileObject.CCOFile, ChantGrammarSyntax.CGSSAPI5XML, "mygrammar.dat", ChantCompileResult.CCRFile, 0, ChantCompileOption.CCPAsynchronous)

Collapse/Expand See Also section See Also

ChantGM


ChantGM CreateGrammar Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

CreateGrammar Method

Returns a ChantGrammar object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammar chantGrammar = chantGM.CreateGrammar(name, eChantGrammarSyntax);

CChantGrammar* chantGrammar = chantGM->CreateGrammar(name, eChantGrammarSyntax);

CChantGrammar* chantGrammar = chantGM->CreateGrammar(name, eChantGrammarSyntax);

var chantGrammar: TChantGrammar;
chantGrammar := chantGM.CreateGrammar(name, eChantGrammarSyntax);

JChantGrammar chantGrammar = chantGM.createGrammar(name, eChantGrammarSyntax);

Dim chantGrammar As NChantGrammar
chantGrammar = chantGM.CreateGrammar(name, eChantGrammarSyntax)

Parameters

Name

String. Grammar name.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax (i.e., type of grammar).

Return Value

ChantGrammar object. The speech grammar.

Collapse/Expand Remarks section Remarks

The ChantGrammar class represents the root grammar object to which you add rules and from which you generate grammar syntax for compilation.

Collapse/Expand Example section Example

See ChantGMResource GenerateGrammar example.

Collapse/Expand See Also section See Also

ChantGrammar


ChantGM GeneratePhonemes Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

GeneratePhonemes Method

Generates phoneme representation of a word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String phonemes = chantGM.GeneratePhonemes(word, engine, eChantPartOfSpeech);

wcahr_t* phonemes = chantGM->GeneratePhonemes(word, engine, eChantPartOfSpeech);

String phonemes = chantGM->GeneratePhonemes(word, engine, eChantPartOfSpeech);

var phonemes: string;
phonemes := chantGM.GeneratePhonemes(word, engine, eChantPartOfSpeech);

String phonemes = chantGM.generatePhonemes(word, engine, eChantPartOfSpeech);

Dim phonemes As String
phonemes = chantGM.GeneratePhonemes(word, engine, eChantPartOfSpeech)

Parameters

word

String. Word(s) from which to generate the phoneme representation.

engine

String. Name of recognizer.

eChantPartOfSpeech

ChantPartOfSpeech. Value that uniquely identifies the word part of speech.

Return Value

String. Phoneme representation for the word(s).

Collapse/Expand Remarks section Remarks

If more than one word is specified, phoneme representations are separated by a space. You may optionally specify the part of speech in generating the pronunciation as one of the following values:

API | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CPOSAbbreviation | 1 | Shortened form of a word -(e.g, hr.)
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CPOSAdjective | 2 | Word that modifies a noun (e.g., green).
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CPOSAdverb | 3 | Word that modifies a verb, an adjective, or another adverb (e.g., quickly).
Microsoft SAPI 4 Speech Recognition | CPOSCardinal | 4 | Number used in simple counting (e.g., one, two, three).
Microsoft SAPI 4 Speech Recognition | CPOSConjunction | 5 | Word used to join sentences, clauses, or phrases (e.g., and).
Microsoft SAPI 4 Speech Recognition | CPOSContraction | 6 | Shortened form of one or two words with the omitted letter or letters indicated by an apostrophe (e.g., can't).
Microsoft SAPI 4 Speech Recognition | CPOSDeterminer | 7 | Limiting noun modifier that precedes an adjective modifying the same noun (e.g., her)
Microsoft SAPI 5 Speech Recognition | CPOSFunction | 8 | Indicates that the part of speech is a function.
Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CPOSIgnore | 9 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition | CPOSInterjection | 10 | Word or phrase that expresses emotion (e.g., indeed, heavens).
Microsoft SAPI 5 Speech Recognition | CPOSModifier | 11 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CPOSNoun | 12 | Word that names a person, place, thing (e.g., astronaut, New York, printer, history).
Microsoft SAPI 4 Speech Recognition | CPOSOrdinal | 13 | Number used to show order (e.g., first, second, third).
Nuance VoCon 3200 | CPOSPastParticiple | 14 | Verb form that can be used in compound tenses or voices, or as a modifier (e.g., talked).
Microsoft SAPI 4 Speech Recognition | CPOSPreposition | 15 | Word that precedes a noun or pronoun to form an adjectival or adverbial phrase (e.g., "aboard" in "aboard the ship").
Microsoft SAPI 4 Speech Recognition | CPOSPronoun | 16 | Word that substitutes for a noun (e.g, it).
Microsoft SAPI 4 Speech Recognition | CPOSProperNoun | 17 | Noun that names a specific person or place (e.g., Katherine, Cleveland).
Microsoft SAPI 4 Speech Recognition | CPOSPunctuation | 18 | Marks that clarify the meaning and structure of writing (e.g., .).
Microsoft SAPI 4 Speech Recognition | CPOSQuantifier | 19 | Limiting noun modifier that expresses quantity and precedes an adjective modifying the same noun (e.g., "four" in "the four ripe strawberries").
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition | CPOSUnknown | 20 | Part of speech is unknown.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CPOSVerb | 21 | Word that expresses an act or a state of being (e.g., eat, be).

Collapse/Expand Example section Example

The following example illustrates generating phonemes.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
String phonemes = NChantGM1.GeneratePhonemes("apple", "Microsoft Speech Recognizer 8.0 for Windows (English - US)", ChantPartOfSpeech.CPOSNoun);

wchar_t* phonemes = pChantGM->GeneratePhonemes(L"apple", L"Microsoft Speech Recognizer 8.0 for Windows (English - US)", CPOSNoun);

String phonemes = pChantGM->GeneratePhonemes("apple", "Microsoft Speech Recognizer 8.0 for Windows (English - US)", CPOSNoun);

var phonemes: string;
phonemes := ChantGM1.GeneratePhonemes('apple', 'Microsoft Speech Recognizer 8.0 for Windows (English - US)', CPOSNoun);

String phonemes = JChantGM1.generatePhonemes("apple", "Microsoft Speech Recognizer 8.0 for Windows (English - US)", CPOSNoun);

Dim phonemes As String
phonemes = NChantGM1.GeneratePhonemes("apple", "Microsoft Speech Recognizer 8.0 for Windows (English - US)", ChantPartOfSpeech.CPOSNoun)

Collapse/Expand See Also section See Also

ChantGM


ChantGM GetChantGMEvent Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

GetChantGMEvent Method

Returns a ChantGMEvent object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGMEvent chantGMEvent = chantGM.GetChantGMEvent();

CChantGMEvent* chantGMEvent = chantGM->GetChantGMEvent();

CChantGMEvent* chantGMEvent = chantGM->GetChantGMEvent();

var chantGMEvent: TChantGMEvent;
chantGMEvent := chantGM.GetChantGMEvent();

JChantGMEvent chantGMEvent = chantGM.getChantGMEvent();

Dim chantGMEvent As NChantGMEvent
chantGMEvent = chantGM.GetChantGMEvent()

Return Value

Object. A ChantGMEvent object.

Collapse/Expand Example section Example

See HasEvent example.

Collapse/Expand See Also section See Also

ChantGM


ChantGM GetPronounceable Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

GetPronounceable Method

Returns constant value indicating whether the word(s) is(are) part of the recognizer's dictionary and can be recognized. SAPI 5 only.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantWordPronounceable eChantWordPronounceable = chantGM.GetPronounceable(word);

ChantWordPronounceable eChantWordPronounceable = chantGM->GetPronounceable(word);

ChantWordPronounceable eChantWordPronounceable = chantGM->GetPronounceable(word);

var eChantWordPronounceable: ChantWordPronounceable;
eChantWordPronounceable := chantGM.GetPronounceable(word);

ChantWordPronounceable eChantWordPronounceable = chantGM.getPronounceable(word);

Dim eChantWordPronounceable As ChantWordPronounceable
eChantWordPronounceable = chantGM.GetPronounceable(word)

Parameters

word

String. Word(s).

Return Value

ChantWordPronounceable. Constant value indicating whether word(s) is(are) known and pronounceable.

Collapse/Expand Remarks section Remarks

The recognizer indicates whether it can recognize and if it already knows about the word(s) with one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 5 Speech Recognition | CWPUnpronounceable | 0 | Won't be recognized.
Microsoft SAPI 5 Speech Recognition | CWPUknownWordPronounceable | 1 | Not in dictionary, but can be recognized.
Microsoft SAPI 5 Speech Recognition | CWPKnownWordPronounceable | 2 | In dictionary and can be recognized.

Collapse/Expand Example section Example

The following example illustrates determining whether the recognizer supports a specific dialog

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
ChantWordPronounceable eChantWordPronounceable = NChantGM1.GetPronounceable("supercalifragilisticexpialidocious");

ChantWordPronounceable eChantWordPronounceable = pChantGM->GetPronounceable(L"supercalifragilisticexpialidocious");

ChantWordPronounceable eChantWordPronounceable = pChantGM->GetPronounceable("supercalifragilisticexpialidocious");

var eChantWordPronounceable: ChantWordPronounceable;
eChantWordPronounceable := ChantGM1.GetPronounceable('supercalifragilisticexpialidocious');

ChantWordPronounceable eChantWordPronounceable = JChantGM1.getPronounceable("supercalifragilisticexpialidocious");

Dim eChantWordPronounceable As ChantWordPronounceable
eChantWordPronounceable = NChantGM1.GetPronounceable("supercalifragilisticexpialidocious")

Collapse/Expand See Also section See Also

ChantGM


ChantGM HasEvent Event

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

HasEvent Event

Notifies the application of a grammar management event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

// In your Form constructor, add reference to your event handler
NChantGM1.HasEvent += this.NChantGM1_HasEvent;

// The HasEvent handler is declared as a subroutine for the class object
// with the following signature
private void NChantGM1_HasEvent(object sender, Chant.GrammarKit.HasEventArgs e)
{

// HasEvent handler code goes here

}

                    // C++ event notifications can be handled via application message pump (e.g., DefWindowProc)
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
m_HasEvent = WM_APP+4;
m_pChantGM->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

LRESULT MyApp::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                            SetCallbackFunction method

                    // C++Builder event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantGM1->SetWindowMessage(Handle, WM_APP+4, 0, 0);

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // Delphi event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantGM1.SetWindowMessage(Handle, WM_APP+4, 0, 0);

procedure TForm1.OnHasEvent(var msg: TMessage);
begin

// HasEvent handler code goes here

end;

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // Java applications indicate they support the HasEvent handler interface
// with the "implements" clause
public class Frame1 extends JFrame implements com.speechkit.JChantGMEvents

// You must also inform the class object which java object implements the HasEvent
                    handler interface
// using the setCallbackFunction
JChantGM1.setCallbackFunction(this,null,null);

// The HasEvent handler is declared as a method with the following signature
public void hasEvent(Object obj1, Object obj2)
{

// HasEvent handler code goes here

}

' Visual Basic .NET applications declare that they are interested in receiving events
' as part of the class object declaration using the WithEvents clause
Dim WithEvents NChantGM1 As NChantGM

' The HasEvent handler is declared as a subroutine for the class object with the following signature
Private Sub NChantGM1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.GrammarKit.HasEventArgs) Handles NChantGM1.HasEvent

' HasEvent handler code goes here

End Sub

Collapse/Expand Remarks section Remarks

An application must register for the events it is interested in receiving. The RegisterCallback method indicates the type of event the application is interested in receiving. An application can register for as many different event types as it wants.

Event notifications may be turned off at any time with the UnregisterCallback method.

If an application wants to receive events, it must also have a HasEvent handler that processes the desired events. See the discussion about events for grammar management.

Collapse/Expand Example section Example

The following example illustrates handling compiler events:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantGM1_HasEvent(object sender, Chant.GrammarKit.HasEventArgs e)
{
    NChantGMEvent chantGMEvent = NChantGM1.GetChantGMEvent();
    if (chantGMEvent != null)
    {
        switch (chantGMEvent.ChantCallback)
        {
            case ChantCallback.CCGMDone:
                {
                    this.textBox1.Text = this.textBox1.Text + chantGMEvent.File + " - " + TotalErrors.ToString() + " error(s), " + TotalWarnings.ToString() + " warning(s)" + '\r' + '\n';
                    button1.Enabled = true;
                    break;
                }
            case ChantCallback.CCGMError:
                {
                    // Count error
                    TotalErrors++;
                    // Format transcript message
                    string errorMsg = "";
                    if (chantGMEvent.Flags > 0)
                    {
                        errorMsg = "(" + chantGMEvent.Flags.ToString() + ") ";
                    }
                    errorMsg += "error " + chantGMEvent.ID.ToString() + " ";
                    errorMsg += chantGMEvent.Text;
                    this.textBox1.Text = this.textBox1.Text + errorMsg + '\r' + '\n';
                    break;
                }
            case ChantCallback.CCGMWarning:
                {
                    // Count error
                    TotalWarnings++;
                    // Format transcript message
                    string errorMsg = "";
                    if (chantGMEvent.Flags > 0)
                    {
                        errorMsg = "(" + chantGMEvent.Flags.ToString() + ") ";
                    }
                    errorMsg += "warning " + chantGMEvent.ID.ToString() + " ";
                    errorMsg += chantGMEvent.Text;
                    this.textBox1.Text = this.textBox1.Text + errorMsg + '\r' + '\n';
                    break;
                }
            default:
                break;
        }
        // Make Visible
        textBox1.SelectionStart = textBox1.Text.Length;
        textBox1.ScrollToCaret();
        // Remove the event from the event queue
        NChantGM1.RemoveEvent();
    }
}

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantGM != NULL)
    {
        if (message == m_HasEvent)
        {
            USES_CONVERSION;
            CString compilerMsg;
            CString sText;
            CEdit* pEdit = (CEdit* )GetDlgItem(IDC_EDIT1);
            if (pEdit != NULL)
            {
                pEdit->GetWindowTextW(sText);
            }
            // Get the event from the event queue
            CChantGMEvent* chantGMEvent = m_pChantGM->GetChantGMEvent();
            if (chantGMEvent != NULL)
            {
                switch (chantGMEvent->GetChantCallback())
                {
                    case CCGMDone:
                        {
                            compilerMsg.Format(L"%s - %d errors(s), %d warning(s)\r\n", chantGMEvent->GetFile(), m_nTotalErrors, m_nTotalWarnings);
                            CButton* pButton = (CButton*)GetDlgItem(IDC_BUTTON1);
                            if (pButton != NULL)
                            {
                                pButton->EnableWindow(TRUE);
                            }
                            break;
                        }
                    case CCGMError:
                        {
                            // Count error
                            m_nTotalErrors++;
                            // Format transcript message
                            CString errorMsg;
                            if (chantGMEvent->GetFlags() > 0)
                            {
                                errorMsg.Format(L"(%d)", chantGMEvent->GetFlags());
                                compilerMsg.Append(errorMsg);
                            }
                            errorMsg.Format(L"error %d %s\r\n", chantGMEvent->GetID(), chantGMEvent->GetText());
                            compilerMsg.Append(errorMsg);
                            break;
                        }
                    case CCGMWarning:
                        {
                            // Count error
                            m_nTotalWarnings++;
                            // Format transcript message
                            CString errorMsg;
                            if (chantGMEvent->GetFlags() > 0)
                            {
                                errorMsg.Format(L"(%d)", chantGMEvent->GetFlags());
                                compilerMsg.Append(errorMsg);
                            }
                            errorMsg.Format(L"warning %d %s\r\n", chantGMEvent->GetID(), chantGMEvent->GetText());
                            compilerMsg.Append(errorMsg);
                            break;
                        }
                    default:
                        break;
                }
                if (pEdit != NULL)
                {
                    sText.Append(compilerMsg);
                    pEdit->SetWindowText(sText);
                    // Make Visible
                    pEdit->SetSel(sText.GetLength(),sText.GetLength());
                 }
                // Remove the event from the event queue
                m_pChantGM->RemoveEvent();
                 // Delete the C++ wrapper class object
                delete chantGMEvent;
                chantGMEvent = NULL;
           }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    String errorMsg;
    String compilerMsg;
    // Get the event from the event queue
    CChantGMEvent* chantGMEvent = ChantGM1->GetChantGMEvent();
    if (chantGMEvent != NULL)
    {
        switch (chantGMEvent->GetChantCallback())
        {
            default:
                break;
            case CCGMDone:
            {
                String file = chantGMEvent->GetFile();
                TVarRec vr1[] = { file, m_nTotalErrors, m_nTotalWarnings };
                compilerMsg = Format("%s - %d errors(s), %d warning(s)\r\n", vr1, 3);
                Button1->Enabled = True;
                break;
            }
            case CCGMError:
            {
                // Count error
                m_nTotalErrors++;
                int id = chantGMEvent->GetID();
                int flags = chantGMEvent->GetFlags();
                String text = chantGMEvent->GetText();
                // Format transcript message
                if (chantGMEvent->GetFlags() > 0)
                {
                    TVarRec vr1[] = { flags };
                    errorMsg = Format("(%d)", vr1, 1);
                    compilerMsg += errorMsg;
                }
                TVarRec vr2[] = { id, text };
                errorMsg = Format("error %d %s\r\n", vr2, 2);
                compilerMsg = compilerMsg + errorMsg;
                break;
            }
            case CCGMWarning:
                // Count error
                m_nTotalWarnings++;
                int id = chantGMEvent->GetID();
                int flags = chantGMEvent->GetFlags();
                String text = chantGMEvent->GetText();
                // Format transcript message
                if (chantGMEvent->GetFlags() > 0)
                {
                    TVarRec vr1[] = { flags };
                    errorMsg = Format("(%d)", vr1, 1);
                    compilerMsg += errorMsg;
                }
                TVarRec vr2[] = { id, text };
                errorMsg = Format("warning %d %s\r\n", vr2, 2);
                compilerMsg += errorMsg;
                break;
        }

        Memo2->Text = Memo2->Text + compilerMsg;
        // Make Visible
        Memo2->SelStart = Memo2->Text.Length();
        Memo2->SelLength = 1;
        Memo2->SetFocus();

        // Remove the event from the event queue
        ChantGM1->RemoveEvent();
        delete chantGMEvent;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  strCompilerMsg: string;
  strErrorMsg: string;
  strTotalErrors: string;
  strTotalWarnings: string;
  strFlags: string;
  strID: string;
  chantGMEvent: TChantGMEvent;
begin
    // Get the event from the event queue
    chantGMEvent := ChantGM1.GetChantGMEvent(0);
    if chantGMEvent <> nil then
    begin
      case chantGMEvent.ChantCallback of
        CCGMDone:
        begin
          Str(TotalErrors, strTotalErrors);
          Str(TotalWarnings, strTotalWarnings);
          strCompilerMsg := chantGMEvent.FileName + ' - ' + strTotalErrors + ' errors(s) ' + strTotalWarnings + ' warning(s)' + #13 + #10;
          Button1.Enabled := True;
        end;
        CCGMError:
        begin
          // Count error
          TotalErrors := TotalErrors + 1;
          // Format transcript message
          if (tevent.Flags > 0) then
          begin
            Str(tevent.Flags, strFlags);
            strErrorMsg := '(' + strFlags + ')';
            strCompilerMsg := strCompilerMsg + strErrorMsg;
          end;
          Str(tevent.ID, strID);
          strErrorMsg := 'error ' + strID + tevent.Text +  #13 + #10;;
          strCompilerMsg := strCompilerMsg + strErrorMsg;
        end;
        CCGMWarning:
        begin
          // Count error
          TotalWarnings := TotalWarnings + 1;
          // Format transcript message
          if (tevent.Flags > 0) then
          begin
            Str(tevent.Flags, strFlags);
            strErrorMsg := '(' + strFlags + ')';
            strCompilerMsg := strCompilerMsg + strErrorMsg;
          end;
          Str(tevent.ID, strID);
          strErrorMsg := 'warning ' + strID + tevent.Text + #13 + #10;
          strCompilerMsg := strCompilerMsg + strErrorMsg;
        end;
      end;
      Memo2.Text := Memo2.Text + strCompilerMsg;
      // Make Visible
      Memo2.SelStart := Length(Memo2.Text);
      Memo2.SelLength:= 1;
      Memo2.SetFocus;
      // Remove the event from the event queue
      ChantGM1.RemoveEvent();
      chantGMEvent.Destroy();
    end;
end;

public void hasEvent(Object obj1, Object obj2)
{
    String compilerMsg = "";
    String errorMsg = "";
    // Get the event
    JChantGMEvent chantGMEvent = JChantGM1.getChantGMEvent();
    if (chantGMEvent != null)
    {
        int callback = chantGMEvent.getChantCallback();
        switch(callback)
        {
            default :
                break;
            case ChantCallback.CCGMDone :
                compilerMsg = chantGMEvent.getFile() + " - " + (new Integer(TotalErrors)).toString() + " errors(s) " + (new Integer(TotalWarnings)).toString() + " warning(s)" + '\r' + '\n';
                jButton1.setEnabled(true);
                break;
            case ChantCallback.CCGMError :
                // Count error
                TotalErrors = TotalErrors + 1;
                // Format transcript message
                if (chantGMEvent.getFlags() > 0)
                {
                    errorMsg = "(" + (new Integer(chantGMEvent.getFlags())).toString() + ")";
                    compilerMsg = compilerMsg + errorMsg;
                }
                errorMsg = "error " + (new Integer(chantGMEvent.getID())).toString() + chantGMEvent.getText() + '\r' + '\n';
                compilerMsg = compilerMsg + errorMsg;
                break;
            case ChantCallback.CCGMWarning :
                // Count warning
                TotalWarnings = TotalWarnings + 1;
                // Format transcript message
                if (chantGMEvent.getFlags() > 0)
                {
                    errorMsg = "(" + (new Integer(chantGMEvent.getFlags())).toString() + ")";
                    compilerMsg = compilerMsg + errorMsg;
                }
                errorMsg = "warning " + (new Integer(chantGMEvent.getID())).toString() + chantGMEvent.getText() + '\r' + '\n';
                compilerMsg = compilerMsg + errorMsg;
                break;
        }
    }
    jTextArea1.append(compilerMsg);
    // Make Visible
    jTextArea1.setCaretPosition(jTextArea1.getText().length());
    JChantGM1.removeEvent();
}

Private Sub NChantGM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantGM1.HasEvent
    Dim errorMsg As String
    Dim chantGMEvent As NChantGMEvent
    ' Get the number of events
    ' Get the event from the event queue
    chantGMEvent = NChantGM1.GetChantGMEvent()
    If chantGMEvent <> Nothing Then
        Select Case chantGMEvent.ChantCallback
            Case ChantCallback.CCGMDone
                TextBox2.Text = TextBox2.Text + chantGMEvent.File + " - " + _TotalErrors.ToString() + " error(s), " + _TotalWarnings.ToString() + " warning(s)" + vbCr + vbLf
                Button1.Enabled = True
            Case ChantCallback.CCGMError
                ' Count error
                _TotalErrors = _TotalErrors + 1
                ' Format transcript message
                errorMsg = ""
                If (chantGMEvent.Flags > 0) Then
                    errorMsg = "(" + chantGMEvent.Flags.ToString() + ") "
                    errorMsg += "error " + chantGMEvent.ID.ToString() + " "
                    errorMsg += chantGMEvent.Text
                    TextBox2.Text = TextBox2.Text + errorMsg + vbCr + vbLf
                End If
            Case ChantCallback.CCGMWarning
                ' Count error
                _TotalWarnings = _TotalWarnings + 1
                ' Format transcript message
                errorMsg = ""
                If (chantGMEvent.Flags > 0) Then
                    errorMsg = "(" + chantGMEvent.Flags.ToString() + ") "
                    errorMsg += "warning " + chantGMEvent.ID.ToString() + " "
                    errorMsg += chantGMEvent.Text
                    TextBox2.Text = TextBox2.Text + errorMsg + vbCr + vbLf
                End If
        End Select
        ' Make Visible
        TextBox2.SelectionStart = TextBox2.Text.Length
        TextBox2.ScrollToCaret()
        ' Remove the event from the event queue
        NChantGM1.RemoveEvent()
    End If
End Sub

Collapse/Expand See Also section See Also

ChantGM
ChantGMEvent
GetChantGMEvent
RemoveEvent
RegisterCallback
UnregisterCallback


ChantGM IsSupported Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

IsSupported Method

Returns boolean indicating whether a feature is supported.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool supported = chantGM.IsSupported(eChantEnumeration, constant);

bool supported = chantGM->IsSupported(eChantEnumeration, constant);

bool supported = chantGM->IsSupported(eChantEnumeration, constant);

var supported: boolean;
supported := chantGM.IsSupported(eChantEnumeration, constant);

boolean supported = chantGM.supported(eChantEnumeration, constant);

Dim supported As Boolean
supported = chantGM.IsSupported(eChantEnumeration, constant)

Parameters

eChantEnumeration

ChantEnumeration. Specifies the value that uniquely identifies the Chant enumeration type.

constant

Long integer. Enumeration constant to determine feature support.

Return Value

Boolean. True or False indicating whether the feature is supported.

Collapse/Expand Remarks section Remarks

You can test to see if a feature is supported. For example, your application could check to see if an engine API is available on the system or if a dialog is supported before attmpting to display it. The enumeration type may be one of the constant values from the following enumerations:

Constant | Value | Description
CENChantEngineAPI | 4 | ChantEngineAPI

Collapse/Expand Example section Example

The following example illustrates determining whether the SAPI 5 XML Grammar compiler is available:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
bool supported = NChantGM1.IsSupported(ChantEnumeration.CENChantEngineAPI, (int)ChantEngineAPI.CESAPI5SR);
if (supported)
{
    NChantGM1.CompileGrammar("mygrammar.xml");
}

bool supported = pChantGM->IsSupported(CENChantEngineAPI, CESAPI5SR);
if (supported)
{
    pChantGM1->CompileGrammar(L"mygrammar.xml");
}

bool supported = pChantGM->IsSupported(CENChantEngineAPI, CESAPI5SR);
if (supported)
{
    pChantGM1->CompileGrammar(L"mygrammar.xml");
}

var supported: boolean;
supported := ChantGM1.IsSupported(CENChantEngineAPI, CESAPI5SR);
if supported then
    ChantGM1.CompileGrammar('mygrammar.xml');

boolean supported = JChantGM1.getStringProperty(ChantEnumeration.CENChantEngineAPI, ChantEngineAPI.CESAPI5SR);
if (supported)
{
    JChantGM1.compileGrammar("mygrammar.xml");
}

Dim supported As Boolean
supported = NChantGM1.IsSupported(ChantEnumeration.CENChantEngineAPI, ChantEngineAPI.CESAPI5SR)
If supported Then
    NChantGM1.CompileGrammar("mygrammar.xml")
End If

Collapse/Expand See Also section See Also

ChantGM


ChantGM LastError Property

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

LastError Property

A numeric error code for the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int error = chantGM.LastError;

long error = chantGM->GetLastError();

long error = chantGM->GetLastError();

var error: Integer;
error := chantGM.LastError;

int error = chantGM.getLastError();

Dim error As Integer
error = chantGM.LastError

Return Value

Long integer. Error code.

Collapse/Expand Remarks section Remarks

ChantGM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantGM
LastErrorMessage
LastErrorString


ChantGM LastErrorMessage Property

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

LastErrorMessage Property

A description of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String errorMessage = chantGM.LastErrorMessage;

wchar_t* errorMessage = chantGM->GetLastErrorMessage();

String errorMessage = chantGM->GetLastErrorMessage();

var errorMessage: string;
errorMessage := chantGM.LastErrorMessage;

String errorMessage = chantGM.getLastErrorMessage();

Dim errorMessage As String
errorMessage = chantGM.LastErrorMessage

Collapse/Expand Remarks section Remarks

ChantGM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantGM
LastError
LastErrorString


ChantGM LastErrorString Property

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

LastErrorString Property

A text representation of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String error = chantGM.LastErrorString;

wchar_t* error = chantGM->GetLastErrorString();

String error = chantGM->GetLastErrorString();

var error: string;
error := chantGM.LastErrorString;

String error = chantGM.getLastErrorString();

Dim error As String
error = chantGM.LastErrorString

Collapse/Expand Remarks section Remarks

ChantGM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantGM
LastError
LastErrorMessage


ChantGM RegisterCallback Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RegisterCallback Method

Sets the callback event active.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGM.RegisterCallback(eChantCallback);

chantGM->RegisterCallback(eChantCallback);

chantGM->RegisterCallback(eChantCallback);

chantGM.RegisterCallback(eChantCallback);

chantGM.registerCallback(eChantCallback);

chantGM.RegisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCGMError | 56 | Grammar compiler error. Property values: Flags, ID, Phrase, ResourceID, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCGMDone | 57 | Grammar compiler processing done. Property values: Buffer, Bytes, File.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCGMWarning | 58 | Grammar compiler warning. Property values: Flags, ID, Phrase, ResourceID, Text.

The following example illustrates turning on GMDone events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn on GMDone events
NChantGM1.RegisterCallback(ChantCallback.CCGMDone);

// Turn on GMDone events
pChantGM->RegisterCallback(CCGMDone);

// Turn on GMDone events
pChantGM->RegisterCallback(CCGMDone);

// Turn on GMDone events
ChantGM1.RegisterCallback(CCGMDone);

// Turn on GMDone events
JChantGM1.registerCallback(ChantCallback.CCGMDone);

' Turn on GMDone events
NChantGM1.RegisterCallback(ChantCallback.CCGMDone)

Collapse/Expand See Also section See Also

ChantGM
UnregisterCallback


ChantGM RemoveEvent Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveEvent Method

Removes an event from the event queue.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGM.RemoveEvent();

chantGM->RemoveEvent();

chantGM->RemoveEvent();

chantGM.RemoveEvent();

chantGM.removeEvent();

chantGM.RemoveEvent()

Collapse/Expand Example section Example

See HasEvent example.

Collapse/Expand See Also section See Also

ChantGM


ChantGM SetCallbackFunction Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

SetCallbackFunction Method

Sets callback static function.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantGM->SetCallbackFunction(callbackFunction, wParam, lParam);

chantGM->SetCallbackFunction(callbackFunction, wParam, lParam);

chantGM.SetCallbackFunction(callbackFunction, wParam, lParam);

chantGM.setCallbackFunction(callbackFunction, wParam, lParam);

Not supported.

Parameters

callbackFunction

Pointer (C++, C++Builder, Delphi), Object (Java). Name of conditional variable. Callback address (C++, C++Builder, Delphi). Callback object that implements the ChantGMEvents interface (Java).

wParam

WPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

lParam

LPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support static callbacks may set a function to receive callback events.

Collapse/Expand See Also section See Also

ChantGM
SetWindowMessage


ChantGM SetCallbackParms Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

SetCallbackParms Method

Sets optional callback parameters.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGM.SetCallbackParms(parm1, parm2);

Not supported.

Not supported.

Not supported.

chantGM.setCallbackParms(parm1, parm2);

chantGM.SetCallbackParms(parm1, parm2)

Parameters

parm1

Object. Optional application defined value passed on all callback events.

parm2

Object. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Application defined values may be passed on all callback events.

Collapse/Expand Example section Example

The following example illustrates setting optional callback parms.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGM1.SetCallbackParms(NChantGM1, null);

Not supported.

Not supported.

Not supported.

JChantGM1.setCallbackParms(JChantGM1, null);

NChantGM1.SetCallbackParms(NChantGM1, Nothing)

Collapse/Expand See Also section See Also

ChantGM


ChantGM SetNumberProperty Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

SetNumberProperty Method

Sets a numeric property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGM.SetNumberProperty(eChantNumberProperty, value);

chantGM->SetNumberProperty(eChantNumberProperty, value);

chantGM->SetNumberProperty(eChantNumberProperty, value);

chantGM.SetNumberProperty(eChantNumberProperty, value);

chantGM.setNumberProperty(eChantNumberProperty, value);

chantGM.SetNumberProperty(eChantNumberProperty, value)

Parameters

eChantNumberProperty

ChantNumberProperty. Value that uniquely identifies the property.

value

Integer. Property value.

Collapse/Expand Remarks section Remarks

Set the recognizer speech API before setting speech engine string properties such as CSPEnginePath for Nuance VoCon 3200. The property type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CNPEngineAPI | 12 | Specifies the speech engine API.

Collapse/Expand Example section Example

The following example illustrates setting the current speech API to the Nuance Vocon 3200.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGM1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CEVoCon3200);

pChantGM->SetNumberProperty(CNPEngineAPI, CEVoCon3200);

pChantGM->SetNumberProperty(CNPEngineAPI, CEVoCon3200);

ChantGM1.SetNumberProperty(CNPEngineAPI, CEVoCon3200);

JChantGM1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVoCon3200);

NChantGM1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVoCon3200)

Collapse/Expand See Also section See Also

ChantGM
SetStringProperty


ChantGM SetStringProperty Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

SetStringProperty Method

Sets a string property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGM.SetStringProperty(eChantStringProperty, value);

chantGM->SetStringProperty(eChantStringProperty, value);

chantGM->SetStringProperty(eChantStringProperty, value);

chantGM.SetStringProperty(eChantStringProperty, value);

chantGM.setStringProperty(eChantStringProperty, value);

chantGM.SetStringProperty(eChantStringProperty, value)

Parameters

eChantStringProperty

ChantStringProperty. Value that uniquely identifies the property.

value

String. Property value.

Collapse/Expand Remarks section Remarks

All ChantGM string property values are set via SetStringProperty. Before you set the CSPAcousticModel and CSPEnginePath property values, you must set the CNPEngineAPI property value for the applicable speech API. The property type may be one of the following values:

APIs | Constant | Value | Description
 | CSPLicense | 10 | Specifies the license value required for distributing applications with the Chant class libraries.
 | CSPSerials | 19 | Specifies the serial number value required for distributing applications with the Chant class libraries.
Nuance VoCon 3200 | CSPAcousticModel | 26 | VoCon 3200 .dat file.
Nuance VoCon 3200 | CSPEnginePath | 31 | File path to the engine libraries.

Collapse/Expand Example section Example

The following example illustrates setting the acoustic model library for VoCon 3200.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Set the current API to VoCon 3200
NChantGM1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CEVoCon3200);
// Set the file name of acoustic model
NChantGM1.SetStringProperty(ChantStringProperty.CSPAcousticModel, "vocon3200lngenu_full.dat");

// Set the current API to VoCon 3200
pChantGM->SetNumberProperty(CNPEngineAPI, CEVoCon3200);
// Set the file name of acoustic model
pChantGM->SetStringProperty(CSPAcousticModel, L"vocon3200lngenu_full.dat");

// Set the current API to VoCon 3200
pChantGM->SetNumberProperty(CNPEngineAPI, CEVoCon3200);
// Set the file name of acoustic model
pChantGM->SetStringProperty(CSPAcousticModel, "vocon3200lngenu_full.dat");

// Set the current API to VoCon 3200
NChantGM1.SetNumberProperty(CNPEngineAPI, CEVoCon3200);
// Set the file name of acoustic model
NChantGM1.SetStringProperty(CSPAcousticModel, 'vocon3200lngenu_full.dat');

// Set the current API to VoCon 3200
JChantGM1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVoCon3200);
// Set the file name of acoustic model
JChantGM1.setStringProperty(ChantStringProperty.CSPAcousticModel, "vocon3200lngenu_full.dat");

// Set the current API to VoCon 3200
NChantGM1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CEVoCon3200)
// Set the file name of acoustic model
NChantGM1.SetStringProperty(ChantStringProperty.CSPAcousticModel, "vocon3200lngenu_full.dat")

Collapse/Expand See Also section See Also

ChantGM
SetNumberProperty


ChantGM SetWindowMessage Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

SetWindowMessage Method

Sets the WM_APP message value for receiving an event notification as Win32 message.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • VB
  • VB .NET

Not supported.

chantGM->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantGM->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantGM.SetWindowMessage(hWnd, Msg, wParam, lParam);

Not supported.

Not supported.

Parameters

hWnd

HWND. Application window handle.

Msg

Long integer. Unique windows message number.

wParam

WPARAM. Optional application defined value passed on all callback events.

lParam

LPARAM. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support Win32 message pump may set a WM_APP message value to uniquely identify ChantGM event notifications. An event notification indicates that a ChantGM callback has fired and a ChantGMEvent resource is on the event resource queue.

Collapse/Expand See Also section See Also

ChantGM


ChantGM UnregisterCallback Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

UnregisterCallback Method

Sets the callback event inactive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGM.UnregisterCallback(eChantCallback);

chantGM->UnregisterCallback(eChantCallback);

chantGM->UnregisterCallback(eChantCallback);

chantGM.UnregisterCallback(eChantCallback);

chantGM.unregisterCallback(eChantCallback);

chantGM.UnregisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCGMError | 56 | Grammar compiler error. Property values: Flags, ID, Phrase, ResourceID, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCGMDone | 57 | Grammar compiler processing done. Property values: Buffer, Bytes, File.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCGMWarning | 58 | Grammar compiler warning. Property values: Flags, ID, Phrase, ResourceID, Text.

The following example illustrates turning off GMDone events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn off GMDone events
NChantGM1.UnregisterCallback(ChantCallback.CCGMDone);

// Turn off GMDone events
pChantGM->UnregisterCallback(CCGMDone);

// Turn off GMDone events
pChantGM->UnregisterCallback(CCGMDone);

// Turn off GMDone events
ChantGM1.UnregisterCallback(CCGMDone);

// Turn off GMDone events
JChantGM1.unregisterCallback(ChantCallback.CCGMDone);

' Turn off GMDone events
NChantGM1.UnregisterCallback(ChantCallback.CCGMDone)

Collapse/Expand See Also section See Also

ChantGM
RegisterCallback


ChantGMContext Class

Represents a context of one or more grammars.

Collapse/Expand Remarks section Remarks

A ChantGMContext object represents a container object for compiling one or more grammars. It is used for compiling VoCon 3200 grammars that import and export rules.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Nuance VoCon 3200 | AddGrammar | Adds a grammar to the context.
Public method | Nuance VoCon 3200 | Compile | Compiles the grammar source to binary.

Collapse/Expand See Also section See Also

ChantGM


ChantGMContext AddGrammar Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddGrammar Method

Adds a grammar to the context.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGMContext chantGMContext = new NChantGMContext;
chantGMContext.AddGrammar(name);

CChantGMContext* chantGMContext = new CChantGMContext();
chantGMContext->AddGrammar(name);

CChantGMContext* chantGMContext = new CChantGMContext();
chantGMContext->AddGrammar(name);

var chantGMContext: TChantGMContext;
chantGMContext := TChantGMContext.Create();
chantGMContext.AddGrammar(name);

JChantGMContext chantGMContext = new JChantGMContext();
chantGMContext.addGrammar(name);

Dim chantGMContext As NChantGMContext
chantGMContext = new NChantGMContext()
chantGMContext.AddGrammar(name)

Parameters

name

String. Specifies the grammar source or file path.

Collapse/Expand Remarks section Remarks

Resources added to the grammar are maintained in the order in which they were added.

Collapse/Expand Example section Example

See ChantGMContext Compile method example.

Collapse/Expand See Also section See Also

Compile


ChantGMContext Compile Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

Compile Method

Compiles the grammar for a specific syntax to binary.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGMContext.Compile(compileResult, eChantCompileResult, compilerOption, eChantCompileOption);

chantGMContext->Compile(compileResult, eChantCompileResult, compilerOption, eChantCompileOption);

chantGMContext->Compile(compileResult, eChantCompileResult, compilerOption, eChantCompileOption);

chantGMContext.Compile(compileResult, eChantCompileResult, compilerOption, eChantCompileOption);

chantGMContext.compile(compileResult, eChantCompileResult, compilerOption, eChantCompileOption);

chantGMContext.Compile(compileResult, eChantCompileResult, compilerOption, eChantCompileOption)

Parameters

compileResult

String or Pointer. Optional string file name, buffer, or stream.

eChantCompileResult

ChantCompileResult. Optional constant that specifies whether compiled output is written to a buffer, file, or stream.

compilerOption

Long integer. Optional grammar compiler flags. Values are unique to grammar compiler.

eChantCompileOption

ChantCompileOption. Optional constant that specifies how to process the compile request.

Collapse/Expand Remarks section Remarks

If compiled output is to be saved, you must specify the type of result object format needed with ChantCompileResult. The compiled result format may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCRNone | 0 | No compiled output is returned.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCRBuffer | 1 | Compiled output written to a buffer.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCRFile | 2 | Compiled output written to a file.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCRStream | 3 | Compiled output written to a stream.

Compile processing may be synchronous or asynchronous. The option may be one of the following ChantCompileOption values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCPAsynchronous | 0 | Return from the compile request after processing is initiated.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCPSynchronous | 1 | Return from the compile request after the compile processing is complete.

Collapse/Expand Example section Example

The following example illustrates compiling grammars contained in a context.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGMContext chantGMContext = new NChantGMContext();
chantGMContext.AddGrammar("myvocab1.bnf");
chantGMContext.AddGrammar("myvocab2.bnf");
chantGMContext.Compile(ChantGMContextSyntax.CGSVoConBNF2);

CChantGMContext* chantGMContext = new CChantGMContext();
chantGMContext->AddGrammar(L"myvocab1.bnf");
chantGMContext->AddGrammar(L"myvocab2.bnf");
chantGMContext->Compile(CGSVoConBNF2);

CChantGMContext* chantGMContext = new CChantGMContext();
chantGMContext->AddGrammar("myvocab1.bnf");
chantGMContext->AddGrammar("myvocab2.bnf");
chantGMContext->Compile(CGSVoConBNF2);

var chantGMContext: TChantGMContext;
chantGMContext := TChantGMContext.Create();
chantGMContext.AddGrammar('myvocab1.bnf');
chantGMContext.AddGrammar("myvocab2.bnf");
chantGMContext.Compile(CGSVoConBNF2);

JChantGMContext chantGMContext = new JChantGMContext();
chantGMContext.addGrammar("myvocab1.bnf");
chantGMContext.addGrammar("myvocab2.bnf");
chantGMContext.compile(CGSVoConBNF2);

Dim chantGMContext As NChantGMContext
chantGMContext = New NChantGMContext()
chantGMContext.AddGrammar("myvocab1.bnf")
chantGMContext.AddGrammar("myvocab2.bnf")
chantGMContext.Compile(ChantGMContextSyntax.CGSVoConBNF2)

Collapse/Expand See Also section See Also

ChantGMContext


ChantGMEvent Class

Represents a grammar management (i.e., compilation) event.

Collapse/Expand Remarks section Remarks

A grammar compilation event may have data associated with it. For events that have data associated with them (e.g., compiler errors), the data is available from the ChantGMEvent object.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | Buffer | Buffer of byte data.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | Bytes | The number of bytes.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | ChantCallback | The type of event callback.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | File | The grammar file name.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | Flags | The line number associated with the error or warning.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | Function | API function name.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | ID | Compilation error number.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | Phrase | Help file reference associated with the compilation error or warning.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | ResourceID | Help reference context identifer associated with the compilation error or warning.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | Text | Compilation error or warning description.

Collapse/Expand See Also section See Also

GetChantGMEvent
RemoveEvent


ChantGMEvent Buffer Property

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

Buffer Property

Buffer of byte data (e.g., compiled grammary binary data).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

byte[] buffer = chantGMEvent.Buffer;

void* buffer = chantGMEvent->GetBuffer();

void* buffer = chantGMEvent->GetBuffer();

var buffer: Cardinal;
buffer := chantGMEvent.Buffer;

byte[] buffer = chantGMEvent.getBuffer();

Dim buffer As Byte()
buffer = chantGMEvent.Buffer

Collapse/Expand Remarks section Remarks

The property is read only. See the Bytes property for number of bytes.

Collapse/Expand See Also section See Also

ChantGMEvent


ChantGMEvent Bytes Property

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

Bytes Property

The number of bytes in the Buffer property.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int bytes = chantGMEvent.Bytes;

long bytes = chantGMEvent->GetBytes();

long bytes = chantGMEvent->GetBytes();

var bytes: Integer;
bytes := chantGMEvent.Bytes;

int bytes = chantGMEvent.getBytes();

Dim bytes As Integer
bytes = chantGMEvent.Bytes

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantGMEvent


ChantGMEvent ChantCallback Property

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

ChantCallback Property

The type of event callback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantCallback eChantCallback = chantGMEvent.ChantCallback;

ChantCallback eChantCallback = chantGMEvent->GetChantCallback();

ChantCallback eChantCallback = chantGMEvent->GetChantCallback();

var eChantCallback: ChantCallback;
eChantCallback := chantGMEvent.ChantCallback;

int eChantCallback = chantGMEvent.getChantCallback();

Dim eChantCallback As chantCallback
eChantCallback = chantGMEvent.ChantCallback

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantCallback constant values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCGMError | 56 | Grammar compiler error. Property values: Flags, ID, Phrase, ResourceID, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCGMDone | 57 | Grammar compiler processing done. Property values: Buffer, Bytes, File.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCGMWarning | 58 | Grammar compiler warning. Property values: Flags, ID, Phrase, ResourceID, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCAPIError | 59 | API Error. Property values: ID, Function, Text.

Collapse/Expand See Also section See Also

ChantGMEvent


ChantGMEvent File Property

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

File Property

The grammar file name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String file = nChantGMEvent.File;

wchar_t* file = chantGMEvent->GetFile();

String file = chantGMEvent->GetFile();

var file: string;
file := chantGMEvent.File;

String file = chantGMEvent.getFile();

Dim file As String
file = chantGMEvent.File

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantGMEvent


ChantGMEvent Flags Property

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

Flags Property

The line number associated with the error or warning.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int flags = chantGMEvent.Flags;

long flags = chantGMEvent->GetFlags();

long flags = chantGMEvent->GetFlags();

var flags: Integer;
flags := chantGMEvent.Flags;

String flags = chantGMEvent.getFlags();

Dim flags As Integer
flags = chantGMEvent.Flags

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantGMEvent


ChantGMEvent Function Property

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

Function Property

The API function invoked.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String function = chantGMEvent.Function;

wchar_t* function = chantGMEvent->GetFunction();

String function = chantGMEvent->GetFunction();

var function: string;
function := chantGMEvent.Function;

String function = chantGMEvent.getFunction();

Dim function As String
function = chantGMEvent.Function

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantGMEvent


ChantGMEvent ID Property

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

ID Property

Compilation error number.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int id = chantGMEvent.ID;

long id = chantGMEvent->GetID();

long id = chantGMEvent->GetID();

var id: Integer;
id := chantGMEvent.ID;

int id = chantGMEvent.getID();

Dim id As Integer
id = chantGMEvent.ID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantGMEvent


ChantGMEvent Phrase Property

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

Phrase Property

Help file reference associated with the compilation error or warning.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String phrase = chantGMEvent.Phrase;

wchar_t* phrase = chantGMEvent->GetPhrase();

String phrase = chantGMEvent->GetPhrase();

var phrase: string;
phrase := chantGMEvent.Phrase;

String phrase = chantGMEvent.getPhrase();

Dim phrase As String
phrase = chantGMEvent.Phrase

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantGMEvent


ChantGMEvent ResourceID Property

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

ResourceID Property

Help reference context identifer associated with the compilation error or warning.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int resourceID = chantGMEvent.ResourceID;

long resourceID = chantGMEvent->GetResourceID();

long resourceID = chantGMEvent->GetResourceID();

var resourceID: Integer;
resourceID := chantGMEvent.ResourceID;

int resourceID = chantGMEvent.getResourceID();

Dim resourceID As Integer
resourceID = chantGMEvent.ResourceID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantGMEvent


ChantGMEvent Text Property

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

Text Property

Compilation error or warning description.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String text = chantGMEvent.Text;

wchar_t* text = chantGMEvent->GetText();

String text = chantGMEvent->GetText();

var text: string;
text := chantGMEvent.Text;

String text = chantGMEvent.getText();

Dim text As String
text = chantGMEvent.Text

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantGMEvent


ChantGMResource Class

Represents a grammar resource.

Collapse/Expand Remarks section Remarks

This class serves as a parent class for grammar resources.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | GenerateGrammar | Returns the speech grammar in a specific grammar syntax.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | GetProperty | Returns a grammar element attribute value.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | SetProperty | Sets a grammar element attribute value.

Collapse/Expand Properties section Properties

No properties.


ChantGMResource GenerateGrammar Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

GenerateGrammar Method

Returns the grammar in a specific grammar syntax.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String grammar = chantGMResource.GenerateGrammar(eChantGrammarSyntax);

wchar_t* grammar = chantGMResource->GenerateGrammar(eChantGrammarSyntax);

String grammar = chantGMResource->GenerateGrammar(eChantGrammarSyntax);

var grammar: string;
grammar := chantGMResource.GenerateGrammar(eChantGrammarSyntax);

String grammar = chantGMResource.generateGrammar(eChantGrammarSyntax);

Dim grammar As String
grammar = chantGMResource.GenerateGrammar(eChantGrammarSyntax)

Parameters

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the grammar source syntax that identifies the type of grammar.

Return Value

String. Grammar syntax.

Collapse/Expand Remarks section Remarks

Grammar syntax can be generated for the entire grammar resource or for resources within the grammar. Use the GenerateGrammar method on the ChantGMResource object to generate and return the grammar syntax. You may specify the type of grammar syntax with one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition | CGSSAPI4CFG | 2 | SAPI 4 DirectSpeechRecognition interface.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CGSSAPI5XML | 4 | Microsoft SAPI 5 XML grammar
Nuance VoCon 3200 | CGSVoConBNF | 8 | VoCon 3200 BNF+ V1.0
Nuance VoCon 3200 | CGSW3CSRGABNF | 16 | W3C SRGS ABNF
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CGSW3CSRGXML | 32 | W3C SRGS XML
Nuance VoCon 3200 | CGSVoConBNF1 | 64 | VoCon 3200 BNF+ V1.1
Nuance VoCon 3200 | CGSVoConBNF2 | 128 | VoCon 3200 BNF+ V2.0
Nuance VoCon 3200 | CGSVoConJSGF | 256 | VoCon 3200 Java Speech Grammar Format (JSGF)

Collapse/Expand Example section Example

The following example illustrates generating a Microsoft SAPI 5 XML grammar:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private Chant.GrammarKit.NChantGM NChantGM1;
private NChantGMResource _NChantGMResource = null;
// Instantiate NChantGM object
NChantGM1 = new NChantGM(this);

// Build Colors grammar
_NChantGMResource = new NChantGMResource(NChantGM1, "Colors");
_NChantGMResource.AddComment("This is the list of colors");
NChantGMResourceRule nChantGMResourceRule = _NChantGMResource.AddRule("Color");
NChantGMResourceList nChantGMResourceList = nChantGMResourceRule.AddList("colorlist");
string[] colors = { "red", "blue", "green", "yellow", "pink", "purple", "brown", "orange" };
nChantGMResourceList.AddPhrases(colors);

// Generate grammar source
string grammarSource = _NChantGMResource.GenerateGrammar(ChantGMResourceSyntax.CGSSAPI5XML);

CChantGM* m_pChantGM;  // ChantGM object
CChantGMResource* m_pChantGMResource;  // ChantGMResource object
// Instantiate ChantGM object
m_pChantGM = new CChantGM();

// Build Colors grammar
m_pChantGMResource = new CChantGMResource(m_pChantGM, L"Colors");
m_pChantGMResource->AddComment(L"This is the list of colors");
CChantGMResourceRule* pChantGMResourceRule = m_pChantGMResource->AddRule(L"Color");
CChantGMResourceList* pChantGMResourceList = pChantGMResourceRule->AddList(L"colorlist");
wchar_t* colors[] = { L"red", L"blue", L"green", L"yellow", L"pink", L"purple", L"brown", L"orange" };
for (int i = 0; i < 8; i++)
{
    pChantGMResourceList->AddPhrase(colors[i]);
}

// Generate grammar source
wchar_t* grammarSource = m_pChantGMResource->GenerateGrammar(CGSSAPI5XML);

CChantGM* ChantGM1;  // ChantGM object
CChantGMResource* ChantGMResource1;  // ChantGMResource object
// Instantiate ChantGM object
ChantGM1 = new CChantGM();

// Build Colors grammar
ChantGMResource1 = new CChantGMResource(ChantGM1, "Colors");
ChantGMResource1->AddComment("This is the list of colors");
CChantGMResourceRule* pChantGMResourceRule = ChantGMResource1->AddRule("Color");
CChantGMResourceList* pChantGMResourceList = pChantGMResourceRule->AddList("colorlist");
pChantGMResourceList->AddPhrase("red");
pChantGMResourceList->AddPhrase("blue");
pChantGMResourceList->AddPhrase("green");
pChantGMResourceList->AddPhrase("yellow");
pChantGMResourceList->AddPhrase("pink");
pChantGMResourceList->AddPhrase("purple");
pChantGMResourceList->AddPhrase("brown");
pChantGMResourceList->AddPhrase("orange");

// Generate grammar source
String grammarSource = ChantGMResource1->GenerateGrammar(CGSSAPI5XML);

var
ChantGM1: TChantGM;
aTChantGMResource: TChantGMResource;
aTChantGMResourceRule: TChantGMResourceRule;
aTChantGMResourceList: TChantGMResourceList;
grammarSource: string;
begin
// Instantiate ChantGM object
ChantGM1 := TChantGM.Create();

// Build Colors grammar
aTChantGMResource := TChantGMResource.Create(ChantGM1, 'Colors');
aTChantGMResource.AddComment('This is the list of colors');
aTChantGMResourceRule := aTChantGMResource.AddRule('Color');
aTChantGMResourceList := aTChantGMResourceRule.AddList('colorlist');
aTChantGMResourceList.AddPhrase('red');
aTChantGMResourceList.AddPhrase('blue');
aTChantGMResourceList.AddPhrase('green');
aTChantGMResourceList.AddPhrase('yellow');
aTChantGMResourceList.AddPhrase('pink');
aTChantGMResourceList.AddPhrase('purple');
aTChantGMResourceList.AddPhrase('brown');
aTChantGMResourceList.AddPhrase('orange');

// Generate grammar source
grammarSource := ChantGMResource.GenerateGrammar(CGSSAPI5XML);
end;

private JChantGM JChantGM1;
private JChantGMResource _JChantGMResource;
// Instantiate ChantGM object
JChantGM1 = new JChantGM();

// Build Colors grammar
_JChantGMResource = new JChantGMResource(JChantGM1, "Colors");
_JChantGMResource.addComment("This is the list of colors");
JChantGMResourceRule jChantGMResourceRule = _JChantGMResource.addRule("Color");
JChantGMResourceList jChantGMResourceList = jChantGMResourceRule.addList("colorlist");
String[] colors = { "red", "blue", "green", "yellow", "pink", "purple", "brown", "orange" };
jChantGMResourceList.addPhrases(colors);

// Generate grammar source
String grammarSource = _JChantGMResource.generateGrammar(ChantGMResourceSyntax.CGSSAPI5XML);

Dim WithEvents NChantGM1 As NChantGM
Dim _NChantGMResource As NChantGMResource
Dim nChantGMResourceRule As NChantGMResourceRule
Dim nChantGMResourceList As NChantGMResourceList
Dim grammarSource As String
' Instantiate ChantGM object
NChantGM1 = New NChantGM(Me)

' Build Colors grammar
_NChantGMResource = New NChantGMResource(NChantGM1, "Colors")
_NChantGMResource.AddComment("This is the list of colors")
nChantGMResourceRule = _NChantGMResource.AddRule("Color")
nChantGMResourceList = nChantGMResourceRule.AddList("colorlist")
Dim colors() As String = { "red", "blue", "green", "yellow", "pink", "purple", "brown", "orange" }
nChantGMResourceList.AddPhrases(colors);

' Generate grammar source
grammarSource = _NChantGMResource.GenerateGrammar(ChantGMResourceSyntax.CGSSAPI5XML)

Collapse/Expand See Also section See Also

ChantGMResource


ChantGMResource GetProperty Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

GetProperty Method

Returns a grammar element attribute value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String value = chantGMResource.GetProperty(name, eChantGrammarSyntax);

wchar_t* value = chantGMResource->GetProperty(name, eChantGrammarSyntax);

String value = chantGMResource->GetProperty(name, eChantGrammarSyntax);

var value: string;
value := chantGMResource.GetProperty(name, eChantGrammarSyntax);

String value = chantGMResource.getResourceNumberProperty(name, eChantGrammarSyntax);

Dim value As String
value = chantGMResource.GetProperty(name, eChantGrammarSyntax)

Parameters

name

String. Name of the attribute.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

String. Attribute value.

Collapse/Expand Remarks section Remarks

For grammar syntax such as Microsoft SAPI 5 XML, there are a number of attributes supported by the various grammar elements.

Collapse/Expand Example section Example

The following example illustrates getting a grammar-specific attribute value.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String value = nChantGrammarPhrase.GetProperty("valstr",ChantGrammarSyntax.CGSSAPI5XML);

wchar_t* value = pChantGrammarPhrase->GetProperty("valstr",CGSSAPI5XML);

String value = pChantGrammarPhrase->GetProperty("valstr",CGSSAPI5XML);

var value: string;
value := aTChantGrammarPhrase.GetProperty('valstr',CGSSAPI5XML);

String value = jChantGrammarPhrase.getProperty("valstr",ChantGrammarSyntax.CGSSAPI5XML);

Dim value As String
value = nChantGrammarPhrase.GetProperty("valstr",ChantGrammarSyntax.CGSSAPI5XML)

Collapse/Expand See Also section See Also

ChantGMResource
SetProperty


ChantGMResource SetProperty Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

SetProperty Method

Sets a grammar element attribute value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGMResource.SetProperty(name, value, eChantGrammarSyntax);

chantGMResource->SetProperty(name, value, eChantGrammarSyntax);

chantGMResource->SetProperty(name, value, eChantGrammarSyntax);

chantGMResource.SetProperty(name, value, eChantGrammarSyntax);

chantGMResource.setStringProperty(name, value, eChantGrammarSyntax);

chantGMResource.SetProperty(name, value, eChantGrammarSyntax)

Parameters

name

String. Name of the attribute.

value

String. The attribute value.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Collapse/Expand Remarks section Remarks

For grammar syntax such as Microsoft SAPI 5 XML, there are a number of attributes supported by the various grammar elements.

Collapse/Expand Example section Example

The following example illustrates setting a grammar-specific attribute value.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGrammarPhrase nChantGrammarPhrase = nChantGrammarRule.AddPhrase("one");

nChantGrammarPhrase.SetProperty("valstr","1",ChantGrammarSyntax.CGSSAPI5XML);

CChantGrammarPhrase* pChantGrammarPhrase = pChantGrammarRule->AddPhrase("one");

pChantGrammarPhrase->SetProperty("valstr","1",CGSSAPI5XML);

CChantGrammarPhrase* pChantGrammarPhrase = pChantGrammarRule->AddPhrase("one");

pChantGrammarPhrase->SetProperty("valstr","1",CGSSAPI5XML);

var aTChantGrammarPhrase: TChantGrammarPhrase;

aTChantGrammarPhrase := aTChantGrammarRule.AddPhrase('one');

aTChantGrammarPhrase.SetProperty('valstr','1',CGSSAPI5XML);

JChantGrammarPhrase jChantGrammarPhrase = jChantGrammarRule.addPhrase("one");

jChantGrammarPhrase.setProperty("valstr","1",ChantGrammarSyntax.CGSSAPI5XML);

Dim nChantGrammarPhrase As NChantGrammarPhrase

nChantGrammarPhrase = nChantGrammarRule.AddPhrase("one")

nChantGrammarPhrase.SetProperty("valstr","1",ChantGrammarSyntax.CGSSAPI5XML)

Collapse/Expand See Also section See Also

ChantGMResource
GetProperty


ChantGrammar Class

Represents a grammar.

Collapse/Expand Remarks section Remarks

A ChantGrammar object represents a grammar. The ChantGrammar CreateGrammar instantiates and empty grammar object. Use the grammar object to construct a grammar programmatically using the Add and Remove methods.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | AddComment | Adds a new comment to the grammar.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | AddRule | Adds a new rule to the grammar.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | AddText | Adds grammar-specific syntax to the grammar.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | Compile | Compiles the grammar source to binary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | GenerateGrammar | Returns the speech grammar in a specific grammar syntax. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | GetProperty | Returns a grammar element attribute value. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | RemoveComment | Removes a comment from the grammar.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | RemoveRule | Removes a rule from the grammar.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | RemoveText | Removes grammar-specific syntax from the grammar.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | SetProperty | Sets a grammar element attribute value. Inherits from ChantGMResource.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantGrammar CreateGrammar


ChantGrammar AddComment Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddComment Method

Instantiates a ChantGrammarComment object, adds it to the grammar, and returns the ChantGrammarComment object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarComment chantGrammarComment = chantGrammar.AddComment(text, eChantGrammarSyntax);

CChantGrammarComment* chantGrammarComment = chantGrammar->AddComment(text, eChantGrammarSyntax);

CChantGrammarComment* chantGrammarComment = chantGrammar->AddComment(text, eChantGrammarSyntax);

var chantGrammarComment: TChantGrammarComment;
chantGrammarComment := chantGrammar.AddComment(text, eChantGrammarSyntax);

JChantGrammarComment chantGrammarComment = chantGrammar.addComment(text, eChantGrammarSyntax);

Dim chantGrammarComment As NChantGrammarComment
chantGrammarComment = chantGrammar.AddComment(text, eChantGrammarSyntax)

Parameters

text

String. Specifies the grammar comment text.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

ChantGrammarComment object. The speech grammar comment.

Collapse/Expand Remarks section Remarks

Resources added to the grammar are maintained in the order in which they were added.

Collapse/Expand Example section Example

The following example illustrates adding a comment to the grammar.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGrammarComment nChantGrammarComment = nChantGrammar.AddComment("This is a comment");

CChantGrammarComment* pChantGrammarComment = pChantGrammar->AddComment("This is a comment");

CChantGrammarComment* pChantGrammarComment = pChantGrammar->AddComment("This is a comment");

var aTChantGrammarComment: TChantGrammarComment;

aTChantGrammarComment := aTChantGrammar.AddComment('This is a comment');

JChantGrammarComment jChantGrammarComment = jChantGrammar.addComment("This is a comment");

Dim nChantGrammarComment As NChantGrammarComment

nChantGrammarComment = nChantGrammar.AddComment("This is a comment")

Collapse/Expand See Also section See Also

ChantGrammar
ChantGrammarComment
RemoveComment


ChantGrammar AddRule Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddRule Method

Instantiates a ChantGrammarRule object, adds it to the grammar, and returns the ChantGrammarRule object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarRule chantGrammarRule = chantGrammar.AddRule(name, eChantGrammarSyntax);

CChantGrammarRule* chantGrammarRule = chantGrammar->AddRule(name, eChantGrammarSyntax);

CChantGrammarRule* chantGrammarRule = chantGrammar->AddRule(name, eChantGrammarSyntax);

var chantGrammarRule: TChantGrammarRule;
chantGrammarRule := chantGrammar.AddRule(name, eChantGrammarSyntax);

JChantGrammarRule chantGrammarRule = chantGrammar.addRule(name, eChantGrammarSyntax);

Dim chantGrammarRule As NChantGrammarRule
chantGrammarRule = chantGrammar.AddRule(name, eChantGrammarSyntax)

Parameters

name

String. Specifies the grammar rule name.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

ChantGrammarRule object. The speech grammar rule.

Collapse/Expand Remarks section Remarks

Resources added to the grammar are maintained in the order in which they were added.

Collapse/Expand Example section Example

The following example illustrates adding a rule to the grammar.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGrammarRule nChantGrammarRule = nChantGrammar.AddRule("Colors");

CChantGrammarRule* pChantGrammarRule = pChantGrammar->AddRule("Colors");

CChantGrammarRule* pChantGrammarRule = pChantGrammar->AddRule("Colors");

var aTChantGrammarRule: TChantGrammarRule;
aTChantGrammarRule := aTChantGrammar.AddRule('Colors');

JChantGrammarRule jChantGrammarRule = jChantGrammar.addRule("Colors");

Dim nChantGrammarRule As NChantGrammarRule
nChantGrammarRule = nChantGrammar.AddRule("Colors")

Collapse/Expand See Also section See Also

ChantGrammar
ChantGrammarRule
RemoveRule


ChantGrammar AddText Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddText Method

Instantiates a ChantGrammarText object, adds it to the grammar, and returns the ChantGrammarText object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarText chantGrammarText = chantGrammar.AddText(text, eChantGrammarSyntax);

CChantGrammarText* chantGrammarText = chantGrammar->AddText(text, eChantGrammarSyntax);

CChantGrammarText* chantGrammarText = chantGrammar->AddText(text, eChantGrammarSyntax);

var chantGrammarText: TChantGrammarText;
chantGrammarText := chantGrammar.AddText(text, eChantGrammarSyntax);

JChantGrammarText chantGrammarText = chantGrammar.addText(text, eChantGrammarSyntax);

Dim chantGrammarText As NChantGrammarText
chantGrammarText = chantGrammar.AddText(text, eChantGrammarSyntax)

Parameters

text

String. Specifies the grammar-specific syntax.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

ChantGrammarText object. The speech grammar syntax.

Collapse/Expand Remarks section Remarks

Resources added to the grammar are maintained in the order in which they were added.

Collapse/Expand Example section Example

The following example illustrates adding grammar-specific syntax to the grammar.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGrammarText nChantGrammarText = nChantGrammar.AddText("<DEFINE><ID NAME=\"FIRSTCHOICE\" VAL=\"1\"/><ID NAME=\"SECONDCHOICE\" VAL=\"2\"/></DEFINE>",ChantGrammarSyntax.CGSSAPI5XML);

CChantGrammarText* pChantGrammarText = pChantGrammar->AddText("<DEFINE><ID NAME=\"FIRSTCHOICE\" VAL=\"1\"/><ID NAME=\"SECONDCHOICE\" VAL=\"2\"/></DEFINE>",CGSSAPI5XML);

CChantGrammarText* pChantGrammarText = pChantGrammar->AddText("<DEFINE><ID NAME=\"FIRSTCHOICE\" VAL=\"1\"/><ID NAME=\"SECONDCHOICE\" VAL=\"2\"/></DEFINE>",CGSSAPI5XML);

var aTChantGrammarText: TChantGrammarText;
aTChantGrammarText := aTChantGrammar.AddText('<DEFINE><ID NAME=\"FIRSTCHOICE\" VAL=\"1\"/><ID NAME=\"SECONDCHOICE\" VAL=\"2\"/></DEFINE>',CGSSAPI5XML);

JChantGrammarText jChantGrammarText = jChantGrammar.addText("<DEFINE><ID NAME=\"FIRSTCHOICE\" VAL=\"1\"/><ID NAME=\"SECONDCHOICE\" VAL=\"2\"/></DEFINE>",ChantGrammarSyntax.CGSSAPI5XML);

Dim nChantGrammarText As NChantGrammarText
nChantGrammarText = nChantGrammar.AddText("<DEFINE><ID NAME=\"FIRSTCHOICE\" VAL=\"1\"/><ID NAME=\"SECONDCHOICE\" VAL=\"2\"/></DEFINE>",ChantGrammarSyntax.CGSSAPI5XML )

Collapse/Expand See Also section See Also

ChantGrammar
ChantGrammarText
RemoveText


ChantGrammar Compile Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

Compile Method

Compiles the grammar for a specific syntax to binary.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammar.Compile(eChantGrammarSyntax, compileResult, eChantCompileResult, compilerOption, eChantCompileOption);

chantGrammar->Compile(eChantGrammarSyntax, compileResult, eChantCompileResult, compilerOption, eChantCompileOption);

chantGrammar->Compile(eChantGrammarSyntax, compileResult, eChantCompileResult, compilerOption, eChantCompileOption);

chantGrammar.Compile(eChantGrammarSyntax, compileResult, eChantCompileResult, compilerOption, eChantCompileOption);

chantGrammar.compile(eChantGrammarSyntax, compileResult, eChantCompileResult, compilerOption, eChantCompileOption);

chantGrammar.Compile(eChantGrammarSyntax, compileResult, eChantCompileResult, compilerOption, eChantCompileOption)

Parameters

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax (i.e., type of grammar).

compileResult

String or Pointer. Optional string file name, buffer or stream pointer.

eChantCompileResult

ChantCompileResult. Specifies whether optional compiled output is written to a buffer, file, or stream.

compilerOption

Long integer. Optional grammar compiler flags. Values are unique to grammar compiler.

eChantCompileOption

ChantCompileOption. Specifies optionally how to process the compile request.

Collapse/Expand Remarks section Remarks

Identify the grammar syntax of the grammar source using ChantGrammarSyntax

The grammar format may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CGSAll | 0 | All grammar syntax. Syntax independent.
Microsoft SAPI 4 Speech Recognition | CGSSAPI4CFG | 2 | SAPI 4 DirectSpeechRecognition interface.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CGSSAPI5XML | 4 | Microsoft SAPI 5 XML grammar
Nuance VoCon 3200 | CGSVoConBNF | 8 | VoCon 3200 BNF+ V1.0
Nuance VoCon 3200 | CGSW3CSRGABNF | 16 | W3C SRGS ABNF
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CGSW3CSRGXML | 32 | W3C SRGS XML
Nuance VoCon 3200 | CGSVoConBNF1 | 64 | VoCon 3200 BNF+ V1.1
Nuance VoCon 3200 | CGSVoConBNF2 | 128 | VoCon 3200 BNF+ V2.0
Nuance VoCon 3200 | CGSVoConJSGF | 256 | VoCon 3200 Java Speech Grammar Format (JSGF)

If compiled output is to be saved, you must specify the type of result object format needed with ChantCompileResult. The compiled result format may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCRNone | 0 | No compiled output is returned.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCRBuffer | 1 | Compiled output written to a buffer.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCRFile | 2 | Compiled output written to a file.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCRStream | 3 | Compiled output written to a stream.

Compile processing may be synchronous or asynchronous. The option may be one of the following ChantCompileOption values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCPAsynchronous | 0 | Return from the compile request after processing is initiated.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCPSynchronous | 1 | Return from the compile request after the compile processing is complete.

Collapse/Expand Example section Example

The following example illustrates compiling grammars.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private Chant.GrammarKit.NChantGM NChantGM1;
private NChantGrammar _NChantGrammar = null;
// Instantiate NChantGM object
NChantGM1 = new NChantGM(this);

// Build Colors grammar
_NChantGrammar = new NChantGrammar(NChantGM1, "Colors");
_NChantGrammar.AddComment("This is the list of colors");
NChantGrammarRule nChantGrammarRule = _NChantGrammar.AddRule("Color");
NChantGrammarList nChantGrammarList = nChantGrammarRule.AddList("colorlist");
string[] colors = { "red", "blue", "green", "yellow", "pink", "purple", "brown", "orange" };
nChantGrammarList.AddPhrases(colors);

// Compile a grammar
_NChantGrammar.Compile("ChantGrammarSyntax.CGSSAPI5XML");

// Compile a grammar and save results to file
_NChantGrammar.Compile(ChantGrammarSyntax.CGSSAPI5XML, "mygrammar.dat");

CChantGM* m_pChantGM;  // ChantGM object
CChantGrammar* m_pChantGrammar;  // ChantGrammar object
// Instantiate ChantGM object
m_pChantGM = new CChantGM();

// Build Colors grammar
m_pChantGrammar = new CChantGrammar(m_pChantGM, L"Colors");
m_pChantGrammar->AddComment(L"This is the list of colors");
CChantGrammarRule* pChantGrammarRule = m_pChantGrammar->AddRule(L"Color");
CChantGrammarList* pChantGrammarList = pChantGrammarRule->AddList(L"colorlist");
wchar_t* colors[] = { L"red", L"blue", L"green", L"yellow", L"pink", L"purple", L"brown", L"orange" };
for (int i = 0; i < 8; i++)
{
    pChantGrammarList->AddPhrase(colors[i]);
}

// Compile a grammar
m_pChantGrammar->Compile(CGSSAPI5XML);

// Compile a grammar and save results to file
m_pChantGrammar->Compile(CGSSAPI5XML, L"mygrammar.dat");

CChantGM* ChantGM1;  // ChantGM object
CChantGrammar* ChantGrammar1;  // ChantGrammar object
// Instantiate ChantGM object
ChantGM1 = new CChantGM();

// Build Colors grammar
ChantGrammar1 = new CChantGrammar(ChantGM1, "Colors");
ChantGrammar1->AddComment("This is the list of colors");
CChantGrammarRule* pChantGrammarRule = ChantGrammar1->AddRule("Color");
CChantGrammarList* pChantGrammarList = pChantGrammarRule->AddList("colorlist");
pChantGrammarList->AddPhrase("red");
pChantGrammarList->AddPhrase("blue");
pChantGrammarList->AddPhrase("green");
pChantGrammarList->AddPhrase("yellow");
pChantGrammarList->AddPhrase("pink");
pChantGrammarList->AddPhrase("purple");
pChantGrammarList->AddPhrase("brown");
pChantGrammarList->AddPhrase("orange");

// Compile a grammar
ChantGrammar1->Compile(CGSSAPI5XML);

// Compile a grammar and save results to file
ChantGrammar1->Compile(CGSSAPI5XML, "mygrammar.dat");

var
ChantGM1: TChantGM;
aTChantGrammar: TChantGrammar;
aTChantGrammarRule: TChantGrammarRule;
aTChantGrammarList: TChantGrammarList;
sGrammar: string;
begin
// Instantiate ChantGM object
ChantGM1 := TChantGM.Create();

// Build Colors grammar
aTChantGrammar := TChantGrammar.Create(ChantGM1, 'Colors');
aTChantGrammar.AddComment('This is the list of colors');
aTChantGrammarRule := aTChantGrammar.AddRule('Color');
aTChantGrammarList := aTChantGrammarRule.AddList('colorlist');
aTChantGrammarList.AddPhrase('red');
aTChantGrammarList.AddPhrase('blue');
aTChantGrammarList.AddPhrase('green');
aTChantGrammarList.AddPhrase('yellow');
aTChantGrammarList.AddPhrase('pink');
aTChantGrammarList.AddPhrase('purple');
aTChantGrammarList.AddPhrase('brown');
aTChantGrammarList.AddPhrase('orange');

// Compile a grammar
aTChantGrammar.Compile(CGSSAPI5XML);

// Compile a grammar and save results to file
aTChantGrammar.Compile(CGSSAPI5XML, 'mygrammar.dat');

private JChantGM JChantGM1;
private JChantGrammar _JChantGrammar;
// Instantiate ChantGM object
JChantGM1 = new JChantGM();

// Build Colors grammar
_JChantGrammar = new JChantGrammar(JChantGM1, "Colors");
_JChantGrammar.addComment("This is the list of colors");
JChantGrammarRule jChantGrammarRule = _JChantGrammar.addRule("Color");
JChantGrammarList jChantGrammarList = jChantGrammarRule.addList("colorlist");
String[] colors = { "red", "blue", "green", "yellow", "pink", "purple", "brown", "orange" };
jChantGrammarList.addPhrases(colors);

// Compile a grammar
_JChantGrammar.compile(ChantGrammarSyntax.CGSSAPI5XML);

// Compile a grammar and save results to file
_JChantGrammar.compile(ChantGrammarSyntax.CGSSAPI5XML, "mygrammar.dat");

Dim WithEvents NChantGM1 As NChantGM
Dim _NChantGrammar As NChantGrammar
Dim nChantGrammarRule As NChantGrammarRule
Dim nChantGrammarList As NChantGrammarList
Dim grammarSource As String
' Instantiate ChantGM object
NChantGM1 = New NChantGM(Me)

' Build Colors grammar
_NChantGrammar = New NChantGrammar(NChantGM1, "Colors")
_NChantGrammar.AddComment("This is the list of colors")
nChantGrammarRule = _NChantGrammar.AddRule("Color")
nChantGrammarList = nChantGrammarRule.AddList("colorlist")
Dim colors() As String = { "red", "blue", "green", "yellow", "pink", "purple", "brown", "orange" }
nChantGrammarList.AddPhrases(colors);

' Compile a grammar
_NChantGrammar.Compile(ChantGrammarSyntax.CGSSAPI5XML)

' Compile a grammar and save results to file
_NChantGrammar.Compile(ChantGrammarSyntax.CGSSAPI5XML, "mygrammar.dat")

Collapse/Expand See Also section See Also

ChantGrammar


ChantGrammar RemoveComment Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveComment Method

Removes a comment from the grammar.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammar.RemoveComment(chantGrammarComment);

chantGrammar->RemoveComment(chantGrammarComment);

chantGrammar->RemoveComment(chantGrammarComment);

chantGrammar.RemoveComment(chantGrammarComment);

chantGrammar.removeComment(chantGrammarComment);

chantGrammar.RemoveComment(chantGrammarComment)

Parameters

chantGrammarComment

ChantGrammarComment object. The speech grammar comment to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddComment ChantGrammar
ChantGrammarComment


ChantGrammar RemoveRule Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveRule Method

Removes a rule from the grammar.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammar.RemoveRule(chantGrammarRule);

chantGrammar->RemoveRule(chantGrammarRule);

chantGrammar->RemoveRule(chantGrammarRule);

chantGrammar.RemoveRule(chantGrammarRule);

chantGrammar.removeRule(chantGrammarRule);

chantGrammar.RemoveRule(chantGrammarRule)

Parameters

chantGrammarRule

ChantGrammarRule object. The speech grammar rule to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddRule
ChantGrammar
ChantGrammarRule


ChantGrammar RemoveText Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveText Method

Removes grammar-specific syntax from a grammar.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammar.RemoveText(chantGrammarText);

chantGrammar->RemoveText(chantGrammarText);

chantGrammar->RemoveText(chantGrammarText);

chantGrammar.RemoveText(chantGrammarText);

chantGrammar.removeText(chantGrammarText);

chantGrammar.RemoveText(chantGrammarText)

Parameters

chantGrammarText

ChantGrammarText object. The speech grammar syntax to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddText ChantGrammar
ChantGrammarText


ChantGrammarComment Class

Represents a grammar comment.

Collapse/Expand Remarks section Remarks

A ChantGrammarComment object represents a comment within a grammar, list, or rule. Use the ChantGrammar AddComment, ChantGrammarRule AddComment, and ChantGrammarList AddComment methods to create and add comments to the grammar.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | GenerateGrammar | Returns the comment in a specific grammar syntax. Inherits from ChantGMResource.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantGrammar AddComment
ChantGrammarRule AddComment
ChantGrammarList AddComment


ChantGrammarList Class

Represents a grammar list.

Collapse/Expand Remarks section Remarks

A ChantGrammarList object represents a list within a rule. A list is a group of alternative grammar elements. Only one list entry is recognized and returned by the recognizer at a time. Use the ChantGrammarRule AddList method to create and add a list to the rule.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | AddComment | Adds a comment to the list.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | AddPhrase | Adds a phrase to the list.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | AddRuleRef | Adds a rule reference to the list.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | AddText | Adds grammar-specific syntax to the list.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | AddWildcard | Adds a wildcard to the list.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | GenerateGrammar | Returns the list in a specific grammar syntax. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | GetProperty | Returns a grammar element attribute value. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | RemoveComment | Removes a comment from the list.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | RemovePhrase | Removes a phrase from the list.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | RemoveRuleRef | Removes a rule reference from the list.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | RemoveText | Removes grammar-specific syntax from the list.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | RemoveWildcard | Removes a wildcard from the list.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | SetProperty | Sets a grammar element attribute value. Inherits from ChantGMResource.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantGrammarRule AddList


ChantGrammarList AddComment Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddComment Method

Instantiates a ChantGrammarComment object, adds it to the list, and returns the ChantGrammarComment object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarComment chantGrammarComment = chantGrammarList.AddComment(text, eChantGrammarSyntax);

CChantGrammarComment* chantGrammarComment = chantGrammarList->AddComment(text, eChantGrammarSyntax);

CChantGrammarComment* chantGrammarComment = chantGrammarList->AddComment(text, eChantGrammarSyntax);

var chantGrammarComment: TChantGrammarComment;
chantGrammarComment := chantGrammarList.AddComment(text, eChantGrammarSyntax);

JChantGrammarComment chantGrammarComment = chantGrammarList.addComment(text, eChantGrammarSyntax);

Dim chantGrammarComment As NChantGrammarComment
chantGrammarComment = chantGrammarList.AddComment(text, eChantGrammarSyntax)

Parameters

text

String. Specifies the rule comment text.

Return Value

ChantGrammarComment object. The list comment.

Collapse/Expand Remarks section Remarks

Resources added to the rule are maintained in the order in which they were added.

Collapse/Expand Example section Example

The following example illustrates adding a comment to the list.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGrammarComment nChantGrammarComment = nChantGrammarList.AddComment("This is a comment");

CChantGrammarComment* pChantGrammarComment = pChantGrammarList->AddComment("This is a comment");

CChantGrammarComment* pChantGrammarComment = pChantGrammarList->AddComment("This is a comment");

var aTChantGrammarComment: TChantGrammarComment;
aTChantGrammarComment := aTChantGrammarList.AddComment('This is a comment');

JChantGrammarComment jChantGrammarComment = jChantGrammarList.addComment("This is a comment");

Dim nChantGrammarComment As NChantGrammarComment
nChantGrammarComment = nChantGrammarList.AddComment("This is a comment")

Collapse/Expand See Also section See Also

ChantGrammarList
ChantGrammarComment
RemoveComment


ChantGrammarList AddPhrase Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddPhrase Method

Instantiates a ChantGrammarPhrase object, adds it to the list, and returns the ChantGrammarPhrase object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarPhrase chantGrammarPhrase = chantGrammarList.AddPhrase(phrase, eChantGrammarSyntax);

CChantGrammarPhrase* chantGrammarPhrase = chantGrammarList->AddPhrase(phrase, eChantGrammarSyntax);

CChantGrammarPhrase* chantGrammarPhrase = chantGrammarList->AddPhrase(phrase, eChantGrammarSyntax);

var chantGrammarPhrase: TChantGrammarPhrase;
chantGrammarPhrase := chantGrammarList.AddPhrase(phrase, eChantGrammarSyntax);

JChantGrammarPhrase chantGrammarPhrase = chantGrammarList.addPhrase(phrase, eChantGrammarSyntax);

Dim chantGrammarPhrase As NChantGrammarPhrase
chantGrammarPhrase = chantGrammarList.AddPhrase(phrase, eChantGrammarSyntax)

Parameters

phrase

String. Specifies the list phrase text.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

ChantGrammarPhrase object. The list phrase.

Collapse/Expand Remarks section Remarks

Resources added to the rule are maintained in the order in which they were added.

Collapse/Expand Example section Example

The following example illustrates adding a phrase to the list.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGrammarPhrase nChantGrammarPhrase = nChantGrammarList.AddPhrase("open file");

CChantGrammarPhrase* pChantGrammarPhrase = pChantGrammarList->AddPhrase("open file");

CChantGrammarPhrase* pChantGrammarPhrase = pChantGrammarList->AddPhrase("open file");

var aTChantGrammarPhrase: TChantGrammarPhrase;

aTChantGrammarPhrase := aTChantGrammarRule.AddPhrase('open file');

JChantGrammarPhrase jChantGrammarPhrase = jChantGrammarList.addPhrase("open file");

Dim nChantGrammarPhrase As NChantGrammarPhrase
nChantGrammarPhrase = nChantGrammarList.AddPhrase("open file")

Collapse/Expand See Also section See Also

ChantGrammarList
ChantGrammarPhrase
RemovePhrase


ChantGrammarList AddPhrases Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddPhrases Method

Instantiates a ChantGrammarPhrase object and adds it to the list for each phrase in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarList chantGrammarList = new NChantGrammarList();
chantGrammarList.AddPhrases(phrases, eChantGrammarSyntax);

See AddPhrase.

See AddPhrase.

See AddPhrase.

JChantGrammarList chantGrammarList = new JChantGrammarList();
chantGrammarList.addPhrases(phrases, eChantGrammarSyntax);

Dim chantGrammarPhrase As NChantGrammarList
chantGrammarPhrase = new NChantGrammarList()
chantGrammarPhrase.AddPhrases(phrases, eChantGrammarSyntax)

Parameters

phrases

String Array. Specifies the list of phrases.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Collapse/Expand Remarks section Remarks

Resources added to the list are maintained in the order in which they were added.

Collapse/Expand Example section Example

The following example illustrates adding phrases to the list.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
string[] colors = { "red", "blue", "green", "yellow", "pink", "purple", "brown", "orange" };
nChantGrammarList.AddPhrases(colors);

See AddPhrase.

See AddPhrase.

See AddPhrase.

String[] colors = { "red", "blue", "green", "yellow", "pink", "purple", "brown", "orange" };
jChantGrammarList.addPhrases(colors);

Dim colors() As String = { "red", "blue", "green", "yellow", "pink", "purple", "brown", "orange" }
nChantGrammarList.AddPhrases(colors);

Collapse/Expand See Also section See Also

ChantGrammarList
ChantGrammarPhrase
RemovePhrase


ChantGrammarList AddRuleRef Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddRuleRef Method

Instantiates a ChantGrammarRuleRef object, adds it to the list, and returns the ChantGrammarRuleRef object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarRuleRef chantGrammarRuleRef = chantGrammarList.AddRuleRef(name, eChantGrammarSyntax);

CChantGrammarRuleRef* chantGrammarRuleRef = chantGrammarList->AddRuleRef(name, eChantGrammarSyntax);

CChantGrammarRuleRef* chantGrammarRuleRef = chantGrammarList->AddRuleRef(name, eChantGrammarSyntax);

var chantGrammarRuleRef: TChantGrammarRuleRef;
chantGrammarRuleRef := chantGrammarList.AddRuleRef(name, eChantGrammarSyntax);

JChantGrammarRuleRef chantGrammarRuleRef = chantGrammarList.addRuleRef(name, eChantGrammarSyntax);

Dim nChantGrammarRuleRef As NChantGrammarRuleRef
nChantGrammarRuleRef = NChantGrammarList.AddRuleRef(name, eChantGrammarSyntax)

Parameters

name

String. Specifies the name or the rule being referenced.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

ChantGrammarRuleRef object. The rule reference.

Collapse/Expand Remarks section Remarks

Resources added to the rule are maintained in the order in which they were added.

Collapse/Expand Example section Example

The following example illustrates adding a rule reference to the list.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGrammarRuleRef nChantGrammarRuleRef = nChantGrammarList.AddRuleRef("digits");

CChantGrammarRuleRef* pChantGrammarRuleRef = pChantGrammarList->AddRuleRef("digits");

CChantGrammarRuleRef* pChantGrammarRuleRef = pChantGrammarList->AddRuleRef("digits");

var aTChantGrammarRuleRef: TChantGrammarRuleRef;
aTChantGrammarRuleRef := aTChantGrammarList.AddRuleRef('digits');

JChantGrammarRuleRef jChantGrammarRuleRef = jChantGrammarList.addRuleRef("digits");

Dim nChantGrammarRuleRef As NChantGrammarRuleRef
nChantGrammarRuleRef = nChantGrammarList.AddRuleRef("digits")

Collapse/Expand See Also section See Also

ChantGrammarList
RemoveRuleRef


ChantGrammarList AddText Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddText Method

Instantiates a ChantGrammarText object, adds it to the list, and returns the ChantGrammarText object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarText chantGrammarText = chantGrammarList.AddText(text, eChantGrammarSyntax);

CChantGrammarText* chantGrammarText = chantGrammarList->AddText(text, eChantGrammarSyntax);

CChantGrammarText* chantGrammarText = chantGrammarList->AddText(text, eChantGrammarSyntax);

var chantGrammarText: TChantGrammarList;
chantGrammarText := chantGrammarList.AddText(text, eChantGrammarSyntax);

JChantGrammarText chantGrammarText = chantGrammarList.addText(text, eChantGrammarSyntax);

Dim chantGrammarText As NChantGrammarText
chantGrammarText = chantGrammarList.AddText(text, eChantGrammarSyntax)

Parameters

text

String. Specifies the list grammar-specific syntax.

Return Value

ChantGrammarText object. The list grammar-specific syntax.

Collapse/Expand Remarks section Remarks

Resources added to the rule are maintained in the order in which they were added.

Collapse/Expand Example section Example

The following example illustrates adding grammar-specific syntax to the list.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGrammarText nChantGrammarText = nChantGrammarList.AddText("<TEXTBUFFER PROPID=\"ChoiceSelected\"/>",ChantGrammarListSyntax.CGSSAPI5XML);

CChantGrammarText* pChantGrammarText = pChantGrammarList->AddText("<TEXTBUFFER PROPID=\"ChoiceSelected\"/>",CGSSAPI5XML);

CChantGrammarText* pChantGrammarText = pChantGrammarList->AddText("<TEXTBUFFER PROPID=\"ChoiceSelected\"/>",CGSSAPI5XML);

var aTChantGrammarText: TChantGrammarText;
aTChantGrammarText := aTChantGrammarList.AddText('<TEXTBUFFER PROPID="ChoiceSelected"/>',CGSSAPI5XML);

JChantGrammarText jChantGrammarText = jChantGrammarList.addText("<TEXTBUFFER PROPID=\"ChoiceSelected\"/>",ChantGrammarListSyntax.CGSSAPI5XML);

Dim nChantGrammarText As NChantGrammarText
nChantGrammarText = nChantGrammarList.AddText("<TEXTBUFFER PROPID=\"ChoiceSelected\"/>",ChantGrammarListSyntax.CGSSAPI5XML )

Collapse/Expand See Also section See Also

ChantGrammarList
ChantGrammarText
RemoveText


ChantGrammarList AddWildcard Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddWildcard Method

Instantiates a ChantGrammarWildcard object, adds it to the list, and returns the ChantGrammarWildcard object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarWildcard chantGrammarWildcard = chantGrammarList.AddWildcard(name, eChantGrammarSyntax);

CChantGrammarWildcard* chantGrammarWildcard = chantGrammarList->AddWildcard(name, eChantGrammarSyntax);

CChantGrammarWildcard* chantGrammarWildcard = chantGrammarList->AddWildcard(name, eChantGrammarSyntax);

var chantGrammarWildcard: TChantGrammarWildcard;
chantGrammarWildcard := chantGrammarList.AddWildcard(name, eChantGrammarSyntax);

JChantGrammarWildcard chantGrammarWildcard = chantGrammarList.addWildcard(name, eChantGrammarSyntax);

Dim chantGrammarWildcard As NChantGrammarWildcard
chantGrammarWildcard = chantGrammarList.AddWildcard(name, eChantGrammarSyntax)

Parameters

name

String. Specifies the wildcard name.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

ChantGrammarWildcard object. The rule wildcard.

Collapse/Expand Remarks section Remarks

Resources added to the rule are maintained in the order in which they were added.

Collapse/Expand Example section Example

The following example illustrates adding a wildcard to the list.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGrammarWildcard nChantGrammarWildcard = nChantGrammarList.AddWildcard("wildcard1");

CChantGrammarWildcard* pChantGrammarWildcard = pChantGrammarList->AddWildcard("wildcard1");

CChantGrammarWildcard* pChantGrammarWildcard = pChantGrammarList->AddWildcard("wildcard1");

var aTChantGrammarWildcard: TChantGrammarWildcard;
aTChantGrammarWildcard := aTChantGrammarList.AddWildcard('wildcard1');

JChantGrammarWildcard jChantGrammarWildcard = jChantGrammarList.addWildcard("wildcard1");

Dim nChantGrammarWildcard As NChantGrammarWildcard
nChantGrammarWildcard = nChantGrammarList.AddWildcard("wildcard1")

Collapse/Expand See Also section See Also

ChantGrammarList
ChantGrammarWildcard
RemoveWildcard


ChantGrammarList RemoveComment Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveComment Method

Removes a comment from the list.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarList.RemoveComment(chantGrammarComment);

chantGrammarList->RemoveComment(chantGrammarComment);

chantGrammarList->RemoveComment(chantGrammarComment);

chantGrammarList.RemoveComment(chantGrammarComment);

chantGrammarList.removeComment(chantGrammarComment);

chantGrammarList.RemoveComment(chantGrammarComment)

Parameters

chantGrammarComment

ChantGrammarComment object. The rule comment to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddComment ChantGrammarList
ChantGrammarComment


ChantGrammarList RemovePhrase Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemovePhrase Method

Removes a phrase from the list.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarList.RemovePhrase(chantGrammarPhrase);

chantGrammarList->RemovePhrase(chantGrammarPhrase);

chantGrammarList->RemovePhrase(chantGrammarPhrase);

chantGrammarList.RemovePhrase(chantGrammarPhrase);

chantGrammarList.removePhrase(chantGrammarPhrase);

chantGrammarList.RemovePhrase(chantGrammarPhrase)

Parameters

chantGrammarPhrase

ChantGrammarPhrase object. The rule phrase to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddPhrase ChantGrammarList
ChantGrammarPhrase


ChantGrammarList RemoveRuleRef Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveRuleRef Method

Removes a rule reference from the list.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarList.RemoveRuleRef(chantGrammarRuleRef);

chantGrammarList->RemoveRuleRef(chantGrammarRuleRef);

chantGrammarList->RemoveRuleRef(chantGrammarRuleRef);

chantGrammarList.RemoveRuleRef(chantGrammarRuleRef);

chantGrammarList.removeRuleRef(chantGrammarRuleRef);

chantGrammarList.RemoveRuleRef(chantGrammarRuleRef)

Parameters

chantGrammarRuleRef

ChantGrammarRuleRef object. The rule reference to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddRuleRef ChantGrammarList
ChantGrammarRuleRef


ChantGrammarList RemoveText Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveText Method

Removes grammar-specific syntax from a list.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarList.RemoveText(chantGrammarText);

chantGrammarList->RemoveText(chantGrammarText);

chantGrammarList->RemoveText(chantGrammarText);

chantGrammarList.RemoveText(chantGrammarText);

chantGrammarList.removeText(chantGrammarText);

chantGrammarList.RemoveText(chantGrammarText)

Parameters

chantGrammarText

ChantGrammarText object. The list grammar-specific syntax to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddText ChantGrammarList
ChantGrammarText


ChantGrammarList RemoveWildcard Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveWildcard Method

Removes a wildcard from the list.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarList.RemoveWildcard(chantGrammarWildcard);

chantGrammarList->RemoveWildcard(chantGrammarWildcard);

chantGrammarList->RemoveWildcard(chantGrammarWildcard);

chantGrammarList.RemoveWildcard(chantGrammarWildcard);

chantGrammarList.removeWildcard(chantGrammarWildcard);

chantGrammarList.RemoveWildcard(chantGrammarWildcard)

Parameters

chantGrammarWildcard

ChantGrammarWildcard object. The wildcard to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddWildcard ChantGrammarList
ChantGrammarWildcard


ChantGrammarOptionalPhrase Class

Represents a grammar phrase that is optional.

Collapse/Expand Remarks section Remarks

A ChantGrammarOptionalPhrase object represents an optional phrase within a list, or rule. An optinoal phrase is comprised of one or words used optionally when matching for the rule. Use the ChantGrammarRule AddOptionalPhrase method to create and add optional phrases to the grammar.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | GenerateGrammar | Returns the optional phrase in a specific grammar syntax. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | GetProperty | Returns a grammar element attribute value. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | SetProperty | Sets a grammar element attribute value. Inherits from ChantGMResource.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantGrammarRule AddOptionalPhrase


ChantGrammarOptionalRuleRef Class

Represents an optional grammar rule reference.

Collapse/Expand Remarks section Remarks

A ChantGrammarOptionalRuleRef object represents an optional rule reference within a list or rule. An optional rule reference enables a rule to be included optionally as part of the phrase to recognize. It provides a way to nest rule definitions within one another. Use the ChantGrammarRule AddOptionalRuleRef method to create and add optional rule references to the grammar.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | GenerateGrammar | Returns the optional phrase in a specific grammar syntax. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | GetProperty | Returns a grammar element attribute value. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | SetProperty | Sets a grammar element attribute value. Inherits from ChantGMResource.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantGrammarRule AddOptionalRuleRef


ChantGrammarPhrase Class

Represents a grammar phrase.

Collapse/Expand Remarks section Remarks

A ChantGrammarPhrase object represents a phrase within a list, or rule. A phrase is comprised of one or words used when matching for the rule. Use the ChantGrammarRule AddPhrase and ChantGrammarList AddPhrase methods to create and add phrases to the grammar.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | GenerateGrammar | Returns the optional phrase in a specific grammar syntax. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | GetProperty | Returns a grammar element attribute value. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | SetProperty | Sets a grammar element attribute value. Inherits from ChantGMResource.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantGrammarRule AddPhrase
ChantGrammarList AddPhrase


ChantGrammarRule Class

Represents a grammar rule.

Collapse/Expand Remarks section Remarks

A ChantGrammarRule object represents a rule within a grammar. A rule defines a phrase to recognize. The definition may consist of a single phrase or multiple generations of grammar elements depending on the complexity of what can be spoken. Use the ChantGrammar AddRule method to create and add rules to the grammar.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | AddComment | Adds a comment to the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | AddList | Adds a list to the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | AddOptionalPhrase | Adds an optional phrase to the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | AddOptionalRuleRef | Adds an optional rule reference to the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | AddPhrase | Adds a phrase to the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | AddRuleRef | Adds a rule reference to the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | AddText | Adds grammar-specific syntax to the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | AddWildcard | Adds a wildcard to the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | GenerateGrammar | Returns the optional phrase in a specific grammar syntax. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | GetProperty | Returns a grammar element attribute value. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | RemoveComment | Removes a comment from the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | RemoveList | Removes a list from the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | RemoveOptionalPhrase | Removes an optional phrase from the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | RemoveOptionalRuleRef | Removes an optional rule reference from the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | RemovePhrase | Removes a phrase from the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | RemoveRuleRef | Removes a rule reference from the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | RemoveText | Removes grammar-specific syntax from the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | RemoveWildcard | Remove a wildcard from the rule.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | SetProperty | Sets a grammar element attribute value. Inherits from ChantGMResource.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantGrammar AddRule


ChantGrammarRule AddComment Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddComment Method

Instantiates a ChantGrammarComment object, adds it to the rule, and returns the ChantGrammarComment object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarComment chantGrammarComment = chantGrammarRule.AddComment(text, eChantGrammarSyntax);

CChantGrammarComment* chantGrammarComment = chantGrammarRule->AddComment(text, eChantGrammarSyntax);

CChantGrammarComment* chantGrammarComment = chantGrammarRule->AddComment(text, eChantGrammarSyntax);

var chantGrammarComment: TChantGrammarComment;
chantGrammarComment := chantGrammarRule.AddComment(text, eChantGrammarSyntax);

JChantGrammarComment chantGrammarComment = chantGrammarRule.addComment(text, eChantGrammarSyntax);

Dim chantGrammarComment As NChantGrammarComment
chantGrammarComment = chantGrammarRule.AddComment(text, eChantGrammarSyntax)

Parameters

text

String. Specifies the rule comment text.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

ChantGrammarComment object. The rule comment.

Collapse/Expand Remarks section Remarks

Resources added to the rule are maintained in the order in which they were added.

Collapse/Expand Example section Example

The following example illustrates adding a comment to the rule.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGrammarComment nChantGrammarComment = nChantGrammarRule.AddComment("This is a comment");

CChantGrammarComment* pChantGrammarComment = pChantGrammarRule->AddComment("This is a comment");

CChantGrammarComment* pChantGrammarComment = pChantGrammarRule->AddComment("This is a comment");

var aTChantGrammarComment: TChantGrammarComment;

aTChantGrammarComment := aTChantGrammarRule.AddComment('This is a comment');

JChantGrammarComment jChantGrammarComment = jChantGrammarRule.addComment("This is a comment");

Dim nChantGrammarComment As NChantGrammarComment

nChantGrammarComment = nChantGrammarRule.AddComment("This is a comment")

Collapse/Expand See Also section See Also

ChantGrammarRule
ChantGrammarComment
RemoveComment


ChantGrammarRule AddList Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddList Method

Instantiates a ChantGrammarList object, adds it to the rule, and returns the ChantGrammarList object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarList chantGrammarList = chantGrammarRule.AddList(name, eChantGrammarSyntax);

CChantGrammarList* chantGrammarList = chantGrammarRule->AddList(name, eChantGrammarSyntax);

CChantGrammarList* chantGrammarList = chantGrammarRule->AddList(name, eChantGrammarSyntax);

var chantGrammarList: TChantGrammarList;
chantGrammarList := chantGrammarRule.AddList(name, eChantGrammarSyntax);

JChantGrammarList chantGrammarList = chantGrammarRule.addList(name, eChantGrammarSyntax);

Dim chantGrammarList As NChantGrammarList
chantGrammarList = chantGrammarRule.AddList(name, eChantGrammarSyntax)

Parameters

name

String. Specifies the rule list name.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

ChantGrammarList object. The rule list.

Collapse/Expand Remarks section Remarks

Resources added to the rule are maintained in the order in which they were added.

Collapse/Expand Example section Example

The following example illustrates adding a list to the rule.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGrammarList nChantGrammarList = nChantGrammarRule.AddList("commands");

CChantGrammarList* pChantGrammarList = pChantGrammarRule->AddList("commands");

CChantGrammarList* pChantGrammarList = pChantGrammarRule->AddList("commands");

var aTChantGrammarList: TChantGrammarList

aTChantGrammarList := aTChantGrammarRule.AddList("commands");

JChantGrammarList jChantGrammarList = jChantGrammarRule.addList("commands");

Dim nChantGrammarList As NChantGrammarList

nChantGrammarList = nChantGrammarRule.AddList("commands")

Collapse/Expand See Also section See Also

ChantGrammarRule
ChantGrammarList
RemoveList


ChantGrammarRule AddOptionalPhrase Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddOptionalPhrase Method

Instantiates a ChantGrammarOptionalPhrase object, adds it to the rule, and returns the ChantGrammarOptionalPhrase object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarOptionalPhrase chantGrammarOptionalPhrase = chantGrammarRule.AddOptionalPhrase(phrase, eChantGrammarSyntax);

CChantGrammarOptionalPhrase* chantGrammarOptionalPhrase = chantGrammarRule->AddOptionalPhrase(phrase, eChantGrammarSyntax);

CChantGrammarOptionalPhrase* chantGrammarOptionalPhrase = chantGrammarRule->AddOptionalPhrase(phrase, eChantGrammarSyntax);

var chantGrammarOptionalPhrase: TChantOptionalPhrase;
chantGrammarOptionalPhrase := chantGrammarRule.AddOptionalPhrase(phrase, eChantGrammarSyntax);

JChantGrammarOptionalPhrase chantGrammarOptionalPhrase = chantGrammarRule.addOptionalPhrase(phrase, eChantGrammarSyntax);

Dim nChantGrammarOptionalPhrase As NChantGrammarOptionalPhrase
chantGrammarOptionalPhrase = chantGrammarRule.AddOptionalPhrase(phrase, eChantGrammarSyntax)

Parameters

phrase

String. Specifies the optional phrase text.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

ChantGrammarOptionalPhrase object. The optional phrase.

Collapse/Expand Remarks section Remarks

Resources added to the rule are maintained in the order in which they were added.

Collapse/Expand Example section Example

The following example illustrates adding an optional phrase to the rule.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGrammarOptionalPhrase nChantGrammarOptionalPhrase = nChantGrammarRule.AddOptionalPhrase("please");

CChantGrammarOptionalPhrase* pChantGrammarOptionalPhrase = pChantGrammarRule->AddOptionalPhrase("please");

CChantGrammarOptionalPhrase* pChantGrammarOptionalPhrase = pChantGrammarRule->AddOptionalPhrase("please");

var aTChantGrammarOptionalPhrase: TChantGrammarOptionalPhrase;

aTChantGrammarOptionalPhrase := aTChantGrammarRule.AddOptionalPhrase('please');

JChantGrammarOptionalPhrase jChantGrammarOptionalPhrase = jChantGrammarRule.addOptionalPhrase("please");

Dim nChantGrammarOptionalPhrase As NChantGrammarOptionalPhrase

nChantGrammarOptionalPhrase = nChantGrammarRule.AddOptionalPhrase("please")

Collapse/Expand See Also section See Also

ChantGrammarRule
ChantGrammarOptionalPhrase
RemoveOptionalPhrase


ChantGrammarRule AddOptionalRuleRef Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddOptionalRuleRef Method

Instantiates a ChantGrammarOptionalRuleRef object, adds it to the rule, and returns the ChantGrammarOptionalRuleRef object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarOptionalRuleRef chantGrammarOptionalRuleRef = chantGrammarRule.AddOptionalRuleRef(name, eChantGrammarSyntax);

CChantGrammarOptionalRuleRef* chantGrammarOptionalRuleRef = chantGrammarRule->AddOptionalRuleRef(name, eChantGrammarSyntax);

CChantGrammarOptionalRuleRef* chantGrammarOptionalRuleRef = chantGrammarRule->AddOptionalRuleRef(name, eChantGrammarSyntax);

var chantGrammarOptionalRuleRef: TChantOptionalRuleRef;
chantGrammarOptionalRuleRef := chantGrammarRule.AddOptionalRuleRef(name, eChantGrammarSyntax);

JChantGrammarOptionalRuleRef chantGrammarOptionalRuleRef = chantGrammarRule.addOptionalRuleRef(name, eChantGrammarSyntax);

Dim chantGrammarOptionalRuleRef As NChantGrammarOptionalRuleRef
chantGrammarOptionalRuleRef = chantGrammarRule.AddOptionalRuleRef(name, eChantGrammarSyntax)

Parameters

name

String. Specifies the name of the optional rule being referenced.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

ChantGrammarOptionalRuleRef object. The optional rule reference.

Collapse/Expand Remarks section Remarks

Resources added to the rule are maintained in the order in which they were added.

Collapse/Expand See Also section See Also

ChantGrammarRule
ChantGrammarOptionalRuleRef
RemoveOptionalRuleRef


ChantGrammarRule AddPhrase Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddPhrase Method

Instantiates a ChantGrammarPhrase object, adds it to the rule, and returns the ChantGrammarPhrase object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarPhrase chantGrammarPhrase = chantGrammarRule.AddPhrase(phrase, eChantGrammarSyntax);

CChantGrammarPhrase* chantGrammarPhrase = chantGrammarRule->AddPhrase(phrase, eChantGrammarSyntax);

CChantGrammarPhrase* chantGrammarPhrase = chantGrammarRule->AddPhrase(phrase, eChantGrammarSyntax);

var chantGrammarPhrase: TChantGrammarPhrase;
chantGrammarPhrase := chantGrammarRule.AddPhrase(phrase, eChantGrammarSyntax);

JChantGrammarPhrase chantGrammarPhrase = chantGrammarRule.addPhrase(phrase, eChantGrammarSyntax);

Dim chantGrammarPhrase As NChantGrammarPhrase
chantGrammarPhrase = chantGrammarRule.AddPhrase(phrase, eChantGrammarSyntax)

Parameters

phrase

String. Specifies the rule phrase text.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

ChantGrammarPhrase object. The rule phrase.

Collapse/Expand Remarks section Remarks

Resources added to the rule are maintained in the order in which they were added.

Collapse/Expand Example section Example

The following example illustrates adding a phrase to the rule.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGrammarPhrase nChantGrammarPhrase = nChantGrammarRule.AddPhrase("open file");

CChantGrammarPhrase* pChantGrammarPhrase = pChantGrammarRule->AddPhrase("open file");

CChantGrammarPhrase* pChantGrammarPhrase = pChantGrammarRule->AddPhrase("open file");

var aTChantGrammarPhrase: TChantGrammarPhrase;

aTChantGrammarPhrase := aTChantGrammarRule.AddPhrase('open file');

JChantGrammarPhrase jChantGrammarPhrase = jChantGrammarRule.addPhrase("open file");

Dim nChantGrammarPhrase As NChantGrammarPhrase

nChantGrammarPhrase = nChantGrammarRule.AddPhrase("open file")

Collapse/Expand See Also section See Also

ChantGrammarRule
ChantGrammarPhrase
RemovePhrase


ChantGrammarRule AddRuleRef Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddRuleRef Method

Instantiates a ChantGrammarRuleRef object, adds it to the rule, and returns the ChantGrammarRuleRef object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarRuleRef chantGrammarRuleRef = chantGrammarRule.AddRuleRef(name, eChantGrammarSyntax);

CChantGrammarRuleRef* chantGrammarRuleRef = chantGrammarRule->AddRuleRef(name, eChantGrammarSyntax);

CChantGrammarRuleRef* chantGrammarRuleRef = chantGrammarRule->AddRuleRef(name, eChantGrammarSyntax);

var chantGrammarRuleRef: TChantGrammarRuleRef;
chantGrammarRuleRef := chantGrammarRule.AddRuleRef(name, eChantGrammarSyntax);

JChantGrammarRuleRef chantGrammarRuleRef = chantGrammarRule.addRuleRef(name, eChantGrammarSyntax);

Dim chantGrammarRuleRef As NChantGrammarRuleRef
chantGrammarRuleRef = chantGrammarRule.AddRuleRef(name, eChantGrammarSyntax)

Parameters

name

String. Specifies the name or the rule being referenced.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

ChantGrammarRuleRef object. The rule reference.

Collapse/Expand Remarks section Remarks

Resources added to the rule are maintained in the order in which they were added.

Collapse/Expand See Also section See Also

ChantGrammarRule
ChantGrammarRuleRef
RemoveRuleRef


ChantGrammarRule AddText Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddText Method

Instantiates a ChantGrammarText object, adds it to the rule, and returns the ChantGrammarText object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarText chantGrammarText = chantGrammarRule.AddText(text, eChantGrammarSyntax);

CChantGrammarText* chantGrammarText = chantGrammarRule->AddText(text, eChantGrammarSyntax);

CChantGrammarText* chantGrammarText = chantGrammarRule->AddText(text, eChantGrammarSyntax);

var chantGrammarText: TChantGrammarText;
chantGrammarText := chantGrammarRule.AddText(text, eChantGrammarSyntax);

JChantGrammarText jChantGrammarText = jChantGrammarRule.addText(text, eChantGrammarSyntax);

Dim chantGrammarText As NChantGrammarText
chantGrammarText = chantGrammarRule.AddText(text, eChantGrammarSyntax)

Parameters

text

String. Specifies the rule grammar-specific syntax.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

ChantGrammarText object. The rule grammar-specific syntax.

Collapse/Expand Remarks section Remarks

Resources added to the rule are maintained in the order in which they were added.

Collapse/Expand Example section Example

The following example illustrates adding grammar-specific syntax to the rule.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantGrammarText nChantGrammarText = nChantGrammarRule.AddText("<TEXTBUFFER PROPID=\"ChoiceSelected\"/>",ChantGrammarRuleSyntax.CGSSAPI5XML);

CChantGrammarText* pChantGrammarText = pChantGrammarRule->AddText("<TEXTBUFFER PROPID=\"ChoiceSelected\"/>",CGSSAPI5XML);

CChantGrammarText* pChantGrammarText = pChantGrammarRule->AddText("<TEXTBUFFER PROPID=\"ChoiceSelected\"/>",CGSSAPI5XML);

var aTChantGrammarText: TChantGrammarText;

aTChantGrammarText := aTChantGrammarRule.AddText('<TEXTBUFFER PROPID="ChoiceSelected"/>',CGSSAPI5XML);

JChantGrammarText jChantGrammarText = jChantGrammarRule.addText("<TEXTBUFFER PROPID=\"ChoiceSelected\"/>",ChantGrammarRuleSyntax.CGSSAPI5XML);

Dim nChantGrammarText As NChantGrammarText

nChantGrammarText = nChantGrammarRule.AddText("<TEXTBUFFER PROPID=\"ChoiceSelected\"/>",ChantGrammarRuleSyntax.CGSSAPI5XML )

Collapse/Expand See Also section See Also

ChantGrammarRule
ChantGrammarText
RemoveText


ChantGrammarRule AddWildcard Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

AddWildcard Method

Instantiates a ChantGrammarWildcard object, adds it to the rule, and returns the ChantGrammarWildcard object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarWildcard chantGrammarWildcard = chantGrammarRule.AddWildcard(name, eChantGrammarSyntax);

CChantGrammarWildcard* chantGrammarWildcard = chantGrammarRule->AddWildcard(name, eChantGrammarSyntax);

CChantGrammarWildcard* chantGrammarWildcard = chantGrammarRule->AddWildcard(name, eChantGrammarSyntax);

var chantGrammarWildcard: TChantGrammarWildcard;
chantGrammarWildcard := chantGrammarRule.AddWildcard(name, eChantGrammarSyntax);

JChantGrammarWildcard chantGrammarWildcard = chantGrammarRule.addWildcard(name, eChantGrammarSyntax);

Dim chantGrammarWildcard As NChantGrammarWildcard
chantGrammarWildcard = chantGrammarRule.AddWildcard(name, eChantGrammarSyntax)

Parameters

name

String. Specifies the wildcard name.

eChantGrammarSyntax

ChantGrammarSyntax. Specifies the optional grammar syntax.

Return Value

ChantGrammarWildcard Object. The rule wildcard.

Collapse/Expand Remarks section Remarks

Resources added to the rule are maintained in the order in which they were added.

Collapse/Expand See Also section See Also

ChantGrammarRule
ChantGrammarWildcard
RemoveWildcard


ChantGrammarRule RemoveComment Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveComment Method

Removes a comment from the rule.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarRule.RemoveComment(chantGrammarComment);

chantGrammarRule->RemoveComment(chantGrammarComment);

chantGrammarRule->RemoveComment(chantGrammarComment);

chantGrammarRule.RemoveComment(chantGrammarComment);

chantGrammarRule.removeComment(chantGrammarComment);

chantGrammarRule.RemoveComment(chantGrammarComment)

Parameters

chantGrammarComment

ChantGrammarComment object. The comment to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddComment ChantGrammarRule
ChantGrammarComment


ChantGrammarRule RemoveList Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveList Method

Removes a list from the rule.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarRule.RemoveList(chantGrammarList);

chantGrammarRule->RemoveList(chantGrammarList);

chantGrammarRule->RemoveList(chantGrammarList);

chantGrammarRule.RemoveList(chantGrammarList);

chantGrammarRule.removeList(chantGrammarList);

chantGrammarRule.RemoveList(chantGrammarList)

Parameters

chantGrammarList

ChantGrammarList object. The rule list to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddList
ChantGrammarRule
ChantGrammarList


ChantGrammarRule RemoveOptionalPhrase Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveOptionalPhrase Method

Removes an optional phrase from the rule.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarRule.RemoveOptionalPhrase(chantGrammarOptionalPhrase);

chantGrammarRule->RemoveOptionalPhrase(chantGrammarOptionalPhrase);

chantGrammarRule->RemoveOptionalPhrase(chantGrammarOptionalPhrase);

chantGrammarRule.RemoveOptionalPhrase(chantGrammarOptionalPhrase);

chantGrammarRule.removeOptionalPhrase(chantGrammarOptionalPhrase);

chantGrammarRule.RemoveOptionalPhrase(chantGrammarOptionalPhrase)

Parameters

chantGrammarOptionalPhrase

ChantGrammarOptionalPhrase object. The rule optional phrase to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddOptionalPhrase ChantGrammarRule
ChantGrammarOptionalPhrase


ChantGrammarRule RemoveOptionalRuleRef Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveOptionalRuleRef Method

Removes an optional rule reference from the rule.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarRule.RemoveOptionalRuleRef(chantGrammarOptionalRuleRef);

chantGrammarRule->RemoveOptionalRuleRef(chantGrammarOptionalRuleRef);

chantGrammarRule->RemoveOptionalRuleRef(pChantGrammarOptionalRuleRef);

chantGrammarRule.RemoveOptionalRuleRef(chantGrammarOptionalRuleRef);

chantGrammarRule.removeOptionalRuleRef(chantGrammarOptionalRuleRef);

chantGrammarRule.RemoveOptionalRuleRef(chantGrammarOptionalRuleRef)

Parameters

chantGrammarOptionalRuleRef

ChantGrammarOptionalRuleRef object. The rule optional rule reference to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddOptionalRuleRef ChantGrammarRule
ChantGrammarOptionalRuleRef


ChantGrammarRule RemovePhrase Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemovePhrase Method

Removes a phrase from the rule.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarRule.RemovePhrase(chantGrammarPhrase);

chantGrammarRule->RemovePhrase(chantGrammarPhrase);

chantGrammarRule->RemovePhrase(chantGrammarPhrase);

chantGrammarRule.RemovePhrase(chantGrammarPhrase);

chantGrammarRule.removePhrase(chantGrammarPhrase);

chantGrammarRule.RemovePhrase(chantGrammarPhrase)

Parameters

chantGrammarPhrase

ChantGrammarPhrase object. The rule phrase to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddPhrase ChantGrammarRule
ChantGrammarPhrase


ChantGrammarRule RemoveRuleRef Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveRuleRef Method

Removes a rule reference from the rule.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarRule.RemoveRuleRef(chantGrammarRuleRef);

chantGrammarRule->RemoveRuleRef(chantGrammarRuleRef);

chantGrammarRule->RemoveRuleRef(chantGrammarRuleRef);

chantGrammarRule.RemoveRuleRef(chantGrammarRuleRef);

chantGrammarRule.removeRuleRef(chantGrammarRuleRef);

chantGrammarRule.RemoveRuleRef(chantGrammarRuleRef)

Parameters

chantGrammarRuleRef

ChantGrammarRuleRef object. The rule reference to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddRuleRef ChantGrammarRule
ChantGrammarRuleRef


ChantGrammarRule RemoveText Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveText Method

Removes grammar-specific syntax from a rule.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarRule.RemoveText(chantGrammarText);

chantGrammarRule->RemoveText(chantGrammarText);

chantGrammarRule->RemoveText(chantGrammarText);

chantGrammarRule.RemoveText(chantGrammarText);

chantGrammarRule.removeText(chantGrammarText);

chantGrammarRule.RemoveText(chantGrammarText)

Parameters

chantGrammarText

ChantGrammarText object. The rule grammar-specific syntax to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddText ChantGrammarRule
ChantGrammarText


ChantGrammarRule RemoveWildcard Method

Chant GrammarKit 5 Logo
Chant GrammarKit 5 Developer's Guide

RemoveWildcard Method

Removes a wildcard from the rule.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarRule.RemoveWildcard(chantGrammarWildcard);

chantGrammarRule->RemoveWildcard(chantGrammarWildcard);

chantGrammarRule->RemoveWildcard(chantGrammarWildcard);

chantGrammarRule.RemoveWildcard(chantGrammarWildcard);

chantGrammarRule.removeWildcard(chantGrammarWildcard);

chantGrammarRule.RemoveWildcard(chantGrammarWildcard)

Parameters

chantGrammarWildcard

ChantGrammarWildcard object. The wildcard to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddWildcard ChantGrammarRule
ChantGrammarWildcard


ChantGrammarRuleRef Class

Represents a grammar rule reference.

Collapse/Expand Remarks section Remarks

A ChantGrammarRuleRef object represents a rule reference within a list or rule. A rule reference enables a rule to be included as part of the phrase to recognize. It provides a way to nest rule definitions within one another. Use the ChantGrammarRule AddRuleRef and ChantGrammarList AddRuleRef methods to create and add rule references to the grammar.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | GenerateGrammar | Returns the optional phrase in a specific grammar syntax. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | GetProperty | Returns a grammar element attribute value. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | SetProperty | Sets a grammar element attribute value. Inherits from ChantGMResource.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

No properties.


ChantGrammarText Class

Represents grammar-specific syntax.

Collapse/Expand Remarks section Remarks

A ChantGrammarText object represents grammar-specific syntax. Use the ChantGrammar AddText, ChantGrammarRule AddText, and ChantGrammarList AddText methods to create and add grammar-specific syntax to the grammar.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | GenerateGrammar | Returns the optional phrase in a specific grammar syntax. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | GetProperty | Returns a grammar element attribute value. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | SetProperty | Sets a grammar element attribute value. Inherits from ChantGMResource.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantGrammar AddText
ChantGrammarRule AddText
ChantGrammarList AddText


ChantGrammarWildcard Class

Represents a grammar wildcard.

Collapse/Expand Remarks section Remarks

A ChantGrammarWildcard object represents a wildcard element within a list, or rule. A wildcard is a garbage word identifier for one or more non-silence sounds. It is used to allow variations of the desired phrase to be spoken yet result in a rule match. Use the ChantGrammarRule AddWildcard and ChantGrammarList AddWildcard methods to create and add wildcards to the grammar.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | GenerateGrammar | Returns the optional phrase in a specific grammar syntax. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | GetProperty | Returns a grammar element attribute value. Inherits from ChantGMResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | SetProperty | Sets a grammar element attribute value. Inherits from ChantGMResource.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

No properties.


KinesicsKit Classes

All KinesicsKit class libraries and class names begin with a unique letter as follows:

  • C++ - C (e.g., CKinesicsKit, CChantKM)
  • Delphi - T (e.g., TChantKM)
  • Java - J (e.g., JKinesicsKit, JChantKM)
  • .NET - N (e.g., NKinesicsKit, NChantKM)

The following classes are included in the KinesicsKit class libraries:

Class | Description
AudioBeam | Represents an audio beam.
AudioBeamFrame | Represents an audio beam frame.
AudioBeamFrameArrivedEventArgs | Audio beam frame arrived event arguments.
AudioBeamFrameList | Contains a collection of audio beam frames.
AudioBeamFrameReader | Represents an audio beam frame reader.
AudioBeamFrameReference | Represents an audio frame reference.
AudioBeamList | Contains a collection of audio beams.
AudioBeamSubFrame | A sample of the audio data from one of the 4 available AudioBeams (microphone audio source) in the Kinect sensor.
AudioBeamSubFrameCollection | Collection of audio beam sub frames.
AudioBodyCorrelation | A correlation between an audio frame and a unique body tracking id.
AudioBodyCorrelationCollection | Collection of audio body correlations.
AudioSource | Represents an audio frame source.
Body | Represents a single body.
BodyFrame | Represents a frame that contains all the computed real-time tracking information about people that are in view of the sensor.
BodyFrameArrivedEventArgs | Body frame arrived event arguments.
BodyFrameReader | Represents an interface to a body frame source reader.
BodyFrameReference | Represents an body frame reference.
BodyFrameSource | Represents a source of body frames from a KinectSensor.
BodyIndexFrame | Represents a frame that indicates which depth or infrared pixels belong to tracked people and which do not.
BodyIndexFrameArrivedEventArgs | Body index frame arrived event arguments.
BodyIndexFrameReader | Represents a reader for body index frames.
BodyIndexFrameReference | Represents a reference to an actual body index frame.
BodyIndexFrameSource | Represents a source of body frames from a KinectSensor.
ChantKM | Represents a movement management object.
ChantKMEvent | Represents a movement management event.
ColorCameraSettings | Contains the color camera settings.
ColorFrame | Represents a color frame from the ColorFrameSource of a KinectSensor.
ColorFrameArrivedEventArgs | Color frame arrived event arguments.
ColorFrameReader | Represents a source of color frames from a KinectSensor.
ColorFrameReference | Represents an audio frame reference.
ColorFrameSource | Represents a source of color frames from a KinectSensor.
CoordinateMapper | Maps the different data types (skeleton, depth, and color) between coordinate spaces.
CoordinateMappingChangedEventArgs | Coordinate mapping changed event arguments.
DepthFrame | Represents a frame where each pixel represents the distance (in millimeters) of the closest object.
DepthFrameArrivedEventArgs | Depth frame arrived event arguments.
DepthFrameReader | Represents a reader for depth frames.
DepthFrameReference | Represents a reference to an actual depth frame.
DepthFrameSource | Represents a source of depth frames from a KinectSensor.
FrameCapturedEventArgs | Frame captured event arguments.
FrameDescription | Description of the properties of an image frame.
InfraredFrame | Represents a frame that provides a view of the scene that looks just like a black and white photograph, but is actively lit, so brightness is consistent regardless of location and room brightness.
InfraredFrameArrivedEventArgs | Infrared frame arrived event arguments.
InfraredFrameReader | Represents a reader for infrared frames.
InfraredFrameReference | Represents an audio frame reference.
InfraredFrameSource | Represents an audio frame reference.
JointCollection | Contains a collection of Joints.
JointOrientationCollection | Contains a collection of JointOrientations.
KinectSensor | Represents a Kinect sensor device.
LongExposureInfraredFrame | Represents a long exposure infrared frame.
LongExposureInfraredFrameArrivedEventArgs | Long exposure infrared frame arrived event arguments.
LongExposureInfraredFrameReader | Represents a reader for long exposure infrared frames.
LongExposureInfraredFrameReference | Represents a reference to an actual long exposure infrared frame.
LongExposureInfraredFrameSource | Represents a source of long exposure infrared frames from a Kinect sensor.
MultiSourceFrame | Represents a multi source frame from the Kinect sensor.
MultiSourceFrameArrivedEventArgs | Multi source frame arrived event arguments.
MultiSourceFrameReader | Represents a reader for multi source frames.
MultiSourceFrameReference | Represents a reader for multi source frames.
PropertyChangedEventArgs | Property changed event arguments.


AudioBeam Class

Represents an audio beam.

Collapse/Expand Remarks section Remarks

AudioBeam objects are obtained via the AudioBeamFrame AudioBeam property and AudioBeamList OpenAudioBeam method.

Collapse/Expand Events section Events

 | Name | Description
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | OpenInputStream | Opens the input stream.
Public method | RegisterCallback | Registers for a callback event.
Public method | UnregisterCallback | Unregisters for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | AudioBeamMode | Gets or sets the audio beam mode.
Public property | AudioSource | Gets the audio source.
Public property | BeamAngle | Gets or sets the angle (in radians) of the audio beam.
Public property | BeamAngleConfidence | Gets the confidence in the beam angle.
Public property | RelativeTime | Gets the unique relative time at which the subframe was captured.

Collapse/Expand See Also section See Also

AudioBeamFrame
AudioBeamList
AudioSource


AudioBeam AudioBeamMode Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AudioBeamMode Property

Gets or sets the audio beam mode.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBeamMode eAudioBeamMode = audioBeam.AudioBeamMode;
audioBeam.AudioBeamMode = eAudioBeamMode;

AudioBeamMode eAudioBeamMode = audioBeam->GetAudioBeamMode();
audioBeam->SetAudioBeamMode(eAudioBeamMode);

AudioBeamMode eAudioBeamMode = audioBeam->GetAudioBeamMode();
audioBeam->SetAudioBeamMode(eAudioBeamMode);

var eAudioBeamMode: AudioBeamMode;
eAudioBeamMode := audioBeam.AudioBeamMode;
audioBeam.AudioBeamMode := eAudioBeamMode;

int eAudioBeamMode = audioBeam.getAudioBeamMode();
audioBeam.setAudioBeamMode(eAudioBeamMode);

Dim eAudioBeamMode As AudioBeamMode
eAudioBeamMode = audioBeam.AudioBeamMode
audioBeam.AudioBeamMode = eAudioBeamMode

Collapse/Expand Remarks section Remarks

The AudioBeamMode is the type of beam angle.

Collapse/Expand See Also section See Also

AudioBeam AudioBeamMode


AudioBeam AudioSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AudioSource Property

Gets the audio source.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioSource audioSource = audioBeam.AudioSource;

CAudioSource* audioSource = audioBeam->GetAudioSource();

CAudioSource* audioSource = audioBeam->GetAudioSource();

var audioSource: TAudioSource;
audioSource := audioBeam.AudioSource;

AudioSource audioSource = audioBeam.getAudioSource();

Dim audioSource As AudioSource
audioSource = audioBeam.AudioSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeam


AudioBeam BeamAngle Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BeamAngle Property

Gets or sets the angle (in radians) of the audio beam. The angle is the direction from which the sensor is actively listening.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

float beamAngle = audioBeam.BeamAngle;
audioBeam.BeamAngle = value;

float beamAngle = audioBeam->GetBeamAngle();
audioBeam->SetBeamAngle(value);

float beamAngle = audioBeam->GetBeamAngle();
audioBeam->SetBeamAngle(value);

var beamAngle: Single;
beamAngle := audioBeam.BeamAngle;
audioBeam.BeamAngle := value;

float beamAngle = audioBeam.getBeamAngle();
audioBeam.setBeamAngle(value);

Dim beamAngle As Single
beamAngle = audioBeam.BeamAngle
audioBeam.BeamAngle = value

Collapse/Expand Remarks section Remarks

When you set a beam angle, you can set any value in the range of -1.57 to +1.57 radians (i.e., -90 to +90 degrees). However, internally only a limited set of angles can be supported. The actual beam angle will be limited to the range of -0.87 to +0.87 radians (i.e., -50 to +50 degrees), with a 0.087 radians (i.e., 5 degree) increment. When you get the beam angle, the returned value will reflect this limitation. It will be in the range of -0.87 to +0.87 radians with a 0.087 radian increment.

Collapse/Expand See Also section See Also

AudioBeam


AudioBeam BeamAngleConfidence Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BeamAngleConfidence Property

Gets the confidence in the beam angle. The confidence range is 0.0 to 1.0 where 1.0 is the highest possible confidence.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

float beamAngle = audioBeam.BeamAngleConfidence;

float beamAngle = audioBeam->GetBeamAngleConfidence();

float beamAngle = audioBeam->GetBeamAngleConfidence();

var beamAngle: Single;
beamAngle := audioBeam.BeamAngleConfidence;

float beamAngle = audioBeam.getBeamAngleConfidence();

Dim beamAngle As Single
beamAngle = audioBeam.BeamAngleConfidence

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeam


AudioBeam OpenInputStream Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

OpenInputStream Method

Opens the input stream.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Stream stream = audioBeam.OpenInputStream();

LPStream stream = audioBeam->OpenInputStream();

LPStream stream = audioBeam->OpenInputStream();

var stream: IStream;
stream := audioBeam.OpenInputStream();

PipedInputStream stream = audioBeam.openInputStream();

Dim stream As Stream
stream = audioBeam.OpenInputStream()

Return Value

Stream. The audio stream.

Collapse/Expand See Also section See Also

AudioBeam


AudioBeam RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

audioBeam.PropertyChanged += propertyChangedCallback;

audioBeam->RegisterCallback(propertyChangedCallback);

audioBeam->RegisterCallback(propertyChangedCallback);

audioBeam.RegisterCallback(propertyChangedCallback);

audioBeam.registerCallback(propertyChangedCallback);

AddHandler audioBeam.PropertyChanged, AddressOf propertyChangedCallback

Parameters

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

AudioBeam
UnregisterCallback


AudioBeam RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Gets the unique relative time at which the subframe was captured.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = audioBeam.RelativeTime;

TIMESPAN relativeTime = audioBeam->GetRelativeTime();

TIMESPAN relativeTime = audioBeam->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := audioBeam.RelativeTime;

long relativeTime = audioBeam.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = audioBeam.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeam


AudioBeam UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

audioBeam.PropertyChanged -= propertyChangedCallback;

audioBeam->UnregisterCallback(propertyChangedCallback);

audioBeam->UnregisterCallback(propertyChangedCallback);

audioBeam.UnregisterCallback(propertyChangedCallback);

audioBeam.unregisterCallback(propertyChangedCallback);

RemoveHandler audioBeam.PropertyChanged, AddressOf propertyChangedCallback

Parameters

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

AudioBeam
RegisterCallback


AudioBeamFrame Class

Represents an audio beam frame.

Collapse/Expand Remarks section Remarks

AudioBeamFrame objects are obtained via the AudioBeamFrameList OpenAudioBeamFrame method.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | AudioBeam | Gets the AudioBeam object associated with this audio beam frame.
Public property | AudioSource | Gets the audio source for this frame.
Public property | Duration | Gets the duration of the frame.
Public property | RelativeTimeStart | Gets the unique relative time at which the frame was captured.
Public property | SubFrames | Gets the list of the subframes available in this frame.

Collapse/Expand See Also section See Also

AudioBeam
AudioBeamFrameList
AudioSource


AudioBeamFrame AudioBeam Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AudioBeam Property

Gets the AudioBeam object associated with this audio beam frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBeam audioBeam = audioBeamFrame.AudioBeam;

CAudioBeam* audioBeam = audioBeamFrame->GetAudioBeam();

CAudioBeam* audioBeam = audioBeamFrame->GetAudioBeam();

var audioBeam: TAudioBeam;
audioBeam := audioBeamFrame.AudioBeam;

AudioBeam audioBeam = audioBeamFrame.getAudioBeam();

Dim audioBeam As AudioBeam
audioBeam = audioBeamFrame.AudioBeam

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeam
AudioBeamFrame


AudioBeamFame AudioSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AudioSource Property

Gets the audio source for this frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioSource audioSource = audioBeamFrame.AudioSource;

CAudioSource* audioSource = audioBeamFrame->GetAudioSource();

CAudioSource* audioSource = audioBeamFrame->GetAudioSource();

var audioSource: TAudioSource;
audioSource := audioBeamFrame.AudioSource;

AudioSource audioSource = audioBeamFrame.getAudioSource();

Dim audioSource As AudioSource
audioSource = audioBeamFrame.AudioSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamFrame
AudioSource


AudioBeamFrame Duration Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Duration Property

Gets the duration of the frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan duration = audioBeamFrame.Duration;

TIMESPAN duration = audioBeamFrame->GetDuration();

TIMESPAN duration = audioBeamFrame->GetDuration();

var duration: TimeSpan;
duration := audioBeamFrame.Duration;

long duration = audioBeamFrame.getDuration();

Dim duration As TimeSpan
duration = audioBeamFrame.Duration

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamFrame


AudioBeamFrame RelativeTimeStart Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTimeStart Property

Gets the unique relative time at which the subframe was captured.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = audioBeamFrame.RelativeTimeStart;

TIMESPAN relativeTime = audioBeamFrame->GetRelativeTimeStart();

TIMESPAN relativeTime = audioBeamFrame->GetRelativeTimeStart();

var relativeTime: TimeSpan;
relativeTime := audioBeamFrame.RelativeTimeStart;

long relativeTime = audioBeamFrame.getRelativeTimeStart();

Dim relativeTime As TimeSpan
relativeTime = audioBeamFrame.RelativeTimeStart

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamFrame


AudioBeamFrame SubFrames Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

SubFrames Property

Gets the list of the subframes available in this frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBeamSubFrameCollection subFrames = audioBeamFrame.SubFrames;

CAudioBeamSubFrameCollection* subFrames = audioBeamFrame->GetSubFrames();

CAudioBeamSubFrameCollection* subFrames = audioBeamFrame->GetSubFrames();

var subFrames: TAudioBeamSubFrameCollection;
subFrames := audioBeamFrame.SubFrames;

AudioBeamSubFrameCollection subFrames = audioBeamFrame.getSubFrames();

Dim subFrames As AudioBeamSubFrameCollection
subFrames = audioBeamFrame.SubFrames

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamFrame AudioBeamSubFrameCollection


AudioBeamFrameArrived Event

Event that is raised when a body frame arrives.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

private void AudioBeamFrameArrivedCallback(object sender, Chant.KinesicsKit.AudioBeamFrameArrivedEventArgs e)
{

// Event handler code goes here

}

void CALLBACK AudioBeamFrameArrivedCallback(CAudioBeamFrameReference* audioBeamFrameReference)
{

// Event handler code goes here

}

void CALLBACK AudioBeamFrameArrivedCallback(CAudioBeamFrameReference* audioBeamFrameReference)
{

// Event handler code goes here

}

procedure AudioBeamFrameArrivedCallback(audioBeamFrameReference: TAudioBeamFrameReference); begin

// Event handler code goes here

end;

public void frameArrived(AudioBeamFrameReference audioBeamFrameReference)
{

// Event handler code goes here

}

Private Sub AudioBeamFrameArrivedCallback(ByVal sender As System.Object, ByVal e As Chant.KinesicsKit.FrameArrivedEventArgs) Handles MyAudioBeamFrameReader.AudioBeamFrameArrived

' Event handler code goes here

End Sub

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


AudioBeamFrameArrivedEventArgs Class

Arguments for an audio beam frame reader's FrameArrived event.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameReference | Gets the reference to the audio beam frame for the FrameArrived event.

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


AudioBeamFrameArrivedEventArgs AudioBeamFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameReference Property

Gets the reference to the audio beam frame for the FrameArrived event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBeamFrameReference audioBeamFrameReference = audioBeamFrameArrivedEventArgs.FrameReference;

CAudioBeamFrameReference* audioBeamFrameReference = audioBeamFrameArrivedEventArgs->GetFrameReference();

CAudioBeamFrameReference* audioBeamFrameReference = audioBeamFrameArrivedEventArgs->GetFrameReference();

var audioBeamFrameReference: TAudioBeamFrameReference;
audioBeamFrameReference := audioBeamFrameArrivedEventArgs.FrameReference;

AudioBeamFrameReference audioBeamFrameReference = audioBeamFrameArrivedEventArgs.getFrameReference();

Dim audioBeamFrameReference As AudioBeamFrameReference
audioBeamFrameReference = audioBeamFrameArrivedEventArgs.FrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamFrameArrivedEventArgs
AudioBeamFrameReference


AudioBeamFrameList Class

Contains a collection of audio beam frames.

Collapse/Expand Remarks section Remarks

AudioBeamFrameList are obtained via the AudioBeamFrameReader AcquireLatestBeamFrames method.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | OpenAudioBeamFrame | Returns the AudioBeamFrame within the list.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | BeamCount | Gets the number of AudioBeamFrames.

Collapse/Expand See Also section See Also

AudioBeamFrame AudioBeamFrameReader


AudioBeamFrameList BeamCount Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BeamCount Property

Gets the number of AudioBeamFrames.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint beamCount = audioBeamFrameList.BeamCount;

unsigned int beamCount = audioBeamFrameList->GetBeamCount();

unsigned int beamCount = audioBeamFrameList->GetBeamCount();

var beamCount: LongWord;
beamCount := audioBeamFrameList.BeamCount;

int beamCount = audioBeamFrameList.getBeamCount();

Dim beamCount As UInteger
beamCount = audioBeamFrameList.BeamCount

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamFrameList


AudioBeamFrameList OpenAudioBeamFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

OpenAudioBeamFrame Method

Returns the AudioBeamFrame within the list.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBeamFrame audioBeamFrame = audioBeam.OpenAudioBeamFrame(index);

CAudioBeamFrame* audioBeamFrame = audioBeam->OpenAudioBeamFrame(index);

CAudioBeamFrame* audioBeamFrame = audioBeam->OpenAudioBeamFrame(index);

var audioBeamFrame: TAudioBeamFrame;
audioBeamFrame := audioBeam.OpenAudioBeamFrame(index);

AudioBeamFrame audioBeamFrame = audioBeam.openAudioBeamFrame(index);

Dim audioBeamFrame As AudioBeamFrame
audioBeamFrame = audioBeam.OpenAudioBeamFrame(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Return Value

AudioBeamFrame. The audio audioBeamFrame.

Collapse/Expand See Also section See Also

AudioBeamFrame
AudioBeamFrameList


AudioBeamFrameReader Class

Represents an audio beam frame reader.

Collapse/Expand Remarks section Remarks

AudioBeamFrameReader objects are obtained via the AudioSource OpenReader method.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameArrived | Event that fires when a new frame is ready.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireLatestBeamFrames | Acquires the list of the latest available beam frames.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | AudioSource | Gets the audio source for this frame.
Public property | IsPaused | Gets or sets the reader pause state.

Collapse/Expand See Also section See Also

AudioBeamFrameList
AudioSource


AudioBeamFameReader AcquireLatestBeamFrames Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireLatestBeamFrames Method

Acquires the list of the latest available beam frames.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBeamFrameList audioBeamFrames = audioBeamFrameReader.AcquireLatestBeamFrames();

CAudioBeamFrameList* audioBeamFrames = audioBeamFrameReader->AcquireLatestBeamFrames();

CAudioBeamFrameList* audioBeamFrames = audioBeamFrameReader->AcquireLatestBeamFrames();

var audioBeamFrames: AudioBeamFrameList;
audioBeamFrames := audioBeamFrameReader.AcquireLatestBeamFrames();

AudioBeamFrameList audioBeamFrames = audioBeamFrameReader.acquireLatestBeamFrames();

Dim audioBeamFrames As AudioBeamFrameList
audioBeamFrames = audioBeamFrameReader.AcquireLatestBeamFrames()

Return Value

AudioBeamFrameList. The list of audio beam frames.

Collapse/Expand See Also section See Also

AudioBeamFrameReader


AudioBeamFameReader AudioSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AudioSource Property

Gets the audio source for this frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioSource audioSource = audioBeamFameReader.AudioSource;

CAudioSource* audioSource = audioBeamFameReader->GetAudioSource();

CAudioSource* audioSource = audioBeamFameReader->GetAudioSource();

var audioSource: TAudioSource;
audioSource := audioBeamFameReader.AudioSource;

AudioSource audioSource = audioBeamFameReader.getAudioSource();

Dim audioSource As AudioSource
audioSource = audioBeamFameReader.AudioSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamFrameReader
AudioSource


AudioBeamFrameReader IsPaused Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsPaused Property

Gets or sets the reader pause state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isPaused = audioBeamFrameReader.IsPaused;
audioBeamFrameReader.IsPaused = value;

bool isPaused = audioBeamFrameReader->GetIsPaused();
audioBeamFrameReader->SetIsPaused(value);

bool isPaused = audioBeamFrameReader->GetIsPaused();
audioBeamFrameReader->SetIsPaused(value);

var isPaused: Boolean;
isPaused := audioBeamFrameReader.IsPaused;
audioBeamFrameReader.IsPaused := value;

boolean isPaused = audioBeamFrameReader.getIsPaused();
audioBeamFrameReader.setIsPaused(value);

Dim isPaused As Boolean
isPaused = audioBeamFrameReader.IsPaused
audioBeamFrameReader.IsPaused = value

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamFrameReader


AudioBeamFameReader RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a FrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

audioBeamFrameReader.FrameArrived += frameArrivedCallback;
audioBeamFrameReader.PropertyChanged += propertyChangedCallback;

audioBeamFrameReader->RegisterCallback(frameArrivedCallback);
audioBeamFrameReader->RegisterCallback(propertyChangedCallback);

audioBeamFrameReader->RegisterCallback(frameArrivedCallback);
audioBeamFrameReader->RegisterCallback(propertyChangedCallback);

audioBeamFrameReader.RegisterCallback(frameArrivedCallback);
audioBeamFrameReader.RegisterCallback(propertyChangedCallback);

audioBeamFrameReader.registerCallback(frameArrivedCallback);
audioBeamFrameReader.registerCallback(propertyChangedCallback);

AddHandler audioBeamFrameReader.FrameArrived, AddressOf frameArrivedCallback
AddHandler audioBeamFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameArrivedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameArrived interface (Java). Event handler that implements the FrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameArrived events occur when an AudioBeamFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

AudioBeamFrameReader
UnregisterCallback


AudioBeamFrameReader UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a FrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

audioBeamFrameReader.FrameArrived -= frameArrivedCallback;
audioBeamFrameReader.PropertyChanged -= propertyChangedCallback;

audioBeamFrameReader->UnregisterCallback(frameArrivedCallback);
audioBeamFrameReader->UnregisterCallback(propertyChangedCallback);

audioBeamFrameReader->UnregisterCallback(frameArrivedCallback);
audioBeamFrameReader->UnregisterCallback(propertyChangedCallback);

audioBeamFrameReader.UnregisterCallback(frameArrivedCallback);
audioBeamFrameReader.UnregisterCallback(propertyChangedCallback);

audioBeamFrameReader.unregisterCallback(frameArrivedCallback);
audioBeamFrameReader.unregisterCallback(propertyChangedCallback);

RemoveHandler audioBeamFrameReader.FrameArrived, AddressOf frameArrivedCallback
RemoveHandler audioBeamFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameArrivedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameArrived interface (Java). Event handler that implements the FrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

AudioBeamFrameReader
RegisterCallback


AudioBeamFrameReference Class

Represents an audio frame reference.

Collapse/Expand Remarks section Remarks

AudioBeamFrameReference objects are obtained via the ChantKMEvent AudioBeamFrameReference property.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireBeamFrames | Acquires the beam frame list held by this reference.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | RelativeTime | Gets the unique relative time at which this frame was produced.

Collapse/Expand See Also section See Also

AudioBeamFrameList
ChantKMEvent


AudioBeamFrameReference AcquireBeamFrames Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireBeamFrames Method

Acquires the beam frame list held by this reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBeamFrameList audioBeamFrames = audioBeamFrameReference.AcquireBeamFrames();

CAudioBeamFrameList* audioBeamFrames = audioBeamFrameReference->AcquireBeamFrames();

CAudioBeamFrameList* audioBeamFrames = audioBeamFrameReference->AcquireBeamFrames();

var audioBeamFrames: AudioBeamFrameList;
audioBeamFrames := audioBeamFrameReference.AcquireBeamFrames();

AudioBeamFrameList audioBeamFrames = audioBeamFrameReference.acquireBeamFrames();

Dim audioBeamFrames As AudioBeamFrameList
audioBeamFrames = audioBeamFrameReference.AcquireBeamFrames()

Return Value

AudioBeamFrameList. The list of audio beam frames.

Collapse/Expand See Also section See Also

AudioBeamFrameReference


AudioBeamFrameReference RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Gets the unique relative time at which this frame was produced.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = audioBeamFrameReference.RelativeTime;

TIMESPAN relativeTime = audioBeamFrameReference->GetRelativeTime();

TIMESPAN relativeTime = audioBeamFrameReference->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := audioBeamFrameReference.RelativeTime;

long relativeTime = audioBeamFrameReference.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = audioBeamFrameReference.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamFrameReference


AudioBeamList Class

Contains a collection of audio beams.

Collapse/Expand Remarks section Remarks

AudioBeamLists are obtained via the AudioSource AudioBeams property.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | OpenAudioBeam | Returns the AudioBeam within the list.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | BeamCount | Gets the number of AudioBeams.

Collapse/Expand See Also section See Also

AudioBeam
AudioSource


AudioBeamList BeamCount Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BeamCount Property

Gets the number of AudioBeams.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint beamCount = audioBeamList.BeamCount;

unsigned int beamCount = audioBeamList->GetBeamCount();

unsigned int beamCount = audioBeamList->GetBeamCount();

var beamCount: LongWord;
beamCount := audioBeamList.BeamCount;

int beamCount = audioBeamList.getBeamCount();

Dim beamCount As UInteger
beamCount = audioBeamList.BeamCount

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamList


AudioBeamList OpenAudioBeam Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

OpenAudioBeam Method

Returns the AudioBeam within the list.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBeam audioBeam = audioBeam.OpenAudioBeam(index);

CAudioBeam* audioBeam = audioBeam->OpenAudioBeam(index);

CAudioBeam* audioBeam = audioBeam->OpenAudioBeam(index);

var audioBeam: TAudioBeam;
audioBeam := audioBeam.OpenAudioBeam(index);

AudioBeam audioBeam = audioBeam.openAudioBeam(index);

Dim audioBeam As AudioBeam
audioBeam = audioBeam.OpenAudioBeam(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Return Value

AudioBeam. The audio audioBeam.

Collapse/Expand See Also section See Also

AudioBeam
AudioBeamList


AudioBeamSubFrame Class

A sample of the audio data from one of the 4 available AudioBeams (microphone audio source) in the Kinect sensor.

Collapse/Expand Remarks section Remarks

AudioBeamSubFrame objects are obtained via the AudioBeamFrame SubFrames property.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AccessUnderlyingBuffer | Returns the size and a pointer to audio beam sub frame data.
Public method | CopyFrameDataToArray | Copies the audio beam sub frame data to a byte array.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | AudioBeamMode | Gets the audio beam mode.
Public property | AudioBodyCorrelations | Gets the list of the AudioBodyCorrelation objects available in ths subframe.
Public property | BeamAngle | Gets the angle (in radians) of the audio beam.
Public property | BeamAngleConfidence | Gets the confidence in the beam angle.
Public property | Duration | Gets the duration of the subframe.
Public property | FrameLengthInBytes | Gets the size in bytes of the audio subframe buffer.
Public property | RelativeTime | Gets the unique relative time at which the subframe was captured.

Collapse/Expand See Also section See Also

AudioBeamFrame
AudioBeamSubFrameCollection


AudioBeamSubFrame AccessUnderlyingBuffer Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AccessUnderlyingBuffer Method

Returns the size and a pointer to audio beam sub frame data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

audioBeamSubFrame.AccessUnderlyingBuffer(capacity, buffer);

audioBeamSubFrame->AccessUnderlyingBuffer(capacity, buffer);

audioBeamSubFrame->AccessUnderlyingBuffer(capacity, buffer);

audioBeamSubFrame.AccessUnderlyingBuffer(capacity, buffer);

audioBeamSubFrame.accessUnderlyingBuffer(capacity, buffer);

audioBeamSubFrame.AccessUnderlyingBuffer(capacity, buffer)

Parameters

capacity

unsigned integer. When this method returns, contains the size of the frame data buffer in bytes.

buffer

Pointer. When this method returns, it contains the pointer to the frame data.

Collapse/Expand See Also section See Also

AudioBeamSubFrame


AudioBeamSubFrame AudioBeamMode Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AudioBeamMode Property

Gets the audio beam mode.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBeamMode eAudioBeamMode = audioBeamSubFrame.AudioBeamMode;

AudioBeamMode eAudioBeamMode = audioBeamSubFrame->GetAudioBeamMode();

AudioBeamMode eAudioBeamMode = audioBeamSubFrame->GetAudioBeamMode();

var eAudioBeamMode: AudioBeamMode;
eAudioBeamMode := audioBeamSubFrame.AudioBeamMode;

int eAudioBeamMode = audioBeamSubFrame.getAudioBeamMode();

Dim eAudioBeamMode As AudioBeamMode
eAudioBeamMode = audioBeamSubFrame.AudioBeamMode

Collapse/Expand Remarks section Remarks

The AudioBeamMode is the type of beam angle. The propert is read only.

Collapse/Expand See Also section See Also

AudioBeam AudioBeamMode


AudioBeamSubFrame AudioBodyCorrelations Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AudioBodyCorrelations Property

Gets the list of the AudioBodyCorrelation objects available in ths subframe.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBodyCorrelationCollection audioBodyCorrelations = audioBeamSubFrame.AudioBodyCorrelations;

CAudioBodyCorrelationCollection* audioBodyCorrelations = audioBeamSubFrame->GetAudioBodyCorrelations();

CAudioBodyCorrelationCollection* audioBodyCorrelations = audioBeamSubFrame->GetAudioBodyCorrelations();

var audioBodyCorrelations: TAudioBodyCorrelationCollection;
audioBodyCorrelations := audioBeamSubFrame.AudioBodyCorrelations;

AudioBodyCorrelationCollection audioBodyCorrelations = audioBeamSubFrame.getAudioBodyCorrelations();

Dim audioBodyCorrelations As AudioBodyCorrelationCollection
audioBodyCorrelations = audioBeamSubFrame.AudioBodyCorrelations

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamSubFrame
AudioBodyCorrelationCollection


AudioBeamSubFrame BeamAngle Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BeamAngle Property

Gets the angle (in radians) of the audio beam. The angle is the direction from which the sensor is actively listening.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

float beamAngle = audioBeamSubFrame.BeamAngle;

float beamAngle = audioBeamSubFrame->GetBeamAngle();

float beamAngle = audioBeamSubFrame->GetBeamAngle();

var beamAngle: Single;
beamAngle := audioBeamSubFrame.BeamAngle;

float beamAngle = audioBeamSubFrame.getBeamAngle();

Dim beamAngle As Single
beamAngle = audioBeamSubFrame.BeamAngle

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamSubFrame


AudioBeamSubFrame BeamAngleConfidence Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BeamAngleConfidence Property

Gets the confidence in the beam angle. The confidence range is 0.0 to 1.0 where 1.0 is the highest possible confidence.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

float beamAngle = audioBeamSubFrame.BeamAngleConfidence;

float beamAngle = audioBeamSubFrame->GetBeamAngleConfidence();

float beamAngle = audioBeamSubFrame->GetBeamAngleConfidence();

var beamAngle: Single;
beamAngle := audioBeamSubFrame.BeamAngleConfidence;

float beamAngle = audioBeamSubFrame.getBeamAngleConfidence();

Dim beamAngle As Single
beamAngle = audioBeamSubFrame.BeamAngleConfidence

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamSubFrame


AudioBeamSubFrame CopyFrameDataToArray Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

CopyFrameDataToArray Method

Copies the audio beam sub frame data to a byte array.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

audioBeamSubFrame.CopyFrameDataToArray(frameData);

audioBeamSubFrame->CopyFrameDataToArray(capacity, frameData);

audioBeamSubFrame->CopyFrameDataToArray(capacity, frameData);

audioBeamSubFrame.CopyFrameDataToArray(capacity, frameData);

audioBeamSubFrame.copyFrameDataToArray(frameData);

audioBeamSubFrame.CopyFrameDataToArray(frameData)

Parameters

capacity

unsigned integer. The length of the array.

frameData

Byte array. The array to which to copy the sub frame data.

Collapse/Expand See Also section See Also

AudioBeamSubFrame


AudioBeamSubFrame Duration Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Duration Property

Gets the duration of the subframe.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan duration = audioBeamSubFrame.Duration;

TIMESPAN duration = audioBeamSubFrame->GetDuration();

TIMESPAN duration = audioBeamSubFrame->GetDuration();

var duration: TimeSpan;
duration := audioBeamSubFrame.Duration;

long duration = audioBeamSubFrame.getDuration();

Dim duration As TimeSpan
duration = audioBeamSubFrame.Duration

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamSubFrame


AudioBeamSubFrame FrameLengthInBytes Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameLengthInBytes Property

Gets the size in bytes of the audio subframe buffer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint frameLength = audioBeamSubFrame.FrameLengthInBytes;

unsigned int frameLength = audioBeamSubFrame->GetFrameLengthInBytes();

unsigned int frameLength = audioBeamSubFrame->GetFrameLengthInBytes();

var frameLength: LongWord;
frameLength := audioBeamSubFrame.FrameLengthInBytes;

int frameLength = audioBeamSubFrame.getFrameLengthInBytes();

Dim frameLength As UInteger
frameLength = audioBeamSubFrame.FrameLengthInBytes

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamSubFrame


AudioBeamSubFrame RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Gets the unique relative time at which the subframe was captured.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = audioBeamSubFrame.RelativeTime;

TIMESPAN relativeTime = audioBeamSubFrame->GetRelativeTime();

TIMESPAN relativeTime = audioBeamSubFrame->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := audioBeamSubFrame.RelativeTime;

long relativeTime = audioBeamSubFrame.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = audioBeamSubFrame.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamSubFrame


AudioBeamSubFrameCollection Class

Contains a collection of AudioBeamSubFrames.

Collapse/Expand Remarks section Remarks

AudioBeamSubFrameCollections are obtained via the AudioBeamFrame SubFrames property.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | AudioBeamSubFrame | Gets the AudioBeamSubFrame within the collection.
Public property | Count | Gets the number of AudioBeamSubFrames.

Collapse/Expand See Also section See Also

AudioBeamFrame
AudioBeamSubFrame


AudioBeamSubFrameCollection AudioBeamSubFrame Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AudioBeamSubFrame Property

Gets the AudioBeamSubFrame within the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBeamSubFrame audioBeamSubFrame = audioBeamSubFrameCollection.AudioBeamSubFrame[index];

CAudioBeamSubFrame* audioBeamSubFrame = audioBeamSubFrameCollection->GetAudioBeamSubFrame(index);

CAudioBeamSubFrame* audioBeamSubFrame = audioBeamSubFrameCollection->GetAudioBeamSubFrame(index);

var audioBeamSubFrame: TAudioBeamSubFrame;
audioBeamSubFrame := audioBeamSubFrameCollection.AudioBeamSubFrame[index];

AudioBeamSubFrame audioBeamSubFrame = audioBeamSubFrameCollection.getAudioBeamSubFrame(index);

Dim audioBeamSubFrame As AudioBeamSubFrame
audioBeamSubFrame = audioBeamSubFrameCollection.AudioBeamSubFrame[index]

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamSubFrameCollection
AudioBeamSubFrame


AudioBeamSubFrameCollection Count Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Count Property

Gets the number of AudioBeamSubFrames.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint count = audioBeamSubFrameCollection.Count;

unsigned int count = audioBeamSubFrameCollection->GetCount();

unsigned int count = audioBeamSubFrameCollection->GetCount();

var count: LongWord;
count := audioBeamSubFrameCollection.Count;

int count = audioBeamSubFrameCollection.getCount();

Dim count As UInteger
count = audioBeamSubFrameCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBeamSubFrameCollection


AudioBodyCorrelation Class

A correlation between an audio frame and a unique body tracking id.

Collapse/Expand Remarks section Remarks

AudioBodyCorrelation objects are obtained via the AudioBeamSubFrame AudioBodyCorrelations property.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | BodyTrackingId | Gets the unique body tracking id associated with this subframe.

Collapse/Expand See Also section See Also

AudioBodyCorrelationCollection
AudioBeamSubFrame


AudioBodyCorrelation BodyTrackingId Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BodyTrackingId Property

Gets the unique body tracking id associated with this subframe.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ulong bodyTrackingID = audioBodyCorrelation.BodyTrackingId;

unsigned long long bodyTrackingID = audioBodyCorrelation->GetBodyTrackingId();

unsigned long long bodyTrackingID = audioBodyCorrelation->GetBodyTrackingId();

var bodyTrackingID: Int64;
bodyTrackingID := audioBodyCorrelation.BodyTrackingId;

long bodyTrackingID = audioBodyCorrelation.getBodyTrackingId();

Dim bodyTrackingID As ULong
bodyTrackingID = audioBodyCorrelation.BodyTrackingId

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBodyCorrelation


AudioBodyCorrelationCollection Class

Contains a collection of AudioBodyCorrelations.

Collapse/Expand Remarks section Remarks

AudioBodyCorrelationCollections are obtained via the AudioBeamSubFrame AudioBodyCorrelations property.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | AudioBodyCorrelation | The AudioBodyCorrelation within the collection.
Public property | Count | The number of AudioBodyCorrelations.

Collapse/Expand See Also section See Also

AudioBodyCorrelation
AudioBeamSubFrame


AudioBodyCorrelationCollection AudioBodyCorrelation Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AudioBodyCorrelation Property

Gets the AudioBodyCorrelation within the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBodyCorrelation audioBodyCorrelation = audioBodyCorrelationCollection.AudioBodyCorrelation[index];

CAudioBodyCorrelation* audioBodyCorrelation = audioBodyCorrelationCollection->GetAudioBodyCorrelation(index);

CAudioBodyCorrelation* audioBodyCorrelation = audioBodyCorrelationCollection->GetAudioBodyCorrelation(index);

var audioBodyCorrelation: TAudioBodyCorrelation;
audioBodyCorrelation := audioBodyCorrelationCollection.AudioBodyCorrelation[index];

AudioBodyCorrelation audioBodyCorrelation = audioBodyCorrelationCollection.getAudioBodyCorrelation(index);

Dim audioBodyCorrelation As AudioBodyCorrelation
audioBodyCorrelation = audioBodyCorrelationCollection.AudioBodyCorrelation[index]

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBodyCorrelationCollection
AudioBodyCorrelation


AudioBodyCorrelationCollection Count Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Count Property

Gets the number of AudioBodyCorrelations.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint count = audioBodyCorrelationCollection.Count;

unsigned int count = audioBodyCorrelationCollection->GetCount();

unsigned int count = audioBodyCorrelationCollection->GetCount();

var count: LongWord;
count := audioBodyCorrelationCollection.Count;

int count = audioBodyCorrelationCollection.getCount();

Dim count As UInteger
count = audioBodyCorrelationCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioBodyCorrelationCollection


AudioSource Class

Represents an audio frame source.

Collapse/Expand Remarks section Remarks

AudioSource objects are obtained via the KinectSensor AudioSource property.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameCaptured | Event that fires when a new frame has been captured.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | OpenReader | Creates and returns a new reader object. This will activate the source if not already active.
Public method | RegisterCallback | Registers for a callback event.
Public method | UnregisterCallback | Unregisters for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | AudioBeams | Acquires the list of audio beams.
Public property | AudioCalibrationState | Gets the audio calibration state.
Public property | IsActive | Gets whether this source has any active (unpaused) readers.
Public property | KinectSensor | Gets the KinectSensor with which this source is associated.
Public property | MaxSubFrameCount | Gets the maximum number of audio subframes in an audio frame.
Public property | SubFrameDuration | Gets the audio subframe duration.
Public property | SubFrameLengthInBytes | Gets the size in bytes of the audio subframe buffer.

Collapse/Expand See Also section See Also

AudioBeamFrameReader
AudioBeamList
KinectSensor


AudioSource AudioBeams Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AudioBeams Property

Acquires the list of audio beams.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBeamList audioBeams = audioSource.AudioBeams;

CAudioBeamList* audioBeams = audioSource->GetAudioBeams();

CAudioBeamList* audioBeams = audioSource->GetAudioBeams();

var audioBeams: TAudioBeamList;
audioBeams := audioSource.AudioBeams;

AudioBeamList audioBeams = audioSource.getAudioBeams();

Dim audioBeams As AudioBeamList
audioBeams = audioSource.AudioBeams

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioSource
AudioBeamList


AudioSource AudioCalibrationState Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AudioCalibrationState Property

Gets the audio calibration state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

KinectAudioCalibrationState eKinectAudioCalibrationState = audioSource.AudioCalibrationState;

KinectAudioCalibrationState eKinectAudioCalibrationState = audioSource->GetAudioCalibrationState();

KinectAudioCalibrationState eAudioCalibrationState = audioSource->GetAudioCalibrationState();

var eKinectAudioCalibrationState: KinectAudioCalibrationState;
eKinectAudioCalibrationState := audioSource.AudioCalibrationState;

int eKinectAudioCalibrationState = audioSource.getAudioCalibrationState();

Dim eKinectAudioCalibrationState As KinectAudioCalibrationState
eKinectAudioCalibrationState = audioSource.AudioCalibrationState

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioSource KinectAudioCalibrationState


AudioSource IsActive Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsActive Property

Gets whether this source has any active (unpaused) readers.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isActive = audioSource.IsActive;

bool isActive = audioSource->GetIsActive();

bool isActive = audioSource->GetIsActive();

var isActive: Boolean;
isActive := audioSource.IsActive;

boolean isActive = audioSource.getIsActive();

Dim isActive As Boolean
isActive = audioSource.IsActive

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioSource


AudioSource KinectSensor Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

KinectSensor Property

Gets the KinectSensor with which this source is associated

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

KinectSensor kinectSensor = audioSource.KinectSensor;

CKinectSensor* kinectSensor = audioSource->GetKinectSensor();

CKinectSensor* kinectSensor = audioSource->GetKinectSensor();

var kinectSensor: TKinectSensor;
kinectSensor := audioSource.KinectSensor;

KinectSensor kinectSensor = audioSource.getKinectSensor();

Dim kinectSensor As KinectSensor
kinectSensor = audioSource.KinectSensor

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioSource
KinectSensor


AudioSource MaxSubFrameCount Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

MaxSubFrameCount Property

Gets the number of AudioBeamFrames.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint maxSubFrameCount = audioSource.MaxSubFrameCount;

unsigned int maxSubFrameCount = audioSource->GetMaxSubFrameCount();

unsigned int maxSubFrameCount = audioSource->GetMaxSubFrameCount();

var maxSubFrameCount: LongWord;
maxSubFrameCount := audioSource.MaxSubFrameCount;

int maxSubFrameCount = audioSource.getMaxSubFrameCount();

Dim maxSubFrameCount As UInteger
maxSubFrameCount = audioSource.MaxSubFrameCount

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioSource


AudioSource OpenReader Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

OpenReader Method

Returns the AudioBeamFrameReader within the list.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBeamFrameReader audioBeamFrameReader = audioSource.OpenReader();

CAudioBeamFrameReader* audioBeamFrameReader = audioSource->OpenReader();

CAudioBeamFrameReader* audioBeamFrameReader = audioSource->OpenReader();

var audioBeamFrameReader: TAudioBeamFrameReader;
audioBeamFrameReader := audioSource.OpenReader();

AudioBeamFrameReader audioBeamFrameReader = audioSource.openReader();

Dim audioBeamFrameReader As AudioBeamFrameReader
audioBeamFrameReader = audioSource.OpenReader()

Return Value

AudioBeamFrameReader. The audio audioBeamFrameReader.

Collapse/Expand See Also section See Also

AudioBeamFrameReader
AudioSource


AudioSource SubFrameDuration Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

SubFrameDuration Property

Gets the audio subframe duration.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan subFrameDuration = audioSource.SubFrameDuration;

TIMESPAN subFrameDuration = audioSource->GetSubFrameDuration();

TIMESPAN subFrameDuration = audioSource->GetSubFrameDuration();

var subFrameDuration: TimeSpan;
subFrameDuration := audioSource.SubFrameDuration;

long subFrameDuration = audioSource.getSubFrameDuration();

Dim subFrameDuration As TimeSpan
subFrameDuration = audioSource.SubFrameDuration

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioSource


AudioSource SubFrameLengthInBytes Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

SubFrameLengthInBytes Property

Gets the size in bytes of the audio subframe buffer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint subFrameLengthInBytes = audioSource.SubFrameLengthInBytes;

unsigned int subFrameLengthInBytes = audioSource->GetSubFrameLengthInBytes();

unsigned int subFrameLengthInBytes = audioSource->GetSubFrameLengthInBytes();

var subFrameLengthInBytes: LongWord;
subFrameLengthInBytes := audioSource.SubFrameLengthInBytes;

int subFrameLengthInBytes = audioSource.getSubFrameLengthInBytes();

Dim subFrameLengthInBytes As UInteger
subFrameLengthInBytes = audioSource.SubFrameLengthInBytes

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioSource


Body Class

Represents a single body.

Collapse/Expand Remarks section Remarks

Body objects are obtained via the BodyFrame GetAndRefreshBodyData method.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ClippedEdges | Gets the edges of the field of view that clip the body.
Public property | HandLeftConfidence | Gets the confidence of the body's left hand state.
Public property | HandLeftState | Gets the status of the body's left hand state.
Public property | HandRightConfidence | Gets the confidence of the body's right hand state.
Public property | HandRightState | Gets the status of the body's right hand state.
Public property | IsRestricted | Gets whether or not the body is restricted.
Public property | IsTracked | Gets whether or not the body is tracked.
Public property | JointOrientations | Gets the joint orientations of the body.
Public property | Joints | Gets the joint positions of the body.
Public property | Lean | Gets the lean vector of the body.
Public property | LeanTrackingState | Gets the tracking state for the body lean.
Public property | TrackingId | Gets the tracking ID for the body.

Collapse/Expand See Also section See Also

BodyFrame


Body ClippedEdges Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

ClippedEdges Property

Gets the audio calibration state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameEdges eFrameEdges = body.ClippedEdges;

FrameEdges eFrameEdges = body->GetClippedEdges();

FrameEdges eClippedEdges = body->GetClippedEdges();

var eFrameEdges: FrameEdges;
eFrameEdges := body.ClippedEdges;

int eFrameEdges = body.getClippedEdges();

Dim eFrameEdges As FrameEdges
eFrameEdges = body.ClippedEdges

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

Body FrameEdges


Body HandLeftConfidence Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

HandLeftConfidence Property

Gets the confidence of the body's left hand state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TrackingConfidence eTrackingConfidence = body.HandLeftConfidence;

TrackingConfidence eTrackingConfidence = body->GetHandLeftConfidence();

TrackingConfidence eHandLeftConfidence = body->GetHandLeftConfidence();

var eTrackingConfidence: TrackingConfidence;
eTrackingConfidence := body.HandLeftConfidence;

int eTrackingConfidence = body.getHandLeftConfidence();

Dim eTrackingConfidence As TrackingConfidence
eTrackingConfidence = body.HandLeftConfidence

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

Body
TrackingConfidence


Body HandLeftState Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

HandLeftState Property

Gets the status of the body's left hand state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

HandState eHandState = body.HandLeftState;

HandState eHandState = body->GetHandLeftState();

HandState eHandLeftState = body->GetHandLeftState();

var eHandState: HandState;
eHandState := body.HandLeftState;

int eHandState = body.getHandLeftState();

Dim eHandState As HandState
eHandState = body.HandLeftState

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

Body
HandState


Body HandRightConfidence Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

HandRightConfidence Property

Gets the confidence of the body's right hand state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TrackingConfidence eTrackingConfidence = body.HandRightConfidence;

TrackingConfidence eTrackingConfidence = body->GetHandRightConfidence();

TrackingConfidence eHandRightConfidence = body->GetHandRightConfidence();

var eTrackingConfidence: TrackingConfidence;
eTrackingConfidence := body.HandRightConfidence;

int eTrackingConfidence = body.getHandRightConfidence();

Dim eTrackingConfidence As TrackingConfidence
eTrackingConfidence = body.HandRightConfidence

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

Body
TrackingConfidence


Body HandRightState Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

HandRightState Property

Gets the status of the body's right hand state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

HandState eHandState = body.HandRightState;

HandState eHandState = body->GetHandRightState();

HandState eHandRightState = body->GetHandRightState();

var eHandState: HandState;
eHandState := body.HandRightState;

int eHandState = body.getHandRightState();

Dim eHandState As HandState
eHandState = body.HandRightState

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

Body
HandState


Body IsRestricted Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsRestricted Property

Gets whether or not the body is restricted.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isActive = body.IsRestricted;

bool isActive = body->GetIsRestricted();

bool isActive = body->GetIsRestricted();

var isActive: Boolean;
isActive := body.IsRestricted;

boolean isActive = body.getIsRestricted();

Dim isActive As Boolean
isActive = body.IsRestricted

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

Body


Body IsTracked Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsTracked Property

Gets whether or not the body is tracked.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isTracked = body.IsTracked;

bool isTracked = body->GetIsTracked();

bool isTracked = body->GetIsTracked();

var isTracked: Boolean;
isTracked := body.IsTracked;

boolean isTracked = body.getIsTracked();

Dim isTracked As Boolean
isTracked = body.IsTracked

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

Body


Body JointOrientations Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

JointOrientations Property

Gets the joint orientations of the body.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

JointOrientationCollection jointOrientations = body.JointOrientations;

CJointOrientationCollection* jointOrientations = body->GetJointOrientations();

CJointOrientationCollection* jointOrientations = body->GetJointOrientations();

var jointOrientations: TJointOrientationCollection;
jointOrientations := body.JointOrientations;

JointOrientationCollection jointOrientations = body.getJointOrientations();

Dim jointOrientations As JointOrientationCollection
jointOrientations = body.JointOrientations

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

Body
JointOrientationCollection


Body Joints Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Joints Property

Gets the joint positions of the body.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

JointCollection joints = body.Joints;

CJointCollection* joints = body->GetJoints();

CJointCollection* joints = body->GetJoints();

var joints: TJointCollection;
joints := body.Joints;

JointCollection joints = body.getJoints();

Dim joints As JointCollection
joints = body.Joints

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

Body
JointCollection


Body Lean Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Lean Property

Gets the lean vector of the body.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

PointF lean = body.Lean;

CPointF* lean = body->GetLean();

CPointF* lean = body->GetLean();

var lean: TPointF;
lean := body.Lean;

PointF lean = body.getLean();

Dim lean As PointF
lean = 7 body.Lean

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

Body
PointF


Body LeanTrackingState Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

LeanTrackingState Property

Gets the tracking state for the body lean.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TrackingState eTrackingState = body.LeanTrackingState;

TrackingState eTrackingState = body->GetLeanTrackingState();

TrackingState eLeanTrackingState = body->GetLeanTrackingState();

var eTrackingState: TrackingState;
eTrackingState := body.LeanTrackingState;

int eTrackingState = body.getLeanTrackingState();

Dim eTrackingState As TrackingState
eTrackingState = body.LeanTrackingState

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

Body
TrackingState


Body TrackingId Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

TrackingId Property

Gets the tracking ID for the body.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ulong trackingId = body.TrackingId;

unsigned long long trackingId = body->GetTrackingId();

unsigned long long trackingId = body->GetTrackingId();

var trackingId: Int64;
trackingId := body.TrackingId;

long trackingId = body.getTrackingId();

Dim trackingId As ULong
trackingId = body.TrackingId

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

Body


BodyFrame Class

Represents a frame that contains all the computed real-time tracking information about people that are in view of the sensor.

Collapse/Expand Remarks section Remarks

BodyFrame objects are obtained via the BodyFrameReader AcquireLatestFrame and BodyFrameReference AcquireFrame methods.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GetAndRefreshBodyData | Gets refreshed body data.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | BodyCount | Gets the number of bodies.
Public property | BodyFrameSource | Gets the source of the body frame.
Public property | FloorClipPlane | Gets the floor clip plane of the body frame in hessian normal form.
Public property | RelativeTime | Gets the unique relative time at which the frame was captured.

Collapse/Expand See Also section See Also

BodyFrameReader
BodyFrameReference


BodyFrame BodyCount Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BodyCount Property

Gets the number of bodies.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint count = bodyFrame.BodyCount;

unsigned int count = bodyFrame->GetBodyCount();

unsigned int count = bodyFrame->GetBodyCount();

var count: LongWord;
count := bodyFrame.BodyCount;

int count = bodyFrame.getBodyCount();

Dim count As UInteger
count = bodyFrame.BodyCount

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyFrame


BodyFrame BodyFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BodyFrameSource Property

Gets the source of the body frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyFrameSource bodyFrameSource = bodyFrame.BodyFrameSource;

CBodyFrameSource* bodyFrameSource = bodyFrame->GetBodyFrameSource();

CBodyFrameSource* bodyFrameSource = bodyFrame->GetBodyFrameSource();

var bodyFrameSource: TBodyFrameSource;
bodyFrameSource := bodyFrame.BodyFrameSource;

BodyFrameSource bodyFrameSource = bodyFrame.getBodyFrameSource();

Dim bodyFrameSource As BodyFrameSource
bodyFrameSource = bodyFrame.BodyFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyFrame
BodyFrameSource


BodyFrame FloorClipPlane Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FloorClipPlane Property

Gets the floor clip plane of the body frame in hessian normal form.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Vector4 floorClipPlane = bodyFrame.FloorClipPlane;

Vector4* floorClipPlane = bodyFrame->GetFloorClipPlane();

Vector4* floorClipPlane = bodyFrame->GetFloorClipPlane();

var floorClipPlane: Vector4;
floorClipPlane := bodyFrame.FloorClipPlane;

Vector4 floorClipPlane = bodyFrame.getFloorClipPlane();

Dim floorClipPlane As Vector4
floorClipPlane = bodyFrame.FloorClipPlane

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyFrame


BodyFrame GetAndRefreshBodyData Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

GetAndRefreshBodyData Method

Gets refreshed body data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bodyFrame.GetAndRefreshBodyData(capacity, bodies);

bodyFrame->GetAndRefreshBodyData(capacity, bodies);

bodyFrame->GetAndRefreshBodyData(capacity, bodies);

x bodyFrame.GetAndRefreshBodyData(capacity, bodies);

bodyFrame.getAndRefreshBodyData(capacity, bodies);

bodyFrame.GetAndRefreshBodyData(capacity, bodies)

Parameters

capacity

unsigned integer. The length of the array.

bodies

Body array. Refreshed body data.

Collapse/Expand See Also section See Also

Body
BodyFrame


BodyFrame RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Gets the unique relative time at which the frame was captured.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = bodyFrame.RelativeTime;

TIMESPAN relativeTime = bodyFrame->GetRelativeTime();

TIMESPAN relativeTime = bodyFrame->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := bodyFrame.RelativeTime;

long relativeTime = bodyFrame.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = bodyFrame.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyFrame


BodyFrameArrived Event

Event that is raised when a body frame arrives.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

private void BodyFrameArrivedCallback(object sender, Chant.KinesicsKit.BodyFrameArrivedEventArgs e)
{

// Event handler code goes here

}

void CALLBACK BodyFrameArrivedCallback(CBodyFrameReference* bodyFrameReference)
{

// Event handler code goes here

}

void CALLBACK BodyFrameArrivedCallback(CBodyFrameReference* bodyFrameReference)
{

// Event handler code goes here

}

procedure BodyFrameArrivedCallback(bodyFrameReference: TBodyFrameReference); begin

// Event handler code goes here

end;

public void frameArrived(BodyFrameReference bodyFrameReference)
{

// Event handler code goes here

}

Private Sub BodyFrameArrivedCallback(ByVal sender As System.Object, ByVal e As Chant.KinesicsKit.FrameArrivedEventArgs) Handles MyBodyFrameReader.BodyFrameArrived

' Event handler code goes here

End Sub

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


BodyFrameArrivedEventArgs Class

Arguments for a body frame reader's FrameArrived event.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameReference | Gets the reference to the body frame for the FrameArrived event.

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


BodyFrameArrivedEventArgs BodyFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameReference Property

Gets the reference to the body frame for the FrameArrived event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyFrameReference bodyFrameReference = bodyFrameArrivedEventArgs.FrameReference;

CBodyFrameReference* bodyFrameReference = bodyFrameArrivedEventArgs->GetFrameReference();

CBodyFrameReference* bodyFrameReference = bodyFrameArrivedEventArgs->GetFrameReference();

var bodyFrameReference: TBodyFrameReference;
bodyFrameReference := bodyFrameArrivedEventArgs.FrameReference;

BodyFrameReference bodyFrameReference = bodyFrameArrivedEventArgs.getFrameReference();

Dim bodyFrameReference As BodyFrameReference
bodyFrameReference = bodyFrameArrivedEventArgs.FrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyFrameArrivedEventArgs
BodyFrameReference


BodyFrameReader Class

Represents an interface to a body frame source reader.

Collapse/Expand Remarks section Remarks

BodyFrameReader objects are obtained via the BodyFrameSource OpenReader method.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameArrived | Event that fires when a new frame is ready.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireLatestFrame | Acquires the latest available frame.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | BodyFrameSource | Gets the body frame source.
Public property | IsPaused | Gets or sets the reader pause state.

Collapse/Expand See Also section See Also

BodyFrame
BodyFrameSource


BodyFrameReader AcquireLatestFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireLatestFrame Method

Acquires the latest available frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyFrame bodyFrame = bodyFrameReader.AcquireLatestFrame();

CBodyFrame* bodyFrame = bodyFrameReader->AcquireLatestFrame();

CBodyFrame* bodyFrame = bodyFrameReader->AcquireLatestFrame();

var bodyFrame: BodyFrame;
bodyFrame := bodyFrameReader.AcquireLatestFrame();

BodyFrame bodyFrame = bodyFrameReader.acquireLatestFrame();

Dim bodyFrame As BodyFrame
bodyFrame = bodyFrameReader.AcquireLatestFrame()

Return Value

BodyFrame. A valid frame, or null if no new frames are available.

Collapse/Expand Remarks section Remarks

A given reader will only return each frame once. If no new frames are available since the last call to this method, the result will be null.

Collapse/Expand See Also section See Also

BodyFrameReader


BodyFrameReader BodyFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BodyFrameSource Property

Gets the body frame source.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyFrameSource bodyFrameSource = bodyFrameReader.BodyFrameSource;

CBodyFrameSource* bodyFrameSource = bodyFrameReader->GetBodyFrameSource();

CBodyFrameSource* bodyFrameSource = bodyFrameReader->GetBodyFrameSource();

var bodyFrameSource: TBodyFrameSource;
bodyFrameSource := bodyFrameReader.BodyFrameSource;

BodyFrameSource bodyFrameSource = bodyFrameReader.getBodyFrameSource();

Dim bodyFrameSource As BodyFrameSource
bodyFrameSource = bodyFrameReader.BodyFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyFrameReader
BodyFrameSource


BodyFrameReader IsPaused Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsPaused Property

Gets or sets the reader pause state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isPaused = bodyFrameReader.IsPaused;
bodyFrameReader.IsPaused = value;

bool isPaused = bodyFrameReader->GetIsPaused();
bodyFrameReader->SetIsPaused(value);

bool isPaused = bodyFrameReader->GetIsPaused();
bodyFrameReader->SetIsPaused(value);

var isPaused: Boolean;
isPaused := bodyFrameReader.IsPaused;
bodyFrameReader.IsPaused := value;

boolean isPaused = bodyFrameReader.getIsPaused();
bodyFrameReader.setIsPaused(value);

Dim isPaused As Boolean
isPaused = bodyFrameReader.IsPaused
bodyFrameReader.IsPaused = value

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyFrameReader


BodyFrameReader RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a BodyFrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bodyFrameReader.BodyFrameArrived += bodyFrameArrivedCallback;
bodyFrameReader.PropertyChanged += propertyChangedCallback;

bodyFrameReader->RegisterCallback(bodyFrameArrivedCallback);
bodyFrameReader->RegisterCallback(propertyChangedCallback);

bodyFrameReader->RegisterCallback(bodyFrameArrivedCallback);
bodyFrameReader->RegisterCallback(propertyChangedCallback);

bodyFrameReader.RegisterCallback(bodyFrameArrivedCallback);
bodyFrameReader.RegisterCallback(propertyChangedCallback);

bodyFrameReader.registerCallback(bodyFrameArrivedCallback);
bodyFrameReader.registerCallback(propertyChangedCallback);

AddHandler bodyFrameReader.BodyFrameArrived, AddressOf bodyFrameArrivedCallback
AddHandler bodyFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

bodyFrameArrivedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the BodyFrameArrived interface (Java). Event handler that implements the BodyFrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

BodyFrameArrived events occur when an BodyBeamFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

BodyFrameReader
UnregisterCallback


BodyFrameReader UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a BodyFrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bodyFrameReader.BodyFrameArrived -= bodyFrameReaderCallback;
bodyFrameReader.PropertyChanged -= propertyChangedCallback;

bodyFrameReader->UnregisterCallback(bodyFrameReaderCallback);
bodyFrameReader->UnregisterCallback(propertyChangedCallback);

bodyFrameReader->UnregisterCallback(bodyFrameReaderCallback);
bodyFrameReader->UnregisterCallback(propertyChangedCallback);

bodyFrameReader.UnregisterCallback(bodyFrameReaderCallback);
bodyFrameReader.UnregisterCallback(propertyChangedCallback);

bodyFrameReader.unregisterCallback(bodyFrameReaderCallback);
bodyFrameReader.unregisterCallback(propertyChangedCallback);

RemoveHandler bodyFrameReader.BodyFrameArrived, AddressOf bodyFrameReaderCallback
RemoveHandler bodyFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

bodyFrameReaderCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the BodyFrameArrived interface (Java). Event handler that implements the BodyFrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

BodyFrameArrived events occur when an BodyBeamFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

BodyFrameReader
RegisterCallback


BodyFrameReference Class

Represents a body frame reference.

Collapse/Expand Remarks section Remarks

BodyFrameReference objects are obtained via the MultiSourceFrame BodyFrameReference property and ChantKMEvent BodyFrameReference property.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireFrame | Acquires the frame held by this reference.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | RelativeTime | Returns the unique relative time at which this frame was produced.

Collapse/Expand See Also section See Also

BodyFrameSource
ChantKMEvent
MultiSourceFrame


BodyFrameReference AcquireFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireFrame Method

Acquires the frame held by this reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyFrame bodyFrame = bodyFrameReference.AcquireFrame();

CBodyFrame* bodyFrame = bodyFrameReference->AcquireFrame();

CBodyFrame* bodyFrame = bodyFrameReference->AcquireFrame();

var bodyFrame: BodyFrame;
bodyFrame := bodyFrameReference.AcquireFrame();

BodyFrame bodyFrame = bodyFrameReference.acquireFrame();

Dim bodyFrame As BodyFrame
bodyFrame = bodyFrameReference.AcquireFrame()

Return Value

BodyFrame. A valid frame, or null if no new frames are available.

Collapse/Expand Remarks section Remarks

A given reader will only return each frame once. If no new frames are available since the last call to this method, the result will be null.

Collapse/Expand See Also section See Also

BodyFrame
BodyFrameReference


BodyFrameReference RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Returns the unique relative time at which this frame was produced.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = bodyFrameReference.RelativeTime;

TIMESPAN relativeTime = bodyFrameReference->GetRelativeTime();

TIMESPAN relativeTime = bodyFrameReference->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := bodyFrameReference.RelativeTime;

long relativeTime = bodyFrameReference.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = bodyFrameReference.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyFrameReference


BodyFrameSource Class

Represents a source of body frames from a KinectSensor.

Collapse/Expand Remarks section Remarks

BodyFrameSource objects are obtained via the BodyFrame BodyFrameSource, the BodyFrameReader BodyFrameSource, and the KinectSensor BodyFrameSource properties.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameCaptured | Event that fires when a new frame has been captured.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | OpenReader | Creates and returns a new reader object.
Public method | OverrideAndReplaceHandTracking | Overrides the default behavior of tracking the hands of the nearest bodies to track the hands of the specified body.
Public method | OverrideHandTracking | Override hand tracking, replacing tracking of the old id with the new one.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | BodyCount | Gets the number of bodies.
Public property | IsActive | Gets whether this source has any active (unpaused) readers.
Public property | KinectSensor | Gets the KinectSensor with which the body frame source is associated.

Collapse/Expand See Also section See Also

BodyFrame
BodyFrameReader
KinectSensor


BodyFrameSource BodyCount Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BodyCount Property

Gets the number of bodies.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint count = bodyFrameSource.BodyCount;

unsigned int count = bodyFrameSource->GetBodyCount();

unsigned int count = bodyFrameSource->GetBodyCount();

var count: LongWord;
count := bodyFrameSource.BodyCount;

int count = bodyFrameSource.getBodyCount();

Dim count As UInteger
count = bodyFrameSource.BodyCount

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyFrameSource


BodyFrameSource IsActive Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsActive Property

Gets whether this source has any active (unpaused) readers.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isActive = bodyFrameSource.IsActive;

bool isActive = bodyFrameSource->GetIsActive();

bool isActive = bodyFrameSource->GetIsActive();

var isActive: Boolean;
isActive := bodyFrameSource.IsActive;

boolean isActive = bodyFrameSource.getIsActive();

Dim isActive As Boolean
isActive = bodyFrameSource.IsActive

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyFrameSource


BodyFrameSource KinectSensor Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

KinectSensor Property

Gets the KinectSensor with which this source is associated

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

KinectSensor kinectSensor = bodyFrameSource.KinectSensor;

CKinectSensor* kinectSensor = bodyFrameSource->GetKinectSensor();

CKinectSensor* kinectSensor = bodyFrameSource->GetKinectSensor();

var kinectSensor: TKinectSensor;
kinectSensor := bodyFrameSource.KinectSensor;

KinectSensor kinectSensor = bodyFrameSource.getKinectSensor();

Dim kinectSensor As KinectSensor
kinectSensor = bodyFrameSource.KinectSensor

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyFrameSource
KinectSensor


BodyFrameSource OpenReader Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

OpenReader Method

Acquires the list of the latest available beam frames.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyFrameReader bodyFrameReader = bodyFrameSource.OpenReader();

CBodyFrameReader* bodyFrameReader = bodyFrameSource->OpenReader();

CBodyFrameReader* bodyFrameReader = bodyFrameSource->OpenReader();

var bodyFrameReader: TBodyFrameReader;
bodyFrameReader := bodyFrameSource.OpenReader();

BodyFrameReader bodyFrameReader = bodyFrameSource.openReader();

Dim bodyFrameReader As BodyFrameReader
bodyFrameReader = bodyFrameSource.OpenReader()

Return Value

BodyFrameReader. The audio bodyFrameReader.

Collapse/Expand See Also section See Also

BodyFrameReader
BodyFrameSource


BodyFrameReader OverrideAndReplaceHandTracking Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

OverrideAndReplaceHandTracking Method

Overrides the default behavior of tracking the hands of the nearest bodies to track the hands of the specified body.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bodyFrame.OverrideAndReplaceHandTracking(trackingId);

bodyFrame->OverrideAndReplaceHandTracking(trackingId);

bodyFrame->OverrideAndReplaceHandTracking(trackingId);

x bodyFrame.OverrideAndReplaceHandTracking(trackingId);

bodyFrame.getAndRefreshBodyData(trackingId);

bodyFrame.OverrideAndReplaceHandTracking(trackingId)

Parameters

trackingId

unsigned long long. New tracking id.

Collapse/Expand See Also section See Also

BodyFrameSource


BodyFrameReference OverrideHandTracking Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

OverrideHandTracking Method

Override hand tracking, replacing tracking of the old id with the new one.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bodyFrameSource.OverrideHandTracking(oldTrackingId, newTrackingId);

bodyFrameSource->OverrideHandTracking(oldTrackingId, newTrackingId);

bodyFrameSource->OverrideHandTracking(oldTrackingId, newTrackingId);

x bodyFrameSource.OverrideHandTracking(oldTrackingId, newTrackingId);

bodyFrameSource.getAndRefreshBodyData(oldTrackingId, newTrackingId);

bodyFrameSource.OverrideHandTracking(oldTrackingId, newTrackingId)

Parameters

oldTrackingId

unsigned long long. Old tracking id.

newTrackingId

unsigned long long. New tracking id.

Collapse/Expand See Also section See Also

BodyFrameReference


BodyFrameSource RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a FrameCaptured or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bodyFrameSource.FrameCaptured += frameCapturedCallback;
bodyFrameSource.PropertyChanged += propertyChangedCallback;

bodyFrameSource->RegisterCallback(frameCapturedCallback);
bodyFrameSource->RegisterCallback(propertyChangedCallback);

bodyFrameSource->RegisterCallback(frameCapturedCallback);
bodyFrameSource->RegisterCallback(propertyChangedCallback);

bodyFrameSource.RegisterCallback(frameCapturedCallback);
bodyFrameSource.RegisterCallback(propertyChangedCallback);

bodyFrameSource.registerCallback(frameCapturedCallback);
bodyFrameSource.registerCallback(propertyChangedCallback);

AddHandler bodyFrameSource.FrameCaptured, AddressOf frameCapturedCallback
AddHandler bodyFrameSource.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameCapturedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameCaptured interface (Java). Event handler that implements the FrameCaptured interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameCaptured events occur when a BodyFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

BodyFrameSource
UnregisterCallback


BodyFrameSource UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a FrameCaptured or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bodyFrameSource.FrameCaptured -= frameCapturedCallback;
bodyFrameSource.PropertyChanged -= propertyChangedCallback;

bodyFrameSource->UnregisterCallback(frameCapturedCallback);
bodyFrameSource->UnregisterCallback(propertyChangedCallback);

bodyFrameSource->UnregisterCallback(frameCapturedCallback);
bodyFrameSource->UnregisterCallback(propertyChangedCallback);

bodyFrameSource.UnregisterCallback(frameCapturedCallback);
bodyFrameSource.UnregisterCallback(propertyChangedCallback);

bodyFrameSource.unregisterCallback(frameCapturedCallback);
bodyFrameSource.unregisterCallback(propertyChangedCallback);

RemoveHandler bodyFrameSource.FrameCaptured, AddressOf frameCapturedCallback
RemoveHandler bodyFrameSource.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameCapturedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameCaptured interface (Java). Event handler that implements the FrameCaptured interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameCaptured events occur when a BodyFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

BodyFrameSource
RegisterCallback


BodyIndexFrame Class

Represents a frame that indicates which depth or infrared pixels belong to tracked people and which do not.

Collapse/Expand Remarks section Remarks

BodyIndexFrame objects are obtained via the BodyIndexFrameReader AcquireLatestFrame and the BodyIndexFrameReference AcquireFrame methods.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AccessUnderlyingBuffer | Gets a pointer to the body index frame data.
Public method | CopyFrameDataToArray | Copies the body index frame data into the array provided.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | BodyIndexFrameSource | Gets the source for this frame type.
Public property | FrameDescription | Gets the frame description for the underlying image format.
Public property | RelativeTime | Gets the unique relative time at which the frame was captured.

Collapse/Expand See Also section See Also

BodyIndexFrameReader
BodyIndexFrameSource
FrameDescription


BodyIndexFrame AccessUnderlyingBuffer Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AccessUnderlyingBuffer Method

Gets a pointer to the body index frame data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bodyIndexFrame.AccessUnderlyingBuffer(capacity, buffer);

bodyIndexFrame->AccessUnderlyingBuffer(capacity, buffer);

bodyIndexFrame->AccessUnderlyingBuffer(capacity, buffer);

bodyIndexFrame.AccessUnderlyingBuffer(capacity, buffer);

bodyIndexFrame.accessUnderlyingBuffer(capacity, buffer);

bodyIndexFrame.AccessUnderlyingBuffer(capacity, buffer)

Parameters

capacity

unsigned integer. When this method returns, contains the size of the frame data buffer in bytes.

buffer

Pointer. When this method returns, it contains the pointer to the frame data.

Collapse/Expand See Also section See Also

BodyIndexFrame


BodyIndexFrame BodyIndexFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BodyIndexFrameSource Property

Gets the source for this frame type.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyIndexFrameSource bodyIndexFrameSource = bodyIndexFrame.BodyIndexFrameSource;

CBodyIndexFrameSource* bodyIndexFrameSource = bodyIndexFrame->GetBodyIndexFrameSource();

CBodyIndexFrameSource* bodyIndexFrameSource = bodyIndexFrame->GetBodyIndexFrameSource();

var bodyIndexFrameSource: TBodyIndexFrameSource;
bodyIndexFrameSource := bodyIndexFrame.BodyIndexFrameSource;

BodyIndexFrameSource bodyIndexFrameSource = bodyIndexFrame.getBodyIndexFrameSource();

Dim bodyIndexFrameSource As BodyIndexFrameSource
bodyIndexFrameSource = bodyIndexFrame.BodyIndexFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyIndexFrame
BodyIndexFrameSource


BodyIndexFrame CopyFrameDataToArray Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

CopyFrameDataToArray Method

Copies the body index frame data into the array provided..

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bodyIndexFrame.CopyFrameDataToArray(frameData);

bodyIndexFrame->CopyFrameDataToArray(capacity, frameData);

bodyIndexFrame->CopyFrameDataToArray(capacity, frameData);

bodyIndexFrame.CopyFrameDataToArray(capacity, frameData);

bodyIndexFrame.copyFrameDataToArray(frameData);

bodyIndexFrame.CopyFrameDataToArray(frameData)

Parameters

capacity

unsigned integer. The length of the array.

frameData

Byte array. The array to which to copy the sub frame data.

Collapse/Expand See Also section See Also

BodyIndexFrame


BodyIndexFrame FrameDescription Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameDescription Property

Gets the source of the body frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameDescription frameDescription = bodyIndexFrame.FrameDescription;

CFrameDescription* frameDescription = bodyIndexFrame->GetFrameDescription();

CFrameDescription* frameDescription = bodyIndexFrame->GetFrameDescription();

var frameDescription: TFrameDescription;
frameDescription := bodyIndexFrame.FrameDescription;

FrameDescription frameDescription = bodyIndexFrame.getFrameDescription();

Dim frameDescription As FrameDescription
frameDescription = bodyIndexFrame.FrameDescription

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyIndexFrame
FrameDescription


BodyIndexFrame RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Gets the unique relative time at which the frame was captured.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = bodyIndexFrame.RelativeTime;

TIMESPAN relativeTime = bodyIndexFrame->GetRelativeTime();

TIMESPAN relativeTime = bodyIndexFrame->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := bodyIndexFrame.RelativeTime;

long relativeTime = bodyIndexFrame.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = bodyIndexFrame.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyIndexFrame


BodyIndexFrameArrived Event

Event that is raised when a body index frame arrives.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

private void BodyIndexFrameArrivedCallback(object sender, Chant.KinesicsKit.BodyIndexFrameArrivedEventArgs e)
{

// Event handler code goes here

}

void CALLBACK BodyIndexFrameArrivedCallback(CBodyIndexFrameReference* bodyIndexFrameReference)
{

// Event handler code goes here

}

void CALLBACK BodyIndexFrameArrivedCallback(CBodyIndexFrameReference* bodyIndexFrameReference)
{

// Event handler code goes here

}

procedure BodyIndexFrameArrivedCallback(bodyIndexFrameReference: TBodyIndexFrameReference); begin

// Event handler code goes here

end;

public void frameArrived(BodyIndexFrameReference bodyIndexFrameReference)
{

// Event handler code goes here

}

Private Sub BodyIndexFrameArrivedCallback(ByVal sender As System.Object, ByVal e As Chant.KinesicsKit.FrameArrivedEventArgs) Handles MyBodyIndexFrameReader.BodyIndexFrameArrived

' Event handler code goes here

End Sub

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


BodyIndexFrameArrivedEventArgs Class

Arguments for a body index frame reader's FrameArrived event.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameReference | Gets the reference to the body index frame for the FrameArrived event.

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


BodyIndexFrameArrivedEventArgs BodyIndexFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BodyIndexFrameReference Property

Gets the reference to the body index frame for the FrameArrived event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyIndexFrameReference bodyIndexFrameReference = bodyIndexFrameArrivedEventArgs.FrameReference;

CBodyIndexFrameReference* bodyIndexFrameReference = bodyIndexFrameArrivedEventArgs->GetFrameReference();

CBodyIndexFrameReference* bodyIndexFrameReference = bodyIndexFrameArrivedEventArgs->GetFrameReference();

var bodyIndexFrameReference: TBodyIndexFrameReference;
bodyIndexFrameReference := bodyIndexFrameArrivedEventArgs.FrameReference;

BodyIndexFrameReference bodyIndexFrameReference = bodyIndexFrameArrivedEventArgs.getFrameReference();

Dim bodyIndexFrameReference As BodyIndexFrameReference
bodyIndexFrameReference = bodyIndexFrameArrivedEventArgs.FrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyIndexFrameArrivedEventArgs
BodyIndexFrameReference


BodyIndexFrameReader Class

Represents a reader for body index frames.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameArrived | Event that fires when a new frame is ready.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Remarks section Remarks

BodyIndexFrameReader objects are obtained via the BodyIndexFrameSource OpenReader method.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireLatestFrame | Acquires the list of the latest available beam frames.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | BodyIndexFrameSource | Gets the source for this frame type.
Public property | IsPaused | Gets or sets the reader pause state.

Collapse/Expand See Also section See Also

BodyIndexFrame
BodyIndexFrameSource


BodyIndexFrameReader AcquireLatestFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireLatestFrame Method

Acquires the latest available frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyIndexFrame bodyIndexFrame = bodyIndexFrameReader.AcquireLatestFrame();

CBodyIndexFrame* bodyIndexFrame = bodyIndexFrameReader->AcquireLatestFrame();

CBodyIndexFrame* bodyIndexFrame = bodyIndexFrameReader->AcquireLatestFrame();

var bodyIndexFrame: BodyIndexFrame;
bodyIndexFrame := bodyIndexFrameReader.AcquireLatestFrame();

BodyIndexFrame bodyIndexFrame = bodyIndexFrameReader.acquireLatestFrame();

Dim bodyIndexFrame As BodyIndexFrame
bodyIndexFrame = bodyIndexFrameReader.AcquireLatestFrame()

Return Value

BodyIndexFrame. A valid frame, or null if no new frames are available.

Collapse/Expand Remarks section Remarks

A given reader will only return each frame once. If no new frames are available since the last call to this method, the result will be null.

Collapse/Expand See Also section See Also

BodyIndexFrame BodyIndexFrameReader


BodyIndexFrameReader BodyIndexFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BodyIndexFrameSource Property

Gets the body frame source.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyIndexFrameSource bodyIndexFrameSource = bodyIndexFrameReader.BodyIndexFrameSource;

CBodyIndexFrameSource* bodyIndexFrameSource = bodyIndexFrameReader->GetBodyIndexFrameSource();

CBodyIndexFrameSource* bodyIndexFrameSource = bodyIndexFrameReader->GetBodyIndexFrameSource();

var bodyIndexFrameSource: TBodyIndexFrameSource;
bodyIndexFrameSource := bodyIndexFrameReader.BodyIndexFrameSource;

BodyIndexFrameSource bodyIndexFrameSource = bodyIndexFrameReader.getBodyIndexFrameSource();

Dim bodyIndexFrameSource As BodyIndexFrameSource
bodyIndexFrameSource = bodyIndexFrameReader.BodyIndexFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyIndexFrameReader
BodyIndexFrameSource


BodyIndexFrameReader IsPaused Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsPaused Property

Gets or sets the reader pause state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isPaused = bodyIndexFrameReader.IsPaused;
bodyIndexFrameReader.IsPaused = value;

bool isPaused = bodyIndexFrameReader->GetIsPaused();
bodyIndexFrameReader->SetIsPaused(value);

bool isPaused = bodyIndexFrameReader->GetIsPaused();
bodyIndexFrameReader->SetIsPaused(value);

var isPaused: Boolean;
isPaused := bodyIndexFrameReader.IsPaused;
bodyIndexFrameReader.IsPaused := value;

boolean isPaused = bodyIndexFrameReader.getIsPaused();
bodyIndexFrameReader.setIsPaused(value);

Dim isPaused As Boolean
isPaused = bodyIndexFrameReader.IsPaused
bodyIndexFrameReader.IsPaused = value

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyIndexFrameReader


BodyIndexFrameReader RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a BodyIndexFrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bodyIndexFrameReader.BodyIndexFrameArrived += bodyIndexFrameArrivedCallback;
bodyIndexFrameReader.PropertyChanged += propertyChangedCallback;

bodyIndexFrameReader->RegisterCallback(bodyIndexFrameArrivedCallback);
bodyIndexFrameReader->RegisterCallback(propertyChangedCallback);

bodyIndexFrameReader->RegisterCallback(bodyIndexFrameArrivedCallback);
bodyIndexFrameReader->RegisterCallback(propertyChangedCallback);

bodyIndexFrameReader.RegisterCallback(bodyIndexFrameArrivedCallback);
bodyIndexFrameReader.RegisterCallback(propertyChangedCallback);

bodyIndexFrameReader.registerCallback(bodyIndexFrameArrivedCallback);
bodyIndexFrameReader.registerCallback(propertyChangedCallback);

AddHandler bodyIndexFrameReader.BodyIndexFrameArrived, AddressOf bodyIndexFrameArrivedCallback
AddHandler bodyIndexFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

bodyIndexFrameArrivedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the BodyIndexFrameArrived interface (Java). Event handler that implements the BodyIndexFrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

BodyIndexFrameArrived events occur when an BodyIndexFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

BodyIndexFrameReader
UnregisterCallback


BodyIndexFrameReader UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a BodyIndexFrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bodyIndexFrameReader.BodyIndexFrameArrived -= bodyIndexFrameReaderCallback;
bodyIndexFrameReader.PropertyChanged -= propertyChangedCallback;

bodyIndexFrameReader->UnregisterCallback(bodyIndexFrameReaderCallback);
bodyIndexFrameReader->UnregisterCallback(propertyChangedCallback);

bodyIndexFrameReader->UnregisterCallback(bodyIndexFrameReaderCallback);
bodyIndexFrameReader->UnregisterCallback(propertyChangedCallback);

bodyIndexFrameReader.UnregisterCallback(bodyIndexFrameReaderCallback);
bodyIndexFrameReader.UnregisterCallback(propertyChangedCallback);

bodyIndexFrameReader.unregisterCallback(bodyIndexFrameReaderCallback);
bodyIndexFrameReader.unregisterCallback(propertyChangedCallback);

RemoveHandler bodyIndexFrameReader.BodyIndexFrameArrived, AddressOf bodyIndexFrameReaderCallback
RemoveHandler bodyIndexFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

bodyIndexFrameReaderCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the BodyIndexFrameArrived interface (Java). Event handler that implements the BodyIndexFrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

BodyIndexFrameArrived events occur when an BodyIndexFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

BodyIndexFrameReader
RegisterCallback


BodyIndexFrameReference Class

Represents a reference to an actual body index frame.

Collapse/Expand Remarks section Remarks

BodyIndexFrameReference objects are obtained via the MultiSourceFrame BodyIndexFrameReference property and ChantKMEvent BodyIndexFrameReference property.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireFrame | Acquires the frame held by this reference.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | RelativeTime | Returns the unique relative time at which this frame was produced.

Collapse/Expand See Also section See Also

ChantKMEvent
MultiSourceFrame


BodyIndexFrameReference AcquireFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireFrame Method

Acquires the frame held by this reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyIndexFrame bodyIndexFrame = bodyIndexFrameReference.AcquireFrame();

CBodyIndexFrame* bodyIndexFrame = bodyIndexFrameReference->AcquireFrame();

CBodyIndexFrame* bodyIndexFrame = bodyIndexFrameReference->AcquireFrame();

var bodyIndexFrame: BodyIndexFrame;
bodyIndexFrame := bodyIndexFrameReference.AcquireFrame();

BodyIndexFrame bodyIndexFrame = bodyIndexFrameReference.acquireFrame();

Dim bodyIndexFrame As BodyIndexFrame
bodyIndexFrame = bodyIndexFrameReference.AcquireFrame()

Return Value

BodyIndexFrame. A valid frame, or null if no new frames are available.

Collapse/Expand Remarks section Remarks

A given reader will only return each frame once. If no new frames are available since the last call to this method, the result will be null.

Collapse/Expand See Also section See Also

BodyIndexFrame
BodyIndexFrameReference


BodyIndexFrameReference RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Returns the unique relative time at which this frame was produced.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = bodyIndexFrameReference.RelativeTime;

TIMESPAN relativeTime = bodyIndexFrameReference->GetRelativeTime();

TIMESPAN relativeTime = bodyIndexFrameReference->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := bodyIndexFrameReference.RelativeTime;

long relativeTime = bodyIndexFrameReference.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = bodyIndexFrameReference.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyIndexFrameReference


BodyIndexFrameSource Class

Represents a source of body frames from a KinectSensor.

Collapse/Expand Remarks section Remarks

BodyIndexFrameSource objects are obtained via the BodyFrame BodyIndexFrameSource, the BodyIndexFrameReader BodyIndexFrameSource, and the KinectSensor BodyIndexFrameSource properties.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameCaptured | Event that fires when a new frame has been captured.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | OpenReader | Acquires the list of the latest available beam frames.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameDescription | Gets the properties of an image frame.
Public property | IsActive | Gets whether this source has any active (unpaused) readers.
Public property | KinectSensor | Gets the KinectSensor with which the body frame source is associated.

Collapse/Expand See Also section See Also

BodyIndexFrame
BodyIndexFrameReader
FrameDescription
KinectSensor


BodyIndexFrameSource FrameDescription Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameDescription Property

Gets the properties of an image frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameDescription frameDescription = bodyIndexFrameSource.FrameDescription;

CFrameDescription* frameDescription = bodyIndexFrameSource->GetFrameDescription();

CFrameDescription* frameDescription = bodyIndexFrameSource->GetFrameDescription();

var frameDescription: TFrameDescription;
frameDescription := bodyIndexFrameSource.FrameDescription;

FrameDescription frameDescription = bodyIndexFrameSource.getFrameDescription();

Dim frameDescription As FrameDescription
frameDescription = bodyIndexFrameSource.FrameDescription

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyIndexFrameSource
FrameDescription


BodyIndexFrameSource IsActive Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsActive Property

Gets whether this source has any active (unpaused) readers.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isActive = bodyIndexFrameSource.IsActive;

bool isActive = bodyIndexFrameSource->GetIsActive();

bool isActive = bodyIndexFrameSource->GetIsActive();

var isActive: Boolean;
isActive := bodyIndexFrameSource.IsActive;

boolean isActive = bodyIndexFrameSource.getIsActive();

Dim isActive As Boolean
isActive = bodyIndexFrameSource.IsActive

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyIndexFrameSource


BodyIndexFrameSource KinectSensor Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

KinectSensor Property

Gets the KinectSensor with which this source is associated

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

KinectSensor kinectSensor = bodyIndexFrameSource.KinectSensor;

CKinectSensor* kinectSensor = bodyIndexFrameSource->GetKinectSensor();

CKinectSensor* kinectSensor = bodyIndexFrameSource->GetKinectSensor();

var kinectSensor: TKinectSensor;
kinectSensor := bodyIndexFrameSource.KinectSensor;

KinectSensor kinectSensor = bodyIndexFrameSource.getKinectSensor();

Dim kinectSensor As KinectSensor
kinectSensor = bodyIndexFrameSource.KinectSensor

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyIndexFrameSource
KinectSensor


BodyIndexFrameSource OpenReader Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

OpenReader Method

Acquires the list of the latest available beam frames.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyIndexFrameReader bodyIndexFrameReader = bodyIndexFrameSource.OpenReader();

CBodyIndexFrameReader* bodyIndexFrameReader = bodyIndexFrameSource->OpenReader();

CBodyIndexFrameReader* bodyIndexFrameReader = bodyIndexFrameSource->OpenReader();

var bodyIndexFrameReader: TBodyIndexFrameReader;
bodyIndexFrameReader := bodyIndexFrameSource.OpenReader();

BodyIndexFrameReader bodyIndexFrameReader = bodyIndexFrameSource.openReader();

Dim bodyIndexFrameReader As BodyIndexFrameReader
bodyIndexFrameReader = bodyIndexFrameSource.OpenReader()

Return Value

BodyIndexFrameReader. The audio bodyIndexFrameReader.

Collapse/Expand See Also section See Also

BodyIndexFrameReader
BodyIndexFrameSource


BodyIndexFrameSource RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a FrameCaptured or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bodyIndexFrameSource.FrameCaptured += frameCapturedCallback;
bodyIndexFrameSource.PropertyChanged += propertyChangedCallback;

bodyIndexFrameSource->RegisterCallback(frameCapturedCallback);
bodyIndexFrameSource->RegisterCallback(propertyChangedCallback);

bodyIndexFrameSource->RegisterCallback(frameCapturedCallback);
bodyIndexFrameSource->RegisterCallback(propertyChangedCallback);

bodyIndexFrameSource.RegisterCallback(frameCapturedCallback);
bodyIndexFrameSource.RegisterCallback(propertyChangedCallback);

bodyIndexFrameSource.registerCallback(frameCapturedCallback);
bodyIndexFrameSource.registerCallback(propertyChangedCallback);

AddHandler bodyIndexFrameSource.FrameCaptured, AddressOf frameCapturedCallback
AddHandler bodyIndexFrameSource.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameCapturedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameCaptured interface (Java). Event handler that implements the FrameCaptured interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameCaptured events occur when a BodyIndexFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

BodyIndexFrameSource
UnregisterCallback


BodyIndexFrameSource UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a FrameCaptured or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bodyIndexFrameSource.FrameCaptured -= frameCapturedCallback;
bodyIndexFrameSource.PropertyChanged -= propertyChangedCallback;

bodyIndexFrameSource->UnregisterCallback(frameCapturedCallback);
bodyIndexFrameSource->UnregisterCallback(propertyChangedCallback);

bodyIndexFrameSource->UnregisterCallback(frameCapturedCallback);
bodyIndexFrameSource->UnregisterCallback(propertyChangedCallback);

bodyIndexFrameSource.UnregisterCallback(frameCapturedCallback);
bodyIndexFrameSource.UnregisterCallback(propertyChangedCallback);

bodyIndexFrameSource.unregisterCallback(frameCapturedCallback);
bodyIndexFrameSource.unregisterCallback(propertyChangedCallback);

RemoveHandler bodyIndexFrameSource.FrameCaptured, AddressOf frameCapturedCallback
RemoveHandler bodyIndexFrameSource.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameCapturedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameCaptured interface (Java). Event handler that implements the FrameCaptured interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameCaptured events occur when a BodyIndexFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

BodyIndexFrameSource
RegisterCallback


ChantKM Class

Object for managing movement tracking.

Collapse/Expand Remarks section Remarks

The movement management object, ChantKM, provides a high-level interface for controlling image, depth, body, infrared, and audio data.

It manages the resources and interacts directly with the Kinect sensors.

Applications receive Kinect sensor messages and error notifications through events.

Collapse/Expand Events section Events

 | Name | Description
Public event | HasEvent | Notifies the application of a KinectSenor, KinectSensorCollection, or KinectAudioSource event.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GetChantKMEvent | Returns a ChantKMEvent object.
Public method | GetKinectSensor | Returns a KinectSensor object.
Public method | PausePlayback | Suspends audio playback.
Public method | PauseRecording | Suspends recording an audio stream.
Public method | RegisterCallback | Sets the callback event active.
Public method | RemoveEvent | Removes an event from the event queue.
Public method | ResumePlayback | Resumes audio playback from a paused state.
Public method | ResumeRecording | Resumes recording audio stream from a paused state.
Public method | SetCallbackFunction | Sets callback static function.
Public method | SetCallbackParms | Sets optional callback parameters.
Public method | SetStringProperty | Sets a string property value.
Public method | SetWindowMessage | Sets application-unique Windows message number used to notify about callback events.
Public method | Start | Starts the Kinect sensor device capturing image, depth, and skeleton data.
Public method | StartPlayback | Starts an audio playback.
Public method | StartRecording | Starts capturing audio stream.
Public method | Stop | Stops the Kinect sensor device capturing image, depth, and skeleton data.
Public method | StopPlayback | Stops the audio playback.
Public method | StopRecording | Stops capturing audio stream.
Public method | UnregisterCallback | Sets the callback event inactive.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | LastError | A numeric error code for the last error condition.
Public property | LastErrorMessage | A description of the last error condition.
Public property | LastErrorString | A text representation of the last error condition.

Collapse/Expand See Also section See Also

ChantKMEvent
KinectSensor


ChantKM GetChantKMEvent Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

GetChantKMEvent Method

Returns a ChantKMEvent object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantKMEvent chantKMEvent = chantKM.GetChantKMEvent();

CChantKMEvent* chantKMEvent = chantKM->GetChantKMEvent();

CChantKMEvent* chantKMEvent = chantKM->GetChantKMEvent();

var chantKMEvent: TChantKMEvent;
chantKMEvent := chantKM.GetChantKMEvent();

JChantKMEvent chantKMEvent = chantKM.getChantKMEvent();

Dim chantKMEvent As NChantKMEvent
chantKMEvent = chantKM.GetChantKMEvent()

Parameters

Long integer. Specifies the index of the object to return.

Return Value

Object. A ChantKMEvent object.

Collapse/Expand Example section Example

See HasEvent example.

Collapse/Expand See Also section See Also

ChantKM


ChantKM GetKinectSensor Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

GetKinectSensor Method

Returns a Kinect sensor object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NKinectSensor kinectSensor = chantKM.GetKinectSensor();

CKinectSensor* kinectSensor = chantKM->GetKinectSensor();

CKinectSensor* kinectSensor = chantKM->GetKinectSensor();

var kinectSensor: TKinectSensor;
kinectSensor := chantKM.GetKinectSensor();

JKinectSensor kinectSensor = chantKM.getKinectSensor();

Dim kinectSensor As NKinectSensor
kinectSensor = chantKM.GetKinectSensor()

Parameters

Long integer. Specifies the index of the object to return.

Return Value

Object. A Kinect sensor object.

Collapse/Expand See Also section See Also

ChantKM


ChantKM HasEvent Event

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

HasEvent Event

Notifies the application of a movement management event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

// In your Form constructor, add reference to your event handler
NChantKM1.HasEvent += this.NChantKM1_HasEvent;

// The HasEvent handler is declared as a subroutine for the class object
// with the following signature
private void NChantKM1_HasEvent(object sender, Chant.KinesicsKit.HasEventArgs e)
{

// HasEvent handler code goes here

}

                    // C++ event notifications can be handled via application message pump (e.g., DefWindowProc)
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
m_HasEvent = WM_APP+8;
m_pChantKM->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

LRESULT MyApp::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                            SetCallbackFunction method

                    // C++Builder event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantKM1->SetWindowMessage(Handle, WM_APP+8, 0, 0);

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // Delphi event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantKM1.SetWindowMessage(Handle, WM_APP+8, 0, 0);

procedure TForm1.OnHasEvent(var msg: TMessage);
begin

// HasEvent handler code goes here

end;

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // Java applications indicate they support the HasEvent handler interface
// with the "implements" clause
public class Frame1 extends JFrame implements com.kinectkit.JChantKMEvents

// You must also inform the class object which java object implements the HasEvent
                    handler interface
// using the setCallbackFunction
JChantKM1.setCallbackFunction(this,null,null);

// The HasEvent handler is declared as a method with the following signature
public void hasEvent(Object obj1, Object obj2)
{

// HasEvent handler code goes here

}

' Visual Basic .NET applications declare that they are interested in receiving events
' as part of the class object declaration using the WithEvents clause
Dim WithEvents NChantKM1 As NChantKM

' The HasEvent handler is declared as a subroutine for the class object with the following signature
Private Sub NChantKM1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.KinesicsKit.HasEventArgs) Handles NChantKM1.HasEvent

' HasEvent handler code goes here

End Sub

Collapse/Expand Remarks section Remarks

An application must register for the events it is interested in receiving. The RegisterCallback method indicates the type of event the application is interested in receiving. An application can register for as many different event types as it wants.

Event notifications may be turned off at any time with the UnregisterCallback method.

If an application wants to receive events, it must also have a HasEvent handler that processes the desired events. See the discussion about events for movement management.

Collapse/Expand Example section Example

The following example illustrates handling sensor events:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantKM1_HasEvent(object sender, Chant.KinesicsKit.HasEventArgs e)
{
    // Get the event from the event queue
    NChantKMEvent nChantKMEvent = NChantKM1.GetChantKMEvent();
    if (nChantKMEvent != null)
    {
        switch (nChantKMEvent.ChantCallback)
        {
            case ChantCallback.CCKSStarted:
                SessionStarted(nChantKMEvent.SessionID);
                break;
            case ChantCallback.CCKSStatusChanged:
                UpdateSensorList();
                break;
            case ChantCallback.CCKSStopped:
                SessionStopped(nChantKMEvent.SessionID);
                break;
            case ChantCallback.CCKSColorImageFrameReady:
                if (_CIV != null)
                {
                    _CIV.ColorImageReady(nChantKMEvent);
                }
                break;
            case ChantCallback.CCKSDepthImageFrameReady:
                if (_DIV != null)
                {
                    _DIV.DepthImageReady(nChantKMEvent);
                }
                break;
            case ChantCallback.CCKSSkeletonFrameReady:
                if (_SV != null)
                {
                    _SV.SkeletonFrameReady(nChantKMEvent);
                }
                break;
            default:
                break;
        }
        // Remove the event from the event queue
        NChantKM1.RemoveEvent();
    }
}

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantKM != NULL)
    {
        if (message == m_HasEvent)
        {
            CString sResult;
            // Get the event from the event queue
            CChantKMEvent* pChantKMEvent = m_pChantKM->GetChantKMEvent();
            if (pChantKMEvent != NULL)
            {
                // Process the type of callback event
                switch (pChantKMEvent->GetChantCallback())
                {
                    case CCKSStarted :
                        SessionStarted(pChantKMEvent->GetSessionID());
                        break;
                    case CCKSStatusChanged :
                        UpdateSensorList();
                        break;
                    case CCKSStopped :
                        SessionStopped(pChantKMEvent->GetSessionID());
                        break;
                    case CCKSColorImageFrameReady:
                        if (m_pCIV != NULL)
                        {
                            m_pCIV->ColorImageReady(pChantKMEvent);
                        }
                        break;
                    case CCKSDepthImageFrameReady:
                        if (m_pDIV != NULL)
                        {
                            m_pDIV->DepthImageReady(pChantKMEvent);
                        }
                        break;
                    case CCKSSkeletonFrameReady:
                        if (m_pSV != NULL)
                        {
                            m_pSV->SkeletonFrameReady(pChantKMEvent);
                        }
                        break;
                    default :
                        break;
                }
                // Remove the event from the event queue
                m_pChantKM->RemoveEvent();
                // Delete the C++ wrapper class object
                delete pChantKMEvent;
                pChantKMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantKMEvent* pChantKMEvent = m_pChantKM->GetChantKMEvent();
    if (pChantKMEvent != NULL)
    {
        // Process the type of callback event
        switch (pChantKMEvent->GetChantCallback())
        {
            case CCKSStarted :
                SessionStarted(pChantKMEvent->GetSessionID());
                break;
            case CCKSStatusChanged :
                UpdateSensorList();
                break;
            case CCKSStopped :
                SessionStopped(pChantKMEvent->GetSessionID());
                break;
            case CCKSColorImageFrameReady:
                if (m_pCIV != NULL)
                {
                    m_pCIV->ColorImageReady(pChantKMEvent);
                }
                break;
            case CCKSDepthImageFrameReady:
                if (m_pDIV != NULL)
                {
                    m_pDIV->DepthImageReady(pChantKMEvent);
                }
                break;
            case CCKSSkeletonFrameReady:
                if (m_pSV != NULL)
                {
                    m_pSV->SkeletonFrameReady(pChantKMEvent);
                }
                break;
            default :
                break;
        }
        // Remove the event from the event queue
        m_pChantKM->RemoveEvent();
        // Dispose of the event object
        delete pChantKMEvent;
        pChantKMEvent = NULL;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
    aTChantKMEvent: TChantKMEvent;
begin
    // Get the event from the event queue
    aTChantKMEvent := ChantKM1.GetChantKMEvent();
    if aTChantKMEvent <> nil then
    begin
        case aTChantKMEvent.ChantCallback of
            CCKSStarted:
            begin
                SessionStarted(aTChantKMEvent.SessionID);
            end;
            CCKSStatusChanged:
            begin
                UpdateSensorList();
            end;
            CCKSStopped:
            begin
                SessionStopped(aTChantKMEvent.SessionID);
            end;
                CCKSColorImageFrameReady:
            begin
                if (_CIV <> nil) then
                    CIV.ColorImageReady(aTChantKMEvent);
            end;
            CCKSDepthImageFrameReady:
            begin
                if (_DIV <> nil) then
                    _DIV.DepthImageReady(aTChantKMEvent);
            end;
            CCKSSkeletonFrameReady:
            begin
                if (_SV <> nil) then
                    _SV.SkeletonFrameReady(aTChantKMEvent);
            end;
        end;
        // Remove the event from the event queue
        ChantKM1.RemoveEvent();
        aTChantKMEvent.Destroy();
    end;
end;

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantKMEvent jChantKMEvent = JChantKM1.getChantKMEvent();
    // Process the type of callback event
    if (jChantKMEvent != null)
    {
        switch(jChantKMEvent.getChantCallback())
        {
            case ChantCallback.CCKSStarted:
                sessionStarted(jChantKMEvent.getSessionID());
                break;
            case ChantCallback.CCKSStatusChanged:
                updateSensorList();
                break;
            case ChantCallback.CCKSStopped:
                sessionStopped(jChantKMEvent.getSessionID());
                break;
            case ChantCallback.CCKSColorImageFrameReady:
                if (_CIV != null)
                {
                    _CIV.colorImageReady(jChantKMEvent);
                }
                break;
            case ChantCallback.CCKSDepthImageFrameReady:
                if (_DIV != null)
                {
                    _DIV.depthImageReady(jChantKMEvent);
                }
                break;
            case ChantCallback.CCKSSkeletonFrameReady:
                if (_SV != null)
                {
                    _SV.skeletonFrameReady(jChantKMEvent);
                }
                break;
            default:
                break;
        }
    }
    // Remove the event from the event queue
    JChantKM1.removeEvent();
}

Private Sub NChantKM1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.KinesicsKit.HasEventArgs) Handles NChantKM1.HasEvent
    Dim nChantKMEvent As NChantKMEvent
    ' Get the event from the event queue
    nChantKMEvent = NChantKM1.GetChantKMEvent()
    If nChantKMEvent <> Nothing Then
        Select Case nChantKMEvent.ChantCallback
            Case ChantCallback.CCKSStatusChanged
                UpdateSensorList()
            Case ChantCallback.CCKSStarted
                SessionStarted(nChantKMEvent.SessionID)
            Case ChantCallback.CCKSStatusChanged
                UpdateSensorList()
            Case ChantCallback.CCKSStopped
                SessionStopped(nChantKMEvent.SessionID)
            Case ChantCallback.CCKSColorImageFrameReady
                If (_CIV IsNot Nothing) Then
                    _CIV.ColorImageReady(nChantKMEvent)
                End If
            Case ChantCallback.CCKSDepthImageFrameReady
                If (_DIV IsNot Nothing) Then
                    _DIV.DepthImageReady(nChantKMEvent)
                End If
            Case ChantCallback.CCKSSkeletonFrameReady
                If (_SV IsNot Nothing) Then
                    _SV.SkeletonFrameReady(nChantKMEvent)
                End If
        End Select
        ' Remove the event from the event queue
        NChantKM1.RemoveEvent()
    End If
End Sub

Collapse/Expand See Also section See Also

ChantKM
ChantKMEvent
RegisterCallback
UnregisterCallback


ChantKM LastError Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

LastError Property

A numeric error code for the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int error = chantKM.LastError;

long error = chantKM->GetLastError();

long error = chantKM->GetLastError();

var error: Integer;
error := chantKM.LastError;

int error = chantKM.getLastError();

Dim error As Integer
error = chantKM.LastError

Return Value

Long integer. Error code.

Collapse/Expand Remarks section Remarks

ChantKM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantKM
LastErrorMessage
LastErrorString


ChantKM LastErrorMessage Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

LastErrorMessage Property

A description of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String errorMessage = chantKM.LastErrorMessage;

wchar_t* errorMessage = chantKM->GetLastErrorMessage();

String errorMessage = chantKM->GetLastErrorMessage();

var errorMessage: string;
errorMessage := chantKM.LastErrorMessage;

String errorMessage = chantKM.getLastErrorMessage();

Dim errorMessage As String
errorMessage = chantKM.LastErrorMessage

Collapse/Expand Remarks section Remarks

ChantKM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantKM
LastError
LastErrorString


ChantKM LastErrorString Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

LastErrorString Property

A text representation of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String error = chantKM.LastErrorString;

wchar_t* error = chantKM->GetLastErrorString();

String error = chantKM->GetLastErrorString();

var error: string;
error := chantKM.LastErrorString;

String error = chantKM.getLastErrorString();

Dim error As String
error = chantKM.LastErrorString

Collapse/Expand Remarks section Remarks

ChantKM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantKM
LastError
LastErrorMessage


ChantKM PausePlayback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

PausePlayback Method

Suspends audio playback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.PausePlayback();

chantKM->PausePlayback();

chantKM->PausePlayback();

chantKM.PausePlayback();

chantKM.pausePlayback();

chantKM.PausePlayback()

Collapse/Expand Remarks section Remarks

Invoke ResumePlayback to restart the playback from a paused state.

Collapse/Expand See Also section See Also

ChantKM
ResumePlayback


ChantKM PauseRecording Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

PauseRecording Method

Suspends recording an audio stream.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.PauseRecording(nSensorID);

chantKM->PauseRecording(nSensorID);

chantKM->PauseRecording(nSensorID);

chantKM.PauseRecording(nSensorID);

chantKM.pauseRecording(nSensorID);

chantKM.PauseRecording(nSensorID)

Parameters

nSensorID

Long integer. The index of the sensor within the collection.

Collapse/Expand Remarks section Remarks

Invoke ResumeRecording to restart the recording from a paused state.

Collapse/Expand See Also section See Also

ChantKM
ResumeRecording


ChantKM RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Sets the callback event active.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.RegisterCallback(eChantCallback);

chantKM->RegisterCallback(eChantCallback);

chantKM->RegisterCallback(eChantCallback);

chantKM.RegisterCallback(eChantCallback);

chantKM.registerCallback(eChantCallback);

chantKM.RegisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

Constant | Value | Description
CCNone | 0 | No callback event.
CCAPIError | 59 | API Error. Property values: ID, Function, Text.
CCKSAllFramesReady | 61 | A color image, depth image, and skeleton frame are ready for processing. Property values: Sensor.
CCKSBeamAngleChanged | 62 | The horizontal angle in radians of the currently selected beam in camera coordinates, where the x-z axes define the horizontal plane. The angle is relative to the z-axis, which is perpendicular to the Kinect sensor. Property values: Angle.
CCKSColorImageFrameReady | 63 | A color image frame is ready for processing. Property values: Sensor.
CCKSDepthImageFrameReady | 64 | A depth image frame is ready for processing. Property values: Sensor.
CCKSSkeletonFrameReady | 65 | A skeleton frame is ready for processing. Property values: Sensor.
CCKSSoundSourceAngleChanged | 66 | The audio source angle changed. Property values: Angle, Confidence.
CCKSStarted | 67 | The sensor has started processing data. Property values: Sensor, SessionID.
CCKSStatusChanged | 68 | The sensor status changed. Property values: Status.
CCKSStopped | 69 | The sensor has stopped processing data. Property values: Sensor, SessionID.

The following example illustrates turning on KSStatusChanged events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn on KSStatusChanged events
NChantKM1.RegisterCallback(ChantCallback.CCKSStatusChanged);

// Turn on KSStatusChanged events
pChantKM->RegisterCallback(CCKSStatusChanged);

// Turn on KSStatusChanged events
pChantKM->RegisterCallback(CCKSStatusChanged);

// Turn on KSStatusChanged events
ChantKM1.RegisterCallback(CCKSStatusChanged);

// Turn on KSStatusChanged events
JChantKM1.registerCallback(ChantCallback.CCKSStatusChanged);

' Turn on KSStatusChanged events
NChantKM1.RegisterCallback(ChantCallback.CCKSStatusChanged)

Collapse/Expand See Also section See Also

ChantKM
UnregisterCallback


ChantKM RemoveEvent Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RemoveEvent Method

Removes an event from the event queue.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.RemoveEvent();

chantKM->RemoveEvent();

chantKM->RemoveEvent();

chantKM.RemoveEvent();

chantKM.removeEvent();

chantKM.RemoveEvent()

Collapse/Expand Example section Example

See HasEvent example.

Collapse/Expand See Also section See Also

ChantKM


ChantKM ResumePlayback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

ResumePlayback Method

Resumes audio playback from a paused state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.ResumePlayback();

chantKM->ResumePlayback();

chantKM->ResumePlayback();

chantKM.ResumePlayback();

chantKM.resumePlayback();

chantKM.ResumePlayback()

Collapse/Expand Remarks section Remarks

Invoke PausePlayback to suspend playback.

Collapse/Expand See Also section See Also

ChantKM
PausePlayback


ChantKM ResumeRecording Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

ResumeRecording Method

Resumes recording audio stream from a paused state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.ResumeRecording(sensorID);

chantKM->ResumeRecording(sensorID);

chantKM->ResumeRecording(sensorID);

chantKM.ResumeRecording(sensorID);

chantKM.resumeRecording(sensorID);

chantKM.ResumeRecording(sensorID)

Parameters

sensorID

Long integer. The index of the sensor within the collection.

Collapse/Expand Remarks section Remarks

Invoke PauseRecording to suspend recording.

Collapse/Expand See Also section See Also

ChantKM
PauseRecording


ChantKM SetCallbackFunction Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

SetCallbackFunction Method

Sets callback static function.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantKM->SetCallbackFunction(pCallbackFunction, wParam, lParam);

chantKM->SetCallbackFunction(pCallbackFunction, wParam, lParam);

chantKM.SetCallbackFunction(pCallbackFunction, wParam, lParam);

chantKM.setCallbackFunction(callbackObject, wParam, lParam);

Not supported.

Parameters

callbackFunction

Pointer (C++, C++Builder, Delphi), Object (Java). Name of conditional variable. Callback address (C++, C++Builder, Delphi). Callback object that implements the ChantKMEvents interface (Java).

wParam

WPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

lParam

LPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support static callbacks may set a function to receive callback events.

Collapse/Expand See Also section See Also

ChantKM
SetWindowMessage


ChantKM SetCallbackParms Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

SetCallbackParms Method

Sets optional callback parameters.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.SetCallbackParms(parm1, parm2);

Not supported.

Not supported.

Not supported.

chantKM.setCallbackParms(parm1, parm2);

chantKM.SetCallbackParms(parm1, parm2)

Parameters

parm1

Object. Optional application defined value passed on all callback events.

parm2

Object. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Application defined values may be passed on all callback events.

Collapse/Expand Example section Example

The following example illustrates setting optional callback parms.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantKM1.SetCallbackParms(NChantKM1, null);

Not supported.

Not supported.

Not supported.

JChantKM1.setCallbackParms(JChantKM1, null);

NChantKM1.SetCallbackParms(NChantKM1, Nothing)

Collapse/Expand See Also section See Also

ChantKM


ChantKM SetStringProperty Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

SetStringProperty Method

Sets a string property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.SetStringProperty(eChantStringProperty, value);

chantKM->SetStringProperty(eChantStringProperty, value);

chantKM->SetStringProperty(eChantStringProperty, value);

chantKM.SetStringProperty(eChantStringProperty, value);

chantKM.setStringProperty(eChantStringProperty, value);

chantKM.SetStringProperty(eChantStringProperty, value)

Parameters

eChantStringProperty

ChantStringProperty. Value that uniquely identifies the property.

value

String. Property value.

Collapse/Expand Remarks section Remarks

All ChantKM string property values are set via SetStringProperty. The property type may be one of the following values:

Constant | Value | Description
CSPLicense | 10 | Specifies the license value required for distributing applications with the Chant class libraries.
CSPSerials | 19 | Specifies the serial number value required for distributing applications with the Chant class libraries.

Collapse/Expand Example section Example

The following example illustrates setting the license and serial number properties to unlock the KinecKit runtime.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Unlock the KinesicsKit runtime
NChantKM1.SetStringProperty(ChantStringProperty.CSPLicense, "1039482049583748");
NChantKM1.SetStringProperty(ChantStringProperty.CSPSerials, "*:4k#L3:::9kdl");

// Unlock the KinesicsKit runtime
pChantKM->SetStringProperty(CSPLicense, L"1039482049583748");
pChantKM->SetStringProperty(CSPSerials, L"*:4k#L3:::9kdl");

// Unlock the KinesicsKit runtime
pChantKM->SetStringProperty(CSPLicense, "1039482049583748");
pChantKM->SetStringProperty(CSPSerials, "*:4k#L3:::9kdl");

// Unlock the KinesicsKit runtime
NChantKM1.SetStringProperty(CSPLicense, '1039482049583748');
NChantKM1.SetStringProperty(CSPSerials, '*:4k#L3:::9kdl');

// Unlock the KinesicsKit runtime
JChantKM1.setStringProperty(ChantStringProperty.CSPLicense, "1039482049583748");
JChantKM1.setStringProperty(ChantStringProperty.CSPSerials, "*:4k#L3:::9kdl");

' Unlock the KinesicsKit runtime
NChantKM1.SetStringProperty(ChantStringProperty.CSPLicense, "1039482049583748")
NChantKM1.SetStringProperty(ChantStringProperty.CSPSerials, "*:4k#L3:::9kdl")

Collapse/Expand See Also section See Also

ChantKM


ChantKM SetWindowMessage Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

SetWindowMessage Method

Sets the WM_APP message value for receiving an event notification as Win32 message.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantKM->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantKM->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantKM.SetWindowMessage(hWnd, Msg, wParam, lParam);

Not supported.

Not supported.

Parameters

hWnd

HWND. Application window handle.

Msg

Long integer. Unique windows message number.

wParam

WPARAM. Optional application defined value passed on all callback events.

lParam

LPARAM. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support Win32 message pump may set a WM_APP message value to uniquely identify ChantKM event notifications. An event notification indicates that a ChantKM callback has fired and a ChantKMEvent resource is on the event resource queue.

Collapse/Expand See Also section See Also

ChantKM


ChantKM Start Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Start Method

Starts the Kinect sensor device capturing image, depth, and skeleton data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.Start(sensorID, eChantSensorStream);

chantKM->Start(sensorID, eChantSensorStream);

chantKM->Start(sensorID, eChantSensorStream);

chantKM.Start(sensorID, eChantSensorStream);

chantKM.start(sensorID, eChantSensorStream);

chantKM.Start(sensorID, eChantSensorStream)

Parameters

sensorID

Long integer. Optional index of sensor within the KinectSensorCollection. Starts the first sensor (0) in the collection by default.

eChantSensorStream

ChantSensorStream. Optional constant that defines which streams to start. Color, depth with player index, and skeleton data are started by default.

Collapse/Expand Remarks section Remarks

Invoke Stop to end capturing color, depth, and skeleton data. The stream type may be one of the following values:

Constant | Value | Description
CSSNone | 0 | No data streams.
CSSAll | 1 | All data streams.
CSSAudio | 2 | Audio data stream.
CSSColorImage | 4 | Color image data stream.
CSSDepthImage | 8 | Depth image data stream.
CSSDepthAndPlayerIndex | 16 | Depth image data stream with player index data.
CSSSkeleton | 32 | Skeleton data stream.

Collapse/Expand See Also section See Also

ChantKM
Stop


ChantKM StartPlayback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

StartPlayback Method

Starts an audio playback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.StartPlayback(playback, eChantPlaybackObject, sessionID, eChantSensorStream);

chantKM->StartPlayback(playback, eChantPlaybackObject, pszSessionID, eChantSensorStream);

chantKM->StartPlayback(playback, eChantPlaybackObject, sessionID, eChantSensorStream);

chantKM.StartPlayback(playback, eChantPlaybackObject, sessionID, eChantSensorStream);

chantKM.startPlayback(playback, eChantPlaybackObject, sessionID, eChantSensorStream);

chantKM.StartPlayback(playback, eChantPlaybackObject, sessionID, eChantSensorStream)

Parameters

playback

String. The audio object to play.

eChantPlaybackObject

ChantPlaybackObject. The type of audio playback.

sessionID

String. Session identifier.

eChantSensorStream

ChantSensorStream. The type of data stream to playback.

Collapse/Expand Example section Example

The following example illustrates playing a wave file:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Replay audio file
NChantKM1.StartPlayback(audioFile, ChantPlaybackObject.CPOFile, "", ChantSensorStream.CSSAudio);

// Replay audio file
m_pChantKM->StartPlayback(audioFile.GetString(), CPOFile, NULL, CSSAudio);

// Replay audio file
m_pChantKM->StartPlayback(audioFile, CPOFile, NULL, CSSAudio);

// Replay audio file
ChantKM1.StartPlayback(audioFile, CPOFile, '', CKSAudio);

// Replay audio file
JChantKM1.startPlayback(audioFile, ChantPlaybackObject.CPOFile, "", ChantSensorStream.CSSAudio);

' Replay audio file
NChantKM1.StartPlayback(audioFile, ChantPlaybackObject.CPOFile, "", ChantSensorStream.CSSAudio)

Collapse/Expand See Also section See Also

ChantKM
StopPlayback


ChantKM StartRecording Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

StartRecording Method

Starts capturing sensor image or audio streams and saves to files.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.StartRecording(sensorID, recordingResult, eChantRecordingResult, eChantAudioFormat, eChantSensorStream, userData);

chantKM->StartRecording(sensorID, pszRecordingResult, eChantRecordingResult, eChantAudioFormat, eChantSensorStream, userData);

chantKM->StartRecording(sensorID, recordingResult, eChantRecordingResult, eChantAudioFormat, eChantSensorStream, userData);

chantKM.StartRecording(sensorID, recordingResult, eChantRecordingResult, eChantAudioFormat, eChantSensorStream, userData);

chantKM.startRecording(sensorID, recordingResult, eChantRecordingResult, eChantAudioFormat, eChantSensorStream, userData);

chantKM.StartRecording(sensorID, recordingResult, eChantRecordingResult, eChantAudioFormat, eChantSensorStream, userData)

Parameters

sensorID

Long Integer. Index of sensor within the KinectSensorCollection.

recordingResult

String. The SQL Compact database file name or SQL Server login string for image session data, or the file name to write the audio stream.

eChantAudioFormat

ChantAudioFormat. The value that uniquely identifies the audio format of result object. For the complete list of values, see ChantAudioFormat enumerated constants.

eChantSensorStream

ChantSensorStream. The type of data streams to record. Color, depth with player index, and skeleton data are recorded by default.

userData

String. User defined data to persist with the recorded data.

Collapse/Expand Remarks section Remarks

Invoke StopRecording to stop capturing image or audio data.

Collapse/Expand Example section Example

The following example illustrates saving image data.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn the sensor on, capture, and persist data
// Option 1. Use SQL Compact Edition
NChantKM1.StartRecording(0, "mysensordata.sdf");
// Option 2. Connect to SQL Server
NChantKM1.StartRecording(0, "Server=.\\SQLExpress;Database=mysensordata;Integrated Security=SSPI");

// Turn the sensor on, capture, and persist data
// Option 1. Use SQL Compact Edition
pChantKM1->StartRecording(0, L"mysensordata.sdf");
// Option 2. Connect to SQL Server
pChantKM1->StartRecording(0, L"Server=.\\SQLExpress;Database=mysensordata;Integrated Security=SSPI");

// Turn the sensor on, capture, and persist data
// Option 1. Use SQL Compact Edition
pChantKM1->StartRecording(0, "mysensordata.sdf");
// Option 2. Connect to SQL Server
pChantKM1->StartRecording(0, "Server=.\\SQLExpress;Database=mysensordata;Integrated Security=SSPI");

// Turn the sensor on, capture, and persist data
// Option 1. Use SQL Compact Edition
ChantKM1.StartRecording(0, 'mysensordata.sdf');
// Option 2. Connect to SQL Server
ChantKM1.StartRecording(0, 'Server=.\\SQLExpress;Database=mysensordata;Integrated Security=SSPI');

// Turn the sensor on, capture, and persist data
// Option 1. Use SQL Compact Edition
JChantKM1.startRecording(0, "mysensordata.sdf");
// Option 2. Connect to SQL Server
JChantKM1.startRecording(0, "Server=.\\SQLExpress;Database=mysensordata;Integrated Security=SSPI");

// Turn the sensor on, capture, and persist data
// Option 1. Use SQL Compact Edition
NChantKM1.StartRecording(0, "mysensordata.sdf")
// Option 2. Connect to SQL Server
NChantKM1.StartRecording(0, "Server=.\SQLExpress;Database=mysensordata;Integrated Security=SSPI")

The following example illustrates recording a wave file.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
string path = Directory.GetCurrentDirectory();
// Append path terminator
path += "\\";

// Start audio source and persist to a file. Have KinesicsKit generate a unique file name.
NChantKM1.StartRecording(0, path, ChantAudioFormat.CAFDefault, ChantSensorStream.CSSAudio, "");

wchar_t path[MAX_PATH];
GetCurrentDirectory(MAX_PATH, path);
int length = wcslen(path);
// Append path terminator
path[length] = L'\\';
path[length + 1] = L'\0';
// Start audio source and persist to a file. Have KinesicsKit generate a unique file name.
pChantKM->StartRecording(0, path, CAFDefault, CSSAudio);

wchar_t path[MAX_PATH];
GetCurrentDirectoryW(MAX_PATH, path);
int length = wcslen(path);
// Append path terminator
path[length] = L'\\';
path[length + 1] = L'\0';

// Start audio source and persist to a file. Have KinesicsKit generate a unique file name.
pChantKM->StartRecording(0, String(path), CAFDefault, CSSAudio);

var
path: array [0..MAX_PATH] of WideChar;
pathLength: Integer;
begin
    GetCurrentDirectoryW(MAX_PATH, path);
    pathLength := Length(path);
    // Append path terminator
    path[pathLength] := WideChar('\');
    path[pathLength + 1] := WideChar('0');

    // Start audio source and persist to a file. Have KinesicsKit generate a unique file name.
    ChantKM1.StartRecording(0, string(path), CAFDefault, CSSAudio);
end;

String path = new File(".").getAbsolutePath();
// Append path terminator
path += "\\";
// Start audio source and persist to a file. Have KinesicsKit generate a unique file name.
JChantKM1.startRecording(0, path, ChantAudioFormat.CAFDefault, ChantSensorStream.CSSAudio, "");

Dim path as String
path = Directory.GetCurrentDirectory()
' Append path terminator
path = path + "\"
' Start audio source and persist to a file. Have KinesicsKit generate a unique file name.
NChantKM1.StartRecording(0, path, ChantAudioFormat.CAFDefault, ChantSensorStream.CSSAudio, "")

Collapse/Expand See Also section See Also

ChantKM
StopRecording


ChantKM Stop Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Stop Method

Stops the Kinect sensor device capturing image, depth, and skeleton data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.Stop(sensorID);

chantKM->Stop(sensorID);

chantKM->Stop(sensorID);

chantKM.Stop(sensorID);

chantKM.stop(sensorID);

chantKM.Stop(sensorID)

Parameters

nSensorID

Long integer. Optional index of sensor in the KinectSensorCollection. Stops the first sensor (0) in the collection by default.

Collapse/Expand Remarks section Remarks

Invoke Start to begin capturing color, depth, and skeleton data.

Collapse/Expand See Also section See Also

ChantKM
Start


ChantKM StopPlayback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

StopPlayback Method

Stops the audio playback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.StopPlayback();

chantKM->StopPlayback();

chantKM->StopPlayback();

chantKM.StopPlayback();

chantKM.stopPlayback();

chantKM.StopPlayback()

Collapse/Expand See Also section See Also

ChantKM
StartPlayback


ChantKM StopRecording Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

StopRecording Method

Stops capturing audio stream.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.StopRecording(sensorID);

chantKM->StopRecording(sensorID);

chantKM->StopRecording(sensorID);

chantKM.StopRecording(sensorID);

chantKM.stopRecording(sensorID);

chantKM.StopRecording(sensorID)

Parameters

sensorID

Long integer. Index of sensor within the KinectSensorCollection.

Collapse/Expand See Also section See Also

ChantKM
StartRecording


ChantKM UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Sets the callback event inactive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantKM.UnregisterCallback(eChantCallback);

chantKM->UnregisterCallback(eChantCallback);

chantKM->UnregisterCallback(eChantCallback);

chantKM.UnregisterCallback(eChantCallback);

chantKM.unregisterCallback(eChantCallback);

chantKM.UnregisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

Constant | Value | Description
CCNone | 0 | No callback event.
CCAPIError | 59 | API Error. Property values: ID, Function, Text.
CCKSAllFramesReady | 61 | A color image, depth image, and skeleton frame are ready for processing. Property values: Sensor.
CCKSBeamAngleChanged | 62 | The horizontal angle in radians of the currently selected beam in camera coordinates, where the x-z axes define the horizontal plane. The angle is relative to the z-axis, which is perpendicular to the Kinect sensor. Property values: Angle.
CCKSColorImageFrameReady | 63 | A color image frame is ready for processing. Property values: Sensor.
CCKSDepthImageFrameReady | 64 | A depth image frame is ready for processing. Property values: Sensor.
CCKSSkeletonFrameReady | 65 | A skeleton frame is ready for processing. Property values: Sensor.
CCKSSoundSourceAngleChanged | 66 | The audio source angle changed. Property values: Angle, Confidence.
CCKSStarted | 67 | The sensor has started processing data. Property values: Sensor, SessionID.
CCKSStatusChanged | 68 | The sensor status changed. Property values: Status.
CCKSStopped | 69 | The sensor has stopped processing data. Property values: Sensor, SessionID.

The following example illustrates turning off KSStatusChanged events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn off KSStatusChanged events
NChantKM1.UnregisterCallback(ChantCallback.CCKSStatusChanged);

// Turn off KSStatusChanged events
pChantKM->UnregisterCallback(CCKSStatusChanged);

// Turn off KSStatusChanged events
pChantKM->UnregisterCallback(CCKSStatusChanged);

// Turn off KSStatusChanged events
ChantKM1.UnregisterCallback(CCKSStatusChanged);

// Turn off KSStatusChanged events
JChantKM1.unregisterCallback(ChantCallback.CCKSStatusChanged);

' Turn off KSStatusChanged events
NChantKM1.UnregisterCallback(ChantCallback.CCKSStatusChanged)

Collapse/Expand See Also section See Also

ChantKM
RegisterCallback


ChantKMEvent Class

Represents a movement management event.

Collapse/Expand Remarks section Remarks

A Kinect sensor event may have data associated with it. For events that have data associated with them, the data is available from the ChantKMEvent object.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Angle | Gets a beam angle that is the direction from which the sensor is actively listening.
Public property | AudioBeamFrameReference | Gets the reference to the audio beam frame.
Public property | BodyFrameReference | Gets the reference to the body frame.
Public property | BodyIndexFrameReference | Gets the reference to the body index frame.
Public property | ChantCallback | Gets the type of event callback.
Public property | ColorFrameReference | Gets the reference to the color frame.
Public property | Confidence | Gets the confidence in the beam angle.
Public property | DepthFrameReference | Gets the reference to the depth frame.
Public property | File | The file name written to.
Public property | FrameStatus | Gets the status of the captured frame.
Public property | FrameType | Gets the type of frame source.
Public property | Function | Gets the API function name.
Public property | ID | Gets the API error number.
Public property | InfraredFrameReference | Gets the reference to the infrared frame.
Public property | IsAvailable | Gets the sensor available state.
Public property | LongExposureInfraredFrameReference | Gets the reference to the long exposure infrared frame.
Public property | MultiSourceFrameReference | Gets the reference to the multi source frame.
Public property | RelativeTime | Gets the unique relative time at which the frame was captured.
Public property | Text | Gets the error message from API error.

Collapse/Expand See Also section See Also

RemoveEvent


ChantKMEvent Angle Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Angle Property

Gets a beam angle that is the direction from which the sensor is actively listening.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

double angle = chantKMEvent.Angle;

double angle = chantKMEvent->GetAngle();

double angle = chantKMEvent->GetAngle();

var angle: Double;
angle := chantKMEvent.Angle;

double angle = chantKMEvent.getAngle();

Dim angle As Double
angle = chantKMEvent.Angle

Collapse/Expand See Also section See Also

ChantKMEvent


ChantKMEvent AudioBeamFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AudioBeamFrameReference Property

Gets the reference to the audio beam frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioBeamFrameReference audioBeamFrameReference = chantKMEvent.AudioBeamFrameReference;

CAudioBeamFrameReference* audioBeamFrameReference = chantKMEvent->GetAudioBeamFrameReference();

CAudioBeamFrameReference* audioBeamFrameReference = chantKMEvent->GetAudioBeamFrameReference();

var audioBeamFrameReference: TAudioBeamFrameReference;
audioBeamFrameReference := chantKMEvent.AudioBeamFrameReference;

AudioBeamFrameReference audioBeamFrameReference = chantKMEvent.geAudioBeamFrameReference();

Dim audioBeamFrameReference As AudioBeamFrameReference
audioBeamFrameReference = chantKMEvent.AudioBeamFrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent
AudioBeamFrameReference


ChantKMEvent BodyFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BodyFrameReference Property

Gets the reference to the body frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyFrameReference bodyFrameReference = chantKMEvent.BodyFrameReference;

CBodyFrameReference* bodyFrameReference = chantKMEvent->GetBodyFrameReference();

CBodyFrameReference* bodyFrameReference = chantKMEvent->GetBodyFrameReference();

var bodyFrameReference: TBodyFrameReference;
bodyFrameReference := chantKMEvent.BodyFrameReference;

BodyFrameReference bodyFrameReference = chantKMEvent.getBodyFrameReference();

Dim bodyFrameReference As BodyFrameReference
bodyFrameReference = chantKMEvent.BodyFrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent
BodyFrameReference


ChantKMEvent BodyIndexFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BodyIndexFrameReference Property

Gets the reference to the body index frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyIndexFrameReference bodyIndexFrameReference = chantKMEvent.BodyIndexFrameReference;

CBodyIndexFrameReference* bodyIndexFrameReference = chantKMEvent->GetBodyIndexFrameReference();

CBodyIndexFrameReference* bodyIndexFrameReference = chantKMEvent->GetBodyIndexFrameReference();

var bodyIndexFrameReference: TBodyIndexFrameReference;
bodyIndexFrameReference := chantKMEvent.BodyIndexFrameReference;

BodyIndexFrameReference bodyIndexFrameReference = chantKMEvent.getBodyIndexFrameReference();

Dim bodyIndexFrameReference As BodyIndexFrameReference
bodyIndexFrameReference = chantKMEvent.BodyIndexFrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent
BodyIndexFrameReference


ChantKMEvent ChantCallback Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

ChantCallback Property

Gets the type of event callback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantCallback eChantCallback = chantKMEvent.ChantCallback;

ChantCallback eChantCallback = chantKMEvent->GetChantCallback();

ChantCallback eChantCallback = chantKMEvent->GetChantCallback();

var eChantCallback: ChantCallback;
eChantCallback := chantKMEvent.ChantCallback;

int eChantCallback = chantKMEvent.getChantCallback();

Dim eChantCallback As ChantCallback
eChantCallback = chantKMEvent.ChantCallback

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantCallback constant values:

Constant | Value | Description
CCNone | 0 | No callback event.
CCSAudioStart | 3 | Recognizer opened the audio source device. Property values: none.
CCSAudioStop | 4 | Recognizer has no more data from the source audio stream. Property values: Reason.
CCDAudioStart | 11 | Audio playback has started. Property values: TimeStamp.
CCDAudioStop | 12 | Audio playback has stopped. Property values: Reason, TimeStamp, File.
CCAPIError | 59 | API Error. Property values: ID, Function, Text.
CCKSBeamAngleChanged | 62 | The horizontal angle in radians of the currently selected beam in camera coordinates, where the x-z axes define the horizontal plane. The angle is relative to the z-axis, which is perpendicular to the Kinect sensor. Property values: Angle.
CCKSStarted | 67 | The sensor has started processing data. Property values: Sensor, SessionID.
CCKSStatusChanged | 68 | The sensor status changed. Property values: Status.
CCKSStopped | 69 | The sensor has stopped processing data. Property values: Sensor, SessionID.
CCKSAudioBeamFrameArrived | 75 | An audio beam frame arrived. Property values: AudioBeamFrameReference.
CCKSBeamAngleConfidenceChanged | 76 | An audio beam angle confidence property changed. Property values: Confidence.
CCKSBodyFrameArrived | 77 | A body frame arrived. Property values: BodyFrameReference.
CCKSBodyIndexFrameArrived | 78 | A body index frame arrived. Property values: BodyIndexFrameReference.
CCKSColorFrameArrived | 79 | A color frame arrived. Property values: ColorFrameReference.
CCKSCoordinateMappingChanged | 80 | A CoordinateMapper value changed. Property values: none.
CCKSDepthFrameArrived | 81 | A depth frame arrived. Property values: DepthFrameReference.
CCKSFrameCaptured | 82 | The unique relative time at which the frame was captured. Property values: FrameType, FrameStatus, RelativeTime.
CCKSInfraredFrameArrived | 83 | An infrared frame arrived. Property values: InfraredFrameReference.
CCKSIsAvailableChanged | 84 | The sensor availability state changed. Property values: IsAvailable.
CCKSLongExposureInfraredFrameArrived | 85 | A long exposure infrared frame arrived. Property values: LongExposureInfraredFrameReference.
CCKSMultiSourceFrameArrived | 86 | A multi source frame arrived. Property values: MultiSourceFrameReference.
CCKSRelativeTimeChanged | 87 | An audio beam relative time property changed. Property values: RelativeTime.

Collapse/Expand See Also section See Also

ChantKMEvent


ChantKMEvent ColorFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

ColorFrameReference Property

Gets the reference to the color frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ColorFrameReference colorFrameReference = chantKMEvent.ColorFrameReference;

CColorFrameReference* colorFrameReference = chantKMEvent->GetColorFrameReference();

CColorFrameReference* colorFrameReference = chantKMEvent->GetColorFrameReference();

var colorFrameReference: TColorFrameReference;
colorFrameReference := chantKMEvent.ColorFrameReference;

ColorFrameReference colorFrameReference = chantKMEvent.getColorFrameReference();

Dim colorFrameReference As ColorFrameReference
colorFrameReference = chantKMEvent.ColorFrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent
ColorFrameReference


ChantKMEvent Confidence Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Confidence Property

The confidence associated with the audio source location estimate.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

double confidence = chantKMEvent.Confidence;

double confidence = chantKMEvent->GetConfidence();

double confidence = chantKMEvent->GetConfidence();

var confidence: Double;
confidence := chantKMEvent.Confidence;

double confidence = chantKMEvent.getConfidence();

Dim confidence As Double
confidence = chantKMEvent.Confidence

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent


ChantKMEvent DepthFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

DepthFrameReference Property

Gets the reference to the depth frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

DepthFrameReference depthFrameReference = chantKMEvent.DepthFrameReference;

CDepthFrameReference* depthFrameReference = chantKMEvent->GetDepthFrameReference();

CDepthFrameReference* depthFrameReference = chantKMEvent->GetDepthFrameReference();

var depthFrameReference: TDepthFrameReference;
depthFrameReference := chantKMEvent.DepthFrameReference;

DepthFrameReference depthFrameReference = chantKMEvent.getDepthFrameReference();

Dim depthFrameReference As DepthFrameReference
depthFrameReference = chantKMEvent.DepthFrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent
DepthFrameReference


ChantKMEvent File Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

File Property

The file name written to.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String file = chantKMEvent.File;

wchar_t* file = chantKMEvent->GetFile();

String file = chantKMEvent->GetFile();

var file: string;
file := chantKMEvent.File;

String file = chantKMEvent.getFile();

Dim file As String
file = chantKMEvent.File

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent


ChantKMEvent FrameStatus Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameStatus Property

Gets the status of the captured frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameCapturedStatus eFrameCapturedStatus = chantKMEvent.FrameStatus;

FrameCapturedStatus eFrameCapturedStatus = chantKMEvent->GetFrameStatus();

FrameCapturedStatus eFrameCapturedStatus = chantKMEvent->GetFrameStatus();

var eFrameCapturedStatus: FrameCapturedStatus;
eFrameCapturedStatus := chantKMEvent.FrameStatus;

int eFrameCapturedStatus = chantKMEvent.getFrameStatus();

Dim eFrameCapturedStatus As FrameCapturedStatus
eFrameCapturedStatus = chantKMEvent.FrameStatus

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent
FrameCapturedStatus


ChantKMEvent FrameType Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameType Property

Gets the type of frame source.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameSourceTypes eFrameSourceTypes = chantKMEvent.FrameType;

FrameSourceTypes eFrameSourceTypes = chantKMEvent->GetFrameType();

FrameSourceTypes eFrameSourceTypes = chantKMEvent->GetFrameType();

var eFrameSourceTypes: FrameSourceTypes;
eFrameSourceTypes := chantKMEvent.FrameType;

int eFrameSourceTypes = chantKMEvent.getFrameType();

Dim eFrameSourceTypes As FrameSourceTypes
eFrameSourceTypes = chantKMEvent.FrameType

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent


ChantKMEvent Function Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Function Property

The API function invoked.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String function = chantKMEvent.Function;

wchar_t* function = chantKMEvent->GetFunction();

String function = chantKMEvent->GetFunction();

var function: string;
function := chantKMEvent.Function;

String function = chantKMEvent.getFunction();

Dim function As String
function = chantKMEvent.Function

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent


ChantKMEvent ID Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

ID Property

API error number.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int id = chantKMEvent.ID;

long id = chantKMEvent->GetID();

long id = chantKMEvent->GetID();

var id: Integer;
id := chantKMEvent.ID;

int id = chantKMEvent.getID();

Dim id As Integer
id = chantKMEvent.ID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent


ChantKMEvent InfraredFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

InfraredFrameReference Property

Gets the reference to the infrared frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

InfraredFrameReference infraredFrameReference = chantKMEvent.InfraredFrameReference;

CInfraredFrameReference* infraredFrameReference = chantKMEvent->GetInfraredFrameReference();

CInfraredFrameReference* infraredFrameReference = chantKMEvent->GetInfraredFrameReference();

var infraredFrameReference: TInfraredFrameReference;
infraredFrameReference := chantKMEvent.InfraredFrameReference;

InfraredFrameReference infraredFrameReference = chantKMEvent.getInfraredFrameReference();

Dim infraredFrameReference As InfraredFrameReference
infraredFrameReference = chantKMEvent.InfraredFrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent
InfraredFrameReference


ChantKMEvent IsAvailable Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsAvailable Property

Gets the sensor available state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isAvailable = chantKMEvent.IsAvailable;

bool isAvailable = chantKMEvent->GetIsAvailable();

bool isAvailable = chantKMEvent->GetIsAvailable();

var isAvailable: Boolean;
isAvailable := chantKMEvent.IsAvailable;

boolean isAvailable = chantKMEvent.getIsAvailable();

Dim isAvailable As Boolean
isAvailable = chantKMEvent.IsAvailable

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent
KinectSensor


ChantKMEvent LongExposureInfraredFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

LongExposureInfraredFrameReference Property

Gets the reference to the long exposure infrared frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

LongExposureInfraredFrameReference longExposureInfraredFrameReference = chantKMEvent.LongExposureInfraredFrameReference;

CLongExposureInfraredFrameReference* longExposureInfraredFrameReference = chantKMEvent->GetLongExposureInfraredFrameReference();

CLongExposureInfraredFrameReference* longExposureInfraredFrameReference = chantKMEvent->GetLongExposureInfraredFrameReference();

var longExposureInfraredFrameReference: TLongExposureInfraredFrameReference;
longExposureInfraredFrameReference := chantKMEvent.LongExposureInfraredFrameReference;

LongExposureInfraredFrameReference longExposureInfraredFrameReference = chantKMEvent.getLongExposureInfraredFrameReference();

Dim longExposureInfraredFrameReference As LongExposureInfraredFrameReference
longExposureInfraredFrameReference = chantKMEvent.LongExposureInfraredFrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent
LongExposureInfraredFrameReference


ChantKMEvent MultiSourceFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

MultiSourceFrameReference Property

Gets the reference to the multi source frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

MultiSourceFrameReference multiSourceFrameReference = chantKMEvent.MultiSourceFrameReference;

CMultiSourceFrameReference* multiSourceFrameReference = chantKMEvent->GetMultiSourceFrameReference();

CMultiSourceFrameReference* multiSourceFrameReference = chantKMEvent->GetMultiSourceFrameReference();

var multiSourceFrameReference: TMultiSourceFrameReference;
multiSourceFrameReference := chantKMEvent.MultiSourceFrameReference;

MultiSourceFrameReference multiSourceFrameReference = chantKMEvent.getMultiSourceFrameReference();

Dim multiSourceFrameReference As MultiSourceFrameReference
multiSourceFrameReference = chantKMEvent.MultiSourceFrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent
MultiSourceFrameReference


ChantKMEvent RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Gets the unique relative time at which the frame was captured.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = chantKMEvent.RelativeTime;

TIMESPAN relativeTime = chantKMEvent->GetRelativeTime();

TIMESPAN relativeTime = chantKMEvent->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := chantKMEvent.RelativeTime;

long relativeTime = chantKMEvent.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = chantKMEvent.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent


ChantKMEvent Text Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Text Property

Error message from API error.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String text = chantKMEvent.Text;

wchar_t* text = chantKMEvent->GetText();

String text = chantKMEvent->GetText();

var text: string;
text := chantKMEvent.Text;

String text = chantKMEvent.getText();

Dim text As String
text = chantKMEvent.Text

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantKMEvent


ColorCameraSettings Class

Represents the settings of the color camera.

Collapse/Expand Remarks section Remarks

ColorCameraSettings objects are obtained via the ColorFrame ColorCameraSettings property.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ExposureTime | Gets the exposure time.
Public property | FrameInterval | Gets the interval beween the beginning of one exposure and the next.
Public property | Gain | Gets the gain.
Public property | Gamma | Gets the gamma exponent.

Collapse/Expand See Also section See Also

ColorFrame


ColorCameraSettings ExposureTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

ExposureTime Property

Gets the exposure time.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint exposureTime = colorCameraSettings.ExposureTime;

unsigned int exposureTime = colorCameraSettings->GetExposureTime();

unsigned int exposureTime = colorCameraSettings->GetExposureTime();

var exposureTime: LongWord;
exposureTime := colorCameraSettings.ExposureTime;

int exposureTime = colorCameraSettings.getExposureTime();

Dim exposureTime As UInteger
exposureTime = colorCameraSettings.ExposureTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorCameraSettings


ColorCameraSettings FrameInterval Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameInterval Property

Gets the interval beween the beginning of one exposure and the next.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint frameInterval = colorCameraSettings.FrameInterval;

unsigned int frameInterval = colorCameraSettings->GetFrameInterval();

unsigned int frameInterval = colorCameraSettings->GetFrameInterval();

var frameInterval: LongWord;
frameInterval := colorCameraSettings.FrameInterval;

int frameInterval = colorCameraSettings.getFrameInterval();

Dim frameInterval As UInteger
frameInterval = colorCameraSettings.FrameInterval

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorCameraSettings


ColorCameraSettings Gain Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Gain Property

Gets the gain.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

float gain = colorCameraSettings.Gain;

float gain = colorCameraSettings->GetGain()

float gain = colorCameraSettings->GetGain()

var gain: Single;
gain := colorCameraSettings.Gain;

float gain = colorCameraSettings.getGain();

Dim gain As Single
gain = colorCameraSettings.Gain

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorCameraSettings


ColorCameraSettings Gamma Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Gamma Property

Gets the gamma exponent.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

float gamma = colorCameraSettings.Gamma;

float gamma = colorCameraSettings->GetGamma();

float gamma = colorCameraSettings->GetGamma();

var gamma: Single;
gamma := colorCameraSettings.Gamma;

float gamma = colorCameraSettings.getGamma();

Dim gamma As Single
gamma = colorCameraSettings.Gamma

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorCameraSettings


ColorFrame Class

Represents a color frame from the ColorFrameSource of a KinectSensor.

Collapse/Expand Remarks section Remarks

ColorFrame objects are obtained via the ColorFrameReader AcquireLatestFrame and the ColorFrameReference AcquireFrame methods.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AccessRawUnderlyingBuffer | Gets a pointer to the color frame data.
Public method | CopyRawFrameDataToArray | Copies the raw frame data into the array provided.
Public method | CopyConvertedFrameDataToArray | Converts the raw format into the requested format and copies the data into the array provided.
Public method | CreateFrameDescription | Creates a FrameDescription object for the ColorFrame of the requested format.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ColorCameraSettings | Gets a description of the color camera settings for this frame.
Public property | ColorFrameSource | Gets the source for this frame type.
Public property | FrameDescription | Gets the frame description for the underlying image format.
Public property | RawColorImageFormat | Gets the pixel format for the underlying color image.
Public property | RelativeTime | Gets the unique relative time at which the frame was captured.

Collapse/Expand See Also section See Also

ColorCameraSettings
ColorFrameReader
ColorFrameReference
ColorFrameSource
ColorImageFormat
FrameDescription


ColorFrame AccessRawUnderlyingBuffer Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AccessRawUnderlyingBuffer Method

Gets a pointer to the color frame data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

colorFrame.AccessRawUnderlyingBuffer(capacity, buffer);

colorFrame->AccessRawUnderlyingBuffer(capacity, buffer);

colorFrame->AccessRawUnderlyingBuffer(capacity, buffer);

colorFrame.AccessRawUnderlyingBuffer(capacity, buffer);

colorFrame.accessRawUnderlyingBuffer(capacity, buffer);

colorFrame.AccessRawUnderlyingBuffer(capacity, buffer)

Parameters

capacity

unsigned integer. When this method returns, contains the size of the frame data buffer in bytes.

buffer

Pointer. When this method returns, it contains the pointer to the frame data.

Collapse/Expand See Also section See Also

ColorFrame


ColorFrame ColorCameraSettings Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

ColorCameraSettings Property

Gets a description of the color camera settings for this frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ColorCameraSettings colorCameraSettings = colorFrame.ColorCameraSettings;

CColorCameraSettings* colorCameraSettings = colorFrame->GetColorCameraSettings();

CColorCameraSettings* colorCameraSettings = colorFrame->GetColorCameraSettings();

var colorCameraSettings: TColorCameraSettings;
colorCameraSettings := colorFrame.ColorCameraSettings;

ColorCameraSettings colorCameraSettings = colorFrame.getColorCameraSettings();

Dim colorCameraSettings As ColorCameraSettings
colorCameraSettings = colorFrame.ColorCameraSettings

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorFrame
ColorCameraSettings


ColorFrame ColorFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

ColorFrameSource Property

Gets the source for this frame type.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ColorFrameSource colorFrameSource = colorFrame.ColorFrameSource;

CColorFrameSource* colorFrameSource = colorFrame->GetColorFrameSource();

CColorFrameSource* colorFrameSource = colorFrame->GetColorFrameSource();

var colorFrameSource: TColorFrameSource;
colorFrameSource := colorFrame.ColorFrameSource;

ColorFrameSource colorFrameSource = colorFrame.getColorFrameSource();

Dim colorFrameSource As ColorFrameSource
colorFrameSource = colorFrame.ColorFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorFrame
ColorFrameSource


ColorFrame CopyConvertedFrameDataToArray Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

CopyConvertedFrameDataToArray Method

Converts the raw format into the requested format and copies the data into the array provided.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

colorFrame.CopyConvertedFrameDataToArray(frameData);

colorFrame->CopyConvertedFrameDataToArray(capacity, frameData);

colorFrame->CopyConvertedFrameDataToArray(capacity, frameData);

colorFrame.CopyConvertedFrameDataToArray(capacity, frameData);

colorFrame.copyFrameDataToArray(frameData);

colorFrame.CopyConvertedFrameDataToArray(frameData)

Parameters

capacity

unsigned integer. The length of the array.

frameData

Byte array. The array to which to copy the color frame data.

Collapse/Expand See Also section See Also

ColorFrame


ColorFrame CopyRawFrameDataToArray Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

CopyRawFrameDataToArray Method

Copies the raw frame data into the array provided.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

colorFrame.CopyRawFrameDataToArray(frameData);

colorFrame->CopyRawFrameDataToArray(capacity, frameData);

colorFrame->CopyRawFrameDataToArray(capacity, frameData);

colorFrame.CopyRawFrameDataToArray(capacity, frameData);

colorFrame.copyRawFrameDataToArray(frameData);

colorFrame.CopyRawFrameDataToArray(frameData)

Parameters

capacity

unsigned integer. The length of the array.

frameData

Byte array. The array to which to copy the color data.

Collapse/Expand See Also section See Also

ColorFrame


ColorFrame CreateFrameDescription Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

CreateFrameDescription Method

Creates a FrameDescription object for the ColorFrame of the requested format.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameDescription frameDescription = colorFrame.CreateFrameDescription(format);

CFrameDescription* frameDescription = colorFrame->CreateFrameDescription(format);

CFrameDescription* frameDescription = colorFrame->CreateFrameDescription(format);

var frameDescription: TFrameDescription;
frameDescription := colorFrame.CreateFrameDescription(format);

FrameDescription frameDescription = colorFrame.openReader(format);

Dim frameDescription As FrameDescription
frameDescription = colorFrame.CreateFrameDescription(format)

Parameters

format

ColorImageFormat. The color image format.

Return Value

FrameDescription. The FrameDescription object for the ColorFrame of the requested format.

Collapse/Expand See Also section See Also

FrameDescription
ColorFrame


ColorFrame FrameDescription Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameDescription Property

Gets the frame description for the underlying image format.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameDescription frameDescription = colorFrame.FrameDescription;

CFrameDescription* frameDescription = colorFrame->GetFrameDescription();

CFrameDescription* frameDescription = colorFrame->GetFrameDescription();

var frameDescription: TFrameDescription;
frameDescription := colorFrame.FrameDescription;

FrameDescription frameDescription = colorFrame.getFrameDescription();

Dim frameDescription As FrameDescription
frameDescription = colorFrame.FrameDescription

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorFrame
FrameDescription


ColorFrame ColorImageFormat Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

ColorImageFormat Property

Gets the pixel format for the underlying color image.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ColorImageFormat eColorImageFormat = colorFrame.ColorImageFormat;

CColorImageFormat* eColorImageFormat = colorFrame->GetColorImageFormat();

CColorImageFormat* eColorImageFormat = colorFrame->GetColorImageFormat();

var eColorImageFormat: TColorImageFormat;
eColorImageFormat := colorFrame.ColorImageFormat;

ColorImageFormat eColorImageFormat = colorFrame.getColorImageFormat();

Dim eColorImageFormat As ColorImageFormat
eColorImageFormat = colorFrame.ColorImageFormat

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorFrame
ColorImageFormat


ColorFrame RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Gets the unique relative time at which the frame was captured.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = colorFrame.RelativeTime;

TIMESPAN relativeTime = colorFrame->GetRelativeTime();

TIMESPAN relativeTime = colorFrame->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := colorFrame.RelativeTime;

long relativeTime = colorFrame.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = colorFrame.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorFrame


ColorFrameArrived Event

Event that is raised when a color frame arrives.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

private void ColorFrameArrivedCallback(object sender, Chant.KinesicsKit.ColorFrameArrivedEventArgs e)
{

// Event handler code goes here

}

void CALLBACK ColorFrameArrivedCallback(CColorFrameReference* colorFrameReference)
{

// Event handler code goes here

}

void CALLBACK ColorFrameArrivedCallback(CColorFrameReference* colorFrameReference)
{

// Event handler code goes here

}

procedure ColorFrameArrivedCallback(colorFrameReference: TColorFrameReference); begin

// Event handler code goes here

end;

public void frameArrived(ColorFrameReference colorFrameReference)
{

// Event handler code goes here

}

Private Sub ColorFrameArrivedCallback(ByVal sender As System.Object, ByVal e As Chant.KinesicsKit.FrameArrivedEventArgs) Handles MyColorFrameReader.ColorFrameArrived

' Event handler code goes here

End Sub

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


ColorFrameArrivedEventArgs Class

Arguments for a color frame reader's FrameArrived event.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameReference | Gets the reference to the color frame for the FrameArrived event.

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


ColorFrameArrivedEventArgs ColorFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameReference Property

Gets the reference to the color frame for the FrameArrived event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ColorFrameReference colorFrameReference = colorFrameArrivedEventArgs.FrameReference;

CColorFrameReference* colorFrameReference = colorFrameArrivedEventArgs->GetFrameReference();

CColorFrameReference* colorFrameReference = colorFrameArrivedEventArgs->GetFrameReference();

var colorFrameReference: TColorFrameReference;
colorFrameReference := colorFrameArrivedEventArgs.FrameReference;

ColorFrameReference colorFrameReference = colorFrameArrivedEventArgs.getFrameReference();

Dim colorFrameReference As ColorFrameReference
colorFrameReference = colorFrameArrivedEventArgs.FrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorFrameArrivedEventArgs
ColorFrameReference


ColorFrameReader Class

Represents a source of color frames from a KinectSensor.

Collapse/Expand Remarks section Remarks

ColorFrameReader objects are obtained via the BodyFrameSource OpenReader method.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameArrived | Event that fires when a new frame is ready.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireLatestFrame | Acquires the latest available frame.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ColorFrameSource | Gets the body frame source.
Public property | IsPaused | Gets or sets the reader pause state.

Collapse/Expand See Also section See Also

ColorFrame
ColorFrameSource


ColorFrameReader AcquireLatestFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireLatestFrame Method

Acquires the latest available frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ColorFrame colorFrame = colorFrameReader.AcquireLatestFrame();

CColorFrame* colorFrame = colorFrameReader->AcquireLatestFrame();

CColorFrame* colorFrame = colorFrameReader->AcquireLatestFrame();

var colorFrame: ColorFrame;
colorFrame := colorFrameReader.AcquireLatestFrame();

ColorFrame colorFrame = colorFrameReader.acquireLatestFrame();

Dim colorFrame As ColorFrame
colorFrame = colorFrameReader.AcquireLatestFrame()

Return Value

ColorFrame. A valid frame, or null if no new frames are available.

Collapse/Expand Remarks section Remarks

A given reader will only return each frame once. If no new frames are available since the last call to this method, the result will be null.

Collapse/Expand See Also section See Also

ColorFrame ColorFrameReader


ColorFrameReader ColorFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

ColorFrameSource Property

Gets the color frame source.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ColorFrameSource colorFrameSource = colorFrameReader.ColorFrameSource;

CColorFrameSource* colorFrameSource = colorFrameReader->GetColorFrameSource();

CColorFrameSource* colorFrameSource = colorFrameReader->GetColorFrameSource();

var colorFrameSource: TColorFrameSource;
colorFrameSource := colorFrameReader.ColorFrameSource;

ColorFrameSource colorFrameSource = colorFrameReader.getColorFrameSource();

Dim colorFrameSource As ColorFrameSource
colorFrameSource = colorFrameReader.ColorFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorFrameReader
ColorFrameSource


ColorFrameReader IsPaused Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsPaused Property

Gets or sets the reader pause state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isPaused = colorFrameReader.IsPaused;
colorFrameReader.IsPaused = value;

bool isPaused = colorFrameReader->GetIsPaused();
colorFrameReader->SetIsPaused(value);

bool isPaused = colorFrameReader->GetIsPaused();
colorFrameReader->SetIsPaused(value);

var isPaused: Boolean;
isPaused := colorFrameReader.IsPaused;
colorFrameReader.IsPaused := value;

boolean isPaused = colorFrameReader.getIsPaused();
colorFrameReader.setIsPaused(value);

Dim isPaused As Boolean
isPaused = colorFrameReader.IsPaused
colorFrameReader.IsPaused = value

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorFrameReader


ColorFrameReader RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a ColorFrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

colorFrameReader.ColorFrameArrived += colorFrameArrivedCallback;
colorFrameReader.PropertyChanged += propertyChangedCallback;

colorFrameReader->RegisterCallback(colorFrameArrivedCallback);
colorFrameReader->RegisterCallback(propertyChangedCallback);

colorFrameReader->RegisterCallback(colorFrameArrivedCallback);
colorFrameReader->RegisterCallback(propertyChangedCallback);

colorFrameReader.RegisterCallback(colorFrameArrivedCallback);
colorFrameReader.RegisterCallback(propertyChangedCallback);

colorFrameReader.registerCallback(colorFrameArrivedCallback);
colorFrameReader.registerCallback(propertyChangedCallback);

AddHandler colorFrameReader.ColorFrameArrived, AddressOf colorFrameArrivedCallback
AddHandler colorFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

colorFrameArrivedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the ColorFrameArrived interface (Java). Event handler that implements the ColorFrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

ColorFrameArrived events occur when an ColorFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

ColorFrameReader
UnregisterCallback


ColorFrameReader UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a ColorFrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

colorFrameReader.ColorFrameArrived -= colorFrameReaderCallback;
colorFrameReader.PropertyChanged -= propertyChangedCallback;

colorFrameReader->UnregisterCallback(colorFrameReaderCallback);
colorFrameReader->UnregisterCallback(propertyChangedCallback);

colorFrameReader->UnregisterCallback(colorFrameReaderCallback);
colorFrameReader->UnregisterCallback(propertyChangedCallback);

colorFrameReader.UnregisterCallback(colorFrameReaderCallback);
colorFrameReader.UnregisterCallback(propertyChangedCallback);

colorFrameReader.unregisterCallback(colorFrameReaderCallback);
colorFrameReader.unregisterCallback(propertyChangedCallback);

RemoveHandler colorFrameReader.ColorFrameArrived, AddressOf colorFrameReaderCallback
RemoveHandler colorFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

colorFrameReaderCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the ColorFrameArrived interface (Java). Event handler that implements the ColorFrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

ColorFrameArrived events occur when an ColorFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

ColorFrameReader
RegisterCallback


ColorFrameReference AcquireFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireFrame Method

Acquires the frame held by this reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ColorFrame colorFrame = colorFrameReference.AcquireFrame();

CColorFrame* colorFrame = colorFrameReference->AcquireFrame();

CColorFrame* colorFrame = colorFrameReference->AcquireFrame();

var colorFrame: ColorFrame;
colorFrame := colorFrameReference.AcquireFrame();

ColorFrame colorFrame = colorFrameReference.acquireFrame();

Dim colorFrame As ColorFrame
colorFrame = colorFrameReference.AcquireFrame()

Return Value

ColorFrame. A valid frame, or null if no new frames are available.

Collapse/Expand Remarks section Remarks

A given reader will only return each frame once. If no new frames are available since the last call to this method, the result will be null.

Collapse/Expand See Also section See Also

ColorFrame
ColorFrameReference


ColorFrameReference RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Returns the unique relative time at which this frame was produced.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = colorFrameReference.RelativeTime;

TIMESPAN relativeTime = colorFrameReference->GetRelativeTime();

TIMESPAN relativeTime = colorFrameReference->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := colorFrameReference.RelativeTime;

long relativeTime = colorFrameReference.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = colorFrameReference.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorFrameReference


ColorFrameSource Class

Represents a source of color frames from a KinectSensor.

Collapse/Expand Remarks section Remarks

ColorFrameSource objects are obtained via the ColorFrame ColorFrameSource, the ColorFrameReader ColorFrameSource, and the KinectSensor ColorFrameSource properties.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameCaptured | Event that fires when a new frame has been captured.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | CreateFrameDescription | Creates a frame description object for the specified format.
Public method | OpenReader | Creates and returns a new reader object.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameDescription | Gets the frame description for the default (raw) color format.
Public property | IsActive | Gets whether this source has any active (unpaused) readers.
Public property | KinectSensor | Gets the KinectSensor with which the body frame source is associated.

Collapse/Expand See Also section See Also

ColorFrame
ColorFrameReader
FrameDescription
KinectSensor


ColorFrame CreateFrameDescription Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

CreateFrameDescription Method

Creates a frame description object for the specified format.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameDescription frameDescription = colorFrame.CreateFrameDescription(format);

CFrameDescription* frameDescription = colorFrame->CreateFrameDescription(format);

CFrameDescription* frameDescription = colorFrame->CreateFrameDescription(format);

var frameDescription: TFrameDescription;
frameDescription := colorFrame.CreateFrameDescription(format);

FrameDescription frameDescription = colorFrame.openReader(format);

Dim frameDescription As FrameDescription
frameDescription = colorFrame.CreateFrameDescription(format)

Parameters

format

ColorImageFormat. The color image format.

Return Value

FrameDescription. The FrameDescription object for the ColorFrame of the requested format.

Collapse/Expand See Also section See Also

FrameDescription
ColorFrame


ColorFrameSource FrameDescription Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameDescription Property

Gets the frame description for the default (raw) color format.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameDescription frameDescription = colorFrameSource.FrameDescription;

CFrameDescription* frameDescription = colorFrameSource->GetFrameDescription();

CFrameDescription* frameDescription = colorFrameSource->GetFrameDescription();

var frameDescription: TFrameDescription;
frameDescription := colorFrameSource.FrameDescription;

FrameDescription frameDescription = colorFrameSource.getFrameDescription();

Dim frameDescription As FrameDescription
frameDescription = colorFrameSource.FrameDescription

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorFrameSource
FrameDescription


ColorFrameSource IsActive Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsActive Property

Gets whether this source has any active (unpaused) readers.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isActive = colorFrameSource.IsActive;

bool isActive = colorFrameSource->GetIsActive();

bool isActive = colorFrameSource->GetIsActive();

var isActive: Boolean;
isActive := colorFrameSource.IsActive;

boolean isActive = colorFrameSource.getIsActive();

Dim isActive As Boolean
isActive = colorFrameSource.IsActive

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorFrameSource


ColorFrameSource KinectSensor Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

KinectSensor Property

Gets the KinectSensor with which this source is associated

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

KinectSensor kinectSensor = colorFrameSource.KinectSensor;

CKinectSensor* kinectSensor = colorFrameSource->GetKinectSensor();

CKinectSensor* kinectSensor = colorFrameSource->GetKinectSensor();

var kinectSensor: TKinectSensor;
kinectSensor := colorFrameSource.KinectSensor;

KinectSensor kinectSensor = colorFrameSource.getKinectSensor();

Dim kinectSensor As KinectSensor
kinectSensor = colorFrameSource.KinectSensor

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorFrameSource
KinectSensor


ColorFrameSource OpenReader Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

OpenReader Method

Creates and returns a new reader object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ColorFrameReader colorFrameReader = colorFrameSource.OpenReader();

CColorFrameReader* colorFrameReader = colorFrameSource->OpenReader();

CColorFrameReader* colorFrameReader = colorFrameSource->OpenReader();

var colorFrameReader: TColorFrameReader;
colorFrameReader := colorFrameSource.OpenReader();

ColorFrameReader colorFrameReader = colorFrameSource.openReader();

Dim colorFrameReader As ColorFrameReader
colorFrameReader = colorFrameSource.OpenReader()

Return Value

ColorFrameReader. The color frame reader.

Collapse/Expand See Also section See Also

ColorFrameReader
ColorFrameSource


ColorFrameSource RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a FrameCaptured or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

colorFrameSource.FrameCaptured += frameCapturedCallback;
colorFrameSource.PropertyChanged += propertyChangedCallback;

colorFrameSource->RegisterCallback(frameCapturedCallback);
colorFrameSource->RegisterCallback(propertyChangedCallback);

colorFrameSource->RegisterCallback(frameCapturedCallback);
colorFrameSource->RegisterCallback(propertyChangedCallback);

colorFrameSource.RegisterCallback(frameCapturedCallback);
colorFrameSource.RegisterCallback(propertyChangedCallback);

colorFrameSource.registerCallback(frameCapturedCallback);
colorFrameSource.registerCallback(propertyChangedCallback);

AddHandler colorFrameSource.FrameCaptured, AddressOf frameCapturedCallback
AddHandler colorFrameSource.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameCapturedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameCaptured interface (Java). Event handler that implements the FrameCaptured interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameCaptured events occur when a ColorFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

ColorFrameSource
UnregisterCallback


ColorFrameSource UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a FrameCaptured or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

colorFrameSource.FrameCaptured -= frameCapturedCallback;
colorFrameSource.PropertyChanged -= propertyChangedCallback;

colorFrameSource->UnregisterCallback(frameCapturedCallback);
colorFrameSource->UnregisterCallback(propertyChangedCallback);

colorFrameSource->UnregisterCallback(frameCapturedCallback);
colorFrameSource->UnregisterCallback(propertyChangedCallback);

colorFrameSource.UnregisterCallback(frameCapturedCallback);
colorFrameSource.UnregisterCallback(propertyChangedCallback);

colorFrameSource.unregisterCallback(frameCapturedCallback);
colorFrameSource.unregisterCallback(propertyChangedCallback);

RemoveHandler colorFrameSource.FrameCaptured, AddressOf frameCapturedCallback
RemoveHandler colorFrameSource.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameCapturedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameCaptured interface (Java). Event handler that implements the FrameCaptured interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameCaptured events occur when a ColorFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

ColorFrameSource
RegisterCallback


CoordinateMapper Class

Represents the mapper that provides translation services from one type of point to another.

Collapse/Expand Remarks section Remarks

CoordinateMapper objects are obtained via the KinectSensor CoordinateMapper property.

Collapse/Expand Events section Events

 | Name | Description
Public event | CoordinateMappingChanged | Event that is raised when the mapping between types of points changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GetDepthCameraIntrinsics | Returns the calibration data for the depth camera.
Public method | GetDepthFrameToCameraSpaceTable | Generates a table of camera space points.
Public method | MapCameraPointsToColorSpace | Maps an array of points from camera space to color space.
Public method | MapCameraPointsToDepthSpace | Maps an array of points from camera space to depth space.
Public method | MapCameraPointToColorSpace | Maps a point from camera space to color space.
Public method | MapCameraPointToDepthSpace | Maps a point from camera space to depth space.
Public method | MapColorFrameToCameraSpace | Uses the depth frame data to map the entire frame from color space to camera space.
Public method | MapColorFrameToDepthSpace | Uses the depth frame data to map the entire frame from color space to depth space.
Public method | MapDepthFrameToCameraSpace | Uses the depth frame data to map the entire frame from depth space to camera space.
Public method | MapDepthFrameToColorSpace | Uses the depth frame data to map the entire frame from depth space to color space.
Public method | MapDepthPointsToCameraSpace | Maps an array of points/depths from depth space to camera space.
Public method | MapDepthPointsToColorSpace | Maps an array of points/depths from depth space to color space.
Public method | MapDepthPointToCameraSpace | Maps a point/depth from depth space to camera space.
Public method | MapDepthPointToColorSpace | Maps a point/depth from depth space to color space.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

KinectSensor


CoordinateMapper GetDepthCameraIntrinsics Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

GetDepthCameraIntrinsics Method

Returns the calibration data for the depth camera.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

CameraIntrinsics eCameraIntrinsics = coordinateMapper.GetDepthCameraIntrinsics();

CameraIntrinsics eCameraIntrinsics = coordinateMapper->GetDepthCameraIntrinsics();

CameraIntrinsics eCameraIntrinsics = coordinateMapper->GetDepthCameraIntrinsics(eCameraIntrinsics);

var eCameraIntrinsics: CameraIntrinsics;
eCameraIntrinsics := coordinateMapper.GetDepthCameraIntrinsics();

int eCameraIntrinsics = coordinateMapper.getDepthCameraIntrinsics();

Dim eCameraIntrinsics As CameraIntrinsics;
eCameraIntrinsics = coordinateMapper.GetDepthCameraIntrinsics()

Return Value

CameraIntrinsics. The calibration data for the depth camera.

Collapse/Expand See Also section See Also

CoordinateMapper


CoordinateMapper GetDepthFrameToCameraSpaceTable Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

GetDepthFrameToCameraSpaceTable Method

Generates a table of camera space points.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

PointF[] tableEntries = coordinateMapper.GetDepthCameraIntrinsics();

CameraIntrinsics eCameraIntrinsics = coordinateMapper->GetDepthCameraIntrinsics(tableEntryCount, tableEntries);

CameraIntrinsics eCameraIntrinsics = coordinateMapper->GetDepthCameraIntrinsics(tableEntryCount, tableEntries);

var eCameraIntrinsics: CameraIntrinsics;
eCameraIntrinsics := coordinateMapper.GetDepthCameraIntrinsics(tableEntryCount, tableEntries);

PointF[] tableEntries = coordinateMapper.getDepthCameraIntrinsics();

Dim tableEntries() As PointF;
tableEntries = coordinateMapper.GetDepthCameraIntrinsics()

Parameters

tableEntryCount

unsigned integer. The length of the array.

tableEntries

PointF array. The array to which to copy the camera space points.

Collapse/Expand See Also section See Also

CoordinateMapper


CoordinateMapper MapCameraPointsToColorSpace Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

MapCameraPointsToColorSpace Method

Maps an array of points from camera space to color space.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

coordinateMapper.MapCameraPointsToColorSpace(cameraSpacePoints, colorSpacePoints);

coordinateMapper->MapCameraPointsToColorSpace(cameraSpacePoints, colorSpacePoints);

coordinateMapper->MapCameraPointsToColorSpace(cameraSpacePoints, colorSpacePoints);

coordinateMapper.MapCameraPointsToColorSpace(cameraSpacePoints, colorSpacePoints);

coordinateMapper.mapCameraPointsToColorSpace(cameraSpacePoints, colorSpacePoints);

coordinateMapper.MapCameraPointsToColorSpace(cameraSpacePoints, colorSpacePoints)

Parameters

cameraSpacePoints

CameraSpacePoint array. The points to map from camera space.

colorSpacePoints

ColorSpacePoint array. The to-be-filled points mapped to color space.

Collapse/Expand See Also section See Also

CoordinateMapper


CoordinateMapper MapCameraPointsToDepthSpace Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

MapCameraPointsToDepthSpace Method

Maps an array of points from camera space to depth space.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

coordinateMapper.MapCameraPointsToDepthSpace(cameraSpacePoints, depthSpacePoints);

coordinateMapper->MapCameraPointsToDepthSpace(cameraSpacePoints, depthSpacePoints);

coordinateMapper->MapCameraPointsToDepthSpace(cameraSpacePoints, depthSpacePoints);

coordinateMapper.MapCameraPointsToDepthSpace(cameraSpacePoints, depthSpacePoints);

coordinateMapper.mapCameraPointsToDepthSpace(cameraSpacePoints, depthSpacePoints);

coordinateMapper.MapCameraPointsToDepthSpace(cameraSpacePoints, depthSpacePoints)

Parameters

cameraSpacePoints

CameraSpacePoints array. The points to map from camera space.

depthSpacePoints

DepthSpacePoints array. The to-be-filled points mapped to depth space.

Collapse/Expand See Also section See Also

CoordinateMapper


CoordinateMapper MapCameraPointToColorSpace Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

MapCameraPointToColorSpace Method

Maps a point from camera space to color space.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ColorSpacePoint colorSpacePoint = coordinateMapper.MapCameraPointToColorSpace(cameraSpacePoint);

ColorSpacePoint colorSpacePoint;
coordinateMapper->MapCameraPointToColorSpace(cameraSpacePoint, &colorSpacePoint);

ColorSpacePoint colorSpacePoint;
coordinateMapper->MapCameraPointToColorSpace(cameraSpacePoint, &colorSpacePoint);

var aColorSpacePoint: ColorSpacePoint;
coordinateMapper.MapCameraPointToColorSpace(cameraSpacePoint, aColorSpacePoint);

ColorSpacePoint colorSpacePoint = coordinateMapper.mapCameraPointToColorSpace(cameraSpacePoint);

ColorSpacePoint colorSpacePoint = coordinateMapper.MapCameraPointToColorSpace(cameraSpacePoint)

Parameters

cameraSpacePoint

CameraSpacePoint. The point to map from camera space.

Return Value

ColorSpacePoint. The point mapped to color space.

Collapse/Expand See Also section See Also

CoordinateMapper


CoordinateMapper MapCameraPointToDepthSpace Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

MapCameraPointToDepthSpace Method

Maps a point from camera space to depth space.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

DepthSpacePoint depthSpacePoint = coordinateMapper.MapCameraPointToDepthSpace(cameraSpacePoint);

DepthSpacePoint depthSpacePoint;
coordinateMapper->MapCameraPointToDepthSpace(cameraSpacePoint, &depthSpacePoint);

DepthSpacePoint depthSpacePoint;
coordinateMapper->MapCameraPointToDepthSpace(cameraSpacePoint, &depthSpacePoint);

var aDepthSpacePoint: DepthSpacePoint;
coordinateMapper.MapCameraPointToDepthSpace(cameraSpacePoint, aDepthSpacePoint);

DepthSpacePoint depthSpacePoint = coordinateMapper.mapCameraPointToDepthSpace(cameraSpacePoint);

DepthSpacePoint depthSpacePoint = coordinateMapper.MapCameraPointToDepthSpace(cameraSpacePoint)

Parameters

cameraSpacePoint

CameraSpacePoint. The point to map from camera space.

Return Value

DepthSpacePoint. The point mapped to depth space.

Collapse/Expand See Also section See Also

CoordinateMapper


CoordinateMapper MapColorFrameToCameraSpace Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

MapColorFrameToCameraSpace Method

Uses the depth frame data to map the entire frame from color space to camera space.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

coordinateMapper.MapColorFrameToCameraSpace(depthFrameData, cameraSpacePoints);

coordinateMapper->MapColorFrameToCameraSpace(depthFrameData, cameraSpacePoints);

coordinateMapper->MapColorFrameToCameraSpace(depthFrameData, cameraSpacePoints);

coordinateMapper.MapColorFrameToCameraSpace(depthFrameData, cameraSpacePoints);

coordinateMapper.mapColorFrameToCameraSpace(depthFrameData, cameraSpacePoints);

coordinateMapper.MapColorFrameToCameraSpace(depthFrameData, cameraSpacePoints)

Parameters

depthFrameData

unsigned short array. The full image data from a depth frame.

cameraSpacePoints

CameraSpacePoint array. The to-be-filled points mapped to camera space.

Collapse/Expand See Also section See Also

CoordinateMapper


CoordinateMapper MapColorFrameToDepthSpace Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

MapColorFrameToDepthSpace Method

Uses the depth frame data to map the entire frame from color space to depth space.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

coordinateMapper.MapColorFrameToDepthSpace(depthFrameData, depthSpacePoints);

coordinateMapper->MapColorFrameToDepthSpace(depthFrameData, depthSpacePoints);

coordinateMapper->MapColorFrameToDepthSpace(depthFrameData, depthSpacePoints);

coordinateMapper.MapColorFrameToDepthSpace(depthFrameData, depthSpacePoints);

coordinateMapper.mapColorFrameToDepthSpace(depthFrameData, depthSpacePoints);

coordinateMapper.MapColorFrameToDepthSpace(depthFrameData, depthSpacePoints)

Parameters

depthFrameData

unsigned short array. The full image data from a depth frame.

depthSpacePoints

DepthSpacePoint array. The to-be-filled array of mapped depth points.

Collapse/Expand See Also section See Also

CoordinateMapper


CoordinateMapper MapDepthFrameToCameraSpace Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

MapDepthFrameToCameraSpace Method

Uses the depth frame data to map the entire frame from depth space to camera space.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

coordinateMapper.MapDepthFrameToCameraSpace(depthFrameData, cameraSpacePoints);

coordinateMapper->MapDepthFrameToCameraSpace(depthFrameData, cameraSpacePoints);

coordinateMapper->MapDepthFrameToCameraSpace(depthFrameData, cameraSpacePoints);

coordinateMapper.MapDepthFrameToCameraSpace(depthFrameData, cameraSpacePoints);

coordinateMapper.mapDepthFrameToCameraSpace(depthFrameData, cameraSpacePoints);

coordinateMapper.MapDepthFrameToCameraSpace(depthFrameData, cameraSpacePoints)

Parameters

depthFrameData

unsigned short array. The full image data from a depth frame.

cameraSpacePoints

CameraSpacePoint array. The to-be-filled points mapped to camera space.

Collapse/Expand See Also section See Also

CoordinateMapper


CoordinateMapper MapDepthFrameToColorSpace Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

MapDepthFrameToColorSpace Method

Uses the depth frame data to map the entire frame from depth space to color space.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

coordinateMapper.MapDepthFrameToColorSpace(depthFrameData, colorSpacePoints);

coordinateMapper->MapDepthFrameToColorSpace(depthFrameData, colorSpacePoints);

coordinateMapper->MapDepthFrameToColorSpace(depthFrameData, colorSpacePoints);

coordinateMapper.MapDepthFrameToColorSpace(depthFrameData, colorSpacePoints);

coordinateMapper.mapDepthFrameToColorSpace(depthFrameData, colorSpacePoints);

coordinateMapper.MapDepthFrameToColorSpace(depthFrameData, colorSpacePoints)

Parameters

depthFrameData

unsigned short array. The full image data from a depth frame.

colorSpacePoints

ColorSpacePoint array. The to-be-filled points mapped to color space.

Collapse/Expand See Also section See Also

CoordinateMapper


CoordinateMapper MapDepthPointsToCameraSpace Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

MapDepthPointsToCameraSpace Method

Maps an array of points/depths from depth space to camera space.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

coordinateMapper.MapDepthPointsToCameraSpace(depthSpacePoints, depths, cameraSpacePoints);

coordinateMapper->MapDepthPointsToCameraSpace(depthSpacePoints, depths, cameraSpacePoints);

coordinateMapper->MapDepthPointsToCameraSpace(depthSpacePoints, depths, cameraSpacePoints);

coordinateMapper.MapDepthPointsToCameraSpace(depthSpacePoints, depths, cameraSpacePoints);

coordinateMapper.mapDepthPointsToCameraSpace(depthSpacePoints, depths, cameraSpacePoints);

coordinateMapper.MapDepthPointsToCameraSpace(depthSpacePoints, depths, cameraSpacePoints)

Parameters

depthSpacePoints

DepthSpacePoint array. The points to map from depth space.

depths

unsigned short array. The depths of the points in depth space.

cameraSpacePoints

CameraSpacePoint array. The to-be-filled points mapped to camera space.

Collapse/Expand See Also section See Also

CoordinateMapper


CoordinateMapper MapDepthPointsToColorSpace Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

MapDepthPointsToColorSpace Method

Maps an array of points/depths from depth space to color space.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

coordinateMapper.MapDepthPointsToColorSpace(depthSpacePoints, depths, colorSpacePoints);

coordinateMapper->MapDepthPointsToColorSpace(depthSpacePoints, depths, colorSpacePoints);

coordinateMapper->MapDepthPointsToColorSpace(depthSpacePoints, depths, colorSpacePoints);

coordinateMapper.MapDepthPointsToColorSpace(depthSpacePoints, depths, colorSpacePoints);

coordinateMapper.mapDepthPointsToColorSpace(depthSpacePoints, depths, colorSpacePoints);

coordinateMapper.MapDepthPointsToColorSpace(depthSpacePoints, depths, colorSpacePoints)

Parameters

depthSpacePoints

DepthSpacePoint array. The points to map from depth space.

depths

unsigned short array. The depths of the points in depth space.

colorSpacePoints

ColorSpacePoint array. The to-be-filled points mapped to color space.

Collapse/Expand See Also section See Also

CoordinateMapper


CoordinateMapper MapDepthPointToCameraSpace Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

MapDepthPointToCameraSpace Method

Maps a point/depth from depth space to camera space.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

CameraSpacePoint cameraSpacePoint = coordinateMapper.MapDepthPointToCameraSpace(depthSpacePoint, depth);

CameraSpacePoint cameraSpacePoint;
coordinateMapper->MapDepthPointToCameraSpace(depthSpacePoint, depth, &cameraSpacePoint);

CameraSpacePoint cameraSpacePoint;
coordinateMapper->MapDepthPointToCameraSpace(depthSpacePoint, depth, &cameraSpacePoint);

var aCameraSpacePoint: CameraSpacePoint;
coordinateMapper.MapDepthPointToCameraSpace(depthSpacePoint, depth, aCameraSpacePoint);

CameraSpacePoint cameraSpacePoint = coordinateMapper.mapDepthPointToCameraSpace(depthSpacePoint, depth);

CameraSpacePoint cameraSpacePoint = coordinateMapper.MapDepthPointToCameraSpace(depthSpacePoint, depth)

Parameters

depthSpacePoint

DepthSpacePoint array. The point to map from depth space.

depth

unsigned short. The depth of the point in depth space.

Return Value

DepthSpacePoint. The point mapped to camera space.

Collapse/Expand See Also section See Also

CoordinateMapper


CoordinateMapper MapDepthPointToColorSpace Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

MapDepthPointToColorSpace Method

Maps a point/depth from depth space to color space.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ColorSpacePoint colorSpacePoint = coordinateMapper.MapDepthPointToColorSpace(depthSpacePoint, depth);

ColorSpacePoint colorSpacePoint;
coordinateMapper->MapDepthPointToColorSpace(depthSpacePoint, depth, &colorSpacePoint);

ColorSpacePoint colorSpacePoint;
coordinateMapper->MapDepthPointToColorSpace(depthSpacePoint, depth, &colorSpacePoint);

var aColorSpacePoint: ColorSpacePoint;
coordinateMapper.MapDepthPointToColorSpace(depthSpacePoint, depth, aColorSpacePoint);

ColorSpacePoint colorSpacePoint = coordinateMapper.mapDepthPointToColorSpace(depthSpacePoint, depth);

Dim colorSpacePoint As ColorSpacePoint colorSpacePoint = coordinateMapper.MapDepthPointToColorSpace(depthSpacePoint, depth)

Parameters

depthSpacePoint

DepthSpacePoint. The point to map from depth space.

depth

unsigned short. The depth of the point in depth space.

Return Value

ColorSpacePoint. The mapped to color space.

Collapse/Expand See Also section See Also

CoordinateMapper


CoordinateMapper RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a CoordinateMappingChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

coordinateMapper.CoordinateMappingChanged += coordinateMappingChangedCallback;

coordinateMapper->RegisterCallback(coordinateMappingChangedCallback);

coordinateMapper->RegisterCallback(coordinateMappingChangedCallback);

coordinateMapper.RegisterCallback(coordinateMappingChangedCallback);

coordinateMapper.registerCallback(coordinateMappingChangedCallback);

AddHandler coordinateMapper.CoordinateMappingChanged, AddressOf coordinateMappingChangedCallback

Parameters

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the CoordinateMappingChanged interface (Java). Event handler that implements the CoordinateMappingChanged interface (.NET).

Collapse/Expand Remarks section Remarks

CoordinateMappingChanged events occur whenever a CoordinateMapper value changes.

Collapse/Expand See Also section See Also

CoordinateMapper
UnregisterCallback


CoordinateMapper UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a CoordinateMappingChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

coordinateMapper.CoordinateMappingChanged -= coordinateMappingChangedCallback;

coordinateMapper->UnregisterCallback(coordinateMappingChangedCallback);

coordinateMapper->UnregisterCallback(coordinateMappingChangedCallback);

coordinateMapper.UnregisterCallback(coordinateMappingChangedCallback);

coordinateMapper.unregisterCallback(coordinateMappingChangedCallback);

RemoveHandler coordinateMapper.CoordinateMappingChanged, AddressOf coordinateMappingChangedCallback

Parameters

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the CoordinateMappingChanged interface (Java). Event handler that implements the CoordinateMappingChanged interface (.NET).

Collapse/Expand Remarks section Remarks

CoordinateMappingChanged events occur whenever a CoordinateMapper value changes.

Collapse/Expand See Also section See Also

CoordinateMapper
RegisterCallback


CoordinateMappingChanged Event

Event that is raised when the mapping between types of points changes.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

private void CoordinateMappingChangedCallback(object sender, Chant.KinesicsKit.CoordinateMappingChangedEventArgs e)
{

// Event handler code goes here

}

void CALLBACK CoordinateMappingChangedCallback(void)
{

// Event handler code goes here

}

void CALLBACK CoordinateMappingChangedCallback(void)
{

// Event handler code goes here

}

procedure CoordinateMappingChangedCallback(); begin

// Event handler code goes here

end;

public void propertyChanged()
{

// Event handler code goes here

}

Private Sub CoordinateMappingChangedCallback(ByVal sender As System.Object, ByVal e As Chant.KinesicsKit.CoordinateMappingChangedEventArgs) Handles MyKinectResourceObject.CoordinateMappingChanged

' Event handler code goes here

End Sub

Collapse/Expand See Also section See Also

CoordinateMapper RegisterCallback
CoordinateMapper UnregisterCallback


CoordinateMappingChangedEventArgs Class

Arguments for a coordinate mapping's CoordinateMappingChanged event.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


DepthFrame Class

Represents a frame where each pixel represents the distance (in millimeters) of the closest object.

Collapse/Expand Remarks section Remarks

DepthFrame objects are obtained via the DepthFrameReader AcquireLatestFrame and the DepthFrameReference AcquireFrame methods.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AccessUnderlyingBuffer | Gets a pointer to the depth frame data.
Public method | CopyFrameDataToArray | Copies the depth frame data to a ushort array.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | DepthFrameSource | Gets the source for this frame type.
Public property | DepthMinReliableDistance | Gets the minimum reliable depth of the depth frame, in millimeters.
Public property | DepthMaxReliableDistance | Gets the maximum reliable depth of the depth frame, in millimeters.
Public property | FrameDescription | Gets the frame description for the underlying image format.
Public property | RelativeTime | Gets the unique relative time at which the frame was captured.

Collapse/Expand See Also section See Also

DepthFrameReader
DepthFrameReference
DepthFrameSource
FrameDescription


DepthFrame AccessUnderlyingBuffer Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AccessUnderlyingBuffer Method

Gets a pointer to the depth frame data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

depthFrame.AccessUnderlyingBuffer(capacity, buffer);

depthFrame->AccessUnderlyingBuffer(capacity, buffer);

depthFrame->AccessUnderlyingBuffer(capacity, buffer);

depthFrame.AccessUnderlyingBuffer(capacity, buffer);

depthFrame.accessUnderlyingBuffer(capacity, buffer);

depthFrame.AccessUnderlyingBuffer(capacity, buffer)

Parameters

capacity

unsigned integer. When this method returns contains the size of the frame data buffer in bytes.

buffer

Pointer. When this method returns it contains the pointer to the frame data.

Collapse/Expand See Also section See Also

DepthFrame


DepthFrame CopyFrameDataToArray Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

CopyFrameDataToArray Method

Copies the depth frame data to a unsigned short array.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

depthFrame.CopyFrameDataToArray(frameData);

depthFrame->CopyFrameDataToArray(capacity, frameData);

depthFrame->CopyFrameDataToArray(capacity, frameData);

depthFrame.CopyFrameDataToArray(capacity, frameData);

depthFrame.copyFrameDataToArray(frameData);

depthFrame.CopyFrameDataToArray(frameData)

Parameters

capacity

unsigned integer. The length of the array.

frameData

Unsigned short array. The array to which to copy the depth frame data.

Collapse/Expand See Also section See Also

DepthFrame


DepthFrame DepthFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

DepthFrameSource Property

Gets the source for this frame type.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

DepthFrameSource depthFrameSource = depthFrame.DepthFrameSource;

CDepthFrameSource* depthFrameSource = depthFrame->GetDepthFrameSource();

CDepthFrameSource* depthFrameSource = depthFrame->GetDepthFrameSource();

var depthFrameSource: TDepthFrameSource;
depthFrameSource := depthFrame.DepthFrameSource;

DepthFrameSource depthFrameSource = depthFrame.getDepthFrameSource();

Dim depthFrameSource As DepthFrameSource
depthFrameSource = depthFrame.DepthFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrame
DepthFrameSource


DepthFrame DepthMaxReliableDistance Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

DepthMaxReliableDistance Property

Gets the maximum reliable depth of the depth frame, in millimeters.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ushort frameLength = depthFrame.DepthMaxReliableDistance;

unsigned short frameLength = depthFrame->GetDepthMaxReliableDistance();

unsigned short frameLength = depthFrame->GetDepthMaxReliableDistance();

var frameLength: Word;
frameLength := depthFrame.DepthMaxReliableDistance;

short frameLength = depthFrame.getDepthMaxReliableDistance();

Dim frameLength As UShort
frameLength = depthFrame.DepthMaxReliableDistance

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrame


DepthFrame DepthMinReliableDistance Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

DepthMinReliableDistance Property

Gets the minimum reliable depth of the depth frame, in millimeters.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ushort frameLength = depthFrame.DepthMinReliableDistance;

unsigned short frameLength = depthFrame->GetDepthMinReliableDistance();

unsigned short frameLength = depthFrame->GetDepthMinReliableDistance();

var frameLength: Word;
frameLength := depthFrame.DepthMinReliableDistance;

short frameLength = depthFrame.getDepthMinReliableDistance();

Dim frameLength As UShort
frameLength = depthFrame.DepthMinReliableDistance

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrame


DepthFrame FrameDescription Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameDescription Property

Gets the frame description for the underlying image format.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameDescription frameDescription = depthFrame.FrameDescription;

CFrameDescription* frameDescription = depthFrame->GetFrameDescription();

CFrameDescription* frameDescription = depthFrame->GetFrameDescription();

var frameDescription: TFrameDescription;
frameDescription := depthFrame.FrameDescription;

FrameDescription frameDescription = depthFrame.getFrameDescription();

Dim frameDescription As FrameDescription
frameDescription = depthFrame.FrameDescription

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrame
FrameDescription


DepthFrame RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Gets the unique relative time at which the frame was captured.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = depthFrame.RelativeTime;

TIMESPAN relativeTime = depthFrame->GetRelativeTime();

TIMESPAN relativeTime = depthFrame->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := depthFrame.RelativeTime;

long relativeTime = depthFrame.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = depthFrame.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrame


DepthFrameArrived Event

Event that is raised when a depth frame arrives.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

private void DepthFrameArrivedCallback(object sender, Chant.KinesicsKit.DepthFrameArrivedEventArgs e)
{

// Event handler code goes here

}

void CALLBACK DepthFrameArrivedCallback(CDepthFrameReference* depthFrameReference)
{

// Event handler code goes here

}

void CALLBACK DepthFrameArrivedCallback(CDepthFrameReference* depthFrameReference)
{

// Event handler code goes here

}

procedure DepthFrameArrivedCallback(depthFrameReference: TDepthFrameReference); begin

// Event handler code goes here

end;

public void frameArrived(DepthFrameReference depthFrameReference)
{

// Event handler code goes here

}

Private Sub DepthFrameArrivedCallback(ByVal sender As System.Object, ByVal e As Chant.KinesicsKit.FrameArrivedEventArgs) Handles MyDepthFrameReader.DepthFrameArrived

' Event handler code goes here

End Sub

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


DepthFrameArrivedEventArgs Class

Arguments for a depth frame reader's FrameArrived event.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameReference | Gets the reference to the depth frame for the FrameArrived event.

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


DepthFrameArrivedEventArgs DepthFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameReference Property

Gets the reference to the depth frame for the FrameArrived event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

DepthFrameReference depthFrameReference = depthFrameArrivedEventArgs.FrameReference;

CDepthFrameReference* depthFrameReference = depthFrameArrivedEventArgs->GetFrameReference();

CDepthFrameReference* depthFrameReference = depthFrameArrivedEventArgs->GetFrameReference();

var depthFrameReference: TDepthFrameReference;
depthFrameReference := depthFrameArrivedEventArgs.FrameReference;

DepthFrameReference depthFrameReference = depthFrameArrivedEventArgs.getFrameReference();

Dim depthFrameReference As DepthFrameReference
depthFrameReference = depthFrameArrivedEventArgs.FrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrameArrivedEventArgs
DepthFrameReference


DepthFrameReader Class

Represents a reader for depth frames.

Collapse/Expand Remarks section Remarks

DepthFrameReader objects are obtained via the DepthFrameSource OpenReader method.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameArrived | Event that fires when a new frame is ready.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireLatestFrame | Acquires the latest available frame.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | DepthFrameSource | Gets the source for this frame type.
Public property | IsPaused | Gets or sets the reader pause state.

Collapse/Expand See Also section See Also

DepthFrame
DepthFrameSource


DepthFrameReader AcquireLatestFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireLatestFrame Method

Acquires the latest available frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

DepthFrame depthFrame = depthFrameReader.AcquireLatestFrame();

CDepthFrame* depthFrame = depthFrameReader->AcquireLatestFrame();

CDepthFrame* depthFrame = depthFrameReader->AcquireLatestFrame();

var depthFrame: DepthFrame;
depthFrame := depthFrameReader.AcquireLatestFrame();

DepthFrame depthFrame = depthFrameReader.acquireLatestFrame();

Dim depthFrame As DepthFrame
depthFrame = depthFrameReader.AcquireLatestFrame()

Return Value

DepthFrame. A valid frame, or null if no new frames are available.

Collapse/Expand Remarks section Remarks

A given reader will only return each frame once. If no new frames are available since the last call to this method, the result will be null.

Collapse/Expand See Also section See Also

DepthFrame DepthFrameReader


DepthFrameReader DepthFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

DepthFrameSource Property

Gets the depth frame source.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

DepthFrameSource depthFrameSource = depthFrameReader.DepthFrameSource;

CDepthFrameSource* depthFrameSource = depthFrameReader->GetDepthFrameSource();

CDepthFrameSource* depthFrameSource = depthFrameReader->GetDepthFrameSource();

var depthFrameSource: TDepthFrameSource;
depthFrameSource := depthFrameReader.DepthFrameSource;

DepthFrameSource depthFrameSource = depthFrameReader.getDepthFrameSource();

Dim depthFrameSource As DepthFrameSource
depthFrameSource = depthFrameReader.DepthFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrameReader
DepthFrameSource


DepthFrameReader IsPaused Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsPaused Property

Gets or sets the reader pause state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isPaused = depthFrameReader.IsPaused;
depthFrameReader.IsPaused = value;

bool isPaused = depthFrameReader->GetIsPaused();
depthFrameReader->SetIsPaused(value);

bool isPaused = depthFrameReader->GetIsPaused();
depthFrameReader->SetIsPaused(value);

var isPaused: Boolean;
isPaused := depthFrameReader.IsPaused;
depthFrameReader.IsPaused := value;

boolean isPaused = depthFrameReader.getIsPaused();
depthFrameReader.setIsPaused(value);

Dim isPaused As Boolean
isPaused = depthFrameReader.IsPaused
depthFrameReader.IsPaused = value

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrameReader


DepthFrameReader RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a DepthFrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

depthFrameReader.DepthFrameArrived += depthFrameArrivedCallback;
depthFrameReader.PropertyChanged += propertyChangedCallback;

depthFrameReader->RegisterCallback(depthFrameArrivedCallback);
depthFrameReader->RegisterCallback(propertyChangedCallback);

depthFrameReader->RegisterCallback(depthFrameArrivedCallback);
depthFrameReader->RegisterCallback(propertyChangedCallback);

depthFrameReader.RegisterCallback(depthFrameArrivedCallback);
depthFrameReader.RegisterCallback(propertyChangedCallback);

depthFrameReader.registerCallback(depthFrameArrivedCallback);
depthFrameReader.registerCallback(propertyChangedCallback);

AddHandler depthFrameReader.DepthFrameArrived, AddressOf depthFrameArrivedCallback
AddHandler depthFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

depthFrameArrivedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the DepthFrameArrived interface (Java). Event handler that implements the DepthFrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

DepthFrameArrived events occur when an DepthFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

DepthFrameReader
UnregisterCallback


DepthFrameReader UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a DepthFrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

depthFrameReader.DepthFrameArrived -= depthFrameReaderCallback;
depthFrameReader.PropertyChanged -= propertyChangedCallback;

depthFrameReader->UnregisterCallback(depthFrameReaderCallback);
depthFrameReader->UnregisterCallback(propertyChangedCallback);

depthFrameReader->UnregisterCallback(depthFrameReaderCallback);
depthFrameReader->UnregisterCallback(propertyChangedCallback);

depthFrameReader.UnregisterCallback(depthFrameReaderCallback);
depthFrameReader.UnregisterCallback(propertyChangedCallback);

depthFrameReader.unregisterCallback(depthFrameReaderCallback);
depthFrameReader.unregisterCallback(propertyChangedCallback);

RemoveHandler depthFrameReader.DepthFrameArrived, AddressOf depthFrameReaderCallback
RemoveHandler depthFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

depthFrameReaderCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the DepthFrameArrived interface (Java). Event handler that implements the DepthFrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

DepthFrameArrived events occur when an DepthFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

DepthFrameReader
RegisterCallback


DepthFrameReference Class

Represents a reference to an actual depth frame.

Collapse/Expand Remarks section Remarks

DepthFrameReference objects are obtained via the MultiSourceFrame DepthFrameReference property and ChantKMEvent DepthFrameReference property.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireFrame | Acquires the frame held by this reference.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | RelativeTime | Returns the unique relative time at which this frame was produced.

Collapse/Expand See Also section See Also

DepthFrameSource
ChantKMEvent
MultiSourceFrame


DepthFrameReference AcquireFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireFrame Method

Acquires the frame held by this reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

DepthFrame depthFrame = depthFrameReference.AcquireFrame();

CDepthFrame* depthFrame = depthFrameReference->AcquireFrame();

CDepthFrame* depthFrame = depthFrameReference->AcquireFrame();

var depthFrame: DepthFrame;
depthFrame := depthFrameReference.AcquireFrame();

DepthFrame depthFrame = depthFrameReference.acquireFrame();

Dim depthFrame As DepthFrame
depthFrame = depthFrameReference.AcquireFrame()

Return Value

DepthFrame. A valid frame, or null if no new frames are available.

Collapse/Expand Remarks section Remarks

A given reader will only return each frame once. If no new frames are available since the last call to this method, the result will be null.

Collapse/Expand See Also section See Also

DepthFrame
DepthFrameReference


DepthFrameReference RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Returns the unique relative time at which this frame was produced.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = depthFrameReference.RelativeTime;

TIMESPAN relativeTime = depthFrameReference->GetRelativeTime();

TIMESPAN relativeTime = depthFrameReference->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := depthFrameReference.RelativeTime;

long relativeTime = depthFrameReference.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = depthFrameReference.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrameReference


DepthFrameSource Class

Represents a source of depth frames from a KinectSensor.

Collapse/Expand Remarks section Remarks

DepthFrameSource objects are obtained via the DepthFrame DepthFrameSource, the DepthFrameReader DepthFrameSource, and the KinectSensor DepthFrameSource properties.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameCaptured | Event that fires when a new frame has been captured.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | OpenReader | Creates and returns a new reader object.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | DepthMinReliableDistance | Gets the minimum reliable depth of the depth frames, in millimeters.
Public property | DepthMaxReliableDistance | Gets the maximum reliable depth of the depth frames, in millimeters.
Public property | FrameDescription | Gets the frame description for the format.
Public property | IsActive | Gets whether this source has any active (unpaused) readers.
Public property | KinectSensor | Gets the KinectSensor with which this source is associated.

Collapse/Expand See Also section See Also

DepthFrame
DepthFrameReader
FrameDescription
KinectSensor


DepthFrameSource DepthMaxReliableDistance Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

DepthMaxReliableDistance Property

Gets the maximum reliable depth of the depth frame, in millimeters.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ushort frameLength = depthFrameSource.DepthMaxReliableDistance;

unsigned short frameLength = depthFrameSource->GetDepthMaxReliableDistance();

unsigned short frameLength = depthFrameSource->GetDepthMaxReliableDistance();

var frameLength: Word;
frameLength := depthFrameSource.DepthMaxReliableDistance;

short frameLength = depthFrameSource.getDepthMaxReliableDistance();

Dim frameLength As UShort
frameLength = depthFrameSource.DepthMaxReliableDistance

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrameSource


DepthFrameSource DepthMinReliableDistance Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

DepthMinReliableDistance Property

Gets the minimum reliable depth of the depth frame, in millimeters.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ushort frameLength = depthFrameSource.DepthMinReliableDistance;

unsigned short frameLength = depthFrameSource->GetDepthMinReliableDistance();

unsigned short frameLength = depthFrameSource->GetDepthMinReliableDistance();

var frameLength: Word;
frameLength := depthFrameSource.DepthMinReliableDistance;

short frameLength = depthFrameSource.getDepthMinReliableDistance();

Dim frameLength As UShort
frameLength = depthFrameSource.DepthMinReliableDistance

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrameSource


DepthFrameSource FrameDescription Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameDescription Property

Gets the frame description for the default (raw) depth format.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameDescription frameDescription = depthFrameSource.FrameDescription;

CFrameDescription* frameDescription = depthFrameSource->GetFrameDescription();

CFrameDescription* frameDescription = depthFrameSource->GetFrameDescription();

var frameDescription: TFrameDescription;
frameDescription := depthFrameSource.FrameDescription;

FrameDescription frameDescription = depthFrameSource.getFrameDescription();

Dim frameDescription As FrameDescription
frameDescription = depthFrameSource.FrameDescription

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrameSource
FrameDescription


DepthFrameSource IsActive Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsActive Property

Gets whether this source has any active (unpaused) readers.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isActive = depthFrameSource.IsActive;

bool isActive = depthFrameSource->GetIsActive();

bool isActive = depthFrameSource->GetIsActive();

var isActive: Boolean;
isActive := depthFrameSource.IsActive;

boolean isActive = depthFrameSource.getIsActive();

Dim isActive As Boolean
isActive = depthFrameSource.IsActive

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrameSource


DepthFrameSource KinectSensor Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

KinectSensor Property

Gets the KinectSensor with which this source is associated

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

KinectSensor kinectSensor = depthFrameSource.KinectSensor;

CKinectSensor* kinectSensor = depthFrameSource->GetKinectSensor();

CKinectSensor* kinectSensor = depthFrameSource->GetKinectSensor();

var kinectSensor: TKinectSensor;
kinectSensor := depthFrameSource.KinectSensor;

KinectSensor kinectSensor = depthFrameSource.getKinectSensor();

Dim kinectSensor As KinectSensor
kinectSensor = depthFrameSource.KinectSensor

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrameSource
KinectSensor


DepthFrameSource OpenReader Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

OpenReader Method

Creates and returns a new reader object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

DepthFrameReader depthFrameReader = depthFrameSource.OpenReader();

CDepthFrameReader* depthFrameReader = depthFrameSource->OpenReader();

CDepthFrameReader* depthFrameReader = depthFrameSource->OpenReader();

var depthFrameReader: TDepthFrameReader;
depthFrameReader := depthFrameSource.OpenReader();

DepthFrameReader depthFrameReader = depthFrameSource.openReader();

Dim depthFrameReader As DepthFrameReader
depthFrameReader = depthFrameSource.OpenReader()

Return Value

DepthFrameReader. The depth frame reader.

Collapse/Expand See Also section See Also

DepthFrameReader
DepthFrameSource


DepthFrameSource RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a FrameCaptured or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

depthFrameSource.FrameCaptured += frameCapturedCallback;
depthFrameSource.PropertyChanged += propertyChangedCallback;

depthFrameSource->RegisterCallback(frameCapturedCallback);
depthFrameSource->RegisterCallback(propertyChangedCallback);

depthFrameSource->RegisterCallback(frameCapturedCallback);
depthFrameSource->RegisterCallback(propertyChangedCallback);

depthFrameSource.RegisterCallback(frameCapturedCallback);
depthFrameSource.RegisterCallback(propertyChangedCallback);

depthFrameSource.registerCallback(frameCapturedCallback);
depthFrameSource.registerCallback(propertyChangedCallback);

AddHandler depthFrameSource.FrameCaptured, AddressOf frameCapturedCallback
AddHandler depthFrameSource.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameCapturedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameCaptured interface (Java). Event handler that implements the FrameCaptured interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameCaptured events occur when a DepthFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

DepthFrameSource
UnregisterCallback


DepthFrameSource UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a FrameCaptured or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

DepthFrameSource.FrameCaptured -= frameCapturedCallback;
DepthFrameSource.PropertyChanged -= propertyChangedCallback;

DepthFrameSource->UnregisterCallback(frameCapturedCallback);
DepthFrameSource->UnregisterCallback(propertyChangedCallback);

DepthFrameSource->UnregisterCallback(frameCapturedCallback);
DepthFrameSource->UnregisterCallback(propertyChangedCallback);

DepthFrameSource.UnregisterCallback(frameCapturedCallback);
DepthFrameSource.UnregisterCallback(propertyChangedCallback);

DepthFrameSource.unregisterCallback(frameCapturedCallback);
DepthFrameSource.unregisterCallback(propertyChangedCallback);

RemoveHandler DepthFrameSource.FrameCaptured, AddressOf frameCapturedCallback
RemoveHandler DepthFrameSource.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameCapturedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameCaptured interface (Java). Event handler that implements the FrameCaptured interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameCaptured events occur when a DepthFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

DepthFrameSource
RegisterCallback


FrameCaptured Event

Event that is raised when a property changes.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

private void FrameCapturedCallback(object sender, Chant.KinesicsKit.FrameCapturedEventArgs e)
{

// Event handler code goes here

}

void CALLBACK FrameCapturedCallback(FrameSourceTypes eFrameSourceTypes, FrameCapturedStatus eFrameCapturedStatus, TIMESPAN relativeTime)
{

// Event handler code goes here

}

void CALLBACK FrameCapturedCallback(FrameSourceTypes eFrameSourceTypes, FrameCapturedStatus eFrameCapturedStatus, TIMESPAN relativeTime)
{

// Event handler code goes here

}

procedure FrameCapturedCallback(eFrameSourceTypes: FrameSourceTypes; eFrameCapturedStatus: FrameCapturedStatus; relativeTime: TimeSpan); begin

// Event handler code goes here

end;

public void frameCaptured(int eFrameSourceTypes, int eFrameCapturedStatus, long relativeTime)
{

// Event handler code goes here

}

Private Sub FrameCapturedCallback(ByVal sender As System.Object, ByVal e As Chant.KinesicsKit.FrameCapturedEventArgs) Handles MyKinectResourceObject.FrameCaptured

' Event handler code goes here

End Sub

Collapse/Expand See Also section See Also

AudioSource RegisterCallback
AudioSource UnregisterCallback
BodyFrameSource RegisterCallback
BodyFrameSource UnregisterCallback
BodyIndexFrameSource RegisterCallback
BodyIndexFrameSource UnregisterCallback
ColorFrameSource RegisterCallback
ColorFrameSource UnregisterCallback
DepthFrameSource RegisterCallback
DepthFrameSource UnregisterCallback
InfraredFrameSource RegisterCallback
InfraredFrameSource UnregisterCallback
LongExposureInfraredFrameSource RegisterCallback
LongExposureInfraredFrameSource UnregisterCallback


FrameCapturedEventArgs Class

Arguments for a frame source's FrameCaptured event.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameStatus | Gets the status of the captured frame.
Public property | FrameType | Gets the type of the captured frame.
Public property | RelativeTime | Gets the unique relative time at which the frame was captured.

Collapse/Expand See Also section See Also

AudioSource RegisterCallback
AudioSource UnregisterCallback
BodyFrameSource RegisterCallback
BodyFrameSource UnregisterCallback
BodyIndexFrameSource RegisterCallback
BodyIndexFrameSource UnregisterCallback
ColorFrameSource RegisterCallback
ColorFrameSource UnregisterCallback
DepthFrameSource RegisterCallback
DepthFrameSource UnregisterCallback
InfraredFrameSource RegisterCallback
InfraredFrameSource UnregisterCallback
LongExposureInfraredFrameSource RegisterCallback
LongExposureInfraredFrameSource UnregisterCallback


FrameCapturedEventArgs FrameStatus Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameStatus Property

Gets the status of the captured frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameCapturedStatus eFrameCapturedStatus = frameCapturedEventArgs.FrameStatus;

FrameCapturedStatus eFrameCapturedStatus = frameCapturedEventArgs->GetFrameStatus();

FrameCapturedStatus eFrameCapturedStatus = frameCapturedEventArgs->GetFrameStatus();

var eFrameCapturedStatus: FrameCapturedStatus;
eFrameCapturedStatus := frameCapturedEventArgs.FrameStatus;

int eFrameCapturedStatus = frameCapturedEventArgs.getFrameStatus();

Dim eFrameCapturedStatus As FrameCapturedStatus
eFrameCapturedStatus = frameCapturedEventArgs.FrameStatus

Collapse/Expand See Also section See Also

FrameCapturedEventArgs FrameCapturedStatus


FrameCapturedEventArgs FrameType Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameType Property

Gets the type of the captured frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameSourceTypes eFrameSourceTypes = frameCapturedEventArgs.FrameType;

FrameSourceTypes eFrameSourceTypes = frameCapturedEventArgs->GetFrameType();

FrameSourceTypes eFrameSourceTypes = frameCapturedEventArgs->GetFrameType();

var eFrameSourceTypes: FrameSourceTypes;
eFrameSourceTypes := frameCapturedEventArgs.FrameType;

int eFrameSourceTypes = frameCapturedEventArgs.getFrameType();

Dim eFrameSourceTypes As FrameSourceTypes
eFrameSourceTypes = frameCapturedEventArgs.FrameType

Collapse/Expand See Also section See Also

FrameCapturedEventArgs FrameSourceTypes


FrameCapturedEventArgs RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Gets the unique relative time at which the frame was captured.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = frameCapturedEventArgs.RelativeTime;

TIMESPAN relativeTime = frameCapturedEventArgs->GetRelativeTime();

TIMESPAN relativeTime = frameCapturedEventArgs->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := frameCapturedEventArgs.RelativeTime;

long relativeTime = frameCapturedEventArgs.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = frameCapturedEventArgs.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

FrameCapturedEventArgs


FrameDescription Class

Description of the properties of an image frame.

Collapse/Expand Remarks section Remarks

FrameDescription objects are obtained via the BodyIndexFrame FrameDescription, the BodyIndexFrameSource FrameDescription, the ColorFrame FrameDescription, the ColorFrameSource FrameDescription, the DepthFrame FrameDescription, the DepthFrameSource FrameDescription, the InfraredFrame FrameDescription, the InfraredFrameSource FrameDescription, the LongExposureInfraredFrame FrameDescription, and the LongExposureInfraredFrameSource FrameDescription properties.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | BytesPerPixel | Gets the bytes per pixel of the data for an image frame.
Public property | DiagonalFieldOfView | Gets the diagonal field of view for an image frame, in degrees.
Public property | Height | Gets the height of an image frame, in pixels.
Public property | HorizontalFieldOfView | Gets the horizontal field of view for an image frame, in degrees.
Public property | LengthInPixels | Gets the length in pixels of the data for an image frame.
Public property | VerticalFieldOfView | Gets the vertical field of view for an image frame, in degrees.
Public property | Width | Gets the width of an image frame, in pixels.

Collapse/Expand See Also section See Also

BodyIndexFrame
BodyIndexFrameSource
ColorFrame
ColorFrameSource
DepthFrame
DepthFrameSource
InfraredFrame
InfraredFrameSource
LongExposureInfraredFrame
LongExposureInfraredFrameSource


FrameDescription BytesPerPixel Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BytesPerPixel Property

Gets the bytes per pixel of the data for an image frame

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint bytesPerPixel = frameDescription.BytesPerPixel;

unsigned int bytesPerPixel = frameDescription->GetBytesPerPixel();

unsigned int bytesPerPixel = frameDescription->GetBytesPerPixel();

var bytesPerPixel: LongWord;
bytesPerPixel := frameDescription.BytesPerPixel;

int bytesPerPixel = frameDescription.getBytesPerPixel();

Dim bytesPerPixel As UInteger
bytesPerPixel = frameDescription.BytesPerPixel

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

FrameDescription


FrameDescription DiagonalFieldOfView Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

DiagonalFieldOfView Property

Gets the diagonal field of view for an image frame, in degrees.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

float diagonalFieldOfView = frameDescription.DiagonalFieldOfView;

float diagonalFieldOfView = frameDescription->GetDiagonalFieldOfView();

float diagonalFieldOfView = frameDescription->GetDiagonalFieldOfView();

var diagonalFieldOfView: Single;
diagonalFieldOfView := frameDescription.DiagonalFieldOfView;

float diagonalFieldOfView = frameDescription.getDiagonalFieldOfView();

Dim diagonalFieldOfView As Single
diagonalFieldOfView = frameDescription.DiagonalFieldOfView

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

FrameDescription


FrameDescription Height Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Height Property

Gets the height of an image frame, in pixels.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int height = frameDescription.Height;

int height = frameDescription->GetHeight();

int height = frameDescription->GetHeight();

var height: Integer;
height := frameDescription.Height;

int height = frameDescription.getHeight();

Dim height As Integer
height = frameDescription.Height

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

FrameDescription


FrameDescription HorizontalFieldOfView Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

HorizontalFieldOfView Property

Gets the horizontal field of view for an image frame, in degrees.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

float horizontalFieldOfView = frameDescription.HorizontalFieldOfView;

float horizontalFieldOfView = frameDescription->GetHorizontalFieldOfView();

float horizontalFieldOfView = frameDescription->GetHorizontalFieldOfView();

var horizontalFieldOfView: Single;
horizontalFieldOfView := frameDescription.HorizontalFieldOfView;

float horizontalFieldOfView = frameDescription.getHorizontalFieldOfView();

Dim horizontalFieldOfView As Single
horizontalFieldOfView = frameDescription.HorizontalFieldOfView

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

FrameDescription


FrameDescription LengthInPixels Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

LengthInPixels Property

Gets the length in pixels of the data for an image frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint lengthInPixels = FrameDescription.LengthInPixels;

unsigned int lengthInPixels = FrameDescription->GetLengthInPixels();

unsigned int lengthInPixels = FrameDescription->GetLengthInPixels();

var lengthInPixels: LongWord;
lengthInPixels := FrameDescription.LengthInPixels;

int lengthInPixels = FrameDescription.getLengthInPixels();

Dim lengthInPixels As UInteger
lengthInPixels = FrameDescription.LengthInPixels

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

FrameDescription


FrameDescription VerticalFieldOfView Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

VerticalFieldOfView Property

Gets the vertical field of view for an image frame, in degrees.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

float verticalFieldOfView = frameDescription.VerticalFieldOfView;

float verticalFieldOfView = frameDescription->GetVerticalFieldOfView();

float verticalFieldOfView = frameDescription->GetVerticalFieldOfView();

var verticalFieldOfView: Single;
verticalFieldOfView := frameDescription.VerticalFieldOfView;

float verticalFieldOfView = frameDescription.getVerticalFieldOfView();

Dim verticalFieldOfView As Single
verticalFieldOfView = frameDescription.VerticalFieldOfView

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

FrameDescription


FrameDescription Width Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Width Property

Gets the width of an image frame, in pixels.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int width = frameDescription.Width;

int width = frameDescription->GetWidth();

int width = frameDescription->GetWidth();

var width: Integer;
width := frameDescription.Width;

int width = frameDescription.getWidth();

Dim width As Integer
width = frameDescription.Width

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

FrameDescription


InfraredFrame Class

Represents a frame that provides a view of the scene that looks just like a black and white photograph, but is actively lit, so brightness is consistent regardless of location and room brightness.

Collapse/Expand Remarks section Remarks

InfraredFrame objects are obtained via the InfraredFrameReader AcquireLatestFrame and the InfraredFrameReference AcquireFrame methods.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AccessUnderlyingBuffer | Gets refreshed body data.
Public method | CopyFrameDataToArray | Gets refreshed body data.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameDescription | Gets the frame description for the underlying image format.
Public property | InfraredFrameSource | Gets the source for this frame type.
Public property | RelativeTime | Gets the unique relative time at which the frame was captured.

Collapse/Expand See Also section See Also

FrameDescription
InfraredFrameReader
InfraredFrameSource


InfraredFrame AccessUnderlyingBuffer Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AccessUnderlyingBuffer Method

Gets a pointer to the infrared frame data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

infraredFrame.AccessUnderlyingBuffer(capacity, buffer);

infraredFrame->AccessUnderlyingBuffer(capacity, buffer);

infraredFrame->AccessUnderlyingBuffer(capacity, buffer);

infraredFrame.AccessUnderlyingBuffer(capacity, buffer);

infraredFrame.accessUnderlyingBuffer(capacity, buffer);

infraredFrame.AccessUnderlyingBuffer(capacity, buffer)

Parameters

capacity

unsigned integer. When this method returns contains the size of the frame data buffer in bytes.

buffer

Pointer. When this method returns it contains the pointer to the frame data.

Collapse/Expand See Also section See Also

InfraredFrame


InfraredFrame CopyFrameDataToArray Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

CopyFrameDataToArray Method

Copies the infrared frame data to a unsigned short array.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

infraredFrame.CopyFrameDataToArray(frameData);

infraredFrame->CopyFrameDataToArray(capacity, frameData);

infraredFrame->CopyFrameDataToArray(capacity, frameData);

infraredFrame.CopyFrameDataToArray(capacity, frameData);

infraredFrame.copyFrameDataToArray(frameData);

infraredFrame.CopyFrameDataToArray(frameData)

Parameters

capacity

unsigned integer. The length of the array.

frameData

Unsigned short array. The array to which to copy the infrared frame data.

Collapse/Expand See Also section See Also

InfraredFrame


InfraredFrame InfraredFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

InfraredFrameSource Property

Gets the source for this frame type.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

InfraredFrameSource infraredFrameSource = infraredFrame.InfraredFrameSource;

CInfraredFrameSource* infraredFrameSource = infraredFrame->GetInfraredFrameSource();

CInfraredFrameSource* infraredFrameSource = infraredFrame->GetInfraredFrameSource();

var infraredFrameSource: TInfraredFrameSource;
infraredFrameSource := infraredFrame.InfraredFrameSource;

InfraredFrameSource infraredFrameSource = infraredFrame.getInfraredFrameSource();

Dim infraredFrameSource As InfraredFrameSource
infraredFrameSource = infraredFrame.InfraredFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

InfraredFrame
InfraredFrameSource


InfraredFrame FrameDescription Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameDescription Property

Gets the frame description for the underlying image format.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameDescription frameDescription = infraredFrame.FrameDescription;

CFrameDescription* frameDescription = infraredFrame->GetFrameDescription();

CFrameDescription* frameDescription = infraredFrame->GetFrameDescription();

var frameDescription: TFrameDescription;
frameDescription := infraredFrame.FrameDescription;

FrameDescription frameDescription = infraredFrame.getFrameDescription();

Dim frameDescription As FrameDescription
frameDescription = infraredFrame.FrameDescription

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

InfraredFrame
FrameDescription


InfraredFrame RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Gets the unique relative time at which the frame was captured.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = infraredFrame.RelativeTime;

TIMESPAN relativeTime = infraredFrame->GetRelativeTime();

TIMESPAN relativeTime = infraredFrame->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := infraredFrame.RelativeTime;

long relativeTime = infraredFrame.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = infraredFrame.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

InfraredFrame


InfraredFrameArrived Event

Event that is raised when an infrared frame arrives.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

private void InfraredFrameArrivedCallback(object sender, Chant.KinesicsKit.InfraredFrameArrivedEventArgs e)
{

// Event handler code goes here

}

void CALLBACK InfraredFrameArrivedCallback(CInfraredFrameReference* infraredFrameReference)
{

// Event handler code goes here

}

void CALLBACK InfraredFrameArrivedCallback(CInfraredFrameReference* infraredFrameReference)
{

// Event handler code goes here

}

procedure InfraredFrameArrivedCallback(infraredFrameReference: TInfraredFrameReference); begin

// Event handler code goes here

end;

public void frameArrived(InfraredFrameReference infraredFrameReference)
{

// Event handler code goes here

}

Private Sub InfraredFrameArrivedCallback(ByVal sender As System.Object, ByVal e As Chant.KinesicsKit.FrameArrivedEventArgs) Handles MyInfraredFrameReader.InfraredFrameArrived

' Event handler code goes here

End Sub

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


InfraredFrameArrivedEventArgs Class

Arguments for an infrared frame reader's FrameArrived event.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameReference | Gets the reference to the infrared frame for the FrameArrived event.

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


InfraredFrameArrivedEventArgs InfraredFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameReference Property

Gets the reference to the infrared frame for the FrameArrived event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

InfraredFrameReference infraredFrameReference = infraredFrameArrivedEventArgs.FrameReference;

CInfraredFrameReference* infraredFrameReference = infraredFrameArrivedEventArgs->GetFrameReference();

CInfraredFrameReference* infraredFrameReference = infraredFrameArrivedEventArgs->GetFrameReference();

var infraredFrameReference: TInfraredFrameReference;
infraredFrameReference := infraredFrameArrivedEventArgs.FrameReference;

InfraredFrameReference infraredFrameReference = infraredFrameArrivedEventArgs.getFrameReference();

Dim infraredFrameReference As InfraredFrameReference
infraredFrameReference = infraredFrameArrivedEventArgs.FrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

InfraredFrameArrivedEventArgs
InfraredFrameReference


InfraredFrameReader Class

Represents a reader for infrared frames.

Collapse/Expand Remarks section Remarks

InfraredFrameReader objects are obtained via the InfraredFrameSource OpenReader method.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireLatestFrame | Acquires the latest available frame.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameArrived | Event that fires when a new frame is ready.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | InfraredFrameSource | Gets the source for this frame type.
Public property | IsPaused | Gets or sets the reader pause state.

Collapse/Expand See Also section See Also

InfraredFrame
InfraredFrameSource


InfraredFrameReader AcquireLatestFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireLatestFrame Method

Acquires the latest available frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

InfraredFrame infraredFrame = infraredFrameReader.AcquireLatestFrame();

CInfraredFrame* infraredFrame = infraredFrameReader->AcquireLatestFrame();

CInfraredFrame* infraredFrame = infraredFrameReader->AcquireLatestFrame();

var infraredFrame: InfraredFrame;
infraredFrame := infraredFrameReader.AcquireLatestFrame();

InfraredFrame infraredFrame = infraredFrameReader.acquireLatestFrame();

Dim infraredFrame As InfraredFrame
infraredFrame = infraredFrameReader.AcquireLatestFrame()

Return Value

InfraredFrame. A valid frame, or null if no new frames are available.

Collapse/Expand Remarks section Remarks

A given reader will only return each frame once. If no new frames are available since the last call to this method, the result will be null.

Collapse/Expand See Also section See Also

InfraredFrame InfraredFrameReader


InfraredFrameReader InfraredFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

InfraredFrameSource Property

Gets the infrared frame source.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

InfraredFrameSource infraredFrameSource = infraredFrameReader.InfraredFrameSource;

CInfraredFrameSource* infraredFrameSource = infraredFrameReader->GetInfraredFrameSource();

CInfraredFrameSource* infraredFrameSource = infraredFrameReader->GetInfraredFrameSource();

var infraredFrameSource: TInfraredFrameSource;
infraredFrameSource := infraredFrameReader.InfraredFrameSource;

InfraredFrameSource infraredFrameSource = infraredFrameReader.getInfraredFrameSource();

Dim infraredFrameSource As InfraredFrameSource
infraredFrameSource = infraredFrameReader.InfraredFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

InfraredFrameReader
InfraredFrameSource


InfraredFrameReader IsPaused Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsPaused Property

Gets or sets the reader pause state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isPaused = infraredFrameReader.IsPaused;
infraredFrameReader.IsPaused = value;

bool isPaused = infraredFrameReader->GetIsPaused();
infraredFrameReader->SetIsPaused(value);

bool isPaused = infraredFrameReader->GetIsPaused();
infraredFrameReader->SetIsPaused(value);

var isPaused: Boolean;
isPaused := infraredFrameReader.IsPaused;
infraredFrameReader.IsPaused := value;

boolean isPaused = infraredFrameReader.getIsPaused();
infraredFrameReader.setIsPaused(value);

Dim isPaused As Boolean
isPaused = infraredFrameReader.IsPaused
infraredFrameReader.IsPaused = value

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

InfraredFrameReader


InfraredFrameReader RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a InfraredFrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

infraredFrameReader.InfraredFrameArrived += infraredFrameArrivedCallback;
infraredFrameReader.PropertyChanged += propertyChangedCallback;

infraredFrameReader->RegisterCallback(infraredFrameArrivedCallback);
infraredFrameReader->RegisterCallback(propertyChangedCallback);

infraredFrameReader->RegisterCallback(infraredFrameArrivedCallback);
infraredFrameReader->RegisterCallback(propertyChangedCallback);

infraredFrameReader.RegisterCallback(infraredFrameArrivedCallback);
infraredFrameReader.RegisterCallback(propertyChangedCallback);

infraredFrameReader.registerCallback(infraredFrameArrivedCallback);
infraredFrameReader.registerCallback(propertyChangedCallback);

AddHandler infraredFrameReader.InfraredFrameArrived, AddressOf infraredFrameArrivedCallback
AddHandler infraredFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

infraredFrameArrivedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the InfraredFrameArrived interface (Java). Event handler that implements the InfraredFrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

InfraredFrameArrived events occur when an InfraredFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

InfraredFrameReader
UnregisterCallback


InfraredFrameReader UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a InfraredFrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

infraredFrameReader.InfraredFrameArrived -= infraredFrameReaderCallback;
infraredFrameReader.PropertyChanged -= propertyChangedCallback;

infraredFrameReader->UnregisterCallback(infraredFrameReaderCallback);
infraredFrameReader->UnregisterCallback(propertyChangedCallback);

infraredFrameReader->UnregisterCallback(infraredFrameReaderCallback);
infraredFrameReader->UnregisterCallback(propertyChangedCallback);

infraredFrameReader.UnregisterCallback(infraredFrameReaderCallback);
infraredFrameReader.UnregisterCallback(propertyChangedCallback);

infraredFrameReader.unregisterCallback(infraredFrameReaderCallback);
infraredFrameReader.unregisterCallback(propertyChangedCallback);

RemoveHandler infraredFrameReader.InfraredFrameArrived, AddressOf infraredFrameReaderCallback
RemoveHandler infraredFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

infraredFrameReaderCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the InfraredFrameArrived interface (Java). Event handler that implements the InfraredFrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

InfraredFrameArrived events occur when an InfraredFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

InfraredFrameReader
RegisterCallback


InfraredFrameReference Class

Represents an audio frame reference.

Collapse/Expand Remarks section Remarks

InfraredFrameReference objects are obtained via the MultiSourceFrame InfraredFrameReference property and ChantKMEvent InfraredFrameReference property.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireFrame | Acquires the frame held by this reference.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | RelativeTime | Returns the unique relative time at which this frame was produced.

Collapse/Expand See Also section See Also

InfraredFrameSource
ChantKMEvent
MultiSourceFrame


InfraredFrameReference AcquireFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireFrame Method

Acquires the frame held by this reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

InfraredFrame infraredFrame = infraredFrameReference.AcquireFrame();

CInfraredFrame* infraredFrame = infraredFrameReference->AcquireFrame();

CInfraredFrame* infraredFrame = infraredFrameReference->AcquireFrame();

var infraredFrame: InfraredFrame;
infraredFrame := infraredFrameReference.AcquireFrame();

InfraredFrame infraredFrame = infraredFrameReference.acquireFrame();

Dim infraredFrame As InfraredFrame
infraredFrame = infraredFrameReference.AcquireFrame()

Return Value

InfraredFrame. A valid frame, or null if no new frames are available.

Collapse/Expand Remarks section Remarks

A given reader will only return each frame once. If no new frames are available since the last call to this method, the result will be null.

Collapse/Expand See Also section See Also

InfraredFrame
InfraredFrameReference


InfraredFrameReference RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Returns the unique relative time at which this frame was produced.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = infraredFrameReference.RelativeTime;

TIMESPAN relativeTime = infraredFrameReference->GetRelativeTime();

TIMESPAN relativeTime = infraredFrameReference->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := infraredFrameReference.RelativeTime;

long relativeTime = infraredFrameReference.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = infraredFrameReference.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

InfraredFrameReference


InfraredFrameSource Class

Represents a source of infrared frames from a KinectSensor.

Collapse/Expand Remarks section Remarks

InfraredFrameSource objects are obtained via the InfraredFrame InfraredFrameSource and the InfraredFrameReader InfraredFrameSource properties.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameCaptured | Event that fires when a new frame has been captured.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | OpenReader | Acquires the list of the latest available beam frames.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameDescription | Gets the frame description for the format.
Public property | IsActive | Gets whether the infrared frame source is active.
Public property | KinectSensor | Gets the KinectSensor of the infrared frame source.

Collapse/Expand See Also section See Also

FrameDescription
InfraredFrameReader
KinectSensor


InfraredFrameSource FrameDescription Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameDescription Property

Gets the frame description for the default (raw) infrared format.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameDescription frameDescription = infraredFrameSource.FrameDescription;

CFrameDescription* frameDescription = infraredFrameSource->GetFrameDescription();

CFrameDescription* frameDescription = infraredFrameSource->GetFrameDescription();

var frameDescription: TFrameDescription;
frameDescription := infraredFrameSource.FrameDescription;

FrameDescription frameDescription = infraredFrameSource.getFrameDescription();

Dim frameDescription As FrameDescription
frameDescription = infraredFrameSource.FrameDescription

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

InfraredFrameSource
FrameDescription


InfraredFrameSource IsActive Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsActive Property

Gets whether this source has any active (unpaused) readers.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isActive = infraredFrameSource.IsActive;

bool isActive = infraredFrameSource->GetIsActive();

bool isActive = infraredFrameSource->GetIsActive();

var isActive: Boolean;
isActive := infraredFrameSource.IsActive;

boolean isActive = infraredFrameSource.getIsActive();

Dim isActive As Boolean
isActive = infraredFrameSource.IsActive

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

InfraredFrameSource


InfraredFrameSource KinectSensor Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

KinectSensor Property

Gets the KinectSensor with which this source is associated

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

KinectSensor kinectSensor = infrared+FrameSource.KinectSensor;

CKinectSensor* kinectSensor = infraredFrameSource->GetKinectSensor();

CKinectSensor* kinectSensor = infraredFrameSource->GetKinectSensor();

var kinectSensor: TKinectSensor;
kinectSensor := infraredFrameSource.KinectSensor;

KinectSensor kinectSensor = infraredFrameSource.getKinectSensor();

Dim kinectSensor As KinectSensor
kinectSensor = infraredFrameSource.KinectSensor

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

InfraredFrameSource
KinectSensor


InfraredFrameSource OpenReader Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

OpenReader Method

Creates and returns a new reader object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

InfraredFrameReader infraredFrameReader = infraredFrameSource.OpenReader();

CInfraredFrameReader* infraredFrameReader = infraredFrameSource->OpenReader();

CInfraredFrameReader* infraredFrameReader = infraredFrameSource->OpenReader();

var infraredFrameReader: TInfraredFrameReader;
infraredFrameReader := infraredFrameSource.OpenReader();

InfraredFrameReader infraredFrameReader = infraredFrameSource.openReader();

Dim infraredFrameReader As InfraredFrameReader
infraredFrameReader = infraredFrameSource.OpenReader()

Return Value

InfraredFrameReader. The infrared frame reader.

Collapse/Expand See Also section See Also

InfraredFrameReader
InfraredFrameSource


InfraredFrameSource RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a FrameCaptured or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

infraredFrameSource.FrameCaptured += frameCapturedCallback;
infraredFrameSource.PropertyChanged += propertyChangedCallback;

infraredFrameSource->RegisterCallback(frameCapturedCallback);
infraredFrameSource->RegisterCallback(propertyChangedCallback);

infraredFrameSource->RegisterCallback(frameCapturedCallback);
infraredFrameSource->RegisterCallback(propertyChangedCallback);

infraredFrameSource.RegisterCallback(frameCapturedCallback);
infraredFrameSource.RegisterCallback(propertyChangedCallback);

infraredFrameSource.registerCallback(frameCapturedCallback);
infraredFrameSource.registerCallback(propertyChangedCallback);

AddHandler infraredFrameSource.FrameCaptured, AddressOf frameCapturedCallback
AddHandler infraredFrameSource.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameCapturedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameCaptured interface (Java). Event handler that implements the FrameCaptured interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameCaptured events occur when a InfraredFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

InfraredFrameSource
UnregisterCallback


InfraredFrameSource UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a FrameCaptured or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

infraredFrameSource.FrameCaptured -= frameCapturedCallback;
infraredFrameSource.PropertyChanged -= propertyChangedCallback;

infraredFrameSource->UnregisterCallback(frameCapturedCallback);
infraredFrameSource->UnregisterCallback(propertyChangedCallback);

infraredFrameSource->UnregisterCallback(frameCapturedCallback);
infraredFrameSource->UnregisterCallback(propertyChangedCallback);

infraredFrameSource.UnregisterCallback(frameCapturedCallback);
infraredFrameSource.UnregisterCallback(propertyChangedCallback);

infraredFrameSource.unregisterCallback(frameCapturedCallback);
infraredFrameSource.unregisterCallback(propertyChangedCallback);

RemoveHandler infraredFrameSource.FrameCaptured, AddressOf frameCapturedCallback
RemoveHandler infraredFrameSource.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameCapturedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameCaptured interface (Java). Event handler that implements the FrameCaptured interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameCaptured events occur when a InfraredFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

InfraredFrameSource
RegisterCallback


IsAvailableChanged Event

Event that is raised when the availability of the Kinect sensor changes.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

private void IsAvailableChangedCallback(object sender, Chant.KinesicsKit.IsAvailableChangedEventArgs e)
{

// Event handler code goes here

}

void CALLBACK IsAvailableChangedCallback(wchar_t* propertyName)
{

// Event handler code goes here

}

void CALLBACK IsAvailableChangedCallback(wchar_t* propertyName)
{

// Event handler code goes here

}

procedure IsAvailableChangedCallback(propertyName: string); begin

// Event handler code goes here

end;

public void propertyChanged(String propertyName)
{

// Event handler code goes here

}

Private Sub IsAvailableChangedCallback(ByVal sender As System.Object, ByVal e As Chant.KinesicsKit.IsAvailableChangedEventArgs) Handles MyKinectResourceObject.IsAvailableChanged

' Event handler code goes here

End Sub

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


IsAvailableChangedEventArgs Class

Arguments for a Kinect sensor's IsAvailableChanged event.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | IsAvailable | Gets whether or not the Kinect sensor is available.

Collapse/Expand See Also section See Also

IsAvailableChanged


IsAvailableChangedEventArgs IsAvailable Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsAvailable Property

Gets whether or not the Kinect sensor is available.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isAvailable = isAvailableChangedEventArgs.IsAvailable;

bool isAvailable = isAvailableChangedEventArgs->GetIsAvailable();

bool isAvailable = isAvailableChangedEventArgs->GetIsAvailable();

var isAvailable: Boolean;
isAvailable := isAvailableChangedEventArgs.IsAvailable;

boolean isAvailable = isAvailableChangedEventArgs.getIsAvailable();

Dim isAvailable As Boolean
isAvailable = isAvailableChangedEventArgs.IsAvailable

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

IsAvailableChangedEventArgs


JointCollection Class

Contains a collection of Joints.

Collapse/Expand Remarks section Remarks

JointCollections are obtained via the Body Joints property.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Joint | The Joint within the collection.
Public property | Count | The number of Joints.

Collapse/Expand See Also section See Also

Body
Joint


JointCollection Count Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Count Property

The number of Joints in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = jointCollection.Count;

int count = jointCollection->GetCount();

int count = jointCollection->GetCount();

var count: Integer;
count := jointCollection.Count;

int count = jointCollection.getCount();

Dim count As Integer
count = jointCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

JointCollection


JointCollection Joint Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Joint Property

Represents a skeleton joint.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Joint joint = jointCollection.Joint[jointType];

Joint* joint = jointCollection->GetJoint(jointType);

Joint* joint = jointCollection->GetJoint(jointType);

var joint: TJoint;
joint := jointCollection.Joint(jointType);

Joint joint = jointCollection.getAt(jointType);

Dim joint As Joint
joint = jointCollection.Joint(jointType)

Parameters

jointType

JointType. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

JointCollection


JointOrientationCollection Class

Contains a collection of JointOrientations.

Collapse/Expand Remarks section Remarks

JointOrientationCollections are obtained via the Body JointOrientations property.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | JointOrientation | The JointOrientation within the collection.
Public property | Count | The number of JointOrientations.

Collapse/Expand See Also section See Also

Body
JointOrientation


JointOrientationCollection Count Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Count Property

The number of JointOrientations in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = jointOrientationCollection.Count;

int count = jointOrientationCollection->GetCount();

int count = jointOrientationCollection->GetCount();

var count: Integer;
count := jointOrientationCollection.Count;

int count = jointOrientationCollection.getCount();

Dim count As Integer
count = jointOrientationCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

JointOrientationCollection


JointOrientationCollection JointOrientation Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

JointOrientation Property

Represents a skeleton joint orientation.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

JointOrientation jointOrientation = jointOrientationCollection.JointOrientation[jointType];

JointOrientation* jointOrientation = jointOrientationCollection->GetJointOrientation(jointType);

JointOrientation* jointOrientation = jointOrientationCollection->GetJointOrientation(jointType);

var jointOrientation: TJoint;
jointOrientation := jointOrientationCollection.JointOrientation(jointType);

JointOrientation jointOrientation = jointOrientationCollection.getAt(jointType);

Dim jointOrientation As JointOrientation
jointOrientation = jointOrientationCollection.JointOrientation(jointType)

Parameters

jointType

JointType. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

JointOrientationCollection


KinectSensor Class

Represents a Kinect sensor device.

Collapse/Expand Remarks section Remarks

KinectSensor objects are obtained via the AudioSource KinectSensor, the BodyFrameSource KinectSensor, the BodyIndexFrameSource KinectSensor, the ColorFrameSource KinectSensor, the DepthFrameSource KinectSensor, the InfraredFrameSource KinectSensor, the LongExposureInfraredFrameSource KinectSensor, the MultiSourceFrameReader KinectSensor, properties and the the ChantKM GetKinectSensor method.

Collapse/Expand Events section Events

 | Name | Description
Public event | IsAvailableChanged | Event that is raised when the availability of the Kinect sensor changes.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | Close | Closes and releases system resources associated with the Kinect sensor.
Public method | Open | Opens the Kinect sensor.
Public method | OpenMultiSourceFrameReader | Creates a new frame reader for correlating multiple frame sources.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | AudioSource | Gets the source for audio frames.
Public property | BodyFrameSource | Gets the source for body frames.
Public property | BodyIndexFrameSource | Gets the source for body index frames.
Public property | ColorFrameSource | Gets the source for color frames.
Public property | CoordinateMapper | Gets the coordinate mapper.
Public property | DepthFrameSource | Gets the source for depth frames.
Public property | InfraredFrameSource | Gets the source for infrared frames.
Public property | IsAvailable | Gets whether the KinectSensor is capable of delivering frame data.
Public property | IsOpen | Gets whether the Kinect sensor is open.
Public property | KinectCapabilities | Gets the capabilities of the Kinect sensor.
Public property | LongExposureInfraredFrameSource | Gets the source for long exposure infrared frames.
Public property | UniqueKinectId | Gets the unique ID for the Kinect sensor.

Collapse/Expand See Also section See Also

AudioSource
BodyFrameSource
BodyIndexFrameSource
ColorFrameSource
DepthFrameSource
InfraredFrameSource
LongExposureInfraredFrameSource
MultiSourceFrameReader
ChantKM


KinectSensor AudioSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AudioSource Property

Gets the source for audio frames.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioSource audioSource = kinectSensor.AudioSource;

CAudioSource* audioSource = kinectSensor->GetAudioSource();

CAudioSource* audioSource = kinectSensor->GetAudioSource();

var audioSource: TAudioSource;
audioSource := kinectSensor.AudioSource;

AudioSource audioSource = kinectSensor.getAudioSource();

Dim audioSource As AudioSource
audioSource = kinectSensor.AudioSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

AudioSource
KinectSensor


KinectSensor BodyFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BodyFrameSource Property

Gets the source for body frames.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyFrameSource bodyFrameSource = kinectSensor.BodyFrameSource;

CBodyFrameSource* bodyFrameSource = kinectSensor->GetBodyFrameSource();

CBodyFrameSource* bodyFrameSource = kinectSensor->GetBodyFrameSource();

var bodyFrameSource: TBodyFrameSource;
bodyFrameSource := kinectSensor.BodyFrameSource;

BodyFrameSource bodyFrameSource = kinectSensor.getBodyFrameSource();

Dim bodyFrameSource As BodyFrameSource
bodyFrameSource = kinectSensor.BodyFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyFrameSource
KinectSensor


KinectSensor BodyIndexFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BodyIndexFrameSource Property

Gets the source for body index frames.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyIndexFrameSource bodyIndexFrameSource = kinectSensor.BodyIndexFrameSource;

CBodyIndexFrameSource* bodyIndexFrameSource = kinectSensor->GetBodyIndexFrameSource();

CBodyIndexFrameSource* bodyIndexFrameSource = kinectSensor->GetBodyIndexFrameSource();

var bodyIndexFrameSource: TBodyIndexFrameSource;
bodyIndexFrameSource := kinectSensor.BodyIndexFrameSource;

BodyIndexFrameSource bodyIndexFrameSource = kinectSensor.getBodyIndexFrameSource();

Dim bodyIndexFrameSource As BodyIndexFrameSource
bodyIndexFrameSource = kinectSensor.BodyIndexFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

BodyIndexFrameSource
KinectSensor


KinectSensor Close Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Close Method

Closes and releases system resources associated with the Kinect sensor.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

kinectSensor.Close();

kinectSensor->Close();

kinectSensor->Close();

kinectSensor.Close();

kinectSensor.close();

kinectSensor.Close()

Collapse/Expand See Also section See Also

KinectSensor


KinectSensor ColorFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

ColorFrameSource Property

Gets the source for color frames.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ColorFrameSource colorFrameSource = kinectSensor.ColorFrameSource;

CColorFrameSource* colorFrameSource = kinectSensor->GetColorFrameSource();

CColorFrameSource* colorFrameSource = kinectSensor->GetColorFrameSource();

var colorFrameSource: TColorFrameSource;
colorFrameSource := kinectSensor.ColorFrameSource;

ColorFrameSource colorFrameSource = kinectSensor.getColorFrameSource();

Dim colorFrameSource As ColorFrameSource
colorFrameSource = kinectSensor.ColorFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ColorFrameSource
KinectSensor


KinectSensor CoordinateMapper Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

CoordinateMapper Property

Gets the coordinate mapper.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

CoordinateMapper coordinateMapper = kinectSensor.CoordinateMapper;

CCoordinateMapper* coordinateMapper = kinectSensor->GetCoordinateMapper();

CCoordinateMapper* coordinateMapper = kinectSensor->GetCoordinateMapper();

var coordinateMapper: TCoordinateMapper;
coordinateMapper := kinectSensor.CoordinateMapper;

CoordinateMapper coordinateMapper = kinectSensor.getCoordinateMapper();

Dim coordinateMapper As CoordinateMapper
coordinateMapper = kinectSensor.CoordinateMapper

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

KinectSensor
KinectSensor


KinectSensor DepthFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

DepthFrameSource Property

Gets the source for depth frames.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

DepthFrameSource depthFrameSource = kinectSensor.DepthFrameSource;

CDepthFrameSource* depthFrameSource = kinectSensor->GetDepthFrameSource();

CDepthFrameSource* depthFrameSource = kinectSensor->GetDepthFrameSource();

var depthFrameSource: TDepthFrameSource;
depthFrameSource := kinectSensor.DepthFrameSource;

DepthFrameSource depthFrameSource = kinectSensor.getDepthFrameSource();

Dim depthFrameSource As DepthFrameSource
depthFrameSource = kinectSensor.DepthFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

DepthFrameSource
KinectSensor


KinectSensor InfraredFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

InfraredFrameSource Property

Gets the source for infrared frames

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

InfraredFrameSource infraredFrameSource = kinectSensor.InfraredFrameSource;

CInfraredFrameSource* infraredFrameSource = kinectSensor->GetInfraredFrameSource();

CInfraredFrameSource* infraredFrameSource = kinectSensor->GetInfraredFrameSource();

var infraredFrameSource: TInfraredFrameSource;
infraredFrameSource := kinectSensor.InfraredFrameSource;

InfraredFrameSource infraredFrameSource = kinectSensor.getInfraredFrameSource();

Dim infraredFrameSource As InfraredFrameSource
infraredFrameSource = kinectSensor.InfraredFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

InfraredFrameSource
KinectSensor


KinectSensor IsAvailable Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsAvailable Property

Gets whether the KinectSensor is capable of delivering frame data

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isAvailable = kinectSensor.IsAvailable;

bool isAvailable = kinectSensor->GetIsAvailable();

bool isAvailable = kinectSensor->GetIsAvailable();

var isAvailable: Boolean;
isAvailable := kinectSensor.IsAvailable;

boolean isAvailable = kinectSensor.getIsAvailable();

Dim isAvailable As Boolean
isAvailable = kinectSensor.IsAvailable

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

KinectSensor


KinectSensor IsOpen Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsOpen Property

Gets whether the Kinect sensor is open.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isOpen = kinectSensor.IsOpen;

bool isOpen = kinectSensor->GetIsOpen();

bool isOpen = kinectSensor->GetIsOpen();

var isOpen: Boolean;
isOpen := kinectSensor.IsOpen;

boolean isOpen = kinectSensor.getIsOpen();

Dim isOpen As Boolean
isOpen = kinectSensor.IsOpen

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

KinectSensor


KinectSensor KinectCapabilities Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

KinectCapabilities Property

Gets the capabilities of the Kinect sensor.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

KinectCapabilities eKinectCapabilities = kinectSensor.KinectCapabilities;

CKinectCapabilities* eKinectCapabilities = kinectSensor->GetKinectCapabilities();

CKinectCapabilities* eKinectCapabilities = kinectSensor->GetKinectCapabilities();

var eKinectCapabilities: TKinectCapabilities;
eKinectCapabilities := kinectSensor.KinectCapabilities;

int eKinectCapabilities = kinectSensor.getKinectCapabilities();

Dim eKinectCapabilities As KinectCapabilities
eKinectCapabilities = kinectSensor.KinectCapabilities

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

KinectSensor
KinectCapabilities


KinectSensor LongExposureInfraredFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

LongExposureInfraredFrameSource Property

Gets the source for long exposure infrared frames.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

LongExposureInfraredFrameSource longExposureInfraredFrameSource = kinectSensor.LongExposureInfraredFrameSource;

CLongExposureInfraredFrameSource* longExposureInfraredFrameSource = kinectSensor->GetLongExposureInfraredFrameSource();

CLongExposureInfraredFrameSource* longExposureInfraredFrameSource = kinectSensor->GetLongExposureInfraredFrameSource();

var longExposureInfraredFrameSource: TLongExposureInfraredFrameSource;
longExposureInfraredFrameSource := kinectSensor.LongExposureInfraredFrameSource;

LongExposureInfraredFrameSource longExposureInfraredFrameSource = kinectSensor.getLongExposureInfraredFrameSource();

Dim longExposureInfraredFrameSource As LongExposureInfraredFrameSource
longExposureInfraredFrameSource = kinectSensor.LongExposureInfraredFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameSource KinectSensor


KinectSensor Open Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

Open Method

Opens the Kinect sensor.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

kinectSensor.Open();

kinectSensor->Open();

kinectSensor->Open();

kinectSensor.Open();

kinectSensor.open();

kinectSensor.Open()

Collapse/Expand See Also section See Also

KinectSensor


KinectSensor OpenMultiSourceFrameReader Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

OpenMultiSourceFrameReader Method

Creates a new frame reader for correlating multiple frame sources.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

MultiSourceFrameReader multiSourceFrameReader = kinectSensor.OpenMultiSourceFrameReader();

CMultiSourceFrameReader* multiSourceFrameReader = kinectSensor->OpenMultiSourceFrameReader();

CMultiSourceFrameReader* multiSourceFrameReader = kinectSensor->OpenMultiSourceFrameReader();

var multiSourceFrameReader: TMultiSourceFrameReader; multiSourceFrameReader := kinectSensor.OpenMultiSourceFrameReader();

MultiSourceFrameReader multiSourceFrameReader = kinectSensor.openMultiSourceFrameReader();

Dim multiSourceFrameReader As MultiSourceFrameReader multiSourceFrameReader = kinectSensor.OpenMultiSourceFrameReader()

Collapse/Expand See Also section See Also

KinectSensor MultiSourceFrameReader


KinectSensor RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a IsAvailableChanged or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

infraredFrameReader.IsAvailableChanged += isAvailableChangedCallback;
infraredFrameReader.PropertyChanged += propertyChangedCallback;

infraredFrameReader->RegisterCallback(isAvailableChangedCallback);
infraredFrameReader->RegisterCallback(propertyChangedCallback);

infraredFrameReader->RegisterCallback(isAvailableChangedCallback);
infraredFrameReader->RegisterCallback(propertyChangedCallback);

infraredFrameReader.RegisterCallback(isAvailableChangedCallback);
infraredFrameReader.RegisterCallback(propertyChangedCallback);

infraredFrameReader.registerCallback(isAvailableChangedCallback);
infraredFrameReader.registerCallback(propertyChangedCallback);

AddHandler infraredFrameReader.IsAvailableChanged, AddressOf isAvailableChangedCallback
AddHandler infraredFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

isAvailableChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the IsAvailableChanged interface (Java). Event handler that implements the IsAvailableChanged interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

IsAvailableChanged events occur when a Kinect sensor availability changes. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

KinectSensor
UnregisterCallback


KinectSensor UniqueKinectId Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UniqueKinectId Property

Gets the unique ID for the Kinect sensor.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String uniqueKinectId = kinectSensor.UniqueKinectId;

wchar_t* uniqueKinectId = kinectSensor->GetUniqueKinectId();

String uniqueKinectId = kinectSensor->GetUniqueKinectId();

var uniqueKinectId: string;
uniqueKinectId := kinectSensor.UniqueKinectId;

String uniqueKinectId = kinectSensor.getUniqueKinectId();

Dim uniqueKinectId As String
uniqueKinectId = kinectSensor.UniqueKinectId

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

KinectSensor


KinectSensor UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a IsAvailableChanged or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

infraredFrameReader.IsAvailableChanged -= isAvailableChangedCallback;
infraredFrameReader.PropertyChanged -= propertyChangedCallback;

infraredFrameReader->UnregisterCallback(isAvailableChangedCallback);
infraredFrameReader->UnregisterCallback(propertyChangedCallback);

infraredFrameReader->UnregisterCallback(isAvailableChangedCallback);
infraredFrameReader->UnregisterCallback(propertyChangedCallback);

infraredFrameReader.UnregisterCallback(isAvailableChangedCallback);
infraredFrameReader.UnregisterCallback(propertyChangedCallback);

infraredFrameReader.unregisterCallback(isAvailableChangedCallback);
infraredFrameReader.unregisterCallback(propertyChangedCallback);

RemoveHandler infraredFrameReader.IsAvailableChanged, AddressOf isAvailableChangedCallback
RemoveHandler infraredFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

isAvailableChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the IsAvailableChanged interface (Java). Event handler that implements the IsAvailableChanged interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

IsAvailableChanged events occur when a Kinect sensor availablity changes. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

KinectSensor
RegisterCallback


LongExposureInfraredFrame Class

Represents a long exposure infrared frame.

Collapse/Expand Remarks section Remarks

LongExposureInfraredFrame objects are obtained via the LongExposureInfraredFrameReader AcquireLatestFrame and the LongExposureInfraredFrameReference AcquireFrame +method.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AccessUnderlyingBuffer | Gets a pointer to the long exposure infrared frame data.
Public method | CopyFrameDataToArray | Copies the long exposure infrared frame data to an unsigned short array.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameDescription | Gets the frame description for the underlying image format.
Public property | LongExposureInfraredFrameSource | Gets the long exposure infrared frame source.
Public property | RelativeTime | Gets the unique relative time at which the frame was captured.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameReader
LongExposureInfraredFrameReference
LongExposureInfraredFrameSource


LongExposureInfraredFrame AccessUnderlyingBuffer Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AccessUnderlyingBuffer Method

Gets a pointer to the infrared frame data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

longExposureInfraredFrame.AccessUnderlyingBuffer(capacity, buffer);

longExposureInfraredFrame->AccessUnderlyingBuffer(capacity, buffer);

longExposureInfraredFrame->AccessUnderlyingBuffer(capacity, buffer);

longExposureInfraredFrame.AccessUnderlyingBuffer(capacity, buffer);

longExposureInfraredFrame.accessUnderlyingBuffer(capacity, buffer);

longExposureInfraredFrame.AccessUnderlyingBuffer(capacity, buffer)

Parameters

capacity

unsigned integer. When this method returns contains the size of the frame data buffer in bytes.

buffer

Pointer. When this method returns it contains the pointer to the frame data.

Collapse/Expand See Also section See Also

LongExposureInfraredFrame


LongExposureInfraredFrame CopyFrameDataToArray Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

CopyFrameDataToArray Method

Copies the infrared frame data to a unsigned short array.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

longExposureInfraredFrame.CopyFrameDataToArray(frameData);

longExposureInfraredFrame->CopyFrameDataToArray(capacity, frameData);

longExposureInfraredFrame->CopyFrameDataToArray(capacity, frameData);

longExposureInfraredFrame.CopyFrameDataToArray(capacity, frameData);

longExposureInfraredFrame.copyFrameDataToArray(frameData);

longExposureInfraredFrame.CopyFrameDataToArray(frameData)

Parameters

capacity

unsigned integer. The length of the array.

frameData

Unsigned short array. The array to which to copy the infrared frame data.

Collapse/Expand See Also section See Also

LongExposureInfraredFrame


LongExposureInfraredFrame FrameDescription Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameDescription Property

Gets the frame description for the underlying image format.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameDescription frameDescription = longExposureInfraredFrame.FrameDescription;

CFrameDescription* frameDescription = longExposureInfraredFrame->GetFrameDescription();

CFrameDescription* frameDescription = longExposureInfraredFrame->GetFrameDescription();

var frameDescription: TFrameDescription;
frameDescription := longExposureInfraredFrame.FrameDescription;

FrameDescription frameDescription = longExposureInfraredFrame.getFrameDescription();

Dim frameDescription As FrameDescription
frameDescription = longExposureInfraredFrame.FrameDescription

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

LongExposureInfraredFrame
FrameDescription


LongExposureInfraredFrame LongExposureInfraredFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

LongExposureInfraredFrameSource Property

Gets the source for this frame type.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

LongExposureInfraredFrameSource longExposureInfraredFrameSource = longExposureInfraredFrame.LongExposureInfraredFrameSource;

CLongExposureInfraredFrameSource* longExposureInfraredFrameSource = longExposureInfraredFrame->GetLongExposureInfraredFrameSource();

CLongExposureInfraredFrameSource* longExposureInfraredFrameSource = longExposureInfraredFrame->GetLongExposureInfraredFrameSource();

var longExposureInfraredFrameSource: TLongExposureInfraredFrameSource;
longExposureInfraredFrameSource := longExposureInfraredFrame.LongExposureInfraredFrameSource;

LongExposureInfraredFrameSource longExposureInfraredFrameSource = longExposureInfraredFrame.getLongExposureInfraredFrameSource();

Dim longExposureInfraredFrameSource As LongExposureInfraredFrameSource
longExposureInfraredFrameSource = longExposureInfraredFrame.LongExposureInfraredFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

LongExposureInfraredFrame
LongExposureInfraredFrameSource


LongExposureInfraredFrame RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Gets the unique relative time at which the frame was captured.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = longExposureInfraredFrame.RelativeTime;

TIMESPAN relativeTime = longExposureInfraredFrame->GetRelativeTime();

TIMESPAN relativeTime = longExposureInfraredFrame->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := longExposureInfraredFrame.RelativeTime;

long relativeTime = longExposureInfraredFrame.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = longExposureInfraredFrame.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

LongExposureInfraredFrame


LongExposureInfraredFrameArrived Event

Event that is raised when a long exposure infrared frame arrives.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

private void LongExposureInfraredFrameArrivedCallback(object sender, Chant.KinesicsKit.LongExposureInfraredFrameArrivedEventArgs e)
{

// Event handler code goes here

}

void CALLBACK LongExposureInfraredFrameArrivedCallback(CLongExposureInfraredFrameReference* longExposureInfraredFrameReference)
{

// Event handler code goes here

}

void CALLBACK LongExposureInfraredFrameArrivedCallback(CLongExposureInfraredFrameReference* longExposureInfraredFrameReference)
{

// Event handler code goes here

}

procedure LongExposureInfraredFrameArrivedCallback(longExposureInfraredFrameReference: TLongExposureInfraredFrameReference); begin

// Event handler code goes here

end;

public void frameArrived(LongExposureInfraredFrameReference longExposureInfraredFrameReference)
{

// Event handler code goes here

}

Private Sub LongExposureInfraredFrameArrivedCallback(ByVal sender As System.Object, ByVal e As Chant.KinesicsKit.FrameArrivedEventArgs) Handles MyLongExposureInfraredFrameReader.LongExposureInfraredFrameArrived

' Event handler code goes here

End Sub

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


LongExposureInfraredFrameArrivedEventArgs Class

Arguments for a long exposure infrared frame reader's FrameArrived event.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameReference | Gets the reference to the infrared frame for the FrameArrived event.

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


LongExposureInfraredFrameArrivedEventArgs LongExposureInfraredFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameReference Property

Gets the reference to the long exposure infrared frame for the FrameArrived event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

LongExposureInfraredFrameReference longExposureInfraredFrameReference = longExposureInfraredFrameArrivedEventArgs.FrameReference;

CLongExposureInfraredFrameReference* longExposureInfraredFrameReference = longExposureInfraredFrameArrivedEventArgs->GetFrameReference();

CLongExposureInfraredFrameReference* longExposureInfraredFrameReference = longExposureInfraredFrameArrivedEventArgs->GetFrameReference();

var longExposureInfraredFrameReference: TLongExposureInfraredFrameReference;
longExposureInfraredFrameReference := longExposureInfraredFrameArrivedEventArgs.FrameReference;

LongExposureInfraredFrameReference longExposureInfraredFrameReference = longExposureInfraredFrameArrivedEventArgs.getFrameReference();

Dim longExposureInfraredFrameReference As LongExposureInfraredFrameReference
longExposureInfraredFrameReference = longExposureInfraredFrameArrivedEventArgs.FrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameArrivedEventArgs
LongExposureInfraredFrameReference


LongExposureInfraredFrameReader Class

Represents a reader for long exposure infrared frames.

Collapse/Expand Remarks section Remarks

LongExposureInfraredFrameReader objects are obtained via the LongExposureInfraredFrameSource OpenReader method.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameArrived | Event that fires when a new frame is ready.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireLatestFrame | Acquires the latest available frame.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | IsPaused | Gets or sets the reader pause state.
Public property | LongExposureInfraredFrameSource | Gets the source for this frame type.

Collapse/Expand See Also section See Also

LongExposureInfraredFrame
LongExposureInfraredFrameSource


LongExposureInfraredFrameReader AcquireLatestFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireLatestFrame Method

Acquires the latest available frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

LongExposureInfraredFrame longExposureInfraredFrame = longExposureInfraredFrameReader.AcquireLatestFrame();

CLongExposureInfraredFrame* longExposureInfraredFrame = longExposureInfraredFrameReader->AcquireLatestFrame();

CLongExposureInfraredFrame* longExposureInfraredFrame = longExposureInfraredFrameReader->AcquireLatestFrame();

var longExposureInfraredFrame: LongExposureInfraredFrame;
longExposureInfraredFrame := longExposureInfraredFrameReader.AcquireLatestFrame();

LongExposureInfraredFrame longExposureInfraredFrame = longExposureInfraredFrameReader.acquireLatestFrame();

Dim longExposureInfraredFrame As LongExposureInfraredFrame
longExposureInfraredFrame = longExposureInfraredFrameReader.AcquireLatestFrame()

Return Value

LongExposureInfraredFrame. A valid frame, or null if no new frames are available.

Collapse/Expand Remarks section Remarks

A given reader will only return each frame once. If no new frames are available since the last call to this method, the result will be null.

Collapse/Expand See Also section See Also

LongExposureInfraredFrame LongExposureInfraredFrameReader


LongExposureInfraredFrameReader IsPaused Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsPaused Property

Gets or sets the reader pause state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isPaused = longExposureInfraredFrameReader.IsPaused;
longExposureInfraredFrameReader.IsPaused = value;

bool isPaused = longExposureInfraredFrameReader->GetIsPaused();
longExposureInfraredFrameReader->SetIsPaused(value);

bool isPaused = longExposureInfraredFrameReader->GetIsPaused();
longExposureInfraredFrameReader->SetIsPaused(value);

var isPaused: Boolean;
isPaused := longExposureInfraredFrameReader.IsPaused;
longExposureInfraredFrameReader.IsPaused := value;

boolean isPaused = longExposureInfraredFrameReader.getIsPaused();
longExposureInfraredFrameReader.setIsPaused(value);

Dim isPaused As Boolean
isPaused = longExposureInfraredFrameReader.IsPaused
longExposureInfraredFrameReader.IsPaused = value

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameReader


LongExposureInfraredFrameReader LongExposureInfraredFrameSource Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

LongExposureInfraredFrameSource Property

Gets the infrared frame source.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

LongExposureInfraredFrameSource longExposureInfraredFrameSource = longExposureInfraredFrameReader.LongExposureInfraredFrameSource;

CLongExposureInfraredFrameSource* longExposureInfraredFrameSource = longExposureInfraredFrameReader->GetLongExposureInfraredFrameSource();

CLongExposureInfraredFrameSource* longExposureInfraredFrameSource = longExposureInfraredFrameReader->GetLongExposureInfraredFrameSource();

var longExposureInfraredFrameSource: TLongExposureInfraredFrameSource;
longExposureInfraredFrameSource := longExposureInfraredFrameReader.LongExposureInfraredFrameSource;

LongExposureInfraredFrameSource longExposureInfraredFrameSource = longExposureInfraredFrameReader.getLongExposureInfraredFrameSource();

Dim longExposureInfraredFrameSource As LongExposureInfraredFrameSource
longExposureInfraredFrameSource = longExposureInfraredFrameReader.LongExposureInfraredFrameSource

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameReader
LongExposureInfraredFrameSource


LongExposureInfraredFrameReader RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a LongExposureInfraredFrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

longExposureInfraredFrameReader.LongExposureInfraredFrameArrived += longExposureInfraredFrameArrivedCallback;
longExposureInfraredFrameReader.PropertyChanged += propertyChangedCallback;

longExposureInfraredFrameReader->RegisterCallback(longExposureInfraredFrameArrivedCallback);
longExposureInfraredFrameReader->RegisterCallback(propertyChangedCallback);

longExposureInfraredFrameReader->RegisterCallback(longExposureInfraredFrameArrivedCallback);
longExposureInfraredFrameReader->RegisterCallback(propertyChangedCallback);

longExposureInfraredFrameReader.RegisterCallback(longExposureInfraredFrameArrivedCallback);
longExposureInfraredFrameReader.RegisterCallback(propertyChangedCallback);

longExposureInfraredFrameReader.registerCallback(longExposureInfraredFrameArrivedCallback);
longExposureInfraredFrameReader.registerCallback(propertyChangedCallback);

AddHandler longExposureInfraredFrameReader.LongExposureInfraredFrameArrived, AddressOf longExposureInfraredFrameArrivedCallback
AddHandler longExposureInfraredFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

longExposureInfraredFrameArrivedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the LongExposureInfraredFrameArrived interface (Java). Event handler that implements the LongExposureInfraredFrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

LongExposureInfraredFrameArrived events occur when an LongExposureInfraredFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameReader
UnregisterCallback


LongExposureInfraredFrameReader UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a LongExposureInfraredFrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

longExposureInfraredFrameReader.LongExposureInfraredFrameArrived -= longExposureInfraredFrameReaderCallback;
longExposureInfraredFrameReader.PropertyChanged -= propertyChangedCallback;

longExposureInfraredFrameReader->UnregisterCallback(longExposureInfraredFrameReaderCallback);
longExposureInfraredFrameReader->UnregisterCallback(propertyChangedCallback);

longExposureInfraredFrameReader->UnregisterCallback(longExposureInfraredFrameReaderCallback);
longExposureInfraredFrameReader->UnregisterCallback(propertyChangedCallback);

longExposureInfraredFrameReader.UnregisterCallback(longExposureInfraredFrameReaderCallback);
longExposureInfraredFrameReader.UnregisterCallback(propertyChangedCallback);

longExposureInfraredFrameReader.unregisterCallback(longExposureInfraredFrameReaderCallback);
longExposureInfraredFrameReader.unregisterCallback(propertyChangedCallback);

RemoveHandler longExposureInfraredFrameReader.LongExposureInfraredFrameArrived, AddressOf longExposureInfraredFrameReaderCallback
RemoveHandler longExposureInfraredFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

longExposureInfraredFrameReaderCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the LongExposureInfraredFrameArrived interface (Java). Event handler that implements the LongExposureInfraredFrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

LongExposureInfraredFrameArrived events occur when an LongExposureInfraredFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameReader
RegisterCallback


LongExposureInfraredFrameReference Class

Represents a reference to an actual long exposure infrared frame.

Collapse/Expand Remarks section Remarks

LongExposureInfraredFrameReference objects are obtained via the MultiSourceFrame LongExposureInfraredFrameReference property and ChantKMEvent LongExposureInfraredFrameReference property.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireFrame | Acquires the frame held by this reference.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | RelativeTime | Returns the unique relative time at which this frame was produced.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameSource
ChantKMEvent
MultiSourceFrame


LongExposureInfraredFrameReference AcquireFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireFrame Method

Acquires the frame held by this reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

LongExposureInfraredFrame longExposureInfraredFrame = longExposureInfraredFrameReference.AcquireFrame();

CLongExposureInfraredFrame* longExposureInfraredFrame = longExposureInfraredFrameReference->AcquireFrame();

CLongExposureInfraredFrame* longExposureInfraredFrame = longExposureInfraredFrameReference->AcquireFrame();

var longExposureInfraredFrame: LongExposureInfraredFrame;
longExposureInfraredFrame := longExposureInfraredFrameReference.AcquireFrame();

LongExposureInfraredFrame longExposureInfraredFrame = longExposureInfraredFrameReference.acquireFrame();

Dim longExposureInfraredFrame As LongExposureInfraredFrame
longExposureInfraredFrame = longExposureInfraredFrameReference.AcquireFrame()

Return Value

LongExposureInfraredFrame. A valid frame, or null if no new frames are available.

Collapse/Expand Remarks section Remarks

A given reader will only return each frame once. If no new frames are available since the last call to this method, the result will be null.

Collapse/Expand See Also section See Also

LongExposureInfraredFrame
LongExposureInfraredFrameReference


LongExposureInfraredFrameReference RelativeTime Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RelativeTime Property

Returns the unique relative time at which this frame was produced.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

TimeSpan relativeTime = longExposureInfraredFrameReference.RelativeTime;

TIMESPAN relativeTime = longExposureInfraredFrameReference->GetRelativeTime();

TIMESPAN relativeTime = longExposureInfraredFrameReference->GetRelativeTime();

var relativeTime: TimeSpan;
relativeTime := longExposureInfraredFrameReference.RelativeTime;

long relativeTime = longExposureInfraredFrameReference.getRelativeTime();

Dim relativeTime As TimeSpan
relativeTime = longExposureInfraredFrameReference.RelativeTime

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameReference


LongExposureInfraredFrameSource Class

Represents a source of long exposure infrared frames from a Kinect sensor.

Collapse/Expand Remarks section Remarks

LongExposureInfraredFrameSource objects are obtained via the KinectSensor LongExposureInfraredFrameSource, the LongExposureInfraredFrame LongExposureInfraredFrameSource, and the LongExposureInfraredFrameReader LongExposureInfraredFrameSource properties.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameCaptured | Event that fires when a new frame has been captured.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | OpenReader | Acquires the list of the latest available beam frames.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameDescription | Gets the number of bodies.
Public property | IsActive | Gets whether this source has any active (unpaused) readers.
Public property | KinectSensor | Gets the KinectSensor with which the body frame source is associated.

Collapse/Expand See Also section See Also

LongExposureInfraredFrame
LongExposureInfraredFrameReader
KinectSensor


LongExposureInfraredFrameSource FrameDescription Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameDescription Property

Gets the frame description for the default (raw) infrared format.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameDescription frameDescription = longExposureInfraredFrameSource.FrameDescription;

CFrameDescription* frameDescription = longExposureInfraredFrameSource->GetFrameDescription();

CFrameDescription* frameDescription = longExposureInfraredFrameSource->GetFrameDescription();

var frameDescription: TFrameDescription;
frameDescription := longExposureInfraredFrameSource.FrameDescription;

FrameDescription frameDescription = longExposureInfraredFrameSource.getFrameDescription();

Dim frameDescription As FrameDescription
frameDescription = longExposureInfraredFrameSource.FrameDescription

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameSource
FrameDescription


LongExposureInfraredFrameSource IsActive Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsActive Property

Gets whether this source has any active (unpaused) readers.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isActive = longExposureInfraredFrameSource.IsActive;

bool isActive = longExposureInfraredFrameSource->GetIsActive();

bool isActive = longExposureInfraredFrameSource->GetIsActive();

var isActive: Boolean;
isActive := longExposureInfraredFrameSource.IsActive;

boolean isActive = longExposureInfraredFrameSource.getIsActive();

Dim isActive As Boolean
isActive = longExposureInfraredFrameSource.IsActive

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameSource


LongExposureInfraredFrameSource KinectSensor Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

KinectSensor Property

Gets the KinectSensor with which this source is associated

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

KinectSensor kinectSensor = infrared+FrameSource.KinectSensor;

CKinectSensor* kinectSensor = longExposureInfraredFrameSource->GetKinectSensor();

CKinectSensor* kinectSensor = longExposureInfraredFrameSource->GetKinectSensor();

var kinectSensor: TKinectSensor;
kinectSensor := longExposureInfraredFrameSource.KinectSensor;

KinectSensor kinectSensor = longExposureInfraredFrameSource.getKinectSensor();

Dim kinectSensor As KinectSensor
kinectSensor = longExposureInfraredFrameSource.KinectSensor

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameSource
KinectSensor


LongExposureInfraredFrameSource OpenReader Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

OpenReader Method

Creates and returns a new reader object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

LongExposureInfraredFrameReader longExposureInfraredFrameReader = longExposureInfraredFrameSource.OpenReader();

CLongExposureInfraredFrameReader* longExposureInfraredFrameReader = longExposureInfraredFrameSource->OpenReader();

CLongExposureInfraredFrameReader* longExposureInfraredFrameReader = longExposureInfraredFrameSource->OpenReader();

var longExposureInfraredFrameReader: TLongExposureInfraredFrameReader;
longExposureInfraredFrameReader := longExposureInfraredFrameSource.OpenReader();

LongExposureInfraredFrameReader longExposureInfraredFrameReader = longExposureInfraredFrameSource.openReader();

Dim longExposureInfraredFrameReader As LongExposureInfraredFrameReader
longExposureInfraredFrameReader = longExposureInfraredFrameSource.OpenReader()

Return Value

LongExposureInfraredFrameReader. The infrared frame reader.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameReader
LongExposureInfraredFrameSource


LongExposureInfraredFrameSource RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a FrameCaptured or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

longExposureInfraredFrameSource.FrameCaptured += frameCapturedCallback;
longExposureInfraredFrameSource.PropertyChanged += propertyChangedCallback;

longExposureInfraredFrameSource->RegisterCallback(frameCapturedCallback);
longExposureInfraredFrameSource->RegisterCallback(propertyChangedCallback);

longExposureInfraredFrameSource->RegisterCallback(frameCapturedCallback);
longExposureInfraredFrameSource->RegisterCallback(propertyChangedCallback);

longExposureInfraredFrameSource.RegisterCallback(frameCapturedCallback);
longExposureInfraredFrameSource.RegisterCallback(propertyChangedCallback);

longExposureInfraredFrameSource.registerCallback(frameCapturedCallback);
longExposureInfraredFrameSource.registerCallback(propertyChangedCallback);

AddHandler longExposureInfraredFrameSource.FrameCaptured, AddressOf frameCapturedCallback
AddHandler longExposureInfraredFrameSource.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameCapturedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameCaptured interface (Java). Event handler that implements the FrameCaptured interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameCaptured events occur when a LongExposureInfraredFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameSource
UnregisterCallback


LongExposureInfraredFrameSource UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a FrameCaptured or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

longExposureInfraredFrameSource.FrameCaptured -= frameCapturedCallback;
longExposureInfraredFrameSource.PropertyChanged -= propertyChangedCallback;

longExposureInfraredFrameSource->UnregisterCallback(frameCapturedCallback);
longExposureInfraredFrameSource->UnregisterCallback(propertyChangedCallback);

longExposureInfraredFrameSource->UnregisterCallback(frameCapturedCallback);
longExposureInfraredFrameSource->UnregisterCallback(propertyChangedCallback);

longExposureInfraredFrameSource.UnregisterCallback(frameCapturedCallback);
longExposureInfraredFrameSource.UnregisterCallback(propertyChangedCallback);

longExposureInfraredFrameSource.unregisterCallback(frameCapturedCallback);
longExposureInfraredFrameSource.unregisterCallback(propertyChangedCallback);

RemoveHandler longExposureInfraredFrameSource.FrameCaptured, AddressOf frameCapturedCallback
RemoveHandler longExposureInfraredFrameSource.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameCapturedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameCaptured interface (Java). Event handler that implements the FrameCaptured interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameCaptured events occur when a LongExposureInfraredFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

LongExposureInfraredFrameSource
RegisterCallback


MultiSourceFrame Class

Represents a multi source frame from the KinectSensor.

Collapse/Expand Remarks section Remarks

MultiSourceFrame objects are obtained via the MultiSourceFrameReader AcquireLatestFrame method.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | BodyFrameReference | Gets the body frame reference of the multi source frame.
Public property | BodyIndexFrameReference | Gets the body index frame reference of the multi source frame.
Public property | ColorFrameReference | Gets the color frame reference of the multi source frame.
Public property | DepthFrameReference | Gets the depth frame reference of the multi source frame.
Public property | InfraredFrameReference | Gets the infrared frame reference of the multi source frame.
Public property | LongExposureInfraredFrameReference | Gets the long exposure infrared frame reference of the multi source frame.

Collapse/Expand See Also section See Also

BodyFrameReference
BodyIndexFrameReference
ColorFrameReference
DepthFrameReference
LongExposureInfraredFrameReference
MultiSourceFrameReader


MultiSourceFrame BodyFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BodyFrameReference Property

Gets the body frame reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyFrameReference bodyFrameReference = multiSourceFrame.BodyFrameReference;

CBodyFrameReference* bodyFrameReference = multiSourceFrame->GetBodyFrameReference();

CBodyFrameReference* bodyFrameReference = multiSourceFrame->GetBodyFrameReference();

var bodyFrameReference: TBodyFrameReference;
bodyFrameReference := multiSourceFrame.BodyFrameReference;

BodyFrameReference bodyFrameReference = multiSourceFrame.getBodyFrameReference();

Dim bodyFrameReference As BodyFrameReference
bodyFrameReference = multiSourceFrame.BodyFrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

MultiSourceFrame
BodyFrameReference


MultiSourceFrame BodyIndexFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

BodyIndexFrameReference Property

Gets the body frame reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

BodyIndexFrameReference bodyIndexFrameReference = multiSourceFrame.BodyIndexFrameReference;

CBodyIndexFrameReference* bodyIndexFrameReference = multiSourceFrame->GetBodyIndexFrameReference();

CBodyIndexFrameReference* bodyIndexFrameReference = multiSourceFrame->GetBodyIndexFrameReference();

var bodyIndexFrameReference: TBodyIndexFrameReference;
bodyIndexFrameReference := multiSourceFrame.BodyIndexFrameReference;

BodyIndexFrameReference bodyIndexFrameReference = multiSourceFrame.getBodyIndexFrameReference();

Dim bodyIndexFrameReference As BodyIndexFrameReference
bodyIndexFrameReference = multiSourceFrame.BodyIndexFrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

MultiSourceFrame
BodyIndexFrameReference


MultiSourceFrame ColorFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

ColorFrameReference Property

Gets the color frame reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ColorFrameReference colorFrameReference = multiSourceFrame.ColorFrameReference;

CColorFrameReference* colorFrameReference = multiSourceFrame->GetColorFrameReference();

CColorFrameReference* colorFrameReference = multiSourceFrame->GetColorFrameReference();

var colorFrameReference: TColorFrameReference;
colorFrameReference := multiSourceFrame.ColorFrameReference;

ColorFrameReference colorFrameReference = multiSourceFrame.getColorFrameReference();

Dim colorFrameReference As ColorFrameReference
colorFrameReference = multiSourceFrame.ColorFrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

MultiSourceFrame
ColorFrameReference


MultiSourceFrame DepthFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

DepthFrameReference Property

Gets the depth frame reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

DepthFrameReference depthFrameReference = multiSourceFrame.DepthFrameReference;

CDepthFrameReference* depthFrameReference = multiSourceFrame->GetDepthFrameReference();

CDepthFrameReference* depthFrameReference = multiSourceFrame->GetDepthFrameReference();

var depthFrameReference: TDepthFrameReference;
depthFrameReference := multiSourceFrame.DepthFrameReference;

DepthFrameReference depthFrameReference = multiSourceFrame.getDepthFrameReference();

Dim depthFrameReference As DepthFrameReference
depthFrameReference = multiSourceFrame.DepthFrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

MultiSourceFrame
DepthFrameReference


MultiSourceFrame InfraredFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

InfraredFrameReference Property

Gets the infrared frame reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

InfraredFrameReference infraredFrameReference = multiSourceFrame.InfraredFrameReference;

CInfraredFrameReference* infraredFrameReference = multiSourceFrame->GetInfraredFrameReference();

CInfraredFrameReference* infraredFrameReference = multiSourceFrame->GetInfraredFrameReference();

var infraredFrameReference: TInfraredFrameReference;
infraredFrameReference := multiSourceFrame.InfraredFrameReference;

InfraredFrameReference infraredFrameReference = multiSourceFrame.getInfraredFrameReference();

Dim infraredFrameReference As InfraredFrameReference
infraredFrameReference = multiSourceFrame.InfraredFrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

MultiSourceFrame
InfraredFrameReference


MultiSourceFrame LongExposureInfraredFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

LongExposureInfraredFrameReference Property

Gets the long exposure infrared frame reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

LongExposureInfraredFrameReference longExposureInfraredFrameReference = multiSourceFrame.LongExposureInfraredFrameReference;

CLongExposureInfraredFrameReference* longExposureInfraredFrameReference = multiSourceFrame->GetLongExposureInfraredFrameReference();

CLongExposureInfraredFrameReference* longExposureInfraredFrameReference = multiSourceFrame->GetLongExposureInfraredFrameReference();

var longExposureInfraredFrameReference: TLongExposureInfraredFrameReference;
longExposureInfraredFrameReference := multiSourceFrame.LongExposureInfraredFrameReference;

LongExposureInfraredFrameReference longExposureInfraredFrameReference = multiSourceFrame.getLongExposureInfraredFrameReference();

Dim longExposureInfraredFrameReference As LongExposureInfraredFrameReference
longExposureInfraredFrameReference = multiSourceFrame.LongExposureInfraredFrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

MultiSourceFrame
LongExposureInfraredFrameReference


MultiSourceFrameArrived Event

Event that is raised when a multi source frame arrives.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

private void MultiSourceFrameArrivedCallback(object sender, Chant.KinesicsKit.MultiSourceFrameArrivedEventArgs e)
{

// Event handler code goes here

}

void CALLBACK MultiSourceFrameArrivedCallback(CMultiSourceFrameReference* multiSourceFrameReference)
{

// Event handler code goes here

}

void CALLBACK MultiSourceFrameArrivedCallback(CMultiSourceFrameReference* multiSourceFrameReference)
{

// Event handler code goes here

}

procedure MultiSourceFrameArrivedCallback(multiSourceFrameReference: TMultiSourceFrameReference); begin

// Event handler code goes here

end;

public void frameArrived(MultiSourceFrameReference multiSourceFrameReference)
{

// Event handler code goes here

}

Private Sub MultiSourceFrameArrivedCallback(ByVal sender As System.Object, ByVal e As Chant.KinesicsKit.FrameArrivedEventArgs) Handles MyMultiSourceFrameReader.MultiSourceFrameArrived

' Event handler code goes here

End Sub

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


MultiSourceFrameArrivedEventArgs Class

Arguments for a multi source frame reader's FrameArrived event.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameReference | Gets the reference to the multi source frame for the FrameArrived event.

Collapse/Expand See Also section See Also

RegisterCallback
UnregisterCallback


MultiSourceFrameArrivedEventArgs MultiSourceFrameReference Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameReference Property

Gets the reference to the multi source frame for the FrameArrived event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

MultiSourceFrameReference multiSourceFrameReference = multiSourceFrameArrivedEventArgs.FrameReference;

CMultiSourceFrameReference* multiSourceFrameReference = multiSourceFrameArrivedEventArgs->GetFrameReference();

CMultiSourceFrameReference* multiSourceFrameReference = multiSourceFrameArrivedEventArgs->GetFrameReference();

var multiSourceFrameReference: TMultiSourceFrameReference;
multiSourceFrameReference := multiSourceFrameArrivedEventArgs.FrameReference;

MultiSourceFrameReference multiSourceFrameReference = multiSourceFrameArrivedEventArgs.getFrameReference();

Dim multiSourceFrameReference As MultiSourceFrameReference
multiSourceFrameReference = multiSourceFrameArrivedEventArgs.FrameReference

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

MultiSourceFrameArrivedEventArgs
MultiSourceFrameReference


MultiSourceFrameReader Class

Represents a reader for multi source frames.

Collapse/Expand Remarks section Remarks

MultiSourceFrameReader objects are obtained via the KinectSensor OpenMultiSourceFrameReader method.

Collapse/Expand Events section Events

 | Name | Description
Public event | FrameArrived | Event that fires when a new frame is ready.
Public event | PropertyChanged | Event that is raised when a property changes.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireLatestFrame | Acquires the latest available frame.
Public method | RegisterCallback | Register for a callback event.
Public method | UnregisterCallback | Unregister for a callback event.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | FrameSourceTypes | Gets the frame source types of the reader.
Public property | IsPaused | Gets or sets the reader pause state.
Public property | KinectSensor | Gets the Kinect sensor associated with the reader.

Collapse/Expand See Also section See Also

KinectSensor
MultiSourceFrame


MultiSourceFrameReader AcquireLatestFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireLatestFrame Method

Acquires the latest available frame.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

MultiSourceFrame multiSourceFrame = multiSourceFrameReader.AcquireLatestFrame();

CMultiSourceFrame* multiSourceFrame = multiSourceFrameReader->AcquireLatestFrame();

CMultiSourceFrame* multiSourceFrame = multiSourceFrameReader->AcquireLatestFrame();

var multiSourceFrame: MultiSourceFrame;
multiSourceFrame := multiSourceFrameReader.AcquireLatestFrame();

MultiSourceFrame multiSourceFrame = multiSourceFrameReader.acquireLatestFrame();

Dim multiSourceFrame As MultiSourceFrame
multiSourceFrame = multiSourceFrameReader.AcquireLatestFrame()

Return Value

MultiSourceFrame. A valid frame, or null if no new frames are available.

Collapse/Expand Remarks section Remarks

A given reader will only return each frame once. If no new frames are available since the last call to this method, the result will be null.

Collapse/Expand See Also section See Also

MultiSourceFrame MultiSourceFrameReader


MultiSourceFrameReader FrameSourceTypes Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

FrameSourceTypes Property

Gets the frame source types of the reader.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

FrameSourceTypes eFrameSourceTypes = multiSourceFrameReader.FrameSourceTypes;

FrameSourceTypes eFrameSourceTypes = multiSourceFrameReader->GetFrameSourceTypes();

FrameSourceTypes eFrameSourceTypes = multiSourceFrameReader->GetFrameSourceTypes();

var eFrameSourceTypes: FrameSourceTypes;
eFrameSourceTypes := multiSourceFrameReader.FrameSourceTypes;

int eFrameSourceTypes = multiSourceFrameReader.getFrameSourceTypes();

Dim eFrameSourceTypes As FrameSourceTypes
eFrameSourceTypes = multiSourceFrameReader.FrameSourceTypes

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

MultiSourceFrameReader
FrameSourceTypes


MultiSourceFrameReader IsPaused Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

IsPaused Property

Gets or sets the reader pause state.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool isPaused = multiSourceFrameReader.IsPaused;
multiSourceFrameReader.IsPaused = value;

bool isPaused = multiSourceFrameReader->GetIsPaused();
multiSourceFrameReader->SetIsPaused(value);

bool isPaused = multiSourceFrameReader->GetIsPaused();
multiSourceFrameReader->SetIsPaused(value);

var isPaused: Boolean;
isPaused := multiSourceFrameReader.IsPaused;
multiSourceFrameReader.IsPaused := value;

boolean isPaused = multiSourceFrameReader.getIsPaused();
multiSourceFrameReader.setIsPaused(value);

Dim isPaused As Boolean
isPaused = multiSourceFrameReader.IsPaused
multiSourceFrameReader.IsPaused = value

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

MultiSourceFrameReader


MultiSourceFrameReader KinectSensor Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

KinectSensor Property

Gets the KinectSensor with which this reader is associated

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

KinectSensor kinectSensor = infrared+FrameSource.KinectSensor;

CKinectSensor* kinectSensor = multiSourceFrameReader->GetKinectSensor();

CKinectSensor* kinectSensor = multiSourceFrameReader->GetKinectSensor();

var kinectSensor: TKinectSensor;
kinectSensor := multiSourceFrameReader.KinectSensor;

KinectSensor kinectSensor = multiSourceFrameReader.getKinectSensor();

Dim kinectSensor As KinectSensor
kinectSensor = multiSourceFrameReader.KinectSensor

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

MultiSourceFrameReader
KinectSensor


MultiSourceFrameReader RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a MultiSourceFrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

multiSourceFrameReader.MultiSourceFrameArrived += multiSourceFrameArrivedCallback;
multiSourceFrameReader.PropertyChanged += propertyChangedCallback;

multiSourceFrameReader->RegisterCallback(multiSourceFrameArrivedCallback);
multiSourceFrameReader->RegisterCallback(propertyChangedCallback);

multiSourceFrameReader->RegisterCallback(multiSourceFrameArrivedCallback);
multiSourceFrameReader->RegisterCallback(propertyChangedCallback);

multiSourceFrameReader.RegisterCallback(multiSourceFrameArrivedCallback);
multiSourceFrameReader.RegisterCallback(propertyChangedCallback);

multiSourceFrameReader.registerCallback(multiSourceFrameArrivedCallback);
multiSourceFrameReader.registerCallback(propertyChangedCallback);

AddHandler multiSourceFrameReader.MultiSourceFrameArrived, AddressOf multiSourceFrameArrivedCallback
AddHandler multiSourceFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

multiSourceFrameArrivedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the MultiSourceFrameArrived interface (Java). Event handler that implements the MultiSourceFrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

MultiSourceFrameArrived events occur when an MultiSourceFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

MultiSourceFrameReader
UnregisterCallback


MultiSourceFrameReader UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a MultiSourceFrameArrived or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

multiSourceFrameReader.MultiSourceFrameArrived -= multiSourceFrameReaderCallback;
multiSourceFrameReader.PropertyChanged -= propertyChangedCallback;

multiSourceFrameReader->UnregisterCallback(multiSourceFrameReaderCallback);
multiSourceFrameReader->UnregisterCallback(propertyChangedCallback);

multiSourceFrameReader->UnregisterCallback(multiSourceFrameReaderCallback);
multiSourceFrameReader->UnregisterCallback(propertyChangedCallback);

multiSourceFrameReader.UnregisterCallback(multiSourceFrameReaderCallback);
multiSourceFrameReader.UnregisterCallback(propertyChangedCallback);

multiSourceFrameReader.unregisterCallback(multiSourceFrameReaderCallback);
multiSourceFrameReader.unregisterCallback(propertyChangedCallback);

RemoveHandler multiSourceFrameReader.MultiSourceFrameArrived, AddressOf multiSourceFrameReaderCallback
RemoveHandler multiSourceFrameReader.PropertyChanged, AddressOf propertyChangedCallback

Parameters

multiSourceFrameReaderCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the MultiSourceFrameArrived interface (Java). Event handler that implements the MultiSourceFrameArrived interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

MultiSourceFrameArrived events occur when an MultiSourceFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

MultiSourceFrameReader
RegisterCallback


MultiSourceFrameReference Class

Represents a reader for multi source frames.

Collapse/Expand Remarks section Remarks

MultiSourceFrameReference objects are obtained via the ChantKMEvent MultiSourceFrameReference property.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireFrame | Acquires the frame held by this reference.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantKMEvent
MultiSourceFrame


MultiSourceFrameReference AcquireFrame Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

AcquireFrame Method

Acquires the frame held by this reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

MultiSourceFrame multiSourceFrame = multiSourceFrameReference.AcquireFrame();

CMultiSourceFrame* multiSourceFrame = multiSourceFrameReference->AcquireFrame();

CMultiSourceFrame* multiSourceFrame = multiSourceFrameReference->AcquireFrame();

var multiSourceFrame: MultiSourceFrame;
multiSourceFrame := multiSourceFrameReference.AcquireFrame();

MultiSourceFrame multiSourceFrame = multiSourceFrameReference.acquireFrame();

Dim multiSourceFrame As MultiSourceFrame
multiSourceFrame = multiSourceFrameReference.AcquireFrame()

Return Value

MultiSourceFrame. A valid frame, or null if no new frames are available.

Collapse/Expand Remarks section Remarks

A given reader will only return each frame once. If no new frames are available since the last call to this method, the result will be null.

Collapse/Expand See Also section See Also

MultiSourceFrame
MultiSourceFrameReference


PropertyChanged Event

Event that is raised when a property changes.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

private void PropertyChangedCallback(object sender, Chant.KinesicsKit.PropertyChangedEventArgs e)
{

// Event handler code goes here

}

void CALLBACK PropertyChangedCallback(wchar_t* propertyName)
{

// Event handler code goes here

}

void CALLBACK PropertyChangedCallback(wchar_t* propertyName)
{

// Event handler code goes here

}

procedure PropertyChangedCallback(propertyName: string); begin

// Event handler code goes here

end;

public void propertyChanged(String propertyName)
{

// Event handler code goes here

}

Private Sub PropertyChangedCallback(ByVal sender As System.Object, ByVal e As Chant.KinesicsKit.PropertyChangedEventArgs) Handles MyKinectResourceObject.PropertyChanged

' Event handler code goes here

End Sub

Collapse/Expand See Also section See Also

AudioBeam RegisterCallback
AudioBeam UnregisterCallback
AudioBeamFrameReader RegisterCallback
AudioBeamFrameReader UnregisterCallback
AudioSource RegisterCallback
AudioSource UnregisterCallback
BodyFrameReader RegisterCallback
BodyFrameReader UnregisterCallback
BodyFrameSource RegisterCallback
BodyFrameSource UnregisterCallback
BodyIndexFrameReader RegisterCallback
BodyIndexFrameReader UnregisterCallback
BodyIndexFrameSource RegisterCallback
BodyIndexFrameSource UnregisterCallback
ColorFrameReader RegisterCallback
ColorFrameReader UnregisterCallback
ColorFrameSource RegisterCallback
ColorFrameSource UnregisterCallback
DepthFrameReader RegisterCallback
DepthFrameReader UnregisterCallback
DepthFrameSource RegisterCallback
DepthFrameSource UnregisterCallback
InfraredFrameReader RegisterCallback
InfraredFrameReader UnregisterCallback
InfraredFrameSource RegisterCallback
InfraredFrameSource UnregisterCallback
KinectSensor RegisterCallback
KinectSensor UnregisterCallback
LongExposureInfraredFrameReader RegisterCallback
LongExposureInfraredFrameReader UnregisterCallback
LongExposureInfraredFrameSource RegisterCallback
LongExposureInfraredFrameSource UnregisterCallback
MultiSourceFrameReader RegisterCallback
MultiSourceFrameReader UnregisterCallback


PropertyChangedEventArgs Class

Arguments for the property changed event.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | PropertyName | Gets the property name.

Collapse/Expand See Also section See Also

PropertyChanged


PropertyChangedEventArgs PropertyName Property

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

PropertyName Property

Gets the property name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String propertyName = propertyChangedEventArgs.PropertyName;

wchar_t* propertyName = propertyChangedEventArgs->GetPropertyName();

String propertyName = propertyChangedEventArgs->GetPropertyName();

var propertyName: string;
propertyName := propertyChangedEventArgs.PropertyName;

String propertyName = propertyChangedEventArgs.getPropertyName();

Dim propertyName As String
propertyName = propertyChangedEventArgs.PropertyName

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

PropertyChangedEventArgs


LexiconKit Classes

All LexiconKit class libraries and class names begin with a unique letter as follows:

  • C++ - C (e.g., CLexiconKit, CChantLM)
  • Delphi - T (e.g., TChantLM)
  • Java - J (e.g., JLexiconKit, JChantLM)
  • .NET - N (e.g., NLexiconKit, NChantLM)

The following classes are included in the LexiconKit class libraries:

Class | Description
BabLexicon | Represents an Acapela BabTTS lexicon of word pronunciations.
CepstralLexicon | Represents a Cepstral lexicon of word pronunciations.
ChantLexicon | Represents a lexicon of word pronunciations.
ChantLexiconCollection | Represents a collection of ChantLexicon objects.
ChantLexiconShortcut | Represents a speech recognition shortcut.
ChantLexiconShortcutCollection | Represents a collection of ChantLexiconShortcut objects.
ChantLexiconWord | Represents a lexicon word.
ChantLexiconWordCollection | Represents a collection of ChantLexiconWord objects.
ChantLexiconWordPronunciation | Represents a lexicon word pronunciation.
ChantLexiconWordPronunciationCollection | Represents a collection of ChantLexiconWordPronunciation objects.
ChantLM | Represents a lexicon management object for creating and editing lexicon word pronunciations.
ChantLMEvent | Represents a lexicon management event.
LHLexicon | Represents a L&H lexicon of word pronunciations.
SAPI4Lexicon | Represents a SAPI 4 lexicon of word pronunciations.
SAPI5AppLexicon | Represents a SAPI 5 application lexicon of word pronunciations.
SAPI5UserLexicon | Represents a SAPI 5 user lexicon of word pronunciations and shortcuts.


BabLexicon Class

Represents an Acapela BabTTS lexicon of word pronunciations.

Collapse/Expand Remarks section Remarks

BabLexicon objects are obtained via the ChantLM CreateBabLexicon method.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public property | Acapela BabTTS | AddPronunciation | Adds a pronunciation to a lexicon. Inherits from ChantLexicon.
Public property | Acapela BabTTS | AddWord | Adds a word to a lexicon. Inherits from ChantLexicon.
Public property | Acapela BabTTS | DeletePronunciation | Deletes a pronunciation from a lexicon. Inherits from ChantLexicon.
Public property | Acapela BabTTS | DeleteWord | Deletes a word from a lexicon. Inherits from ChantLexicon.
Public property | Acapela BabTTS | Export | Saves the lexicon to an archive file. Inherits from ChantLexicon.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Acapela BabTTS | ChantLexiconWords | A collection of ChantLexiconWord objects. Inherits from ChantLexicon.
Public property | Acapela BabTTS | Engine | The speech engine name. Inherits from ChantLexicon.
Public property | Acapela BabTTS | FileName | The archive file from which the lexicon was loaded. Inherits from ChantLexicon.
Public property | Acapela BabTTS | Language | The lexicon language. Inherits from ChantLexicon.
Public property | Acapela BabTTS | Name | The lexicon name. Inherits from ChantLexicon.

Collapse/Expand See Also section See Also

ChantLexiconWord


CepstralLexicon Class

Represents a Cepstral lexicon of word pronunciations.

Collapse/Expand Remarks section Remarks

CepstralLexicon objects are obtained via the ChantLM CreateCepstralLexicon method.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public property | Cepstral SWIFT | AddPronunciation | Adds a pronunciation to a lexicon. Inherits from ChantLexicon.
Public property | Cepstral SWIFT | AddWord | Adds a word to a lexicon. Inherits from ChantLexicon.
Public property | Cepstral SWIFT | DeletePronunciation | Deletes a pronunciation from a lexicon. Inherits from ChantLexicon.
Public property | Cepstral SWIFT | DeleteWord | Deletes a word from a lexicon. Inherits from ChantLexicon.
Public property | Cepstral SWIFT | Export | Saves the lexicon to an archive file. Inherits from ChantLexicon.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Cepstral SWIFT | ChantLexiconWords | A collection of ChantLexiconWord objects. Inherits from ChantLexicon.
Public property | Cepstral SWIFT | Engine | The speech engine name. Inherits from ChantLexicon.
Public property | Cepstral SWIFT | FileName | The archive file from which the lexicon was loaded. Inherits from ChantLexicon.
Public property | Cepstral SWIFT | Language | The lexicon language. Inherits from ChantLexicon.
Public property | Cepstral SWIFT | Name | The lexicon name. Inherits from ChantLexicon.

Collapse/Expand See Also section See Also

ChantLexiconWord


ChantLexicon Class

Represents a lexicon of word pronunciations.

Collapse/Expand Remarks section Remarks

ChantLexicon objects are obtained via the ChantLM create lexicon methods.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | AddPronunciation | Adds a pronunciation to a lexicon.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | AddWord | Adds a word to a lexicon.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | Delete | Deletes a lexicon.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | DeletePronunciation | Deletes a pronunciation from a lexicon.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | DeleteWord | Deletes a word from a lexicon.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | Export | Saves the lexicon to an archive file.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | Import | Updates a local lexicon with word pronunciations from a lexicon archive.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | ChantLexiconWords | A collection of ChantLexiconWord objects.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | Engine | The speech engine name.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | FileName | The archive file from which the lexicon was loaded.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | Language | The lexicon language.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | Name | The lexicon name.

Collapse/Expand See Also section See Also

CreateBabLexicon
CreateCepstralLexicon
CreateChantLexicon
CreateLHLexicon
CreateSAPI4Lexicon
CreateSAPI5AppLexicon
CreateSAPI5UserLexicon
ChantLexiconWord


ChantLexicon AddPronunciation Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

AddPronunciation Method

Adds a pronunciation to a lexicon.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLexicon.AddPronunciation(word, pronunciation, eChantPartOfSpeech, pronunciationType);

chantLexicon->AddPronunciation(word, pronunciation, eChantPartOfSpeech, pronunciationType);

chantLexicon->AddPronunciation(word, pronunciation, eChantPartOfSpeech, pronunciationType);

chantLexicon.AddPronunciation(word, pronunciation, eChantPartOfSpeech, pronunciationType);

chantLexicon.addPronunciation(word, pronunciation, eChantPartOfSpeech, pronunciationType);

chantLexicon.AddPronunciation(word, pronunciation, eChantPartOfSpeech, pronunciationType)

Parameters

word

String. The lexicon word.

pronunciation

String. The lexicon word pronunciation.

eChantPartOfSpeech

ChantPartOfSpeech. The lexicon word pronunciation part of speech.

pronunciationType

Long integer. The lexicon pronuncation type. Use 1 for phonetic and 4 for text.

Collapse/Expand Remarks section Remarks

The ChantPartOfSpeech may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAbbreviation | 1 | Shortened form of a word -(e.g, hr.)
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAdjective | 2 | Word that modifies a noun (e.g., green).
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAdverb | 3 | Word that modifies a verb, an adjective, or another adverb (e.g., quickly).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSCardinal | 4 | Number used in simple counting (e.g., one, two, three).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSConjunction | 5 | Word used to join sentences, clauses, or phrases (e.g., and).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSContraction | 6 | Shortened form of one or two words with the omitted letter or letters indicated by an apostrophe (e.g., can't).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSDeterminer | 7 | Limiting noun modifier that precedes an adjective modifying the same noun (e.g., her)
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSFunction | 8 | Indicates that the part of speech is a function.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSIgnore | 9 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSInterjection | 10 | Word or phrase that expresses emotion (e.g., indeed, heavens).
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSModifier | 11 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSNoun | 12 | Word that names a person, place, thing (e.g., astronaut, New York, printer, history).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSOrdinal | 13 | Number used to show order (e.g., first, second, third).
Nuance VoCon 3200 | CPOSPastParticiple | 14 | Verb form that can be used in compound tenses or voices, or as a modifier (e.g., talked).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPreposition | 15 | Word that precedes a noun or pronoun to form an adjectival or adverbial phrase (e.g., "aboard" in "aboard the ship").
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPronoun | 16 | Word that substitutes for a noun (e.g, it).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSProperNoun | 17 | Noun that names a specific person or place (e.g., Katherine, Cleveland).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPunctuation | 18 | Marks that clarify the meaning and structure of writing (e.g., .).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSQuantifier | 19 | Limiting noun modifier that expresses quantity and precedes an adjective modifying the same noun (e.g., "four" in "the four ripe strawberries").
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSUnknown | 20 | Part of speech is unknown.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSVerb | 21 | Word that expresses an act or a state of being (e.g., eat, be).

Collapse/Expand Example section Example

The following example illustrates adding a pronunciation to a local speech engine lexicon.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Add pronunciation to speech engine lexicon
nChantLexicon.AddPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Add pronunciation to speech engine lexicon
pChantLexicon->AddPronunciation(L"tomato", L"t ax m aa t ow", CPOSNoun, 1);

// Add pronunciation to speech engine lexicon
pChantLexicon->AddPronunciation("tomato", "t ax m aa t ow", CPOSNoun, 1);

// Add pronunciation to speech engine lexicon
aTChantLexicon.AddPronunciation('tomato', 't ax m aa t ow', CPOSNoun, 1);

// Add pronunciation to speech engine lexicon
jChantLexicon.addPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1);

' Add pronunciation to speech engine lexicon
nChantLexicon.AddPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1)

Collapse/Expand See Also section See Also

DeletePronunciation


ChantLexicon AddWord Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

AddWord Method

Adds a word to a lexicon.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLexicon.AddWord(word);

chantLexicon->AddWord(word);

chantLexicon->AddWord(word);

chantLexicon.AddWord(word);

chantLexicon.addWord(word);

Dim intVal as Integer
chantLexicon.AddWord(word)

Parameters

word

String. The lexicon word.

Collapse/Expand See Also section See Also

DeleteWord


ChantLexicon ChantLexiconWords Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

ChantLexiconWords Property

A ChantLexiconWordCollection object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantLexiconWordCollection chantLexiconWordCollection = chantLexicon.ChantLexiconWords

CChantLexiconWordCollection* chantLexiconWordCollection = chantLexicon->GetChantLexiconWords()

CChantLexiconWordCollection* chantLexiconWordCollection = chantLexicon->GetChantLexiconWords()

var chantLexiconWordCollection: TChantLexiconWordCollection;
chantLexiconWordCollection := chantLexicon.ChantLexiconWords;

JChantLexiconWordCollection chantLexiconWordCollection = chantLexicon.getChantLexiconWords

Dim chantLexiconWordCollection As NChantLexiconWordCollection
chantLexiconWordCollection = chantLexicon.ChantLexiconWords

Collapse/Expand Example section Example

See the ChantLexiconWordCollection example.

Collapse/Expand See Also section See Also

ChantLexiconWord


ChantLexicon Delete Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Delete Method

Deletes a lexicon.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLexicon.Delete();

chantLexicon->Delete();

chantLexicon->Delete();

chantLexicon.Delete();

chantLexicon.delete();

chantLexicon.Delete()

Collapse/Expand See Also section See Also

ChantLexicon


ChantLexicon DeletePronunciation Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

DeletePronunciation Method

Deletes a pronunciation from a lexicon.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLexicon.DeletePronunciation(word, pronunciation, eChantPartOfSpeech);

chantLexicon->DeletePronunciation(word, pronunciation, eChantPartOfSpeech);

chantLexicon->DeletePronunciation(word, pronunciation, eChantPartOfSpeech);

chantLexicon.DeletePronunciation(word, pronunciation, eChantPartOfSpeech);

chantLexicon.deletePronunciation(word, pronunciation, eChantPartOfSpeech);

chantLexicon.DeletePronunciation(word, pronunciation, eChantPartOfSpeech)

Parameters

word

String. The lexicon word.

pronunciation

String. The lexicon word pronunciation.

eChantPartOfSpeech

ChantPartOfSpeech. The lexicon word pronunciation part of speech.

Collapse/Expand Remarks section Remarks

The ChantPartOfSpeech may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAbbreviation | 1 | Shortened form of a word -(e.g, hr.)
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAdjective | 2 | Word that modifies a noun (e.g., green).
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAdverb | 3 | Word that modifies a verb, an adjective, or another adverb (e.g., quickly).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSCardinal | 4 | Number used in simple counting (e.g., one, two, three).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSConjunction | 5 | Word used to join sentences, clauses, or phrases (e.g., and).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSContraction | 6 | Shortened form of one or two words with the omitted letter or letters indicated by an apostrophe (e.g., can't).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSDeterminer | 7 | Limiting noun modifier that precedes an adjective modifying the same noun (e.g., her)
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSFunction | 8 | Indicates that the part of speech is a function.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSIgnore | 9 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSInterjection | 10 | Word or phrase that expresses emotion (e.g., indeed, heavens).
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSModifier | 11 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSNoun | 12 | Word that names a person, place, thing (e.g., astronaut, New York, printer, history).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSOrdinal | 13 | Number used to show order (e.g., first, second, third).
Nuance VoCon 3200 | CPOSPastParticiple | 14 | Verb form that can be used in compound tenses or voices, or as a modifier (e.g., talked).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPreposition | 15 | Word that precedes a noun or pronoun to form an adjectival or adverbial phrase (e.g., "aboard" in "aboard the ship").
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPronoun | 16 | Word that substitutes for a noun (e.g, it).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSProperNoun | 17 | Noun that names a specific person or place (e.g., Katherine, Cleveland).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPunctuation | 18 | Marks that clarify the meaning and structure of writing (e.g., .).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSQuantifier | 19 | Limiting noun modifier that expresses quantity and precedes an adjective modifying the same noun (e.g., "four" in "the four ripe strawberries").
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSUnknown | 20 | Part of speech is unknown.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSVerb | 21 | Word that expresses an act or a state of being (e.g., eat, be).

Collapse/Expand Example section Example

The following example illustrates deleting a pronunciation.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Delete pronunciation directly from speech engine lexicon
nChantLexicon.DeletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun);

// Delete pronunciation directly from speech engine lexicon
pChantLexicon->DeletePronunciation(L"tomato", L"t ax m aa t ow", CPOSNoun);

// Delete pronunciation directly from speech engine lexicon
pChantLexicon->DeletePronunciation("tomato", "t ax m aa t ow", CPOSNoun);

// Delete pronunciation directly from speech engine lexicon
aTChantLexicon.DeletePronunciation('tomato', 't ax m aa t ow', CPOSNoun);

// Delete pronunciation directly from speech engine lexicon
jChantLexicon.deletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun);

' Delete pronunciation directly from speech engine lexicon
nChantLexicon.DeletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun)

Collapse/Expand See Also section See Also

AddPronunciation


ChantLexicon DeleteWord Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

DeleteWord Method

Deletes a pronunciation from a lexicon.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLexicon.DeleteWord(word);

chantLexicon->DeleteWord(word);

chantLexicon->DeleteWord(word);

chantLexicon.DeleteWord(word);

chantLexicon.deleteWord(word);

chantLexicon.DeleteWord(word)

Parameters

word

String. The lexicon word.

Collapse/Expand See Also section See Also

AddWord


ChantLexicon Engine Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Engine Property

The speech engine name (i.e., the recognizer Engine or synthesizer Engine property).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String engine = chantLexicon.Engine;

wchar_t* engine = chantLexicon->GetEngine();

String engine = chantLexicon->GetEngine();

var engine: string;
engine := chantLexicon.Engine;

String engine = chantLexicon.getEngine();

Dim engine As String
engine = chantLexicon.Engine

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexicon


ChantLexicon Export Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Export Method

Saves a speech object to a file.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLexicon.Export(fileName);

chantLexicon->Export(fileName);

chantLexicon->Export(fileName);

chantLexicon.Export(fileName);

chantLexicon.export(fileName);

chantLexicon.Export(fileName)

Parameters

fileName

String. File name of where to save the lexicon. If the file exists, it is replaced. File name may include path qualifiers. Specifying .exe extension in the file name implies a self extracting archive. Any other extension (e.g., .dat) implies binary only.

Collapse/Expand See Also section See Also

ChantLexicon
Import


ChantLexicon FileName Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

FileName Property

The archive file from which the lexicon was loaded.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String fileName = chantLexicon.FileName;

wchar_t* fileName = chantLexicon->GetFileName();

String fileName = chantLexicon->GetFileName();

var fileName: string;
fileName := chantLexicon.FileName;

String fileName = chantLexicon.getFileName();

Dim fileName As String
fileName = chantLexicon.FileName

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexicon


ChantLexicon Import Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Import Method

Updates a local lexicon with word pronunciations from a lexicon archive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLexicon.Import(name);

chantLexicon->Import(name);

chantLexicon->Import(name);

chantLexicon.Import(name);

chantLexicon.import(name);

chantLexicon.Import(name)

Parameters

name

String. Optional local lexicon name that may be the same or different from the name in the lexicon archive.

Collapse/Expand Example section Example

The following example illustrates opening and editing a lexicon archive.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Open an archived Cepstral Lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.OpenLexicon("CallieWords.exe");

// Import lexicon
NChantLM1.Import();

// Open an archived SAPI 4 Lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.OpenLexicon("MaryWords.exe");

// Import lexicon
NChantLM1.Import();

// Open an archived SAPI 5 User Lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("CurrentUserLexicon.exe");

// Import lexicon
NChantLM1.Import();

// Open an archived SAPI 5 App Lexicon
NSAPI5AppLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("DavidWords.exe");

// Import lexicon
NChantLM1.Import();

// Open an archived Cepstral Lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->OpenLexicon(L"CallieWords.exe");

// Import lexicon
pChantLM->Import();

// Open an archived SAPI 4 Lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->OpenLexicon(L"MaryWords.exe");

// Import lexicon
pChantLM->Import();

// Open an archived SAPI 5 User Lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon(L"CurrentUserLexicon.exe");

// Import lexicon
pChantLM->Import();

// Open an archived SAPI 5 App Lexicon
CSAPI5AppLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon(L"DavidWords.exe");

// Import lexicon
pChantLM->Import();

// Open an archived Cepstral Lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->OpenLexicon("CallieWords.exe");

// Import lexicon
pChantLM->Import();

// Open an archived SAPI 4 Lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->OpenLexicon("MaryWords.exe");

// Import lexicon
pChantLM->Import();

// Open an archived SAPI 5 User Lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon("CurrentUserLexicon.exe");

// Import lexicon
pChantLM->Import();

// Open an archived SAPI 5 App Lexicon
CSAPI5AppLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon("DavidWords.exe");

// Import lexicon
pChantLM->Import();

var aTCepstralLexicon: TCepstralLexicon;
begin
// Open an archived Cepstral Lexicon
aTCepstralLexicon := ChantLM1.OpenLexicon('CallieWords.exe');

// Import lexicon
ChantLM1.Import();
end;

var aTSAPI4Lexicon: TSAPI4Lexicon;
begin
// Open an archived SAPI 4 Lexicon
aTSAPI4Lexicon := ChantLM1.OpenLexicon("MaryWords.exe");

// Import lexicon
ChantLM1.Import();
end;

var aTSAPI5UserLexicon: TSAPI5UserLexicon;
begin
// Open an archived SAPI 5 User Lexicon
aTSAPI5UserLexicon := ChantLM1.OpenLexicon('CurrentUserLexicon.exe');

// Import lexicon
ChantLM1.Import();
end;

var aTSAPI5AppLexicon: TSAPI5AppLexicon;
begin
// Open an archived SAPI 5 App Lexicon
aTSAPI5AppLexicon := ChantLM1.OpenLexicon('DavidWords.exe');

// Import lexicon
 ChantLM1.Import();
end;

// Open an archived Cepstral Lexicon
JCepstralLexicon jCepstralLexicon = JChantLM1.openLexicon("CallieWords.exe");

// Import lexicon
JChantLM1.import();

// Open an archived SAPI 4 Lexicon
JSAPI4Lexicon jSAPI4Lexicon = JChantLM1.openLexicon("MaryWords.exe");

// Import lexicon
JChantLM1.import();

// Open an archived SAPI 5 User Lexicon
JSAPI5UserLexicon jSAPI5UserLexicon = JChantLM1.openLexicon("CurrentUserLexicon.exe");

// Import lexicon
JChantLM1.import();

// Open an archived SAPI 5 App Lexicon
JSAPI5AppLexicon jSAPI5UserLexicon = JChantLM1.openLexicon("DavidWords.exe");

// Import lexicon
JChantLM1.import();

Dim nCepstralLexicon as NCepstralLexicon
' Open an archived Cepstral Lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.OpenLexicon("CallieWords.exe")

' Import lexicon
NChantLM1.Import()

Dim nSAPI4Lexicon as NSAPI4Lexicon
' Open an archived SAPI 4 Lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.OpenLexicon("MaryWords.exe")

' Import lexicon
NChantLM1.Import()

Dim nSAPI5UserLexicon as NSAPI5UserLexicon
' Open an archived SAPI 5 User Lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("CurrentUserLexicon.exe")

' Import lexicon
NChantLM1.Import()

Dim nSAPI5UserLexicon as NSAPI5AppLexicon
' Open an archived SAPI 5 App Lexicon
NSAPI5AppLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("DavidWords.exe")

' Import lexicon
NChantLM1.Import()

Collapse/Expand See Also section See Also

ChantLexicon
Import


ChantLexicon Language Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Language Property

The lexicon language property.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String language = chantLexicon.Language;

wchar_t* language = chantLexicon->GetLanguage();

String language = chantLexicon->GetLanguage();

var language: string;
language := chantLexicon.Language;

String language = chantLexicon.getLanguage();

Dim language As String
language = chantLexicon.Language

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexicon


ChantLexicon Name Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Name Property

Returns the lexicon name. For SAPI 4, this is the recognizer (i.e., Engine property) or synthesizer (i.e., Engine property) name. For SAPI 5, this is Current User Lexicon for the user lexicon or assigned name for application lexicons. For Cepstral, this is the file name of the lexicon (e.g., lexicon.txt).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantLexicon.Name;

wchar_t* name = chantLexicon->GetName();

String name = chantLexicon->GetName();

var name: string;
name := chantLexicon.Name;

String name = chantLexicon.getName();

Dim name As String
name = chantLexicon.Name

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexicon


ChantLexiconCollection Class

Represents a collection of ChantLexicon objects.

Collapse/Expand Remarks section Remarks

A ChantLexiconCollection is used to enumerate the available lexicons.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantLexicon | The ChantLexicon object collection.
Public property | Count | The number of ChantLexicons.

Collapse/Expand Example section Example

The following example illustrates enumerating lexicons and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantLexicon chantLexicon in NChantLM1.ChantLexicons)
{
    // Access lexicon properties
    string name = chantLexicon.Name;
}

int numberOfLexicons = pChantLM->GetChantLexicons()->GetCount();
for (i = 0; i < numberOfLexicons; i++)
{
    ChantLexicon* pChantLexicon = pChantLM->GetChantLexicons()->GetChantLexicon(i);
    // Access lexicon properties
    wchar_t* name = pChantLexicon->GetName();
}

int numberOfLexicons = pChantLM->GetChantLexicons()->GetCount();
for (i = 0; i < numberOfLexicons; i++)
{
    CChantLexicon* pChantLexicon = pChantLM->GetChantLexicons()->GetChantLexicon(i);
    // Access lexicon properties
    String name = pChantLexicon->GetName();
}

var
chantLexicon: TChantLexicon;
name: string;
begin
for chantLexicon in ChantLM1.ChantLexicons do
    begin
        // Access lexicon properties
        name := chantLexicon.Name;
    end;
end;

for (JChantLexicon chantLexicon : JChantLM1.getChantLexicons())
{
    // Access lexicon properties
    String name = chantLexicon.getName();
}

Dim chantLexicon As NChantLexicon
Dim name As String
For Each chantLexicon In NChantLM1.ChantLexicons
    ' Access lexicon properties
    name = nChantLexicon.Name
Next

Collapse/Expand See Also section See Also

ChantLexicon


ChantLexiconCollection ChantLexicon Property

Chant LexiconKit 5 Logo
Chant LexiconKit Developer's Guide

ChantLexicon Property

A collection of ChantLexicon objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantLexicon chantLexicon = chantLexiconCollection.ChantLexicon[index];

CChantLexicon* chantLexicon = chantLexiconCollection->GetChantLexicon(index);

CChantLexicon* chantLexicon = chantLexiconCollection->GetChantLexicon(index);

var chantLexicon: TChantLexicon;
chantLexicon := chantLexiconCollection.ChantLexicon(index);

JChantLexicon chantLexicon = chantLexiconCollection.getAt(index);

Dim chantLexicon As NChantLexicon
chantLexicon = chantLexiconCollection.ChantLexicon(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexicon


ChantLexiconCollection Count Property

Chant LexiconKit 5 Logo
Chant LexiconKit Developer's Guide

Count Property

The number of ChantLexicon objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantLexiconCollection.Count;

int count = chantLexiconCollection->GetCount();

int count = chantLexiconCollection->GetCount();

var count: Integer;
count := chantLexiconCollection.Count;

int count = chantLexiconCollection.getCount();

Dim count As Integer
count = chantLexiconCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexiconCollection


ChantLexiconShortcut Class

Represents a speech recognition shortcut.

Collapse/Expand Remarks section Remarks

ChantLexiconShortcut objects are obtained via the SAPI5UserLexicon ChantLexiconShortcuts property.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | Display | The text to be displayed when the shortcut is spoken.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | LangID | The language ID of the shortcut (0 is default).
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ShortcutType | The shortcut type (0 No overide, 1 Unknown, 2 Email Address, 3 Other).
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | Spoken | The text for which the recognizer should listen.

Collapse/Expand See Also section See Also

ChantLexiconShortcutCollection


ChantLexiconShortcut Display Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Display Property

The text to be displayed when the shortcut is spoken.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String display = chantLexiconShortcut.Display;

wchar_t* display = chantLexiconShortcut->GetDisplay();

String display = chantLexiconShortcut->GetDisplay();

var display: string;
display := chantLexiconShortcut.Display;

String display = chantLexiconShortcut.getDisplay();

Dim display As String
display = chantLexiconShortcut.Display

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexiconShortcut


ChantLexiconShortcut LangID Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

LangID Property

The language ID of the shortcut (0 is default).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int langID = chantLexiconShortcut.LangID;

long langID = chantLexiconShortcut->GetLangID();

long langID = chantLexiconShortcut->GetLangID();

var langID: Integer;
langID := chantLexiconShortcut.LangID;

int langID = chantLexiconShortcut.getLangID();

Dim langID as Integer
langID = chantLexiconShortcut.LangID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexiconShortcut


ChantLexiconShortcut ShortcutType Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

ShortcutType Property

The shortcut type (0 No overide, 1 Unknown, 2 Email Address, 3 Other).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int shortcutType = chantLexiconShortcut.ShortcutType;

long shortcutType = chantLexiconShortcut->GetShortcutType();

long shortcutType = chantLexiconShortcut->GetShortcutType();

var shortcutType: Integer;
shortcutType := chantLexiconShortcut.ShortcutType;

int shortcutType = chantLexiconShortcut.getShortcutType();

Dim shortcutType as Integer
shortcutType = chantLexiconShortcut.ShortcutType

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexiconShortcut


ChantLexiconShortcut Spoken Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Spoken Property

The text for which the recognizer should listen.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String spoken = chantLexiconShortcut.Spoken;

wchar_t* spoken = chantLexiconShortcut->GetSpoken();

String spoken = chantLexiconShortcut->GetSpoken();

var spoken: string;
spoken := chantLexiconShortcut.Spoken;

String spoken = chantLexiconShortcut.getSpoken();

Dim spoken As String
spoken = chantLexiconShortcut.Spoken

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexiconShortcut


ChantLexiconShortcutCollection Class

Represents a collection of ChantLexiconShortcut objects.

Collapse/Expand Remarks section Remarks

A ChantLexiconShortcutCollection is used to enumerate the available lexicon shortcuts.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantLexiconShortcut | The ChantLexiconShortcut object collection.
Public property | Count | The number of ChantLexiconShortcuts.

Collapse/Expand Example section Example

The following example illustrates enumerating shortcuts and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantLexiconShortcut chantLexiconShortcut in sapiUserLexicon.ChantLexiconShortcuts)
{
    // Access lexicon properties
    string display = chantLexiconShortcut.Display;
}

int numberOfShortcuts = pSAPIUserLexicon->GetChantLexiconShortcuts()->GetCount();
for (i = 0; i < numberOfShortcuts; i++)
{
    CChantLexiconShortcut* pChantLexiconShortcut = pSAPIUserLexicon->GetChantLexiconShortcuts()->GetChantLexiconShortcut(i);
    // Access lexicon properties
    wchar_t* display = pChantLexiconShortcut->GetDisplay();
}

int numberOfShortcuts = pSAPIUserLexicon->GetChantLexiconShortcuts()->GetCount();
for (i = 0; i < numberOfShortcuts; i++)
{
    CChantLexiconShortcut* pChantLexiconShortcut = pSAPIUserLexicon->GetChantLexiconShortcuts()->GetChantLexiconShortcut(i);
    // Access lexicon properties
    String display = pChantLexiconShortcut->GetDisplay();
}

var
chantLexiconShortcut: TChantLexiconShortcut;
display: string;
begin
for chantLexiconShortcut in sapiUserLexicon.ChantLexiconShortcuts do
    begin
        // Access lexicon properties
        display := chantLexiconShortcut.Display;
    end;
end;

for (JChantLexiconShortcut chantLexiconShortcut : sapiUserLexicon.getChantLexiconShortcuts())
{
    // Access lexicon properties
    String display = chantLexiconShortcut.getDisplay();
}

Dim chantLexiconShortcut As NChantLexiconShortcut
Dim display As String
For Each chantLexiconShortcut In sapiUserLexicon.ChantLexiconShortcuts
    ' Access lexicon properties
    display = chantLexiconShortcut.Display
Next

Collapse/Expand See Also section See Also

ChantLexiconShortcut


ChantLexiconShortcutCollection ChantLexiconShortcut Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

ChantLexiconShortcut Property

A collection of ChantLexiconShortcut objects representing an instance of a shortcut.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantLexiconShortcut chantLexiconShortcut = chantLexiconShortcutCollection.ChantLexiconShortcut[index];

CChantLexiconShortcut* chantLexiconShortcut = chantLexiconShortcutCollection->GetChantLexiconShortcut(index);

CChantLexiconShortcut* chantLexiconShortcut = chantLexiconShortcutCollection->GetChantLexiconShortcut(index);

var chantLexiconShortcut: TChantLexiconShortcut;
chantLexiconShortcut := chantLexiconShortcutCollection.ChantLexiconShortcut(index);

JChantLexiconShortcut chantLexiconShortcut = chantLexiconShortcutCollection.getAt(index);

Dim chantLexiconShortcut As NChantLexiconShortcut
chantLexiconShortcut = chantLexiconShortcutCollection.ChantLexiconShortcut(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexiconShortcut


ChantLexiconShortcutCollection Count Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Count Property

The number of ChantLexiconShortcut objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantLexiconShortcutCollection.Count;

int count = chantLexiconShortcutCollection->GetCount();

int count = chantLexiconShortcutCollection->GetCount();

var count: Integer;
count := chantLexiconShortcutCollection.Count;

int count = chantLexiconShortcutCollection.getCount();

Dim count As Integer
count = chantLexiconShortcutCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexiconShortcutCollection


ChantLexiconWord Class

Represents a lexicon word.

Collapse/Expand Remarks section Remarks

ChantLexiconWord objects are obtained via the ChantLexicon ChantLexiconWords property.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | AddPronunciation | Returns a speech object of a specific type.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | DeletePronunciation | Returns a speech object of a specific type.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | ChantLexiconWordPronunciations | A collection of ChantLexiconWordPronunciation objects.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | Spelling | The word spelling.

Collapse/Expand See Also section See Also

LXK5_ChantLexicon ChantLexiconWordCollection ChantLexiconWordPronunciation


ChantLexiconWord AddPronunciation Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

AddPronunciation Method

Adds a pronunciation for a word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLexiconWord.AddPronunciation(pronunciation, eChantPartOfSpeech, pronunciationType);

chantLexiconWord->AddPronunciation(pronunciation, eChantPartOfSpeech, pronunciationType);

chantLexiconWord->AddPronunciation(pronunciation, eChantPartOfSpeech, pronunciationType);

chantLexiconWord.AddPronunciation(pronunciation, eChantPartOfSpeech, pronunciationType);

chantLexiconWord.addPronunciation(pronunciation, eChantPartOfSpeech, pronunciationType);

Dim intVal as Integer
chantLexiconWord.AddPronunciation(pronunciation, eChantPartOfSpeech, pronunciationType)

Parameters

pronunciation

String. The lexicon word pronunciation.

eChantPartOfSpeech

ChantPartOfSpeech. The lexicon word pronunciation part of speech.

pronunciationType

Long integer. The lexicon pronuncation type. Use 1 for phonetic and 4 for text.

Collapse/Expand Remarks section Remarks

The ChantPartOfSpeech may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAbbreviation | 1 | Shortened form of a word -(e.g, hr.)
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAdjective | 2 | Word that modifies a noun (e.g., green).
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAdverb | 3 | Word that modifies a verb, an adjective, or another adverb (e.g., quickly).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSCardinal | 4 | Number used in simple counting (e.g., one, two, three).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSConjunction | 5 | Word used to join sentences, clauses, or phrases (e.g., and).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSContraction | 6 | Shortened form of one or two words with the omitted letter or letters indicated by an apostrophe (e.g., can't).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSDeterminer | 7 | Limiting noun modifier that precedes an adjective modifying the same noun (e.g., her)
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSFunction | 8 | Indicates that the part of speech is a function.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSIgnore | 9 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSInterjection | 10 | Word or phrase that expresses emotion (e.g., indeed, heavens).
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSModifier | 11 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSNoun | 12 | Word that names a person, place, thing (e.g., astronaut, New York, printer, history).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSOrdinal | 13 | Number used to show order (e.g., first, second, third).
Nuance VoCon 3200 | CPOSPastParticiple | 14 | Verb form that can be used in compound tenses or voices, or as a modifier (e.g., talked).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPreposition | 15 | Word that precedes a noun or pronoun to form an adjectival or adverbial phrase (e.g., "aboard" in "aboard the ship").
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPronoun | 16 | Word that substitutes for a noun (e.g, it).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSProperNoun | 17 | Noun that names a specific person or place (e.g., Katherine, Cleveland).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPunctuation | 18 | Marks that clarify the meaning and structure of writing (e.g., .).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSQuantifier | 19 | Limiting noun modifier that expresses quantity and precedes an adjective modifying the same noun (e.g., "four" in "the four ripe strawberries").
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSUnknown | 20 | Part of speech is unknown.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSVerb | 21 | Word that expresses an act or a state of being (e.g., eat, be).

Collapse/Expand Example section Example

The following example illustrates adding a pronunciation to a speech engine lexicon.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Add pronunciation directly to speech engine lexicon
nChantLexiconWord.AddPronunciation("t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Add pronunciation directly to speech engine lexicon
pChantLexiconWord->AddPronunciation(L"tomato", L"t ax m aa t ow", CPOSNoun, 1);

// Add pronunciation directly to speech engine lexicon
pChantLexiconWord->AddPronunciation("t ax m aa t ow", CPOSNoun, 1);

// Add pronunciation directly to speech engine lexicon
aTChantLexiconWord.AddPronunciation('t ax m aa t ow', CPOSNoun, 1);

// Add pronunciation directly to speech engine lexicon
jChantLexiconWord.addPronunciation("t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1);

' Add pronunciation directly to speech engine lexicon
nChantLexiconWord.AddPronunciation("t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1)

Collapse/Expand See Also section See Also

DeletePronunciation


ChantLexiconWord ChantLexiconWordPronunciations Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

ChantLexiconWordPronunciations Method

A collection of ChantLexiconWordPronunciation objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantLexiconWordPronunciationCollection chantLexiconWordPronunciationCollection = chantLexiconWord.ChantLexiconWordPronunciations;

CChantLexiconWordPronunciationCollection* chantLexiconWordPronunciationCollection = chantLexiconWord->GetChantLexiconWordPronunciations();

CChantLexiconWordPronunciationCollection* chantLexiconWordPronunciationCollection = chantLexiconWord->GetChantLexiconWordPronunciations();

var chantLexiconWordPronunciationCollection: TChantLexiconWordPronunciationCollection;
chantLexiconWordPronunciationCollection := chantLexiconWord.ChantLexiconWordPronunciations;

JChantLexiconWordPronunciationCollection chantLexiconWordPronunciation = chantLexiconWord.getChantLexiconWordPronunciation();

Dim chantLexiconWordPronunciationCollection As NChantLexiconWordPronunciationCollection
chantLexiconWordPronunciationCollection = chantLexiconWord.ChantLexiconWordPronunciations

Collapse/Expand Example section Example

Set the ChantLexiconWordPronunciationCollection example.

Collapse/Expand See Also section See Also

ChantLexiconWordPronunciation
ChantLexiconWordPronunciationCollection


ChantLexiconWord DeletePronunciation Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

DeletePronunciation Method

Removes a pronunciation from a word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLexiconWord.DeletePronunciation(pronunciation, eChantPartOfSpeech);

chantLexiconWord->DeletePronunciation(pronunciation, eChantPartOfSpeech);

chantLexiconWord->DeletePronunciation(pronunciation, eChantPartOfSpeech);

chantLexiconWord.DeletePronunciation(pronunciation, eChantPartOfSpeech);

chantLexiconWord.deletePronunciation(pronunciation, eChantPartOfSpeech);

chantLexiconWord.DeletePronunciation(pronunciation, eChantPartOfSpeech)

Parameters

pronunciation

String. The lexicon word pronunciation.

eChantPartOfSpeech

ChantPartOfSpeech. The lexicon word pronunciation part of speech.

Collapse/Expand Remarks section Remarks

The ChantPartOfSpeech may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAbbreviation | 1 | Shortened form of a word -(e.g, hr.)
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAdjective | 2 | Word that modifies a noun (e.g., green).
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAdverb | 3 | Word that modifies a verb, an adjective, or another adverb (e.g., quickly).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSCardinal | 4 | Number used in simple counting (e.g., one, two, three).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSConjunction | 5 | Word used to join sentences, clauses, or phrases (e.g., and).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSContraction | 6 | Shortened form of one or two words with the omitted letter or letters indicated by an apostrophe (e.g., can't).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSDeterminer | 7 | Limiting noun modifier that precedes an adjective modifying the same noun (e.g., her)
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSFunction | 8 | Indicates that the part of speech is a function.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSIgnore | 9 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSInterjection | 10 | Word or phrase that expresses emotion (e.g., indeed, heavens).
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSModifier | 11 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSNoun | 12 | Word that names a person, place, thing (e.g., astronaut, New York, printer, history).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSOrdinal | 13 | Number used to show order (e.g., first, second, third).
Nuance VoCon 3200 | CPOSPastParticiple | 14 | Verb form that can be used in compound tenses or voices, or as a modifier (e.g., talked).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPreposition | 15 | Word that precedes a noun or pronoun to form an adjectival or adverbial phrase (e.g., "aboard" in "aboard the ship").
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPronoun | 16 | Word that substitutes for a noun (e.g, it).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSProperNoun | 17 | Noun that names a specific person or place (e.g., Katherine, Cleveland).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPunctuation | 18 | Marks that clarify the meaning and structure of writing (e.g., .).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSQuantifier | 19 | Limiting noun modifier that expresses quantity and precedes an adjective modifying the same noun (e.g., "four" in "the four ripe strawberries").
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSUnknown | 20 | Part of speech is unknown.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSVerb | 21 | Word that expresses an act or a state of being (e.g., eat, be).

Collapse/Expand Example section Example

The following example illustrates deleting a pronunciation.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Delete pronunciation directly from speech engine lexicon
nChantLexiconWord.DeletePronunciation("t ax m aa t ow", ChantPartOfSpeech.CPOSNoun);

// Delete pronunciation directly from speech engine lexicon
pChantLexiconWord->DeletePronunciation(L"t ax m aa t ow", CPOSNoun);

// Delete pronunciation directly from speech engine lexicon
pChantLexiconWord->DeletePronunciation("t ax m aa t ow", CPOSNoun);

// Delete pronunciation directly from speech engine lexicon
aTChantLexiconWord.DeletePronunciation('t ax m aa t ow', CPOSNoun);

// Delete pronunciation directly from speech engine lexicon
jChantLexiconWord.deletePronunciation("t ax m aa t ow", ChantPartOfSpeech.CPOSNoun);

' Delete pronunciation directly from speech engine lexicon
nChantLexiconWord.DeletePronunciation("t ax m aa t ow", ChantPartOfSpeech.CPOSNoun)

Collapse/Expand See Also section See Also

AddPronunciation


ChantLexiconWord Spelling Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Spelling Property

The word spelling.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String spelling = chantLexiconWord.Spelling;

wchar_t* spelling = chantLexiconWord->GetSpelling();

String spelling = chantLexiconWord->GetSpelling();

var spelling: string;
spelling := chantLexiconWord.Spelling;

String spelling = chantLexiconWord.getSpelling();

Dim spelling As String
spelling = chantLexiconWord.Spelling

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexiconWord


ChantLexiconWordCollection Class

Represents a collection of ChantLexiconWord objects.

Collapse/Expand Remarks section Remarks

A ChantLexiconWordCollection is used to enumerate the available lexicon words.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantLexiconWord | The ChantLexiconWord object collection.
Public property | Count | The number of ChantLexiconWords.

Collapse/Expand Example section Example

The following example illustrates enumerating lexicon words and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantLexiconWord chantLexiconWord in chantLexicon.ChantLexiconWords)
{
    // Access word properties
    string spelling = chantLexiconWord.Spelling;
}

int numberOfWords = pChantLexicon->GetChantLexiconWords()->GetCount();
for (i = 0; i < numberOfWords; i++)
{
    ChantLexiconWord* pChantLexiconWord = pChantLexicon->GetChantLexiconWords()->GetChantLexiconWord(i);
    // Access word properties
    wchar_t* spelling = pChantLexiconWord->GetSpelling();
}

int numberOfWords = pChantLexicon->GetChantLexiconWords()->GetCount();
for (i = 0; i < numberOfWords; i++)
{
    CChantLexiconWord* pChantLexiconWord = pChantLexicon->GetChantLexiconWords()->GetChantLexiconWord(i);
    // Access word properties
    String spelling = pChantLexiconWord->GetSpelling();
}

var
chantLexiconWord: TChantLexiconWord;
spelling: string;
begin
for chantLexiconWord in chantLexicon.ChantLexiconWords do
    begin
        // Access word properties
        spelling := chantLexiconWord.Spelling;
    end;
end;

for (JChantLexiconWord chantLexiconWord : chantLexicon.getChantLexiconWords())
{
    // Access word properties
    String word = chantLexiconWord.getSpelling();
}

Dim chantLexiconWord As NChantLexiconWord
Dim spelling As String
For Each chantLexiconWord In chantLexicon.ChantLexiconWords
    ' Access word properties
    spelling = chantLexiconWord.Spelling
Next I

Collapse/Expand See Also section See Also

ChantLexiconWord


ChantLexiconWordCollection ChantLexiconWord Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

ChantLexiconWord Property

A collection of ChantLexiconWord objects representing an instance of a word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantLexiconWord chantLexiconWord = chantLexiconWordCollection.ChantLexiconWord[index];

CChantLexiconWord* chantLexiconWord = chantLexiconWordCollection->GetChantLexiconWord(index);

CChantLexiconWord* chantLexiconWord = chantLexiconWordCollection->GetChantLexiconWord(index);

var chantLexiconWord: TChantLexiconWord;
chantLexiconWord := chantLexiconWordCollection.ChantLexiconWord(index);

JChantLexiconWord chantLexiconWord = chantLexiconWordCollection.getAt(index);

Dim chantLexiconWord As NChantLexiconWord
chantLexiconWord = chantLexiconWordCollection.ChantLexiconWord(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexiconWord


ChantLexiconWordCollection Count Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Count Property

The number of ChantLexiconWord objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantLexiconWordCollection.Count;

int count = chantLexiconWordCollection->GetCount();

int count = chantLexiconWordCollection->GetCount();

var count: Integer;
count := chantLexiconWordCollection.Count;

int count = chantLexiconWordCollection.getCount();

Dim count As Integer
count = chantLexiconWordCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexiconWordCollection


ChantLexiconWordPronunciation Class

Represents a lexicon word pronunciation.

Collapse/Expand Remarks section Remarks

ChantLexiconWordPronunciation objects are obtained via the ChantLexiconWord ChantLexiconWordPronunciations property.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | PartOfSpeech | The context of how the word is used.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance VoCon 3200 | Phonemes | The phoneme representation for the word pronunciation.
Public property | Nuance VoCon 3200 | PronunciationType | The type of pronuncation. The value 1 for phonetic pronunciation and 4 for text pronunciation.

Collapse/Expand See Also section See Also

ChantLexiconWord
ChantLexiconWordPronunciationCollection


ChantLexiconWordPronunciation PartOfSpeech Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

PartOfSpeech Property

The context of how the word is used.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantSpeechResource eChantSpeechResource = chantLexiconWordPronunciation.PartOfSpeech;

ChantSpeechResource eChantSpeechResource = chantLexiconWordPronunciation->GetPartOfSpeech();

ChantSpeechResource eChantSpeechResource = chantLexiconWordPronunciation->GetPartOfSpeech();

var eChantSpeechResource: ChantSpeechResource;
eChantSpeechResource := chantLexiconWordPronunciation.PartOfSpeech;

int eChantSpeechResource = chantLexiconWordPronunciation.getPartOfSpeech();

Dim eChantSpeechResource As ChantSpeechResource
eChantSpeechResource = chantLexiconWordPronunciation.PartOfSpeech

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantSpeechResource constant values.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAbbreviation | 1 | Shortened form of a word -(e.g, hr.)
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAdjective | 2 | Word that modifies a noun (e.g., green).
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAdverb | 3 | Word that modifies a verb, an adjective, or another adverb (e.g., quickly).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSCardinal | 4 | Number used in simple counting (e.g., one, two, three).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSConjunction | 5 | Word used to join sentences, clauses, or phrases (e.g., and).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSContraction | 6 | Shortened form of one or two words with the omitted letter or letters indicated by an apostrophe (e.g., can't).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSDeterminer | 7 | Limiting noun modifier that precedes an adjective modifying the same noun (e.g., her)
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSFunction | 8 | Indicates that the part of speech is a function.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSIgnore | 9 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSInterjection | 10 | Word or phrase that expresses emotion (e.g., indeed, heavens).
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSModifier | 11 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSNoun | 12 | Word that names a person, place, thing (e.g., astronaut, New York, printer, history).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSOrdinal | 13 | Number used to show order (e.g., first, second, third).
Nuance VoCon 3200 | CPOSPastParticiple | 14 | Verb form that can be used in compound tenses or voices, or as a modifier (e.g., talked).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPreposition | 15 | Word that precedes a noun or pronoun to form an adjectival or adverbial phrase (e.g., "aboard" in "aboard the ship").
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPronoun | 16 | Word that substitutes for a noun (e.g, it).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSProperNoun | 17 | Noun that names a specific person or place (e.g., Katherine, Cleveland).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPunctuation | 18 | Marks that clarify the meaning and structure of writing (e.g., .).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSQuantifier | 19 | Limiting noun modifier that expresses quantity and precedes an adjective modifying the same noun (e.g., "four" in "the four ripe strawberries").
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSUnknown | 20 | Part of speech is unknown.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSVerb | 21 | Word that expresses an act or a state of being (e.g., eat, be).

Collapse/Expand See Also section See Also

ChantLexiconWordPronunciation


ChantLexiconWordPronunciation Phonemes Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Phonemes Property

The phoneme representation for the word pronunciation.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String phonemes = chantLexiconWordPronunciation.Phonemes;

wchar_t* phonemes = chantLexiconWordPronunciation->GetPhonemes();

String phonemes = chantLexiconWordPronunciation->GetPhonemes();

var phonemes: string;
phonemes := chantLexiconWordPronunciation.Phonemes;

String phonemes = chantLexiconWordPronunciation.getPhonemes();

Dim phonemes As String
phonemes = chantLexiconWordPronunciation.Phonemes

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexiconWordPronunciation


ChantLexiconWordPronunciation PronunciationType Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

PronunciationType Property

The type of pronuncation.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int pronunciationType = chantLexiconWordPronunciation.PronunciationType;

long pronunciationType = chantLexiconWordPronunciation->GetPronunciationType();

long pronunciationType = chantLexiconWordPronunciation->GetPronunciationType();

var pronunciationType: Integer;
pronunciationType := chantLexiconWordPronunciation.PronunciationType;

int pronunciationType = chantLexiconWordPronunciation.getPronunciationType();

Dim pronunciationType as Integer
pronunciationType = chantLexiconWordPronunciation.PronunciationType

Collapse/Expand Remarks section Remarks

The property is read only. The property may be the value 1 for phonetic pronunciation and 4 for text pronunciation.

Collapse/Expand See Also section See Also

ChantLexiconWordPronunciation


ChantLexiconWordPronunciationCollection Class

Represents a collection of ChantLexiconWordPronunciation objects.

Collapse/Expand Remarks section Remarks

A ChantLexiconWordPronunciationCollection is used to enumerate the available lexicon word pronunciations.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantLexiconWordPronunciation | The ChantLexiconWordPronunciation object collection.
Public property | Count | The number of ChantLexiconWordPronunciations.

Collapse/Expand Example section Example

The following example illustrates enumerating lexicon word pronunciations and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantLexiconWordPronunciation chantLexiconWordPronunciation in chantLexiconWord.ChantLexiconWordPronunciations)
{
    // Access pronunciation properties
    string phonemes = chantLexiconWordPronunciation.Phonemes;
}

int numberOfPronunciations = pChantLexiconWord->GetChantLexiconWordPronunciations()->GetCount();
for (i = 0; i < numberOfPronunciations; i++)
{
    ChantLexiconWordPronunciation* pChantLexiconWordPronunciation = pChantLexiconWord->GetChantLexiconWordPronunciations()->GetChantLexiconWordPronunciation(i);
    // Access pronunciation properties
    wchar_t* phonemes = pChantLexiconWordPronunciation->GetPhonemes();
}

int numberOfPronunciations = pChantLexiconWord->GetChantLexiconWordPronunciations()->GetCount();
for (i = 0; i < numberOfPronunciations; i++)
{
    CChantLexiconWordPronunciation* pChantLexiconWordPronunciation = pChantLexiconWord->GetChantLexiconWordPronunciations()->GetChantLexiconWordPronunciation(i);
    // Access pronunciation properties
    String phonemes = pChantLexiconWordPronunciation->GetPhonemes();
}

var
chantLexiconWordPronunciation: TChantLexiconWordPronunciation;
phonemes: string;
begin
for chantLexiconWordPronunciation in chantLexiconWord.ChantLexiconWordPronunciations do
    begin
        // Access pronunciation properties
        phonemes := chantLexiconWordPronunciation.Phonemes;
    end;
end;

for (JChantLexiconWordPronunciation chantLexiconWordPronunciation : chantLexiconWord.getChantLexiconWordPronunciations())
{
    // Access pronunciation properties
    String phonemes = jChantLexiconWordPronunciation.getPhonemes();
}

Dim chantLexiconWordPronunciation As NChantLexiconWordPronunciation
Dim phonemes As String
For Each chantLexiconWordPronunciation In chantLexiconWord.ChantLexiconWordPronunciations
    ' Access pronunciation properties
    phonemes = chantLexiconWordPronunciation.Phonemes
Next I

Collapse/Expand See Also section See Also

ChantLexiconWordPronunciation


ChantLexiconWordPronunciationCollection ChantLexiconWordPronunciation Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

ChantLexiconWordPronunciation Property

A collection of ChantLexiconWordPronunciation objects representing an instance of a word pronunciation.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantLexiconWordPronunciation chantLexiconWordPronunciation = chantLexiconWordPronunciationCollection.ChantLexiconWordPronunciation[index];

CChantLexiconWordPronunciation* chantLexiconWordPronunciation = chantLexiconWordPronunciationCollection->GetChantLexiconWordPronunciation(index);

CChantLexiconWordPronunciation* chantLexiconWordPronunciation = chantLexiconWordPronunciationCollection->GetChantLexiconWordPronunciation(index);

var chantLexiconWordPronunciation: TChantLexiconWordPronunciation;
chantLexiconWordPronunciation := chantLexiconWordPronunciationCollection.ChantLexiconWordPronunciation(index);

JChantLexiconWordPronunciation chantLexiconWordPronunciation = chantLexiconWordPronunciationCollection.getAt(index);

Dim chantLexiconWordPronunciation As NChantLexiconWordPronunciation
chantLexiconWordPronunciation = chantLexiconWordPronunciationCollection.ChantLexiconWordPronunciation(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexiconWordPronunciation


ChantLexiconWordPronunciationCollection Count Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Count Property

The number of ChantLexiconWordPronunciation objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantLexiconWordPronunciationCollection.Count;

int count = chantLexiconWordPronunciationCollection->GetCount();

int count = chantLexiconWordPronunciationCollection->GetCount();

var count: Integer;
count := chantLexiconWordPronunciationCollection.Count;

int count = chantLexiconWordPronunciationCollection.getCount();

Dim count As Integer
count = chantLexiconWordPronunciationCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexiconWordPronunciationCollection


ChantLM Class

Object for creating, editing, exporting and importing lexicon word pronunications.

Collapse/Expand Remarks section Remarks

The lexicon management object, ChantLM, provides a common interface for creating and editing Acapela Multimedia BabTTS, Cepstral Swift, Microsoft SAPI 4, Microsoft SAPI 5, and Nuance L&H lexicon word pronunciations.

The lexicon management object interacts directly with a speech recognition and speech synthesis engine application program interfaces (APIs) to create, delete, edit, export, and import lexicon word pronunciations.

Applications receive export and import progress notifications through events.

Collapse/Expand Events section Events

 | APIs | Name | Description
Public event |  | HasEvent | Notifies the application of a lexicon management event.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Acapela BabTTS | CreateBabLexicon | Returns a lexicon object for managing Acapela BabTTS pronunciations.
Public method | Cepstral SWIFT | CreateCepstralLexicon | Returns a lexicon object for managing Cepstral pronunciations.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance Dragon NaturallySpeaking Nuance RealSpeak Solo Nuance VoCon 3200 | CreateChantLexicon | Returns a lexicon object for managing pronunciations for a specific speech engine.
Public method | Nuance RealSpeak Solo Nuance VoCon 3200 | CreateLHLexicon | Returns a lexcion object for managing L&H pronunciations.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis | CreateSAPI4Lexicon | Returns a lexcion object for managing Microsoft SAPI4 pronunciations.
Public method | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Synthesis | CreateSAPI5AppLexicon | Returns a lexicon object for managing Microsoft SAPI5 pronunciations.
Public method | Microsoft SAPI 5 Speech Recognition | CreateSAPI5UserLexicon | Returns a lexicon object for managing Microsoft SAPI5 pronunciations and shortcuts.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance Dragon NaturallySpeaking Nuance RealSpeak Solo Nuance VoCon 3200 | GeneratePhonemes | Generate phoneme representation of a word.
Public method |  | GetChantLMEvent | Returns a ChantLMEvent object.
Public method |  | GetPronounceable | Returns flag indicating whether pronunciation can be generated.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance Dragon NaturallySpeaking Nuance RealSpeak Solo Nuance VoCon 3200 | OpenChantLexicon | Instantiates a ChantLexicon object for editing, importing, and exporting based on archived lexicon.
Public method |  | RegisterCallback | Sets the callback event active.
Public method |  | RemoveEvent | Removes an event from the event queue.
Public method |  | SetCallbackFunction | Sets static callback function.
Public method |  | SetCallbackParms | Sets optional callback parameters.
Public method |  | SetNumberProperty | Sets a numeric property value.
Public method |  | SetStringProperty | Sets a string property value.
Public method |  | SetWindowMessage | Sets application-unique Windows message number used to notify about callback events.
Public method |  | ShowDialog | Display a ChantLM dialog.
Public method |  | UnregisterCallback | Sets the callback event inactive.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis Nuance Dragon NaturallySpeaking Nuance RealSpeak Solo Nuance VoCon 3200 | ChantLexicons | A collection of ChantLexicon objects.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ChantSREngines | A collection of ChantSREngine objects.
Public property | Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Synthesis Nuance RealSpeak Solo | ChantTTSEngines | A collection of ChantTTSEngine objects.
Public property |  | LastError | A numeric error code for the last error condition.
Public property |  | LastErrorMessage | A description of the last error condition.
Public property |  | LastErrorString | A text representation of the last error condition.

Collapse/Expand See Also section See Also

BabLexicon
CepstralLexicon
ChantSREngine
ChantTTSEngine
ChantLexicon
LHLexicon
SAPI4Lexicon
SAPI5AppLexicon
SAPI5UserLexicon
ChantLMEvent


ChantLM ChantLexicons Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

ChantLexicons Property

A collection of ChantLexicon objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantLexiconCollection chantEngines = chantLM.ChantLexicons;

CChantLexiconCollection* chantEngines = chantLM->GetChantLexicons();

CChantLexiconCollection* chantEngines = chantLM->GetChantLexicons();

var chantEngines: TChantLexiconCollection;
chantEngines := chantLM.ChantLexicons;

JChantLexiconCollection chantEngines = chantLM.getChantLexicons();

Dim chantEngines As NChantLexiconCollection
chantEngines = chantLM.ChantLexicons

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLexicon


ChantLM ChantSREngines Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

ChantSREngines Property

A collection of ChantSREngine objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantSREngineCollection chantSREngines = chantLM.ChantSREngines;

CChantSREngineCollection* chantSREngines = chantLM->GetChantSREngines();

CChantSREngineCollection* chantSREngines = chantLM->GetChantSREngines();

var chantSREngines: TChantSREngineCollection;
chantSREngines := chantLM.ChantSREngines;

JChantSREngineCollection chantSREngines = chantLM.getChantSREngines();

Dim chantSREngines As NChantSREngineCollection
chantSREngines = chantLM.ChantSREngines

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREngine
ChantSREngineCollection


ChantLM ChantTTSEngines Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

ChantTTSEngines Property

A collection of ChantTTSEngine objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantTTSEngineCollection chantTTSEngines = chantLM.ChantTTSEngines;

CChantTTSEngineCollection* chantTTSEngines = chantLM->GetChantTTSEngines();

CChantTTSEngineCollection* chantTTSEngines = chantLM->GetChantTTSEngines();

var chantTTSEngines: TChantTTSEngineCollection;
chantTTSEngines := chantLM.ChantTTSEngines;

JChantTTSEngineCollection chantTTSEngines = chantLM.getChantTTSEngines();

Dim chantTTSEngines As NChantTTSEngineCollection
chantTTSEngines = chantLM.ChantTTSEngines

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEngine
ChantTTSEngineCollection


ChantLM CreateBabLexicon Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

CreateBabLexicon Method

Instantiates a BabLLexicon object for editing and exporting based on local lexicon resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NBabLexicon babLexicon = chantLM.CreateBabLexicon(name, engine);

CBabLexicon* babLexicon = chantLM->CreateBabLexicon(name, engine);

CBabLexicon* babLexicon = chantLM->CreateBabLexicon(name, engine);

var babLexicon: TBabLexicon;
babLexicon := chantLM.CreateBabLexicon(name, engine);

JBabLexicon babLexicon = chantLM.createBabLexicon(name, engine);

Dim babLexicon as NBabLexicon
babLexicon = chantLM.CreateBabLexicon(name, engine)

Parameters

name

String. The lexicon name.

engine

String. The Acapela voice name for which to create the lexicon.

Return Value

BabLexicon object.

Collapse/Expand Example section Example

The following example illustrates defining a lexicon resource.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define an empty Bab lexicon
NBabLexicon nBabLexicon = NChantLM1.CreateBabLexicon("RyanWords", "Ryan, HQ 22k, USEnglish, Acapela Multimedia");

// Define an empty Bab lexicon
CBabLexicon* pBabLexicon = pChantLM->CreateBabLexicon(L"RyanWords", L"Ryan, HQ 22k, USEnglish, Acapela Multimedia");

// Define an empty Bab lexicon
CBabLexicon* pBabLexicon = pChantLM->CreateBabLexicon("RyanWords", "Ryan, HQ 22k, USEnglish, Acapela Multimedia");

// Define an empty Bab lexicon
var aTBabLexicon: TBabLexicon;
aTBabLexicon := ChantLM1.CreateBabLexicon('RyanWords', 'Ryan, HQ 22k, USEnglish, Acapela Multimedia');

// Define an empty Bab lexicon
JBabLexicon jBabLexicon = JChantLM1.createBabLexicon("RyanWords", "Ryan, HQ 22k, USEnglish, Acapela Multimedia");

' Define an empty Bab lexicon
Dim nBabLexicon as NBabLexicon
nBabLexicon = NChantLM1.CreateBabLexicon("RyanWords", "Ryan, HQ 22k, USEnglish, Acapela Multimedia")

Collapse/Expand See Also section See Also

ChantLM


ChantLM CreateCepstralLexicon Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

CreateCepstralLexicon Method

Instantiates a CepstralLLexicon object for editing and exporting based on local lexicon resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NCepstralLexicon cepstralLexicon = chantLM.CreateCepstralLexicon(name, engine);

CCepstralLexicon* cepstralLexicon = chantLM->CreateCepstralLexicon(name, engine);

CCepstralLexicon* cepstralLexicon = chantLM->CreateCepstralLexicon(name, engine);

var cepstralLexicon: TCepstralLexicon;
cepstralLexicon := chantLM.CreateCepstralLexicon(name, engine);

JCepstralLexicon cepstralLexicon = chantLM.createCepstralLexicon(name, engine);

Dim cepstralLexicon as NCepstralLexicon
cepstralLexicon = chantLM.CreateCepstralLexicon(name, engine)

Parameters

name

String. The lexicon name.

engine

String. The Cepstral voice name for which to create the lexicon.

Return Value

CepstralLexicon object.

Collapse/Expand Example section Example

The following example illustrates defining a lexicon resource.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define an empty Cepstral lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.CreateCepstralLexicon("CallieWords", "Cepstral Callie 16kHz 5.0.0");

// Define an empty Cepstral lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->CreateCepstralLexicon(L"CallieWords", L"Cepstral Callie 16kHz 5.0.0");

// Define an empty Cepstral lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->CreateCepstralLexicon("CallieWords", "Cepstral Callie 16kHz 5.0.0");

// Define an empty Cepstral lexicon
var aTCepstralLexicon: TCepstralLexicon;
aTCepstralLexicon := ChantLM1.CreateCepstralLexicon('CallieWords', 'Cepstral Callie 16kHz 5.0.0');

// Define an empty Cepstral lexicon
JCepstralLexicon jCepstralLexicon = JChantLM1.createCepstralLexicon("CallieWords", "Cepstral Callie 16kHz 5.0.0");

' Define an empty Cepstral lexicon
Dim nCepstralLexicon as NCepstralLexicon
nCepstralLexicon = NChantLM1.CreateCepstralLexicon("CallieWords", "Cepstral Callie 16kHz 5.0.0")

Collapse/Expand See Also section See Also

ChantLM


ChantLM CreateChantLexicon Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

CreateChantLexicon Method

Instantiates a ChantLexicon object for editing and exporting based on local lexicon resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantLexicon chantLexicon = chantLM.CreateChantLexicon(name, engine);

CChantLexicon* chantLexicon = chantLM->CreateChantLexicon(name, engine);

CChantLexicon* chantLexicon = chantLM->CreateChantLexicon(name, engine);

var chantLexicon: TChantLexicon;
chantLexicon := chantLM.CreateChantLexicon(name, engine);

JChantLexicon chantLexicon = chantLM.createChantLexicon(name, engine);

Dim chantLexicon as NChantLexicon
chantLexicon = chantLM.CreateChantLexicon(name, engine)

Parameters

name

String. The lexicon name.

engine

String. The speech recognition or synthesis engine name for which to create the lexicon.

Return Value

ChantLexicon object.

Collapse/Expand Example section Example

The following example illustrates defining a lexicon resource.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define an empty Bab lexicon
NBabLexicon nBabLexicon = NChantLM1.CreateChantLexicon("RyanWords", "Ryan, HQ 22k, USEnglish, Acapela Multimedia");

// Define an empty Cepstral lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.CreateChantLexicon("CallieWords", "Cepstral Callie 16kHz 5.0.0");

// Define an empty SAPI 4 lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.CreateChantLexicon("MaryWords", "Microsoft Mary");

// Define an empty SAPI 5 user lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.CreateChantLexicon("CurrentUserLexicon", "");

// Define an empty SAPI 5 application lexicon
NSAPI5AppLexicon nSAPI5AppLexicon = NChantLM1.CreateChantLexicon("DavidWords", "Microsoft David Desktop - English (United States)");

// Define an empty L&H lexicon
NLHLexicon nLHLexicon = NChantLM1.CreateChantLexicon("TomWords", "Nuance Vocalizer tom_16kHz");

// Define an empty Bab lexicon
CBabLexicon* pBabLexicon = pChantLM->CreateChantLexicon(L"RyanWords", L"Ryan, HQ 22k, USEnglish, Acapela Multimedia");

// Define an empty Cepstral lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->CreateChantLexicon(L"CallieWords", L"Cepstral Callie 16kHz 5.0.0");

// Define an empty SAPI 4 lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->CreateChantLexicon(L"MaryWords", L"Microsoft Mary");

// Define an empty SAPI 5 user lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->CreateChantLexicon("CurrentUserLexicon", "");

// Define an empty SAPI 5 application lexicon
CSAPI5AppLexicon* pSAPI5AppLexicon = pChantLM->CreateChantLexicon(L"DavidWords", L"Microsoft David Desktop - English (United States)");

// Define an empty L&H lexicon
CLHLexicon* pLHLexicon = pChantLM->CreateChantLexicon(L"TomWords", L"Nuance Vocalizer tom_16kHz");

// Define an empty Bab lexicon
CBabLexicon* pBabLexicon = pChantLM->CreateChantLexicon("RyanWords", "Ryan, HQ 22k, USEnglish, Acapela Multimedia");

// Define an empty Cepstral lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->CreateChantLexicon("CallieWords", "Cepstral Callie 16kHz 5.0.0");

// Define an empty SAPI 4 lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->CreateChantLexicon("MaryWords", "Microsoft Mary");

// Define an empty SAPI 5 user lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->CreateChantLexicon("CurrentUserLexicon", "");

// Define an empty SAPI 5 application lexicon
CSAPI5AppLexicon* pSAPI5AppLexicon = pChantLM->CreateChantLexicon("DavidWords", "Microsoft David Desktop - English (United States)");

// Define an empty L&H lexicon
CLHLexicon* pLHLexicon = pChantLM->CreateChantLexicon("TomWords", "Nuance Vocalizer tom_16kHz");

// Define an empty Bab lexicon
var aTBabLexicon: TBabLexicon;
aTBabLexicon := ChantLM1.CreateChantLexicon('RyanWords', 'Ryan, HQ 22k, USEnglish, Acapela Multimedia');

// Define an empty Cepstral lexicon
var aTCepstralLexicon: TCepstralLexicon;
aTCepstralLexicon := ChantLM1.CreateChantLexicon('CallieWords', 'Cepstral Callie 16kHz 5.0.0');

// Define an empty SAPI 4 lexicon
var aTSAPI4Lexicon: TSAPI4Lexicon;
aTSAPI4Lexicon := ChantLM1.CreateChantLexicon('MaryWords', 'Microsoft Mary');

// Define an empty SAPI 5 user lexicon
var aTSAPI5UserLexicon: TSAPI5UserLexicon;
aTSAPI5UserLexicon := ChantLM1.CreateSAPI5UserLexicon('CurrentUserLexicon', '');

// Define an empty SAPI 5 application lexicon
var aTSAPI5AppLexicon: TSAPI5AppLexicon;
aTSAPI5AppLexicon := ChantLM1.CreateChantLexicon('DavidWords', 'Microsoft David Desktop - English (United States)');

// Define an empty L&H lexicon
var aTLHLexicon: TLHLexicon;
aTLHLexicon := ChantLM1.CreateChantLexicon('TomWords', 'Nuance Vocalizer tom_16kHz');

// Define an empty Bab lexicon
JBabLexicon jBabLexicon = JChantLM1.createChantLexicon("RyanWords", "Ryan, HQ 22k, USEnglish, Acapela Multimedia");

// Define an empty Cepstral lexicon
JCepstralLexicon jCepstralLexicon = JChantLM1.createChantLexicon("CallieWords", "Cepstral Callie 16kHz 5.0.0");

// Define an empty SAPI 4 lexicon
JSAPI4Lexicon jSAPI4Lexicon = JChantLM1.createChantLexicon("MaryWords", "Microsoft Mary");

// Define an empty SAPI 5 user lexicon
JSAPI5UserLexicon jSAPI5UserLexicon = JChantLM1.createChantLexicon("CurrentUserLexicon", "");

// Define an empty SAPI 5 application lexicon
JSAPI5AppLexicon jSAPI5AppLexicon = JChantLM1.createChantLexicon("DavidWords", "Microsoft David Desktop - English (United States)");

// Define an empty L&H lexicon
JLHLexicon jLHLexicon = JChantLM1.createChantLexicon("TomWords", "Nuance Vocalizer tom_16kHz");

' Define an empty Bab lexicon
Dim nBabLexicon as NBabLexicon
nBabLexicon = NChantLM1.CreateChantLexicon("RyanWords", "Ryan, HQ 22k, USEnglish, Acapela Multimedia")

' Define an empty Cepstral lexicon
Dim nCepstralLexicon as NCepstralLexicon
nCepstralLexicon = NChantLM1.CreateChantLexicon("CallieWords", "Cepstral Callie 16kHz 5.0.0")

' Define an empty SAPI 4 lexicon
Dim nSAPI4Lexicon as NSAPI4Lexicon
nSAPI4Lexicon = NChantLM1.CreateChantLexicon("MaryWords", "Microsoft Mary")

' Define an empty SAPI 5 user lexicon
Dim nSAPI5UserLexicon as NSAPI5UserLexicon
nSAPI5UserLexicon = NChantLM1.CreateSAPI5UserLexicon("CurrentUserLexicon", "")

' Define an empty SAPI 5 application lexicon
Dim nSAPI5AppLexicon as NSAPI5AppLexicon
nSAPI5AppLexicon = NChantLM1.CreateChantLexicon("DavidWords", "Microsoft David Desktop - English (United States)")

' Define an empty L&H lexicon
Dim nLHLexicon as NLHLexicon
nLHLexicon = NChantLM1.CreateChantLexicon("TomWords", "Nuance Vocalizer tom_16kHz")

Collapse/Expand See Also section See Also

ChantLM


ChantLM CreateLHLexicon Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

CreateLHLexicon Method

Instantiates a LHLLexicon object for editing and exporting based on local lexicon resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NLHLexicon lhLexicon = chantLM.CreateLHLexicon(name, engine);

CLHLexicon* lhLexicon = chantLM->CreateLHLexicon(name, engine);

CLHLexicon* lhLexicon = chantLM->CreateLHLexicon(name, engine);

var lhLexicon: TLHLexicon;
lhLexicon := chantLM.CreateLHLexicon(name, engine);

JLHLexicon lhLexicon = chantLM.createLHLexicon(name, engine);

Dim lhLexicon as NLHLexicon
lhLexicon = chantLM.CreateLHLexicon(name, engine)

Parameters

name

String. The lexicon name.

engine

String. The RSSolo or Vocalizer voice name or VoCon Recognizer name for which to create the lexicon.

Return Value

LHLexicon object.

Collapse/Expand Example section Example

The following example illustrates defining a lexicon resource.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define an empty L&H lexicon
NLHLexicon nLHLexicon = NChantLM1.CreateLHLexicon("TomWords", "Nuance Vocalizer tom_16kHz");

// Define an empty L&H lexicon
CLHLexicon* pLHLexicon = pChantLM->CreateLHLexicon(L"TomWords", L"Nuance Vocalizer tom_16kHz");

// Define an empty L&H lexicon
CLHLexicon* pLHLexicon = pChantLM->CreateLHLexicon("TomWords", "Nuance Vocalizer tom_16kHz");

// Define an empty L&H lexicon
var aTLHLexicon: TLHLexicon;
aTLHLexicon := ChantLM1.CreateLHLexicon('TomWords', 'Nuance Vocalizer tom_16kHz');

// Define an empty L&H lexicon
JLHLexicon jLHLexicon = JChantLM1.createLHLexicon("TomWords", "Nuance Vocalizer tom_16kHz");

' Define an empty L&H lexicon
Dim nLHLexicon as NLHLexicon
nLHLexicon = NChantLM1.CreateLHLexicon("TomWords", "Nuance Vocalizer tom_16kHz")

Collapse/Expand See Also section See Also

ChantLM


ChantLM CreateSAPI4Lexicon Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

CreateSAPI4Lexicon Method

Instantiates a SAPI4LLexicon object for editing and exporting based on local lexicon resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NSAPI4Lexicon sapi4Lexicon = chantLM.CreateSAPI4Lexicon(name, engine);

CSAPI4Lexicon* sapi4Lexicon = chantLM->CreateSAPI4Lexicon(name, engine);

CSAPI4Lexicon* sapi4Lexicon = chantLM->CreateSAPI4Lexicon(name, engine);

var sapi4Lexicon: TSAPI4Lexicon;
sapi4Lexicon := chantLM.CreateSAPI4Lexicon(name, engine);

JSAPI4Lexicon sapi4Lexicon = chantLM.createSAPI4Lexicon(name, engine);

Dim sapi4Lexicon as NSAPI4Lexicon
sapi4Lexicon = chantLM.CreateSAPI4Lexicon(name, engine)

Parameters

name

String. The lexicon name.

engine

String. The SAPI 4 voice name or recognizer name for which to create the lexicon.

Return Value

SAPI4Lexicon object.

Collapse/Expand Example section Example

The following example illustrates defining a lexicon resource.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define an empty SAPI 4 lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.CreateSAPI4Lexicon("MaryWords", "Microsoft Mary");

// Define an empty SAPI 4 lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->CreateSAPI4Lexicon(L"MaryWords", L"Microsoft Mary");

// Define an empty SAPI 4 lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->CreateSAPI4Lexicon("MaryWords", "Microsoft Mary");

// Define an empty SAPI 4 lexicon
var aTSAPI4Lexicon: TSAPI4Lexicon;
aTSAPI4Lexicon := ChantLM1.CreateSAPI4Lexicon('MaryWords', 'Microsoft Mary');

// Define an empty SAPI 4 lexicon
JSAPI4Lexicon jSAPI4Lexicon = JChantLM1.createSAPI4Lexicon("MaryWords", "Microsoft Mary");

' Define an empty SAPI 4 lexicon
Dim nSAPI4Lexicon as NSAPI4Lexicon
nSAPI4Lexicon = NChantLM1.CreateSAPI4Lexicon("MaryWords", "Microsoft Mary")

Collapse/Expand See Also section See Also

ChantLM


ChantLM CreateSAPI5AppLexicon Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

CreateSAPI5AppLexicon Method

Instantiates a CSAPI5AppLexicon object for editing and exporting based on local lexicon resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NSAPI5AppLexicon sapi5AppLexicon = chantLM.CreateSAPI5AppLexicon(name, engine);

CSAPI5AppLexicon* sapi5AppLexicon = chantLM->CreateSAPI5AppLexicon(name, engine);

CSAPI5AppLexicon* sapi5AppLexicon = chantLM->CreateSAPI5AppLexicon(name, engine);

var sapi5AppLexicon: TSAPI5AppLexicon;
sapi5AppLexicon := chantLM.CreateSAPI5AppLexicon(name, engine);

JSAPI5AppLexicon sapi5AppLexicon = chantLM.createSAPI5AppLexicon(name, engine);

Dim sapi5AppLexicon as NSAPI5AppLexicon
sapi5AppLexicon = chantLM.CreateSAPI5AppLexicon(name, engine)

Parameters

name

String. The lexicon name.

engine

String. The SAPI 5 or Microsoft Speech Platform voice name or recognizer name for which to create the lexicon.

Return Value

SAPI5AppLexicon object.

Collapse/Expand Example section Example

The following example illustrates defining a lexicon resource.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define an empty SAPI 5 application lexicon
NSAPI5AppLexicon nSAPI5AppLexicon = NChantLM1.CreateSAPI5AppLexicon("DavidWords", "Microsoft David Desktop - English (United States)");

// Define an empty SAPI 5 application lexicon
CSAPI5AppLexicon* pSAPI5AppLexicon = pChantLM->CreateSAPI5AppLexicon(L"DavidWords", L"Microsoft David Desktop - English (United States)");

// Define an empty SAPI 5 application lexicon
CSAPI5AppLexicon* pSAPI5AppLexicon = pChantLM->CreateSAPI5AppLexicon("DavidWords", "Microsoft David Desktop - English (United States)");

// Define an empty SAPI 5 application lexicon
var aTSAPI5AppLexicon: TSAPI5AppLexicon;
aTSAPI5AppLexicon := ChantLM1.CreateSAPI5AppLexicon('DavidWords', 'Microsoft David Desktop - English (United States)');

// Define an empty SAPI 5 application lexicon
JSAPI5AppLexicon jSAPI5AppLexicon = JChantLM1.createSAPI5AppLexicon("DavidWords", "Microsoft David Desktop - English (United States)");

' Define an empty SAPI 5 application lexicon
Dim nSAPI5AppLexicon as NSAPI5AppLexicon
nSAPI5AppLexicon = NChantLM1.CreateSAPI5AppLexicon("DavidWords", "Microsoft David Desktop - English (United States)")

Collapse/Expand See Also section See Also

ChantLM


ChantLM CreateSAPI5UserLexicon Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

CreateSAPI5UserLexicon Method

Instantiates a CSAPI5UserLexicon object for editing and exporting based on local lexicon resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NSAPI5UserLexicon sapi5UserLexicon = chantLM.CreateSAPI5UserLexicon();

CSAPI5UserLexicon* sapi5UserLexicon = chantLM->CreateSAPI5UserLexicon();

CSAPI5UserLexicon* sapi5UserLexicon = chantLM->CreateSAPI5UserLexicon();

var sapi5UserLexicon: TSAPI5UserLexicon;
sapi5UserLexicon := chantLM.CreateSAPI5UserLexicon();

JSAPI5UserLexicon sapi5UserLexicon = chantLM.createSAPI5UserLexicon();

Dim sapi5UserLexicon as NSAPI5UserLexicon
sapi5UserLexicon = chantLM.CreateSAPI5UserLexicon()

Collapse/Expand Example section Example

The following example illustrates defining a lexicon resource.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define an empty SAPI 5 user lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.CreateSAPI5UserLexicon();

// Define an empty SAPI 5 user lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->CreateSAPI5UserLexicon();

// Define an empty SAPI 5 user lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->CreateSAPI5UserLexicon();

// Define an empty SAPI 5 user lexicon
var aTSAPI5UserLexicon: TSAPI5UserLexicon;
aTSAPI5UserLexicon := ChantLM1.CreateSAPI5UserLexicon();

// Define an empty SAPI 5 user lexicon
JSAPI5UserLexicon jSAPI5UserLexicon = JChantLM1.createSAPI5UserLexicon();

' Define an empty SAPI 5 user lexicon
Dim nSAPI5UserLexicon as NSAPI5UserLexicon
nSAPI5UserLexicon = NChantLM1.CreateSAPI5UserLexicon()

Collapse/Expand See Also section See Also

ChantLM


ChantLM GeneratePhonemes Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

GeneratePhonemes Method

Generates phoneme representation of a word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String phonemes = chantLM.GeneratePhonemes(word, engine, eChantPartOfSpeech);

wchar_t* phonemes = chantLM->GeneratePhonemes(word, engine, eChantPartOfSpeech);

String phonemes = chantLM->GeneratePhonemes(word, engine, eChantPartOfSpeech);

var phonemes: string;
phonemes := chantLM.GeneratePhonemes(word, engine, eChantPartOfSpeech);

String phonemes = chantLM.generatePhonemes(word, engine, eChantPartOfSpeech);

Dim phonemes As String
phonemes = chantLM.GeneratePhonemes(word, engine, eChantPartOfSpeech)

Parameters

word

String. Word(s) from which to generate the phoneme representation.

engine

String. Name of recognizer or synthesizer.

eChantPartOfSpeech

ChantPartOfSpeech. Value that uniquely identifies the word part of speech.

Return Value

String. Phoneme representation for the word(s).

Collapse/Expand Remarks section Remarks

If more than one word is specified, phoneme representations are separated by a space. You may optionally specify the part of speech in generating the pronunciation as one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAbbreviation | 1 | Shortened form of a word -(e.g, hr.)
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAdjective | 2 | Word that modifies a noun (e.g., green).
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech | CPOSAdverb | 3 | Word that modifies a verb, an adjective, or another adverb (e.g., quickly).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSCardinal | 4 | Number used in simple counting (e.g., one, two, three).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSConjunction | 5 | Word used to join sentences, clauses, or phrases (e.g., and).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSContraction | 6 | Shortened form of one or two words with the omitted letter or letters indicated by an apostrophe (e.g., can't).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSDeterminer | 7 | Limiting noun modifier that precedes an adjective modifying the same noun (e.g., her)
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSFunction | 8 | Indicates that the part of speech is a function.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSIgnore | 9 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSInterjection | 10 | Word or phrase that expresses emotion (e.g., indeed, heavens).
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSModifier | 11 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSNoun | 12 | Word that names a person, place, thing (e.g., astronaut, New York, printer, history).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSOrdinal | 13 | Number used to show order (e.g., first, second, third).
Nuance VoCon 3200 | CPOSPastParticiple | 14 | Verb form that can be used in compound tenses or voices, or as a modifier (e.g., talked).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPreposition | 15 | Word that precedes a noun or pronoun to form an adjectival or adverbial phrase (e.g., "aboard" in "aboard the ship").
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPronoun | 16 | Word that substitutes for a noun (e.g, it).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSProperNoun | 17 | Noun that names a specific person or place (e.g., Katherine, Cleveland).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSPunctuation | 18 | Marks that clarify the meaning and structure of writing (e.g., .).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CPOSQuantifier | 19 | Limiting noun modifier that expresses quantity and precedes an adjective modifying the same noun (e.g., "four" in "the four ripe strawberries").
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSUnknown | 20 | Part of speech is unknown.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSVerb | 21 | Word that expresses an act or a state of being (e.g., eat, be).

Collapse/Expand Example section Example

The following example illustrates generating phonemes.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
String phonemes = NChantLM1.GeneratePhonemes("apple", "Microsoft Speech Recognizer 8.0 for Windows (English - US)", ChantPartOfSpeech.CPOSNoun);

wchar_t* phonemes = pCChantLM->GeneratePhonemes(L"apple", L"Microsoft Speech Recognizer 8.0 for Windows (English - US)", CPOSNoun);

String phonemes = pCChantLM->GeneratePhonemes("apple", "Microsoft Speech Recognizer 8.0 for Windows (English - US)", CPOSNoun);

var phonemes: string;
phonemes := ChantLM1.GeneratePhonemes('apple', 'Microsoft Speech Recognizer 8.0 for Windows (English - US)', CPOSNoun);

String phonemes = JChantLM1.generatePhonemes("apple", "Microsoft Speech Recognizer 8.0 for Windows (English - US)", ChantPartOfSpeech.CPOSNoun);

Dim phonemes As String
phonemes = NChantLM1.GeneratePhonemes("apple", "Microsoft Speech Recognizer 8.0 for Windows (English - US)", ChantPartOfSpeech.CPOSNoun)

Collapse/Expand See Also section See Also

ChantLM


ChantLM GetChantLMEvent Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

GetChantLMEvent Method

Returns a ChantLMEvent object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantLMEvent chantLMEvent = chantLM.GetChantLMEvent()

CChantLMEvent* chantLMEvent = chantLM.GetChantLMEvent()

CChantLMEvent* chantLMEvent = chantLM.GetChantLMEvent()

var chantLMEvent: TChantLMEvent;
chantLMEvent := chantLM.GetChantLMEvent();

JChantLMEvent chantLMEvent = chantLM.getChantLMEvent()

Dim chantLMEvent As NChantLMEvent
chantLMEvent = chantLM.GetChantLMEvent()

Return Value

ChantLMEvent object.

Collapse/Expand Example section Example

See HasEvent example.


ChantLM GetPronounceable Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

GetPronounceable Method

Returns constant value indicating whether the word(s) is(are) part of the recognizer's dictionary and can be recognized. SAPI 5 only.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantWordPronounceable eChantWordPronounceable = chantLM->GetPronounceable(word);

ChantWordPronounceable eChantWordPronounceable = chantLM->GetPronounceable(word);

ChantWordPronounceable eChantWordPronounceable = chantLM->GetPronounceable(word);

var eChantWordPronounceable: ChantWordPronounceable;
eChantWordPronounceable := chantLM.GetPronounceable(word);

ChantWordPronounceable eChantWordPronounceable = chantLM.getPronounceable(word);

Dim eChantWordPronounceable As ChantWordPronounceable
eChantWordPronounceable = chantLM.GetPronounceable(word)

Parameters

word

String. Word(s).

Return Value

ChantWordPronounceable. Constant value indicating whether word(s) is(are) known and pronounceable.

Collapse/Expand Remarks section Remarks

The recognizer indicates whether it can recognize and if it already knows about the word(s) with one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CWPUnpronounceable | 0 | Won't be recognized.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CWPUknownWordPronounceable | 1 | Not in dictionary, but can be recognized.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CWPKnownWordPronounceable | 2 | In dictionary and can be recognized.

Collapse/Expand Example section Example

The following example illustrates determining whether the recognizer supports a specific dialog

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
ChantWordPronounceable eChantWordPronounceable = NChantLM1.GetPronounceable("supercalifragilisticexpialidocious");

ChantWordPronounceable eChantWordPronounceable = pChantLM->GetPronounceable(L"supercalifragilisticexpialidocious");

ChantWordPronounceable eChantWordPronounceable = pChantLM->GetPronounceable("supercalifragilisticexpialidocious");

var eChantWordPronounceable: ChantWordPronounceable;
eChantWordPronounceable := ChantLM1.GetPronounceable('supercalifragilisticexpialidocious');

ChantWordPronounceable eChantWordPronounceable = JChantLM1.getPronounceable("supercalifragilisticexpialidocious");

Dim eChantWordPronounceable As ChantWordPronounceable
eChantWordPronounceable = NChantLM1.GetPronounceable("supercalifragilisticexpialidocious")

Collapse/Expand See Also section See Also

ChantLM


ChantLM HasEvent Event

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

HasEvent Event

Notifies the application of a lexicon management event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

// In your Form constructor, add reference to your event handler
NChantLM1.HasEvent += this.NChantLM1_HasEvent;

// The HasEvent handler is declared as a subroutine for the class object
// with the following signature
private void NChantLM1_HasEvent(object sender, Chant.LexiconKit.HasEventArgs e)
{

// HasEvent handler code goes here

}

                    // C++ event notifications can be handled via application message pump (e.g., DefWindowProc)
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
m_HasEvent = WM_APP+5;
m_pChantLM->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

LRESULT MyApp::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // C++Builder event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantLM1->SetWindowMessage(Handle, WM_APP+5, 0, 0);

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // Delphi event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantPM1.SetWindowMessage(Handle, WM_APP+5, 0, 0);

procedure TForm1.OnHasEvent(var msg: TMessage);
begin

// HasEvent handler code goes here

end;

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // Java applications indicate they support the HasEvent handler interface
// with the "implements" clause
public class Frame1 extends JFrame implements com.speechkit.JChantLMEvents

// You must also inform the class object which java object implements the HasEvent
                    handler interface
// using the setCallbackFunction
JChantLM1.setCallbackFunction(this,null,null);

// The HasEvent handler is declared as a method with the following signature
public void hasEvent(Object obj1, Object obj2)
{

// HasEvent handler code goes here

}

' Visual Basic .NET applications declare that they are interested in receiving events
' as part of the class object declaration using the WithEvents clause
Dim WithEvents NChantLM1 As NChantLM

' The HasEvent handler is declared as a subroutine for the class object with the following signature
Private Sub NChantLM1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.LexiconKit.HasEventArgs) Handles NChantLM1.HasEvent

' HasEvent handler code goes here

End Sub

Collapse/Expand Remarks section Remarks

An application must register for the events it is interested in receiving. The RegisterCallback method indicates the type of event the application is interested in receiving. An application can register for as many different event types as it wants.

Event notifications may be turned off at any time with the UnregisterCallback method.

If an application wants to receive events, it must also have a HasEvent handler that processes the desired events. See the discussion about events for lexicon management.

Collapse/Expand Example section Example

The following example illustrates handling phoneme generation events:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantLM1_HasEvent(object sender, Chant.LexiconKit.HasEventArgs e)
{
    // Get the event from the event queue
    NChantLMEvent chantLMEvent = NChantLM1.GetChantLMEvent();
    if (chantLMEvent != null)
    {
        switch (chantLMEvent.ChantCallback)
        {
            default:
                break;
            case ChantCallback.CCTTSPhoneme:
                // Insert text
                textBox2.SelectedText = chantLMEvent.Text;
                break;
        }
        // Remove the event from the event queue
        NChantLM1.RemoveEvent();
    }
}

LRESULT CEditLexiconDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantLM != NULL)
    {
        if (message == m_HasEvent)
        {
            // Get the event from the event queue
            CChantLMEvent* chantLMEvent = m_pChantLM->GetChantLMEvent();
            if (pChantLMEvent != NULL)
            {
                // Process the type of callback event
                switch (chantLMEvent->GetChantCallback())
                {
                    case CCTTSPhoneme :
                        {
                            // Insert text
                            CEdit* pEdit = (CEdit*)GetDlgItem(IDC_EDIT2);
                            if (pEdit != NULL)
                            {
                                pEdit->ReplaceSel(chantLMEvent->GetText());
                            }
                            break;
                        }
                    default :
                        break;
                }
                // Remove the event from the event queue
                m_pChantLM->RemoveEvent();
                // Delete the C++ wrapper class object
                delete chantLMEvent;
                chantLMEvent = NULL;
            }
        }
    }

    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantLMEvent* chantLMEvent = ChantLM1->GetChantLMEvent();
    if (chantLMEvent != NULL)
    {
        switch (chantLMEvent->GetChantCallback())
        {
            default:
                break;
            case CCTTSPhoneme:
                // Insert text
                Edit2->SelText = chantLMEvent->GetText();
                break;
        }
        // Remove the event from the event queue
        ChantLM1->RemoveEvent();
        delete chantLMEvent;
        chantLMEvent = NULL;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  chantLMEvent: TChantLMEvent;
begin
    // Get the event from the event queue
    chantLMEvent := ChantLM1.GetChantLMEvent();
    if (chantLMEvent <> nil) then
    begin
      case chantLMEvent.ChantCallback of
        CCTTSPhoneme:
        begin
          // Insert text
          Edit2.SelText := chantLMEvent.Text;
        end;
      end;
      // Remove the event from the event queue
      ChantLM1.RemoveEvent();
      chantLMEvent.Destroy();
    end;
end;

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantLMEvent chantLMEvent = JChantLM1.getChantLMEvent();
    if (chantLMEvent != null)
    {
      switch(chantLMEvent.getChantCallback())
      {
        default :
          break;
        case ChantCallback.CCTTSPhoneme :
          // Insert text
          jTextField2.replaceSelection(chantLMEvent.getText());
          jTextField2.setSelectionStart(jTextField2.getSelectionStart());
          break;
      }
    }
    JChantLM1.removeEvent();
}

Private Sub NChantLM1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.LexiconKit.HasEventArgs) Handles NChantLM1.HasEvent
    Dim chantLMEvent As NChantLMEvent
    ' Get the event from the event queue
    chantLMEvent = NChantLM1.GetChantLMEvent()
    If chantLMEvent <> Nothing Then
        Select Case chantLMEvent.ChantCallback
            Case ChantCallback.CCTTSPhoneme
                ' Insert text
                TextBox2.SelectedText = chantLMEvent.Text
        End Select
        ' Remove the event from the event queue
        NChantLM1.RemoveEvent()
    End If
End Sub

Collapse/Expand See Also section See Also

ChantLM
ChantLMEvent
GetChantLMEvent
RemoveEvent
RegisterCallback
UnregisterCallback


ChantLM LastError Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

LastError Property

A numeric error code for the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int error = chantLM.LastError;

long error = chantLM->GetLastError();

long error = chantLM->GetLastError();

var error: Integer;
error := chantLM.LastError;

int error = chantLM.getLastError();

Dim error As Integer
error = chantLM.LastError

Return Value

Long integer. Error code.

Collapse/Expand Remarks section Remarks

ChantLM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantLM
LastErrorMessage
LastErrorString


ChantLM LastErrorMessage Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

LastErrorMessage Property

A description of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String errorMessage = chantLM.LastErrorMessage;

wchar_t* errorMessage = chantLM->GetLastErrorMessage();

String errorMessage = chantLM->GetLastErrorMessage();

var errorMessage: string;
errorMessage := chantLM.LastErrorMessage;

String errorMessage = chantLM.getLastErrorMessage();

Dim errorMessage As String
errorMessage = chantLM.LastErrorMessage

Collapse/Expand Remarks section Remarks

ChantLM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantLM
LastError
LastErrorString


ChantLM LastErrorString Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

LastErrorString Property

A text representation of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String error = chantLM.LastErrorString;

wchar_t* error = chantLM->GetLastErrorString();

String error = chantLM->GetLastErrorString();

var error: string;
error := chantLM.LastErrorString;

String error = chantLM.getLastErrorString();

Dim error As String
error = chantLM.LastErrorString

Collapse/Expand Remarks section Remarks

ChantLM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantLM
LastError
LastErrorMessage


ChantLM OpenChantLexicon Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

OpenChantLexicon Method

Instantiates a ChantLexicon object for editing and importing based on a lexicon archive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantLexicon chantLexicon = chantLM.OpenChantLexicon(fileName);

CChantLexicon* chantLexicon = chantLM->OpenChantLexicon(fileName);

CChantLexicon* chantLexicon = chantLM->OpenChantLexicon(fileName);

var chantLexicon: TChantLexicon;
chantLexicon := chantLM.OpenChantLexicon(fileName);

JChantLexicon chantLexicon = chantLM.openChantLexicon(fileName);

Dim chantLexicon as NChantLexicon
chantLexicon = chantLM.OpenChantLexicon(fileName)

Parameters

fileName

String. The lexicon archive file name.

Return Value

ChantLexicon object.

Collapse/Expand Example section Example

The following example illustrates opening and editing a lexicon archive.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Open an archived Cepstral Lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.OpenLexicon("CallieWords.exe");

// Add pronunciation to speech engine lexicon
nCepstralLexicon.AddPronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nCepstralLexicon.DeletePronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("CallieWords.exe");

// Open an archived SAPI 4 Lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.OpenLexicon("MaryWords.exe");

// Add pronunciation to speech engine lexicon
nSAPI4Lexicon.AddPronunciation("tomato", "taxmeytow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nSAPI4Lexicon.DeletePronunciation("tomato", taxmeytow", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("MaryWords.exe");

// Open an archived SAPI 5 User Lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("CurrentUserLexicon.exe");

// Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("CurrentUserLexicon.exe");

// Open an archived SAPI 5 App Lexicon
NSAPI5AppLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("DavidWords.exe");

// Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("DavidWords.exe");

// Open an archived Cepstral Lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->OpenLexicon(L"CallieWords.exe");

// Add pronunciation to speech engine lexicon
pCepstralLexicon->AddPronunciation(L"tomato", L"t ah0 m ey1 t ow0", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pCepstralLexicon->DeletePronunciation(L"tomato", L"t ah0 m ey1 t ow0", CPOSNoun);

// Save changes
pChantLM->Export(L"CallieWords.exe");

// Open an archived SAPI 4 Lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->OpenLexicon(L"MaryWords.exe");

// Add pronunciation to speech engine lexicon
pSAPI4Lexicon->AddPronunciation(L"tomato", L"taxmeytow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI4Lexicon->DeletePronunciation(L"tomato", Ltaxmeytow", CPOSNoun);

// Save changes
pChantLM->Export(L"MaryWords.exe");

// Open an archived SAPI 5 User Lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon(L"CurrentUserLexicon.exe");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation(L"tomato", L"t ax m ey t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation(L"tomato", L"t ax m ey t ow", CPOSNoun);

// Save changes
pChantLM->Export(L"CurrentUserLexicon.exe");

// Open an archived SAPI 5 App Lexicon
CSAPI5AppLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon(L"DavidWords.exe");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation(L"tomato", L"t ax m aa t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation(L"tomato", L"t ax m aa t ow", CPOSNoun);

// Save changes
pChantLM->Export(L"DavidWords.exe");

// Open an archived Cepstral Lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->OpenLexicon("CallieWords.exe");

// Add pronunciation to speech engine lexicon
pCepstralLexicon->AddPronunciation("tomato", "t ah0 m ey1 t ow0", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pCepstralLexicon->DeletePronunciation("tomato", "t ah0 m ey1 t ow0", CPOSNoun);

// Save changes
pChantLM->Export("CallieWords.exe");

// Open an archived SAPI 4 Lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->OpenLexicon("MaryWords.exe");

// Add pronunciation to speech engine lexicon
pSAPI4Lexicon->AddPronunciation("tomato", "taxmeytow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI4Lexicon->DeletePronunciation("tomato", taxmeytow", CPOSNoun);

// Save changes
pChantLM->Export("MaryWords.exe");

// Open an archived SAPI 5 User Lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon("CurrentUserLexicon.exe");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation("tomato", "t ax m ey t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation("tomato", "t ax m ey t ow", CPOSNoun);

// Save changes
pChantLM->Export("CurrentUserLexicon.exe");

// Open an archived SAPI 5 App Lexicon
CSAPI5AppLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon("DavidWords.exe");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation("tomato", "t ax m aa t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation("tomato", "t ax m aa t ow", CPOSNoun);

// Save changes
pChantLM->Export("DavidWords.exe");

var aTCepstralLexicon: TCepstralLexicon;
begin
// Open an archived Cepstral Lexicon
aTCepstralLexicon := ChantLM1.OpenLexicon('CallieWords.exe');

// Add pronunciation to speech engine lexicon
aTCepstralLexicon.AddPronunciation('tomato', 't ah0 m ey1 t ow0', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTCepstralLexicon.DeletePronunciation('tomato', 't ah0 m ey1 t ow0', CPOSNoun);

// Save changes
ChantLM1.Export('CallieWords.exe');
end;

var aTSAPI4Lexicon: TSAPI4Lexicon;
begin
// Open an archived SAPI 4 Lexicon
aTSAPI4Lexicon := ChantLM1.OpenLexicon('MaryWords.exe');

// Add pronunciation to speech engine lexicon
aTSAPI4Lexicon.AddPronunciation('tomato', 'taxmeytow', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTSAPI4Lexicon.DeletePronunciation('tomato', taxmeytow', CPOSNoun);

// Save changes
ChantLM1.Export('MaryWords.exe');
end;

var aTSAPI5UserLexicon: TSAPI5UserLexicon;
begin
// Open an archived SAPI 5 User Lexicon
aTSAPI5UserLexicon := ChantLM1.OpenLexicon('CurrentUserLexicon.exe');

// Add pronunciation to speech engine lexicon
aTSAPI5UserLexicon.AddPronunciation('tomato', 't ax m ey t ow', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTSAPI5UserLexicon.DeletePronunciation('tomato', 't ax m ey t ow', CPOSNoun);

// Save changes
ChantLM1.Export('CurrentUserLexicon.exe');
end;

var aTSAPI5AppLexicon: TSAPI5AppLexicon;
begin
// Open an archived SAPI 5 App Lexicon
aTSAPI5AppLexicon := ChantLM1.OpenLexicon('DavidWords.exe');

// Add pronunciation to speech engine lexicon
aTSAPI5AppLexicon.AddPronunciation('tomato', 't ax m aa t ow', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTSAPI5AppLexicon.DeletePronunciation('tomato', 't ax m aa t ow', CPOSNoun);

// Save changes
 ChantLM1.Export('DavidWords.exe');
end;

// Open an archived Cepstral Lexicon
JCepstralLexicon jCepstralLexicon = JChantLM1.openLexicon("CallieWords.exe");

// Add pronunciation to speech engine lexicon
jCepstralLexicon.addPronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jCepstralLexicon.deletePronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("CallieWords.exe");

// Open an archived SAPI 4 Lexicon
JSAPI4Lexicon jSAPI4Lexicon = JChantLM1.openLexicon("MaryWords.exe");

// Add pronunciation to speech engine lexicon
jSAPI4Lexicon.addPronunciation("tomato", "taxmeytow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jSAPI4Lexicon.deletePronunciation("tomato", taxmeytow", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("MaryWords.exe");

// Open an archived SAPI 5 User Lexicon
JSAPI5UserLexicon jSAPI5UserLexicon = JChantLM1.openLexicon("CurrentUserLexicon.exe");

// Add pronunciation to speech engine lexicon
jSAPI5UserLexicon.addPronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jSAPI5UserLexicon.deletePronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("CurrentUserLexicon.exe");

// Open an archived SAPI 5 App Lexicon
JSAPI5AppLexicon jSAPI5UserLexicon = JChantLM1.openLexicon("DavidWords.exe");

// Add pronunciation to speech engine lexicon
jSAPI5UserLexicon.addPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jSAPI5UserLexicon.deletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("DavidWords.exe");

Dim nCepstralLexicon as NCepstralLexicon
' Open an archived Cepstral Lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.OpenLexicon("CallieWords.exe")

' Add pronunciation to speech engine lexicon
nCepstralLexicon.AddPronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nCepstralLexicon.DeletePronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("CallieWords.exe")

Dim nSAPI4Lexicon as NSAPI4Lexicon
' Open an archived SAPI 4 Lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.OpenLexicon("MaryWords.exe")

' Add pronunciation to speech engine lexicon
nSAPI4Lexicon.AddPronunciation("tomato", "taxmeytow", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nSAPI4Lexicon.DeletePronunciation("tomato", taxmeytow", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("MaryWords.exe")

Dim nSAPI5UserLexicon as NSAPI5UserLexicon
' Open an archived SAPI 5 User Lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("CurrentUserLexicon.exe")

' Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("CurrentUserLexicon.exe")

Dim nSAPI5UserLexicon as NSAPI5AppLexicon
' Open an archived SAPI 5 App Lexicon
NSAPI5AppLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("DavidWords.exe")

' Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("DavidWords.exe")

Collapse/Expand See Also section See Also

ChantLM


ChantLM OpenLexicon Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

OpenLexicon Method

Instantiates a ChantLexicon object for editing and exporting based on a local lexicon.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantLexicon chantLexicon = chantLM.OpenLexicon(name);

CChantLexicon* chantLexicon = chantLM->OpenLexicon(name);

CChantLexicon* chantLexicon = chantLM->OpenLexicon(name);

var chantLexicon: TChantLexicon;
chantLexicon := chantLM.OpenLexicon(name);

JChantLexicon chantLexicon = chantLM.openChantLexicon(name);

Dim chantLexicon as NChantLexicon
chantLexicon = chantLM.OpenLexicon(name)

Parameters

name

String. The lexicon name.

Return Value

ChantLexicon object.

Collapse/Expand Example section Example

The following example illustrates opening and editing a local lexicon.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Open a local Acapela Lexicon
NBabLexicon nBabLexicon = NChantLM1.OpenLexicon("RyanWords.dct");

// Add pronunciation to speech engine lexicon
nBabLexicon.AddPronunciation("tomato", "t_h A m EI t_h @U", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nBabLexicon.DeletePronunciation("tomato", "t_h A m EI t_h @U", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("RyanWords.dct");

// Open a local Cepstral Lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.OpenLexicon("CallieWords.txt");

// Add pronunciation to speech engine lexicon
nCepstralLexicon.AddPronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nCepstralLexicon.DeletePronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("CallieWords.txt");

// Open a local SAPI 4 Lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.OpenLexicon("Mary");

// Add pronunciation to speech engine lexicon
nSAPI4Lexicon.AddPronunciation("tomato", "taxmeytow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nSAPI4Lexicon.DeletePronunciation("tomato", taxmeytow", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("Mary");

// Open a local SAPI 5 User Lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("CurrentUserLexicon");

// Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
 NChantLM1.Export("CurrentUserLexicon");

// Open a local SAPI 5 App Lexicon
NSAPI5AppLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("DavidWords");

// Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("DavidWords");

// Open a local L&H Lexicon
NLHLexicon nLHLexicon = NChantLM1.OpenLexicon("TomWords.dct");

// Add pronunciation to speech engine lexicon
nLHLexicon.AddPronunciation("tomato", "t$me&Ir6o&U", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nLHLexicon.DeletePronunciation("tomato", "t$me&Ir6o&U", ChantPartOfSpeech.CPOSNoun);

// Save changes
NChantLM1.Export("TomWords.dct");

// Open a local Acapela Lexicon
CBabLexicon* pBabLexicon = pChantLM->OpenLexicon(L"RyanWords.dct");

// Add pronunciation to speech engine lexicon
pBabLexicon->AddPronunciation(L"tomato", L"t_h A m EI t_h @U", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pBabLexicon->DeletePronunciation(L"tomato", L"t_h A m EI t_h @U", CPOSNoun);

// Save changes
pChantLM->Export(L"RyanWords.dct");

// Open a local Cepstral Lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->OpenLexicon(L"CallieWords.txt");

// Add pronunciation to speech engine lexicon
pCepstralLexicon->AddPronunciation(L"tomato", L"t ah0 m ey1 t ow0", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pCepstralLexicon->DeletePronunciation(L"tomato", L"t ah0 m ey1 t ow0", CPOSNoun);

// Save changes
pChantLM->Export(L"CallieWords.txt");

// Open a local SAPI 4 Lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->OpenLexicon(L"Mary");

// Add pronunciation to speech engine lexicon
pSAPI4Lexicon->AddPronunciation(L"tomato", L"taxmeytow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI4Lexicon->DeletePronunciation(L"tomato", Ltaxmeytow", CPOSNoun);

// Save changes
pChantLM->Export(L"Mary");

// Open a local SAPI 5 User Lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon(L"CurrentUserLexicon");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation(L"tomato", L"t ax m ey t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation(L"tomato", L"t ax m ey t ow", CPOSNoun);

// Save changes
pChantLM->Export(L"CurrentUserLexicon");

// Open a local SAPI 5 App Lexicon
CSAPI5AppLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon(L"DavidWords");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation(L"tomato", L"t ax m aa t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation(L"tomato", L"t ax m aa t ow", CPOSNoun);

// Save changes
pChantLM->Export(L"DavidWords");

// Open a local L&H Lexicon
CLHLexicon* pLHLexicon = pChantLM->OpenLexicon(L"TomWords.dct");

// Add pronunciation to speech engine lexicon
pLHLexicon->AddPronunciation(L"tomato", L"t$me&Ir6o&U", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pLHLexicon->DeletePronunciation(L"tomato", L"t$me&Ir6o&U", CPOSNoun);

// Save changes
pChantLM->Export(L"TomWords.dct");

// Open a local Acapela Lexicon
CBabLexicon* pBabLexicon = pChantLM->OpenLexicon("RyanWords.dct");

// Add pronunciation to speech engine lexicon
pBabLexicon->AddPronunciation("tomato", "t_h A m EI t_h @U", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pBabLexicon->DeletePronunciation("tomato", "t_h A m EI t_h @U", CPOSNoun);

// Save changes
pChantLM->Export("RyanWords.dct");

// Open a local Cepstral Lexicon
CCepstralLexicon* pCepstralLexicon = pChantLM->OpenLexicon("CallieWords.txt");

// Add pronunciation to speech engine lexicon
pCepstralLexicon->AddPronunciation("tomato", "t ah0 m ey1 t ow0", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pCepstralLexicon->DeletePronunciation("tomato", "t ah0 m ey1 t ow0", CPOSNoun);

// Save changes
pChantLM->Export("CallieWords.txt");

// Open a local SAPI 4 Lexicon
CSAPI4Lexicon* pSAPI4Lexicon = pChantLM->OpenLexicon("Mary");

// Add pronunciation to speech engine lexicon
pSAPI4Lexicon->AddPronunciation("tomato", "taxmeytow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI4Lexicon->DeletePronunciation("tomato", taxmeytow", CPOSNoun);

// Save changes
pChantLM->Export("Mary");

// Open a local SAPI 5 User Lexicon
CSAPI5UserLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon("CurrentUserLexicon");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation("tomato", "t ax m ey t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation("tomato", "t ax m ey t ow", CPOSNoun);

// Save changes
pChantLM->Export("CurrentUserLexicon");

// Open a local SAPI 5 App Lexicon
CSAPI5AppLexicon* pSAPI5UserLexicon = pChantLM->OpenLexicon("DavidWords");

// Add pronunciation to speech engine lexicon
pSAPI5UserLexicon->AddPronunciation("tomato", "t ax m aa t ow", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pSAPI5UserLexicon->DeletePronunciation("tomato", "t ax m aa t ow", CPOSNoun);

// Save changes
pChantLM->Export("DavidWords");

// Open a local L&H Lexicon
CLHLexicon* pLHLexicon = pChantLM->OpenLexicon("TomWords.dct");

// Add pronunciation to speech engine lexicon
pLHLexicon->AddPronunciation("tomato", "t$me&Ir6o&U", CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
pLHLexicon->DeletePronunciation("tomato", "t$me&Ir6o&U", CPOSNoun);

// Save changes
pChantLM->Export("TomWords.dct");

var aTBabLexicon: TBabLexicon;
begin
// Open a local Acapela Lexicon
aTBabLexicon := ChantLM1.OpenLexicon('RyanWords.dct');

// Add pronunciation to speech engine lexicon
aTBabLexicon.AddPronunciation('tomato', 't_h A m EI t_h @U', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTBabLexicon.DeletePronunciation('tomato', 't_h A m EI t_h @U', CPOSNoun);

// Save changes
ChantLM1.Export('RyanWords.dct');
end;

var aTCepstralLexicon: TCepstralLexicon;
begin
// Open a local Cepstral Lexicon
aTCepstralLexicon := ChantLM1.OpenLexicon('CallieWords.txt');

// Add pronunciation to speech engine lexicon
aTCepstralLexicon.AddPronunciation('tomato', 't ah0 m ey1 t ow0', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTCepstralLexicon.DeletePronunciation('tomato', 't ah0 m ey1 t ow0', CPOSNoun);

// Save changes
ChantLM1.Export('CallieWords.txt');
end;

var aTSAPI4Lexicon: TSAPI4Lexicon;
begin
// Open a local SAPI 4 Lexicon
aTSAPI4Lexicon := ChantLM1.OpenLexicon('Mary');

// Add pronunciation to speech engine lexicon
aTSAPI4Lexicon.AddPronunciation('tomato', 'taxmeytow', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTSAPI4Lexicon.DeletePronunciation('tomato', taxmeytow', CPOSNoun);

// Save changes
ChantLM1.Export('Mary');
end;

var aTSAPI5UserLexicon: TSAPI5UserLexicon;
begin
// Open a local SAPI 5 User Lexicon
aTSAPI5UserLexicon := ChantLM1.OpenLexicon('CurrentUserLexicon');

// Add pronunciation to speech engine lexicon
aTSAPI5UserLexicon.AddPronunciation('tomato', 't ax m ey t ow', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTSAPI5UserLexicon.DeletePronunciation('tomato', 't ax m ey t ow', CPOSNoun);

// Save changes
ChantLM1.Export('CurrentUserLexicon');
end;

var aTSAPI5AppLexicon: TSAPI5AppLexicon;
begin
// Open a local SAPI 5 App Lexicon
aTSAPI5AppLexicon := ChantLM1.OpenLexicon('DavidWords');

// Add pronunciation to speech engine lexicon
aTSAPI5AppLexicon.AddPronunciation('tomato', 't ax m aa t ow', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
aTSAPI5AppLexicon.DeletePronunciation('tomato', 't ax m aa t ow', CPOSNoun);

// Save changes
ChantLM1.Export('DavidWords');
end;

var aTLHLexicon: TLHLexicon;
begin
// Open a local L&H Lexicon
aTLHLexicon := ChantLM1.OpenLexicon('TomWords.dct');

// Add pronunciation to speech engine lexicon
nLHLexicon.AddPronunciation('tomato', 't$me&Ir6o&U', CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
nLHLexicon.DeletePronunciation('tomato', 't$me&Ir6o&U', CPOSNoun);
end;

// Save changes
ChantLM1.Export('TomWords.dct');

// Open a local Acapela Lexicon
JBabLexicon jBabLexicon = JChantLM1.openLexicon("RyanWords.dct");

// Add pronunciation to speech engine lexicon
jBabLexicon.addPronunciation("tomato", "t_h A m EI t_h @U", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jBabLexicon.deletePronunciation("tomato", "t_h A m EI t_h @U", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("RyanWords.dct");

// Open a local Cepstral Lexicon
JCepstralLexicon jCepstralLexicon = JChantLM1.openLexicon("CallieWords.txt");

// Add pronunciation to speech engine lexicon
jCepstralLexicon.addPronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jCepstralLexicon.deletePronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("CallieWords.txt");

// Open a local SAPI 4 Lexicon
JSAPI4Lexicon jSAPI4Lexicon = JChantLM1.openLexicon("Mary");

// Add pronunciation to speech engine lexicon
jSAPI4Lexicon.addPronunciation("tomato", "taxmeytow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jSAPI4Lexicon.deletePronunciation("tomato", taxmeytow", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("Mary");

// Open a local SAPI 5 User Lexicon
JSAPI5UserLexicon jSAPI5UserLexicon = JChantLM1.openLexicon("CurrentUserLexicon");

// Add pronunciation to speech engine lexicon
jSAPI5UserLexicon.addPronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jSAPI5UserLexicon.deletePronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("CurrentUserLexicon");

// Open a local SAPI 5 App Lexicon
JSAPI5AppLexicon jSAPI5UserLexicon = JChantLM1.openLexicon("DavidWords");

// Add pronunciation to speech engine lexicon
jSAPI5UserLexicon.addPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jSAPI5UserLexicon.deletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("DavidWords");

// Open a local L&H Lexicon
JLHLexicon jLHLexicon = JChantLM1.openLexicon("TomWords.dct");

// Add pronunciation to speech engine lexicon
jLHLexicon.addPronunciation("tomato", "t$me&Ir6o&U", ChantPartOfSpeech.CPOSNoun, 1);

// Delete pronunciation directly from speech engine lexicon
jLHLexicon.deletePronunciation("tomato", "t$me&Ir6o&U", ChantPartOfSpeech.CPOSNoun);

// Save changes
JChantLM1.export("TomWords.dct");

Dim nBabLexicon as NBabLexicon
' Open a local Acapela Lexicon
NBabLexicon nBabLexicon = NChantLM1.OpenLexicon("RyanWords.dct")

' Add pronunciation to speech engine lexicon
nBabLexicon.AddPronunciation("tomato", "t_h A m EI t_h @U", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nBabLexicon.DeletePronunciation("tomato", "t_h A m EI t_h @U", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("RyanWords.dct")

Dim nCepstralLexicon as NCepstralLexicon
' Open a local Cepstral Lexicon
NCepstralLexicon nCepstralLexicon = NChantLM1.OpenLexicon("CallieWords.txt")

' Add pronunciation to speech engine lexicon
nCepstralLexicon.AddPronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nCepstralLexicon.DeletePronunciation("tomato", "t ah0 m ey1 t ow0", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("CallieWords.txt")

Dim nSAPI4Lexicon as NSAPI4Lexicon
' Open a local SAPI 4 Lexicon
NSAPI4Lexicon nSAPI4Lexicon = NChantLM1.OpenLexicon("Mary")

' Add pronunciation to speech engine lexicon
nSAPI4Lexicon.AddPronunciation("tomato", "taxmeytow", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nSAPI4Lexicon.DeletePronunciation("tomato", taxmeytow", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("Mary")

Dim nSAPI5UserLexicon as NSAPI5UserLexicon
' Open a local SAPI 5 User Lexicon
NSAPI5UserLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("CurrentUserLexicon")

' Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m ey t ow", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("CurrentUserLexicon")

Dim nSAPI5UserLexicon as NSAPI5AppLexicon
' Open a local SAPI 5 App Lexicon
NSAPI5AppLexicon nSAPI5UserLexicon = NChantLM1.OpenLexicon("DavidWords")

' Add pronunciation to speech engine lexicon
nSAPI5UserLexicon.AddPronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nSAPI5UserLexicon.DeletePronunciation("tomato", "t ax m aa t ow", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("DavidWords")

Dim nLHLexicon as NLHLexicon
' Open a local L&H Lexicon
NLHLexicon nLHLexicon = NChantLM1.OpenLexicon("TomWords.dct")

' Add pronunciation to speech engine lexicon
nLHLexicon.AddPronunciation("tomato", "t$me&Ir6o&U", ChantPartOfSpeech.CPOSNoun, 1)

' Delete pronunciation directly from speech engine lexicon
nLHLexicon.DeletePronunciation("tomato", "t$me&Ir6o&U", ChantPartOfSpeech.CPOSNoun)

' Save changes
NChantLM1.Export("TomWords.dct")

Collapse/Expand See Also section See Also

ChantLM


ChantLM RegisterCallback Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

RegisterCallback Method

Sets the callback event active.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLM.RegisterCallback(eChantCallback);

chantLM->RegisterCallback(eChantCallback);

chantLM->RegisterCallback(eChantCallback);

chantLM.RegisterCallback(eChantCallback);

chantLM.registerCallback(eChantCallback);

chantLM.RegisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

Use the RegisterCallback method to enable callback events that are of interest to your application. Use the UnregisterCallback method to stop receiving events at any time. The callback type may be one of the following values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCAPIError | 59 | API Error. Property values: ID, Function, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSPhoneme | 21 | User selected a phoneme via the Select Phonemes dialog. Property values: Flags, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSProgress | 22 | Percent completion of an import or export operation. Property values: File, Progress, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCSRProgress | 43 | Percent completion of an import or export operation. Property values: File, Progress, Text.

The following example illustrates turning on TTSPhoneme events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn on TTSPhoneme events
NChantLM1.RegisterCallback(ChantCallback.CCTTSPhoneme);

// Turn on TTSPhoneme events
pChantLM->RegisterCallback(CCTTSPhoneme);

// Turn on TTSPhoneme events
pChantLM->RegisterCallback(CCTTSPhoneme);

// Turn on TTSPhoneme events
ChantLM1.RegisterCallback(CCTTSPhoneme);

// Turn on TTSPhoneme events
JChantLM1.registerCallback(ChantCallback.CCTTSPhoneme);

' Turn on TTSPhoneme events
NChantLM1.RegisterCallback(ChantCallback.CCTTSPhoneme)

Collapse/Expand See Also section See Also

ChantLM
UnregisterCallback


ChantLM RemoveEvent Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

RemoveEvent Method

Removes an event from the event queue.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLM.RemoveEvent();

chantLM->RemoveEvent();

chantLM->RemoveEvent();

chantLM.RemoveEvent();

chantLM.removeEvent();

chantLM.RemoveEvent()

Collapse/Expand See Also section See Also

ChantLM


ChantLM SetCallbackFunction Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

SetCallbackFunction Method

Sets callback static function and optional callback parameters.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantLM->SetCallbackFunction(callbackFunction, wParam, lParam);

chantLM->SetCallbackFunction(callbackFunction, wParam, lParam);

chantLM.SetCallbackFunction(callbackFunction, wParam, lParam);

chantLM.setCallbackFunction(callbackFunction, wParam, lParam);

Not supported.

Parameters

callbackFunction

Pointer (C++, C++Builder, Delphi), Object (Java). Callback address (C++, C++Builder, Delphi). Callback object that implements the ChantLMEvents interface (Java).

wParam

WPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

lParam

LPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support static callbacks may set a function to receive callback events.

Collapse/Expand See Also section See Also

ChantLM
SetWindowMessage


ChantLM SetCallbackParms Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

SetCallbackParms Method

Sets optional callback parameters.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLM.SetCallbackParms(parm1, parm2);

Not supported.

Not supported.

Not supported.

chantLM.setCallbackParms(parm1, parm2);

chantLM.SetCallbackParms(parm1, parm2)

Parameters

parm1

Object. Optional application defined value passed on all callback events.

parm2

Object. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Application defined values may be passed on all callback events.

Collapse/Expand Example section Example

The following example illustrates setting optional callback parms.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantLM1.SetCallbackParms(NChantLM1, null);

Not supported.

Not supported.

Not supported.

JChantLM1.setCallbackParms(JChantLM1, null);

NChantLM1.SetCallbackParms(NChantLM1, Nothing)

Collapse/Expand See Also section See Also

ChantLM


ChantLM SetNumberProperty Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

SetNumberProperty Method

Sets a numeric property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLM.SetNumberProperty(eChantNumberProperty, value);

chantLM->SetNumberProperty(eChantNumberProperty, value);

chantLM->SetNumberProperty(eChantNumberProperty, value);

chantLM.SetNumberProperty(eChantNumberProperty, value);

chantLM.setNumberProperty(eChantNumberProperty, value);

chantLM.SetNumberProperty(eChantNumberProperty, value)

Parameters

eChantNumberProperty

ChantNumberProperty. Value that uniquely identifies the property.

value

Integer. Property value.

Collapse/Expand Remarks section Remarks

Set the recognizer speech API before setting speech engine string properties such as CSPEnginePath for Nuance VoCon 3200. The property type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo Nuance Vocalizer Automotive Nuance Vocalizer Epxressive Nuance Vocalizer Mobile Nuance Vocalizer Network | CNPEngineAPI | 12 | ChantLM class property that specifies the speech engine API.
 | CNPNativeAPI | 42 | Enumerate a recognizer or voice via native API if available and not as a SAPI recognizer or voice.

Collapse/Expand Example section Example

The following example illustrates setting the current speech API to the Cepstral Swift.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantLM1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CESWIFTTTS);

pChantLM->SetNumberProperty(CNPEngineAPI, CESWIFTTTS);

pChantLM->SetNumberProperty(CNPEngineAPI, CESWIFTTTS);

ChantLM1.SetNumberProperty(CNPEngineAPI, CESWIFTTTS);

JChantLM1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CESWIFTTTS);

NChantLM1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CESWIFTTTS)

Collapse/Expand See Also section See Also

ChantLM
SetStringProperty


ChantLM SetStringProperty Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

SetStringProperty Method

Sets a string property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLM.SetStringProperty(eChantStringProperty, value);

chantLM->SetStringProperty(eChantStringProperty, value);

chantLM->SetStringProperty(eChantStringProperty, value);

chantLM.SetStringProperty(eChantStringProperty, value);

chantLM.setStringProperty(eChantStringProperty, value);

chantLM.SetStringProperty(eChantStringProperty, value)

Parameters

eChantStringProperty

ChantStringProperty. Value that uniquely identifies the property.

value

String. Property value.

Collapse/Expand Remarks section Remarks

All ChantLM string property values are set via SetStringProperty. Before you set the CSPEnginePath and CSPEnginePath property values, you must set the CNPEngineAPI property value for the applicable speech API. The property type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CSPEngine | 5 | Specifies the name of the recognizer or synthesizer.
 | CSPLicense | 10 | ChantLM class property. Specifies the license value required for distributing applications with the Chant class libraries.
 | CSPSerials | 19 | ChantLM class property. Specifies the serial number value required for distributing applications with the Chant class libraries.
Nuance VoCon 3200 | CSPAcousticModel | 26 | VoCon 3200 acoustic model file.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPConcurrencyLicenseCompany | 27 | License property.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPConcurrencyLicenseName | 28 | License property.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPConcurrencyLicenseKey | 29 | License property.
Nuance VoCon 3200 Nuance RealSpeak Solo | CSPEnginePath | 31 | File path to the engine libraries.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVoiceLicenseCompany | 34 | License property.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVoiceLicenseName | 35 | License property.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVoiceLicenseKey | 36 | License property.
Nuance VoCon 3200 V3 | CSPDDG2PModel | 40 | The VoCon 3200 Data Driven G2P model object that maps words to phonetic transcriptions.
Nuance VoCon 3200 V3 | CSPCLCModel | 41 | The VoCon 3200 Common Linguistic Component model object that maps words to phonetic transcriptions.

Collapse/Expand Example section Example

The following example illustrates setting the engine path for Cepstral voices.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Set the current API to Cepstral SWIFT
NChantLM1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CESWIFTTTS);
// Set the engine path to the Cepstral runtime
NChantLM1.SetStringProperty(ChantStringProperty.CSPEnginePath, "c:\\Program Files\\Cepstral\\bin");

// Set the current API to Cepstral SWIFT
pCChantLM->SetNumberProperty(CNPEngineAPI, ChantEngineAPI.CESWIFTTTS);
// Set the engine path to the Cepstral runtime
pCChantLM->SetStringProperty(CSPEnginePath, L"c:\\Program Files\\Cepstral\\bin");

// Set the current API to Cepstral SWIFT
pCChantLM->SetNumberProperty(CNPEngineAPI, ChantEngineAPI.CESWIFTTTS);
// Set the engine path to the Cepstral runtime
pCChantLM->SetStringProperty(CSPEnginePath, "c:\\Program Files\\Cepstral\\bin");

// Set the current API to Cepstral SWIFT
NChantLM1.SetNumberProperty(CNPEngineAPI, ChantEngineAPI.CESWIFTTTS);
// Set the engine path to the Cepstral runtime
NChantLM1.SetStringProperty(CSPEnginePath, 'c:\\Program Files\\Cepstral\\bin');

// Set the current API to Cepstral SWIFT
JChantLM1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CESWIFTTTS);
// Set the engine path to the Cepstral runtime
JChantLM1.setStringProperty(ChantStringProperty.CSPEnginePath, "c:\\Program Files\\Cepstral\\bin");

' Set the current API to Cepstral SWIFT
NChantLM1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CESWIFTTTS)
' Set the engine path to the Cepstral runtime
NChantLM1.SetStringProperty(ChantStringProperty.CSPEnginePath, "c:\Program Files\Cepstral\bin")

Collapse/Expand See Also section See Also

ChantLM
SetNumberProperty


ChantLM SetWindowMessage Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

SetWindowMessage Method

Sets the WM_APP message value for receiving an event notification as Win32 message.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantLM->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantLM->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantLM.SetWindowMessage(hWnd, Msg, wParam, lParam);

Not supported.

Not supported.

Parameters

hWnd

HWND. Application window handle.

Msg

Long integer. Unique windows message number.

wParam

WPARAM. Optional application defined value passed on all callback events.

lParam

LPARAM. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support Win32 message pump may set a WM_APP message value to uniquely identify ChantLM event notifications. An event notification indicates that a ChantLM callback has fired and a ChantLMEvent resource is on the event resource queue.

Collapse/Expand See Also section See Also

ChantLM


ChantLM ShowDialog Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

ShowDialog Method

Displays a ChantLM dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLM.ShowDialog(eChantDialog, owner, title, options);

chantLM->ShowDialog(eChantDialog, owner, title, options);

chantLM->ShowDialog(eChantDialog, owner, title, options);

chantLM.ShowDialog(eChantDialog, owner, title, options);

chantLM.showDialog(eChantDialog, owner, title, options);

chantLM.ShowDialog(eChantDialog, owner, title, options)

Parameters

eChantDialog

ChantDialog. The dialog to display.

owner

HWND. Application window handle.

title

String. Optional dialog title.

options

String. Optional value required by the dialog.

Collapse/Expand Remarks section Remarks

The dialog type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CDSelectPhonemes | 43 | Displays a phoneme selection dialog.

Collapse/Expand Example section Example

The following example illustrates running the Select Phonemes dialog.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantLM1.ShowDialog(ChantDialog.CDSelectPhonemes, this.Handle, "", "");

pChantLM->ShowDialog(CDSelectPhonemes, m_hWnd);

pChantLM->ShowDialog(CDSelectPhonemes, Handle);

ChantLM1.ShowDialog(CDSelectPhonemes, Handle);

JChantLM1.showDialog(ChantDialog.CDSelectPhonemes, this, "", "");

NChantLM1.ShowDialog(ChantDialog.CDSelectPhonemes, Me.Handle, "", "")

Collapse/Expand See Also section See Also

ChantLM


ChantLM UnregisterCallback Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

UnregisterCallback Method

Sets the callback event inactive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantLM.UnregisterCallback(eChantCallback);

chantLM->UnregisterCallback(eChantCallback);

chantLM->UnregisterCallback(eChantCallback);

chantLM.UnregisterCallback(eChantCallback);

chantLM.unregisterCallback(eChantCallback);

chantLM.UnregisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

Use the RegisterCallback method to enable callback events that are of interest to your application. Use the UnregisterCallback method to stop receiving events at any time. The callback type may be one of the following values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCAPIError | 59 | API Error. Property values: ID, Function, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSPhoneme | 21 | User selected a phoneme via the Select Phonemes dialog. Property values: Flags, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSProgress | 22 | Percent completion of an import or export operation. Property values: File, Progress, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCSRProgress | 43 | Percent completion of an import or export operation. Property values: File, Progress, Text.

The following example illustrates turning off TTSPhoneme events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn off TTSPhoneme events
NChantLM1.UnregisterCallback(ChantCallback.CCTTSPhoneme);

// Turn off TTSPhoneme events
pChantLM->UnregisterCallback(CCTTSPhoneme);

// Turn off TTSPhoneme events
pChantLM->UnregisterCallback(CCTTSPhoneme);

// Turn off TTSPhoneme events
ChantLM1.UnregisterCallback(CCTTSPhoneme);

// Turn off TTSPhoneme events
JChantLM1.unregisterCallback(ChantCallback.CCTTSPhoneme);

' Turn off TTSPhoneme events
NChantLM1.UnregisterCallback(ChantCallback.CCTTSPhoneme)

Collapse/Expand See Also section See Also

ChantLM
RegisterCallback


ChantLMEvent Class

Represents a lexicon management event.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | ChantCallback | The type of event callback.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | File | The lexicon file name.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Flags | Flag indicating whether the phoneme is alphabetic (0 for no, 1 for yes) for SelectPhonemes dialog phoneme selection.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Function | API function name.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | ID | An identifier.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Progress | A value between 0 and 100 representing the completion percent.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Text | Lexicon name on export event or phoneme for SelectPhonemes dialog phoneme selection.

Collapse/Expand See Also section See Also

GetChantLMEvent
RemoveEvent


ChantLMEvent ChantCallback Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

ChantCallback Property

The type of event callback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantCallback eChantCallback = chantLMEvent.ChantCallback;

ChantCallback eChantCallback = chantLMEvent->GetChantCallback();

ChantCallback eChantCallback = chantLMEvent->GetChantCallback();

var eChantCallback: ChantCallback;
eChantCallback := chantLMEvent.ChantCallback;

int eChantCallback = chantLMEvent.getChantCallback();

Dim eChantCallback As ChantCallback
eChantCallback = chantLMEvent.ChantCallback

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantCallback constant values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCAPIError | 59 | API Error. Property values: ID, Function, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSPhoneme | 21 | User selected a phoneme via the Select Phonemes dialog. Property values: Flags, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSProgress | 22 | Percent completion of an import or export operation. Property values: File, Progress, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCSRProgress | 43 | Percent completion of an import or export operation. Property values: File, Progress, Text.

Collapse/Expand See Also section See Also

ChantLMEvent


ChantLMEvent File Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

File Property

The exported or imported file name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String file = chantLMEvent.File;

wchar_t* file = chantLMEvent->GetFile();

String file = chantLMEvent->GetFile();

var file: string;
file := chantLMEvent.File;

String file = chantLMEvent.getFile();

Dim file As String
file = chantLMEvent.File

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLMEvent


ChantLMEvent Flags Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Flags Property

Flag indicating whether the phoneme is alphabetic (0 for no, 1 for yes) for SelectPhonemes dialog phoneme selection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int flags = chantLMEvent.Flags;

long flags = chantLMEvent->GetFlags();

long flags = chantLMEvent->GetFlags();

var flags: Integer;
flags := chantLMEvent.Flags;

int flags = chantLMEvent.getFlags();

Dim flags As Integer
flags = chantLMEvent.Flags

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLMEvent


ChantLMEvent Function Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Function Property

The API function invoked.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String function = chantLMEvent.Function;

wchar_t* function = chantLMEvent->GetFunction();

String function = chantLMEvent->GetFunction();

var function: string;
function := chantLMEvent.Function;

String stringVal = chantLMEvent.getFunction();

Dim function As String
function = chantLMEvent.Function

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLMEvent


ChantLMEvent ID Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

ID Property

An API error code.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int id = chantLMEvent.ID;

long id = chantLMEvent->GetID();

long id = chantLMEvent->GetID();

var id: Integer;
id := chantLMEvent.ID;

int intVal = chantLMEvent.getID();

Dim id As Integer
id = chantLMEvent.ID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLMEvent


ChantLMEvent Progress Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Progress Property

The percent completion of an import or export operation.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int progress = chantLMEvent.Progress;

long progress = chantLMEvent->GetProgress();

long progress = chantLMEvent->GetProgress();

var progress: Integer;
progress := chantLMEvent.Progress;

int progress = chantLMEvent.getProgress();

Dim progress As Integer
progress = chantLMEvent.Progress

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLMEvent


ChantLMEvent Text Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

Text Property

Lexicon name on export event or phoneme for SelectPhonemes dialog phoneme selection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String text = chantLMEvent.Text;

wchar_t* text = chantLMEvent->GetText();

String text = chantLMEvent->GetText();

var text: string;
text := chantLMEvent.Text;

String text = chantLMEvent.getText();

Dim text As String
text = chantLMEvent.Text

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantLMEvent


LHLexicon Class

Represents an L&H lexicon of word pronunciations.

Collapse/Expand Remarks section Remarks

ChantLHLexicon objects are obtained via the ChantLM CreateLHLexicon method.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public property | Nuance VoCon 3200 | AddPronunciation | Adds a pronunciation to a lexicon. Inherits from ChantLexicon.
Public property | Nuance VoCon 3200 | AddWord | Adds a word to a lexicon. Inherits from ChantLexicon.
Public property | Nuance VoCon 3200 | DeletePronunciation | Deletes a pronunciation from a lexicon. Inherits from ChantLexicon.
Public property | Nuance VoCon 3200 | DeleteWord | Deletes a word from a lexicon. Inherits from ChantLexicon.
Public property | Nuance VoCon 3200 | Export | Saves the lexicon to an archive file. Inherits from ChantLexicon.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Nuance VoCon 3200 | ChantLexiconWords | A collection of ChantLexiconWord objects. Inherits from ChantLexicon.
Public property | Nuance VoCon 3200 | Engine | The speech engine name. Inherits from ChantLexicon.
Public property | Nuance VoCon 3200 | FileName | The archive file from which the lexicon was loaded. Inherits from ChantLexicon.
Public property | Nuance VoCon 3200 | Language | The lexicon language. Inherits from ChantLexicon.
Public property | Nuance VoCon 3200 | Name | The lexicon name. Inherits from ChantLexicon.

Collapse/Expand See Also section See Also

ChantLexiconWord


SAPI4Lexicon Class

Represents a lexicon of word pronunciations.

Collapse/Expand Remarks section Remarks

SAPI4Lexicon objects are obtained via the ChantLM CreateSAPI4Lexicon method.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis | AddPronunciation | Adds a pronunciation to a lexicon. Inherits from ChantLexicon.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis | AddWord | Adds a word to a lexicon. Inherits from ChantLexicon.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis | DeletePronunciation | Deletes a pronunciation from a lexicon. Inherits from ChantLexicon.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis | DeleteWord | Deletes a word from a lexicon. Inherits from ChantLexicon.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis | Export | Saves the lexicon to an archive file. Inherits from ChantLexicon.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis | ChantLexiconWords | A collection of ChantLexiconWord objects. Inherits from ChantLexicon.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis | Engine | The speech engine name. Inherits from ChantLexicon.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis | FileName | The archive file from which the lexicon was loaded. Inherits from ChantLexicon.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis | Language | The lexicon language. Inherits from ChantLexicon.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis | Name | The lexicon name. Inherits from ChantLexicon.

Collapse/Expand See Also section See Also

ChantLexiconWord


SAPI5AppLexicon Class

Represents a lexicon of word pronunciations.

Collapse/Expand Remarks section Remarks

SAPI5AppLexicon objects are obtained via the ChantLM CreateSAPI5AppLexicon method.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | AddPronunciation | Adds a pronunciation to a lexicon. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | AddWord | Adds a word to a lexicon. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | DeletePronunciation | Deletes a pronunciation from a lexicon. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | DeleteWord | Deletes a word from a lexicon. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | Export | Saves the lexicon to an archive file. Inherits from ChantLexicon.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | ChantLexiconWords | A collection of ChantLexiconWord objects. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | Engine | The speech engine name. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | FileName | The archive file from which the lexicon was loaded. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | Language | The lexicon language. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | Name | The lexicon name. Inherits from ChantLexicon.

Collapse/Expand See Also section See Also

ChantLexiconWord


SAPI5UserLexicon Class

Represents a lexicon of word pronunciations.

Collapse/Expand Remarks section Remarks

SAPI5UserLexicon objects are obtained via the ChantLM CreateSAPI5UserLexicon method.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | AddPronunciation | Adds a pronunciation to a lexicon. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | AddShortcut | Adds a shortcut to a lexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | AddWord | Adds a word to a lexicon. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | DeletePronunciation | Deletes a pronunciation from a lexicon. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | DeleteShortcut | Deletes a shortcut from a lexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | DeleteWord | Deletes a word from a lexicon. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | Export | Saves the lexicon to an archive file. Inherits from ChantLexicon.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | ChantLexiconShortcuts | A collection of ChantLexiconShortcut objects.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | ChantLexiconWords | A collection of ChantLexiconWord objects. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | Engine | The speech engine name. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | FileName | The archive file from which the lexicon was loaded. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | Language | The lexicon language. Inherits from ChantLexicon.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Recognition Microsoft Speech Platform Speech Synthesis | Name | The lexicon name. Inherits from ChantLexicon.

Collapse/Expand See Also section See Also

ChantLexiconWord
ChantLexiconShortcut


SAPI5UserLexicon AddShortcut Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

AddShortcut Method

Adds a shortcut to a lexicon.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

sapi5UserLexicon.AddShortcut(display, spoken, shortcutType);

sapi5UserLexicon->AddShortcut(display, spoken, shortcutType);

sapi5UserLexicon->AddShortcut(display, spoken, shortcutType);

sapi5UserLexicon.AddShortcut(display, spoken, shortcutType);

sapi5UserLexicon.addShortcut(display, spoken, shortcutType);

sapi5UserLexicon.AddShortcut(display, spoken, shortcutType)

Parameters

display

String. The text to be displayed when the shortcut is spoken.

spoken

String. The text the recognizer should listen for.

shortcutType

Long integer. The shortcut type. Use 0 for No overide, 1 for Unknown, 2 for Email Address, 3 for Other.

Collapse/Expand Example section Example

The following example illustrates adding a shortcut directly to a local speech engine lexicon.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Add shortcut directly to speech engine lexicon
nSAPI5UserLexicon.AddShortcut("work phone", "310-555-1212", 3);

// Add shortcut directly to speech engine lexicon
pSAPI5UserLexicon->AddShortcut(L"work phone", L"310-555-1212",  3);

// Add shortcut directly to speech engine lexicon
pSAPI5UserLexicon->AddShortcut("work phone", "310-555-1212",  3);

// Add shortcut directly to speech engine lexicon
aTSAPI5UserLexicon.AddShortcut('work phone', '310-555-1212',  3);

// Add shortcut directly to speech engine lexicon
jSAPI5UserLexicon.addShortcut("work phone", "310-555-1212",  3);

' Add shortcut directly to speech engine lexicon
nSAPI5UserLexicon.AddShortcut("work phone", "310-555-1212",  3)

Collapse/Expand See Also section See Also

DeleteShortcut
SAPI5UserLexicon


SAPI5UserLexicon ChantLexiconShortcuts Property

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

ChantLexiconShortcuts Property

A collection of ChantLexiconShortcut objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantLexiconShortcutCollection chantLexiconShortcutCollection = sapi5UserLexicon.ChantLexiconShortcuts;

CChantLexiconShortcutCollection* chantLexiconShortcutCollection = sapi5UserLexicon->GetChantLexiconShortcuts();

CChantLexiconShortcutCollection* chantLexiconShortcutCollection = sapi5UserLexicon->GetChantLexiconShortcuts();

var chantLexiconShortcutCollection: TChantLexiconShortcutCollection;
chantLexiconShortcutCollection := sapi5UserLexicon.ChantLexiconShortcuts;

JChantLexiconShortcutCollection chantLexiconShortcutCollection = sapi5UserLexicon.getChantLexiconShortcut();

Dim chantLexiconShortcutCollection As NChantLexiconShortcutCollection
chantLexiconShortcutCollection = sapi5UserLexicon.ChantLexiconShortcuts

Collapse/Expand Example section Example

See the ChantLexiconShortcutCollection example.

Collapse/Expand See Also section See Also

SAPI5UserLexicon
ChantLexiconShortcutCollection


SAPI5UserLexicon DeleteShortcut Method

Chant LexiconKit 5 Logo
Chant LexiconKit 5 Developer's Guide

DeleteShortcut Method

Deletes a shortcut from a lexicon.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

sapi5UserLexicon.DeleteShortcut(display, spoken, shortcutType);

sapi5UserLexicon->DeleteShortcut(display, spoken, shortcutType);

sapi5UserLexicon->DeleteShortcut(display, spoken, shortcutType);

sapi5UserLexicon.DeleteShortcut(display, spoken, shortcutType);

sapi5UserLexicon.deletePronunciation(display, spoken, shortcutType);

sapi5UserLexicon.DeleteShortcut(display, spoken, shortcutType)

Parameters

display

String. The text to be displayed when the shortcut is spoken.

spoken

String. The text the recognizer should listen for.

shortcutType

Long integer. The shortcut type. Use 0 for No overide, 1 for Unknown, 2 for Email Address, 3 for Other.

Collapse/Expand Example section Example

The following example illustrates deleting a shortcut.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Delete shortcut from speech engine lexicon
nSAPI5UserLexicon.DeleteShortcut("work phone", "310-555-1212", 3);

// Delete shortcut from speech engine lexicon
pSAPI5UserLexicon->DeleteShortcut(L"work phone", L"310-555-1212",  3);

// Delete shortcut from speech engine lexicon
pSAPI5UserLexicon->DeleteShortcut("work phone", "310-555-1212",  3);

// Delete shortcut from speech engine lexicon
aTSAPI5UserLexicon.DeleteShortcut('work phone', '310-555-1212',  3);

// Delete shortcut from speech engine lexicon
jSAPI5UserLexicon.deleteShortcut("work phone", "310-555-1212",  3);

' Delete shortcut from speech engine lexicon
nSAPI5UserLexicon.DeleteShortcut("work phone", "310-555-1212",  3)

Collapse/Expand See Also section See Also

AddShortcut
SAPI5UserLexicon


ProfileKit Classes

All ProfileKit class libraries and class names begin with a unique letter as follows:

  • C++ - C (e.g., CProfileKit, CChantPM)
  • Delphi - T (e.g., TChantPM)
  • Java - J (e.g., JProfileKit, JChantPM)
  • .NET - N (e.g., NProfileKit, NChantPM)

The following classes are included in the ProfileKit class libraries:

Class | Description
ChantPM | Object for managing profiles.
ChantPMEvent | Represents a profile management event.
ChantProfile | Represents a speech recognition speaker (i.e., end user) profile.


ChantPM Class

Object for managing profiles.

Collapse/Expand Remarks section Remarks

The profile management object, ChantPM, provides a common interface for training and archiving speaker profiles for Dragon NaturallySpeaking, Microsoft SAPI 4, and Microsoft SAPI 5 recognizers.

The profile management object interacts directly with a speech recognition engine application program interface (API) to create, delete, train, backup, and restore speaker profiles.

Applications receive backup and restore progress notifications through events.

Collapse/Expand Events section Events

 | APIs | Name | Description
Public event | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | HasEvent | Notifies the application of a training, backup, and restore events.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CreateChantProfile | Creates a new speaker profile and instantiates a ChantProfile object for training and backup.
Public method |  | GetChantPMEvent | Returns a ChantPMEvent object.
Public method |  | GetNumberProperty | Returns numeric property value.
Public method |  | GetSweetSpot | Sets and returns the audio level at which minimal noise detection occurs.
Public method |  | IsSupported | Returns whether a feature is supported.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | OpenChantProfile | Instantiates a ChantProfile object based on archived profile for importing.
Public method |  | RegisterCallback | Sets the callback event active.
Public method |  | RemoveEvent | Removes an event from the event queue.
Public method |  | SetCallbackFunction | Sets static callback function.
Public method |  | SetCallbackParms | Sets optional callback parameters.
Public method |  | SetStringProperty | Sets a string property value.
Public method |  | SetWindowMessage | Sets application-unique Windows message number used to notify about callback events.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | ShowDialog | Displays a profile management dialog.
Public method |  | UnregisterCallback | Sets the callback event inactive.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Nuance Dragon NaturallySpeaking | ChantDictationSources | A collection of ChantDictationSource objects.
Public property | Nuance Dragon NaturallySpeaking | ChantDictationTopics | A collection of ChantDictationTopic objects.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | ChantSpeakers | A collection of ChantSpeaker objects.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ChantSREngines | A collection of ChantSREngine objects.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Synthesis Nuance RealSpeak Solo | ChantTTSEngines | A collection of ChantTTSEngine objects.
Public property |  | LastError | A numeric error code for the last error condition.
Public property |  | LastErrorMessage | A description of the last error condition.
Public property |  | LastErrorString | A text representation of the last error condition.

Collapse/Expand See Also section See Also

ChantDictationSource
ChantDictationTopic
ChantSREngine
ChantPMEvent ChantSpeaker


ChantPM ChantDictationSources Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

ChantDictationSources Property

A collection of ChantDictationSource objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantDictationSourceCollection chantDictationSources = chantPM.ChantDictationSources;

CChantDictationSourceCollection* chantDictationSources = chantPM->GetChantDictationSources();

CChantDictationSourceCollection* chantDictationSources = chantPM->GetChantDictationSources();

var chantDictationSources: TChantDictationSourceCollection;
chantDictationSources := chantPM.ChantDictationSources;

JChantDictationSourceCollection chantDictationSources = chantPM.getChantDictationSources();

Dim chantDictationSources As NChantDictationSourceCollection
chantDictationSources = chantPM.ChantDictationSources

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantDictationSource


ChantPM ChantDictationTopics Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

ChantDictationTopics Property

A collection of ChantDictationTopic objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantDictationTopicCollection chantDictationTopics = chantPM.ChantDictationTopics;

CChantDictationTopicCollection* chantDictationTopics = chantPM->GetChantDictationTopics();

CChantDictationTopicCollection* chantDictationTopics = chantPM->GetChantDictationTopics();

var chantDictationTopics: TChantDictationTopicCollection;
chantDictationTopics := chantPM.ChantDictationTopics;

JChantDictationTopicCollection chantDictationTopics = chantPM.getChantDictationTopics();

Dim chantDictationTopics As NChantDictationTopicCollection
chantDictationTopics = chantPM.ChantDictationTopics

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantDictationTopic


ChantPM ChantSpeakers Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

ChantSpeakers Property

A collection of ChantSpeaker objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantSpeakerCollection chantSpeakers = chantPM.ChantSpeakers;

CChantSpeakerCollection* chantSpeakers = chantPM->GetChantSpeakers();

CChantSpeakerCollection* chantSpeakers = chantPM->GetChantSpeakers();

var chantSpeakers: TChantSpeakerCollection;
chantSpeakers := chantPM.ChantSpeakers;

JChantSpeakerCollection chantSpeakers = chantPM.getChantSpeakers();

Dim chantSpeakers As NChantSpeakerCollection
chantSpeakers = chantPM.ChantSpeakers

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSpeaker ChantSpeakerCollection


ChantPM ChantSREngines Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

ChantSREngines Property

A collection of ChantSREngine objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantSREngineCollection chantSREngines = chantPM.ChantSREngines;

CChantSREngineCollection* chantSREngines = chantPM->GetChantSREngines();

CChantSREngineCollection* chantSREngines = chantPM->GetChantSREngines();

var chantSREngines: TChantSREngineCollection;
chantSREngines := chantPM.ChantSREngines;

JChantSREngineCollection chantSREngines = chantPM.getChantSREngines();

Dim chantSREngines As NChantSREngineCollection
chantSREngines = chantPM.ChantSREngines

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREngine
ChantSREngineCollection


ChantPM ChantTTSEngines Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

ChantTTSEngines Property

A collection of ChantTTSEngine objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantTTSEngineCollection chantTTSEngines = chantPM.ChantTTSEngines;

CChantTTSEngineCollection* chantTTSEngines = chantPM->GetChantTTSEngines();

CChantTTSEngineCollection* chantTTSEngines = chantPM->GetChantTTSEngines();

var chantTTSEngines: TChantTTSEngineCollection;
chantTTSEngines := chantPM.ChantTTSEngines;

JChantTTSEngineCollection chantTTSEngines = chantPM.getChantTTSEngines();

Dim chantTTSEngines As NChantTTSEngineCollection
chantTTSEngines = chantPM.ChantTTSEngines

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEngine
ChantTTSEngineCollection


ChantPM CreateChantProfile Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

CreateChantProfile Method

Instantiates a ChantProfile object for training and backup. Creates a new speaker profile if the profile does not exist.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantProfile chantProfile = chantPM->CreateChantProfile(name, eChantEngineAPI, description);

CChantProfile* chantProfile = chantPM->CreateChantProfile(name, eChantEngineAPI, description);

CChantProfile* chantProfile = chantPM->CreateChantProfile(name, eChantEngineAPI, description);

var chantProfile: TChantProfile;
chantProfile := chantPM.CreateChantProfile(name, eChantEngineAPI, description);

JChantProfile chantProfile = chantPM.createChantProfile(name, eChantEngineAPI, description);

Dim chantProfile As NChantProfile
chantProfile = chantPM.CreateChantProfile(name, eChantEngineAPI, description)

Parameters

name

String. The profile name.

eChantEngineAPI

ChantEngineAPI. The speech recognition engine API for which to create the profile.

description

String. Optional description of the speaker profile.

Return Value

Object. A ChantProfile object.

Collapse/Expand Example section Example

The following example illustrates creating a new speaker profile.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Create a new speaker profile
NChantProfile nChantProfile = NChantPM1.CreateChantProfile("NewUser", ChantEngineAPI.CESAPI5SR");

// Create a new speaker profile
CChantProfile* pChantProfile = pChantPM->CreateChantProfile(L"NewUser", CESAPI5SR);

// Create a new speaker profile
CChantProfile* pChantProfile = pChantPM->CreateChantProfile("NewUser", CESAPI5SR);

// Create a new speaker profile
var aTChantProfile: TChantProfile;
aTChantProfile := ChantPM1.CreateChantProfile('NewUser', CESAPI5SR);

// Create a new speaker profile
JChantProfile jChantProfile = JChantPM1.createChantProfile("NewUser", ChantEngineAPI.CESAPI5SR);

' Create a new speaker profile
Dim nChantProfile as NChantProfile
nChantProfile = NChantPM1.CreateChantProfile("NewUser", ChantEngineAPI.CESAPI5SR)

Collapse/Expand See Also section See Also

ChantPM
ChantProfile


ChantPM GetChantPMEvent Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

GetChantPMEvent Method

Returns a ChantPMEvent object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantPMEvent chantPMEvent = chantPM.GetChantPMEvent();

CChantPMEvent* chantPMEvent = chantPM->GetChantPMEvent();

CChantPMEvent* chantPMEvent = chantPM->GetChantPMEvent();

var chantPMEvent: TChantPMEvent;
chantPMEvent := chantPM.GetChantPMEvent();

JChantPMEvent chantPMEvent = chantPM.getChantPMEvent();

Dim chantPMEvent As NChantPMEvent
chantPMEvent = chantPM.GetChantPMEvent()

Return Value

Object. A ChantPMEvent object.

Collapse/Expand Example section Example

See HasEvent example.

Collapse/Expand See Also section See Also

ChantPM


ChantPM GetNumberProperty Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

GetNumberProperty Method

Returns numeric property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int value = chantPM.GetNumberProperty(eChantNumberProperty);

long value = chantPM->GetNumberProperty(eChantNumberProperty);

long value = chantPM->GetNumberProperty(eChantNumberProperty);

var value: Integer;
value := chantPM.GetNumberProperty(eChantNumberProperty);

int value = chantPM.getNumberProperty(eChantNumberProperty);

Dim value As Integer
value = chantPM.GetNumberProperty(eChantNumberProperty)

Parameters

eChantNumberProperty

ChantNumberProperty. Value that uniquely identifies the property.

Return Value

Long integer. Property value.

Collapse/Expand Remarks section Remarks

All ChantPM numeric property values are accessed via GetNumberProperty and SetNumberProperty. The property type may be one of the following values:

APIs | Constant | Value | Description
Nuance Dragon NaturallySpeaking | CNPAudioSetupComplete | 4 | Indicates that the Dragon audio setup has been run for the user.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo Nuance Vocalizer Automotive Nuance Vocalizer Epxressive Nuance Vocalizer Mobile Nuance Vocalizer Network | CNPEngineAPI | 12 | ChantPM property that specifies the speech engine API.
Nuance Dragon NaturallySpeaking | CNPEngineRunning | 13 | Indicates whether the speech engine is running.
Nuance Dragon NaturallySpeaking | CNPEngineUI | 14 | Indicates whether this application is displaying the Dragon NaturallySpeaking tray microphone icon and result box. Values may be combined. Valid values: 0 (all hidden), 1 (tray icon visible), 2 (result box visible).
Nuance Dragon NaturallySpeaking | CNPLanguageID | 16 | Indicates that the Dragon NaturallySpeaking language.
Nuance Dragon NaturallySpeaking | CNPSpeakerCalibrated | 27 | Indicates if the Dragon speaker calibration is complete for the user.
Nuance Dragon NaturallySpeaking | CNPSpeakerModified | 28 | Indicates whether the current Dragon speech files have been modified and need saving.
Nuance Dragon NaturallySpeaking | CNPSpeakerTrained | 29 | Indicates whether the current Dragon speaker has completed General Training and is ready to use dictation.

Collapse/Expand Example section Example

The following example illustrates accessing the EngineAPI property.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
ChantEngineAPI eChantEngineAPI = (ChantEngineAPI)NChantPM1.GetNumberProperty(ChantNumberProperty.CNPEngineAPI);

ChantEngineAPI eChantEngineAPI = (ChantEngineAPI)pChantPM->GetNumberProperty(CNPEngineAPI);

ChantEngineAPI eChantEngineAPI = (ChantEngineAPI)pChantPM->GetNumberProperty(CNPEngineAPI);

var
intVal: Integer;
eChantEngineAPI: ChantEngineAPI;
begin
intVal := ChantPM1.GetNumberProperty(CNPEngineAPI);
eChantEngineAPI := ChantEngineAPI(intVal);
end;

int eChantEngineAPI = JChantPM1.getNumberProperty(ChantNumberProperty.CNPEngineAPI);

Dim eChantEngineAPI as ChantEngineAPI
eChantEngineAPI = (ChantEngineAPI)NChantPM1.GetNumberProperty(ChantNumberProperty.CNPEngineAPI)

Collapse/Expand See Also section See Also

ChantPM
SetNumberProperty


ChantPM GetSweetSpot Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

GetSweetSpot Method

Sets and returns the audio level at which minimal noise detection occurs.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int volume = chantPM.GetSweetSpot(deviceID, eChantEngineAPI, eChantAcousticEnvironment);

long volume = chantPM->GetSweetSpot(deviceID, eChantEngineAPI, eChantAcousticEnvironment);

long volume = chantPM->GetSweetSpot(deviceID, eChantEngineAPI, eChantAcousticEnvironment);

var volume: Integer;
volume := chantGM.GetSweetSpot(deviceID, eChantEngineAPI, eChantAcousticEnvironment);

int volume = chantPM.getSweetSpot(deviceID, eChantEngineAPI, eChantAcousticEnvironment);

Dim volume As Integer
volume = chantPM.GetSweetSpot(deviceID, eChantEngineAPI, eChantAcousticEnvironment)

Parameters

deviceID

Long integer. Audio device id. Specify -1 (WAVE_MAPPER) for the default device id.

eChantEngineAPI

ChantEngineAPI. Specifies the speech engine API from which to convert the audio level setting.

eChantAcousticEnvironment

ChantAcousticEnvironment. Specifies the type of environment.

Return Value

Long integer. The optimal audio level for the recognizer.

Collapse/Expand Remarks section Remarks

This method sets the inbound audio device level and returns the value mapped to the specific speech API range of values. The returned value can be used with the ChantSR SetNumberProperty method to set the CNPVolume value (not supported by Dragon NaturallSpeaking). This may be required for SAPI 5 recognizers on some systems since it will disregard the inbound audio level settings.

Background noise can interfere with recognition. This can be noise from conversations and audio from radios or televisions. It can be noise from light fixtures or air conditioning systems. The environment type may be one of the following values:

Constant | Value | Description
CAECar | 1 | Automobile environment where noise is from road and radio.
CAEFactory | 2 | Factory environment where noise is from machinery.
CAEHome | 3 | Indoor environment where noise is from conversations, radio, and television.
CAEOffice | 4 | Indoor environment where noise is from conversations and office equipment.
CAEOutdoors | 5 | Outdoors environment where noise is from wind and random events.
CAEPlane | 6 | Airplane environment where noise is from ventilation and engines.
CAETrain | 7 | Train environment where noise is from tracks and random events.

Collapse/Expand Example section Example

The following example illustrates getting the Speech API-specific audio level at which minimal noise detection occurs.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
int intVal = (ChantEngineAPI)NChantPM1.GetSweetSpot(-1, ChantEngineAPI.CESAPI5SR, ChantAcousticEnvironment.CAEOffice);

long longVal = (ChantEngineAPI)pCChantPM->GetSweetSpot(-1, CESAPI5SR, CAEOffice);

long longVal = (ChantEngineAPI)pCChantPM->GetSweetSpot(-1, CESAPI5SR, CAEOffice);

var
intVal: Integer;
begin
intVal := ChantPM1.GetSweetSpot(-1, CESAPI5SR, CAEOffice);
end;

// Stop training and save session data
JChantPM1.getSweetSpot(-1, ChantEngineAPI.CESAPI5SR, ChantAcousticEnvironment.CAEOffice);

Dim intVal as Integer
intVal = NChantPM1.GetSweetSpot(-1, ChantEngineAPI.CESAPI5SR, ChantAcousticEnvironment.CAEOffice)

Collapse/Expand See Also section See Also

ChantPM


ChantPM HasEvent Event

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

HasEvent Event

Notifies the application of a profile management event.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

// In your Form constructor, add reference to your event handler
NChantPM1.HasEvent += this.NChantPM1_HasEvent;

// The HasEvent handler is declared as a subroutine for the class object
// with the following signature
private void NChantPM1_HasEvent(object sender, Chant.ProfileKit.HasEventArgs e)
{

// HasEvent handler code goes here

}

                    // C++ event notifications can be handled via application message pump (e.g., DefWindowProc)
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
m_HasEvent = WM_APP+6;
m_pChantPM->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

LRESULT MyApp::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // C++Builder event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantPM1->SetWindowMessage(Handle, WM_APP+6, 0, 0);

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // Delphi event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantPM1.SetWindowMessage(Handle, WM_APP+6, 0, 0);

procedure TForm1.OnHasEvent(var msg: TMessage);
begin

// HasEvent handler code goes here

end;

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // Java applications indicate they support the HasEvent handler interface
// with the "implements" clause
public class Frame1 extends JFrame implements com.speechkit.JChantPMEvents

// You must also inform the class object which java object implements the HasEvent
                    handler interface
// using the setCallbackFunction
JChantPM1.setCallbackFunction(this,null,null);

// The HasEvent handler is declared as a method with the following signature
public void hasEvent(Object obj1, Object obj2)
{

// HasEvent handler code goes here

}

' Visual Basic .NET applications declare that they are interested in receiving events
' as part of the class object declaration using the WithEvents clause
Dim WithEvents NChantPM1 As NChantPM

' The HasEvent handler is declared as a subroutine for the class object with the following signature
Private Sub NChantPM1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.ProfileKit.HasEventArgs) Handles NChantPM1.HasEvent

' HasEvent handler code goes here

End Sub

Collapse/Expand Remarks section Remarks

An application must register for the events it is interested in receiving. The RegisterCallback method indicates the type of event the application is interested in receiving. An application can register for as many different event types as it wants.

Event notifications may be turned off at any time with the UnregisterCallback method.

If an application wants to receive events, it must also have a HasEvent handler that processes the desired events. See the discussion about events for profile management.

Collapse/Expand Example section Example

The following example illustrates handling progress events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantPM1_HasEvent(object sender, Chant.ProfileKit.HasEventArgs e)
{
    // Get the event from the event queue
    NChantPMEvent chantPMEvent = NChantPM1.GetChantPMEvent();
    if (chantPMEvent != null)
    {
        switch (chantPMEvent.ChantCallback)
        {
            case ChantCallback.CCSRProgress:
                {
                    progressBar1.Value = nChantPMEvent.Progress;
                    // Are we done?
                    if (chantPMEvent.Progress == 100)
                    {
                        // Yes. Enable buttons
                        button1.Enabled = true;
                        button2.Enabled = true;
                        // Reset progress bar
                        progressBar1.Value = 0;
                    }
                    break;
                }
            default:
                break;
        }
        // Remove the event from the event queue
        NChantPM1.RemoveEvent();
    }
}

LRESULT CBackupDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantPM != NULL)
    {
        if (message == m_HasEvent)
        {
            CString compilerMsg;
            CString sText;
            CEdit* pEdit = (CEdit* )GetDlgItem(IDC_EDIT1);
            if (pEdit != NULL)
            {
                pEdit->GetWindowTextW(sText);
            }
            // Get the event from the event queue
            CChantPMEvent* chantPMEvent = m_pChantPM->GetChantPMEvent();
            if (chantPMEvent != NULL)
            {
                switch (chantPMEvent->GetChantCallback())
                {
                    case CCSRProgress:
                        {
                            CProgressCtrl* pProgressBar = (CProgressCtrl* )GetDlgItem(IDC_PROGRESS1);
                            if (pProgressBar != NULL)
                            {
                                pProgressBar->SetPos(chantPMEvent->GetProgress());
                                // Are we done?
                                if (pChantPMEvent->GetProgress() == 100)
                                {
                                    // Yes. Enable buttons
                                    CButton* pButton = (CButton*)GetDlgItem(IDC_BUTTON1);
                                    if (pButton != NULL)
                                    {
                                        pButton->EnableWindow(TRUE);
                                    }
                                    pButton = (CButton*)GetDlgItem(IDC_BUTTON2);
                                    if (pButton != NULL)
                                    {
                                        pButton->EnableWindow(TRUE);
                                    }
                                    // Reset progress bar
                                    pProgressBar->SetPos(0);
                                }
                            }
                            break;
                        }
                    default:
                        break;
                }
                // Remove the event from the event queue
                m_pChantPM->RemoveEvent();
                 // Delete the C++ wrapper class object
                delete chantPMEvent;
                chantPMEvent = NULL;
           }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantPMEvent* chantPMEvent = ChantPM1->GetChantPMEvent();
    if (chantPMEvent != NULL)
    {
        switch (chantPMEvent->GetChantCallback())
        {
            default:
                break;
            case CCSRProgress:
                ProgressBar1->Position = chantPMEvent->GetProgress();
                if (pEvent->GetProgress() == 100)
                {
                    Button1->Enabled = True;
                    Button2->Enabled = True;
                    ProgressBar1->Position = 0;
                }
        }
        // Remove the event from the event queue
        ChantPM1->RemoveEvent();
        delete chantPMEvent;
        chantPMEvent = NULL;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  eChantCallback: ChantCallback;
  position: Integer;
  chantPMEvent: TChantPMEvent;
begin
    // Get the event from the event queue
    chantPMEvent := ChantPM1.GetChantPMEvent();
    if chantPMEvent <> nil then
    begin
      case chantPMEvent.ChantCallback of
        CCSRProgress:
          begin
              ProgressBar1.Position := chantPMEvent.Progress;
              if (position = 100) then
              begin
                Button1.Enabled := True;
                Button2.Enabled := True;
                ProgressBar1.Position := 0;
              end;
          end;
      end;
      // Remove the event from the event queue
      ChantPM1.RemoveEvent();
      chantPMEvent.Destroy();
    end;
end;

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantPMEvent chantPMEvent = JChantPM1.getChantPMEvent();
    if (chantPMEvent != null)
    {
      int callback = chantPMEvent.getChantCallback();
      switch(callback)
      {
        default :
          break;
        case ChantCallback.CCSRProgress :
          jProgressBar1.setValue(chantPMEvent.getProgress());
          // Are we done?
          if (jevent.getProgress() == 100)
          {
              // Yes. Enable buttons
              jButton1.setEnabled(true);
              jButton2.setEnabled(true);
              // Reset progress bar
              jProgressBar1.setValue(0);
          }
          break;
      }
    }
    JChantPM1.removeEvent();
}

Private Sub NChantPM1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.ProfileKit.HasEventArgs) Handles NChantPM1.HasEvent
    Dim chantPMEvent As NChantPMEvent
    ' Get the event from the event queue
    chantPMEvent = NChantPM1.GetChantPMEvent()
    If chantPMEvent <> Nothing Then
        Select Case chantPMEvent.ChantCallback
            Case ChantCallback.CCSRProgress
                ProgressBar1.Value = chantPMEvent.Progress
                ' Are we done?
                If (chantPMEvent.Progress = 100) Then
                    ' Yes. Enable buttons
                    Button1.Enabled = True
                    Button2.Enabled = True
                    ' Reset progress bar
                    ProgressBar1.Value = 0
                End If
        End Select
        ' Remove the event from the event queue
        NChantPM1.RemoveEvent()
    Next
End Sub

Collapse/Expand See Also section See Also

ChantPM
ChantPMEvent
GetChantPMEvent
RemoveEvent
RegisterCallback
UnregisterCallback


ChantPM IsSupported Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

IsSupported Method

Returns boolean indicating whether a feature is supported.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool supported = chantPM.IsSupported(eChantEnumeration, constant);

bool supported = chantPM->IsSupported(eChantEnumeration, constant);

bool supported = chantPM->IsSupported(eChantEnumeration, constant);

var supported: boolean;
supported := chantPM.IsSupported(eChantEnumeration, constant);

boolean supported = chantPM.isSupported(eChantEnumeration, constant);

Dim supported As Boolean
supported = chantPM.IsSupported(eChantEnumeration, constant)

Parameters

eChantEnumeration

ChantEnumeration. Specifies the value that uniquely identifies the Chant enumeration type.

constant

Long integer. Enumeration constant to determine feature support.

Return Value

Boolean. True or False indicating whether the feature is supported.

Collapse/Expand Remarks section Remarks

You can test to see if a feature is supported. For example, your application could check to see if an engine API is available on the system or if a dialog is supported before attmpting to display it. The enumeration type may be one of the constant values from the following enumerations:

Constant | Value | Description
CENChantDialog | 3 | ChantDialog
CENChantEngineAPI | 4 | ChantEngineAPI
CENChantTrainingProperty | 43 | ChantTrainingProperty

Collapse/Expand Example section Example

The following example illustrates determining whether a dialog is available:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
bool isSupported = NChantPM1.IsSupported(ChantEnumeration.CENChantDialog, (int)ChantDialog.CDMicTraining);
if (!isSupported)
{
    NChantPM1.ShowDialog(ChantDialog.CDMicTraining);
}

bool isSupported = pChantPM->IsSupported(CENChantDialog, CDMicTraining);
if (!isSupported)
{
    pChantPM1->ShowDialog(CDMicTraining);
}

bool isSupported = pChantPM->IsSupported(CENChantDialog, CDMicTraining);
if (!isSupported)
{
    pChantPM1->ShowDialog(CDMicTraining);
}

var isSupported: boolean;
isSupported := ChantPM1.IsSupported(CENChantDialog, CDMicTraining);
if not isSupported then
    ChantPM1.ShowDialog(CDMicTraining);

boolean isSupported = JChantPM1.getStringProperty(ChantEnumeration.CENChantDialog, (int)ChantDialog.CDMicTraining);
if (!isSupported)
{
    JChantPM1.ShowDialog(ChantDialog.CDMicTraining);
}

Dim isSupported As Boolean
isSupported = NChantPM1.IsSupported(ChantEnumeration.CENChantDialog, ChantDialog.CDMicTraining)
If Not isSupported Then
    NChantPM1.ShowDialog(ChantDialog.CDMicTraining)
End If

Collapse/Expand See Also section See Also

ChantPM

Copyright © 1996-2011 Chant Inc. All rights reserved.


ChantPM LastError Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

LastError Property

A numeric error code for the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int error = chantPM.LastError;

long error = chantPM->GetLastError();

long error = chantPM->GetLastError();

var error: Integer;
error := chantPM.LastError;

int error = chantPM.getLastError();

Dim error As Integer
error = chantPM.LastError

Return Value

Long integer. Error code.

Collapse/Expand Remarks section Remarks

ChantPM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantPM
LastErrorMessage
LastErrorString


ChantPM LastErrorMessage Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

LastErrorMessage Property

A description of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String errorMessage = chantPM.LastErrorMessage;

wchar_t* errorMessage = chantPM->GetLastErrorMessage();

String errorMessage = chantPM->GetLastErrorMessage();

var errorMessage: string;
errorMessage := chantPM.LastErrorMessage;

String errorMessage = chantPM.getLastErrorMessage();

Dim errorMessage As String
errorMessage = chantPM.LastErrorMessage

Collapse/Expand Remarks section Remarks

ChantPM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantPM
LastError
LastErrorString


ChantPM LastErrorString Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

LastErrorString Property

A text representation of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String error = chantPM.LastErrorString;

wchar_t* error = chantPM->GetLastErrorString();

String error = chantPM->GetLastErrorString();

var error: string;
error := chantPM.LastErrorString;

String error = chantPM.getLastErrorString();

Dim error As String
error = chantPM.LastErrorString

Collapse/Expand Remarks section Remarks

ChantPM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantPM
LastError
LastErrorMessage


ChantPM OpenChantProfile Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

OpenChantProfile Method

Instantiates a ChantProfile object based on archived profile for importing.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantProfile chantProfile = chantPM.OpenChantProfile(fileName);

CChantProfile* chantProfile = chantPM->OpenChantProfile(fileName);

CChantProfile* chantProfile = chantPM->OpenChantProfile(fileName);

var chantProfile: TChantProfile;
chantProfile := chantPM.OpenChantProfile(fileName);

JChantProfile chantProfile = chantPM.openChantProfile(fileName);

Dim chantProfile as NChantProfile
chantProfile = chantPM.OpenChantProfile(fileName)

Parameters

fileName

String. The profile archive file name.

Return Value

ChantProfile object.

Collapse/Expand Example section Example

The following example illustrates opening a profile archive.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Open a profile archive
NChantProfile nChantProfile = NChantPM1.OpenProfile("DefaultSpeaker.exe");

// Open a profile archive
CChantProfile* pChantProfile = pChantPM->OpenProfile(L"DefaultSpeaker.exe");

// Open a profile archive
CChantProfile* pChantProfile = pChantPM->OpenProfile("DefaultSpeaker.exe");

// Open a profile archive
var aTChantProfile: TChantProfile;
aTChantProfile := ChantPM1.OpenProfile('DefaultSpeaker.exe');

// Open a profile archive
JChantProfile jChantProfile = JChantPM1.openProfile("DefaultSpeaker.exe");

' Open a profile archive
Dim nChantProfile as NChantProfile
nChantProfile = NChantPM1.OpenProfile("DefaultSpeaker.exe")

Collapse/Expand See Also section See Also

ChantPM


ChantPM RegisterCallback Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

RegisterCallback Method

Sets the callback event active.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantPM.RegisterCallback(eChantCallback);

chantPM->RegisterCallback(eChantCallback);

chantPM->RegisterCallback(eChantCallback);

chantPM.RegisterCallback(eChantCallback);

chantPM.registerCallback(eChantCallback);

chantPM.RegisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSAudioStop | 4 | Recognizer has no more data from the source audio stream. Property values: Reason.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRFalseRecognition | 32 | Speech recognition engine was unable to recognize speech from the utterance. Event property values set: none.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRHasCommand | 33 | Speech recognition engine's highest confidence about what was said in the last utterance from a command vocabulary. Event property values set: Command. SAPI 4 property values set: Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 property values set: IspRecoResult.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRHasPhrase | 35 | Speech recognition engine's highest confidence about what was said in the last utterance from a grammar vocabulary. Property values: Phrase. SAPI 4 property values set: Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 property values set: IspRecoResult.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRHasText | 38 | Speech recognition engine's highest confidence about what was said in the last utterance from a dictation vocabulary or topic. Property values: Text. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRInterference | 40 | Speech recognition engine interference detected. Property values: TimeStampBegin, TimeStampEnd, Interference.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRProgress | 43 | Percent completion an of ImportResource, ExportResource, or StartTraining operations. Values range from 0 to 100. Property values: Progress.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRSound | 46 | Speech recognition engine detected a sound. Property values: TimeStampBegin, TimeStampEnd.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRUtteranceBegin | 50 | The beginning of an utterance was detected. Property values: none.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRUtteranceEnd | 51 | The end of an utterance was detected. Property values: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCAPIError | 59 | API Error. Property values: ID, Function, Text.

The following example illustrates turning on SRProgress events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn on SRProgress events
NChantPM1.RegisterCallback(ChantCallback.CCSRProgress);

// Turn on SRProgress events
pChantPM->RegisterCallback(CCSRProgress);

// Turn on SRProgress events
pChantPM->RegisterCallback(CCSRProgress);

// Turn on SRProgress events
ChantPM1.RegisterCallback(CCSRProgress);

// Turn on SRProgress events
JChantPM1.registerCallback(ChantCallback.CCSRProgress);

' Turn on SRProgress events
NChantPM1.RegisterCallback(ChantCallback.CCSRProgress)

Collapse/Expand See Also section See Also

ChantPM
UnregisterCallback


ChantPM RemoveEvent Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

RemoveEvent Method

Removes an event from the event queue.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantPM.RemoveEvent();

chantPM->RemoveEvent();

chantPM->RemoveEvent();

chantPM.RemoveEvent();

chantPM.removeEvent();

chantPM.RemoveEvent()

Collapse/Expand See Also section See Also

ChantPM


ChantPM SetCallbackFunction Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

SetCallbackFunction Method

Sets callback static function.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantPM->SetCallbackFunction(callbackFunction, wParam, lParam);

chantPM->SetCallbackFunction(callbackFunction, wParam, lParam);

chantPM1.SetCallbackFunction(callbackFunction, wParam, lParam);

chantPM.setCallbackFunction(callbackFunction, wParam, lParam);

Not supported.

Parameters

callbackFunction

Pointer (C++, C++Builder, Delphi), Object (Java). Name of conditional variable. Callback address (C++, C++Builder, Delphi). Callback object that implements the ChantPMEvents interface (Java).

wParam

WPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

lParam

LPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support static callbacks may set a function to receive callback events.

Collapse/Expand See Also section See Also

ChantPM
SetWindowMessage


ChantPM SetCallbackParms Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

SetCallbackParms Method

Sets optional callback parameters.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantPM.SetCallbackParms(parm1, parm2);

Not supported.

Not supported.

Not supported.

chantPM.setCallbackParms(parm1, parm2);

chantPM.SetCallbackParms(parm1, parm2)

Parameters

parm1

Object. Optional application defined value passed on all callback events.

parm2

Object. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Application defined values may be passed on all callback events.

Collapse/Expand Example section Example

The following example illustrates setting optional callback parms.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantPM1.SetCallbackParms(NChantPM1, NULL);

Not supported.

Not supported.

Not supported.

JChantPM1.setCallbackParms(JChantPM1, null);

NChantPM1.SetCallbackParms(NChantPM1, Nothing)

Collapse/Expand See Also section See Also

ChantPM


ChantPM SetNumberProperty Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

SetNumberProperty Method

Sets a numeric property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantPM.SetNumberProperty(eChantNumberProperty, value);

chantPM->SetNumberProperty(eChantNumberProperty, value);

chantPM->SetNumberProperty(eChantNumberProperty, value);

chantPM.SetNumberProperty(eChantNumberProperty, value);

chantPM.setNumberProperty(eChantNumberProperty, value);

chantPM.SetNumberProperty(eChantNumberProperty, value)

Parameters

eChantNumberProperty

ChantNumberProperty. Value that uniquely identifies the property.

value

Integer. Property value.

Collapse/Expand Remarks section Remarks

Set the recognizer speech API before setting speech engine string properties such as CSPEnginePath for Nuance VoCon. The property type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPAdaptationOn | 1 | SAPI 5 recognizer property that indicates whether the recognizer should adapt the acoustic model for the speaker (i.e., the recognizer will constantly update the speaker profile over time). Use 0 for off and 1 for on. Default value for SAPI 5 is 1.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPComplexResponseSpeed | 7 | Recognizer property. Indicates the amount of silence that the recognizer uses for before completing a recognition. SAPI 5 uses this value when the recognition is ambiguous. See CNPResponseSpeed property. Valid values are 0 to 10,000 in milliseconds. The default value is 500 ms. The value must be greater than the CNPResponseSpeed value.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo Nuance Vocalizer Automotive Nuance Vocalizer Epxressive Nuance Vocalizer Mobile Nuance Vocalizer Network | CNPEngineAPI | 12 | ChantPM property that specifies the speech engine API.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CNPHighConfidenceThreshold | 15 | Recognizer property. Specifies the highest level of a 3-level confidence score assigned by the recognizer. If the recognizer does not set this value, SAPI 5 attempts to generate it. Valid range of values is 0 to 100. The default value is 80. For VoCon 3200 V4.2+, specifies the minimum amount of confidence level that a spoken utterance is in grammar. If confidence level is equal or above this parameter value, it means that the spoken utterance is in grammar (even through it is the same as CNPLowConfidenceThreshold value). If confidence level is below this parameter value, the spoken utterance can be probably in grammar or out of grammar. The value range is 0 to 10000 with the default value 5000.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CNPLowConfidenceThreshold | 18 | Recognizer property. Specifies the lowest level of a 3-level confidence score assigned by the recognizer. If the recognizer does not set this value, SAPI 5 attempts to generate it. Valid range of values is 0 to 100. The default value is 20. For VoCon 3200 V4.2+, specifies the maximum amount of confidence level that a spoken utterance is out of grammar. If confidence level is equal or below this parameter value, it means that the spoken utterance is out of grammar. If confidence level is above value of this parameter, the spoken utterance can be probably in grammar. The value range is 0 to 10000 with the default value 5000.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPNormalConfidenceThreshold | 20 | Recognizer property. Specifies the middle level of a 3-level confidence score assigned by the recognizer. If the recognizer does not set this value, SAPI 5 attempts to generate it. Valid range of values is 0 to 100. The default value is 50.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CNPResourceUsage | 24 | Recognizer property. Specifies the percent of CPU consumption. Valid SAPI 5 values range from 0 to 100. The default SAPI 5 value is 50. For VoCon 3200, specifies the accuracy value used to determine CPU and memory consumption. The value range is 100 to 50000 with the default value 10000.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPResponseSpeed | 25 | Recognizer property. Indicates amount of silence the recognizer looks for before completing a recognition. SAPI 5 uses this value for non-ambiguous recognitions. See CNPComplexResponseSpeed. Valid SAPI 5 values range from 0 to 10,000 in milliseconds. The default SAPI 5 value is 500 ms.
 | CNPNativeAPI | 42 | Enumerate a recognizer or voice via native API if available and not as a SAPI recognizer or voice.

Collapse/Expand Example section Example

The following example illustrates setting the current speech API to the Nuance VoCon 3200 V4.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantPM1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CEVoCon4);

pChantPM->SetNumberProperty(CNPEngineAPI, CEVoCon4);

pChantPM->SetNumberProperty(CNPEngineAPI, CEVoCon4);

ChantPM1.SetNumberProperty(CNPEngineAPI, CEVoCon4);

JChantPM1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVoCon4);

NChantPM1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CEVoCon4)

Collapse/Expand See Also section See Also

ChantPM
SetStringProperty


ChantPM SetStringProperty Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

SetStringProperty Method

Sets a string property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantPM.SetStringProperty(eChantStringProperty, value);

chantPM->SetStringProperty(eChantStringProperty, value);

chantPM->SetStringProperty(eChantStringProperty, value);

chantPM.SetStringProperty(eChantStringProperty, value);

chantPM.setStringProperty(eChantStringProperty, value);

chantPM.SetStringProperty(eChantStringProperty, value)

Parameters

eChantStringProperty

ChantStringProperty. Value that uniquely identifies the property.

value

String. Property value.

Collapse/Expand Remarks section Remarks

All ChantPM string property values are set via SetStringProperty. The property type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CSPEngine | 5 | Specifies the name of the recognizer or synthesizer.
 | CSPLicense | 10 | ChantPM class property. Specifies the license value required for distributing applications with the Chant class libraries.
 | CSPSerials | 19 | ChantPM class property. Specifies the serial number value required for distributing applications with the Chant class libraries.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CSPSpeaker | 20 | Name of the current speaker (i.e., end user). For SAPI and Dragon recognizers, this is the profile name.
Nuance Dragon NaturallySpeaking | CSPTopic | 25 | Specfies the name of the default Speech recognition topic to use when create a Dragon speaker profile.
Nuance VoCon 3200 | CSPAcousticModel | 26 | VoCon 3200 acoustic model file.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPConcurrencyLicenseCompany | 27 | License property.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPConcurrencyLicenseName | 28 | License property.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPConcurrencyLicenseKey | 29 | License property.
Nuance VoCon 3200 Nuance RealSpeak Solo | CSPEnginePath | 31 | File path to the engine libraries.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVoiceLicenseCompany | 34 | License property.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVoiceLicenseName | 35 | License property.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVoiceLicenseKey | 36 | License property.
Nuance VoCon 3200 V3 | CSPDDG2PModel | 40 | The VoCon 3200 Data Driven G2P model object that maps words to phonetic transcriptions.
Nuance VoCon 3200 V3 | CSPCLCModel | 41 | The VoCon 3200 Common Linguistic Component model object that maps words to phonetic transcriptions.
Nuance Dragon NaturallySpeaking | CSPDictationSource | 43 | Specifies the name of the dictation source to use when creating a Dragon speaker profile.

Collapse/Expand Example section Example

The following example illustrates setting the default recognizer to Microsoft English Recognizer v5.1.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Set the current recognizer
NChantPM1.SetStringProperty(ChantStringProperty.CSPEngine, "Microsoft English Recognizer v5.1");

// Set the current recognizer
pChantPM->SetStringProperty(CSPEngine, L"Microsoft English Recognizer v5.1");

// Set the current recognizer
pChantPM->SetStringProperty(CSPEngine, "Microsoft English Recognizer v5.1");

// Set the current recognizer
ChantPM1.SetStringProperty(CSPEngine, 'Microsoft English Recognizer v5.1');

// Set the current recognizer
JChantPM1.setStringProperty(ChantStringProperty.CSPEngine, "Microsoft English Recognizer v5.1");

' Set the current recognizer
NChantPM1.SetStringProperty(ChantStringProperty.CSPEngine, "Microsoft English Recognizer v5.1")

Collapse/Expand See Also section See Also

ChantPM


ChantPM SetWindowMessage Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

SetWindowMessage Method

Sets the WM_APP message value for receiving an event notification as Win32 message.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantPM->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantPM->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantPM.SetWindowMessage(hWnd, Msg, wParam, lParam);

Not supported.

Not supported.

Parameters

hWnd

HWND. Application window handle.

Msg

Long integer. Unique windows message number.

wParam

WPARAM. Optional application defined value passed on all callback events.

lParam

LPARAM. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support Win32 message pump may set a WM_APP message value to uniquely identify ChantPM event notifications. An event notification indicates that a ChantPM callback has fired and a ChantPMEvent resource is on the event resource queue.

Collapse/Expand See Also section See Also

ChantPM


ChantPM ShowDialog Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

ShowDialog Method

Displays a profile management dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantPM.ShowDialog(eChantDialog, owner, title, options);

chantPM->ShowDialog(eChantDialog, owner, title, options);

chantPM->ShowDialog(eChantDialog, owner, title, options);

chantPM.ShowDialog(eChantDialog, owner, title, options);

chantPM.showDialog(eChantDialog, owner, title, options);

chantPM.ShowDialog(eChantDialog, owner, title, options)

Parameters

eChantDialog

ChantDialog. The dialog to display.

owner

HWND. Application window handle.

title

String. Optional dialog title.

options

String. Optional value required by the dialog.

Collapse/Expand Remarks section Remarks

All recognizer and ChantPM dialogs are displayed using the ShowDialog method. Note that some recognizers may not support dialogs listed in the ChantDialog enumerated constants. The dialog type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CDMicTraining | 16 | Displays the SAPI 4 TrainMicDlg, SAPI 5 MicTraining, or the Dragon Audio Setup wizard that allows the user to train the engine for a specific microphone.
Nuance Dragon NaturallySpeaking | CDMobileTraining | 17 | Runs the Dragon supplemental Mobile Training.
Nuance Dragon NaturallySpeaking | CDSpeakerNew | 26 | Starts the Dragon New User wizard or Microsoft SAPI 5.3 UserEnrollment dialog. Use this dialog when you want to create a user and run first-time audio setup and General Training.
Nuance Dragon NaturallySpeaking | CDSpeakerOpen | 27 | Displays the Dragon Manage Users dialog box. Then starts the New User wizard if the selected user is not fully trained. Use this dialog when you want to ensure that you are opening a fully trained user.
Nuance Dragon NaturallySpeaking | CDSpeakerSave | 28 | Displays the Dragon Speaker Save dialog box that saves the speech files for the current user and displays a progess dialog. In Dragon NaturallySpeaking 4.1 and earlier, the user is asked whether or not they want to save their speech files.
Nuance Dragon NaturallySpeaking | CDUserBackup | 32 | Displays the Dragon Backup User dialog box.
Nuance Dragon NaturallySpeaking | CDUserRestore | 34 | Displays the Dragon Restore User dialog box.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CDUserTraining | 35 | Displays the SAPI 4 TrainGeneralDlg, SAPI 5 UserTraining, or the Dragon general training dialog that allows the user to provide phonetic training that enhances the engine's ability to recognize specific words.

Collapse/Expand Example section Example

The following example illustrates running the microphone setup dialog.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantPM1.ShowDialog(ChantDialog.CDMicTraining, this.Handle, "", "");

pChantPM->ShowDialog(CDMicTraining, m_hWnd);

pChantPM->ShowDialog(CDMicTraining, Handle);

ChantPM1.ShowDialog(CDMicTraining, Handle, '', '');

JChantPM1.showDialog(ChantDialog.CDMicTraining, this, "", "");

NChantPM1.ShowDialog(ChantDialog.CDMicTraining, Me.Handle, "", "")

Collapse/Expand See Also section See Also

ChantPM


ChantPM UnregisterCallback Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

UnregisterCallback Method

Sets the callback event inactive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantPM.UnregisterCallback(eChantCallback);

chantPM->UnregisterCallback(eChantCallback);

chantPM->UnregisterCallback(eChantCallback);

chantPM.UnregisterCallback(eChantCallback);

chantPM.unregisterCallback(eChantCallback);

chantPM.UnregisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSAudioStop | 4 | Recognizer has no more data from the source audio stream. Property values: Reason.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRFalseRecognition | 32 | Speech recognition engine was unable to recognize speech from the utterance. Event property values set: none.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRHasCommand | 33 | Speech recognition engine's highest confidence about what was said in the last utterance from a command vocabulary. Event property values set: Command. SAPI 4 property values set: Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 property values set: IspRecoResult.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRHasPhrase | 35 | Speech recognition engine's highest confidence about what was said in the last utterance from a grammar vocabulary. Property values: Phrase. SAPI 4 property values set: Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 property values set: IspRecoResult.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRHasText | 38 | Speech recognition engine's highest confidence about what was said in the last utterance from a dictation vocabulary or topic. Property values: Text. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRInterference | 40 | Speech recognition engine interference detected. Property values: TimeStampBegin, TimeStampEnd, Interference.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRProgress | 43 | Percent completion an of ImportResource, ExportResource, or StartTraining operations. Values range from 0 to 100. Property values: Progress.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRSound | 46 | Speech recognition engine detected a sound. Property values: TimeStampBegin, TimeStampEnd.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRUtteranceBegin | 50 | The beginning of an utterance was detected. Property values: none.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRUtteranceEnd | 51 | The end of an utterance was detected. Property values: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCAPIError | 59 | API Error. Property values: ID, Function, Text.

The following example illustrates turning off SRProgress events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn off SRProgress events
NChantPM1.UnregisterCallback(ChantCallback.CCSRProgress);

// Turn off SRProgress events
pChantPM->UnregisterCallback(CCSRProgress);

// Turn off SRProgress events
pChantPM->UnregisterCallback(CCSRProgress);

// Turn off SRProgress events
ChantPM1.UnregisterCallback(CCSRProgress);

// Turn off SRProgress events
JChantPM1.unregisterCallback(ChantCallback.CCSRProgress);

' Turn off SRProgress events
NChantPM1.UnregisterCallback(ChantCallback.CCSRProgress)

Collapse/Expand See Also section See Also

ChantPM
RegisterCallback


ChantPMEvent Class

Represents a profile management (i.e., backup and restore) event.

Collapse/Expand Remarks section Remarks

Some applications may need to display a visual cue such as a progress bar during backup and restore operations. The ChantPMEvent provides percent completion notifications during import and export operations.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ChantCallback | The type of event callback.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | Command | A recognized training command.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | File | The profile file name.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Function | API function name.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ID | An identifier.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | Interference | The type of recognizer interference.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | Phrase | A recognized phrase from a traning session.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Progess | A value between 0 and 100 representing the completion percent.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Text | The profile (i.e., speaker) name or error message from API error.
Public property | Nuance VoCon 3200 | TimeStampBegin | A time stamp.
Public property | Nuance VoCon 3200 | TimeStampEnd | A time stamp.

Collapse/Expand See Also section See Also

GetChantPMEvent
RemoveEvent


ChantPMEvent ChantCallback Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

ChantCallback Property

The type of event callback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantCallback eChantCallback = chantPMEvent.ChantCallback;

ChantCallback eChantCallback = chantPMEvent->GetChantCallback();

ChantCallback eChantCallback = chantPMEvent->GetChantCallback();

var eChantCallback: ChantCallback;
eChantCallback := chantPMEvent.ChantCallback;

int eChantCallback = chantPMEvent.getChantCallback();

Dim eChantCallback As ChantCallback
eChantCallback = chantPMEvent.ChantCallback

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantCallback constant values:

APIs | ChantCallback Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRFalseRecognition | 32 | Speech recognition engine was unable to recognize speech from the utterance. Event property values set: none.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRHasCommand | 33 | Speech recognition engine's highest confidence about what was said in the last utterance from a command vocabulary. Event property values set: Command. SAPI 4 property values set: Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 property values set: IspRecoResult.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRHasPhrase | 35 | Speech recognition engine's highest confidence about what was said in the last utterance from a grammar vocabulary. Property values: Phrase. SAPI 4 property values set: Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 property values set: IspRecoResult.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRHasText | 38 | Speech recognition engine's highest confidence about what was said in the last utterance from a dictation vocabulary or topic. Property values: Text. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRInterference | 40 | Speech recognition engine interference detected. Property values: TimeStampBegin, TimeStampEnd, Interference.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRProgress | 43 | Percent completion an of ImportResource or ExportResource operations. Values range from 0 to 100. Property values: Progress.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRSound | 46 | Speech recognition engine detected a sound. Property values: TimeStampBegin, TimeStampEnd.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRUtteranceBegin | 50 | The beginning of an utterance was detected. Property values: none.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRUtteranceEnd | 51 | The end of an utterance was detected. Property values: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCAPIError | 59 | API Error. Property values: ID, Function, Text.

Collapse/Expand See Also section See Also

ChantPMEvent


ChantPMEvent Command Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Command Property

A recognized training command.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String command = chantPMEvent.Command;

wchar_t* command = chantPMEvent.GetCommand();

String command = chantPMEvent.GetCommand();

var command: string;
command := chantPMEvent.Command;

String command = chantPMEvent.getCommand();

Dim command As String
command = chantPMEvent.Command

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantPMEvent


ChantPMEvent File Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

File Property

The profile file name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String file = chantPMEvent.File;

wchar_t* file = chantPMEvent->GetFile();

String file = chantPMEvent->GetFile();

var file: string;
file := chantPMEvent.File;

String file = chantPMEvent.getFile();

Dim file As String
file = chantPMEvent.File

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantPMEvent


ChantPMEvent Function Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Function Property

The API function invoked.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String function = chantPMEvent.Function;

wchar_t* function = chantPMEvent->GetFunction();

String function = chantPMEvent->GetFunction();

var function: string;
function := chantPMEvent.Function;

String function = chantPMEvent.getFunction();

Dim stringVal As String
stringVal = chantPMEvent.Function

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantPMEvent


ChantPMEvent ID Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

ID Property

An API error code.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int id = chantPMEvent.ID;

long id = chantPMEvent->GetID();

long id = chantPMEvent->GetID();

var id: Integer;
id := chantPMEvent.ID;

int id = chantPMEvent.getID();

Dim id As Integer
id = chantPMEvent.ID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantPMEvent


ChantPMEvent Interference Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Interference Property

The type of event callback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantEngineInterference eChantEngineInterference = chantPMEvent.Interference;

ChantEngineInterference eChantEngineInterference = chantPMEvent.GetInterference();

ChantEngineInterference eChantEngineInterference = chantPMEvent.GetInterference();

var eChantEngineInterference: ChantEngineInterference;
eChantEngineInterference := chantPMEvent.Interference;

int eChantEngineInterference = chantPMEvent.getInterference();

Dim eChantEngineInterference As ChantEngineInterference
eChantEngineInterference = chantPMEvent.Interference

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the ChantEngineInterference constant values.

APIs | Constant | Value | Description
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CEINone | 0 | No interference.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CEINoise | 1 | The background noise is too high. Some speech engines may not support this flag.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CEINoSignal | 2 | The engine cannot detect a signal. This may mean that the microphone has been turned off or unplugged.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CEITooLoud | 3 | The end user is speaking too loudly and recognition results may be degraded.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CEITooQuiet | 4 | The end user is speaking too quietly and recognition results may be degraded.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CEITooFast | 5 | The words are spoken too quickly for discrete recognitions.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CEIAudioDataStop | 6 | The engine has stopped receiving audio data from the audio source.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CEITooSlow | 7 | The words are spoken too slowly and indicates excessive time between words
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CEIAudioDataStart | 8 | The recognizer has resumed receiving audio data from the audio source.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CEIAudioStart | 9 | The recognizer has opened the audio input device.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CEIAudioStop | 10 | The recognizer has stopped the audio input device.

Collapse/Expand See Also section See Also

ChantPMEvent


ChantPMEvent Phrase Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Phrase Property

A recognized phrase from a grammar vocabulary.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String phrase = chantPMEvent.Phrase;

wchar_t* phrase = chantPMEvent->GetPhrase();

String phrase = chantPMEvent->GetPhrase();

var phrase: string;
phrase := chantPMEvent.Phrase;

String phrase = chantPMEvent.getPhrase();

Dim phrase As String
phrase = chantPMEvent.Phrase

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantPMEvent


ChantPMEvent Progress Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Progress Property

The percent completion of an import or export operation.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int progress = chantPMEvent.Progress;

long progress = chantPMEvent->GetProgress();

long progress = chantPMEvent->GetProgress();

var progress: Integer;
progress := chantPMEvent.Progress;

int progress = chantPMEvent.getProgress();

Dim progress As Integer
progress = chantPMEvent.Progress

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantPMEvent


ChantPMEvent Text Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Text Property

The profile (i.e., speaker) name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String text = chantPMEvent.Text;

wchar_t* text = chantPMEvent.GetText();

String text = chantPMEvent.GetText();

var stringVal: string;
stringVal := chantPMEvent.Text;

String text = chantPMEvent.getText();

Dim text As String
text = chantPMEvent.Text

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantPMEvent


ChantPMEvent TimeStampBegin Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

TimeStampBegin Property

A time stamp.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ulong beginTimestamp = chantPMEvent.TimeStampBegin;

unsigned long long beginTimestamp = chantPMEvent->GetTimeStampBegin();

unsigned long long beginTimestamp = chantPMEvent->GetTimeStampBegin();

var beginTimestamp: Integer;
beginTimestamp := chantPMEvent.TimeStampBegin;

long beginTimestamp = chantPMEvent.getTimeStampBegin();

Dim beginTimestamp As ULong
beginTimestamp = chantPMEvent.TimeStampBegin

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantPMEvent


ChantPMEvent TimeStampEnd Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

TimeStampEnd Property

A time stamp.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ulong endTimestamp = nChantPMEvent.TimeStampEnd;

unsigned long long endTimestamp = chantPMEvent->GetTimeStampEnd();

unsigned long long endTimestamp = chantPMEvent->GetTimeStampEnd();

var endTimestamp: Integer;
endTimestamp := chantPMEvent.TimeStampEnd;

long endTimestamp = chantPMEvent.getTimeStampEnd();

Dim endTimestamp As ULong
endTimestamp = chantPMEvent.TimeStampEnd

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantPMEvent


ChantProfile Class

Represents a speech recognition speaker (i.e., end user) profile.

Collapse/Expand Remarks section Remarks

A recognizer maintains information about an end user in a recognition profile. A recognition profile is a collection of information used by a speech recognition engine to increase its recognition accuracy for a specific individual's voice and environment.

A speech recognition engine saves training and background noise information to use in recognizing speech. Some speech recognition engines capture and save information over time to adapt the profile for optimum speech recognition accuracy.

ChantProfile objects are obtained via the ChantPM CreateChantProfile method and the ChantPM OpenChantProfile method.

Custom speaker training sessions may be invoked via the StartTraining method.

Speech engine speaker training wizards may be invoked via the ChantPM ShowDialog method.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | Delete | Deletes the profile from the local system.
Public method | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | Export | Archives a SAPI 5 speaker profile to a file.
Public method | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | Import | Restores a SAPI 5 speaker profile from a file.
Public method | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | PauseTraining | Suspends speech profile training.
Public method | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ResumeTraining | Resumes speech profile training that was suspended by PauseTraining.
Public method | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | SetTrainingProperty | Sets a training session property value.
Public method | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | StartTraining | Starts speaker profile training session with live audio, recorded audio, or text.
Public method | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | StopTraining | Stops speaker training and saves or discards the training session data.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ChantEngineAPI | The speech recognition engine API for which the speaker profile was created.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ChantProfileTraining | The type of training available for this profile.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Description | The description of the profile.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | DictationTraining | Indicates that custom speech recognition training using a dictation vocabulary is available.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | EngineTraining | Indicates that speech recognition engine training dialog is available.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | FileName | The profile archive file name.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | GrammarTraining | Indicates that custom speech recognition training using a grammar vocabulary is available.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Name | The profile name.

Collapse/Expand See Also section See Also

ChantPM
ChantPMEvent


ChantProfile ChantEngineAPI Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

ChantEngineAPI Property

The speech recognition engine API for which the speaker profile was created.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantEngineAPI eChantEngineAPI = chantProfile.ChantEngineAPI;

ChantEngineAPI eChantEngineAPI = chantProfile->GetChantEngineAPI();

ChantEngineAPI eChantEngineAPI = chantProfile->GetChantEngineAPI();

var eChantEngineAPI: ChantEngineAPI;
eChantEngineAPI := chantProfile.ChantEngineAPI;

int eChantEngineAPI = chantProfile.getChantEngineAPI();

Dim eChantEngineAPI As String
eChantEngineAPI = chantProfile.ChantEngineAPI

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantProfile


ChantProfile ChantProfileTraining Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

ChantProfileTraining Property

The type of training available for this profile.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantProfileTraining eChantProfileTraining = chantProfile.ChantProfileTraining;

ChantProfileTraining eChantProfileTraining = chantProfile->GetChantProfileTraining();

ChantProfileTraining eChantProfileTraining = chantProfile->GetChantProfileTraining();

var eChantProfileTraining: ChantProfileTraining;
eChantProfileTraining := chantProfile.ChantProfileTraining;

int eChantProfileTraining = chantProfile.getChantProfileTraining();

Dim eChantProfileTraining As ChantProfileTraining
eChantProfileTraining = chantProfile.ChantProfileTraining

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantProfile


ChantProfile Delete Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Delete Method

Deletes the profile from the local system.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantProfile.Delete();

chantProfile->Delete();

chantProfile->Delete();

chantProfile.Delete();

chantProfile.delete();

chantProfile.Delete()

Collapse/Expand Example section Example

The following example illustrates deleting a local speaker profile.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Create a the speaker profile object on an existing speaker profile
NChantProfile nChantProfile = NChantPM1.CreateChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Delete the speaker
nChantProfile.Delete();

// Create a the speaker profile object on an existing speaker profile
CChantProfile* pChantProfile = pChantPM->CreateChantProfile(L"Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Delete the speaker
pChantProfile->Delete();

// Create a the speaker profile object on an existing speaker profile
CChantProfile* pChantProfile = pChantPM->CreateChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Delete the speaker
pChantProfile->Delete();

// Create a the speaker profile object on an existing speaker profile
var aTChantProfile: TChantProfile;
aTChantProfile := ChantPM1.CreateChantProfile('Jake Williams', 'Microsoft Speech Recognizer 8.0 for Windows (English - US)');
// Delete the speaker
aTChantProfile.Delete();

// Create a the speaker profile object on an existing speaker profile
JChantProfile jChantProfile = JChantPM1.createChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Delete the speaker
jChantProfile.deleteResource();

' Create a the speaker profile object on an existing speaker profile
Dim nChantProfile as NChantProfile
nChantProfile = NChantPM1.CreateChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)")
' Delete the speaker
nChantProfile.Delete()

Collapse/Expand See Also section See Also

ChantProfile


ChantProfile Description Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Description Property

The description of the profile.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String description = chantProfile.Description;

wchar_t* description = chantProfile->GetDescription();

String description = chantProfile->GetDescription();

var description: string;
description := chantProfile.Description;

String description = chantProfile.getDescription();

Dim description As String
description = chantProfile.Description

Collapse/Expand Remarks section Remarks

The property is read only. Some recognizers may not support a description property.

Collapse/Expand See Also section See Also

ChantProfile


ChantProfile DictationTraining Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

DictationTraining Property

Indicates that custom speech recognition training using a dictation vocabulary is available.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool dictationTraining = chantProfile.DictationTraining;

bool dictationTraining = chantProfile->GetDictationTraining();

bool dictationTraining = chantProfile->GetDictationTraining();

var dictationTraining: boolean;
dictationTraining := chantProfile.DictationTraining;

boolean dictationTraining = chantProfile.getDictationTraining();

Dim dictationTraining As Boolean
dictationTraining = chantProfile.DictationTraining

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantProfile


ChantProfile EngineTraining Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

EngineTraining Property

Indicates that speech recognition engine training dialog is available.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool engineTraining = chantProfile.EngineTraining;

bool engineTraining = chantProfile->GetEngineTraining();

bool engineTraining = chantProfile->GetEngineTraining();

var engineTraining: boolean;
engineTraining := chantProfile.EngineTraining;

boolean engineTraining = chantProfile.getEngineTraining();

Dim engineTraining As Boolean
engineTraining = chantProfile.EngineTraining

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantProfile


ChantProfile Export Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Export Method

Archives a SAPI 5 speaker profile to a file.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantProfile.Export(fileName);

pChantProfile->Export(fileName);

pChantProfile->Export(fileName);

aTChantProfile.Export(fileName);

jChantProfile.exportResource(fileName);

nChantProfile.Export(fileName)

Parameters

fileName

String. File name of where to save the speaker profile If the file exists, it is replaced. File name may include path qualifiers. Specifying .exe extension implies self extracting archive. Any other extension (e.g., .dat) implies binary only.

The following example illustrates archiving a SAPI 5 speaker profile.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Create a the speaker profile object on an existing speaker profile
NChantProfile nChantProfile = NChantPM1.CreateChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Backup the speaker profile
nChantProfile1.Export("jakewilliams.dat");

// Create a the speaker profile object on an existing speaker profile
CChantProfile* pChantProfile = pChantPM->CreateChantProfile(L"Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Backup the speaker profile
pChantProfile->Export(L"jakewilliams.dat");

// Create a the speaker profile object on an existing speaker profile
CChantProfile* pChantProfile = pChantPM->CreateChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Backup the speaker profile
pChantProfile->Export("jakewilliams.dat");

// Create a the speaker profile object on an existing speaker profile
var aTChantProfile: TChantProfile;
aTChantProfile := ChantPM1.CreateChantProfile('Jake Williams', 'Microsoft Speech Recognizer 8.0 for Windows (English - US)');
// Backup the speaker profile
aTChantProfile1.Export('jakewilliams.dat');

// Create a the speaker profile object on an existing speaker profile
JChantProfile jChantProfile = JChantPM1.createChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");
// Backup the speaker profile
jChantProfile.export("jakewilliams.dat");

' Create a the speaker profile object on an existing speaker profile
Dim nChantProfile as NChantProfile
nChantProfile = NChantPM1.CreateChantProfile("Jake Williams", "Microsoft Speech Recognizer 8.0 for Windows (English - US)")
' Backup the speaker profile
nChantProfile.Export("jakewilliams.dat")

Collapse/Expand See Also section See Also

ChantProfile
Import


ChantProfile FileName Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

FileName Property

The profile archive file name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String fileName = chantProfile.FileName;

wchar_t* fileName = chantProfile->GetFileName();

String fileName = chantProfile->GetFileName();

var fileName: string;
fileName := chantProfile.FileName;

String fileName = chantProfile.getFileName();

Dim fileName As String
fileName = chantProfile.FileName

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantProfile


ChantProfile GrammarTraining Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

GrammarTraining Property

Indicates that custom speech recognition training using a grammar vocabulary is available.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool grammarTraining = chantProfile.GrammarTraining;

bool grammarTraining = chantProfile->GetGrammarTraining();

bool grammarTraining = chantProfile->GetGrammarTraining();

var grammarTraining: boolean;
grammarTraining := chantProfile.GrammarTraining;

boolean grammarTraining = chantProfile.getGrammarTraining();

Dim grammarTraining As Boolean
grammarTraining = chantProfile.GrammarTraining

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantProfile


ChantProfile Import Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Import Method

Restores a SAPI 5 speaker profile from a file.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantProfile.Import();

chantProfile->Import();

chantProfile->Import();

chantProfile.Import();

chantProfile.import();

chantProfile.Import()

The following example illustrates restoring a SAPI 5 speaker profile.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Instantiate ChantProfile object
NChantProfile nChantProfile = NChantPM1.OpenChantProfile("jakewilliams.dat");
// Restore the speaker profile
nChantProfile.Import();

// Instantiate ChantProfile object
CChantProfile* pChantProfile = pChantPM->OpenChantProfile(L"jakewilliams.dat");
// Restore the speaker profile
pChantProfile->Import();

// Instantiate ChantProfile object
CChantProfile* pChantProfile = pChantPM->OpenChantProfile("jakewilliams.dat");
// Restore the speaker profile
pChantProfile->Import();

var
    aTChantProfile: TChantProfile;
begin
// Set the current speaker
aTChantProfile = ChantPM1.OpenChantProfile('jakewilliams.dat');
// Restore the speaker profile
aTChantProfile.Import();

// Instantiate ChantProfile object
JChantProfile jChantProfile = JChantPM1.openChantProfile("jakewilliams.dat");
// Restore the speaker profile
jChantProfile.import();

Dim nChantProfile As NChantProfile
' Instantiate ChantProfile object
nChantProfile = NChantPM1.OpenChantProfile("jakewilliams.dat")
' Restore the speaker profile
nChantProfile.Import()

Collapse/Expand See Also section See Also

ChantProfile
Export


ChantProfile Name Property

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

Name Property

The profile name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantProfile.Name;

wchar_t* name = chantProfile->GetName();

String name = chantProfile->GetName();

var name: string;
name := chantProfile.Name;

String name = chantProfile.getName();

Dim name As String
name = chantProfile.Name

Collapse/Expand See Also section See Also

ChantProfile


ChantProfile PauseTraining Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

PauseTraining Method

Suspends speech profile training.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantProfile.PauseTraining();

chantProfile->PauseTraining();

chantProfile->PauseTraining();

chantProfile.PauseTraining();

chantProfile.pauseTraining();

chantProfile.PauseTraining()

Collapse/Expand Remarks section Remarks

An application may need to temporarily suspend speech profile training.

Collapse/Expand See Also section See Also

ChantProfile
ResumeTraining


ChantProfile ResumeTraining Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

ResumeTraining Method

Resumes speech profile training that was suspended by PauseTraining.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantProfile.ResumeTraining();

chantProfile->ResumeTraining();

chantProfile->ResumeTraining();

chantProfile.ResumeTraining();

chantProfile.resumeRecording();

chantProfile.ResumeTraining()

Collapse/Expand Remarks section Remarks

An application may need to temporarily suspend speech profile training processing.

Collapse/Expand See Also section See Also

ChantProfile
PauseTraining


ChantProfile SetTrainingProperty Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

SetTrainingProperty Method

Sets a training session property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantProfile.SetTrainingProperty(eChantTrainingProperty, value);

chantProfile->SetTrainingProperty(eChantTrainingProperty, value);

chantProfile->SetTrainingProperty(eChantTrainingProperty, value);

chantProfile.SetTrainingProperty(eChantTrainingProperty, value);

chantProfile.setTrainingProperty(eChantTrainingProperty, value);

chantProfile.SetTrainingProperty(eChantTrainingProperty, value)

Parameters

eChantTrainingProperty

ChantTrainingProperty. Value that uniquely identifies the property.

value

String. Property value.

Collapse/Expand Remarks section Remarks

All training session property values are set via SetTrainingProperty. The property type may be one of the following values:

Constant | Value | Description
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPDiscardButton | 1 | Discard button label text and voice command.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPDiscardResponse | 2 | Response displayed and spoken after training is discarded.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPPauseButton | 3 | Pause button label text and voice command.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPResumeButton | 4 | Resume button label text and voice command.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPSaveButton | 5 | Save button label text and voice command.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPSaveInstructions | 6 | Instructions displayed and spoken after training complete.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPSaveResponse | 7 | Response displayed and spoken after training session saved.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPTitle | 8 | Training dialog title.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CTPTrainingDictationVocab | 9 | Dictation vocabulary.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPTrainingGrammarVocab | 10 | Grammar vocabulary.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPTrainingText | 11 | Training script.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPTrainingFile | 12 | File name containing training script.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPTrainingInstructions | 13 | Instructions displayed and spoken before training begins.

VoCon V3 requires all grammars to be compiled offline. To support CTPTrainingText with VoCon V3, compile a grammar traininggrammar.dat with contents as follows:

#BNF+EM V1.1;
!grammar traininggrammar;
!start <start>;
!slot <traininggrammar>;
<start>: <traininggrammar>;
<traininggrammar>: <VOID>;

To support training dialog button commands with VoCon V3, compile a grammar trainingcmd.dat with contents as follows:

#BNF+EM V1.1;
!grammar trainingcmd;
!start <start>;
!slot <trainingcmd>;
<start>: <trainingcmd>;
<trainingcmd>: <VOID>;

Collapse/Expand Example section Example

See the StartTraining example.

Collapse/Expand See Also section See Also

ChantProfile


ChantProfile StartTraining Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

StartTraining Method

Starts speaker profile training session with live audio, recorded audio, or text.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantProfile.StartTraining(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, showUI);

chantProfile->StartTraining(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, showUI);

chantProfile->StartTraining(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, showUI);

chantProfile.StartTraining(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, showUI);

chantProfile.startTraining(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, showUI);

chantProfile.StartTraining(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, showUI)

Parameters

recording

String or Pointer. Optional file name, buffer, or stream of audio or text from which to train.

recordingSize

Long integer. Optional length of source audio or text buffer.

eChantRecordingObject

ChantRecordingObject. Optional value that uniquely identifies the audio source object.

eChantAudioFormat

ChantAudioFormat. Optional value that uniquely identifies the audio format of source audio. For the complete list of values, see ChantAudioFormat enumerated constants.

showUI

Boolean. Show dialog window during training.

Collapse/Expand Remarks section Remarks

StartTraining is a simple way to adapt a speaker profile. The training session can be tailored as needed by the application.

StartTraining provides a way to pass recorded audio data from which to train as an alternative to live microphone audio. In this case, a dictation vocabulary is automatically loaded and activated if no other vocabulary is active. The recording object type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CROBuffer | 1 | The recording audio source is copied from a buffer.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CROFile | 2 | The recording audio source is read from a file.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CROMultiMedia | 3 | The recording audio source is from the system real-time multimedia device (e.g., a microphone).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CROStream | 4 | The recording audio source is read from a stream.

StartTraining provides a way to pass text data from which to train. Use CAFText as the ChantAudioFormat. The text object type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CROBuffer | 1 | The text data is copied from a buffer.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CROFile | 2 | The text data is read from a file.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CROStream | 4 | The text data is read from a stream.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CROText | 5 | The text data is a string.

Collapse/Expand Example section Example

The following examples illustrate using the StartTraining method to train from recorded audio.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Instantiate ChantProfile object
NChantProfile nChantProfile = NChantPM1.CreateChantProfile("Default Speaker", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");

// Example 1 - Training the speaker with ProfileKit grammar training
nChantProfile.SetTrainingProperty(ChantTrainingProperty.CTPTrainingText, "red\nblue\norange\ngreen\npurple\nyellow\nbrown\n");

// Example 1 - Start training with dialog hidden
nChantProfile.StartTraining("", 0, ChantRecordingObject.CROMultiMedia, ChantAudioFormat.CAFDefault, false);

// Example 2 - Training the speaker with ProfileKit using a grammar file
nChantProfile.SetTrainingProperty(ChantTrainingProperty.CTPTrainingGrammarVocab, "colors.xml");

// Example 2 - Start training with dialog hidden using pre-recorded audio file
nChantProfile.StartTraining("mytraining.wav", 0, ChantRecordingObject.CROFile, ChantAudioFormat.CAFDefault, false);

// Example 3 - Start training with dialog hidden using text file
nChantProfile.StartTraining("mydocument.txt", 0, ChantRecordingObject.CROFile, ChantAudioFormat.CAFText, false);

// Instantiate ChantProfile object
CChantProfile* pChantProfile = pChantPM->CreateChantProfile(L"Default Speaker", L"Microsoft Speech Recognizer 8.0 for Windows (English - US)");

// Example 1 - Training the speaker with ProfileKit grammar training
pChantProfile->SetTrainingProperty(CTPTrainingText, L"red\nblue\norange\ngreen\npurple\nyellow\nbrown\n");

// Example 1 - Start training with dialog hidden
pChantProfile->StartTraining(NULL, 0, CROMultiMedia, CAFDefault, false);

// Training the speaker with ProfileKit using a grammar file
pChantProfile->SetTrainingProperty(CTPTrainingGrammarVocab, L"colors.xml");

// Start training with dialog hidden using pre-recorded audio file
pChantProfile->StartTraining(L"mytraining.wav", 0, CROFile, CAFDefault, false);

// Example 3 - Start training with dialog hidden using text file
pChantProfile->StartTraining(L"mydocument.txt", 0, CROFile, CAFText, false);

// Instantiate ChantProfile object
CChantProfile* pChantProfile = pChantPM->CreateChantProfile("Default Speaker", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");

// Example 1 - Training the speaker with ProfileKit grammar training
pChantProfile->SetTrainingProperty(CTPTrainingText, "red\nblue\norange\ngreen\npurple\nyellow\nbrown\n");

// Example 1 - Start training with dialog hidden
pChantProfile->StartTraining(NULL, 0, CROMultiMedia, CAFDefault, false);

// Example 2 - Training the speaker with ProfileKit using a grammar file
pChantProfile->SetTrainingProperty(CTPTrainingGrammarVocab, "colors.xml");

// Example 2 - Start training with dialog hidden using pre-recorded audio file
pChantProfile->StartTraining("mytraining.wav", 0, CROFile, CAFDefault, false);

// Example 3 - Start training with dialog hidden using text file
pChantProfile->StartTraining("mydocument.txt", 0, CROFile, CAFText, false);

var
    aTChantProfile: TChantProfile;
begin
// Set the current speaker
aTChantProfile = ChantPM1.CreateChantProfile('Default Speaker', 'Microsoft Speech Recognizer 8.0 for Windows (English - US)');

// Example 1 - Training the speaker with ProfileKit grammar training
aTChantProfile.SetTrainingProperty(CTPTrainingText, 'red\nblue\norange\ngreen\npurple\nyellow\nbrown\n');

// Example 1 - Start training with dialog hidden
aTChantProfile.StartTraining(nil, 0, CROMultiMedia, CAFDefault, False);

// Example 2 - Training the speaker with ProfileKit using a grammar file
aTChantProfile.SetTrainingProperty(CTPTrainingGrammarVocab, 'colors.xml');

// Example 2 - Start training with dialog hidden using pre-recorded audio file
aTChantProfile.StartTraining('mytraining.wav', 0, CROFile, CAFDefault, False);

// Example 3 - Start training with dialog hidden using text file
aTChantProfile.StartTraining('mydocument.txt', 0, CROFile, CAFText, False);
end;

// Instantiate ChantProfile object
JChantProfile jChantProfile = JChantPM1.createChantProfile("Default Speaker", "Microsoft Speech Recognizer 8.0 for Windows (English - US)");

// Example 1 - Training the speaker with ProfileKit grammar training
jChantProfile.setTrainingProperty(ChantTrainingProperty.CTPTrainingText, "red\nblue\norange\ngreen\npurple\nyellow\nbrown\n");

// Example 1 - Start training with dialog hidden
jChantProfile.startTraining("", 0, ChantRecordingObject.CROMultiMedia, ChantAudioFormat.CAFDefault, false);

// Example 2 - Training the speaker with ProfileKit using a grammar file
jChantProfile.setTrainingProperty(ChantTrainingProperty.CTPTrainingGrammarVocab, "colors.xml");

// Example 2 - Start training with dialog hidden using pre-recorded audio file
jChantProfile.startTraining("mytraining.wav", 0, ChantRecordingObject.CROFile, ChantAudioFormat.CAFDefault, false);

// Example 3 - Start training with dialog hidden using text file
jChantProfile.startTraining("mydocument.txt", 0, ChantRecordingObject.CROFile, ChantAudioFormat.CAFText, false);

Dim nChantProfile As NChantProfile
' Instantiate ChantProfile object
nChantProfile = NChantPM1.CreateChantProfile("Default Speaker", "Microsoft Speech Recognizer 8.0 for Windows (English - US)")

' Example 1 - Training the speaker with ProfileKit grammar training
nChantProfile.SetTrainingProperty(ChantTrainingProperty.CTPTrainingText, "red" + vbCrLf + "blue" + vbCrLf + "orange" + vbCrLf + "green" + vbCrLf + "purple" + vbCrLf + "yellow" + vbCrLf + "brown" + vbCrLf)

' Example 1 - Start training with dialog hidden
nChantProfile.StartTraining("", 0, ChantRecordingObject.CROMultiMedia, ChantAudioFormat.CAFDefault, false)

' Example 2 - Training the speaker with ProfileKit using a grammar file
nChantProfile.SetTrainingProperty(ChantTrainingProperty.CTPTrainingGrammarVocab, "colors.xml")

' Example 2 - Start training with dialog hidden using pre-recorded audio file
nChantProfile.StartTraining("mytraining.wav", 0, ChantRecordingObject.CROFile, ChantAudioFormat.CAFDefault, false)

' Example 3 - Start training with dialog hidden using using text file
nChantProfile.StartTraining("mydocument.txt", 0, ChantRecordingObject.CROFile, ChantAudioFormat.CAFText, false)

Collapse/Expand See Also section See Also

ChantProfile
StopTraining


ChantProfile StopTraining Method

Chant ProfileKit 5 Logo
Chant ProfileKit 5 Developer's Guide

StopTraining Method

Stops speaker training and saves or discards the training session data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantProfile.StopTraining(saveTraining);

chantProfile->StopTraining(saveTraining);

chantProfile->StopTraining(saveTraining);

chantProfile.StopTraining(saveTraining);

chantProfile.stopTraining(saveTraining);

chantProfile.StopTraining(saveTraining);

Parameters

saveTraining

Boolean. Save or discard speaker training.

Collapse/Expand Remarks section Remarks

StopTraining terminates the training session and optionally persists the speaker training data. It is used to cancel the training session or terminate it after training is complete.

Collapse/Expand Example section Example

The following example illustrates using StopTraining method to stop speaker profile training.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Stop training and save session data
nChantProfile.StopTraining(True);

// Stop training and save session data
pChantProfile->StopTraining(true);

// Stop training and save session data
pChantProfile->StopTraining(true);

// Stop training and save session data
aTChantProfile.StopTraining(True);

// Stop training and save session data
jChantProfile.stopTraining(true);

' Stop training and save session data
nChantProfile.StopTraining(True)

Collapse/Expand See Also section See Also

ChantProfile
StartTraining


SpeechKit Classes

All SpeechKit class libraries and class names begin with a unique letter as follows:

  • C++ - C (e.g., CSpeechKit, CChantSR)
  • Delphi - T (e.g., TChantSR)
  • Java - J (e.g., JSpeechKit, JChantSR)
  • .NET - N (e.g., NSpeechKit, NChantSR)

The following classes are included in the SpeechKit class libraries:

Class | Description
ChantAlternate | Represents an alternate speech recognition result.
ChantAlternateCollection | Represents a collection of ChantAlternate objects.
ChantAlternateWordCollection | Represents a collection of ChantWord objects.
ChantAudio | Represents an inbound or outbound audio object.
ChantAudioCaptureDevice | Represents an audio endpoint capture device.
ChantAudioCaptureDeviceCollection | Represents a collection of ChantAudioCaptureDevice objects.
ChantAudioEvent | Represents an audio event.
ChantAudioInDevice | Represents a collection of ChantAudioInDevice objects.
ChantAudioInDeviceCollection | Represents a collection of ChantAudioInDevice objects.
ChantAudioMixer | Represents an audio mixer.
ChantAudioMixerCollection | Represents a collection of ChantAudioMixer objects.
ChantAudioMixerLine | Represents an audio mixer line.
ChantAudioMixerLineCollection | Represents a collection of ChantAudioMixerLine objects.
ChantAudioOutDevice | Represents an outbound audio device.
ChantAudioOutDeviceCollection | Represents a collection of ChantAudioOutDevice objects.
ChantAudioRenderDevice | Represents an audio endpoint render device.
ChantAudioRenderDeviceCollection | Represents a collection of ChantAudioRenderDevice objects.
ChantCommandVocab | Represents a command vocabulary.
ChantDictationVocab | Represents a dictation vocabulary.
ChantDragonCustom | Represents a Dragon NaturallySpeaking dictation custom edit control.
ChantDragonEdit | Represents a Dragon NaturallySpeaking dictation edit control.
ChantGrammarVocab | Represents a grammar vocabulary.
ChantNativeGrammarVocab | Represents a compiled grammar vocabulary.
ChantPhraseProperty | Represents a grammar phrase semantic property.
ChantPhrasePropertyCollection | Represents a collection of ChantPhraseProperty objects.
ChantRemoteVocab | Represents a remote vocabulary.
ChantRule | Represents a recognized phrase.
ChantRuleCollection | Represents a collection of ChantRule objects.
ChantSR | Represents a session with a speech recognition engine (i.e., recognizer).
ChantSRContext | Represents a speech recognition context.
ChantSREvent | Represents a speech recognition event.
ChantSRResource | Represents a speech recognition resource.
ChantTTS | Represents a session with a text-to-speech engine (i.e., synthesizer or voice).
ChantTTSEvent | Represents a text-to-speech event.
ChantTTSLexicon | Represents a text-to-speech lexicon of pronunciations.
ChantVocabulary | Represents a speech recognition vocabulary.
ChantWord | Represents a recognized word.
ChantWordAlternateCollection | Represents a collection of alternate ChantWord objects.
ChantWordCollection | Represents a collection of ChantWord objects.


ChantAlternate Class

Represents an alternate speech recognition result.

Collapse/Expand Remarks section Remarks

A speech recognition result is comprised of the words in which the recognizer has the highest confidence. Some recognizers provide alternate speech recognition results in addition to the recognized result. An alternate speech recognition result represents an additional possibility of what was spoken.

Managing alternate speech recognition results consumes processing resources. Careful consideration should be given in determining when to include alternate speech recognition result and correction capabilities in applications.

Set the CNPMaxAlternates property to a value greater than 0 to indicate the application is interested in accessing alternate speech recognition results.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | AnnotatedPhrase | An alternate recognized phrase from a grammar vocabulary with annotation substitutions.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | ChantWords | A collection of ChantWord objects.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | Command | An alternate recognized command from a command vocabulary.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | Phonemes | An alternate recognized phrase from a grammar vocabulary.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | Phrase | The phonemes for the alternate recognized words.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | Text | The alternate recognized text from a dictation vocabulary or topic.

Collapse/Expand Example section Example

The following example illustrates enumerating alternate words.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void Form1_Load(object sender, System.EventArgs e)
{
    // Register for dictation recognition results
    NChantSR1.RegisterCallback(ChantCallback.CCSRHasText);
    // Set the recognizer to return alternates
    NChantSR1.SetNumberProperty(ChantNumberProperty.CNPMaxAlternates, 3);
    // Start recognition
    NChantSR1.StartRecording();
}

private void NChantSR1_HasEvent(object sender, SpeechKit.HasEventArgs e)
{
    // Get the event from the event queue
    NChantSREvent nChantSREvent = NChantSR1.GetChantSREvent();
    if (nChantSREvent != null)
    {
        // Process the type of callback event
        switch (nChantSREvent.ChantCallback)
        {
            case (int)ChantCallback.CCSRHasText :
                // Get the number of alternates
                int numberOfAlternates = nChantSREvent.ChantAlternates.Count;
                string sResult = "";
                for (int j = 0; j < numberOfAlternates; j++)
                {
                    NChantAlternate nChantAlternate = nChantSREvent.ChantAlternates.ChantAlternate[j];
                    int numberOfWords = nChantAlternate.ChantWords.Count;
                    for (int k = 0; k < numberOfWords; k++)
                    {
                        NChantWord nChantWord = nChantAlternate.ChantWords.ChantWord[k];
                        // Display alternate word
                        if (nChantWord.DisplayText.Length > 0)
                        {
                            sResult += nChantWord.DisplayText;
                            sResult += "\r\n";
                        }
                        else
                        {
                            sResult += nChantWord.LexicalText;
                            sResult += "\r\n";
                        }
                    }
                }
                textBox1.Text = textBox1.Text + sResult;
                break;
            default :
                break;
        }
        // Remove the event from the event queue
        NChantSR1.RemoveEvent();
    }
}

void CRecognitionDlg::OnLoad()
{
    // Instantiate ChantSR object
    m_pChantSR = new CChantSR(TRUE);
    // Define the HasEvent callback message
    m_HasEvent = WM_APP;
    pChantSR->SetWindowMessage(GetSafeHwnd(),m_HasEvent);
    // Initialize properties and start recognition
    pChantSR->SetNumberProperty(CNPMaxAlternates,3);
    pChantSR->RegisterCallback(CCSRHasText);
    pChantSR->StartRecording();
}

LRESULT CRecognitionDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (message == m_HasEvent)
    {
        // Get the number of events
        USES_CONVERSION;
        // Get the event from the event queue
        CChantSREvent* pChantSREvent = pChantSR->GetChantSREvent();
        for (int i = 0; i < numberOfEvents; i++)
        {
            // Process the type of callback event
            switch (pChantSREvent->GetChantCallback())
            {
                case CCSRHasText :
                {
                    CString sResult;
                    int numberOfAlternates = pChantSREvent->GetChantAlternates()->GetCount();
                    for (int j = 0; j < numberOfAlternates; j++)
                    {
                        CChantAlternate* pChantAlternate = pChantSREvent->GetChantAlternates()->GetChantAlterante(j);
                        int numberOfWords = pChantAlternate->GetChantWords()->GetCount();
                        for (int k = 0; k < numberOfWords; k++)
                        {
                            CChantWord* pChantWord = pChantAlternate->GetChantWords()->GetChantWord(k);
                            // Display alternate word
                            if (pChantWord->GetDisplayText() != NULL)
                            {
                                sResult += W2T(pChantWord->GetDisplayText());
                                sResult += "\r\n";
                            } else {
                                sResult += W2T(pChantWord->GetLexicalText());
                                sResult += "\r\n";
                            }
                        }
                    }
                    CString sText;
                    CEdit* pEdit = (CEdit*)GetDlgItem(IDC_EDIT1);
                    pEdit->GetWindowText(sText);
                    sText += sResult;
                    pEdit->SetWindowText(sText);
                    break;
                }
                default :
                    break;
            }
            // Remove the event from the event queue
            pChantSR->RemoveEvent();
        }
    }
}

void __fastcall TForm1::OnLoad()
{
    // Instantiate ChantSR object
    ChantSR1 = new CChantSR();
    // Define the HasEvent callback message
    ChantSR1->SetWindowMessage(Handle, WM_APP+2, 0, 0);

    // Initialize properties and start recognition
    ChantSR1->SetNumberProperty(CNPMaxAlternates,3);
    ChantSR1->RegisterCallback(CCSRHasText);
    ChantSR1->StartRecording();
}
void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantSREvent* pEvent = ChantSR1->GetChantSREvent();
    if (pEvent != NULL)
    {
        switch (pEvent->GetChantCallback())
        {
            default:
                break;
            case CCSRHasText :
            {
                String sResult;
                int numberOfAlternates = pChantSREvent->GetChantAlternates()->GetCount();
                for (int j = 0; j < numberOfAlternates; j++)
                {
                    CChantAlternate* pChantAlternate = pChantSREvent->GetChantAlternates()->GetChantAlternate(j);
                    int numberOfWords = pChantAlternate->GetChantWords()->GetCount();
                    for (int k = 0; k < numberOfWords; k++)
                    {
                        CChantWord* pChantWord = pChantAlternate->GetChantWords()->GetChantWord(k);
                        // Display alternate word
                        if (pChantWord->GetDisplayText() != NULL)
                        {
                            sResult += pChantWord->GetDisplayText();
                        } else {
                            sResult += pChantWord->GetLexicalText();
                        }
                    }
                }
                Memo1->Text = Memo1->Text + sResult + '\r' + '\n';
                // Make Visible
                Memo1->SelStart = Memo1->Text.Length();
                Memo1->SelLength = 1;
                Memo1->SetFocus();
                break;
            }
            default :
                break;
        }
        // Remove the event from the event queue
        ChantSR1->RemoveEvent();
        delete pEvent;
    }
}

procedure TForm1.FormCreate(Sender: TObject);
begin
    // Instantiate ChantSR object
    ChantSR1 := TChantSR.Create();
    // Define the HasEvent callback message
    ChantSR1.SetWindowMessage(Handle, WM_APP+2, 0, 0);

    // Initialize properties and start recognition
    ChantSR1.SetNumberProperty(CNPMaxAlternates,3);
    ChantSR1.RegisterCallback(CCSRHasText);
    ChantSR1.StartRecording();
end;
procedure TForm1.OnHasEvent(var msg: TMessage);
var
  aTChantSREvent: TChantSREvent;
  aTChantWord: TChantWord;
  aTChantAlternate: TChantAlternate;
  numberOfWords: Integer;
  i: Integer;
  j: Integer;
begin
    // Get the event from the event queue
    aTChantSREvent := ChantSR1.GetChantSREvent();
    if aTChantSREvent <> nil then
    begin
      case aTChantSREvent.ChantCallback of
        CCSRHasText:
        begin
          numberOfAlternates := aTChantSREvent.ChantAlternates.Count;
          for j := 0 to numberOfAlternates - 1 do
            begin
                aTChantAlternate := aTChantSREvent.ChantAlternates.ChantAlternate(j);
                numberOfWords := aTChantAlternate.ChantWords.Count;
                for k := 0 to numberOfWords - 1 do
                    begin
                        aTChantWord := aTChantAlternate.ChantWords.ChantWord(k);
                        // Display alternate word
                        if (Length(aTChantWord.DisplayText) > 0) then
                            begin
                                sResult := sResult + aTChantWord.DisplayText;
                                sResult := sResult + #13 + #10;
                            end
                        else
                            begin
                                sResult := sResult + aTChantWord.LexicalText;
                                sResult := sResult + #13 + #10;
                            end;
                        Memo1.Text := Memo1.Text + sResult;
                    end;
            end;
        end;
      end;
      // Remove the event from the event queue
      ChantSR1.RemoveEvent();
      aTChantSREvent.Destroy();
    end;
end;

private void jbInit() throws Exception
{
    // Create ChantSR object
    JChantSR1 = new JChantSR(true);
    // Register for text recognition results
    JChantSR1.registerCallback(ChantCallback.CCSRHasText);
    // Set the recognizer to return alternates
    JChantSR1.setNumberProperty(ChantNumberProperty.CNPMaxAlternates, 3);
    // Set the callback
    JChantSR1.setCallbackFunction(this,null,null);
    // Start recognition
    JChantSR1.startRecording();
}

// Process callback.
public void hasEvent(Object obj1, Object obj2)
{
    // Get the event from the event queue
    JChantSREvent jChantSREvent = JChantSR1.getChantSREvent();
    if (jChantSREvent != null)
    {
        // Process the type of callback event
        switch (jChantSREvent.getChantCallback())
        {
            case ChantCallback.CCSRHasText :
            {
                // Get the number of alternates
                int numberOfAlternates = jChantSREvent.getChantAlternates().getCount();
                String sResult = "";
                for (int j = 0; j < numberOfAlternates; j++)
                {
                    JChantAlternate jChantAlternate = jChantSREvent.getChantAlternates().getChantAlternate(j);
                    int numberOfWords = jChantAlternate.getChantWords().getCount();
                    for (int k = 0; k < numberOfWords; k++)
                    {
                        JChantWord jChantWord = jChantAlternate.getChantWords().getChantWord(k);
                        // Display alternate word
                        if (jChantWord.getDisplayText().length() > 0)
                        {
                            sResult += jChantWord.getDisplayText();
                            sResult += "\r\n";
                        } else {
                            sResult += jChantWord.getLexicalText();
                            sResult += "\r\n";
                        }
                    }
                }
                jTextArea1.append(sResult);
            }
            default :
            break;
        }
        // Remove the event from the event queue
        JChantSR1.removeEvent();
    }
}

Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    NChantSR1 = New NChantSR()
    ' Register for dictation recognition results
    NChantSR1.RegisterCallback(ChantCallback.CCSRHasText)
    'Set the recognizer to return alternates
    NChantSR1.SetNumberProperty(ChantNumberProperty.CNPMaxAlternates, 3)
    ' Start recognition
    NChantSR1.StartRecording()
End Sub

Private Sub NChantSR1_HasEvent(ByVal sender As System.Object, ByVal e As SpeechKit.HasEventArgs) Handles NChantSR1.HasEvent
    Dim sResult As String
    Dim nChantSREvent As NChantSREvent
    Dim nChantAlternate As NChantAlternate
    Dim nChantWord As NChantWord
    Dim numberOfEvents As Integer
    Dim numberOfAlternates As Integer
    Dim numberOfWords As Integer
    Dim I As Integer
    Dim J As Integer
    Dim K As Integer
    ' Get the event from the event queue
    nChantSREvent = NChantSR1.GetChantSREvent()
    If nChantSREvent <> Nothing Then
        ' Process the type of callback event
        Select Case nChantSREvent.ChantCallback
            Case ChantCallback.CCSRHasText
                ' Get the number of alternates
                numberOfAlternates = nChantSREvent.ChantAlternates.Count
                sResult = ""
                For J = 0 To numberOfAlternates - 1
                    nChantAlternate = nChantSREvent.ChantAlternates.ChantAlternate(J)
                    numberOfWords = nChantAlternate.ChantWords.Count
                    For K = 0 To numberOfWords - 1
                        nChantWord = nChantAlternate.ChantWords.ChantWord(K)
                        ' Display alternate word
                        If (nChantWord.DisplayText.Length > 0) Then
                            sResult = sResult + nChantWord.DisplayText + vbCr + vbLf
                        Else
                            sResult = sResult + nChantWord.LexicalText + vbCr + vbLf
                    End If
                    Next
                Next
                TextBox1.Text = TextBox1.Text + sResult
            Case Else
        End Select
        ' Remove the event from the event queue
        NChantSR1.RemoveEvent()
    End If
End Sub

Collapse/Expand See Also section See Also

ChantAlternateCollection
ChantAlternates
ChantWord


ChantAlternate AnnotatedPhrase Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

AnnotatedPhrase Property

An alternate recognized phrase from a grammar vocabulary with annotation substitutions.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String annotatedPhrase = chantAlternate.AnnotatedPhrase;

wchar_t* annotatedPhrase = chantAlternate->GetAnnotatedPhrase();

String annotatedPhrase = chantAlternate->GetAnnotatedPhrase();

var annotatedPhrase: string;
annotatedPhrase := chantAlternate.AnnotatedPhrase;

String annotatedPhrase = chantAlternate.getAnnotatedPhrase();

Dim annotatedPhrase As String
annotatedPhrase = chantAlternate.AnnotatedPhrase

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAlternate


ChantAlternate ChantWords Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantWords Property

A collection of ChantWord objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAlternateWordCollection chantAlternateWordCollection = chantAlternate.ChantWords;

CChantAlternateWordCollection* chantAlternateWordCollection = chantAlternate->GetChantWords();

CChantAlternateWordCollection* chantAlternateWordCollection = chantAlternate->GetChantWords();

var chantAlternateWordCollection: TChantAlternateWordCollection;
chantAlternateWordCollection := chantAlternate.ChantWords;

JChantAlternateWordCollection chantAlternateWordCollection = chantAlternate.getChantWords();

Dim chantAlternateWordCollection As NChantAlternateWordCollection
chantAlternateWordCollection = chantAlternate.ChantWords

Collapse/Expand See Also section See Also

ChantAlternate
ChantWord
ChantAlternateWordCollection


ChantAlternate Command Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Command Property

An alternate recognized command from a command vocabulary.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String command = chantAlternate.Command;

wchar_t* command = chantAlternate->GetCommand();

String command = chantAlternate->GetCommand();

var command: string;
command := chantAlternate.Command;

String command = chantAlternate.getCommand();

Dim command As String
command = chantAlternate.Command

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAlternate


ChantAlternate Phonemes Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Phonemes Property

The phonemes for the alternate recognized words.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String phonemes = chantAlternate.Phonemes;

wchar_t* phonemes = chantAlternate->GetPhonemes();

String phonemes = chantAlternate->GetPhonemes();

var phonemes: string;
phonemes := chantAlternate.Phonemes;

String phonemes = chantAlternate.getPhonemes();

Dim phonemes As String
phonemes = chantAlternate.Phonemes

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAlternate


ChantAlternate Phrase Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Phrase Property

An alternate recognized phrase from a grammar vocabulary with annotation substitutions.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String phrase = chantAlternate.Phrase;

wchar_t* phrase = chantAlternate->GetPhrase();

String phrase = chantAlternate->GetPhrase();

var phrase: string;
phrase := chantAlternate.Phrase;

String phrase = chantAlternate.getPhrase();

Dim phrase As String
phrase = chantAlternate.Phrase

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAlternate


ChantAlternate Text Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Text Property

An alternate recognized phrase from a grammar vocabulary with annotation substitutions.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String text = chantAlternate.Text;

wchar_t* text = chantAlternate->GetText();

String text = chantAlternate->GetText();

var text: string;
text := chantAlternate.Text;

String text = chantAlternate.getText();

Dim text As String
text = chantAlternate.Text

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAlternate


ChantAlternateCollection Class

Represents a collection of ChantAlternate objects.

Collapse/Expand Remarks section Remarks

A ChantAlternateCollection is used to enumerate the available audio mixers.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantAlternate | The ChantAlternate object collection.
Public property | Count | The number of ChantAlternates.

Collapse/Expand Example section Example

The following example illustrates enumerating alternate events and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantAlternate chantAlternate in chantSREvent.ChantAlternates)
{
    // Access alternate event properties
    string text = chantAlternate.Text;
}

int numberOfAlternates = pChantSREvent->GetChantAlternates()->GetCount();
for (i = 0; i < numberOfAlternates; i++)
{
    CChantAlternate* pChantAlternate = pChantSREvent->GetChantAlternates()->GetChantAlternate(i);
    // Access alternate event properties
    wchar_t* text = pChantAlternate->GetText();
}

int numberOfAlternates = pChantSREvent->GetChantAlternates()->GetCount();
for (i = 0; i < numberOfAlternates; i++)
{
    CChantAlternate* pChantAlternate = pChantSREvent->GetChantAlternates()->GetChantAlternate(i);
    // Access alternate event properties
    String text = pChantAlternate->GetText();
}

var
chantAlternate: TChantAlternate;
text: string;
begin
for chantAlternate in chantSREvent.ChantAlternates do
    begin
        // Access alternate event properties
        text := chantAlternate.Text;
    end;
end;

for (JChantAlternate chantAlternate : chantSREvent.getChantAlternates())
{
    // Access alternate event properties
    String text = chantAlternate.getText();
}

Dim chantAlternate As NChantAlternate
Dim text As String
For Each chantAlternate In chantSREvent.ChantAlternates
    ' Access alternate event properties
    text = chantAlternate.Text
Next

Collapse/Expand See Also section See Also

ChantAlternate


ChantAlternateCollection ChantAlternate Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAlternate Property

A collection of ChantAlternate objects representing an alternate recognition events.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAlternate chantAlternate = chantAlternateCollection.ChantAlternate[index];

CChantAlternate* chantAlternate = chantAlternateCollection->GetChantAlternate(index);

CChantAlternate* chantAlternate = chantAlternateCollection->GetChantAlternate(index);

var chantAlternate: TChantAlternate;
chantAlternate := chantAlternateCollection.ChantAlternate(index);

JChantAlternate chantAlternate = chantAlternateCollection.getAt(index);

Dim chantAlternate As NChantAlternate
chantAlternate = chantAlternateCollection.ChantAlternate(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAlternate


ChantAlternateCollection Count Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Count Property

The number of ChantAlternate objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantAlternateCollection.Count;

long count = chantAlternateCollection->GetCount();

long count = chantAlternateCollection->GetCount();

var count: Integer;
count := chantAlternateCollection.Count;

int count = chantAlternateCollection.getCount();

Dim count As Integer
count = chantAlternateCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAlternateCollection


ChantAlternateWordCollection Class

Represents a collection of ChantWord objects.

Collapse/Expand Remarks section Remarks

A ChantAlternateWordCollection is used to enumerate the available ChantWord objects.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantWord | The ChantWord object collection.
Public property | Count | The number of ChantWord objects.

Collapse/Expand Example section Example

The following example illustrates enumerating alternate event words and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantWord chantWord in chantAlternate.ChantWords)
{
    // Access alternate event word device properties
    string lexicalText = chantWord.LexicalText;
}

int numberOfAlternateWords = pChantAlternate->GetWordCollection()->GetCount();
for (i = 0; i < numberOfAlternateWords; i++)
{
    CChantWord* pChantWord = pChantAlternate->GetWordCollection()->GetChantWord(i);
    // Access alternate event word device properties
    wchar_t* lexicalText = pChantWord->GetLexicalText();
}

int numberOfAlternateWords = pChantAlternate->GetWordCollection()->GetCount();
for (i = 0; i < numberOfAlternateWords; i++)
{
    CChantWord* pChantWord = pChantAlternate->GetWordCollection()->GetChantWord(i);
    // Access alternate event word device properties
    String lexicalText = pChantWord->GetLexicalText();
}

var
chantWord: TChantWord;
lexicalText: string;
begin
for chantWord in chantAlternate.ChantWords do
    begin
        // Access alternate event word device properties
        lexicalText := chantWord.LexicalText;
    end;
end;

for (JChantWord chantWord : chantAlternate.getChantWords())
{
    // Access alternate event word device properties
    String lexicalText = chantWord.getLexicalText();
}

Dim chantWord As NChantWord
Dim lexicalText As String
For Each chantWord In chantAlternate.ChantWords
    ' Access alternate event word device properties
    lexicalText = chantWord.LexicalText
Next

Collapse/Expand See Also section See Also

ChantAlternate
ChantWord


ChantAlternateWordCollection ChantWord Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantWord Property

A collection of ChantWord objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantWord chantWord = chantAlternateWordCollection.ChantWord[index];

CChantWord* chantWord = chantAlternateWordCollection->GetChantAlternateWord(index);

CChantWord* chantWord = chantAlternateWordCollection->GetChantAlternateWord(index);

var chantWord: TChantWord;
chantWord := chantAlternateWordCollection.ChantWord(index);

JChantWord chantWord = chantAlternateWordCollection.getAt(index);

Dim chantWord As NChantWord
chantWord = chantAlternateWordCollection.ChantWord(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAlternate
ChantWord


ChantAlternateWordCollection Count Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Count Property

The number of ChantWord objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantAlternateWordCollection.Count;

long count = chantAlternateWordCollection->GetCount();

long count = chantAlternateWordCollection->GetCount();

var count: Integer;
count := chantAlternateWordCollection.Count;

int count = chantAlternateWordCollection.getCount();

Dim count As Integer
count = chantAlternateWordCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAlternateWordCollection


ChantAudio Class

Represents an inbound or outbound audio object.

Collapse/Expand Remarks section Remarks

ChantAudio provides audio management services for basic capture and playback of audio data.

Your application can use a ChantAudio object for simple wave audio recording and playback. It does not provide an internal queue for processing like the ChantTTS or ChantSR objects. If request queueing is required, use those objects for playback and recording.

The ChantAudio object manages the resources and interacts directly with the platform audio services.

Your application receives notification of other processing states through events.

Collapse/Expand Events section Events

 | Name | Description
Public event | HasEvent | Notifies the application of an audio event.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GetChantAudioEvent | Returns a ChantAudioEvent object.
Public method | GetNumberProperty | Returns numeric property value.
Public method | PausePlayback | Suspends audio playback.
Public method | RegisterCallback | Sets the callback event active.
Public method | RemoveEvent | Removes an event from the event queue.
Public method | ResumePlayback | Resumes audio playback that was suspended by PausePlayback.
Public method | SetCallbackFunction | Sets callback static function.
Public method | SetCallbackParms | Sets optional callback parameters.
Public method | SetNumberProperty | Sets a numeric property value.
Public method | SetStringProperty | Sets a string property value.
Public method | SetWindowMessage | Sets application-unique Windows message number used to notify about callback events.
Public method | ShowDialog | Displays an NChantAudio dialog.
Public method | SkipPlayback | Advances through or rewinds audio playback.
Public method | StartPlayback | Starts playing audio.
Public method | StartRecording | Starts recording audio.
Public method | StopPlayback | Stops playing audio.
Public method | StopRecording | Stops recording audio.
Public method | UnregisterCallback | Sets the callback event inactive.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantAudioCaptureDevices | A collection of ChantAudioCaptureDevice objects.
Public property | ChantAudioInDevices | A collection of ChantAudioInDevice objects.
Public property | ChantAudioMixers | A collection of ChantAudioMixer objects.
Public property | ChantAudioOutDevices | A collection of ChantAudioOutDevice objects.
Public property | ChantAudioRenderDevices | A collection of ChantAudioRenderDevice objects.
Public property | LastError | A numeric error code for the last error condition.
Public property | LastErrorMessage | A description of the last error condition.
Public property | LastErrorString | A text representation of the last error condition.

Collapse/Expand See Also section See Also

ChantAudioEvent
ChantAudioInDevice
ChantAudioMixer
ChantAudioMixerLine
ChantAudioOutDevice


ChantAudio ChantAudioCaptureDevices Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAudioCaptureDevices Property

A collection of ChantAudioCaptureDevice objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAudioCaptureDeviceCollection chantAudioCaptureDevices = chantAudio.ChantAudioCaptureDevices;

CChantAudioCaptureDeviceCollection* chantAudioCaptureDevices = chantAudio->GetChantAudioCaptureDevices();

CChantAudioCaptureDeviceCollection* chantAudioCaptureDevices = chantAudio->GetChantAudioCaptureDevices();

var chantAudioCaptureDevices: TChantAudioCaptureDeviceCollection;
chantAudioCaptureDevices := chantAudio.ChantAudioCaptureDevices;

JChantAudioCaptureDeviceCollection chantAudioCaptureDevices = chantAudio.getChantAudioCaptureDevices();

Dim chantAudioCaptureDevices As NChantAudioCaptureDeviceCollection
chantAudioCaptureDevices = chantAudio.ChantAudioCaptureDevices

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand Example section Example

See the ChantAudioCaptureDeviceCollection example.

Collapse/Expand See Also section See Also

ChantAudio
ChantAudioCaptureDevice
ChantAudioCaptureDeviceCollection


ChantAudio ChantAudioInDevices Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAudioInDevices Property

A collection of ChantAudioInDevice objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAudioInDeviceCollection chantAudioInDevices = chantAudio.ChantAudioInDevices;

CChantAudioInDeviceCollection* chantAudioInDevices = chantAudio->GetChantAudioInDevices();

CChantAudioInDeviceCollection* chantAudioInDevices = chantAudio->GetChantAudioInDevices();

var chantAudioInDevices: TChantAudioInDeviceCollection;
chantAudioInDevices := chantAudio.ChantAudioInDevices;

JChantAudioInDeviceCollection chantAudioInDevices = chantAudio.getChantAudioInDevices();

Dim chantAudioInDevices As NChantAudioInDeviceCollection
chantAudioInDevices = chantAudio.ChantAudioInDevices

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand Example section Example

See the ChantAudioInDeviceCollection example.

Collapse/Expand See Also section See Also

ChantAudio
ChantAudioInDevice
ChantAudioInDeviceCollection


ChantAudio ChantAudioMixers Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAudioMixers Property

A collection of ChantAudioMixer objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAudioMixerCollection chantAudioMixers = chantAudio.ChantAudioMixers;

CChantAudioMixerCollection* chantAudioMixers = chantAudio->GetChantAudioMixers();

CChantAudioMixerCollection* chantAudioMixers = chantAudio->GetChantAudioMixers();

var chantAudioMixers: TChantAudioMixerCollection;
chantAudioMixers := chantAudio.ChantAudioMixers;

JChantAudioMixerCollection chantAudioMixers = chantAudio.getChantAudioMixers();

Dim chantAudioMixers As NChantAudioMixerCollection
chantAudioMixers = chantAudio.ChantAudioMixers

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand Example section Example

See the ChantAudioMixerCollection example.

Collapse/Expand See Also section See Also

ChantAudio
ChantAudioMixer
ChantAudioMixerCollection


ChantAudio ChantAudioOutDevices Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAudioOutDevices Property

A collection of ChantAudioOutDevice objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAudioOutDeviceCollection chantAudioOutDeviceCollection = chantAudio.ChantAudioOutDevices;

CChantAudioOutDeviceCollection* chantAudioOutDeviceCollection = chantAudio->GetChantAudioOutDevices();

CChantAudioOutDeviceCollection* chantAudioOutDeviceCollection = chantAudio->GetChantAudioOutDevices();

var chantAudioOutDeviceCollection: TChantAudioOutDeviceCollection;
chantAudioOutDeviceCollection := chantAudio.ChantAudioOutDevices;

JChantAudioOutDeviceCollection chantAudioOutDeviceCollection = chantAudio.getChantAudioOutDevices();

Dim chantAudioOutDeviceCollection As NChantAudioOutDeviceCollection
chantAudioOutDeviceCollection = chantAudio.ChantAudioOutDevices

Collapse/Expand Example section Example

See the ChantAudioOutDeviceCollection example.

Collapse/Expand See Also section See Also

ChantAudio
ChantAudioOutDevice
ChantAudioOutDeviceCollection


ChantAudio ChantAudioRenderDevices Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAudioRenderDevices Property

A collection of ChantAudioRenderDevice objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAudioRenderDeviceCollection chantAudioRenderDeviceCollection = chantAudio.ChantAudioRenderDevices;

CChantAudioRenderDeviceCollection* chantAudioRenderDeviceCollection = chantAudio->GetChantAudioRenderDevices();

CChantAudioRenderDeviceCollection* chantAudioRenderDeviceCollection = chantAudio->GetChantAudioRenderDevices();

var chantAudioRenderDeviceCollection: TChantAudioRenderDeviceCollection;
chantAudioRenderDeviceCollection := chantAudio.ChantAudioRenderDevices;

JChantAudioRenderDeviceCollection chantAudioRenderDeviceCollection = chantAudio.getChantAudioRenderDevices();

Dim chantAudioRenderDeviceCollection As NChantAudioRenderDeviceCollection
chantAudioRenderDeviceCollection = chantAudio.ChantAudioRenderDevices

Collapse/Expand Example section Example

See the ChantAudioRenderDeviceCollection example.

Collapse/Expand See Also section See Also

ChantAudio

ChantAudioRenderDevice
ChantAudioRenderDeviceCollection


ChantAudio GetChantAudioEvent Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

GetChantAudioEvent Method

Returns a ChantAudioEvent object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAudioEvent chantAudioEvent = chantAudio.GetChantAudioEvent();

CChantAudioEvent* chantAudioEvent = chantAudio->GetChantAudioEvent();

CChantAudioEvent* chantAudioEvent = chantAudio->GetChantAudioEvent();

var chantAudioEvent: TChantAudioEvent;
chantAudioEvent := chantAudio.GetChantAudioEvent();

JChantAudioEvent chantAudioEvent = chantAudio.getChantAudioEvent();

Dim chantAudioEvent As NChantAudioEvent
chantAudioEvent = chantAudio.GetChantAudioEvent()

Collapse/Expand Example section Example

See HasEvent example.

Collapse/Expand See Also section See Also

ChantAudio


ChantAudio GetNumberProperty Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

GetNumberProperty Method

Returns numeric property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int value = chantAudio.GetNumberProperty(eChantNumberProperty);

long longVal = chantAudio->GetNumberProperty(eChantNumberProperty);

long longVal = chantAudio->GetNumberProperty(eChantNumberProperty);

var value: Integer;
value := chantAudio.GetNumberProperty(eChantNumberProperty);

int value = chantAudio.getNumberProperty(eChantNumberProperty);

Dim value As Integer
value = chantAudio.GetNumberProperty(eChantNumberProperty)

Parameters

eChantNumberProperty

ChantNumberProperty. Value that uniquely identifies the property.

Return Value

Long integer. Property value.

Collapse/Expand Remarks section Remarks

All ChantAudio numeric property values are accessed via GetNumberProperty and SetNumberProperty. The property type may be one of the following values:

Constant | Value | Description
CNPPitch 21 Specifices the current pitch setting for the specified waveform-audio output device.

The pitch multiplier indicates the current change in pitch from the original authored setting. The pitch multiplier must be a positive value.

The pitch multiplier is specified as a fixed-point value. The high-order word of the variable contains the signed integer part of the number, and the low-order word contains the fractional part. A value of 0x8000 in the low-order word represents one-half, and 0x4000 represents one-quarter. For example, the value 0x00010000 specifies a multiplier of 1.0 (no pitch change), and a value of 0x000F8000 specifies a multiplier of 15.5.

Not all devices support pitch changes.

CNPSpeed 30 Specifies the playback rate for the specified waveform-audio output device.

This setting is a multiplier indicating the current change in playback rate from the original authored setting. The playback rate multiplier must be a positive value.

The rate is specified as a fixed-point value. The high-order word contains the signed integer part of the number, and the low-order word contains the fractional part. A value of 0x8000 in the low-order word represents one-half, and 0x4000 represents one-quarter. For example, the value 0x00010000 specifies a multiplier of 1.0 (no playback rate change), and a value of 0x000F8000 specifies a multiplier of 15.5.

Not all devices support playback rate changes.

CNPVolume 35 Specifies the volume level of the specified waveform-audio output device.

The low-order word contains the left-channel volume setting, and the high-order word contains the right-channel setting. A value of 0xFFFF represents full volume, and a value of 0x0000 is silence.

If a device does not support both left and right volume control, the low-order word of dwVolume specifies the volume level, and the high-order word is ignored.

Not all devices support volume changes.

CNPVolumeNorm | 36 | Specifies the volume level of the specified waveform-audio output device (both channels) as a single channel value. If channel values are different, the high value is returned.

Collapse/Expand Example section Example

The following example illustrates accessing the VolumeNorm property.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
int value = NChantAudio1.GetNumberProperty(ChantNumberProperty.CNPVolumeNorm);

long value = pChantAudio->GetNumberProperty(CNPVolumeNorm);

long value = pChantAudio->GetNumberProperty(CNPVolumeNorm);

var value: Integer;
value := ChantAudio1.GetNumberProperty(CNPVolumeNorm);

int value = JChantAudio1.getNumberProperty(ChantNumberProperty.CNPVolumeNorm);

Dim value as Integer
value = NChantAudio1.GetNumberProperty(ChantNumberProperty.CNPVolumeNorm)

Collapse/Expand See Also section See Also

ChantAudio
GetNumberProperty


ChantAudio HasEvent Event

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

HasEvent Event

Notifies the application of an audio event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

// In your Form constructor, add reference to your event handler
NChantAudio1.HasEvent += this.NChantAudio1_HasEvent;

// The HasEvent handler is declared as a subroutine for the class object
// with the following signature
private void NChantAudio1_HasEvent(object sender, Chant.ProfileKit.HasEventArgs e)
{

// HasEvent handler code goes here

}

                    // C++ event notifications can be handled via application message pump (e.g., DefWindowProc)
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
m_HasEvent = WM_APP+1;
m_pChantAudio->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

LRESULT MyApp::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // C++Builder event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantAudio1->SetWindowMessage(Handle, WM_APP+1, 0, 0);

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // Delphi event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantAudio1.SetWindowMessage(Handle, WM_APP+1, 0, 0);

procedure TForm1.OnHasEvent(var msg: TMessage);
begin

// HasEvent handler code goes here

end;

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // Java applications indicate they support the HasEvent handler interface
// with the "implements" clause
public class Frame1 extends JFrame implements com.speechkit.JChantAudioEvents

// You must also inform the class object which java object implements the HasEvent
                    handler interface
// using the setCallbackFunction
JChantAudio1.setCallbackFunction(this,null,null);

// The HasEvent handler is declared as a method with the following signature
public void hasEvent(Object obj1, Object obj2)
{

// HasEvent handler code goes here

}

' Visual Basic .NET applications declare that they are interested in receiving events
' as part of the class object declaration using the WithEvents clause
Dim WithEvents NChantAudio1 As NChantAudio

' The HasEvent handler is declared as a subroutine for the class object with the following signature
Private Sub NChantAudio1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.ProfileKit.HasEventArgs) Handles NChantAudio1.HasEvent

' HasEvent handler code goes here

End Sub

Collapse/Expand Remarks section Remarks

An application must register for the events it is interested in receiving. The RegisterCallback method indicates the type of event the application is interested in receiving. An application can register for as many different event types as it wants.

Event notifications may be turned off at any time with the UnregisterCallback method.

If an application wants to receive events, it must also have a HasEvent handler that processes the desired events.

Collapse/Expand Example section Example

The following example illustrates handling progress events:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantAudio1_HasEvent(object sender, SpeechKit.HasEventArgs e)
{
    // Get the event from the event queue
    NChantAudioEvent nChantAudioEvent = NChantAudio1.GetChantAudioEvent();
    if (nChantAudioEvent != null)
    {
        // Process the type of callback event
        string result = "";
        switch (oChantAudioEvent.ChantCallback)
        {
            case (int)ChantCallback.CCDDeviceArrival :
                result = "USB audio out device detected";
                break;
            case (int)ChantCallback.CCDDeviceRemoved :
                result = "USB audio out device removed";
                break;
            case (int)ChantCallback.CCSDeviceArrival :
                result = "USB audio in device detected";
                break;
            case (int)ChantCallback.CCSDeviceRemoved :
                result = "USB audio in device removed";
                break;
            default :
                break;
        }
        textBox1.Text = textBox1.Text + result + '\r' + '\n';
        // Make Visible
        textBox1.SelectionStart = textBox1.Text.Length;
        textBox1.ScrollToCaret();
        // Remove the event from the event queue
        NChantAudio1.RemoveEvent();
    }
}

LRESULT CRecognitionDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (message == m_HasEvent)
    {
        USES_CONVERSION;
        CString sResult;
        // Get the event from the event queue
        CChantAudioEvent* pChantAudioEvent = pChantAudio->GetChantAudioEvent();
        if (pChantAudioEvent != NULL)
        {
            // Process the type of callback event
            switch (pChantAudioEvent->GetChantCallback())
            {
                case CCDDeviceArrival :
                    sResult = "USB audio out device detected";
                    break;
                case CCDDeviceRemoved :
                    sResult = "USB audio out device removed";
                    break;
                case CCSDeviceArrival :
                    sResult = "USB audio in device detected";
                    break;
                case CCSDeviceRemoved :
                    sResult = "USB audio in device removed";
                    break;
                default :
                    break;
            }
            CString sText;
            CEdit* pEdit = (CEdit*)GetDlgItem(IDC_EDIT1);
            pEdit->GetWindowText(sText);
            sText += sResult + _T("\r\n");
            pEdit->SetWindowText(sText);
            // Make Visible
            pEdit->SetSel(sText.GetLength(),sText.GetLength());
            // Remove the event from the event queue
            pChantAudio->RemoveEvent();
            delete pChantAudioEvent;
            pChantAudioEvent = NULL;
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantAudioEvent* pChantAudioEvent = ChantAudio1->GetChantAudioEvent(0);
    if (pChantAudioEvent != NULL)
    {
        switch (pChantAudioEvent->GetChantCallback())
        {
            case CCDDeviceArrival :
                sResult = "USB audio out device detected";
                break;
            case CCDDeviceRemoved :
                sResult = "USB audio out device removed";
                break;
            case CCSDeviceArrival :
                sResult = "USB audio in device detected";
                break;
            case CCSDeviceRemoved :
                sResult = "USB audio in device removed";
                break;
            default :
                break;
        }
        Edit2->Text += sResult + "\r\n";

        // Remove the event from the event queue
        ChantAudio1->RemoveEvent(CSREvent,0);
        delete pChantAudioEvent;
        pChantAudioEvent = NULL;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  sResult: string;
  aTChantAudioEvent: TChantAudioEvent;
  numberOfEvents: Integer;
  i: Integer;
begin
    // Get the event from the event queue
    aTChantAudioEvent := aTChantAudioEvent.GetChantAudioEvent();
    if aTChantAudioEvent <> nil then
    begin
      case aTChantAudioEvent.ChantCallback of
        CCDDeviceArrival:
        begin
          sResult := 'USB audio out device detected';
        end;
        CCDDeviceRemoved:
        begin
          sResult := 'USB audio out device removed';
        end;
        CCSDeviceArrival:
        begin
          sResult := 'USB audio in device detected';
        end;
        CCSDeviceRemoved:
        begin
          sResult := 'USB audio in device removed';
        end;
      end;
      Memo1.Text := Memo1.Text + sResult + #13 + #10;
      // Make Visible
      Memo1.SelStart := Length(Memo1.Text);
      Memo1.SelLength:= 1;
      Memo1.SetFocus;
      // Remove the event from the event queue
      aTChantAudio.RemoveEvent(CSREvent, 0);
      aTChantAudioEvent.Destroy();
    end;
end;

// Process callback.
public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantAudioEvent jChantAudioEvent = jChantAudio.getChantAudioEvent);
    // Process the type of callback event
    String result = "";
    if (jChantAudioEvent != null)
    {
        switch(jChantAudioEvent.getChantCallback())
        {
            case ChantCallback.CCDDeviceArrival :
                result = "USB audio out device detected";
                break;
            case ChantCallback.CCDDeviceRemoved :
                result = "USB audio out device removed";
                break;
            case ChantCallback.CCSDeviceArrival :
                result = "USB audio in device detected";
                break;
            case ChantCallback.CCSDeviceRemoved :
                result = "USB audio in device removed";
                break;
            default :
                break;
        }
    }
    jTextArea1.append(result + '\r' + '\n');
    // Make Visible
    jTextArea1.setCaretPosition(jTextArea1.getText().length());
    // Remove the event from the event queue
    jChantAudio.removeEvent();
}

Private Sub NChantAudio1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.ProfileKit.HasEventArgs) Handles NChantAudio1.HasEvent
    Dim I As Integer
    Dim numberOfEvents As Integer
    Dim nChantAudioEvent As NChantAudioEvent
    ' Get the event from the event queue
    nChantAudioEvent = NChantAudio1.GetChantAudioEvent()
    If nChantAudioEvent <> Nothing Then
        Select Case nChantAudioEvent.ChantCallback
            Case CCDDeviceArrival
                result = "USB audio out device detected";
            Case CCDDeviceRemoved
                result = "USB audio out device removed";
            Case CCSDeviceArrival
                result = "USB audio in device detected";
            Case CCSDeviceRemoved
                result = "USB audio in device removed";
            Case Else
        End Select
        TextBox1.Text = TextBox1.Text + result + vbCr + vbLf
        ' Make Visible
        TextBox1.SelectionStart = Len(TextBox1.Text)
        TextBox1.ScrollToCaret()
        End Select
        ' Remove the event from the event queue
        NChantAudio1.RemoveEvent()
    End If
End Sub

Collapse/Expand See Also section See Also

ChantAudio
ChantAudioEvent
RegisterCallback
SetCallbackFunction
UnregisterCallback
SetWindowMessage


ChantAudio LastError Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

LastError Property

A numeric error code for the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int error = chantAudio.LastError;

long error = chantAudio->GetLastError();

long error = chantAudio->GetLastError();

var error: Integer;
error := chantAudio.LastError;

int error = chantAudio.getLastError();

Dim error As Integer
error = chantAudio.LastError

Return Value

Long integer. Error code.

Collapse/Expand Remarks section Remarks

ChantAudio return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantAudio
LastErrorMessage
LastErrorString


ChantAudio LastErrorMessage Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

LastErrorMessage Property

A description of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String errorMessage = chantAudio.LastErrorMessage;

wchar_t* errorMessage = chantAudio->GetLastErrorMessage();

String errorMessage = chantAudio->GetLastErrorMessage();

var errorMessage: string;
errorMessage := chantAudio.LastErrorMessage;

String errorMessage = chantAudio.getLastErrorMessage();

Dim errorMessage As String
errorMessage = chantAudio.LastErrorMessage

Collapse/Expand Remarks section Remarks

ChantAudio return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantAudio
LastError
LastErrorString


ChantAudio LastErrorString Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

LastErrorString Property

A text representation of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String error = chantAudio.LastErrorString;

wchar_t* error = chantAudio->GetLastErrorString();

String error = chantAudio->GetLastErrorString();

var error: string;
error := chantAudio.LastErrorString;

String error = chantAudio.getLastErrorString();

Dim error As String
error = chantAudio.LastErrorString

Collapse/Expand Remarks section Remarks

ChantAudio return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantAudio
LastError
LastErrorMessage


ChantAudio PausePlayback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

PausePlayback Method

Suspends audio playback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantAudio.PausePlayback();

chantAudio->PausePlayback();

chantAudio->PausePlayback();

chantAudio.PausePlayback();

chantAudio.pausePlayback();

chantAudio.PausePlayback()

Collapse/Expand Remarks section Remarks

An application may need to temporarily suspend audio playback. Use PausePlayback to suspend and ResumePlayback resume playback.

Collapse/Expand See Also section See Also

ChantAudio
ResumePlayback


ChantAudio RegisterCallback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RegisterCallback Method

Sets the callback event active.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantAudio.RegisterCallback(eChantCallback);

chantAudio->RegisterCallback(eChantCallback);

chantAudio->RegisterCallback(eChantCallback);

chantAudio.RegisterCallback(eChantCallback);

chantAudio.registerCallback(eChantCallback);

chantAudio.RegisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

Constant | Value | Description
CCSAudioStart | 3 | Opened the audio source device. Property values: none.
CCSAudioStop | 4 | No more data from the source audio stream. Property values: Reason.
CCSAudioFileBegin | 5 | Started reading an audio file. Property values: ID.
CCSAudioFileEnd | 6 | Finished reading an audio file. Property values: ID.
CCSAudioFilePosn | 7 | Identifies how much data has been processed. Property values: Processed, Left.
CCDAudioStart | 11 | Audio playback has started. Property values: TimeStamp.
CCDAudioStop | 12 | Audio playback has stopped. Property values: Reason, TimeStamp, File.
CCDAudioFileBegin | 13 | Started writing an audio file. Property values: ID.
CCDAudioFileEnd | 14 | Finished writing an audio file. Property values: ID.
CCDAudioFilePosn | 15 | Identifies how much data has been processed. Property values: Processed, Left.
CCDDeviceArrival | 52 | Audio endpoint render device detected. Property values: Text contains the device ID.
CCDDeviceRemoved | 53 | Audio endpoint render device removed. Property values: Text contains the device ID.
CCSDeviceArrival | 54 | Audio endpoint capture device detected. Property values: Text contains the device ID.
CCSDeviceRemoved | 55 | Audio endpoint capture device removed. Property values: Text contains the device ID.
CCAPIError | 59 | Audio API Error. Property values: ID, Function, Text.

The following example illustrates turning on audio render device arrival events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn on audio render device arrival events
NChantAudio1.RegisterCallback(ChantCallback.CCDDeviceArrival);

// Turn on audio render device arrival events
pChantAudio->RegisterCallback(CCDDeviceArrival);

// Turn on audio render device arrival events
pChantAudio->RegisterCallback(CCDDeviceArrival);

// Turn on audio render device arrival events
ChantAudio1.RegisterCallback(CCDDeviceArrival);

// Turn on audio render device arrival events
JChantAudio1.registerCallback(ChantCallback.CCDDeviceArrival);

' Turn on audio render device arrival events
NChantAudio1.RegisterCallback(ChantCallback.CCDDeviceArrival)

Collapse/Expand See Also section See Also

ChantAudio
UnregisterCallback


ChantAudio RemoveEvent Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RemoveEvent Method

Removes an event from the event queue.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantAudio.RemoveEvent();

chantAudio->RemoveEvent();

chantAudio->RemoveEvent();

chantAudio.RemoveEvent();

chantAudio.removeEvent();

chantAudio.RemoveEvent()

Collapse/Expand Example section Example

See HasEvent example.

Collapse/Expand See Also section See Also

ChantAudio


ChantAudio ResumePlayback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ResumePlayback Method

Resumes audio playback that was suspended by PausePlayback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantAudio.ResumePlayback();

chantAudio->ResumePlayback();

chantAudio->ResumePlayback();

chantAudio.ResumePlayback();

chantAudio.resumePlayback();

chantAudio.ResumePlayback()

Collapse/Expand Remarks section Remarks

An application may need to temporarily suspend audio playback without freeing session resources. Use PausePlayback to suspend and ResumePlayback resume playback.

Collapse/Expand See Also section See Also

ChantAudio
PausePlayback


ChantAudio SetCallbackFunction Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetCallbackFunction Method

Sets callback static function.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantAudio->SetCallbackFunction(callbackFunction, wParam, lParam);

chantAudio->SetCallbackFunction(callbackFunction, wParam, lParam);

chantAudio.SetCallbackFunction(callbackFunction, wParam, lParam);

chantAudio.setCallbackFunction(callbackFunction, wParam, lParam);

Not supported.

Parameters

callbackFunction

Pointer (C++, C++Builder, Delphi), Object (Java). Name of conditional variable. Callback address (C++, C++Builder, Delphi). Callback object that implements the ChantAudioEvents interface (Java).

wParam

WPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

lParam

LPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support static callbacks may set a function to receive callback events.

Collapse/Expand See Also section See Also

ChantAudio
SetWindowMessage


ChantAudio SetCallbackParms Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetCallbackParms Method

Sets optional callback parameters.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantAudio.SetCallbackParms(parm1, parm2);

Not supported.

Not supported.

Not supported.

chantAudio.setCallbackParms(parm1, parm2);

chantAudio.SetCallbackParms(parm1, parm2)

Parameters

parm1

Object. Optional application defined value passed on all callback events.

parm2

Object. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Application defined values may be passed on all callback events.

Collapse/Expand Example section Example

The following example illustrates setting optional callback parms.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantAudio1.SetCallbackParms(NChantAudio1, null);

Not supported.

Not supported.

Not supported.

JChantAudio1.setCallbackParms(JChantAudio1, null);

NChantAudio1.SetCallbackParms(NChantAudio1, Nothing)

Collapse/Expand See Also section See Also

ChantAudio


ChantAudio SetNumberProperty Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetNumberProperty Method

Sets a numeric property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantAudio.SetNumberProperty(eChantNumberProperty, value);

chantAudio->SetNumberProperty(eChantNumberProperty, value);

chantAudio->SetNumberProperty(eChantNumberProperty, value);

chantAudio.SetNumberProperty(eChantNumberProperty, value);

chantAudio.setNumberProperty(eChantNumberProperty, value);

chantAudio.SetNumberProperty(eChantNumberProperty, value)

Parameters

eChantNumberProperty

ChantNumberProperty. Value that uniquely identifies the property.

value

Integer. Property value.

Collapse/Expand Remarks section Remarks

All ChantAudio numeric property values are accessed via GetNumberProperty and SetNumberProperty. The property type may be one of the following values:

Constant | Value | Description
CNPPitch 21 Specifices the current pitch setting for the specified waveform-audio output device.

The pitch multiplier indicates the current change in pitch from the original authored setting. The pitch multiplier must be a positive value.

The pitch multiplier is specified as a fixed-point value. The high-order word of the variable contains the signed integer part of the number, and the low-order word contains the fractional part. A value of 0x8000 in the low-order word represents one-half, and 0x4000 represents one-quarter. For example, the value 0x00010000 specifies a multiplier of 1.0 (no pitch change), and a value of 0x000F8000 specifies a multiplier of 15.5.

Not all devices support pitch changes.

CNPSpeed 30 Specifies the playback rate for the specified waveform-audio output device.

This setting is a multiplier indicating the current change in playback rate from the original authored setting. The playback rate multiplier must be a positive value.

The rate is specified as a fixed-point value. The high-order word contains the signed integer part of the number, and the low-order word contains the fractional part. A value of 0x8000 in the low-order word represents one-half, and 0x4000 represents one-quarter. For example, the value 0x00010000 specifies a multiplier of 1.0 (no playback rate change), and a value of 0x000F8000 specifies a multiplier of 15.5.

Not all devices support playback rate changes.

CNPVolume 35 Specifies the volume level of the specified waveform-audio output device.

The low-order word contains the left-channel volume setting, and the high-order word contains the right-channel setting. A value of 0xFFFF represents full volume, and a value of 0x0000 is silence.

If a device does not support both left and right volume control, the low-order word of dwVolume specifies the volume level, and the high-order word is ignored.

Not all devices support volume changes.

CNPVolumeNorm | 36 | Specifies the volume level of the specified waveform-audio output device (both channels) as a single channel value.

Collapse/Expand Example section Example

The following example illustrates setting the audio volume to the lowest level to mute the playback.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantAudio1.SetNumberProperty(ChantNumberProperty.CNPVolumeNorm, 0);

pChantAudio->SetNumberProperty(CNPVolumeNorm, 0);

pChantAudio->SetNumberProperty(CNPVolumeNorm, 0);

ChantAudio1.SetNumberProperty(CNPVolumeNorm, 0);

JChantAudio1.setNumberProperty(ChantNumberProperty.CNPVolumeNorm, 0);

NChantAudio1.SetNumberProperty(ChantNumberProperty.CNPVolumeNorm, 0)

Collapse/Expand See Also section See Also

ChantAudio
SetStringProperty


ChantAudio SetStringProperty Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetStringProperty Method

Sets a string property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantAudio.SetStringProperty(eChantStringProperty, value);

chantAudio->SetStringProperty(eChantStringProperty, value);

chantAudio->SetStringProperty(eChantStringProperty, value);

chantAudio.SetStringProperty(eChantStringProperty, value);

chantAudio.setStringProperty(eChantStringProperty, value);

chantAudio.SetStringProperty(eChantStringProperty, value)

Parameters

eChantStringProperty

ChantStringProperty. Value that uniquely identifies the property.

value

String. Property value.

Collapse/Expand Remarks section Remarks

All ChantAudio string property values are accessed via SetStringProperty. The property type may be one of the following values:

Constant | Value | Description
CSPLicense | 10 | Specifies the license value required for distributing applications with the Chant class libraries.
CSPSerials | 19 | Specifies the serial number value required for distributing applications with the Chant class libraries.

Collapse/Expand Example section Example

The following example illustrates setting the Chant license value.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense, "YourRegistrationNumber");

pChantAudio->SetStringProperty(CSPLicense, L"YourRegistrationNumber");

pChantAudio->SetStringProperty(CSPLicense, L"YourRegistrationNumber");

ChantAudio1.SetStringProperty(CSPLicense, "YourRegistrationNumber");

JChantAudio1.setStringProperty(ChantStringProperty.CSPLicense, "YourRegistrationNumber");

NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense, "YourRegistrationNumber")

Collapse/Expand See Also section See Also

ChantAudio
SetStringProperty


ChantAudio SetWindowMessage Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetWindowMessage Method

Sets the WM_APP message value for receiving an event notification as Win32 message.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantAudio->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantAudio->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantAudio.SetWindowMessage(hWnd, Msg, wParam, lParam);

Not supported.

Not supported.

Parameters

hWnd

HWND. Application window handle.

Msg

Long integer. Unique windows message number.

wParam

WPARAM. Optional application defined value passed on all callback events.

lParam

LPARAM. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support Win32 message pump may set a WM_APP message value to uniquely identify ChantAudio event notifications. An event notification indicates that a ChantAudio callback has fired and a ChantAudioEvent resource is on the event resource queue.

Collapse/Expand See Also section See Also

ChantAudio


ChantAudio ShowDialog Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ShowDialog Method

Displays a ChantAudio dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantAudio.ShowDialog(eChantDialog, owner, title, options);

chantAudio->ShowDialog(eChantDialog, ownder, title, options);

chantAudio->ShowDialog(eChantDialog, ownder, title, options);

chantAudio.ShowDialog(eChantDialog, ownder, title, options);

chantAudio.showDialog(eChantDialog, ownder, title, options);

chantAudio.ShowDialog(eChantDialog, ownder, title, options)

Parameters

eChantDialog

ChantDialog. The dialog to display.

ownder

HWND. Application window handle.

title

String. Optional dialog title.

options

String. Optional value required by the dialog.

Collapse/Expand Remarks section Remarks

All recognizer and ChantAudio dialogs are displayed using the ShowDialog method. Note that some recognizers may not support dialogs listed in the ChantDialog enumerated constants. The dialog type may be one of the following values:

Constant | Value | Description
CDAudioProperties | 7 | Displays the advanced audio options dialog that allows the user to adjust audio object properties.
CDAudioVolume | 8 | Displays the mixer master volume dialog that allows the user to adjust volume settings.

Collapse/Expand Example section Example

The following example illustrates displaying the audio volume dialog.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantAudio1.ShowDialog(ChantDialog.CDAudioVolume, this.Handle, "", "");

pChantAudio->ShowDialog(CDAudioVolume, m_hWnd, "", "");

pChantAudio->ShowDialog(CDAudioVolume, Handle, "", "");

ChantAudio1.ShowDialog(CDAudioVolume, Handle, '', '')

JChantAudio1.showDialog(ChantDialog.CDAudioVolume, this, "", "");

NChantAudio1.ShowDialog(CDAudioVolume, Me.Handle, "", "")

Collapse/Expand See Also section See Also

ChantAudio


ChantAudio SkipPlayback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SkipPlayback Method

Advances through or rewinds audio playback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int skipped = NChantAudio.SkipPlayback(skipType, value);

long skipped = pChantAudio->SkipPlayback(skipType, value);

long skipped = pChantAudio->SkipPlayback(skipType, value);

var skipped: Integer;
skipped := aTChantAudio.SkipPlayback(skipType, value);

long skipped = jChantAudio.skipPlayback(skipType, value);

Dim skipped As Integer skipped = nChantAudio.SkipPlayback(skipType, value)

Parameters

skipType

Long integer. Type of skip unit. Default value is 1 indicating skipping a block of audio at a time.

value

Long integer. long. The number of skip units. A positive number skips forward and a negative number skips backwards.

Return Value

Long integer. The number of units actually skipped.

Collapse/Expand Remarks section Remarks

SkipPlayback provides a way to navigate audio playback. Playback can be skipped forward or backwards.

Collapse/Expand Example section Example

The following example illustrates using the SkipPlayback method to playback audio.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Instantiate ChantAudio object
NChantAudio1 = new NChantAudio();
// Set license properties
NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense,"LicenseRegistrationNumber");
NChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials,"LicenseSerialNumber");

// Playback a wave file
NChantAudio1.StartPlayback(-1, "c:\\myinaudiofile.wav", ChantPlaybackStyle.CPSAsynchronous);

// Skip foward
NChantAudio1.SkipPlayback(1, 1);

// Skip backwards
NChantAudio1.SkipPlayback(1, -1);

// Instantiate ChantAudio object
pChantAudio = new CChantAudio();
// Set license properties
pChantAudio->SetStringProperty(CSPLicense,L"LicenseRegistrationNumber");
pChantAudio->SetStringProperty(CSPSerials,L"LicenseSerialNumber");

// Playback a wave file
pChantAudio->StartPlayback(-1, L"c:\\myaudiofile.wav", 0, CPOFile, CAFDefault, CPSAsynchronous);

// Skip foward
pChantAudio->SkipPlayback(1, 1);

// Skip backwards
pChantAudio->SkipPlayback(1, -1);

// Instantiate ChantAudio object
pChantAudio = new CChantAudio();
// Set license properties
pChantAudio->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
pChantAudio->SetStringProperty(CSPSerials,"LicenseSerialNumber");

// Playback a wave file
pChantAudio->StartPlayback(-1, "c:\\myaudiofile.wav", 0, CPOFile, CAFDefault, CPSAsynchronous);

// Skip foward
pChantAudio->SkipPlayback(1, 1);

// Skip backwards
pChantAudio->SkipPlayback(1, -1);

// Instantiate ChantAudio object
ChantAudio1 := TChantAudio.Create();
// Set license properties
ChantAudio1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantAudio1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

// Playback a wave file
ChantAudio1.StartPlayback(-1, 'c:\\myaudiofile.wav', 0, CPOFile, CAFDefault, CPSAsynchronous);

// Skip foward
ChantAudio1.SkipPlayback(1, 1);

// Skip backwards
ChantAudio1.SkipPlayback(1, -1);

// Instantiate ChantAudio object
JChantAudio1 = new JChantAudio();
// Set license properties
JChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense,"LicenseRegistrationNumber");
JChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials,"LicenseSerialNumber");

// Playback a wave file
JChantAudio1.startPlayback(-1, "c:\\myinaudiofile.wav", ChantPlaybackStyle.CPSAsynchronous);

// Skip foward
JChantAudio1.startPlayback(1, 1);

// Skip backwards
JChantAudio1.startPlayback(1, -1);

' Instantiate ChantAudio object
NChantAudio1 = New NChantAudio()
' Set license properties
NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense,"LicenseRegistrationNumber")
NChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials,"LicenseSerialNumber")

' Playback a wave file
NChantAudio1.StartPlayback(-1, "c:\myinaudiofile.wav", ChantPlaybackStyle.CPSAsynchronous)

' Skip foward
NChantAudio1.SkipPlayback(1, 1)

' Skip backwards
NChantAudio1.SkipPlayback(1, -1)

Collapse/Expand See Also section See Also

ChantAudio
StopPlayback


ChantAudio StartPlayback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

StartPlayback Method

Starts audio playback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantAudio.StartPlayback(deviceID, playback, playbackSize, eChantPlaybackObject, eChantAudioFormat, eChantPlaybackStyle);

chantAudio->StartPlayback(deviceID, playback, playbackSize, eChantPlaybackObject, eChantAudioFormat, eChantPlaybackStyle);

chantAudio->StartPlayback(deviceID, playback, playbackSize, eChantPlaybackObject, eChantAudioFormat, eChantPlaybackStyle);

chantAudio.StartPlayback(deviceID, playback, playbackSize, eChantPlaybackObject, eChantAudioFormat, eChantPlaybackStyle);

chantAudio.startPlayback(deviceID, playback, playbackSize, eChantPlaybackObject, eChantAudioFormat, eChantPlaybackStyle);

chantAudio.StartPlayback(deviceID, playback, playbackSize, eChantPlaybackObject, eChantAudioFormat, eChantPlaybackStyle)

Parameters

nDeviceID

Integer. The audio device identifier. The value -1 (WAVE_MAPPER) selects the default device.

playback

Pointer. Buffer of audio, file name, or stream of audio to play back.

playbackSize

Integer. Optional length of playback buffer.

eChantPlaybackObject

ChantPlaybackObject. Optional value that uniquely identifies the playback object.

eChantAudioFormat

ChantAudioFormat. Optional value that uniquely identifies the audio format of source audio. For the complete list of values, see ChantAudioFormat enumerated constants.

eChantPlaybackStyle

ChantPlaybackStyle. One or more OR'd values that identify how to process the playback.

Collapse/Expand Remarks section Remarks

StartPlayback is a simple way to synthesize speech by passing text or file of text to synthesize, or playback the audio file, or audio data from a stream. The playback object type may be one of the following values:

Constant | Value | Description
CPOBuffer | 1 | The playback input source is copied from a buffer.
CPOFile | 2 | The playback input source is read from a file.
CPOStream | 4 | The playback input source is read from a stream.

StartPlayback processing may only be asynchronous. The playback style must be the following value:

Constant | Value | Description
CPSAsynchronous | 0 | Return from the playback request after playback is initiated.

Collapse/Expand Example section Example

The following example illustrates using the StartPlayback method to playback audio.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Instantiate ChantAudio object
NChantAudio1 = new NChantAudio();
// Set license properties
NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense,"LicenseRegistrationNumber");
NChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials,"LicenseSerialNumber");

// Playback a wave file
NChantAudio1.StartPlayback(-1, "c:\\myinaudiofile.wav", ChantPlaybackStyle.CPSAsynchronous);

// Instantiate ChantAudio object
pChantAudio = new CChantAudio();
// Set license properties
pChantAudio->SetStringProperty(CSPLicense,L"LicenseRegistrationNumber");
pChantAudio->SetStringProperty(CSPSerials,L"LicenseSerialNumber");

// Playback a wave file
pChantAudio->StartPlayback(-1, L"c:\\myaudiofile.wav", 0, CPOFile, CAFDefault, CPSAsynchronous);

// Instantiate ChantAudio object
pChantAudio = new CChantAudio();
// Set license properties
pChantAudio->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
pChantAudio->SetStringProperty(CSPSerials,"LicenseSerialNumber");

// Playback a wave file
pChantAudio->StartPlayback(-1, "c:\\myaudiofile.wav", 0, CPOFile, CAFDefault, CPSAsynchronous);

// Instantiate ChantAudio object
ChantAudio1 := TChantAudio.Create();
// Set license properties
ChantAudio1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantAudio1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

// Playback a wave file
ChantAudio1.StartPlayback(-1, 'c:\\myaudiofile.wav', 0, CPOFile, CAFDefault, CPSAsynchronous);

// Instantiate ChantAudio object
JChantAudio1 = new JChantAudio();
// Set license properties
JChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense,"LicenseRegistrationNumber");
JChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials,"LicenseSerialNumber");

// Playback a wave file
JChantAudio1.startPlayback(-1, "c:\\myinaudiofile.wav", ChantPlaybackStyle.CPSAsynchronous);

' Instantiate ChantAudio object
NChantAudio1 = New NChantAudio()
' Set license properties
NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense,"LicenseRegistrationNumber")
NChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials,"LicenseSerialNumber")

' Playback a wave file
NChantAudio1.StartPlayback(-1, "c:\myinaudiofile.wav", ChantPlaybackStyle.CPSAsynchronous)


ChantAudio StartRecording Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

StartRecording Method

Starts recording audio.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantAudio.StartRecording(deviceID, recordingResult, eChantRecordingResult, eChantAudioFormat);

chantAudio->StartRecording(deviceID, recordingResult, eChantRecordingResult, eChantAudioFormat);

chantAudio->StartRecording(deviceID, recordingResult, eChantRecordingResult, eChantAudioFormat);

chantAudio.StartRecording(deviceID, recordingResult, eChantRecordingResult, eChantAudioFormat);

chantAudio.startRecording(deviceID, recordingResult, eChantRecordingResult, eChantAudioFormat);

chantAudio.StartRecording(deviceID, recordingResult, eChantRecordingResult, eChantAudioFormat)

Parameters

deviceID

Long integer. Audio device id. Specify -1 (WAVE_MAPPER) for the default device id.

recordingResult

String or Pointer. String File name or pointer to a stream.

eChantRecordingResult

ChantRecordingResult. Value that uniquely identifies the result object.

eChantAudioFormat

ChantAudioFormat. Value that uniquely identifies the audio format of result object. For the complete list of values, see ChantAudioFormat enumerated constants.

Collapse/Expand Remarks section Remarks

StartRecording is a simple way to capture audio to a file.

The recording result object type may be one of the following values:

Constant | Value | Description
CRRBuffer | 1 | Recorded audio is written to buffer. Wave audio only.
CRRFile | 2 | Recorded audio is written to a file. Recorded audio is appended to the end of the file if it exists, otherwise the file is created.
CRRFileNew | 3 | Recorded audio is written to a file. The file is always created.
CRRStream | 5 | Synthesized audio output is written to a stream. Wave audio only.

Collapse/Expand Example section Example

The following example illustrates using the StartRecording and StopRecording method to start and stop audio capture.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Instantiate ChantAudio object
NChantAudio1 = new NChantAudio();
// Set license properties
NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense,"LicenseRegistrationNumber");
NChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials,"LicenseSerialNumber");

// Start recording
NChantAudio1.StartRecording(-1, "myoutaudiofile.wav", ChantRecordingResult.CRRFile, ChantAudioFormat.CAFDefault);

// Stop recording
NChantAudio1.StopRecording();

// Instantiate ChantAudio object
pChantAudio = new CChantAudio();
// Set license properties
pChantAudio->SetStringProperty(CSPLicense,L"LicenseRegistrationNumber");
pChantAudio->SetStringProperty(CSPSerials,L"LicenseSerialNumber");

// Start recording
pChantAudio->StartRecording(-1, L"myaudiofile.wav", CRRFile, CAFDefault);

// Stop recording
pChantAudio->StopRecording();

// Instantiate ChantAudio object
pChantAudio = new CChantAudio();
// Set license properties
pChantAudio->SetStringProperty(CSPLicense,"LicenseRegistrationNumber");
pChantAudio->SetStringProperty(CSPSerials,"LicenseSerialNumber");

// Start recording
pChantAudio->StartRecording(-1, "myaudiofile.wav", CRRFile, CAFDefault);

// Stop recording
pChantAudio->StopRecording();

// Instantiate ChantAudio object
ChantAudio1 := TChantAudio.Create();
// Set license properties
ChantAudio1.SetStringProperty(CSPLicense,'LicenseRegistrationNumber');
ChantAudio1.SetStringProperty(CSPSerials,'LicenseSerialNumber');

// Start recording
ChantAudio1.StartRecording(-1, 'myoutaudiofile.wav', CRRFile, CAFDefault);

// Stop recording
ChantAudio1.StopRecording();

// Instantiate ChantAudio object
JChantAudio1 = new JChantAudio();
// Set license properties
JChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense,"LicenseRegistrationNumber");
JChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials,"LicenseSerialNumber");

// Start recording
JChantAudio1.startRecording(-1, "myoutaudiofile.wav", ChantRecordingResult.CRRFile, ChantAudioFormat.CAFDefault);

// Stop recording
JChantAudio1.stopRecording();

' Instantiate ChantAudio object
NChantAudio1 = New NChantAudio()
' Set license properties
NChantAudio1.SetStringProperty(ChantStringProperty.CSPLicense,"LicenseRegistrationNumber")
NChantAudio1.SetStringProperty(ChantStringProperty.CSPSerials,"LicenseSerialNumber")

' Start recording
NChantAudio1.StartRecording(-1, "myoutaudiofile.wav", ChantRecordingResult.CRRFile, ChantAudioFormat.CAFDefault)

' Stop recording
NChantAudio1.StopRecording()

Collapse/Expand See Also section See Also

ChantAudio
StopRecording


ChantAudio StopPlayback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

StopPlayback Method

Stops audio playback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantAudio.StopPlayback();

chantAudio->StopPlayback();

chantAudio->StopPlayback();

chantAudio.StopPlayback();

chantAudio.stopPlayback();

chantAudio.StopPlayback()

Collapse/Expand Remarks section Remarks

StopPlayback ends audio playback for the audio out device.

Collapse/Expand See Also section See Also

ChantAudio
StartPlayback


ChantAudio StopRecording Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

StopRecording Method

Stops recording audio.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantAudio->StopRecording();

chantAudio.StopRecording();

chantAudio->StopRecording();

chantAudio.StopRecording();

chantAudio.stopRecording();

chantAudio.StopRecording();

Collapse/Expand Remarks section Remarks

StopRecording ends audio capture from the audio in device.

Collapse/Expand Example section Example

See StartRecording example.

Collapse/Expand See Also section See Also

ChantAudio
StartRecording


ChantAudio UnregisterCallback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

UnregisterCallback Method

Sets the callback event inactive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantAudio.UnregisterCallback(eChantCallback);

chantAudio->UnregisterCallback(eChantCallback);

chantAudio->UnregisterCallback(eChantCallback);

chantAudio.UnregisterCallback(eChantCallback);

chantAudio.unregisterCallback(eChantCallback);

chantAudio.UnregisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

Constant | Value | Description
CCSAudioStart | 3 | Opened the audio source device. Property values: none.
CCSAudioStop | 4 | No more data from the source audio stream. Property values: Reason.
CCSAudioFileBegin | 5 | Started reading an audio file. Property values: ID.
CCSAudioFileEnd | 6 | Finished reading an audio file. Property values: ID.
CCSAudioFilePosn | 7 | Identifies how much data has been processed. Property values: Processed, Left.
CCDAudioStart | 11 | Audio playback has started. Property values: TimeStamp.
CCDAudioStop | 12 | Audio playback has stopped. Property values: Reason, TimeStamp, File.
CCDAudioFileBegin | 13 | Started writing an audio file. Property values: ID.
CCDAudioFileEnd | 14 | Finished writing an audio file. Property values: ID.
CCDAudioFilePosn | 15 | Identifies how much data has been processed. Property values: Processed, Left.
CCDDeviceArrival | 52 | Audio endpoint render device detected. Property values: Text contains the device ID.
CCDDeviceRemoved | 53 | Audio endpoint render device removed. Property values: Text contains the device ID.
CCSDeviceArrival | 54 | Audio endpoint capture device detected. Property values: Text contains the device ID.
CCSDeviceRemoved | 55 | Audio endpoint capture device removed. Property values: Text contains the device ID.
CCAPIError | 59 | Audio API Error. Property values: ID, Function, Text.

The following example illustrates turning off audio render device arrival events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn off audio render device arrival events
NChantAudio1.UnregisterCallback(ChantCallback.CCDDeviceArrival);

// Turn off audio render device arrival events
pChantAudio->UnregisterCallback(CCDDeviceArrival);

// Turn off audio render device arrival events
pChantAudio->UnregisterCallback(CCDDeviceArrival);

// Turn off audio render device arrival events
ChantAudio1.UnregisterCallback(CCDDeviceArrival);

// Turn off audio render device arrival events
JChantAudio1.unregisterCallback(ChantCallback.CCDDeviceArrival);

' Turn off audio render device arrival events
NChantAudio1.UnregisterCallback(ChantCallback.CCDDeviceArrival)

Collapse/Expand See Also section See Also

ChantAudio
RegisterCallback


ChantAudioCaptureDevice Class

Represents an audio endpoint capture device.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ID | A string that identifies the device.
Public property | Name | The friendly name of the device.
Public property | State | The current state of the device.
Public property | Volume | The current volume of the device.

Collapse/Expand See Also section See Also

ChantAudioCaptureDeviceCollection


ChantAudioCaptureDevice ID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ID Property

A string that identifies the device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String id = chantAudioCaptureDevice.ID;

wchar_t* id = chantAudioCaptureDevice->GetID();

String id = chantAudioCaptureDevice->GetID();

var id: string;
id := chantAudioCaptureDevice.ID;

String id = chantAudioCaptureDevice.getID();

Dim id As String
id = chantAudioCaptureDevice.ID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioCaptureDevice


ChantAudioCaptureDevice Name Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Name Property

The friendly name of the device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantAudioCaptureDevice.Name;

wchar_t* name = chantAudioCaptureDevice->GetName();

String name = chantAudioCaptureDevice->GetName();

var name: string;
name := chantAudioCaptureDevice.Name;

String name = chantAudioCaptureDevice.getName();

Dim name As String
name = chantAudioCaptureDevice.Name

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioCaptureDevice


ChantAudioCaptureDevice State Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

State Property

The current state of the device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioDeviceState state = chantAudioCaptureDevice.State;

AudioDeviceState state = chantAudioCaptureDevice->GetState();

AudioDeviceState state = chantAudioCaptureDevice->GetState();

var state: AudioDeviceState;
state := chantAudioCaptureDevice.State;

int state = chantAudioCaptureDevice.getState();

Dim state As AudioDeviceState
state = chantAudioCaptureDevice.State

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioCaptureDevice


ChantAudioCaptureDevice Volume Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Volume Property

The current volume of the device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int volume = chantAudioCaptureDevice.Volume;
chantAudioCaptureDevice.Volume = volume;

long volume = chantAudioCaptureDevice->GetVolume();
chantAudioCaptureDevice->SetVolume(volume);

long volume = chantAudioCaptureDevice->GetVolume();
chantAudioCaptureDevice->SetVolume(volume);

var volume: Integer;
volume := chantAudioCaptureDevice.Volume;
chantAudioCaptureDevice.Volume := volume;

int volume = chantAudioCaptureDevice.getVolume();
chantAudioCaptureDevice.setVolume(volume);

Dim volume As Integer
volume = chantAudioCaptureDevice.Volume
chantAudioCaptureDevice.Volume = volume

Collapse/Expand See Also section See Also

ChantAudioCaptureDevice


ChantAudioCaptureDeviceCollection Class

Represents a collection of ChantAudioCaptureDevice objects.

Collapse/Expand Remarks section Remarks

A ChantAudioCaptureDeviceCollection is used to enumerate the available inbound audio devices.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantAudioCaptureDevice | The ChantAudioCaptureDevice object collection.
Public property | Count | The number of ChantAudioCaptureDevices.

Collapse/Expand Example section Example

The following example illustrates enumerating inbound audio devices and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantAudioCaptureDevice chantAudioCaptureDevice in NChantAudio1.ChantAudioCaptureDevices)
{
    // Access inbound audio device properties
    string name = nChantAudioCaptureDevice.Name;
}

int numberOfAudioCaptureDevices = pChantAudio->GetChantAudioCaptureDevices()->GetCount();
for (i = 0; i < numberOfAudioCaptureDevices; i++)
{
    CChantAudioCaptureDevice* pChantAudioCaptureDevice = pChantAudio->GetChantAudioCaptureDevices()->GetChantAudioCaptureDevice(i);
    // Access inbound audio device properties
    wchar_t* name = pChantAudioCaptureDevice->GetName();
}

int numberOfAudioCaptureDevices = pChantAudio->GetChantAudioCaptureDevices()->GetCount();
for (i = 0; i < numberOfAudioCaptureDevices; i++)
{
    CChantAudioCaptureDevice* pChantAudioCaptureDevice = pChantAudio->GetChantAudioCaptureDevices()->GetChantAudioCaptureDevice(i);
    // Access inbound audio device properties
    String name = pChantAudioCaptureDevice->GetName();
}

var
chantAudioCaptureDevice: TChantAudioCaptureDevice;
name: string;
begin
for chantAudioCaptureDevice in ChantAudio1.ChantAudioCaptureDevices do
    begin
        // Access inbound audio device properties
        name := chantAudioCaptureDevice.Name;
    end;
end;

for (JChantAudioCaptureDevice chantAudioCaptureDevice : JChantAudio1.getChantAudioCaptureDevices())
{
    // Access inbound audio device properties
    String name = chantAudioCaptureDevice.getName();
}

Dim chantAudioCaptureDevice As NChantAudioCaptureDevice
Dim name As String
For Each chantAudioCaptureDevice In NChantAudio1.ChantAudioCaptureDevices
    ' Access inbound audio device properties
    name = chantAudioCaptureDevice.Name
Next

Collapse/Expand See Also section See Also

ChantAudioCaptureDevice


ChantAudioCaptureDeviceCollection ChantAudioCaptureDevice Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAudioCaptureDevice Property

A collection of ChantAudioCaptureDevice objects representing an inbound audio device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAudioCaptureDevice chantAudioCaptureDevice = chantAudioCaptureDeviceCollection.ChantAudioCaptureDevice[index];

CChantAudioCaptureDevice* chantAudioCaptureDevice = chantAudioCaptureDeviceCollection->GetChantAudioCaptureDevice(index);

CChantAudioCaptureDevice* chantAudioCaptureDevice = chantAudioCaptureDeviceCollection->GetChantAudioCaptureDevice(index);

var chantAudioCaptureDevice: TChantAudioCaptureDevice;
chantAudioCaptureDevice := chantAudioCaptureDeviceCollection.ChantAudioCaptureDevice(index);

JChantAudioCaptureDevice chantAudioCaptureDevice = chantAudioCaptureDeviceCollection.getAt(index);

Dim chantAudioCaptureDevice As NChantAudioCaptureDevice
chantAudioCaptureDevice = chantAudioCaptureDeviceCollection.ChantAudioCaptureDevice(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioCaptureDevice


ChantAudioCaptureDeviceCollection Count Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Count Property

The number of ChantAudioCaptureDevice objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantAudioCaptureDeviceCollection.Count;

long count = chantAudioCaptureDeviceCollection->GetCount();

long count = chantAudioCaptureDeviceCollection->GetCount();

var count: Integer;
count := chantAudioCaptureDeviceCollection.Count;

int count = chantAudioCaptureDeviceCollection.getCount();

Dim count As Integer
count = chantAudioCaptureDeviceCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioCaptureDeviceCollection


ChantAudioEvent Class

Represents an audio event.

Collapse/Expand Remarks section Remarks

A audio event may have data associated with it. For events that have data associated with them, the data is available from the ChantAudioEvent object.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Buffer | Buffer of byte data.
Public property | Bytes | The number of bytes.
Public property | ChantAudioFormat | The ChantAudioFormat of the inbound or outbound audio file.
Public property | ChantCallback | The type of event callback.
Public property | File | An inbound or outbound audio file name.
Public property | Function | API function name.
Public property | ID | An error identifier returned from invoking API function.
Public property | Left | The remaining audio file data to process.
Public property | Processed | The amount of audio data processed.
Public property | ResourceID | Audio device identifier.
Public property | Text | API Error message.

Collapse/Expand See Also section See Also

GetChantAudioEvent
RemoveEvent


ChantAudioEvent Buffer Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Buffer Property

Buffer of byte data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

byte[] buffer = chantAudioEvent.Buffer;

void* buffer = chantAudioEvent->GetBuffer();

void* buffer = chantAudioEvent->GetBuffer();

var buffer: Cardinal;
buffer := chantAudioEvent.Buffer;

byte[] buffer = chantAudioEvent.getBuffer();

Dim buffer As Byte()
buffer = chantAudioEvent.Buffer

Collapse/Expand Remarks section Remarks

The property is read only. See the Bytes property for number of bytes.

Collapse/Expand See Also section See Also

ChantAudioEvent


ChantAudioEvent Bytes Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Bytes Property

The number of bytes contained in the Buffer property.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int bytes = chantAudioEvent.Bytes;

long bytes = chantAudioEvent->GetBytes();

long bytes = chantAudioEvent->GetBytes();

var bytes: Integer;
bytes := chantAudioEvent.Bytes;

int bytes = chantAudioEvent.getBytes();

Dim bytes As Integer
bytes = chantAudioEvent.Bytes

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioEvent


ChantAudioEvent ChantAudioFormat Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAudioFormat Property

The ChantAudioFormat of the inbound or outbound audio file.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantAudioFormat eChantAudioFormat = chantAudioEvent.ChantAudioFormat;

ChantAudioFormat eChantAudioFormat = chantAudioEvent->GetChantAudioFormat();

ChantAudioFormat eChantAudioFormat = chantAudioEvent->GetChantAudioFormat();

var eChantAudioFormat: ChantAudioFormat;
eChantAudioFormat := chantAudioEvent.ChantAudioFormat;

int eChantAudioFormat = chantAudioEvent.getChantAudioFormat();

Dim eChantAudioFormat As ChantAudioFormat
eChantAudioFormat = chantAudioEvent.ChantAudioFormat

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantAudioFormat constant values:

Constant | Value | Description
CAF8kHz8BitMono | 4 | 8 kHz 8 bit monaural
CAF8kHz8BitStereo | 5 | 8 kHz 8 bit stereo
CAF8kHz16BitMono | 6 | 8 kHz 16 bit monaural
CAF8kHz16BitStereo | 7 | 8 kHz 16 bit stereo
CAF11kHz8BitMono | 8 | 11 kHz 8 bit monaural
CAF11kHz8BitStereo | 9 | 11 kHz 8 bit stereo
CAF11kHz16BitMono | 10 | 11 kHz 16 bit monaural
CAF11kHz16BitStereo | 11 | 11 kHz 16 bit stereo
CAF12kHz8BitMono | 12 | 12 kHz 8 bit monaural
CAF12kHz8BitStereo | 13 | 12 kHz 8 bit stereo
CAF12kHz16BitMono | 14 | 12 kHz 16 bit monaural
CAF12kHz16BitStereo | 15 | 12 kHz 16 bit stereo
CAF16kHz8BitMono | 16 | 16 kHz 8 bit monaural
CAF16kHz8BitStereo | 17 | 16 kHz 8 bit stereo
CAF16kHz16BitMono | 18 | 16 kHz 16 bit monaural
CAF16kHz16BitStereo | 19 | 16 kHz 16 bit stereo
CAF22kHz8BitMono | 20 | 22 kHz 8 bit monaural
CAF22kHz8BitStereo | 21 | 22 kHz 8 bit stereo
CAF22kHz16BitMono | 22 | 22 kHz 16 bit monaural
CAF22kHz16BitStereo | 23 | 22 kHz 16 bit stereo
CAF24kHz8BitMono | 24 | 24 kHz 8 bit monaural
CAF24kHz8BitStereo | 25 | 24 kHz 8 bit stereo
CAF24kHz16BitMono | 26 | 24 kHz 16 bit monaural
CAF24kHz16BitStereo | 27 | 24 kHz 16 bit stereo
CAF32kHz8BitMono | 28 | 32 kHz 8 bit monaural
CAF32kHz8BitStereo | 29 | 32 kHz 8 bit stereo
CAF32kHz16BitMono | 30 | 32 kHz 16 bit monaural
CAF32kHz16BitStereo | 31 | 32 kHz 16 bit stereo
CAF44kHz8BitMono | 32 | 44 kHz 8 bit monaural
CAF44kHz8BitStereo | 33 | 44 kHz 8 bit stereo
CAF44kHz16BitMono | 34 | 44 kHz 16 bit monaural
CAF44kHz16BitStereo | 35 | 44 kHz 16 bit stereo
CAF48kHz8BitMono | 36 | 48 kHz 8 bit monaural
CAF48kHz8BitStereo | 37 | 48 kHz 8 bit stereo
CAF48kHz16BitMono | 38 | 48 kHz 16 bit monaural
CAF48kHz16BitStereo | 39 | 48 kHz 16 bit stereo
CAFTrueSpeech8kHz1BitMono | 40 | TrueSpeech 8 kHz 1 bit monaural
CAFCCITTALaw8kHzMono | 41 | CCITT A-Law 8 kHz monaural
CAFCCITTALaw8kHzStereo | 42 | CCITT A-Law 8 kHz stereo
CAFCCITTALaw11kHzMono | 43 | CCITT A-Law 11 kHz monaural
CAFCCITTALaw11kHzStereo | 44 | CCITT A-Law 11 kHz stereo
CAFCCITTALaw22kHzMono | 45 | CCITT A-Law 22 kHz monaural
CAFCCITTALaw22kHzStereo | 46 | CCITT A-Law 22 kHz stereo
CAFCCITTALaw44kHzMono | 47 | CCITT A-Law 44 kHz monaural
CAFCCITTALaw44kHzStereo | 48 | CCITT A-Law 44 kHz stereo
CAFCCITTuLaw8kHzMono | 49 | CCITT u-Law 8 kHz monaural
CAFCCITTuLaw8kHzStereo | 50 | CCITT u-Law 8 kHz stereo
CAFCCITTuLaw11kHzMono | 51 | CCITT u-Law 11 kHz monaural
CAFCCITTuLaw11kHzStereo | 52 | CCITT u-Law 11 kHz stereo
CAFCCITTuLaw22kHzMono | 53 | CCITT u-Law 22 kHz monaural
CAFCCITTuLaw22kHzStereo | 54 | CCITT u-Law 22 kHz stereo
CAFCCITTuLaw44kHzMono | 55 | CCITT u-Law 44 kHz monaural
CAFCCITTuLaw44kHzStereo | 56 | CCITT u-Law 44 kHz stereo
CAFADPCM8kHzMono | 57 | ADPCM 8 kHz monaural
CAFADPCM8kHzStereo | 58 | ADPCM 8 kHz stereo
CAFADPCM11kHzMono | 59 | ADPCM 11 kHz monaural
CAFADPCM11kHzStereo | 60 | ADPCM 11 kHz stereo
CAFADPCM22kHzMono | 61 | ADPCM 22 kHz monaural
CAFADPCM22kHzStereo | 62 | ADPCM 22 kHz stereo
CAFADPCM44kHzMono | 63 | ADPCM 44 kHz monaural
CAFADPCM44kHzStereo | 64 | ADPCM 44 kHz stereo
CAFGSM6108kHzMono | 65 | GSM 6.10 8 kHz monaural
CAFGSM61011kHzMono | 66 | GSM 6.10 11 kHz monaural
CAFGSM61022kHzMono | 67 | GSM 6.10 22 kHz monaural
CAFGSM61044kHzMono | 68 | GSM 6.10 44 kHz monaural

Collapse/Expand See Also section See Also

ChantAudioEvent


ChantAudioEvent ChantCallback Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantCallback Property

The type of event callback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantCallback eChantCallback = chantAudioEvent.ChantCallback;

ChantCallback eChantCallback = chantAudioEvent->GetChantCallback();

ChantCallback eChantCallback = chantAudioEvent->GetChantCallback();

var eChantCallback: ChantCallback;
eChantCallback := chantAudioEvent.ChantCallback;

int eChantCallback = chantAudioEvent.getChantCallback();

Dim eChantCallback As ChantCallback
eChantCallback = chantAudioEvent.ChantCallback

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantCallback constant values:

Constant | Value | Description
CCSAudioStart | 3 | Opened the audio source device. Property values: none.
CCSAudioStop | 4 | No more data from the source audio stream. Property values: Reason.
CCSAudioFileBegin | 5 | Started reading an audio file. Property values: ID.
CCSAudioFileEnd | 6 | Finished reading an audio file. Property values: ID.
CCSAudioFilePosn | 7 | Identifies how much data has been processed. Property values: Processed, Left.
CCDAudioStart | 11 | Audio playback has started. Property values: TimeStamp.
CCDAudioStop | 12 | Audio playback has stopped. Property values: Reason, TimeStamp, File.
CCDAudioFileBegin | 13 | Started writing an audio file. Property values: ID.
CCDAudioFileEnd | 14 | Finished writing an audio file. Property values: ID.
CCDAudioFilePosn | 15 | Identifies how much data has been processed. Property values:Processed, Left.
CCDDeviceArrival | 52 | USB audio out device detected. Property values: ResourceID.
CCDDeviceRemoved | 53 | USB audio out device removed. Property values: ResourceID.
CCSDeviceArrival | 54 | USB audio in device detected. Property values: ResourceID.
CCSDeviceRemoved | 55 | USB audio in device removed. Property values: ResourceID.
CCAPIError | 59 | Audio API Error. Property values: ID, Function, Text.

Collapse/Expand See Also section See Also

ChantAudioEvent


ChantAudioEvent File Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

File Property

The inbound our outbound audio file name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String file = chantAudioEvent.File;

wchar_t* file = chantAudioEvent->GetFile();

String file = chantAudioEvent->GetFile();

var file: string;
file := chantAudioEvent.File;

String file = chantAudioEvent.getFile();

Dim file As String
file = chantAudioEvent.File

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioEvent


ChantAudioEvent Function Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Function Property

The API function invoked.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String function = chantAudioEvent.Function;

wchar_t* function = chantAudioEvent->GetFunction();

String function = chantAudioEvent->GetFunction();

var function: string;
function := chantAudioEvent.Function;

String function = chantAudioEvent.getFunction();

Dim function As String
function = chantAudioEvent.Function

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioEvent


ChantAudioEvent ID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ID Property

An error identifier returned from invoking the API function.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int id = chantAudioEvent.ID;

long id = chantAudioEvent->GetID();

long id = chantAudioEvent->GetID();

var intVal: Integer;
intVal := chantAudioEvent.ID;

int id = chantAudioEvent.getID();

Dim id As Integer
id = chantAudioEvent.ID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioEvent


ChantAudioEvent Left Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Left Property

Remaining audio file data to process specified in 100 nanosecond units.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ulong left = chantAudioEvent.Left;

unsigned long long left = chantAudioEvent->GetLeft();

unsigned long long left = chantAudioEvent->GetLeft();

var left: Int64;
left := chantAudioEvent.Left;

long left = chantAudioEvent.getLeft();

Dim left As Ulong
left = chantAudioEvent.Left

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioEvent


ChantAudioEvent Processed Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Processed Property

The total 100 nanosecond units of audio data processed so far.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ulong processed = chantAudioEvent.Processed;

unsigned long long processed = chantAudioEvent->GetProcessed();

unsigned long long processed = chantAudioEvent->GetProcessed();

var processed: Int64;
processed := chantAudioEvent.Processed;

long longVal = chantAudioEvent.getProcessed();

Dim processed As ULong
processed = chantAudioEvent.Processed

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioEvent


ChantAudioEvent ResourceID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ResourceID Property

The device identifier.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int resourceID = chantAudioEvent.ResourceID;

long resourceID = chantAudioEvent->GetResourceID();

long resourceID = chantAudioEvent->GetResourceID();

var resourceID: Integer;
resourceID := chantAudioEvent.ResourceID;

int resourceID = jChantAudioEvent.getResourceID();

Dim resourceID As Integer
resourceID = chantAudioEvent.ResourceID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioEvent


ChantAudioEvent Text Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Text Property

Error message returned from invoking API function.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String text = chantAudioEvent.Text;

wchar_t* text = chantAudioEvent->GetText();

String text = chantAudioEvent->GetText();

var text: string;
text := chantAudioEvent.Text;

String text = chantAudioEvent.getText();

Dim text As String
text = chantAudioEvent.Text

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioEvent


ChantAudioInDevice Class

Represents an inbound audio device.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Channels | Number specifying whether the device supports mono (1) or stereo (2).
Public property | DriverVersion | Version number of the device driver for the waveform-audio device.
Public property | Formats | Standard formats that are supported.
Public property | ManufacturerID | Manufacturer identifier for the device driver for the waveform-audio device.
Public property | ProductID | Product identifier for the waveform-audio device.
Public property | ProductName | Name of the product.

Collapse/Expand See Also section See Also

ChantAudioInDeviceCollection


ChantAudioInDevice Channels Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Channels Property

Number specifying whether the device supports mono (1) or stereo (2).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int channels = chantAudioInDevice.Channels;

long channels = chantAudioInDevice->GetChannels();

long channels = chantAudioInDevice->GetChannels();

var channels: Integer;
channels := chantAudioInDevice.Channels;

int channels = chantAudioInDevice.getChannels();

Dim channels As Integer
channels = chantAudioInDevice.Channels

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioInDevice


ChantAudioInDevice DriverVersion Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

DriverVersion Property

Version number of the device driver for the waveform-audio device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int driverVersion = chantAudioInDevice.DriverVersion;

long driverVersion = chantAudioInDevice->GetDriverVersion();

long driverVersion = chantAudioInDevice->GetDriverVersion();

var driverVersion: Integer;
driverVersion := chantAudioInDevice.DriverVersion;

int driverVersion = chantAudioInDevice.getDriverVersion();

Dim driverVersion As Integer
driverVersion = chantAudioInDevice.DriverVersion

Collapse/Expand Remarks section Remarks

The property is read only. The high-order byte is the major version number, and the low-order byte is the minor version number.

Collapse/Expand See Also section See Also

ChantAudioInDevice


ChantAudioInDevice Formats Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Formats Property

Standard formats that are supported.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int formats = chantAudioInDevice.Formats;

long formats = chantAudioInDevice->GetFormats();

long formats = chantAudioInDevice->GetFormats();

var formats: Integer;
formats := chantAudioInDevice.Formats;

int formats = chantAudioInDevice.getFormats();

Dim formats As Integer
formats = chantAudioInDevice.Formats

Collapse/Expand Remarks section Remarks

The property is read only. Standard formats that are supported may be a combination of the following:

Format Constant | Value | Description
WAVE_INVALIDFORMAT | 0 | Invalid format
WAVE_FORMAT_1M08 | 1 | 11.025 kHz, mono, 8-bit
WAVE_FORMAT_1M16 | 2 | 11.025 kHz, mono, 16-bit
WAVE_FORMAT_1S08 | 4 | 11.025 kHz, stereo, 8-bit
WAVE_FORMAT_1S16 | 8 | 11.025 kHz, stereo, 16-bit
WAVE_FORMAT_2M08 | 16 | 22.05 kHz, mono, 8-bit
WAVE_FORMAT_2M16 | 32 | 22.05 kHz, mono, 16-bit
WAVE_FORMAT_2S08 | 64 | 22.05 kHz, stereo, 8-bit
WAVE_FORMAT_2S16 | 128 | 22.05 kHz, stereo, 16-bit
WAVE_FORMAT_4M08 | 256 | 44.1 kHz, mono, 8-bit
WAVE_FORMAT_4M16 | 512 | 44.1 kHz, mono, 16-bit
WAVE_FORMAT_4S08 | 1024 | 44.1 kHz, stereo, 8-bit
WAVE_FORMAT_4S16 | 2048 | 44.1 kHz, stereo, 16-bit
WAVE_FORMAT_96M08 | 4096 | 96 kHz, mono, 8-bit
WAVE_FORMAT_96S08 | 8192 | 96 kHz, stereo, 8-bit
WAVE_FORMAT_96M16 | 16384 | 96 kHz, mono, 16-bit
WAVE_FORMAT_96S16 | 32768 | 96 kHz, stereo, 16-bit

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioInDevice


ChantAudioInDevice ManufacturerID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ManufacturerID Property

Manufacturer identifier for the device driver for the waveform-audio device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int manufacturerID = chantAudioInDevice.ManufacturerID;

long manufacturerID = chantAudioInDevice->GetManufacturerID();

long manufacturerID = chantAudioInDevice->GetManufacturerID();

var manufacturerID: Integer;
manufacturerID := chantAudioInDevice.ManufacturerID;

int manufacturerID = chantAudioInDevice.getManufacturerID();

Dim manufacturerID As Integer
manufacturerID = chantAudioInDevice.ManufacturerID

Collapse/Expand Remarks section Remarks

The property is read only. Manufacturer identifiers are defined in Manufacturer and Product Identifiers.

Collapse/Expand See Also section See Also

ChantAudioInDevice


ChantAudioInDevice ProductID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ProductID Property

Product identifier for the waveform-audio device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int productID = chantAudioInDevice.ProductID;

long productID = chantAudioInDevice->GetProductID();

long productID = chantAudioInDevice->GetProductID();

var productID: Integer;
productID := chantAudioInDevice.ProductID;

int productID = chantAudioInDevice.getProductID();

Dim productID As Integer
productID = chantAudioInDevice.ProductID

Collapse/Expand Remarks section Remarks

The property is read only. Product identifiers are defined in Manufacturer and Product Identifiers.

Collapse/Expand See Also section See Also

ChantAudioInDevice


ChantAudioInDevice ProductName Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ProductName Property

Name of the product.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String productName = chantAudioInDevice.ProductName;

wchar_t* productName = chantAudioInDevice->GetProductName();

String productName = chantAudioInDevice->GetProductName();

var productName: string;
productName := chantAudioInDevice.ProductName;

String productName = chantAudioInDevice.getProductName();

Dim productName As String
productName = chantAudioInDevice.ProductName

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioInDevice


ChantAudioInDeviceCollection Class

Represents a collection of ChantAudioInDevice objects.

Collapse/Expand Remarks section Remarks

A ChantAudioInDeviceCollection is used to enumerate the available inbound audio devices.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantAudioInDevice | The ChantAudioInDevice object collection.
Public property | Count | The number of ChantAudioInDevices.

Collapse/Expand Example section Example

The following example illustrates enumerating inbound audio devices and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantAudioInDevice chantAudioInDevice in NChantAudio1.ChantAudioInDevices)
{
    // Access inbound audio device properties
    string productName = nChantAudioInDevice.ProductName;
}

int numberOfAudioInDevices = pChantAudio->GetChantAudioInDevices()->GetCount();
for (i = 0; i < numberOfAudioInDevices; i++)
{
    CChantAudioInDevice* pChantAudioInDevice = pChantAudio->GetChantAudioInDevices()->GetChantAudioInDevice(i);
    // Access inbound audio device properties
    wchar_t* productName = pChantAudioInDevice->GetProductName();
}

int numberOfAudioInDevices = pChantAudio->GetChantAudioInDevices()->GetCount();
for (i = 0; i < numberOfAudioInDevices; i++)
{
    CChantAudioInDevice* pChantAudioInDevice = pChantAudio->GetChantAudioInDevices()->GetChantAudioInDevice(i);
    // Access inbound audio device properties
    String productName = pChantAudioInDevice->GetProductName();
}

var
chantAudioInDevice: TChantAudioInDevice;
productName: string;
begin
for chantAudioInDevice in ChantAudio1.ChantAudioInDevices do
    begin
        // Access inbound audio device properties
        productName := chantAudioInDevice.ProductName;
    end;
end;

for (JChantAudioInDevice chantAudioInDevice : JChantAudio1.getChantAudioInDevices())
{
    // Access inbound audio device properties
    String productName = chantAudioInDevice.getProductName();
}

Dim chantAudioInDevice As NChantAudioInDevice
Dim productName As String
For Each chantAudioInDevice In NChantAudio1.ChantAudioInDevices
    ' Access inbound audio device properties
    productName = chantAudioInDevice.ProductName
Next

Collapse/Expand See Also section See Also

ChantAudioInDevice


ChantAudioInDeviceCollection ChantAudioInDevice Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAudioInDevice Property

A collection of ChantAudioInDevice objects representing an inbound audio device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAudioInDevice chantAudioInDevice = chantAudioInDeviceCollection.ChantAudioInDevice[index];

CChantAudioInDevice* chantAudioInDevice = chantAudioInDeviceCollection->GetChantAudioInDevice(index);

CChantAudioInDevice* chantAudioInDevice = chantAudioInDeviceCollection->GetChantAudioInDevice(index);

var chantAudioInDevice: TChantAudioInDevice;
chantAudioInDevice := chantAudioInDeviceCollection.ChantAudioInDevice(index);

JChantAudioInDevice chantAudioInDevice = chantAudioInDeviceCollection.getAt(index);

Dim chantAudioInDevice As NChantAudioInDevice
chantAudioInDevice = chantAudioInDeviceCollection.ChantAudioInDevice(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioInDevice


ChantAudioInDeviceCollection Count Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Count Property

The number of ChantAudioInDevice objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantAudioInDeviceCollection.Count;

long count = chantAudioInDeviceCollection->GetCount();

long count = chantAudioInDeviceCollection->GetCount();

var count: Integer;
count := chantAudioInDeviceCollection.Count;

int count = chantAudioInDeviceCollection.getCount();

Dim count As Integer
count = chantAudioInDeviceCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioInDeviceCollection


ChantAudioMixer Class

Represents an audio mixer.

Collapse/Expand Remarks section Remarks

An audio mixer manages the flow of audio for the available audio devices.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantAudioMixerLines | A collection of ChantAudioMixerLine objects.
Public property | Destinations | The number of audio line destinations available through the mixer device.
Public property | DriverVersion | Version number of the mixer device driver.
Public property | ManufacturerID | A manufacturer identifier for the mixer device driver.
Public property | ProductID | A product identifier for the mixer device driver.
Public property | ProductName | Name of the product.
Public property | Support | Various support information for the mixer device driver.

Collapse/Expand See Also section See Also

ChantAudioMixerLineCollection
ChantAudioMixerLine


ChantAudioMixer ChantAudioMixerLines Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAudioMixerLines Property

A collection of ChantAudioMixerLine objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAudioMixerLineCollection chantAudioMixerLineCollection = chantAudioMixer.ChantAudioMixerLines;

CChantAudioMixerLineCollection* chantAudioMixerLineCollection = chantAudioMixer->GetChantAudioMixerLines();

CChantAudioMixerLineCollection* chantAudioMixerLineCollection = chantAudioMixer->GetChantAudioMixerLines();

var chantAudioMixerLineCollection: TChantAudioMixerLineCollection;
chantAudioMixerLineCollection := chantAudioMixer.ChantAudioMixerLines;

JChantAudioMixerLineCollection chantAudioMixerLineCollection = chantAudioMixer.getChantAudioMixerLines();

Dim chantAudioMixerLineCollection As NChantAudioMixerLineCollection
chantAudioMixerLineCollection = chantAudioMixer.ChantAudioMixerLines

Collapse/Expand Example section Example

See the ChantAudioMixerLineCollection example.

Collapse/Expand See Also section See Also

ChantAudioMixer
ChantAudioMixerLine
ChantAudioMixerLineCollection


ChantAudioMixer Destinations Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Destinations Property

The number of audio line destinations available through the mixer device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int destinations = chantAudioMixer.Destinations;

long destinations = chantAudioMixer->GetDestinations();

long destinations = chantAudioMixer->etDestinations();

var destinations: Integer;
destinations := chantAudioMixer.Destinations;

int destinations = chantAudioMixer.getDestinations();

Dim destinations As Integer
destinations = chantAudioMixer.Destinations

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioMixer


ChantAudioMixer DriverVersion Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

DriverVersion Property

Version number of the mixer device driver.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int driverVersion = chantAudioMixer.DriverVersion;

long driverVersion = chantAudioMixer->GetDriverVersion();

long driverVersion = chantAudioMixer->GetDriverVersion();

var driverVersion: Integer;
driverVersion := chantAudioMixer.DriverVersion;

int driverVersion = chantAudioMixer.getDriverVersion();

Dim driverVersion As Integer
driverVersion = chantAudioMixer.DriverVersion

Collapse/Expand Remarks section Remarks

The property is read only. The high-order byte is the major version number, and the low-order byte is the minor version number.

Collapse/Expand See Also section See Also

ChantAudioMixer


ChantAudioMixer ManufacturerID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ManufacturerID Property

A manufacturer identifier for the mixer device driver.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int manufacturerID = chantAudioMixer.ManufacturerID;

long manufacturerID = chantAudioMixer->GetManufacturerID();

long manufacturerID = chantAudioMixer->GetManufacturerID();

var manufacturerID: Integer;
manufacturerID := chantAudioMixer.ManufacturerID;

int manufacturerID = chantAudioMixer.getManufacturerID();

Dim manufacturerID As Integer
manufacturerID = chantAudioMixer.ManufacturerID

Collapse/Expand Remarks section Remarks

The property is read only. Manufacturer identifiers are defined in Manufacturer and Product Identifiers.

Collapse/Expand See Also section See Also

ChantAudioMixer


ChantAudioMixer ProductID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ProductID Property

A product identifier for the mixer device driver.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int productID = chantAudioMixer.ProductID;

long productID = chantAudioMixer->GetProductID();

long productID = chantAudioMixer->GetProductID();

var productID: Integer;
productID := chantAudioMixer.ProductID;

int productID = chantAudioMixer.getProductID();

Dim productID As Integer
productID = chantAudioMixer.ProductID

Collapse/Expand Remarks section Remarks

The property is read only. Product identifiers are defined in Manufacturer and Product Identifiers.

Collapse/Expand See Also section See Also

ChantAudioMixer


ChantAudioMixer ProductName Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ProductName Property

Name of the product.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String productName = chantAudioMixer.ProductName;

wchar_t* productName = chantAudioMixer->GetProductName();

String productName = chantAudioMixer->GetProductName();

var productName: string;
productName := chantAudioMixer.ProductName;

String productName = chantAudioMixer.getProductName();

Dim productName As String
productName = chantAudioMixer.ProductName

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioMixer


ChantAudioMixer Support Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Support Property

Various support information for the mixer device driver.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int support = chantAudioMixer.Support;

long support = chantAudioMixer->GetSupport();

long support = chantAudioMixer->GetSupport();

var support: Integer;
support := chantAudioMixer.Support;

int support = chantAudioMixer.getSupport();

Dim support As Integer
support = chantAudioMixer.Support

Collapse/Expand Remarks section Remarks

The property is read only. No extended support bits are currently defined.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioMixer


ChantAudioMixerCollection Class

Represents a collection of ChantAudioMixer objects.

Collapse/Expand Remarks section Remarks

A ChantAudioMixerCollection is used to enumerate the available audio mixers.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantAudioMixer | The ChantAudioMixer object collection.
Public property | Count | The number of ChantAudioMixers.

Collapse/Expand Example section Example

The following example illustrates enumerating audio mixers and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantAudioMixer chantAudioMixer in NChantAudio1.ChantAudioMixers)
{
    // Access audio mixer properties
    string productName = chantAudioMixer.ProductName;
}

int numberOfMixers = pChantAudio->GetChantAudioMixers()->GetCount();
for (i = 0; i < numberOfMixers; i++)
{
    CChantAudioMixer* pChantAudioMixer = pChantAudio->GetChantAudioMixers()->GetChantAudioMixer(i);
    // Access audio mixer properties
    wchar_t* productName = pChantAudioMixer->GetProductName();
}

int numberOfMixers = pChantAudio->GetChantAudioMixers()->GetCount();
for (i = 0; i < numberOfMixers; i++)
{
    CChantAudioMixer* pChantAudioMixer = pChantAudio->GetChantAudioMixers()->GetChantAudioMixer(i);
    // Access audio mixer properties
    String productName = pChantAudioMixer->GetProductName();
}

var
chantAudioMixer: TChantAudioMixer;
numberOfMixers: Integer;
i: Integer;
productName: string;
begin
for chantAudioMixer in ChantAudio1.ChantAudioMixers do
    begin
        // Access audio mixer device properties
        productName := chantAudioMixer.ProductName;
    end;
end;

for (JChantAudioMixer chantAudioMixer : JChantAudio1.getChantAudioMixers())
{
    // Access audio mixer device properties
    String productName = chantAudioMixer.getProductName();
}

Dim chantAudioMixer As NChantAudioMixer
Dim productName As String
For Each chantAudioMixer In NChantAudio1.ChantAudioMixers
    ' Access audio mixer device properties
    productName = chantAudioMixer.ProductName
Next

Collapse/Expand See Also section See Also

ChantAudioMixer


ChantAudioMixerCollection ChantAudioMixer Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAudioMixer Property

A collection of ChantAudioMixer objects representing an audio mixer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAudioMixer chantAudioMixer = chantAudioMixerCollection.ChantAudioMixer[index];

CChantAudioMixer* chantAudioMixer = chantAudioMixerCollection->GetChantAudioMixer(index);

CChantAudioMixer* chantAudioMixer = chantAudioMixerCollection->GetChantAudioMixer(index);

var chantAudioMixer: TChantAudioMixer;
chantAudioMixer := chantAudioMixerCollection.ChantAudioMixer(index);

JChantAudioMixer chantAudioMixer = chantAudioMixerCollection.getAt(index);

Dim chantAudioMixer As NChantAudioMixer
chantAudioMixer = chantAudioMixerCollection.ChantAudioMixer(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioMixer


ChantAudioMixerCollection Count Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Count Property

The number of ChantAudioMixer objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantAudioMixerCollection.Count;

long count = chantAudioMixerCollection->GetCount();

long count = chantAudioMixerCollection->GetCount();

var count: Integer;
count := chantAudioMixerCollection.Count;

int count = chantAudioMixerCollection.getCount();

Dim count As Integer
count = chantAudioMixerCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioMixerCollection


ChantAudioMixerLine Class

Represents an audio mixer line.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Channels | Maximum number of separate channels that can be manipulated independently for the audio line.
Public property | ComponentType | Component type for this audio line.
Public property | Connections | Number of connections that are associated with the audio line.
Public property | Controls | Number of controls associated with the audio line.
Public property | Destination | Destination line index.
Public property | DeviceID | Current device identifier of the target media device.
Public property | DriverVersion | Driver version of the target media device.
Public property | Line | Status and support flags for the audio line.
Public property | LineID | An identifier defined by the mixer device that uniquely refers to the audio line.
Public property | ManufacturerID | Manufacturer identifier of the target media device.
Public property | Name | String that describes the audio mixer line specified in the LineID property.
Public property | ProductID | Product identifier of the target media device.
Public property | ProductName | Product name of the target media device.
Public property | ShortName | Short string that describes the audio mixer line specified in the LineID property.
Public property | Source | Index for the audio source line associated with the Destination property.
Public property | Type | Target media device type associated with the audio line.
Public property | User | Instance data defined by the audio device for the line.

Collapse/Expand See Also section See Also

ChantAudioMixer
ChantAudioMixerLineCollection


ChantAudioMixerLine Channels Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Channels Property

Maximum number of separate channels that can be manipulated independently for the audio line.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int channels = chantAudioMixerLine.Channels;

long channels = chantAudioMixerLine->GetChannels();

long channels = chantAudioMixerLine->GetChannels();

var channels: Integer;
channels := chantAudioMixerLine.Channels;

int channels = chantAudioMixerLine.getChannels();

Dim channels As Integer
channels = chantAudioMixerLine.Channels

Collapse/Expand Remarks section Remarks

The property is read only. The minimum value for this field is 1 because a line must have at least one channel. Most often, the value of this property is 2.

Channel 1 is assumed to be the left channel; channel 2 is assumed to be the right channel. A multichannel line might have one or more uniform controls (controls that affect all channels of a line uniformly) associated with it.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine ComponentType Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ComponentType Property

Component type for this audio line.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int componentType = chantAudioMixerLine.ComponentType;

long componentType = chantAudioMixerLine->GetComponentType();

long componentType = chantAudioMixerLine->GetComponentType();

var componentType: Integer;
componentType := chantAudioMixerLine.ComponentType;

int componentType = chantAudioMixerLine.getComponentType();

Dim componentType As Integer
componentType = chantAudioMixerLine.ComponentType

Collapse/Expand Remarks section Remarks

The property is read only. Component types may be one of the following:

ComponentType Constant | Value | Description
MIXERLINE_COMPONENTTYPE_DST_UNDEFINED | 0 | Audio line is a destination that cannot be defined by one of the standard component types. A mixer device is required to use this component type for line component types that have not been defined by Microsoft Corporation.
MIXERLINE_COMPONENTTYPE_DST_DIGITAL | 1 | Audio line is a digital destination (for example, digital input to a DAT or CD audio device).
MIXERLINE_COMPONENTTYPE_DST_LINE | 2 | Audio line is a line level destination (e.g., line level input from a CD audio device) that will be the final recording source for the analog-to-digital converter (ADC). Because most audio cards for personal computers provide some sort of gain for the recording audio source line, the mixer device will use the MIXERLINE_COMPONENTTYPE_DST_WAVEIN type.
MIXERLINE_COMPONENTTYPE_DST_MONITOR | 3 | Audio line is a destination used for a monitor.
MIXERLINE_COMPONENTTYPE_DST_SPEAKERS | 4 | Audio line is an adjustable (gain and/or attenuation) destination intended to drive speakers. This is the typical component type for the audio output of audio cards for personal computers.
MIXERLINE_COMPONENTTYPE_DST_HEADPHONES | 5 | Audio line is an adjustable (i.e., gain and/or attenuation) destination intended to drive headphones. Most audio cards use the same audio destination line for speakers and headphones, in which case the mixer device simply uses the MIXERLINE_COMPONENTTYPE_DST_SPEAKERS type.
MIXERLINE_COMPONENTTYPE_DST_TELEPHONE | 6 | Audio line is a destination that will be routed to a telephone line.
MIXERLINE_COMPONENTTYPE_DST_WAVEIN | 7 | Audio line is a destination that will be the final recording source for the waveform-audio input (ADC). This line typically provides some sort of gain or attenuation. This is the typical component type for the recording line of most audio cards for personal computers.
MIXERLINE_COMPONENTTYPE_DST_VOICEIN | 8 | Audio line is a destination that will be the final recording source for voice input. This component type is exactly like MIXERLINE_COMPONENTTYPE_DST_WAVEIN but is intended specifically for settings used during voice recording/recognition. Support for this line is optional for a mixer device. Many mixer devices provide only MIXERLINE_COMPONENTTYPE_DST_WAVEIN.
MIXERLINE_COMPONENTTYPE_SRC_UNDEFINED | 0 | Audio line is a source that cannot be defined by one of the standard component types. A mixer device is required to use this component type for line component types that have not been defined by Microsoft Corporation.
MIXERLINE_COMPONENTTYPE_SRC_DIGITAL | 1 | Audio line is a digital source (e.g., digital output from a DAT or audio CD).
MIXERLINE_COMPONENTTYPE_SRC_LINE | 2 | Audio line is a line-level source (e.g., line-level input from an external stereo) that can be used as an optional recording source. Because most audio cards for personal computers provide some sort of gain for the recording source line, the mixer device will use the MIXERLINE_COMPONENTTYPE_SRC_AUXILIARY type.
MIXERLINE_COMPONENTTYPE_SRC_MICROPHONE | 3 | Audio line is a microphone recording source. Most audio cards for personal computers provide at least two types of recording sources: an auxiliary audio line and microphone input. A microphone audio line typically provides some sort of gain. Audio cards that use a single input for use with a microphone or auxiliary audio line should use the MIXERLINE_COMPONENTTYPE_SRC_MICROPHONE component type.
MIXERLINE_COMPONENTTYPE_SRC_SYNTHESIZER | 4 | Audio line is a source originating from the output of an internal MIDI synthesizer.
MIXERLINE_COMPONENTTYPE_SRC_COMPACTDISC | 5 | Audio line is a source originating from the output of an internal audio CD. This component type is provided for audio cards that provide an audio source line intended to be connected to an audio CD or CD-ROM playing an audio CD.
MIXERLINE_COMPONENTTYPE_SRC_TELEPHONE | 6 | Audio line is a source originating from an incoming telephone line.
MIXERLINE_COMPONENTTYPE_SRC_PCSPEAKER | 7 | Audio line is a source originating from personal computer speaker. Several audio cards for personal computers provide the ability to mix what would typically be played on the internal speaker with the output of an audio card. Some audio cards support the ability to use this output as a recording source.
MIXERLINE_COMPONENTTYPE_SRC_WAVEOUT | 8 | Audio line is a source originating from the waveform-audio output digital-to-analog converter (DAC). Most audio cards for personal computers provide this component type as a source to the MIXERLINE_COMPONENTTYPE_DST_SPEAKERS destination. Some cards also allow this source to be routed to the MIXERLINE_COMPONENTTYPE_DST_WAVEIN destination.
MIXERLINE_COMPONENTTYPE_SRC_AUXILIARY | 9 | Audio line is a source originating from the auxiliary audio line. This line type is intended as a source with gain or attenuation that can be routed to the MIXERLINE_COMPONENTTYPE_DST_SPEAKERS destination and/or recorded from the MIXERLINE_COMPONENTTYPE_DST_WAVEIN destination.
MIXERLINE_COMPONENTTYPE_SRC_ANALOG | 10 | Audio line is an analog source (e.g., analog output from a video-cassette tape).

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine Connections Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Connections Property

Number of connections that are associated with the audio line.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int connections = chantAudioMixerLine.Connections;

long connections = chantAudioMixerLine->GetConnections();

long connections = chantAudioMixerLine->GetConnections();

var connections: Integer;
connections := chantAudioMixerLine.Connections;

int connections = chantAudioMixerLine.getConnections();

Dim connections As Integer
connections = chantAudioMixerLine.Connections

Collapse/Expand Remarks section Remarks

The property is read only. This property is used only for audio destination lines and specifies the number of audio source lines that are associated with it. The value is always zero for source lines and for destination lines that do not have any audio source lines associated with them.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine Controls Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Controls Property

Number of controls associated with the audio line.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int controls = chantAudioMixerLine.Controls;

long controls = chantAudioMixerLine->GetControls();

long controls = chantAudioMixerLine->GetControls();

var controls: Integer;
controls := chantAudioMixerLine.Controls;

int controls = chantAudioMixerLine.getControls();

Dim controls As Integer
controls = chantAudioMixerLine.Controls

Collapse/Expand Remarks section Remarks

The property is read only. This value can be zero. If no controls are associated with the line, the line is likely to be a source that might be selected in a MIXERCONTROL_CONTROLTYPE_MUX or MIXERCONTROL_CONTROLTYPE_MIXER but allows no manipulation of the signal.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine Destination Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Destination Property

Destination line index.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int destination = chantAudioMixerLine.Destination;

long destination = chantAudioMixerLine->GetDestination();

long destination = chantAudioMixerLine->GetDestination();

var destination: Integer;
destination := chantAudioMixerLine.Destination;

int destination = chantAudioMixerLine.getDestination();

Dim destination As Integer
destination = chantAudioMixerLine.Destination

Collapse/Expand Remarks section Remarks

The property is read only. This property value ranges from zero to one less than the value specified in the Destinations property of the ChantAudioMixer object.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine DeviceID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

DeviceID Property

Current device identifier of the target media device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int deviceID = chantAudioMixerLine.DeviceID;

long deviceID = chantAudioMixerLine->GetDeviceID();

long deviceID = chantAudioMixerLine->GetDeviceID();

var deviceID: Integer;
deviceID := chantAudioMixerLine.DeviceID;

int deviceID = chantAudioMixerLine.getDeviceID();

Dim deviceID As Integer
deviceID = chantAudioMixerLine.DeviceID

Collapse/Expand Remarks section Remarks

The property is read only. This identifier is identical to the current media device index of the associated media device.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine DriverVersion Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

DriverVersion Property

Driver version of the target media device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int driverVersion = chantAudioMixerLine.DriverVersion;

long driverVersion = chantAudioMixerLine->GetDriverVersion();

long driverVersion = chantAudioMixerLine->GetDriverVersion();

var driverVersion: Integer;
driverVersion := chantAudioMixerLine.DriverVersion;

int driverVersion = chantAudioMixerLine.getDriverVersion();

Dim driverVersion As Integer
driverVersion = chantAudioMixerLine.DriverVersion

Collapse/Expand Remarks section Remarks

The property is read only. The high-order byte is the major version number, and the low-order byte is the minor version number.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine Line Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Line Property

Status and support flags for the audio line.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int line = chantAudioMixerLine.Line;

long line = chantAudioMixerLine->GetLine();

long line = chantAudioMixerLine->GetLine();

var line: Integer;
line := chantAudioMixerLine.Line;

int line = chantAudioMixerLine.getLine();

Dim line As Integer
line = chantAudioMixerLine.Line

Collapse/Expand Remarks section Remarks

The property is read only and may be one of the following values:

Constant | Value | Description
MIXERLINE_LINEF_ACTIVE | 1 (0x00000001L) | Audio line is active. An active line indicates that a signal is probably passing through the line.
MIXERLINE_LINEF_DISCONNECTED | 524288 (0x00008000L) | Audio line is disconnected. A disconnected line's associated controls can still be modified, but the changes have no effect until the line is connected.
MIXERLINE_LINEF_SOURCE | -2,147,483,648 (0x80000000L) | If this flag is not set, this line is an audio destination line associated with zero or more audio source lines. If an application is not using a waveform-audio output device, the audio line associated with that device would not be active (that is, the MIXERLINE_LINEF_ACTIVE flag would not be set). If the waveform-audio output device is opened, then the audio line is considered active and the MIXERLINE_LINEF_ACTIVE flag will be set. A paused or starved waveform-audio output device is still considered active. In other words, if the waveform-audio output device is opened by an application regardless of whether data is being played, the associated audio line is considered active. If a line cannot be strictly defined as active, the mixer device will always set the MIXERLINE_LINEF_ACTIVE flag.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine LineID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

LineID Property

An identifier defined by the mixer device that uniquely refers to the audio line.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int intVal = chantAudioMixerLine.LineID;

long lineID = chantAudioMixerLine->GetLineID();

long lineID = chantAudioMixerLine->GetLineID();

var lineID: Integer;
lineID := chantAudioMixerLine.LineID;

int lineID = chantAudioMixerLine.getLineID();

Dim lineID As Integer
lineID = chantAudioMixerLine.LineID

Collapse/Expand Remarks section Remarks

The property is read only. This identifier is unique for each mixer device and can be in any format. An application should use this identifier only as an abstract handle.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine ManufacturerID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ManufacturerID Property

Manufacturer identifier of the target media device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int manufacturerID = chantAudioMixerLine.ManufacturerID;

long manufacturerID = chantAudioMixerLine->GetManufacturerID();

long manufacturerID = chantAudioMixerLine->GetManufacturerID();

var manufacturerID: Integer;
manufacturerID := chantAudioMixerLine.ManufacturerID;

int manufacturerID = chantAudioMixerLine.getManufacturerID();

Dim manufacturerID As Integer
manufacturerID = chantAudioMixerLine.ManufacturerID

Collapse/Expand Remarks section Remarks

The property is read only. Manufacturer identifiers are defined in Manufacturer and Product Identifiers.

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine Name Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Name Property

String that describes the audio mixer line specified in the LineID property.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantAudioMixerLine.Name;

wchar_t* name = chantAudioMixerLine->GetName();

String name = chantAudioMixerLine->GetName();

var name: string;
name := chantAudioMixerLine.Name;

String name = chantAudioMixerLine.getName();

Dim name As String
name = chantAudioMixerLine.Name

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine ProductID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ProductID Property

Product identifier of the target media device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int productID = chantAudioMixerLine.ProductID;

long productID = chantAudioMixerLine->GetProductID();

long productID = chantAudioMixerLine->GetProductID();

var productID: Integer;
productID := chantAudioMixerLine.ProductID;

int productID = chantAudioMixerLine.getProductID();

Dim productID As Integer
productID = chantAudioMixerLine.ProductID

Collapse/Expand Remarks section Remarks

The property is read only and set when the Type property is a target type other than MIXERLINE_TARGETTYPE_UNDEFINED. This identifier is identical to the PropertyID property of the ChantAudioInDevice or ChantAudioOutDevice for the associated media. Product identifiers are defined in Manufacturer and Product Identifiers.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine ProductName Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ProductName Property

Product name of the target media device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String productName = chantAudioMixerLine.ProductName;

wchar_t* productName = chantAudioMixerLine->GetProductName();

String productName = chantAudioMixerLine->GetProductName();

var productName: string;
productName := chantAudioMixerLine.ProductName;

String productName = chantAudioMixerLine.getProductName();

Dim productName As String
productName = chantAudioMixerLine.ProductName

Collapse/Expand Remarks section Remarks

The property is read only and set when the Type property is a target type other than MIXERLINE_TARGETTYPE_UNDEFINED. This name is identical to the ProductName property of the ChantAudioInDevice or ChantAudioOutDevice object for the associated media.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine ShortName Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ShortName Property

Short string that describes the audio mixer line specified in the LineID property.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String shortName = chantAudioMixerLine.ShortName;

wchar_t* shortName = chantAudioMixerLine->GetShortName();

String shortName = chantAudioMixerLine->GetShortName();

var shortName: string;
shortName := chantAudioMixerLine.ShortName;

String shortName = chantAudioMixerLine.getShortName();

Dim shortName As String
shortName = chantAudioMixerLine.ShortName

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine Source Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Source Property

Index for the audio source line associated with the Destination property.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int source = chantAudioMixerLine.Source;

long source = chantAudioMixerLine->GetSource();

long source = chantAudioMixerLine->GetSource();

var source: Integer;
source := chantAudioMixerLine.Source;

int source = chantAudioMixerLine.getSource();

Dim source As Integer
source = chantAudioMixerLine.Source

Collapse/Expand Remarks section Remarks

The property is read only. This property specifies the nth audio source line associated with the specified audio destination line. This property is not used for destination lines. When the MIXER_GETLINEINFOF_SOURCE flag is specified, this property value ranges from zero to one less than the value specified in the Connections property for the audio destination line given in the Destination property.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine Type Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Type Property

Target media device type associated with the audio line.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int lineType = chantAudioMixerLine.Type

long lineType = chantAudioMixerLine->GetType();

long lineType = chantAudioMixerLine->GetType();

var lineType: Integer;
lineType := chantAudioMixerLine.Type;

int lineType = chantAudioMixerLine.getType();

Dim lineType As Integer
lineType = chantAudioMixerLine.Type

Collapse/Expand Remarks section Remarks

The property is read only and may be one of the following:

Constant | Value | Description
MIXERLINE_TARGETTYPE_UNDEFINED | 0 | The audio line described by the ChantAudioMixerLine object is not strictly bound to a defined media type. The audio device properties of the ChantAudioMixerLine object should be ignored.
MIXERLINE_TARGETTYPE_WAVEOUT | 1 | The audio line described by the ChantAudioMixerLine object is strictly bound to the waveform-audio output device detailed in audio device properties of the ChantAudioMixerLine object.
MIXERLINE_TARGETTYPE_WAVEIN | 2 | The audio line described by the ChantAudioMixerLine object is strictly bound to the waveform-audio input device detailed in audio device properties of the ChantAudioMixerLine object.
MIXERLINE_TARGETTYPE_MIDIOUT | 3 | The audio line described by the ChantAudioMixerLine object is strictly bound to the MIDI output device detailed in audio device properties of the ChantAudioMixerLine object.
MIXERLINE_TARGETTYPE_MIDIIN | 4 | The audio line described by the ChantAudioMixerLine object is strictly bound to the MIDI input device detailed in audio device properties of the ChantAudioMixerLine object.
MIXERLINE_TARGETTYPE_AUX | 5 | The audio line described by the ChantAudioMixerLine object is strictly bound to the auxiliary device detailed in audio device properties of the ChantAudioMixerLine object.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLine User Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

User Property

Instance data defined by the audio device for the line.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ulong user = chantAudioMixerLine.User;

unsigned long long user = chantAudioMixerLine->GetUser();

unsigned long long user = chantAudioMixerLine->GetUser();

var user: Int64;
user := chantAudioMixerLine.User;

long user = chantAudioMixerLine.getUser();

Dim user As ULong
user = chantAudioMixerLine.User

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLineCollection Class

Represents a collection of ChantAudioMixerLine objects.

Collapse/Expand Remarks section Remarks

A ChantAudioMixerLineCollection is used to enumerate the available audio mixer lines.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantAudioMixerLine | The ChantAudioMixerLine object collection.
Public property | Count | The number of ChantAudioMixerLines.

Collapse/Expand Example section Example

The following example illustrates enumerating audio mixer lines and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantAudioMixerLine chantAudioMixerLine in chantAudioMixer.ChantAudioMixerLines)
{
    // Access audio mixer line properties
    string productName = nChantAudioMixerLine.ProductName;
}

int numberOfAudioMixerLines = pChantAudioMixer->GetChantAudioMixerLines()->GetCount();
for (i = 0; i < numberOfAudioMixerLines; i++)
{
    CChantAudioMixerLine* pChantAudioMixerLine = pChantAudioMixer->GetChantAudioMixerLines()->GetChantAudioMixerLine(i);
    // Access audio mixer line properties
    wchar_t* productName = pChantAudioMixerLine->GetProductName();
}

int numberOfAudioMixerLines = pChantAudioMixer->GetChantAudioMixerLines()->GetCount();
for (i = 0; i < numberOfAudioMixerLines; i++)
{
    CChantAudioMixerLine* pChantAudioMixerLine = pChantAudioMixer->GetChantAudioMixerLines()->GetChantAudioMixerLine(i);
    // Access audio mixer line properties
    String productName = pChantAudioMixerLine->GetProductName();
}

var
chantAudioMixerLine: TChantAudioMixerLine;
productName: string;
begin
for chantAudioMixerLine in chantAudioMixer.ChantAudioMixerLines do
    begin
        // Access audio mixer line properties
        productName := chantAudioMixerLine.ProductName;
    end;
end;

for (JChantAudioMixerLine chantAudioMixerLine : chantAudioMixer.getChantAudioMixerLines())
{
    // Access audio mixer line properties
    String productName = chantAudioMixerLine.getProductName();
}

Dim chantAudioMixerLine As NChantAudioMixerLine
Dim productName As String
For Each chantAudioMixerLine In chantAudioMixer.ChantAudioMixerLines
    ' Access audio mixer line properties
    productName = chantAudioMixerLine.ProductName
Next

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLineCollection ChantAudioMixerLine Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAudioMixerLine Property

A collection of ChantAudioMixerLine objects representing an audio mixer line.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAudioMixerLine chantAudioMixerLine = chantAudioMixerLineCollection.ChantAudioMixerLine[index];

CChantAudioMixerLine* chantAudioMixerLine = chantAudioMixerLineCollection->GetChantAudioMixerLine(index);

CChantAudioMixerLine* chantAudioMixerLine = chantAudioMixerLineCollection->GetChantAudioMixerLine(index);

var chantAudioMixerLine: TChantAudioMixerLine;
chantAudioMixerLine := chantAudioMixerLineCollection.ChantAudioMixerLine(index);

JChantAudioMixerLine chantAudioMixerLine = chantAudioMixerLineCollection.getAt(index);

Dim chantAudioMixerLine As NChantAudioMixerLine
chantAudioMixerLine = chantAudioMixerLineCollection.ChantAudioMixerLine(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioMixerLine


ChantAudioMixerLineCollection Count Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Count Property

The number of ChantAudioMixer objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantAudioMixerLineCollection.Count;

long count = chantAudioMixerLineCollection->GetCount();

long count = chantAudioMixerLineCollection->GetCount();

var count: Integer;
count := chantAudioMixerLineCollection.Count;

int count = chantAudioMixerLineCollection.getCount();

Dim count As Integer
count = chantAudioMixerLineCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioMixerLineCollection


ChantAudioOutDevice Class

Represents an outbound audio device.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Channels | Number specifying whether the device supports mono (1) or stereo (2).
Public property | DriverVersion | Version number of the device driver for the waveform-audio device.
Public property | Formats | Standard formats that are supported.
Public property | ManufacturerID | Manufacturer identifier for the device driver for the waveform-audio device.
Public property | ProductID | Product identifier for the waveform-audio device.
Public property | ProductName | Name of the product.
Public property | Support | Optional functionality supported by the device.

Collapse/Expand See Also section See Also

ChantAudioOutDeviceCollection


ChantAudioOutDevice Channels Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Channels Property

Number specifying whether the device supports mono (1) or stereo (2).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int channels = chantAudioOutDevice.Channels;

long channels = chantAudioOutDevice->GetChannels();

long channels = chantAudioOutDevice->GetChannels();

var channels: Integer;
channels := chantAudioOutDevice.Channels;

int channels = chantAudioOutDevice.getChannels();

Dim channels As Integer
channels = chantAudioOutDevice.Channels

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioOutDevice


ChantAudioOutDevice DriverVersion Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

DriverVersion Property

Version number of the device driver for the waveform-audio device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int driverVersion = chantAudioOutDevice.DriverVersion;

long driverVersion = chantAudioOutDevice->GetDriverVersion();

long driverVersion = chantAudioOutDevice->GetDriverVersion();

var driverVersion: Integer;
driverVersion := chantAudioOutDevice.DriverVersion;

int driverVersion = chantAudioOutDevice.getDriverVersion();

Dim driverVersion As Integer
driverVersion = chantAudioOutDevice.DriverVersion

Collapse/Expand Remarks section Remarks

The property is read only. The high-order byte is the major version number, and the low-order byte is the minor version number.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioOutDevice


ChantAudioOutDevice Formats Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Formats Property

Standard formats that are supported.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int formats = chantAudioOutDevice.Formats;

long formats = chantAudioOutDevice->GetFormats();

long formats = chantAudioOutDevice->GetFormats();

var formats: Integer;
formats := chantAudioOutDevice.Formats;

int formats = chantAudioOutDevice.getFormats();

Dim formats As Integer
intformatsVal = chantAudioOutDevice.Formats

Collapse/Expand Remarks section Remarks

The property is read only. Standard formats that are supported may be a combination of the following:

Constant | Value | Description
WAVE_INVALIDFORMAT | 0 | Invalid format
WAVE_FORMAT_1M08 | 1 | 11.025 kHz, mono, 8-bit
WAVE_FORMAT_1M16 | 2 | 11.025 kHz, mono, 16-bit
WAVE_FORMAT_1S08 | 4 | 11.025 kHz, stereo, 8-bit
WAVE_FORMAT_1S16 | 8 | 11.025 kHz, stereo, 16-bit
WAVE_FORMAT_2M08 | 16 | 22.05 kHz, mono, 8-bit
WAVE_FORMAT_2M16 | 32 | 22.05 kHz, mono, 16-bit
WAVE_FORMAT_2S08 | 64 | 22.05 kHz, stereo, 8-bit
WAVE_FORMAT_2S16 | 128 | 22.05 kHz, stereo, 16-bit
WAVE_FORMAT_4M08 | 256 | 44.1 kHz, mono, 8-bit
WAVE_FORMAT_4M16 | 512 | 44.1 kHz, mono, 16-bit
WAVE_FORMAT_4S08 | 1024 | 44.1 kHz, stereo, 8-bit
WAVE_FORMAT_4S16 | 2048 | 44.1 kHz, stereo, 16-bit
WAVE_FORMAT_96M08 | 4096 | 96 kHz, mono, 8-bit
WAVE_FORMAT_96S08 | 8192 | 96 kHz, stereo, 8-bit
WAVE_FORMAT_96M16 | 16384 | 96 kHz, mono, 16-bit
WAVE_FORMAT_96S16 | 32768 | 96 kHz, stereo, 16-bit

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioOutDevice


ChantAudioOutDevice ManufacturerID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ManufacturerID Property

Manufacturer identifier for the device driver for the waveform-audio device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int manufacturerID = chantAudioOutDevice.ManufacturerID;

long manufacturerID = chantAudioOutDevice->GetManufacturerID();

long manufacturerID = chantAudioOutDevice->GetManufacturerID();

var manufacturerID: Integer;
manufacturerID := chantAudioOutDevice.ManufacturerID;

int manufacturerID = chantAudioOutDevice.getManufacturerID();

Dim manufacturerID As Integer
manufacturerID = chantAudioOutDevice.ManufacturerID

Collapse/Expand Remarks section Remarks

The property is read only. Manufacturer identifiers are defined in Manufacturer and Product Identifiers.

Collapse/Expand See Also section See Also

ChantAudioOutDevice


ChantAudioOutDevice ProductID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ProductID Property

Product identifier for the waveform-audio device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int productID = chantAudioOutDevice.ProductID;

long productID = chantAudioOutDevice->GetProductID();

long productID = chantAudioOutDevice->GetProductID();

var productID: Integer;
productID := chantAudioOutDevice.ProductID;

int productID = chantAudioOutDevice.getProductID();

Dim productID As Integer
productID = chantAudioOutDevice.ProductID

Collapse/Expand Remarks section Remarks

The property is read only. Product identifiers are defined in Manufacturer and Product Identifiers.

Collapse/Expand See Also section See Also

ChantAudioOutDevice


ChantAudioOutDevice ProductName Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ProductName Property

Name of the product.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String productName = chantAudioOutDevice.ProductName;

wchar_t* productName = chantAudioOutDevice->GetProductName();

String productName = chantAudioOutDevice->GetProductName();

var productName: string;
productName := chantAudioOutDevice.ProductName;

String productName = chantAudioOutDevice.getProductName();

Dim productName As String
productName = chantAudioOutDevice.ProductName

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioOutDevice


ChantAudioOutDevice Support Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Support Property

Optional functionality supported by the device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int support = chantAudioOutDevice.Support;

long support = chantAudioOutDevice->GetSupport();

long support = chantAudioOutDevice->GetSupport();

var support: Integer;
support := chantAudioOutDevice.Support;

int support = chantAudioOutDevice.getSupport();

Dim support As Integer
support = chantAudioOutDevice.Support

Collapse/Expand Remarks section Remarks

The property is read only and may be a combination of the following:

Constant | Value | Description
WAVECAPS_PITCH | 1 | Supports pitch control.
WAVECAPS_PLAYBACKRATE | 2 | Supports playback rate control.
WAVECAPS_VOLUME | 4 | Supports volume control.
WAVECAPS_LRVOLUME | 8 | Supports separate left and right volume control.
WAVECAPS_SYNC | 16 | The driver is synchronous and will block while playing a buffer.
WAVECAPS_SAMPLEACCURATE | 32 | Returns sample-accurate position information.

Source: Windows MultiMedia

Collapse/Expand See Also section See Also

ChantAudioOutDevice


ChantAudioOutDeviceCollection Class

Represents a collection of ChantAudioOutDevice objects.

Collapse/Expand Remarks section Remarks

A ChantAudioOutDeviceCollection is used to enumerate the available outbound audio devices.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantAudioOutDevice | The ChantAudioOutDevice object collection.
Public property | Count | The number of ChantAudioOutDevices.

Collapse/Expand Example section Example

The following example illustrates enumerating outbound audio devices and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantAudioOutDevice chantAudioOutDevice in NChantAudio1.ChantAudioOutDevices)
{
    // Access outbound audio device properties
    string productName = chantAudioOutDevice.ProductName;
}

int numberOfAudioOutDevices = pChantAudio->GetAudioOutDevices()->GetCount();
for (i = 0; i < numberOfAudioOutDevices; i++)
{
    CChantAudioOutDevice* pChantAudioOutDevice = pChantAudio->GetAudioOutDevices()->GetChantAudioOutDevice(i);
    // Access outbound audio device properties
    wchar_t* productName = pChantAudioOutDevice->GetProductName();
}

int numberOfAudioOutDevices = pChantAudio->GetAudioOutDevices()->GetCount();
for (i = 0; i < numberOfAudioOutDevices; i++)
{
    CChantAudioOutDevice* pChantAudioOutDevice = pChantAudio->GetAudioOutDevices()->GetChantAudioOutDevice(i);
    // Access outbound audio device properties
    String productName = pChantAudioOutDevice->GetProductName();
}

var
chantAudioOutDevice: TChantAudioOutDevice;
productName: string;
begin
for chantAudioOutDevice in ChantAudio1.ChantAudioOutDevices do
    begin
        // Access outbound audio device properties
        productName := chantAudioOutDevice.ProductName;
    end;
end;

for (JChantAudioOutDevice chantAudioOutDevice : JChantAudio1.getChantAudioOutDevices())
{
    // Access outbound audio device properties
    String productName = chantAudioOutDevice.getProductName();
}

Dim chantAudioOutDevice As NChantAudioOutDevice
Dim productName As String
For Each chantAudioOutDevice In NChantAudio1.ChantAudioOutDevices
    ' Access outbound audio device properties
    productName = chantAudioOutDevice.ProductName
Next

Collapse/Expand See Also section See Also

ChantAudioOutDevice


ChantAudioOutDeviceCollection ChantAudioOutDevice Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAudioOutDevice Property

A collection of ChantAudioOutDevice objects representing an outbound audio device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAudioOutDevice chantAudioOutDevice = chantAudioOutDeviceCollection.ChantAudioOutDevice[index];

CChantAudioOutDevice* chantAudioOutDevice = chantAudioOutDeviceCollection->GetChantAudioOutDevice(index);

CChantAudioOutDevice* chantAudioOutDevice = chantAudioOutDeviceCollection->GetChantAudioOutDevice(index);

var chantAudioOutDevice: TChantAudioOutDevice;
chantAudioOutDevice := chantAudioOutDeviceCollection.ChantAudioOutDevice(index);

JChantAudioOutDevice chantAudioOutDevice = chantAudioOutDeviceCollection.getAt(index);

Dim chantAudioOutDevice As NChantAudioOutDevice
chantAudioOutDevice = chantAudioOutDeviceCollection.ChantAudioOutDevice(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioOutDevice


ChantAudioOutDeviceCollection Count Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Count Property

The number of ChantAudioOutDevice objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantAudioOutDeviceCollection.Count;

long count = chantAudioOutDeviceCollection->GetCount();

long count = chantAudioOutDeviceCollection->GetCount();

var count: Integer;
count := chantAudioOutDeviceCollection.Count;

int count = chantAudioOutDeviceCollection.getCount();

Dim count As Integer
count = chantAudioOutDeviceCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioOutDeviceCollection


ChantAudioRenderDevice Class

Represents an audio endpoint render device.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ID | A string that identifies the device.
Public property | Name | The friendly name of the device.
Public property | State | The current state of the device.
Public property | Volume | The current volume of the device.

Collapse/Expand See Also section See Also

ChantAudioRenderDeviceCollection


ChantAudioRenderDevice ID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ID Property

A string that identifies the device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String id = chantAudioRenderDevice.ID;

wchar_t* id = chantAudioRenderDevice->GetID();

String id = chantAudioRenderDevice->GetID();

var id: string;
id := chantAudioRenderDevice.ID;

String id = chantAudioRenderDevice.getID();

Dim id As String
id = chantAudioRenderDevice.ID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioRenderDevice


ChantAudioRenderDevice Name Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Name Property

The friendly name of the device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantAudioRenderDevice.Name;

wchar_t* name = chantAudioRenderDevice->GetName();

String name = chantAudioRenderDevice->GetName();

var name: string;
name := chantAudioRenderDevice.Name;

String name = chantAudioRenderDevice.getName();

Dim name As String
name = chantAudioRenderDevice.Name

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioRenderDevice


ChantAudioRenderDevice State Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

State Property

The current state of the device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

AudioDeviceState state = chantAudioRenderDevice.State;

AudioDeviceState state = chantAudioRenderDevice->GetState();

AudioDeviceState state = chantAudioRenderDevice->GetState();

var state: AudioDeviceState;
state := chantAudioRenderDevice.State;

int state = chantAudioRenderDevice.getState();

Dim state As AudioDeviceState
state = chantAudioRenderDevice.State

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioRenderDevice


ChantAudioRenderDevice Volume Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Volume Property

The current volume of the device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int volume = chantAudioRenderDevice.Volume;
chantAudioRenderDevice.Volume = volume;

long volume = chantAudioRenderDevice->GetVolume();
chantAudioRenderDevice->SetVolume(volume);

long volume = chantAudioRenderDevice->GetVolume();
chantAudioRenderDevice->SetVolume(volume);

var volume: Integer;
volume := chantAudioRenderDevice.Volume;
chantAudioRenderDevice.Volume := volume;

int volume = chantAudioRenderDevice.getVolume();
chantAudioRenderDevice.setVolume(volume);

Dim volume As Integer
volume = chantAudioRenderDevice.Volume
chantAudioRenderDevice.Volume = volume

Collapse/Expand See Also section See Also

ChantAudioRenderDevice


ChantAudioRenderDeviceCollection Class

Represents a collection of ChantAudioRenderDevice objects.

Collapse/Expand Remarks section Remarks

A ChantAudioRenderDeviceCollection is used to enumerate the available outbound audio devices.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantAudioRenderDevice | The ChantAudioRenderDevice object collection.
Public property | Count | The number of ChantAudioRenderDevices.

Collapse/Expand Example section Example

The following example illustrates enumerating inbound audio devices and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantAudioRenderDevice chantAudioRenderDevice in NChantAudio1.ChantAudioRenderDevices)
{
    // Access inbound audio device properties
    string name = chantAudioRenderDevice.Name;
}

int numberOfAudioRenderDevices = pChantAudio->GetChantAudioRenderDevices()->GetCount();
for (i = 0; i < numberOfAudioRenderDevices; i++)
{
    CChantAudioRenderDevice* pChantAudioRenderDevice = pChantAudio->GetChantAudioRenderDevices()->GetChantAudioRenderDevice(i);
    // Access inbound audio device properties
    wchar_t* name = pChantAudioRenderDevice->GetName();
}

int numberOfAudioRenderDevices = pChantAudio->GetChantAudioRenderDevices()->GetCount();
for (i = 0; i < numberOfAudioRenderDevices; i++)
{
    CChantAudioRenderDevice* pChantAudioRenderDevice = pChantAudio->GetChantAudioRenderDevices()->GetChantAudioRenderDevice(i);
    // Access inbound audio device properties
    String name = pChantAudioRenderDevice->GetName();
}

var
chantAudioRenderDevice: TChantAudioRenderDevice;
name: string;
begin
for chantAudioRenderDevice in ChantAudio1.ChantAudioRenderDevices do
    begin
        // Access inbound audio device properties
        name := chantAudioRenderDevice.Name;
    end;
end;

for (JChantAudioRenderDevice chantAudioRenderDevice : JChantAudio1.getChantAudioRenderDevices())
{
    // Access inbound audio device properties
    String name = chantAudioRenderDevice.getName();
}

Dim chantAudioRenderDevice As NChantAudioRenderDevice
Dim name As String
For Each chantAudioRenderDevice In NChantAudio1.NChantAudioRenderDevices
    ' Access inbound audio device properties
    name = chantAudioRenderDevice.Name
Next

Collapse/Expand See Also section See Also

ChantAudioRenderDevice


ChantAudioRenderDeviceCollection ChantAudioRenderDevice Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAudioRenderDevice Property

A collection of ChantAudioRenderDevice objects representing an outbound audio device.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAudioRenderDevice chantAudioRenderDevice = chantAudioRenderDeviceCollection.ChantAudioRenderDevice[index];

CChantAudioRenderDevice* chantAudioRenderDevice = chantAudioRenderDeviceCollection->GetChantAudioRenderDevice(index);

CChantAudioRenderDevice* chantAudioRenderDevice = chantAudioRenderDeviceCollection->GetChantAudioRenderDevice(index);

var chantAudioRenderDevice: TChantAudioRenderDevice;
chantAudioRenderDevice := chantAudioRenderDeviceCollection.ChantAudioRenderDevice(index);

JChantAudioRenderDevice chantAudioRenderDevice = chantAudioRenderDeviceCollection.getAt(index);

Dim chantAudioRenderDevice As NChantAudioRenderDevice
chantAudioRenderDevice = chantAudioRenderDeviceCollection.ChantAudioRenderDevice(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioRenderDevice


ChantAudioRenderDeviceCollection Count Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Count Property

The number of ChantAudioRenderDevice objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantAudioRenderDeviceCollection.Count;

long count = chantAudioRenderDeviceCollection->GetCount();

long count = chantAudioRenderDeviceCollection->GetCount();

var count: Integer;
count := chantAudioRenderDeviceCollection.Count;

int count = chantAudioRenderDeviceCollection.getCount();

Dim count As Integer
count = chantAudioRenderDeviceCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantAudioRenderDeviceCollection


ChantCommandVocab Class

Represents a command vocabulary.

Collapse/Expand Remarks section Remarks

A command vocabulary consists of words and phrases that are spoken as commands. It is a simple list of the possible spoken words and phrases. The speech recognition engine matches recognized speech against the list and returns the best match. Command vocabularies are typically very small. For example, a command vocabulary may contain a 100 or fewer entries.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | AddChoiceToList | Adds a choice to a list.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | AddCommand | Adds a command to the vocabulary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | AddCommands | Adds commands to the vocabulary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Disable | Disables the vocabulary to make it inactive. Inherits from ChantSRResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Enable | Enables the vocabulary to make it active. Inherits from ChantVocabulary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | EnableExclusive | Enables the vocabulary and disables all other enabled vocbaularies. Inherits from ChantVocabulary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | IsEnabled | Returns whether the vocabulary is active. Inherits from ChantSRResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | RemoveChoiceFromList | Removes a choice from a list.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | RemoveCommand | Removes a command from the vocabulary.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand Example section Example

The following example illustrates using a command vocabulary.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define the vocabulary
NChantCommandVocab nChantCommandVocab = nChantSR.CreateChantCommandVocab("commands");

// Add commands to the vocabulary
nChantCommandVocab.AddCommand("Open File");
nChantCommandVocab.AddCommand("Print File");
nChantCommandVocab.AddCommand("Close File");

// Enable the vocabulary
nChantCommandVocab.Enable();

// Disable the vocabulary
nChantCommandVocab.Disable();

// Define the vocabulary
CChantCommandVocab* pChantCommandVocab = pChantSR->CreateChantCommandVocab(L"commands");

// Add commands to the vocabulary
pChantCommandVocab->AddCommand(L"Open File");
pChantCommandVocab->AddCommand(L"Print File");
pChantCommandVocab->AddCommand(L"Close File");

// Enable the vocabulary
pChantCommandVocab->Enable();

// Disable the vocabulary
pChantCommandVocab->Disable();

// Define the vocabulary
CChantCommandVocab* pChantCommandVocab = pChantSR->CreateChantCommandVocab("commands");

// Add commands to the vocabulary
pChantCommandVocab->AddCommand("Open File");
pChantCommandVocab->AddCommand("Print File");
pChantCommandVocab->AddCommand("Close File");

// Enable the vocabulary
pChantCommandVocab->Enable();

// Disable the vocabulary
pChantCommandVocab->Disable();

var aTChantCommandVocab: TChantCommandVocab;
// Define the vocabulary
aTChantCommandVocab := aTChantSR.CreateChantCommandVocab('commands');

// Add commands to the vocabulary
aTChantCommandVocab.AddCommand('Open File');
aTChantCommandVocab.AddCommand('Print File');
aTChantCommandVocab.AddCommand('Close File');

// Enable the vocabulary
aTChantCommandVocab.Enable();

// Disable the vocabulary
aTChantCommandVocab.Disable();

// Define the vocabulary
JChantCommandVocab jChantCommandVocab = jChantSR.createChantCommandVocab("commands");

// Add commands to the vocabulary
jChantCommandVocab.addCommand("Open File");
jChantCommandVocab.addCommand("Print File");
jChantCommandVocab.addCommand("Close File");

// Enable the vocabulary
jChantCommandVocab.enable();

// Disable the vocabulary
jChantCommandVocab.disable();

' Define the vocabulary
Dim nChantCommandVocab As NChantCommandVocab
nChantCommandVocab = nChantSR.CreateChantCommandVocab("commands")

' Add commands to the vocabulary
nChantCommandVocab.AddCommand("Open File");
nChantCommandVocab.AddCommand("Print File");
nChantCommandVocab.AddCommand("Close File");

' Enable the vocabulary
nChantCommandVocab.Enable()

' Disable the vocabulary
nChantCommandVocab.Disable()

Collapse/Expand See Also section See Also

ChantSRResource
ChantVocabulary
CreateChantCommandVocab


ChantCommandVocab AddChoiceToList Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

AddChoiceToList Method

Adds a choice to the vocabulary list.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantCommandVocab.AddChoiceToList(choice, listName, id);

chantCommandVocab->AddChoiceToList(choice, listName, id);

chantCommandVocab->AddChoiceToList(choice, listName, id);

chantCommandVocab.AddChoiceToList(choice, listName, id);

chantCommandVocab.addchoiceToList(choice, listName, id);

chantCommandVocab.AddChoiceToList(choice, listName, id)

Parameters

choice

String. List choice.

listName

String. Vocabulary list name.

id

Long integer. Optional list choice identifer.

Collapse/Expand Example section Example

See ChantCommandVocab example.

Collapse/Expand See Also section See Also

ChantCommandVocab
RemoveChoiceFromList


ChantCommandVocab AddCommand Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

AddCommand Method

Adds a command to the vocabulary.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantCommandVocab.AddCommand(command, id);

chantCommandVocab->AddCommand(command, id);

chantCommandVocab->AddCommand(command, id);

chantCommandVocab.AddCommand(command, id);

chantCommandVocab.addCommand(command, id);

chantCommandVocab.AddCommand(command, id)

Parameters

command

String. Voice command.

id

Long integer. Optional voice command identifer.

Collapse/Expand Example section Example

See ChantCommandVocab example.

Collapse/Expand See Also section See Also

ChantCommandVocab
RemoveCommand


ChantCommandVocab AddCommands Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

AddCommands Method

Adds commands to the vocabulary.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantCommandVocab.AddCommands(commands, ids);

Not supported.

Not Supported.

Not Supported.

chantCommandVocab.addCommands(commands, ids);

chantCommandVocab.AddCommands(commands, ids)

Parameters

commands

String array. Voice commands.

ids

Integer array. Optional voice command identifers.

Collapse/Expand Example section Example

See ChantCommandVocab example.

Collapse/Expand See Also section See Also

ChantCommandVocab
RemoveCommand


ChantCommandVocab RemoveChoiceFromList Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RemoveChoiceFromList Method

Removes a choice from the vocabulary list.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantCommandVocab.RemoveChoiceFromList(choice, listName);

chantCommandVocab->RemoveChoiceFromList(choice, listName);

chantCommandVocab->RemoveChoiceFromList(choice, listName);

chantCommandVocab.RemoveChoiceFromList(choice, listName);

chantCommandVocab.removeChoiceFromList(choice, listName);

chantCommandVocab.RemoveChoiceFromList(choice, listName)

Parameters

choice

String. List choice.

listName

String. Vocabulary list name.

Collapse/Expand Example section Example

See ChantCommandVocab example.

Collapse/Expand See Also section See Also

ChantCommandVocab
AddChoiceToList


ChantCommandVocab RemoveCommand Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RemoveCommand Method

Removes a command from the vocabulary.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantCommandVocab.RemoveCommand(command);

chantCommandVocab->RemoveCommand(command);

chantCommandVocab->RemoveCommand(command);

chantCommandVocab.RemoveCommand(command);

chantCommandVocab.removeCommand(command);

chantCommandVocab.RemoveCommand(command)

Parameters

command

String. Voice command.

Collapse/Expand Example section Example

See ChantCommandVocab example.

Collapse/Expand See Also section See Also

ChantCommandVocab
AddCommand
AddCommands


ChantDictationVocab Class

Represents a dictation vocabulary.

Collapse/Expand Remarks section Remarks

A dictation vocabulary represents a dictionary of all possible words from which speech is recognized. These vocabularies are integrated with the speech recognition engine. They are typically very large. For example, a dictionary may contain 30,000 and significantly more words.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | AddCommand | Adds a command to the vocabulary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | AddCommands | Adds commands to the vocabulary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | Disable | Disables the vocabulary to make it inactive. Inherits from ChantSRResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | Enable | Enables the vocabulary to make it active. Inherits from ChantVocabulary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | EnableExclusive | Enables the vocabulary and disables all other enabled vocbaularies. Inherits from ChantVocabulary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | IsEnabled | Returns whether the vocabulary is active. Inherits from ChantSRResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | RemoveCommand | Removes a command from the vocabulary.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand Example section Example

The following example illustrates using a dictation vocabulary.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define the vocabulary
NChantDictationVocab nChantDictationVocab = nChantSR.CreateChantDictationVocab("text");

// Enable the vocabulary
nChantDictationVocab.Enable();

// Disable the vocabulary
nChantDictationVocab.Disable();

// Define the vocabulary
CChantDictationVocab* pChantDictationVocab = pChantSR->CreateChantDictationVocab(L"text");

// Enable the vocabulary
pChantDictationVocab->Enable();

// Disable the vocabulary
pChantDictationVocab->Disable();

// Define the vocabulary
CChantDictationVocab* pChantDictationVocab = pChantSR->CreateChantDictationVocab("text");

// Enable the vocabulary
pChantDictationVocab->Enable();

// Disable the vocabulary
pChantDictationVocab->Disable();

var aTChantDictationVocab: TChantDictationVocab;
// Define the vocabulary
aTChantDictationVocab := aTChantSR.CreateChantDictationVocab('text');

// Enable the vocabulary
aTChantDictationVocab.Enable();

// Disable the vocabulary
aTChantDictationVocab.Disable();

// Define the vocabulary
JChantDictationVocab jChantDictationVocab = jChantSR.createChantDictationVocab("text");

// Enable the vocabulary
jChantDictationVocab.enable();

// Disable the vocabulary
jChantDictationVocab.disable();

' Define the vocabulary
Dim nChantDictationVocab As NChantDictationVocab
nChantDictationVocab = nChantSR.CreateChantDictationVocab("text")

' Enable the vocabulary
nChantDictationVocab.Enable()

' Disable the vocabulary
nChantDictationVocab.Disable()

Collapse/Expand See Also section See Also

ChantSRResource
ChantVocabulary
CreateChantDictationVocab


ChantDictationVocab AddCommand Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

AddCommand Method

Adds a command to the vocabulary.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantDictationVocab.AddCommand(command);

chantDictationVocab->AddCommand(command);

pChantDictationVocab->AddCommand(command);

chantDictationVocab.AddCommand(command);

chantDictationVocab.addCommand(command);

chantDictationVocab.AddCommand(command)

Parameters

command

String. Voice command.

Collapse/Expand Example section Example

See ChantDictationVocab example.

Collapse/Expand See Also section See Also

ChantDictationVocab
RemoveCommand


ChantDictationVocab AddCommands Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

AddCommands Method

Adds commands to the vocabulary.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantDictationVocab.AddCommands(commands);

Not supported.

Not supported.

Not supported.

chantDictationVocab.addCommands(commands);

chantDictationVocab.AddCommands(commands)

Parameters

commands

String array. Voice commands.

Collapse/Expand Example section Example

See ChantDictationVocab example.

Collapse/Expand See Also section See Also

ChantDictationVocab
RemoveCommand


ChantDictationVocab RemoveCommand Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RemoveCommand Method

Removes a command from the vocabulary.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantDictationVocab.RemoveCommand(command);

chantDictationVocab->RemoveCommand(command);

chantDictationVocab->RemoveCommand(command);

chantDictationVocab.RemoveCommand(command);

chantDictationVocab.removeCommand(command);

chantDictationVocab.RemoveCommand(command)

Parameters

command

String. Voice command.

Collapse/Expand Example section Example

See ChantDictationVocab example.

Collapse/Expand See Also section See Also

ChantDictationVocab
AddCommand


ChantDragonCustom Class

Represents a Dragon NaturallySpeaking dictation custom edit control.

Collapse/Expand Remarks section Remarks

Dictate directly into an application edit control.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Nuance Dragon NaturallySpeaking | Disable | Disables the vocabulary to make it inactive. Inherits from ChantSRResource.
Public method | Nuance Dragon NaturallySpeaking | Enable | Enables the vocabulary to make it active. Inherits from ChantSRResource.
Public method | Nuance Dragon NaturallySpeaking | IsEnabled | Returns whether the vocabulary is active. Inherits from ChantSRResource.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand Example section Example

The following example illustrates voice enabling a Dragon NaturallySpeaking custom edit control.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Voice enable the textbox with Dragon dictation session
NChantDragonCustom nDragonBoxResource = nChantSR.CreateChantDragonCustom(textBox1, this, 0);

// Enable dictation
nDragonBoxResource.Enable();

// Disable dictation
nDragonBoxResource.Disable();

// Voice enable the textbox with Dragon dictation session
CChantDragonCustom* pDragonBoxResource = pChantSR->CreateChantDragonCustom(pEdit->GetSafeHwnd(), GetSafeHwnd(), 0);

// Enable dictation
pDragonBoxResource->Enable();

// Disable dictation
pDragonBoxResource->Disable();

// Voice enable the textbox with Dragon dictation session
CChantDragonCustom* pDragonBoxResource = pChantSR->CreateChantDragonCustom(Memo1->Handle, Form1->Handle, 0);

// Enable dictation
pDragonBoxResource->Enable();

// Disable dictation
pDragonBoxResource->Disable();

var aTChantDragonCustom: TChantDragonCustom;
// Voice enable the textbox with Dragon dictation session
aTChantDragonCustom := aTChantSR.CreateChantDragonCustom(Memo1.Handle, Handle, 0);

// Enable dictation
aTChantDragonCustom.Enable();

// Disable dictation
aTChantDragonCustom.Disable();

Not supported.

' Voice enable the textbox with Dragon dictation session
Dim nDragonBoxResource As NChantDragonCustom
nDragonBoxResource = nChantSR.CreateChantDragonCustom(TextBox1, Me, 0)

' Enable dictation
nDragonBoxResource.Enable()

' Disable dictation
nDragonBoxResource.Disable()

Collapse/Expand See Also section See Also

ChantSRResource


ChantDragonEdit Class

Represents a Dragon NaturallySpeaking dictation edit control.

Collapse/Expand Remarks section Remarks

Dictate directly into an application edit control.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Nuance Dragon NaturallySpeaking | Disable | Disables the vocabulary to make it inactive. Inherits from ChantSRResource.
Public method | Nuance Dragon NaturallySpeaking | Enable | Enables the vocabulary to make it active. Inherits from ChantSRResource.
Public method | Nuance Dragon NaturallySpeaking | IsEnabled | Returns whether the vocabulary is active. Inherits from ChantSRResource.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand Example section Example

The following example illustrates voice enabling a Dragon NaturallySpeaking custom edit control.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Voice enable the textbox with Dragon dictation session
NChantDragonEdit nDragonBoxResource = nChantSR.CreateChantDragonEdit(textBox1, this, 0);

// Enable dictation
nDragonBoxResource.Enable();

// Disable dictation
nDragonBoxResource.Disable();

// Voice enable the textbox with Dragon dictation session
CChantDragonEdit* pDragonBoxResource = pChantSR->CreateChantDragonEdit(pEdit->GetSafeHwnd(), GetSafeHwnd(), 0);

// Enable dictation
pDragonBoxResource->Enable();

// Disable dictation
pDragonBoxResource->Disable();

// Voice enable the textbox with Dragon dictation session
CChantDragonEdit* pDragonBoxResource = pChantSR->CreateChantDragonEdit(Memo1->Handle, Form1->Handle, 0);

// Enable dictation
pDragonBoxResource->Enable();

// Disable dictation
pDragonBoxResource->Disable();

var aTChantDragonEdit: TChantDragonEdit;
// Voice enable the textbox with Dragon dictation session
aTChantDragonEdit := aTChantSR.CreateChantDragonEdit(Memo1.Handle, Handle, 0);

// Enable dictation
aTChantDragonEdit.Enable();

// Disable dictation
aTChantDragonEdit.Disable();

Not supported.

' Voice enable the textbox with Dragon dictation session
Dim nDragonBoxResource As NChantDragonEdit
nDragonBoxResource = nChantSR.CreateChantDragonEdit(TextBox1, Me, 0)

' Enable dictation
nDragonBoxResource.Enable()

' Disable dictation
nDragonBoxResource.Disable()

Collapse/Expand See Also section See Also

ChantSRResource


ChantGrammarVocab Class

Represents a grammar vocabulary.

Collapse/Expand Remarks section Remarks

A grammar vocabulary consists of words and phrases and combinations of words and phrases. Grammars support substitution of words within phrases for words defined in the grammars or set at run-time. They are typically small. For example, a grammar vocabulary may contain 500 or fewer word and phrase combinations. You define a text file to contain the words and phrases.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | AddChoiceToList | Adds a choice to a list.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | Disable | Disables the vocabulary to make it inactive. Inherits from ChantSRResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | DisableRule | Disables the vocabulary rule to make it inactive.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | Enable | Enables the vocabulary to make it active. Inherits from ChantVocabulary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | EnableRule | Enables the vocabulary rule to make it active.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | EnableExclusive | Enables the vocabulary and disables all other enabled vocbaularies. Inherits from ChantVocabulary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | IsEnabled | Returns whether the vocabulary is active. Inherits from ChantSRResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | RemoveChoiceFromList | Removes a choice from a list.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand Example section Example

The following example illustrates using a grammar vocabulary.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define the vocabulary
NChantGrammarVocab nChantGrammarVocab = nChantSR.CreateChantGrammarVocab("mygrammar.xml");

// Enable the vocabulary
nChantGrammarVocab.Enable();

// Disable the vocabulary
nChantGrammarVocab.Disable();

// Define the vocabulary
CChantGrammarVocab* pChantGrammarVocab = pChantSR->CreateChantGrammarVocab(L"mygrammar.xml");

// Enable the vocabulary
pChantGrammarVocab->Enable();

// Disable the vocabulary
pChantGrammarVocab->Disable();

// Define the vocabulary
CChantGrammarVocab* pChantGrammarVocab = pChantSR->CreateChantGrammarVocab("mygrammar.xml");

// Enable the vocabulary
pChantGrammarVocab->Enable();

// Disable the vocabulary
pChantGrammarVocab->Disable();

var aTChantGrammarVocab: TChantGrammarVocab;
// Define the vocabulary
aTChantGrammarVocab := aTChantSR.CreateChantGrammarVocab('mygrammar.xml');

// Enable the vocabulary
aTChantGrammarVocab.Enable();

// Disable the vocabulary
aTChantGrammarVocab.Disable();

// Define the vocabulary
JChantGrammarVocab jChantGrammarVocab = jChantSR.createChantGrammarVocab(JChantSR1, "mygrammar.xml");

// Enable the vocabulary
jChantGrammarVocab.enable();

// Disable the vocabulary
jChantGrammarVocab.disable();

' Define the vocabulary
Dim nChantGrammarVocab As NChantGrammarVocab
nChantGrammarVocab = nChantSR.CreateChantGrammarVocab("mygrammar.xml")

' Enable the vocabulary
nChantGrammarVocab.Enable()

' Disable the vocabulary
nChantGrammarVocab.Disable()

Collapse/Expand See Also section See Also

ChantSRResource
ChantVocabulary
CreateChantDictationVocab


ChantGrammarVocab AddChoiceToList Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

AddChoiceToList Method

Adds a choice to the vocabulary list.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarVocab.AddChoiceToList(choice, listName, id);

chantGrammarVocab->AddChoiceToList(choice, listName, id);

chantGrammarVocab->AddChoiceToList(choice, listName, id);

chantGrammarVocab.AddChoiceToList(choice, listName, id);

chantGrammarVocab.addChoiceToList(choice, listName, id);

chantGrammarVocab.AddChoiceToList(choice, listName, id)

Parameters

choice

String. List choice.

listName

String. Vocabulary list name.

id

Long integer. Optional list choice identifier.

Collapse/Expand Example section Example

See ChantGrammarVocab example.

Collapse/Expand See Also section See Also

ChantGrammarVocab
RemoveChoiceFromList


ChantGrammarVocab DisableRule Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

DisableRule Method

Disables the vocabulary rule to make it inactive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarVocab.DisableRule(rule);

chantGrammarVocab->DisableRule(rule);

chantGrammarVocab->DisableRule(rule);

chantGrammarVocab.DisableRule(rule);

chantGrammarVocab.disableRule(rule);

chantGrammarVocab.DisableRule(rule)

Parameters

rule

String. Rule name.

Collapse/Expand See Also section See Also

ChantGrammarVocab
EnableRule


ChantGrammarVocab EnableRule Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

EnableRule Method

Enables the vocabulary rule to make it active.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarVocab.EnableRule(rule);

chantGrammarVocab->EnableRule(rule);

chantGrammarVocab->EnableRule(rule);

chantGrammarVocab.EnableRule(rule);

chantGrammarVocab.enableRule(rule);

chantGrammarVocab.EnableRule(rule)

Parameters

rule

String. Rule name.

Collapse/Expand See Also section See Also

ChantGrammarVocab
DisableRule


ChantGrammarVocab RemoveChoiceFromList Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RemoveChoiceFromList Method

Removes a choice from the vocabulary list.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantGrammarVocab.RemoveChoiceFromList(choice, listName);

chantGrammarVocab->RemoveChoiceFromList(choice, listName);

chantGrammarVocab->RemoveChoiceFromList(choice, listName);

chantGrammarVocab.RemoveChoiceFromList(choice, listName);

chantGrammarVocab.removeChoiceFromList(choice, listName);

chantGrammarVocab.RemoveChoiceFromList(choice, listName)

Parameters

choice

String. List choice.

listName

String. Vocabulary list name.

Collapse/Expand Example section Example

See ChantGrammarVocab example.

Collapse/Expand See Also section See Also

ChantGrammarVocab
AddChoiceToList


ChantNativeGrammarVocab Class

Represents a compiled grammar vocabulary.

Collapse/Expand Remarks section Remarks

A grammar vocabulary consists of words and phrases and combinations of words and phrases. Grammars support substitution of words within phrases for words defined in the grammars or set at run-time. They are typically small. For example, a grammar vocabulary may contain 500 or fewer word and phrase combinations.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | AddChoiceToList | Adds a choice to a list.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | Disable | Disables the vocabulary to make it inactive. Inherits from ChantSRResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | DisableRule | Disables the vocabulary rule to make it inactive.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | Enable | Enables the vocabulary to make it active. Inherits from ChantVocabulary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | EnableRule | Enables the vocabulary rule to make it active.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | EnableExclusive | Enables the vocabulary and disables all other enabled vocbaularies. Inherits from ChantVocabulary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | IsEnabled | Returns whether the vocabulary is active. Inherits from ChantSRResource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | RemoveChoiceFromList | Removes a choice from a list.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand Example section Example

The following example illustrates using a native grammar vocabulary.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define the vocabulary
NChantNativeGrammarVocab nChantNativeGrammarVocab = nChantSR.CreateChantNativeGrammarVocab("mygrammar.dat");

// Enable the vocabulary
nChantNativeGrammarVocab.Enable();

// Disable the vocabulary
nChantNativeGrammarVocab.Disable();

// Define the vocabulary
CChantNativeGrammarVocab* pChantNativeGrammarVocab = pChantSR->CreateChantNativeGrammarVocab(L"mygrammar.dat");

// Enable the vocabulary
pChantNativeGrammarVocab->Enable();

// Disable the vocabulary
pChantNativeGrammarVocab->Disable();

// Define the vocabulary
CChantNativeGrammarVocab* pChantNativeGrammarVocab = pChantSR->CreateChantNativeGrammarVocab("mygrammar.dat");

// Enable the vocabulary
pChantNativeGrammarVocab->Enable();

// Disable the vocabulary
pChantNativeGrammarVocab->Disable();

var aTChantNativeGrammarVocab: TChantNativeGrammarVocab;
// Define the vocabulary
aTChantNativeGrammarVocab := aTChantSR.CreateChantNativeGrammarVocab('mygrammar.dat');

// Enable the vocabulary
aTChantNativeGrammarVocab.Enable();

// Disable the vocabulary
aTChantNativeGrammarVocab.Disable();

// Define the vocabulary
JChantNativeGrammarVocab jChantNativeGrammarVocab = jChantSR.CreateChantNativeGrammarVocab("mygrammar.dat");

// Enable the vocabulary
jChantNativeGrammarVocab.enable();

// Disable the vocabulary
jChantNativeGrammarVocab.disable();

' Define the vocabulary
Dim nChantNativeGrammarVocab As NChantNativeGrammarVocab
nChantNativeGrammarVocab = nChantSR.CreateChantNativeGrammarVocab("mygrammar.dat")

' Enable the vocabulary
nChantNativeGrammarVocab.Enable()

' Disable the vocabulary
nChantNativeGrammarVocab.Disable()

Collapse/Expand See Also section See Also

ChantSRResource
ChantVocabulary
CreateChantDictationVocab


ChantNativeGrammarVocab AddChoiceToList Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

AddChoiceToList Method

Adds a choice to the vocabulary list.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantNativeGrammarVocab.AddChoiceToList(choice, listName, id);

chantNativeGrammarVocab->AddChoiceToList(choice, listName, id);

chantNativeGrammarVocab->AddChoiceToList(choice, listName, id);

chantNativeGrammarVocab.AddChoiceToList(choice, listName, id);

chantNativeGrammarVocab.addChoiceToList(choice, listName, id);

chantNativeGrammarVocab.AddChoiceToList(choice, listName, id)

Parameters

choice

String. List choice.

listName

String. Vocabulary list name.

id

Long integer. Optional list choice identifer.

Collapse/Expand Example section Example

See ChantNativeGrammarVocab example.

Collapse/Expand See Also section See Also

ChantNativeGrammarVocab
RemoveChoiceFromList


ChantNativeGrammarVocab DisableRule Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

DisableRule Method

Disables the vocabulary rule to make it inactive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantNativeGrammarVocab.DisableRule(rule);

chantNativeGrammarVocab->DisableRule(rule);

chantNativeGrammarVocab->DisableRule(rule);

chantNativeGrammarVocab.DisableRule(rule);

chantNativeGrammarVocab.disableRule(rule);

chantNativeGrammarVocab.DisableRule(rule)

Parameters

rule

String. Rule name.

Collapse/Expand See Also section See Also

ChantNativeGrammarVocab
EnableRule


ChantNativeGrammarVocab EnableRule Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

EnableRule Method

Enables the vocabulary rule to make it active.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantNativeGrammarVocab.EnableRule(rule);

chantNativeGrammarVocab->EnableRule(rule);

chantNativeGrammarVocab->EnableRule(rule);

chantNativeGrammarVocab.EnableRule(rule);

chantNativeGrammarVocab.enableRule(rule);

chantNativeGrammarVocab.EnableRule(rule)

Parameters

rule

String. Rule name.

Collapse/Expand See Also section See Also

ChantNativeGrammarVocab
DisableRule


ChantNativeGrammarVocab RemoveChoiceFromList Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RemoveChoiceFromList Method

Removes a choice from the vocabulary list.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantNativeGrammarVocab.RemoveChoiceFromList(choice, listName);

chantNativeGrammarVocab->RemoveChoiceFromList(choice, listName);

chantNativeGrammarVocab->RemoveChoiceFromList(choice, listName);

chantNativeGrammarVocab.RemoveChoiceFromList(choice, listName);

chantNativeGrammarVocab.removeChoiceFromList(choice, listName);

chantNativeGrammarVocab.RemoveChoiceFromList(choice, listName)

Parameters

choice

String. List choice.

listName

String. Vocabulary list name.

Collapse/Expand Example section Example

See ChantNativeGrammarVocab example.

Collapse/Expand See Also section See Also

ChantNativeGrammarVocab
AddChoiceToList


ChantPhraseProperty Class

Represents a grammar phrase semantic property.

Collapse/Expand Remarks section Remarks

A SAPI5 speech recognition result may have a semantic-tag property tree for the grammar phrases that comprise the recognition result. The ChantPhraseProperty object contains the information for one semantic property.

ChantPhraseProperty objects are obtained via the ChantSREvent ChantPhraseProperties property.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ChantPhraseProperties | A collection of ChantPhraseProperty objects.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | Value | Phrase val attribute value as a bool.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ConfidenceActual | Actual confidence for this phrase.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ConfidenceEngine | Confidence value computed by the recognizer.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | DoubleVal | Phrase val attribute value as a double.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | FloatVal | Phrase val attribute value as a float.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ID | Phrase property ID.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | LongVal | Phrase val attribute value as a long.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | Name | Phrase property name.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | Value | Phrase property value.

Collapse/Expand See Also section See Also

ChantPhrasePropertyCollection
ChantSREvent


ChantPhraseProperty BoolVal Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

BoolVal Property

Phrase val attribute value as a bool.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool value = chantPhraseProperty.BoolVal;

bool value = chantPhraseProperty->GetBoolVal();

bool value = chantPhraseProperty->GetBoolVal();

var value: Boolean;
value := chantPhraseProperty.BoolVal;

boolean value = chantPhraseProperty.getBoolVal();

Dim value As Boolean
value = chantPhraseProperty.BoolVal

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantPhraseProperty


ChantPhraseProperty ChantPhraseProperties Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantPhraseProperties Property

A collection of ChantPhraseProperty objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantPhrasePropertyCollection chantPhrasePropertyCollection = chantPhraseProperty.ChantPhraseProperties;

CChantPhrasePropertyCollection* chantPhrasePropertyCollection = chantPhraseProperty->GetChantPhraseProperties();

CChantPhrasePropertyCollection* chantPhrasePropertyCollection = chantPhraseProperty->GetChantPhraseProperties();

var chantPhrasePropertyCollection: TChantPhrasePropertyCollection;
chantPhrasePropertyCollection := aTChantPhraseProperty.ChantPhraseProperties;

JChantPhrasePropertyCollection chantPhrasePropertyCollection = jChantPhraseProperty.getChantPhraseProperties();

Dim chantPhrasePropertyCollection As NChantPhrasePropertyCollection
chantPhrasePropertyCollection = nChantPhraseProperty.ChantPhraseProperties

Collapse/Expand Example section Example

See the ChantPhrasePropertyCollection example.

Collapse/Expand See Also section See Also

ChantPhraseProperty


ChantPhraseProperty ConfidenceActual Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ConfidenceActual Property

The actual confidence for this semantic property.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

sbyte confidenceActual = chantPhraseProperty.ConfidenceActual;

signed char confidenceActual = chantPhraseProperty->GetConfidenceActual();

signed char confidenceActual = chantPhraseProperty->GetConfidenceActual();

var confidenceActual: ShortInt;
confidenceActual := chantPhraseProperty.ConfidenceActual;

byte confidenceActual = chantPhraseProperty.getConfidenceActual();

Dim confidenceActual As SByte
confidenceActual = chantPhraseProperty.ConfidenceActual

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantPhraseProperty


ChantPhraseProperty ConfidenceEngine Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ConfidenceEngine Property

The confidence value computed by the recognizer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

float confidenceEngine = chantPhraseProperty.ConfidenceEngine;

float confidenceEngine = chantPhraseProperty->GetConfidenceEngine();

float confidenceEngine = chantPhraseProperty->GetConfidenceEngine();

var confidenceEngine: Single;
confidenceEngine := chantPhraseProperty.ConfidenceEngine;

float confidenceEngine = chantPhraseProperty.getConfidenceEngine();

Dim confidenceEngine As Single
confidenceEngine = chantPhraseProperty.ConfidenceEngine

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantPhraseProperty


ChantPhraseProperty DoubleVal Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

DoubleVal Property

Phrase val attribute value as a double.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

double value = chantPhraseProperty.DoubleVal;

double value = chantPhraseProperty->GetDoubleVal();

double value = chantPhraseProperty->GetDoubleVal();

var value: Double;
value := chantPhraseProperty.DoubleVal;

double value = chantPhraseProperty.getDoubleVal();

Dim value As Double
value = chantPhraseProperty.DoubleVal

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantPhraseProperty


ChantPhraseProperty FloatVal Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

FloatVal Property

Phrase val attribute value as a float.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

float value = chantPhraseProperty.FloatVal;

float value = chantPhraseProperty->GetFloatVal();

float value = chantPhraseProperty->GetFloatVal();

var value: Single;
value := chantPhraseProperty.FloatVal;

float value = chantPhraseProperty.getFloatVal();

Dim value As Single
value = chantPhraseProperty.FloatVal

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantPhraseProperty


ChantPhraseProperty ID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ID Property

The ID of the semantic property (i.e., PROPID attribute).

Collapse/Expand Remarks section Remarks

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint id = chantPhraseProperty.ID;

unsigned long id = chantPhraseProperty->GetID();

unsigned long id = chantPhraseProperty->GetID();

var id: Cardinal;
id := chantPhraseProperty.ID;

ulong id = chantPhraseProperty.getID();

Dim id As ULong
id = chantPhraseProperty.ID

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantPhraseProperty


ChantPhraseProperty LongVal Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

LongVal Property

Phrase val attribute value as a long.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int value = chantPhraseProperty.LongVal;

long value = chantPhraseProperty->GetLongVal();

long value = chantPhraseProperty->GetLongVal();

var value: Integer;
value := chantPhraseProperty.LongVal;

int value = chantPhraseProperty.getLongVal();

Dim value As Integer
value = chantPhraseProperty.LongVal

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantPhraseProperty


ChantPhraseProperty Name Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Name Property

The Name property is the null-terminated string of the semantic property (i.e., PROPNAME attribute). .

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantPhraseProperty.Name;

wchar_t* name = chantPhraseProperty->GetName();

String name = chantPhraseProperty->GetName();

var name: string;
name := chantPhraseProperty.Name;

String name = chantPhraseProperty.getName();

Dim name As String
name = chantPhraseProperty.Name

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantPhraseProperty


ChantPhraseProperty Value Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Value Property

Phrase property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String value = chantPhraseProperty.Value;

wchar_t* value = chantPhraseProperty->GetValue();

String value = chantPhraseProperty->GetValue();

var value: string;
value := chantPhraseProperty.Value;

String value = chantPhraseProperty.getValue();

Dim value As String
value = chantPhraseProperty.Value

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantPhraseProperty


ChantPhrasePropertyCollection Class

Represents a collection of ChantPhraseProperty objects.

Collapse/Expand Remarks section Remarks

A ChantPhrasePropertyCollection is used to enumerate the recognition phrase properties.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Example section Example

The following example illustrates enumerating recognition phrase properties and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantPhraseProperty chantPhraseProperty in chantSREvent.ChantPhraseProperties)
{
    // Access recognition phrase properties
    string name = chantPhraseProperty.Name;
}

int numberOfPhraseProperties = pChantSREvent->GetChantPhraseProperties()->GetCount();
for (i = 0; i < numberOfPhraseProperties; i++)
{
    CChantPhraseProperty* pChantPhraseProperty = pChantSREvent->GetChantPhraseProperties()->GetChantPhraseProperty(i);
    // Access recognition phrase properties
    wchar_t* name = pChantPhraseProperty->GetName();
}

int numberOfPhraseProperties = pChantSREvent->GetChantPhraseProperties()->GetCount();
for (i = 0; i < numberOfPhraseProperties; i++)
{
    CChantPhraseProperty* pChantPhraseProperty = pChantSREvent->GetChantPhraseProperties()->GetChantPhraseProperty(i);
    // Access recognition phrase properties
    String name = pChantPhraseProperty->GetName();
}

var
chantPhraseProperty: TChantPhraseProperty;
name: string;
begin
for chantPhraseProperty in chantSREvent.ChantPhraseProperties do
    begin
        // Access recognition phrase properties
        name := chantPhraseProperty.Name;
    end;
end;

for (JChantPhraseProperty chantPhraseProperty : chantSREvent.getChantPhraseProperties())
{
    // Access recognition phrase properties
    String name = chantPhraseProperty.getName();
}

Dim chantPhraseProperty As NChantPhraseProperty
Dim name As String
For Each chantPhraseProperty In chantSREvent.ChantPhraseProperties
    ' Access recognition phrase properties
    name = chantPhraseProperty.Name
Next

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantPhraseProperty | The ChantPhraseProperty object collection.
Public property | Count | The number of ChantPhraseProperties.

Collapse/Expand See Also section See Also

ChantPhraseProperty


ChantPhrasePropertyCollection ChantPhraseProperty Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantPhraseProperty Property

A collection of ChantPhraseProperty objects representing a grammar phrase semantic property.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantPhraseProperty chantPhraseProperty = chantPhrasePropertyCollection.ChantPhraseProperty[index];

CChantPhraseProperty* chantPhraseProperty = chantPhrasePropertyCollection->GetChantPhraseProperty(index);

CChantPhraseProperty* chantPhraseProperty = chantPhrasePropertyCollection->GetChantPhraseProperty(index);

var chantPhraseProperty: TChantPhraseProperty;
chantPhraseProperty := chantPhrasePropertyCollection.ChantPhraseProperty(index);

JChantPhraseProperty chantPhraseProperty = chantPhrasePropertyCollection.getAt(index);

Dim chantPhraseProperty As NChantPhraseProperty
chantPhraseProperty = chantPhrasePropertyCollection.ChantPhraseProperty(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantPhraseProperty


ChantPhrasePropertyCollection Count Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Count Property

The number of ChantPhraseProperty objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantPhrasePropertyCollection.Count;

long count = chantPhrasePropertyCollection->GetCount();

long count = chantPhrasePropertyCollection->GetCount();

var count: Integer;
count := chantPhrasePropertyCollection.Count;

int count = chantPhrasePropertyCollection.getCount();

Dim count As Integer
count = chantPhrasePropertyCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantPhrasePropertyCollection


ChantRemoteVocab Class

Represents a remote vocabulary.

Collapse/Expand Remarks section Remarks

A remote vocabulary is an xml file containing the parameters to use speech recognition services on a remote server. The parameters are unique to the service provider.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantRemoteVocab nChantRemoteVocab = new NChantRemoteVocab(nChantSR, sGrammarSourceOrPath);

CChantRemoteVocab* pChantRemoteVocab = new CChantRemoteVocab(pChantSR, pszGrammarSourceOrPath);

CChantRemoteVocab* pChantRemoteVocab = new CChantRemoteVocab(pChantSR, sGrammarSourceOrPath);

var aChantRemoteVocab: TChantRemoteVocab;
aChantRemoteVocab := TChantRemoteVocab.Create(aTChantSR, sGrammarSourceOrPath);

JChantRemoteVocab* jChantRemoteVocab = new JChantRemoteVocab(jChantSR, sGrammarSourceOrPath);

Dim nChantRemoteVocab As NChantRemoteVocab
nChantRemoteVocab = New NChantRemoteVocab(nChantSR, sGrammarSourceOrPath, window)

Parameters

chantSR

Object. ChantSR object.

grammarSourceOrPath

String. Grammar source or file path.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Nuance VoCon 3200 | Disable | Disables the resource to make it inactive.
Public method | Nuance VoCon 3200 | Enable | Enables the resource to make it active.
Public method | Nuance VoCon 3200 | IsEnabled | Returns whether the resource is active.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand Example section Example

The following example illustrates using a remote vocabulary.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define the vocabulary
NChantRemoteVocab nChantRemoteVocab = new NChantRemoteVocab(NChantSR1, "myremotevocab.xml");

// Enable the vocabulary
nChantRemoteVocab.Enable();

// Disable the vocabulary
nChantRemoteVocab.Disable();

// Define the vocabulary
CChantRemoteVocab* pChantRemoteVocab = new CChantRemoteVocab(m_pChantSR, L"myremotevocab.xml");

// Enable the vocabulary
pChantRemoteVocab->Enable();

// Disable the vocabulary
pChantRemoteVocab->Disable();

// Define the vocabulary
CChantRemoteVocab* pChantRemoteVocab = new CChantRemoteVocab(ChantSR1, "myremotevocab.xml");

// Enable the vocabulary
pChantRemoteVocab->Enable();

// Disable the vocabulary
pChantRemoteVocab->Disable();

var aTChantRemoteVocab: TChantRemoteVocab;
// Define the vocabulary
aTChantRemoteVocab := TChantRemoteVocab.Create(ChantSR1, 'myremotevocab.xml');

// Enable the vocabulary
aTChantRemoteVocab.Enable();

// Disable the vocabulary
aTChantRemoteVocab.Disable();

// Define the vocabulary
JChantRemoteVocab jChantRemoteVocab = new JChantRemoteVocab(JChantSR1, "myremotevocab.xml");

// Enable the vocabulary
jChantRemoteVocab.enable();

// Disable the vocabulary
jChantRemoteVocab.disable();

' Define the vocabulary
Dim nChantRemoteVocab As NChantRemoteVocab
nChantRemoteVocab = New NChantRemoteVocab(NChantSR1, "myremotevocab.xml")

' Enable the vocabulary
nChantRemoteVocab.Enable()

' Disable the vocabulary
nChantRemoteVocab.Disable()

Collapse/Expand See Also section See Also

CreateChantRemoteVocab


ChantRule Class

Represents a recognized phrase.

Collapse/Expand Remarks section Remarks

A SAPI5 speech recognition result may have a rule tree for the grammar rules that comprise the recognition result. The ChantRule object contains the information for a rule in a grammar result.

ChantRule objects are obtained via the ChantSREvent ChantRules property.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ChantRules | A collection of ChantRule objects.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ChantWords | A collection of ChantWord objects.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ConfidenceActual | Actual confidence for this phrase.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ConfidenceEngine | Confidence value computed by the recognizer.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ID | Phrase property ID.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | Name | Phrase property name.

Collapse/Expand See Also section See Also

ChantRuleCollection
ChantSREvent
ChantWord
ChantWordCollection


ChantRule ChantRules Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantRules Property

A collection of ChantRule objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantRuleCollection chantRuleCollection = chantRule.ChantRules;

CChantRuleCollection* chantRuleCollection = chantRule->GetChantRules();

CChantRuleCollection* chantRuleCollection = chantRule->GetChantRules();

var chantRuleCollection: TChantRuleCollection; chantRuleCollection := chantRule.ChantRules;

JChantRuleCollection chantRuleCollection = chantRule.getChantRules();

Dim chantRuleCollection as NChantRuleCollection chantRuleCollection = chantRule.ChantRules

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand Example section Example

See the ChantRuleCollection example.

Collapse/Expand See Also section See Also

ChantRule
ChantRuleCollection


ChantRule ChantWords Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantWords Property

A collection of ChantWord objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantWordCollection chantWordCollection = chantRule.ChantWords;

CChantWordCollection* chantWordCollection = chantRule->GetChantWords();

CChantWordCollection* chantWordCollection = chantRule->GetChantWords();

var chantWordCollection: TChantWordCollection; chantWordCollection := chantRule.ChantWords;

JChantWordCollection chantWordCollection = chantRule.getChantWords();

Dim chantWordCollection as NChantWordCollection chantWordCollection = chantRule.ChantWords

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand Example section Example

See the ChantWordCollection example.

Collapse/Expand See Also section See Also

ChantRule
ChantWord
ChantWordCollection


ChantRule ConfidenceActual Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ConfidenceActual Property

The actual confidence for this semantic property.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

sbyte confidenceActual = chantRule.ConfidenceActual;

signed char confidenceActual = chantRule->GetConfidenceActual();

signed char confidenceActual = chantRule->GetConfidenceActual();

var confidenceActual: ShortInt;
confidenceActual := chantRule.ConfidenceActual;

byte confidenceActual = chantRule.getConfidenceActual();

Dim confidenceActual As SByte
confidenceActual = chantRule.ConfidenceActual

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantRule


ChantRule ConfidenceEngine Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ConfidenceEngine Property

The confidence value computed by the recognizer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

float confidenceEngine = chantRule.ConfidenceEngine;

float confidenceEngine = chantRule->GetConfidenceEngine();

float confidenceEngine = chantRule->GetConfidenceEngine();

var confidenceEngine: Single;
confidenceEngine := chantRule.ConfidenceEngine;

float confidenceEngine = chantRule.getConfidenceEngine();

Dim confidenceEngine As Single
confidenceEngine = chantRule.ConfidenceEngine

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantRule


ChantRule ID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ID Property

The ID of the rule (i.e., ID attribute).

Collapse/Expand Remarks section Remarks

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint id = chantRule.ID;

unsigned long id = chantRule->GetID();

unsigned long id = chantRule->GetID();

var id: Cardinal;
id := chantRule.ID;

ulong id = chantRule.getID();

Dim id As ULong
id = chantRule.ID

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantRule


ChantRule Name Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Name Property

The Name property is the rule name (i.e., NAME attribute).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantRule.Name;

wchar_t* name = chantRule->GetName();

String name = chantRule->GetName();

var name: string;
name := chantRule.Name;

String name = chantRule.getName();

Dim name As String
name = chantRule.Name

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantRule


ChantRuleCollection Class

Represents a collection of ChantRule objects.

Collapse/Expand Remarks section Remarks

A ChantRuleCollection is used to enumerate the recognition rules.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantRule | The ChantRule object collection.
Public property | Count | The number of ChantRules.

Collapse/Expand Example section Example

The following example illustrates enumerating recognition rules and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantRule chantRule in chantSREvent.ChantRules)
{
    // Access recognition rule properties
    string name = chantRule.Name;
}

int numberOfRules = pChantSREvent->GetChantRules()->GetCount();
for (i = 0; i < numberOfRules; i++)
{
    CChantRule* pChantRule = pChantSREvent->GetChantRules()->GetChantRule(i);
    // Access recognition rule properties
    wchar_t* name = pChantRule->GetName();
}

int numberOfRules = pChantSREvent->GetChantRules()->GetCount();
for (i = 0; i < numberOfRules; i++)
{
    CChantRule* pChantRule = pChantSREvent->GetChantRules()->GetChantRule(i);
    // Access recognition rule properties
    String name = pChantRule->GetName();
}

var
chantRule: TChantRule;
name: string;
begin
for chantRule in chantSREvent.ChantRules do
    begin
        // Access recognition rule properties
        name := chantRule.Name;
    end;
end;

for (JChantRule chantRule : chantSREvent.getChantRules())
{
    // Access recognition rule properties
    String name = chantRule.getName();
}

Dim chantRule As NChantRule
Dim name As String
For Each chantRule In chantSREvent.ChantRules
    ' Access recognition rule properties
    name = chantRule.Name
Next

Collapse/Expand See Also section See Also

ChantRule


ChantRuleCollection ChantRule Property

Chant GrammarKit 5 Logo
Chant SpeechKit 8 Developer's Guide

ChantRule Property

A collection of ChantRule objects representing a recognized phrase.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantRule chantRule = chantRuleCollection.ChantRule[index];

CChantRule* chantRule = chantRuleCollection->GetChantRule(index);

CChantRule* chantRule = chantRuleCollection->GetChantRule(index);

var chantRule: TChantRule;
chantRule := chantRuleCollection.ChantRule(index);

JChantRule chantRule = chantRuleCollection.getAt(index);

Dim chantRule As NChantRule
chantRule = chantRuleCollection.ChantRule(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantRule


ChantRuleCollection Count Property

Chant GrammarKit 5 Logo
Chant SpeechKit 8 Developer's Guide

Count Property

The number of ChantRule objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantRuleCollection.Count;

long count = chantRuleCollection->GetCount();

long count = chantRuleCollection->GetCount();

var count: Integer;
count := chantRuleCollection.Count;

int count = chantRuleCollection.getCount();

Dim count As Integer
count = chantRuleCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantRuleCollection


ChantSR Class

Represents a session with a speech recognition engine (i.e., recognizer).

Collapse/Expand Remarks section Remarks

The speech recognition session object, ChantSR, represents a session with a speech recognition engine, through which spoken language captured live via a microphone or from recorded audio can be processed and converted to text.

Application use the speech recognition session object to manage the activities for speech recognition on behalf of your application.

The speech recognition session object manages the resources and interacts directly with a speech recognition engine application program interface (API).

Application receive recognized speech as text and notification of other processing states through events.

Collapse/Expand Events section Events

 | APIs | Name | Description
Public event | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | HasEvent | Notifies the application of a speech recognition event.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CreateChantCommandVocab | Instantiates and returns a command vocabulary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CreateChantDictationVocab | Instantiates and returns a dictation vocabulary.
Public method | Nuance Dragon NaturallySpeaking | CreateChantDragonCustom | Instantiates and returns a Dragon custom dictation edit resource.
Public method | Nuance Dragon NaturallySpeaking | CreateChantDragonEdit | Instantiates and returns a Dragon dictation edit resource.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CreateChantGrammarVocab | Instantiates and returns a grammar vocabulary.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CreateChantNativeGrammarVocab | Instantiates and returns a grammar vocabulary.
Public method | Nuance VoCon 3200 | CreateChantRemoteVocab | Instantiates and returns a remote vocabulary.
Public method | Nuance VoCon 3200 | CreateChantSRContext | Instantiates and returns a speech recognition context.
Public method |  | ExportAppFramework | Exports the current runtime settings to a file.
Public method |  | GetChantSREvent | Returns a ChantSREvent object.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | GetNumberProperty | Returns numeric property value.
Public method | Nuance Dragon NaturallySpeaking | GetProperty | Returns property value.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | GetStringProperty | Returns string property value.
Public method |  | ImportAppFramework | Imports the current runtime settings from a file.
Public method |  | IsSupported | Returns whether a feature is supported.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | PauseRecording | Suspends speech recognition.
Public method |  | RegisterCallback | Sets the callback event active.
Public method |  | RemoveEvent | Removes an event from the event queue.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ResumeRecording | Resumes speech recognition that was suspended by PauseRecording.
Public method |  | SetCallbackFunction | Sets callback static function.
Public method |  | SetCallbackParms | Sets optional callback parameters.
Public method |  | SetMicOn | Sets the microphone as active or inactive.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | SetNumberProperty | Sets a numeric property value.
Public method | Nuance Dragon NaturallySpeaking | SetProperty | Sets a property value.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | SetStringProperty | Sets a string property value.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | ShowDialog | Displays a recognizer or ChantSR dialog.
Public method |  | SetWindowMessage | Sets application-unique Windows message number used to notify about callback events.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | SpeechToText | Queues a recognition request for a specific recognizer, speaker profile, and vocabularies.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | StartRecording | Starts recognizing speech.
Public method | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | StopRecording | Stops recognizing speech.
Public method |  | UnregisterCallback | Sets the callback event inactive.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Nuance Dragon NaturallySpeaking | ChantDictationSources | A collection of ChantDictationSource objects.
Public property | Nuance Dragon NaturallySpeaking | ChantDictationTopics | A collection of ChantDictationTopic objects.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ChantSpeakers | A collection of ChantSpeaker objects.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ChantSREngines | A collection of ChantSREngine objects.
Public property |  | LastError | A numeric error code for the last error condition.
Public property |  | LastErrorMessage | A description of the last error condition.
Public property |  | LastErrorString | A text representation of the last error condition.
Public property |  | RequestCount | The number of active and queued StartRecording or SpeechToText requests.

Collapse/Expand See Also section See Also

ChantCommandVocab
ChantRemoteVocab
ChantDictationSource
ChantDictationSourceCollection
ChantDictationTopic
ChantDictationTopicCollection
ChantDictationVocab
ChantDragonCustom
ChantDragonEdit
ChantGrammarVocab
ChantNativeGrammarVocab
ChantSpeaker
ChantSpeakerCollection
ChantSRContext
ChantSREngine
ChantSREngineCollection
ChantSREvent


ChantSR ChantDictationSources Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantDictationSources Property

A collection of ChantDictationSource objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantDictationSourceCollection chantDictationSourceCollection = chantSR.ChantDictationSources;

CChantDictationSourceCollection* chantDictationSourceCollection = chantSR->GetChantDictationSources();

CChantDictationSourceCollection* chantDictationSourceCollection = chantSR->GetChantDictationSources();

var chantDictationSourceCollection: TChantDictationSourceCollection;
chantDictationSourceCollection := chantSR.ChantDictationSources;

JChantDictationSourceCollection chantDictationSourceCollection = chantSR.getChantDictationSources();

Dim chantDictationSourceCollection As NChantDictationSourceCollection
chantDictationSourceCollection = chantSR.ChantDictationSources

Collapse/Expand Example section Example

See the ChantDictationSourceCollection example.

Collapse/Expand See Also section See Also

ChantDictationSourceCollection
ChantSR


ChantSR ChantDictationTopics Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantDictationTopics Property

A collection of ChantDictationTopic objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantDictationTopicCollection chantDictationTopicCollection = chantSR.ChantDictationTopics;

CChantDictationTopicCollection* chantDictationTopicCollection = chantSR->GetChantDictationTopics();

CChantDictationTopicCollection* chantDictationTopicCollection = chantSR->GetChantDictationTopics();

var chantDictationTopicCollection: TChantDictationTopicCollection;
chantDictationTopicCollection := chantSR.ChantDictationTopics;

JChantDictationTopicCollection chantDictationTopicCollection = chantSR.getChantDictationTopics();

Dim chantDictationTopicCollection As NChantDictationTopicCollection
chantDictationTopicCollection = chantSR.ChantDictationTopics

Collapse/Expand Example section Example

See the ChantDictationTopicCollection example.

Collapse/Expand See Also section See Also

ChantDictationTopicCollection
ChantSR


ChantSR ChantSpeakers Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantSpeakers Property

A collection of ChantSpeaker objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantSpeakerCollection chantSpeakerCollection = chantSR.ChantSpeakers;

CChantSpeakerCollection* chantSpeakerCollection = chantSR->GetChantSpeakers();

CChantSpeakerCollection* chantSpeakerCollection = chantSR->GetChantSpeakers();

var chantSpeakerCollection: TChantSpeakerCollection;
chantSpeakerCollection := chantSR.ChantSpeakers;

JChantSpeakerCollection chantSpeakerCollection = chantSR.getChantSpeakers();

Dim chantSpeakerCollection As NChantSpeakerCollection
chantSpeakerCollection = chantSR.ChantSpeakers

Collapse/Expand Example section Example

See the ChantSpeakerCollection example.

Collapse/Expand See Also section See Also

ChantSpeakerCollection
ChantSR


ChantSR ChantSREngines Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantSREngines Property

A collection of ChantSREngine objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantSREngineCollection chantSREngineCollection = chantSR.ChantSREngines;

CChantSREngineCollection* chantSREngineCollection = chantSR->GetChantSREngines();

CChantSREngineCollection* chantSREngineCollection = chantSR->GetChantSREngines();

var chantSREngineCollection: TChantSREngineCollection;
chantSREngineCollection := chantSR.ChantSREngines;

JChantSREngineCollection chantSREngineCollection = chantSR.getChantSREngines();

Dim chantSREngineCollection As NChantSREngineCollection
chantSREngineCollection = chantSR.ChantSREngines

Collapse/Expand Example section Example

See the ChantSREngineCollection example.

Collapse/Expand See Also section See Also

ChantSREngine
ChantSREngineCollection


ChantSR CreateChantCommandVocab Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

CreateChantCommandVocab Method

Instantiates and returns a speech recognition context.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantCommandVocab chantCommandVocab = chantSR.CreateChantCommandVocab(name, owner);

CChantCommandVocab* chantCommandVocab = chantSR->CreateChantCommandVocab(name, owner);

CChantCommandVocab* chantCommandVocab = chantSR->CreateChantCommandVocab(name, owner);

var chantCommandVocab: TChantCommandVocab;
chantCommandVocab := chantSR.CreateChantCommandVocab(name, owner);

JChantCommandVocab chantCommandVocab = chantSR.createChantCommandVocab(name, owner);

Dim chantCommandVocab As NChantCommandVocab
chantCommandVocab = chantSR.CreateChantCommandVocab(name, owner)

Parameters

name

String. Unique symbolic name for the vocabulary.

owner

HWND. Optional Window control or HWND that indicates that the window must have focus to receive results from this vocabulary.

Return Value

A ChantCommandVocab object.

Collapse/Expand Example section Example

See the ChantCommandVocab example.

Collapse/Expand See Also section See Also

ChantSR
ChantCommandVocab


ChantSR CreateDictationVocab Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

CreateDictationVocab Method

Instantiates and returns a speech recognition context.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NDictationVocab dictationVocab = chantSR.CreateDictationVocab(name, owner);

CDictationVocab* dictationVocab = chantSR->CreateDictationVocab(name, owner);

CDictationVocab* dictationVocab = chantSR->CreateDictationVocab(name, owner);

var dictationVocab: TDictationVocab;
dictationVocab := chantSR.CreateDictationVocab(name, owner);

JDictationVocab dictationVocab = chantSR.createDictationVocab(name, owner);

Dim dictationVocab As NDictationVocab
dictationVocab = chantSR.CreateDictationVocab(name, owner)

Parameters

name

String. Name of the dictation dictionary. "text" is the default dictionary name.

owner

HWND. Optional Window control or HWND that indicates that the window must have focus to receive results from this vocabulary.

Return Value

A DictationVocab object.

Collapse/Expand Example section Example

See the ChantDictationVocab example.

Collapse/Expand See Also section See Also

ChantSR
ChantDictationVocab


ChantSR CreateChantDragonCustom Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

CreateChantDragonCustom Method

Instantiates and returns a Dragon custom dictation edit resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantDragonCustom chantDragonCustom = chantSR.CreateChantDragonCustom(editControl, owner, option);

CChantDragonCustom* chantDragonCustom = chantSR->CreateChantDragonCustom(editControl, owner, option);

CChantDragonCustom* chantDragonCustom = chantSR->CreateChantDragonCustom(editControl, owner, option);

var chantDragonCustom: TChantDragonCustom;
chantDragonCustom := chantSR.CreateChantDragonCustom(editControl, owner, option);

Not supported;

Dim chantDragonCustom As NChantDragonCustom
chantDragonCustom = chantSR.CreateChantDragonCustom(editControl, owner, option)

Parameters

editControl

HWND. Text edit control or HWND.

owner

HWND. Window control or HWND.

option

Long integer. 0 Globally activated. The edit control is always activated for dictation, regardless of whether it has focus. 1 Window activated. The edit control is activated for dictation when the parent window of this edit control has focus.

Return Value

A ChantDragonCustom object.

Collapse/Expand Example section Example

See the ChantDragonCustom example.

Collapse/Expand See Also section See Also

ChantSR
ChantDragonCustom


ChantSR CreateChantDragonEdit Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

CreateChantDragonEdit Method

Instantiates and returns a Dragon dictation edit resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantDragonEdit chantDragonEdit = chantSR.CreateChantDragonEdit(editControl, owner, option);

CChantDragonEdit* chantDragonEdit = chantSR->CreateChantDragonEdit(editControl, owner, option);

CChantDragonEdit* chantDragonEdit = chantSR->CreateChantDragonEdit(editControl, owner, option);

var chantDragonEdit: TChantDragonEdit;
chantDragonEdit := chantSR.CreateChantDragonEdit(editControl, owner, option);

Not supported;

Dim chantDragonEdit As NChantDragonEdit
chantDragonEdit = chantSR.CreateChantDragonEdit(editControl, owner, option)

Parameters

editControl

HWND. Text edit control or HWND.

owner

HWND. Window control or HWND.

option

Long integer. 0 Globally activated. The edit control is always activated for dictation, regardless of whether it has focus. 1 Window activated. The edit control is activated for dictation when the parent window of this edit control has focus.

Return Value

A ChantDragonEdit object.

Collapse/Expand Example section Example

See the ChantDragonEdit example.

Collapse/Expand See Also section See Also

ChantSR
ChantDragonEdit


ChantSR CreateChantGrammarVocab Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

CreateChantGrammarVocab Method

Instantiates and returns a speech recognition context.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantGrammarVocab chantGrammarVocab = chantSR.CreateChantGrammarVocab(grammarSourceOrPath, owner);

CChantGrammarVocab* chantGrammarVocab = chantSR->CreateChantGrammarVocab(grammarSourceOrPath, owner);

CChantGrammarVocab* chantGrammarVocab = chantSR->CreateChantGrammarVocab(grammarSourceOrPath, owner);

var chantGrammarVocab: TChantGrammarVocab;
chantGrammarVocab := chantSR.CreateChantGrammarVocab(grammarSourceOrPath, owner);

JChantGrammarVocab chantGrammarVocab = chantSR.createChantGrammarVocab(grammarSourceOrPath, owner);

Dim chantGrammarVocab As NChantGrammarVocab
chantGrammarVocab = chantSR.CreateChantGrammarVocab(grammarSourceOrPath, owner)

Parameters

grammarSourceOrPath

String. Grammar source or file path.

owner

HWND. Optional Window control or HWND that indicates that the window must have focus to receive results from this vocabulary.

Return Value

A ChantGrammarVocab object.

Collapse/Expand Example section Example

See the ChantGrammarVocab example.

Collapse/Expand See Also section See Also

ChantSR
ChantGrammarVocab


ChantSR CreateChantNativeGrammarVocab Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

CreateChantNativeGrammarVocab Method

Instantiates and returns a speech recognition context.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantNativeGrammarVocab chantNativeGrammarVocab = chantSR.CreateChantNativeGrammarVocab(path, owner);

CChantNativeGrammarVocab* chantNativeGrammarVocab = chantSR->CreateChantNativeGrammarVocab(path, owner);

CChantNativeGrammarVocab* chantNativeGrammarVocab = chantSR->CreateChantNativeGrammarVocab(path, owner);

var chantNativeGrammarVocab: TChantNativeGrammarVocab;
chantNativeGrammarVocab := chantSR.CreateChantNativeGrammarVocab(path, owner);

JChantNativeGrammarVocab chantNativeGrammarVocab = chantSR.createChantNativeGrammarVocab(path, owner);

Dim chantNativeGrammarVocab As NChantNativeGrammarVocab
chantNativeGrammarVocab = chantSR.CreateChantNativeGrammarVocab(path, owner)

Parameters

path

String. Compiled grammar file path.

owner

HWND. Optional Window control or HWND that indicates that the window must have focus to receive results from this vocabulary.

Return Value

A ChantNativeGrammarVocab object.

Collapse/Expand Example section Example

See the ChantNativeGrammarVocab example.

Collapse/Expand See Also section See Also

ChantSR
ChantNativeGrammarVocab


ChantSR CreateChantRemoteVocab Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

CreateChantRemoteVocab Method

Instantiates and returns a remote vocabulary.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantRemoteVocab chantRemoteVocab = chantSR.CreateChantRemoteVocab(grammarSourceOrPath);

CChantRemoteVocab* chantRemoteVocab = chantSR->CreateChantRemoteVocab(grammarSourceOrPath);

CChantRemoteVocab* chantRemoteVocab = chantSR->CreateChantRemoteVocab(grammarSourceOrPath);

var chantRemoteVocab: TChantRemoteVocab;
chantRemoteVocab := chantSR.CreateChantRemoteVocab(grammarSourceOrPath);

JChantRemoteVocab chantRemoteVocab = chantSR.createChantRemoteVocab(grammarSourceOrPath);

Dim chantRemoteVocab As NChantRemoteVocab
chantRemoteVocab = chantSR.CreateChantRemoteVocab(grammarSourceOrPath)

Parameters

grammarSourceOrPath

String. Grammar source or file path.

Return Value

A ChantRemoteVocab object.

Collapse/Expand Example section Example

See the ChantRemoteVocab example.

Collapse/Expand See Also section See Also

ChantSR
ChantRemoteVocab


ChantSR CreateChantSRContext Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

CreateChantSRContext Method

Instantiates and returns a speech recognition context.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantSRContext chantSRContext = chantSR.CreateChantSRContext(name, eChantGrammarSyntax);

CChantSRContext* chantSRContext = chantSR->CreateChantSRContext(name, eChantGrammarSyntax);

CChantSRContext* chantSRContext = chantSR->CreateChantSRContext(name, eChantGrammarSyntax);

var chantSRContext: TChantSRContext;
chantSRContext := chantSR.CreateChantSRContext(name, eChantGrammarSyntax);

JChantSRContext chantSRContext = chantSR.createChantSRContext(name, eChantGrammarSyntax);

Dim chantSRContext As NChantSRContext
chantSRContext = chantSR.CreateChantSRContext(name, eChantGrammarSyntax)

Parameters

name

String. Unique symbolic name for the context.

eChantGrammarSyntax

ChantGrammarSyntax. Grammar syntax type.

Return Value

A ChantSRContext object.

Collapse/Expand Example section Example

See the ChantSRContext example.

Collapse/Expand See Also section See Also

ChantSR
ChantSRContext


ChantSR ExportAppFramework Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ExportAppFramework Method

Exports the current runtime settings to a file.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR.ExportAppFramework(fileName);

chantSR->ExportAppFramework(fileName);

chantSR->ExportAppFramework(fileName);

chantSR.ExportAppFramework(fileName);

chantSR.exportResource(fileName);

chantSR.ExportAppFramework(fileName)

Parameters

fileName

String. File name of where to save the application framework. If the file exists, it is replaced. File name may include path qualifiers.

Collapse/Expand See Also section See Also

ChantSR
ImportAppFramework


ChantSR GetChantSREvent Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

GetChantSREvent Method

Returns a ChantSREvent object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantSREvent chantSREvent = chantSR.GetChantSREvent();

CChantSREvent* chantSREvent = chantSR->GetChantSREvent();

CChantSREvent* chantSREvent = chantSR->GetChantSREvent();

var chantSREvent: TChantSREvent;
chantSREvent := chantSR.GetChantSREvent();

JChantSREvent jChantSREvent = chantSR.getChantSREvent();

Dim chantSREvent As NChantSREvent
chantSREvent = chantSR.GetChantSREvent()

Return Value

Object. A ChantSREvent object.

Collapse/Expand Example section Example

See HasEvent example.

Collapse/Expand See Also section See Also

ChantSR
HasEvent


ChantSR GetNumberProperty Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

GetNumberProperty Method

Returns numeric property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int value = chantSR.GetNumberProperty(eChantNumberProperty);

long value = chantSR->GetNumberProperty(eChantNumberProperty);

long value = chantSR->GetNumberProperty(eChantNumberProperty);

var value: Integer;
value := chantSR.GetNumberProperty(eChantNumberProperty);

int value = chantSR.getNumberProperty(eChantNumberProperty);

Dim value As Integer
value = chantSR.GetNumberProperty(eChantNumberProperty)

Parameters

eChantNumberProperty

ChantNumberProperty. Value that uniquely identifies the property.

Return Value

Long integer. Property value.

Collapse/Expand Remarks section Remarks

All recognizer and ChantSR numeric property values are accessed via GetNumberProperty and SetNumberProperty. The property type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CNPAdaptationOn | 1 | SAPI 5 recognizer property that indicates whether the recognizer should adapt the acoustic model for the speaker (i.e., the recognizer will constantly update the speaker profile over time) or Dragon NaturallySpeaking property dgnregGlobalCM to load the Dragon NaturallySpeaking global compatibility module, enabling global commands, tracking, and global dictation support (Dragon NaturalText). Use 0 for off and 1 for on. Default value for SAPI 5 is 1. Default value for Dragon NaturallySpeaking is 0.
 | CNPAudioFormat | 3 | Specifies common Windows audio formats ranging from uncompressed PCM formats to highly compressed formats. Some synthesizers and recognizer may not support all audio formats. See the ChantAudioFormat enumeration constants for valid values.
Nuance Dragon NaturallySpeaking | CNPAudioSetupComplete | 4 | Indicates that the Dragon audio setup has been run for the user.
Microsoft SAPI 4 Speech Recognition | CNPAutoGainEnable | 5 | Recognizer property. Specifies the amount to which a recognizer should adjust the gain (i.e., input audio signal). A value of 0 disables automatic gain. A value of 100 causes the speech recognition engine to always adjust the gain. Values between 0 and 100 moderate the gain on a linear scale. If the value is out of range for the engine, an error is returned and the gain is not changed.
Microsoft SAPI 4 Speech Recognition | CNPAwakeState | 6 | Recognizer property. Specifies whether recognition is enabled. Enabling commands (e.g., “wake up”) can be associated with changing the AwakeState. Valid values include: 0 (sleep) and 1 (awake).
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPComplexResponseSpeed | 7 | Recognizer property. Indicates the amount of silence that the recognizer uses for before completing a recognition. SAPI 5 uses this value when the recognition is ambiguous. See CNPResponseSpeed property. Valid values are 0 to 10,000 in milliseconds. The default value is 500 ms. The value must be greater than the CNPResponseSpeed value.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CNPDeviceID | 8 | Specifies the device identifier of the Windows audio source for recognition and audio destination for synthesis. Default value is WAVE_MAPPER (-1).
Microsoft SAPI 4 Speech Recognition | CNPEcho | 9 | Recognizer property. Specifies the state of echo canceling on the inbound audio stream. Echo canceling causes the recognizer to ignore low-level audio signals so that it doesn't attempt to recognize the residual signal of the echo cancellation. Valid values include: 0 (off) and 1 (on).
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CNPEnabled | 10 | Recognizer property that enables or disables speech recognition for a Voice Command site, SAPI 4 Voice Text site property that enables or disables speech synthesis for a Voice Text site, or Dragon NaturallySpeaking DragonBar is visible. Valid values include: 0 (disabled) and 1 (enabled).
Microsoft SAPI 4 Speech Recognition | CNPEnergyFloor | 11 | Recognizer property. Specifies the value of the signal-to-noise ratio (SNR) for a particular environment. A low floor value means recognition engine is more sensitive to background noise. A high floor value means recognition is less sentitive to back ground noise. The value of the noise floor is interpreted in negative decibels. For example, a value of 30 indicates an energy floor of -30 dB. SAPI 4 specification value range is from 0 to 65356.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CNPEngineAPI | 12 | ChantSR property that specifies the speech engine API.
Nuance Dragon NaturallySpeaking | CNPEngineRunning | 13 | Indicates whether the speech engine is running.
Nuance Dragon NaturallySpeaking | CNPEngineUI | 14 | Indicates whether this application is displaying the Dragon NaturallySpeaking tray microphone icon.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPHighConfidenceThreshold | 15 | Recognizer property. Specifies the highest level of a 3-level confidence score assigned by the recognizer. If the recognizer does not set this value, SAPI 5 attempts to generate it. Valid range of values is 0 to 100. The default value is 80.
Nuance Dragon NaturallySpeaking | CNPLanguageID | 16 | Indicates that the Dragon NaturallySpeaking language.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPLineID | 17 | The SAPI 5 line identifier associated with the multimedia device. Mixer lines are not supported for output devices.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPLowConfidenceThreshold | 18 | Recognizer property. Specifies the lowest level of a 3-level confidence score assigned by the recognizer. If the recognizer does not set this value, SAPI 5 attempts to generate it. Valid range of values is 0 to 100. The default value is 20.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CNPMaxAlternates | 19 | Indicates that alternate recognized phrases should be returned as part of the recognition results. VoCon 3200 generates 3 by default.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPNormalConfidenceThreshold | 20 | Recognizer property. Specifies the middle level of a 3-level confidence score assigned by the recognizer. If the recognizer does not set this value, SAPI 5 attempts to generate it. Valid range of values is 0 to 100. The default value is 50.
Microsoft SAPI 4 Speech Recognition | CNPRealTime | 23 | Recognizer and synthesizer property. Specifies the real-time setting for the recognizer or synthesizer. The real-time setting is the percentage of processor time used during processing. For example, if the value is 10, the engine uses one minute of processor time. If the value is 50, the engine takes 30 seconds. The processor time used is an estimate so the property value should be considered a relative value setting. The value can be set to higher than 100 for non-real-time audio processing (i.e., file or stream audio).
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CNPResourceUsage | 24 | Recognizer property. Specifies the percent of CPU consumption. Valid SAPI 5 values range from 0 to 100. The default SAPI 5 value is 50. For IBM SMAPI recognizers the value is either 0 for normal CPU mode or 1 for reduced CPU mode. The default IBM SMAPI value is 0. For VoCon 3200, specificies the accuracy value used to determine CPU and memory consumption. The value range is 100 to 50000 with the default value 10000.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPResponseSpeed | 25 | Recognizer property. Indicates amount of silence the recognizer looks for before completing a recognition. SAPI 5 uses this value for non-ambiguous recognitions. See CNPComplexResponseSpeed. Valid SAPI 5 values range from 0 to 10,000 in milliseconds. The default SAPI 5 value is 500 ms. Valid IBM SMAPI values include: 1 for balanced level, 2 for accuracy level, 3 to allow dynamic level adjustment, and 4 for speed level. The default IBM SMAPI value is 1.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPRetainAudio | 26 | Recognizer property. Indicates whether the recognizers should retain audio for recognition result playback using the PlaybackWords method.
Nuance Dragon NaturallySpeaking | CNPSpeakerCalibrated | 27 | Indicates if the Dragon speaker calibration is complete for the user.
Nuance Dragon NaturallySpeaking | CNPSpeakerModified | 28 | Indicates whether the current Dragon speech files have been modified and need saving.
Nuance Dragon NaturallySpeaking | CNPSpeakerTrained | 29 | Indicates whether the current Dragon speaker has completed General Training and is ready to use dictation.
Microsoft SAPI 4 Speech Recognition | CNPThreshold | 32 | Recognizer property. Specifies the minimum confidence level for the recognizer before returning a match as recognized speech. Valid SAPI 4 values range from 0 to 100. Valid IBM SMAPI values range from 0 to 10.
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CNPTimeOutComplete | 33 | Recognizer property. Speficies the amount of silence the recognizer needs between utterances before it accepts or rejects the recognition as complete. Valid SAPI 4 specification values range from 0 to 4294967295. IBM SMAPI default value is 25. Nuance VoCon (ASRFX_PARAM_TS) values range 100 to 2000 with default value 700.
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CNPTimeOutIncomplete | 34 | Recognizer property. Speficies the amount of silence the recognizer needs between utterances before it accepts or rejects the recognition as incomplete. Valid SAPI 4 specification values range from 0 to 4294967295. IBM SMAPI default value is 250. Nuance VoCon (ASRREC_CTXPARAM_TS) values range 100 to 2000 with default value 600.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CNPNativeAPI | 42 | Enumerate a recognizer or voice via native API if available and not as a SAPI recognizer or voice.

Collapse/Expand Example section Example

The following example illustrates accessing the EngineAPI property.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
ChantEngineAPI eChantEngineAPI = (ChantEngineAPI)NChantSR1.GetNumberProperty(ChantNumberProperty.CNPEngineAPI);

ChantEngineAPI eChantEngineAPI = (ChantEngineAPI)pChantSR->GetNumberProperty(CNPEngineAPI);

ChantEngineAPI eChantEngineAPI = (ChantEngineAPI)pChantSR->GetNumberProperty(CNPEngineAPI);

var
intVal: Integer;
eChantEngineAPI: ChantEngineAPI;
begin
intVal := ChantSR1.GetNumberProperty(CNPEngineAPI);
eChantEngineAPI := ChantEngineAPI(intVal);
end;

int eChantEngineAPI = JChantSR1.getNumberProperty(ChantNumberProperty.CNPEngineAPI);

Dim eChantEngineAPI as ChantEngineAPI
eChantEngineAPI = NChantSR1.GetNumberProperty(ChantNumberProperty.CNPEngineAPI)

Collapse/Expand See Also section See Also

ChantSR
SetNumberProperty


ChantSR GetProperty Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

GetProperty Method

Returns property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String value = chantSR.GetProperty(propertyType, propertyConstant);

wchar_t* value = chantSR->GetProperty(propertyType, propertyConstant);

String value = chantSR->GetProperty(propertyType, propertyConstant);

var value: string;
value := chantSR.GetProperty(propertyType, propertyConstant);

String value = chantSR.getProperty(propertyType, propertyConstant);

Dim value As String
value = chantSR.GetProperty(propertyType, propertyConstant)

Parameters

propertyType

String. Name of the property type.

propertyConstant

Integer. Enumeration constant property value.

Return Value

String. Property value.

Collapse/Expand Remarks section Remarks

Speech recognition engines have a variety of property settings defined by enumeration types. The GetProperty method provides a way to get a value using the property type name and enumeration constant value.

Collapse/Expand Example section Example

The following example illustrates getting the Dragon NatuallySpeaking engine constant dgnengoptionUseConfidence. For boolean values "1" represents true and "0" represents false.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
String value = NChantSR1.GetProperty("dgnengineoptionconstants", 1);

wchar_t* value = pChantSR->GetProperty("dgnengineoptionconstants", 1);

String value = pChantSR->GetProperty("dgnengineoptionconstants", 1);

var value: Integer;
value := ChantSR1.GetProperty("dgnengineoptionconstants", 1);

String value = JChantSR1.GetProperty("dgnengineoptionconstants", 1);

Dim value As String
value = NChantSR1.GetProperty("dgnengineoptionconstants", 1)

Collapse/Expand See Also section See Also

ChantSR
SetProperty


ChantSR GetStringProperty Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

GetStringProperty Method

Returns string property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String value = chantSR.GetStringProperty(eChantStringProperty);

wchar_t* value = chantSR->GetStringProperty(eChantStringProperty);

String value = chantSR->GetStringProperty(eChantStringProperty);

var value: string;
value := chantSR.GetStringProperty(eChantStringProperty);

String value = chantSR.getStringProperty(eChantStringProperty);

Dim value As String
value = chantSR.GetStringProperty(eChantStringProperty)

Parameters

eChantStringProperty

ChantStringProperty. Value that uniquely identifies the property.

Return Value

String. Property value.

Collapse/Expand Remarks section Remarks

All recognizer and ChantSR string property values are accessed via GetStringProperty and SetStringProperty. The property type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CSPApplication | 1 | Identifies the application.
Microsoft SAPI 4 Speech Recognition | CSPAudioSourceFileCLSID | 3 | Specifies the File Audio Source COM object class identifier.
CSPDomain | 4 | Specifies the default domain for the application.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CSPEngine | 5 | Specifies the name of the recognizer or synthesizer.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CSPEngineID | 6 | Specifies the unique identifier of the recognizer or synthesizer.
Nuance Dragon NaturallySpeaking | CSPEngineVersion | 7 | Dragon Version number.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CSPISpMMSysAudioInCLSID | 8 | Specifies the SpMMAudioIn COM object class identifier.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CSPMicrophone | 11 | Identifies the name of the microphone. Used to automatically invoke the recognizer's microphone setup wizard when the application initially connects with the recognizer.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CSPMicrophoneHasRunMicWizard | 12 | Indicates the microphone wizard has been run previously. Valid values are TRUE or FALSE. Indicates the text message to use when prompting the user whether or not to run the microphone setup wizard.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CSPMicrophonePrompt | 13 | Indicates the text message to use when prompting the user whether or not to run the microphone setup wizard.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking CSPMicrophoneSetupOption 14 Indicates one of the following microphone setup options:
Option | Description
ReturnIfRun | Do not run if the microphone setup has run previously (e.g., CSPMicrophoneHasRunMicWizard = "TRUE").
PromptIfRun | Prompt the user to run if the microphone setup has run previously (e.g., CSPMicrophoneHasRunMicWizard = "TRUE") else if not (e.g., CSPMicrophoneHasRunMicWizard = "FALSE") run.
AlwaysRun | Always run the microphone setup wizard.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CSPMicrophoneTitle | 15 | Indicates the text title to use when prompting the user whether or not to run the microphone setup wizard.
Microsoft SAPI 4 Speech Recognition | CSPMMAudioSourceCLSID | 17 | Specifies the Multimedia Audio Source COM object class identifier.
CSPRecognizer | 18 | ChantSR class property. Identifies the recognizer and recognizer property settings to use for the application. The application framework persists recognizer properties under this unique name.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CSPSpeaker | 20 | Name of the current speaker (i.e., end user). For SAPI and Dragon recognizers, this is the profile name. For IBM SMAPI recognizers, this is the user name.
CSPSpeakerEnrollID | 21 | Specifies the enrollment identifier for the speaker (i.e., end user).
Microsoft SAPI 4 Speech Recognition | CSPSuspAudioSourceCLSID | 22 | Specifies the Suspending Audio Source COM object class identifier.
Nuance Dragon NaturallySpeaking | CSPToolsVersion | 24 | Dragon NaturallySpeaking version.
Nuance Dragon NaturallySpeaking | CSPTopic | 25 | Speech recognition topic.
Nuance VoCon 3200 | CSPAcousticModel | 26 | VoCon 3200 .dat file.
Nuance VoCon 3200 | CSPEnginePath | 31 | File path to the engine libraries.
Nuance VoCon 3200 | CSPLexicon | 32 | Name of the lexicon.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CSPDefaultEngine | 37 | Default Recognizer or Voice.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CSPDefaultSpeaker | 38 | Default speaker profile name.

Collapse/Expand Example section Example

The following example illustrates getting the current speech engine.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
String engine = NChantSR1.GetStringProperty(ChantStringProperty.CSPEngine);

wchar_t* engine = pChantSR->GetStringProperty(CSPEngine);

String engine = pChantSR->GetStringProperty(CSPEngine);

var engine: Integer;
engine := ChantSR1.GetStringProperty(CSPEngine);

String engine = JChantSR1.getStringProperty(ChantStringProperty.CSPEngine);

Dim engine As String
engine = NChantSR1.GetStringProperty(ChantStringProperty.CSPEngine)

Collapse/Expand See Also section See Also

ChantSR
GetNumberProperty


ChantSR HasEvent Event

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

HasEvent Event

Notifies the application of a speech recognition event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

// In your Form constructor, add reference to your event handler
NChantSR1.HasEvent += this.NChantSR1_HasEvent;

// The HasEvent handler is declared as a subroutine for the class object
// with the following signature
private void NChantSR1_HasEvent(object sender, Chant.SpeechKit.HasEventArgs e)
{

// HasEvent handler code goes here

}

                        // C++ event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
m_HasEvent = WM_APP+2;
m_pChantSR->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

LRESULT MyApp::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                            SetCallbackFunction method

                        // C++Builder event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantSR1->SetWindowMessage(Handle, WM_APP+2, 0, 0);

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                            SetCallbackFunction method

                        // Delphi event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantSR1.SetWindowMessage(Handle, WM_APP+2, 0, 0);

procedure TForm1.OnHasEvent(var msg: TMessage);
begin

// HasEvent handler code goes here

end;

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                            SetCallbackFunction method

                        // Java applications indicate they support the HasEvent handler interface
// with the "implements" clause
public class Frame1 extends JFrame implements com.speechkit.JChantSREvents

// You must also inform the class object which java object implements the HasEvent
                        handler interface
// using the setCallbackFunction
JChantSR1.setCallbackFunction(this,null,null);

// The HasEvent handler is declared as a method with the following signature
public void hasEvent(Object obj1, Object obj2)
{

' HasEvent handler code goes here

}

' Visual Basic .NET applications declare that they are interested in receiving events
' as part of the class object declaration using the WithEvents clause
Dim WithEvents NChantSR1 As NChantSR

' The HasEvent handler is declared as a subroutine for the class object with the following signature
Private Sub NChantSR1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.SpeechKit.HasEventArgs) Handles NChantSR1.HasEvent

' HasEvent handler code goes here

End Sub

Collapse/Expand Remarks section Remarks

An application must register for the events it is interested in receiving. The RegisterCallback method indicates the type of event the application is interested in receiving. An application can register for as many different event types as it wants.

Event notifications may be turned off at any time with the UnregisterCallback method.

If an application wants to receive events, it must also have a HasEvent handler that processes the desired events. See the discussion about events for speech recognition.

Collapse/Expand Example section Example

The following example illustrates handling progress events:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantSR1_HasEvent(object sender, SpeechKit.HasEventArgs e)
{
    // Get the event from the event queue
    NChantSREvent nChantSREvent = NChantSR1.GetChantSREvent();
    if (nChantSREvent != NULL)
    {
        // Process the type of callback event
        string result = "";
        switch (nChantSREvent.ChantCallback)
        {
            case (int)ChantCallback.CCSRHasPhrase :
                result = "CCSRHasPhrase: " + nChantSREvent.Phrase;
                break;
            case (int)ChantCallback.CCSRHasText :
                result = "CCSRHasText: " + nChantSREvent.Text;
                break;
            case (int)ChantCallback.CCSRHasCommand :
                result = "CCSRHasCommand: " + nChantSREvent.Command;
                break;
            default :
                break;
        }
        textBox1.Text = textBox1.Text + result + '\r' + '\n';
        // Make Visible
        textBox1.SelectionStart = textBox1.Text.Length;
        textBox1.ScrollToCaret();
        // Remove the event from the event queue
        NChantSR1.RemoveEvent();
    }
}

LRESULT CRecognitionDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (message == m_HasEvent)
    {
        USES_CONVERSION;
        CString sResult;
        // Get the event from the event queue
        CChantSREvent* pChantSREvent = pChantSR->GetChantSREvent();
        if (pChantSREvent != NUL:)
        {
            // Process the type of callback event
            switch (pChantSREvent->GetChantCallback())
            {
                case CCSRHasPhrase :
                    sResult = "CCSRHasPhrase: ";
                    sResult += W2T(pChantSREvent->GetPhrase());
                    break;
                case CCSRHasText :
                    sResult = "CCSRHasText: ";
                    sResult += W2T(pChantSREvent->GetText());
                    break;
                case CCSRHasCommand :
                    sResult = "CCSRHasCommand: ";
                    sResult += W2T(pChantSREvent->GetCommand());
                    break;
                default :
                    break;
            }
            CString sText;
            CEdit* pEdit = (CEdit*)GetDlgItem(IDC_EDIT1);
            pEdit->GetWindowText(sText);
            sText += sResult + _T("\r\n");
            pEdit->SetWindowText(sText);
            // Make Visible
            pEdit->SetSel(sText.GetLength(),sText.GetLength());
            // Remove the event from the event queue
            m_pChantSR->RemoveEvent();
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    String sResult;
    // Get the event from the event queue
    CChantSREvent* pChantSREvent = ChantSR1->GetChantSREvent();
    if (pChantSREvent != NULL)
    {
        switch (pChantSREvent->GetChantCallback())
        {
            default:
                break;
            case CCSRHasText:
            {
                sResult = "CCSRHasText: " + pChantSREvent->GetText();
                break;
            }
            case CCSRHasPhrase:
            {
                sResult = "CCSRHasPhrase: " + pChantSREvent->GetPhrase();
                break;
            }
            case CCSRHasCommand:
            {
                sResult = "CCSRHasCommand: " + pChantSREvent->GetCommand();
                break;
            }
        }
        Memo1->Text = Memo1->Text + sResult + '\r' + '\n';
        // Make Visible
        Memo1->SelStart = Memo1->Text.Length();
        Memo1->SelLength = 1;
        Memo1->SetFocus();

        // Remove the event from the event queue
        ChantSR1->RemoveEvent();
        delete pEvent;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  sResult: string;
  aTChantSREvent: TChantSREvent;
begin
    // Get the event from the event queue
    aTChantSREvent := ChantSR1.GetChantSREvent();
    if aTChantSREvent <> nil then
    begin
      case aTChantSREvent.ChantCallback of
        CCSRHasCommand:
        begin
          // Get the spoken command
          sResult := 'CCSRHasCommand: ' + aTChantSREvent.Command;
          Memo1.Text := Memo1.Text + sResult + #13 + #10;
        end;
        CCSRHasPhrase:
        begin
          // Get the spoken command
          sResult := 'CCSRHasPhrase: ' + aTChantSREvent.Phrase;
          Memo1.Text := Memo1.Text + sResult + #13 + #10;
        end;
        CCSRHasText:
        begin
          // Get the spoken command
          sResult := 'CCSRHasText: ' + aTChantSREvent.Text;
          Memo1.Text := Memo1.Text + sResult + #13 + #10;
        end;
      end;
      // Make Visible
      Memo1.SelStart := Length(Memo1.Text);
      Memo1.SelLength:= 1;
      Memo1.SetFocus;
      // Remove the event from the event queue
      ChantSR1.RemoveEvent();
      aTChantSREvent.Destroy();
    end;
end;

// Process callback.
public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantSREvent jChantSREvent = JChantSR1.getChantSREvent(0);
    // Process the type of callback event
    String result = "";
    if (jChantSREvent != null)
    {
        switch(jChantSREvent.getChantCallback())
        {
            case ChantCallback.CCSRHasPhrase :
                result = "CCSRHasPhrase: " + jChantSREvent.getPhrase();
                break;
            case ChantCallback.CCSRHasText :
                result = "CCSRHasText: " + jChantSREvent.getText();
                break;
            case ChantCallback.CCSRHasCommand :
                result = "CCSRHasCommand: " + jChantSREvent.getCommand();
                break;
            default :
                break;
        }
    }
    jTextArea1.append(result + '\r' + '\n');
    // Make Visible
    jTextArea1.setCaretPosition(jTextArea1.getText().length());
    // Remove the event from the event queue
    JChantSR1.removeEvent();
}

Private Sub NChantSR1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantSR1.HasEvent
    Dim result As String
    Dim nChantSREvent As NChantSREvent
    ' Get the event from the event queue
    nChantSREvent = NChantSR1.GetChantSREvent(0)
    If nChantSREvent <> Nothing Then
        result = ""
        ' Process the type of callback event
        Select Case nChantSREvent.ChantCallback
            Case ChantCallback.CCSRHasPhrase
                result = "CCSRHasPhrase: " + nChantSREvent.Phrase
            Case ChantCallback.CCSRHasText
                result = "CCSRHasText: " + nChantSREvent.Text
            Case ChantCallback.CCSRHasCommand
                result = "CCSRHasCommand: " + nChantSREvent.Command
            Case Else
        End Select
        TextBox1.Text = TextBox1.Text + result + vbCr + vbLf
        ' Make Visible
        TextBox1.SelectionStart = Len(TextBox1.Text)
        TextBox1.ScrollToCaret()
        ' Remove the event from the event queue
        NChantSR1.RemoveEvent()
    End If
End Sub

Collapse/Expand See Also section See Also

ChantSR
ChantSREvent
RegisterCallback
SetCallbackFunction
UnregisterCallback
SetWindowMessage


ChantSR ImportAppFramework Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ImportAppFramework Method

Imports the current runtime settings from a file.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR.ImportAppFramework(fileName);

chantSR->ImportAppFramework(fileName);

chantSR->ImportAppFramework(fileName);

chantSR.ImportAppFramework(fileName);

chantSR.importAppFramework(fileName);

chantSR.ImportAppFramework(fileName)

Parameters

fileName

String. File name from which to load the application framework. File name may include path qualifiers or may be a URL.

Collapse/Expand See Also section See Also

ChantSR
ExportAppFramework


ChantSR IsSupported Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

IsSupported Method

Returns boolean indicating whether a feature is supported.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool supported = chantSR.IsSupported(eChantEnumeration, constant);

bool supported = chantSR->IsSupported(eChantEnumeration, constant);

bool supported = chantSR->IsSupported(eChantEnumeration, constant);

var supported: boolean;
supported := chantSR.IsSupported(eChantEnumeration, constant);

boolean supported = chantSR.supported(eChantEnumeration, constant);

Dim supported As Boolean
supported = chantSR.IsSupported(eChantEnumeration, constant)

Parameters

eChantEnumeration

ChantEnumeration. Specifies the value that uniquely identifies the Chant enumeration type.

constant

Long integer. Enumeration constant to determine feature support.

Return Value

Boolean. True or False indicating whether the feature is supported.

Collapse/Expand Remarks section Remarks

You can test to see if a feature is supported. For example, your application could check to see if an engine API is available on the system or if a dialog is supported before attmpting to display it. The enumeration type may be one of the constant values from the following enumerations:

Constant | Value | Description
CENChantDialog | 3 | ChantDialog
CENChantEngineAPI | 4 | ChantEngineAPI
CENChantNumberProperty | 8 | ChantNumberProperty
CENChantResourceFunction | 15 | ChantResourceFunction
CENChantStringProperty | 19 | ChantStringProperty

Collapse/Expand Example section Example

The following example illustrates determining whether the recognizer supports a specific dialog

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
bool supported = NChantSR1.IsSupported(ChantEnumeration.CENChantDialog, (int)ChantDialog.CDUserTraining);
if (supported)
{
    NChantSR1.ShowDialog(ChantDialog.CDUserTraining);
}

bool supported = pChantSR->IsSupported(CENChantDialog, CDUserTraining);
if (supported)
{
    pChantSR1->ShowDialog(CDUserTraining);
}

bool supported = pChantSR->IsSupported(CENChantDialog, CDUserTraining);
if (supported)
{
    pChantSR1->ShowDialog(CDUserTraining);
}

var supported: boolean;
supported := ChantSR1.IsSupported(CENChantDialog, CDUserTraining);
if supported then
    ChantSR1.ShowDialog(CDUserTraining);

boolean supported = JChantSR1.supported(ChantEnumeration.CENChantDialog, ChantDialog.CDUserTraining);
if (supported)
{
    JChantSR1.ShowDialog(ChantDialog.CDUserTraining);
}

Dim supported As Boolean
supported = NChantSR1.IsSupported(ChantEnumeration.CENChantDialog, ChantDialog.CDUserTraining)
If supported Then
    NChantSR1.ShowDialog(ChantDialog.CDUserTraining)
End If

Collapse/Expand See Also section See Also

ChantSR


ChantSR LastError Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

LastError Property

A numeric error code for the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int error = chantSR.LastError;

long error = chantSR->GetLastError();

long error = chantSR->GetLastError();

var error: Integer;
error := chantSR.LastError;

int error = chantSR.getLastError();

Dim error As Integer
error = chantSR.LastError

Return Value

Long integer. Error code.

Collapse/Expand Remarks section Remarks

ChantSR return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantSR
LastErrorMessage
LastErrorString


ChantSR LastErrorMessage Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

LastErrorMessage Property

A description of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String errorMessage = chantSR.LastErrorMessage;

wchar_t* errorMessage = chantSR->GetLastErrorMessage();

String errorMessage = chantSR->GetLastErrorMessage();

var errorMessage: string;
errorMessage := chantSR.LastErrorMessage;

String errorMessage = chantSR.getLastErrorMessage();

Dim errorMessage As String
errorMessage = chantSR.LastErrorMessage

Collapse/Expand Remarks section Remarks

ChantSR return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantSR
LastError
LastErrorString


ChantSR LastErrorString Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

LastErrorString Property

A text representation of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String error = chantSR.LastErrorString;

wchar_t* error = chantSR->GetLastErrorString();

String error = chantSR->GetLastErrorString();

var error: string;
error := chantSR.LastErrorString;

String error = chantSR.getLastErrorString();

Dim error As String
error = chantSR.LastErrorString

Collapse/Expand Remarks section Remarks

ChantSR return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantSR
LastError
LastErrorMessage


ChantSR PauseRecording Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

PauseRecording Method

Suspends speech recognition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR->PauseRecording();

chantSR->PauseRecording();

chantSR->PauseRecording();

chantSR.PauseRecording();

chantSR.pauseRecording();

chantSR.PauseRecording()

Collapse/Expand Remarks section Remarks

An application may need to temporarily suspend speech recognition processing. This does not stop the audio buffer from collecting audio data. Once ResumeRecording is invoked this audio data is processed. If the audio buffer fills, audio will be lost. If you want to stop recognizing temporarily without having to disable vocabularies, use the SetMicOn method.

Collapse/Expand See Also section See Also

ChantSR
ResumeRecording


ChantSR RegisterCallback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RegisterCallback Method

Sets the callback event active.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR.RegisterCallback(eChantCallback);

chantSR->RegisterCallback(eChantCallback);

chantSR->RegisterCallback(eChantCallback);

chantSR.RegisterCallback(eChantCallback);

chantSR.registerCallback(eChantCallback);

chantSR.RegisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CCSDataAvailable | 1 | SAPI 4 Recognizer internal audio buffer has changed. Dragon notifies of microphone state changes with the DgnMicStateConstants: Disabled (0), MicOff (1), MicOn (2), MicSleeping (3), MicPause (4), or MicResume (5). Property values: Bytes (DgnMicStateConstant) and EOF (paused property).
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CCSOverflow | 2 | Recognizer internal audio buffer is full and incoming data has been lost. SAPI 4 notifies the nuber of lost bytes. VoCon 3200 notifies with the AUDIOIN_STATUSINFO: AUDIOIN_TIMEOUT(1), AUDIOIN_FIFOOVERRUN(3), AUDIOIN_FLUSHED(4), or AUDIOIN_HWOVERRUN(5). Property values: Bytes.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioStart | 3 | Recognizer opened the audio source device. Property values: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioStop | 4 | Recognizer has no more data from the source audio stream. Property values: Reason.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioFileBegin | 5 | Recognizer has begun processing an audio file. Property values: ID.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioFileEnd | 6 | Recognizer has finished processing an audio file. Property values: ID.
Microsoft SAPI 4 Speech Recognition | CCSAudioFilePosn | 7 | Recognizer identifies how much data has been processed. Property values: Processed, Left.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioFileQueueEmpty | 8 | Recognizer has finished processing all files in the queue.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRAudioLevel | 30 | Audio level of the utterance. Event property values set: Level.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRBookMark | 31 | Speech recognition engine encountered a bookmark. Event Event property values set: BookMarkNum, BookMarkOption.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRFalseRecognition | 32 | Speech recognition engine was unable to recognize speech from the utterance. Event property values set: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasCommand | 33 | Speech recognition engine's highest confidence about what was said in the last utterance from a command vocabulary. Event property values set: Command. SAPI 4 property values set: Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 property values set: IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasCommandHypothesis | 34 | Speech recognition engine's hypothesis about what was said in the last utterance from a command vocabulary. Property values: Command. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasPhrase | 35 | Speech recognition engine's highest confidence about what was said in the last utterance from a grammar vocabulary. Property values: Phrase. SAPI 4 property values set: Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 property values set: IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasPhraseHypothesis | 36 | Speech recognition engine's hypothesis about what was said in the last utterance from a grammar vocabulary. Property values: Phrase. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRHasRecognitionOther | 37 | Recognized speech from a vocabulary of another session. Event property values set: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRHasCommand | 38 | Speech recognition engine's highest confidence about what was said in the last utterance from a dictation vocabulary or topic. Property values: Text. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRHasCommandHypothesis | 39 | Speech recognition engine's hypothesis about what was said in the last utterance from a dictation vocabulary or topic. Property values: Text. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRInterference | 40 | Speech recognition engine interference detected. Property values: TimeStampBegin, TimeStampEnd, Interference.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRNumberPropertyChanged | 41 | Speech recognition numeric property value changed. Property values: NumberProperty, NumberPropertyVal.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRPaused | 42 | Speech recognition engine is paused. Property values: none.
 | CCSRProgress | 43 | Percent completion an of ImportResource, ExportResource, or SMAPI Audio save operations. Values range from 0 to 100. Property values: Progress.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRPhraseStart | 44 | Speech recognition engine has started processing audio data. Property values: TimeStampBegin.
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRReEvaluate | 45 | Speech recognition engine changed a speech recognition results object. Property values: IUnknownResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRSound | 46 | Speech recognition engine detected a sound. Property values: TimeStampBegin, TimeStampEnd.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRStringPropertyChanged | 47 | Speech recognition string property value changed. Property values: StringProperty, StringPropertyVal.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRTraining | 48 | Speech recognition engine suggests training for the current speaker, grammar, ormicrophone is needed. Property values: Training.
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRUnArchive | 49 | An archived recognition result was loaded. Property values: IUnknownResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRUtteranceBegin | 50 | The beginning of an utterance was detected. Property values: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRUtteranceEnd | 51 | The end of an utterance was detected. Property values: none.
 | CCGMError | 56 | Grammar compiler error. Property values: Flags, ID, Phrase, ResourceID, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCAPIError | 59 | API Error. Property values: ID, Function, Text.

The following example illustrates turning on HasCommand events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn on HasCommand events
NChantSR1.RegisterCallback(ChantCallback.CCSRHasCommand);

// Turn on HasCommand events
pChantSR->RegisterCallback(CCSRHasCommand);

// Turn on HasCommand events
pChantSR->RegisterCallback(CCSRHasCommand);

// Turn on HasCommand events
ChantSR1.RegisterCallback(CCSRHasCommand);

// Turn on HasCommand events
JChantSR1.registerCallback(ChantCallback.CCSRHasCommand);

' Turn on HasCommand events
NChantSR1.RegisterCallback(ChantCallback.CCSRHasCommand)

Collapse/Expand See Also section See Also

ChantSR
UnregisterCallback


ChantSR RemoveEvent Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RemoveEvent Method

Removes a speech resource definition or frees a speech resource object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR.RemoveEvent();

chantSR->RemoveEvent();

chantSR->RemoveEvent();

chantSR.RemoveEvent();

chantSR.removeEvent();

chantSR.RemoveEvent()

Collapse/Expand Example section Example

See HasEvent example.

Collapse/Expand See Also section See Also

ChantSR


ChantSR RequestCount Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RequestCount Property

The number of active and queued StartRecording or SpeechToText requests.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantSR.RequestCount;

long count = chantSR->GetRequestCount();

long count = chantSR->GetRequestCount();

var count: Integer;
count := chantSR.RequestCount;

int count = chantSR.getRequestCount();

Dim count As Integer
count = chantSR.RequestCount

Return Value

Long integer. Number of active and queued requests.

Collapse/Expand See Also section See Also

ChantSR
RequestCountMessage
RequestCountString


ChantSR ResumeRecording Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ResumeRecording Method

Resumes speech recognition that was suspended by PauseRecording.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR.ResumeRecording();

chantSR->ResumeRecording();

chantSR->ResumeRecording();

chantSR.ResumeRecording();

chantSR.resumeRecording();

chantSR.ResumeRecording()

Collapse/Expand Remarks section Remarks

An application may need to temporarily suspend speech recognition processing. This does not stop the audio buffer from collecting audio data. Once ResumeRecording is invoked this audio data is processed. If the audio buffer fills, audio will be lost. If you want to stop recognizing temporarily without having to disable vocabularies, use the SetMicOn method.

Collapse/Expand See Also section See Also

ChantSR
PauseRecording


ChantSR SetCallbackFunction Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetCallbackFunction Method

Sets callback static function.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantSR->SetCallbackFunction(pCallbackFunction, wParam, lParam);

chantSR->SetCallbackFunction(pCallbackFunction, wParam, lParam);

chantSR.SetCallbackFunction(pCallbackFunction, wParam, lParam);

chantSR.setCallbackFunction(pCallbackFunction, wParam, lParam);

Not supported.

Parameters

callbackFunction

Pointer (C++, C++Builder, Delphi), Object (Java). Name of conditional variable. Callback address (C++, C++Builder, Delphi). Callback object that implements the ChantSREvents interface (Java).

wParam

WPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

lParam

LPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support static callbacks may set a function to receive callback events.

Collapse/Expand See Also section See Also

ChantSR
SetWindowMessage


ChantSR SetCallbackParms Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetCallbackParms Method

Sets optional callback parameters.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR.SetCallbackParms(parm1, parm2);

Not supported.

Not supported.

Not supported.

chantSR.setCallbackParms(parm1, parm2);

chantSR.SetCallbackParms(parm1, parm2)

Parameters

parm1

Object. Optional application defined value passed on all callback events.

parm2

Object. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Application defined values may be passed on all callback events.

Collapse/Expand Example section Example

The following example illustrates setting optional callback parms.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantSR1.SetCallbackParms(NChantSR1, null);

Not supported.

Not supported.

Not supported.

JChantSR1.setCallbackParms(JChantSR1, null);

NChantSR1.SetCallbackParms(NChantSR1, Nothing)

Collapse/Expand See Also section See Also

ChantSR


ChantSR SetMicOn Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetMicOn Method

Sets the microphone as active or inactive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR.SetMicOn(micOn);

chantSR->SetMicOn(micOn);

chantSR->SetMicOn(micOn);

chantSR.SetMicOn(micOn);

chantSR.setMicOn(micOn);

chantSR.SetMicOn(micOn)

Parameters

fMicOn

Boolean. TRUE or FALSE to indicate whether the microphone is active.

Collapse/Expand Remarks section Remarks

Flag indicating whether or not the recognizer is receiving audio from the microphone. Setting the flag to TRUE indicates the recognizer is receiving audio from the microphone.

Collapse/Expand See Also section See Also

ChantSR


ChantSR SetNumberProperty Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetNumberProperty Method

Sets a numeric property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR.SetNumberProperty(eChantNumberProperty, value);

chantSR->SetNumberProperty(eChantNumberProperty, value);

chantSR->SetNumberProperty(eChantNumberProperty, value);

chantSR.SetNumberProperty(eChantNumberProperty, value);

chantSR.setNumberProperty(eChantNumberProperty, value);

chantSR.SetNumberProperty(eChantNumberProperty, value)

Parameters

eChantNumberProperty

ChantNumberProperty. Value that uniquely identifies the property.

value

Integer. Property value.

Collapse/Expand Remarks section Remarks

All recognizer and ChantSR numeric property values are accessed via GetNumberProperty and SetNumberProperty. The property type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CNPAdaptationOn | 1 | SAPI 5 recognizer property that indicates whether the recognizer should adapt the acoustic model for the speaker (i.e., the recognizer will constantly update the speaker profile over time) or Dragon NaturallySpeaking property dgnregGlobalCM to load the Dragon NaturallySpeaking global compatibility module, enabling global commands, tracking, and global dictation support (Dragon NaturalText). Use 0 for off and 1 for on. Default value for SAPI 5 is 1. Default value for Dragon NaturallySpeaking is 0.
 | CNPAudioFormat | 3 | Specifies common Windows audio formats ranging from uncompressed PCM formats to highly compressed formats. Some synthesizers and recognizer may not support all audio formats. See the ChantAudioFormat enumeration constants for valid values.
Nuance Dragon NaturallySpeaking | CNPAudioSetupComplete | 4 | Indicates that the Dragon audio setup has been run for the user.
Microsoft SAPI 4 Speech Recognition | CNPAutoGainEnable | 5 | Recognizer property. Specifies the amount to which a recognizer should adjust the gain (i.e., input audio signal). A value of 0 disables automatic gain. A value of 100 causes the speech recognition engine to always adjust the gain. Values between 0 and 100 moderate the gain on a linear scale. If the value is out of range for the engine, an error is returned and the gain is not changed.
Microsoft SAPI 4 Speech Recognition | CNPAwakeState | 6 | Recognizer property. Specifies whether recognition is enabled. Enabling commands (e.g., “wake up”) can be associated with changing the AwakeState. Valid values include: 0 (sleep) and 1 (awake).
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPComplexResponseSpeed | 7 | Recognizer property. Indicates the amount of silence that the recognizer uses for before completing a recognition. SAPI 5 uses this value when the recognition is ambiguous. See CNPResponseSpeed property. Valid values are 0 to 10,000 in milliseconds. The default value is 500 ms. The value must be greater than the CNPResponseSpeed value.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CNPDeviceID | 8 | Specifies the device identifier of the Windows audio source for recognition and audio destination for synthesis. Default value is WAVE_MAPPER (-1).
Microsoft SAPI 4 Speech Recognition | CNPEcho | 9 | Recognizer property. Specifies the state of echo canceling on the inbound audio stream. Echo canceling causes the recognizer to ignore low-level audio signals so that it doesn't attempt to recognize the residual signal of the echo cancellation. Valid values include: 0 (off) and 1 (on).
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CNPEnabled | 10 | Recognizer property that enables or disables speech recognition for a Voice Command site, SAPI 4 Voice Text site property that enables or disables speech synthesis for a Voice Text site, or Dragon NaturallySpeaking DragonBar is visible. Valid values include: 0 (disabled) and 1 (enabled).
Microsoft SAPI 4 Speech Recognition | CNPEnergyFloor | 11 | Recognizer property. Specifies the value of the signal-to-noise ratio (SNR) for a particular environment. A low floor value means recognition engine is more sensitive to background noise. A high floor value means recognition is less sentitive to back ground noise. The value of the noise floor is interpreted in negative decibels. For example, a value of 30 indicates an energy floor of -30 dB. SAPI 4 specification value range is from 0 to 65356.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CNPEngineAPI | 12 | ChantSR property that specifies the speech engine API.
Nuance Dragon NaturallySpeaking | CNPEngineRunning | 13 | Indicates whether the speech engine is running.
Nuance Dragon NaturallySpeaking | CNPEngineUI | 14 | Indicates whether this application is displaying the Dragon NaturallySpeaking tray microphone icon.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CNPHighConfidenceThreshold | 15 | Recognizer property. Specifies the highest level of a 3-level confidence score assigned by the recognizer. If the recognizer does not set this value, SAPI 5 attempts to generate it. Valid range of values is 0 to 100. The default value is 80. For VoCon 3200 V4.2+, specifies the minimum amount of confidence level that a spoken utterance is in grammar. If confidence level is equal or above this parameter value, it means that the spoken utterance is in grammar (even through it is the same as CNPLowConfidenceThreshold value). If confidence level is below this parameter value, the spoken utterance can be probably in grammar or out of grammar. The value range is 0 to 10000 with the default value 5000.
Nuance Dragon NaturallySpeaking | CNPLanguageID | 16 | Indicates that the Dragon NaturallySpeaking language.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPLineID | 17 | The SAPI 5 line identifier associated with the multimedia device. Mixer lines are not supported for output devices.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CNPLowConfidenceThreshold | 18 | Recognizer property. Specifies the lowest level of a 3-level confidence score assigned by the recognizer. If the recognizer does not set this value, SAPI 5 attempts to generate it. Valid range of values is 0 to 100. The default value is 20. For VoCon 3200 V4.2+, specifies the maximum amount of confidence level that a spoken utterance is out of grammar. If confidence level is equal or below this parameter value, it means that the spoken utterance is out of grammar. If confidence level is above value of this parameter, the spoken utterance can be probably in grammar. The value range is 0 to 10000 with the default value 5000.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CNPMaxAlternates | 19 | Indicates that alternate recognized phrases should be returned as part of the recognition results. VoCon 3200 generates 3 by default.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPNormalConfidenceThreshold | 20 | Recognizer property. Specifies the middle level of a 3-level confidence score assigned by the recognizer. If the recognizer does not set this value, SAPI 5 attempts to generate it. Valid range of values is 0 to 100. The default value is 50.
Microsoft SAPI 4 Speech Recognition | CNPRealTime | 23 | Recognizer and synthesizer property. Specifies the real-time setting for the recognizer or synthesizer. The real-time setting is the percentage of processor time used during processing. For example, if the value is 10, the engine uses one minute of processor time. If the value is 50, the engine takes 30 seconds. The processor time used is an estimate so the property value should be considered a relative value setting. The value can be set to higher than 100 for non-real-time audio processing (i.e., file or stream audio).
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CNPResourceUsage | 24 | Recognizer property. Specifies the percent of CPU consumption. Valid SAPI 5 values range from 0 to 100. The default SAPI 5 value is 50. For IBM SMAPI recognizers the value is either 0 for normal CPU mode or 1 for reduced CPU mode. The default IBM SMAPI value is 0. For VoCon 3200, specifies the accuracy value used to determine CPU and memory consumption. The value range is 100 to 50000 with the default value 10000.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPResponseSpeed | 25 | Recognizer property. Indicates amount of silence the recognizer looks for before completing a recognition. SAPI 5 uses this value for non-ambiguous recognitions. See CNPComplexResponseSpeed. Valid SAPI 5 values range from 0 to 10,000 in milliseconds. The default SAPI 5 value is 500 ms. Valid IBM SMAPI values include: 1 for balanced level, 2 for accuracy level, 3 to allow dynamic level adjustment, and 4 for speed level. The default IBM SMAPI value is 1.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPRetainAudio | 26 | Recognizer property. Indicates whether the recognizers should retain audio for recognition result playback using the PlaybackWords method.
Nuance Dragon NaturallySpeaking | CNPSpeakerCalibrated | 27 | Indicates if the Dragon speaker calibration is complete for the user.
Nuance Dragon NaturallySpeaking | CNPSpeakerModified | 28 | Indicates whether the current Dragon speech files have been modified and need saving.
Nuance Dragon NaturallySpeaking | CNPSpeakerTrained | 29 | Indicates whether the current Dragon speaker has completed General Training and is ready to use dictation.
Microsoft SAPI 4 Speech Recognition | CNPThreshold | 32 | Recognizer property. Specifies the minimum confidence level for the recognizer before returning a match as recognized speech. Valid SAPI 4 values range from 0 to 100. Valid IBM SMAPI values range from 0 to 10.
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CNPTimeOutComplete | 33 | Recognizer property. Speficies the amount of silence the recognizer needs between utterances before it accepts or rejects the recognition as complete. Valid SAPI 4 specification values range from 0 to 4294967295. IBM SMAPI default value is 25. Nuance VoCon (ASRFX_PARAM_TS) values range 100 to 2000 with default value 700.
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CNPTimeOutIncomplete | 34 | Recognizer property. Speficies the amount of silence the recognizer needs between utterances before it accepts or rejects the recognition as incomplete. Valid SAPI 4 specification values range from 0 to 4294967295. IBM SMAPI default value is 250. Nuance VoCon (ASRREC_CTXPARAM_TS) values range 100 to 2000 with default value 600.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CNPNativeAPI | 42 | Enumerate a recognizer or voice via native API if available and not as a SAPI recognizer or voice.

Collapse/Expand Example section Example

The following example illustrates setting the recognizer to the default SAPI 5 inproc (non-shared) recognizer.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantSR1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CESAPI5SR);

pChantSR->SetNumberProperty(CNPEngineAPI, CESAPI5SR);

pChantSR->SetNumberProperty(CNPEngineAPI, CESAPI5SR);

ChantSR1.SetNumberProperty(CNPEngineAPI, CESAPI5SR);

JChantSR1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CESAPI5SR);

NChantSR1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CESAPI5SR)

Collapse/Expand See Also section See Also

ChantSR
GetStringProperty


ChantSR SetProperty Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetProperty Method

Sets a property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

nChantSR.SetProperty(propertyType, propertyConstant, value);

pChantSR->SetProperty(propertyType, propertyConstant, value);

pChantSR->SetProperty(propertyType, propertyConstant, value);

aTChantSR.SetProperty(propertyType, propertyConstant, value);

jChantSR.setProperty(propertyType, propertyConstant, value);

nChantSR.SetProperty(propertyType, propertyConstant, value)

Parameters

propertyType

String. Name of the property type.

propertyConstant

Integer. Enumeration constant property value.

value

String. Property value.

Collapse/Expand Remarks section Remarks

Speech recognition engines have a variety of property settings defined by enumeration types. The SetProperty method provides a way to set a value using the property type name and enumeration constant value.

Collapse/Expand Example section Example

The following example illustrates setting the Dragon NatuallySpeaking engine option constant dgnengoptionUseConfidence to true. For boolean values "1" represents true and "0" represents false.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantSR1.SetProperty("dgnengineoptionconstants", 1, "1");

pChantSR->SetProperty(L"dgnengineoptionconstants", 1, L"1");

pChantSR->SetProperty("dgnengineoptionconstants", 1, "1");

ChantSR1.SetProperty('dgnengineoptionconstants', 1, '1');

JChantSR1.setNumberProperty("dgnengineoptionconstants", 1, "1");

NChantSR1.SetProperty("dgnengineoptionconstants", 1, "1")

Collapse/Expand See Also section See Also

ChantSR
GetProperty


ChantSR SetStringProperty Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetStringProperty Method

Sets a string property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR.SetStringProperty(eChantStringProperty, value);

chantSR->SetStringProperty(eChantStringProperty, value);

chantSR->SetStringProperty(eChantStringProperty, value);

chantSR.SetStringProperty(eChantStringProperty, value);

chantSR.setStringProperty(eChantStringProperty, value);

chantSR.SetStringProperty(eChantStringProperty, value)

Parameters

eChantStringProperty

ChantStringProperty. Value that uniquely identifies the property.

value

String. Property value.

Collapse/Expand Remarks section Remarks

All recognizer and ChantSR string property values are accessed via GetStringProperty and SetStringProperty. The property type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking Microsoft SAPI 4 Text-to-Speech | CSPApplication | 1 | Identifies the application.
Microsoft SAPI 4 Text-to-Speech | CSPAudioDestFileCLSID | 2 | Specifies the File Audio Destination COM object class identifier.
Microsoft SAPI 4 Speech Recognition | CSPAudioSourceFileCLSID | 3 | Specifies the File Audio Source COM object class identifier.
CSPDomain | 4 | Specifies the default domain for the application.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CSPEngine | 5 | Specifies the name of the recognizer or synthesizer.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CSPEngineID | 6 | Specifies the unique identifier of the recognizer or synthesizer.
Nuance Dragon NaturallySpeaking | CSPEngineVersion | 7 | Dragon Version number.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CSPISpMMSysAudioInCLSID | 8 | Specifies the SpMMAudioIn COM object class identifier.
CSPLicense | 10 | Class property. Specifies the license value required for distributing applications with the Chant class libraries.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CSPMicrophone | 11 | Identifies the name of the microphone. Used to automatically invoke the recognizer's microphone setup wizard when the application initially connects with the recognizer.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CSPMicrophoneHasRunMicWizard | 12 | Indicates the microphone wizard has been run previously. Valid values are TRUE or FALSE. Indicates the text message to use when prompting the user whether or not to run the microphone setup wizard.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CSPMicrophonePrompt | 13 | Indicates the text message to use when prompting the user whether or not to run the microphone setup wizard.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking CSPMicrophoneSetupOption 14 Indicates one of the following microphone setup options:
Option | Description
ReturnIfRun | Do not run if the microphone setup has run previously (e.g., CSPMicrophoneHasRunMicWizard = "TRUE").
PromptIfRun | Prompt the user to run if the microphone setup has run previously (e.g., CSPMicrophoneHasRunMicWizard = "TRUE") else if not (e.g., CSPMicrophoneHasRunMicWizard = "FALSE") run.
AlwaysRun | Always run the microphone setup wizard.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CSPMicrophoneTitle | 15 | Indicates the text title to use when prompting the user whether or not to run the microphone setup wizard.
Microsoft SAPI 4 Speech Recognition | CSPMMAudioSourceCLSID | 17 | Specifies the Multimedia Audio Source COM object class identifier.
CSPRecognizer | 18 | ChantSR class property. Identifies the recognizer and recognizer property settings to use for the application. The application framework persists recognizer properties under this unique name.
CSPSerials | 19 | Class property. Specifies the serial number value required for distributing applications with the Chant class libraries.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CSPSpeaker | 20 | Name of the current speaker (i.e., end user). For SAPI and Dragon recognizers, this is the profile name. For IBM SMAPI recognizers, this is the user name.
CSPSpeakerEnrollID | 21 | Specifies the enrollment identifier for the speaker (i.e., end user).
Microsoft SAPI 4 Speech Recognition | CSPSuspAudioSourceCLSID | 22 | Specifies the Suspending Audio Source COM object class identifier.
CSPSynthesizer | 23 | ChantTTS class property. Identifies the synthesizer and synthesizer property settings to use for the application. The application framework persists synthesizer properties under this unique name.
Nuance Dragon NaturallySpeaking | CSPToolsVersion | 24 | Dragon NaturallySpeaking version.
Nuance Dragon NaturallySpeaking | CSPTopic | 25 | Speech recognition topic.
Nuance VoCon 3200 | CSPAcousticModel | 26 | VoCon 3200 acoustic model file.
Nuance VoCon 3200 | CSPEnginePath | 31 | File path to the engine libraries.
Nuance VoCon 3200 | CSPLexicon | 32 | Name of the lexicon.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPDefaultEngine | 37 | Default Recognizer or Voice.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CSPDefaultSpeaker | 38 | Default speaker profile name.
Nuance VoCon 3200 V3 | CSPDDG2PModel | 40 | The VoCon 3200 Data Driven G2P model object that maps words to phonetic transcriptions.
Nuance VoCon 3200 V3 | CSPCLCModel | 41 | The VoCon 3200 Common Linguistic Component model object that maps words to phonetic transcriptions.

Collapse/Expand Example section Example

The following example illustrates setting the recognizer to the Microsoft EnglishMicrosoft English Recognizer v5.1 SAPI 5.1 recognizer.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantSR1.SetStringProperty(ChantStringProperty.CSPEngine, "Microsoft Speech Recognizer 8.0 for Windows (English - US)");

pChantSR->SetStringProperty(CSPEngine, L"Microsoft Speech Recognizer 8.0 for Windows (English - US)");

pChantSR->SetStringProperty(CSPEngine, "Microsoft Speech Recognizer 8.0 for Windows (English - US)");

ChantSR1.SetStringProperty(CSPEngine, 'Microsoft Speech Recognizer 8.0 for Windows (English - US)');

JChantSR1.setStringProperty(ChantStringProperty.CSPEngine, "Microsoft Speech Recognizer 8.0 for Windows (English - US)");

NChantSR1.SetStringProperty(ChantStringProperty.CSPEngine, "Microsoft Speech Recognizer 8.0 for Windows (English - US)")

Collapse/Expand See Also section See Also

ChantSR
SetStringProperty


ChantSR SetWindowMessage Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetWindowMessage Method

Sets the WM_APP message value for receiving an event notification as Win32 message.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantSR->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantSR->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantSR.SetWindowMessage(hWnd, Msg, wParam, lParam);

Not supported.

Not supported.

Parameters

hWnd

HWND. Application window handle.

Msg

Long integer. Unique windows message number.

wParam

WPARAM. Optional application defined value passed on all callback events.

lParam

LPARAM. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support Win32 message pump may set a WM_APP message value to uniquely identify ChantSR event notifications. An event notification indicates that a ChantSR callback has fired and a ChantSREvent resource is on the event resource queue.

Collapse/Expand See Also section See Also

ChantSR


ChantSR ShowDialog Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ShowDialog Method

Displays a recognizer or ChantSR dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR.ShowDialog(eChantDialog, owner, title, options);

chantSR->ShowDialog(eChantDialog, owner, title, options);

chantSR->ShowDialog(eChantDialog, owner, title, options);

chantSR.ShowDialog(eChantDialog, owner, title, options);

chantSR.showDialog(eChantDialog, owner, title, options);

chantSR.ShowDialog(eChantDialog, owner, title, options)

Parameters

eChantDialog

ChantDialog. The dialog to display.

owner

HWND. Application window handle.

title

String. Optional dialog title.

options

String. Optional value required by the dialog.

Collapse/Expand Remarks section Remarks

All recognizer and ChantSR dialogs are displayed using the ShowDialog method. Note that some recognizers may not support dialogs listed in the ChantDialog enumerated constants. The dialog type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CDAbout | 1 | Displays the SAPI 4 AboutDlg or Dragon About dialog box that identifies the engine and contains the copyright notice.
Nuance Dragon NaturallySpeaking | CDAccuracyCenter | 2 | Displays the Dragon Accuracy Center dialog box.
Nuance Dragon NaturallySpeaking | CDAccuracyAssistant | 3 | Displays the Dragon Accuracy Assistant dilaog box.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CDAddRemoveWord | 4 | Displays the SAPI 4 LexiconDlg, SAPI 5 AddRemoveWord, or the Dragon Add Word dialog box that allows the user to view and edit his or her pronunciations.
Nuance Dragon NaturallySpeaking | CDAddWordFromList | 5 | Displays the Dragon Add Word from List dialog box.
Nuance Dragon NaturallySpeaking | CDAddWordsFromDocs | 6 | Displays the Dragon Add Words from Documents dialog box.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CDAudioProperties | 7 | Displays the SAPI 5 AudioProperties dialog that allows the user to adjust a custom audio object's properties.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CDAudioVolume | 8 | Displays the SAPI 5 AudioVolume dialog that allows the user to adjust a custom audio object's volume property.
Nuance Dragon NaturallySpeaking | CDCommandBrowser | 9 | Displays the Dragon Command Browser dialog box. Not supported via ShowDialog. Launchfrom Dragon tray icon.
Nuance Dragon NaturallySpeaking | CDDictationShortcuts | 11 | Displays the Dragon Dictation Shortcuts dialog box.
Nuance Dragon NaturallySpeaking | CDEditCommandWizard | 12 | Displays the Dragon Edit Command Wizard dialog box.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CDEngineProperties | 13 | Displays the SAPI 4 GeneralDlg, SAPI 5 EngineProperties, or the Dragon NaturallySpeaking Options dialog box that allows your application to adjust the engine's properties.
Nuance Dragon NaturallySpeaking | CDHelpTopics | 14 | Displays the Dragon NaturallySpeaking Help viewer.
Nuance Dragon NaturallySpeaking | CDImportDVC | 15 | Displays the Dragon Import Command Files dialog box.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CDMicTraining | 16 | Displays the SAPI 4 TrainMicDlg, SAPI 5 MicTraining, or the Dragon Audio Setup wizard that allows the user to train the engine for a specific microphone.
Nuance Dragon NaturallySpeaking | CDMobileTraining | 17 | Runs the Dragon supplemental Mobile Training.
Nuance Dragon NaturallySpeaking | CDNewCommandWizard | 18 | Runs the Dragon MyCommands Editor to create voice commands.
Nuance Dragon NaturallySpeaking | CDNewVocabulary | 19 | Displays the Dragon New Vocabulary dialog box.
Nuance Dragon NaturallySpeaking | CDOpenVocabulary | 20 | Displays the Dragon Manage Vocabularies dialog box.
Nuance Dragon NaturallySpeaking | CDRecognitionHistory | 21 | Displays the Dragon Recognition History dialog box.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CDRecoProfileProperties | 22 | Displays the SAPI 5 RecoProfileProperties dialog that allows the user to adjust recognition profile properties.
Nuance Dragon NaturallySpeaking | CDRemoveDVC | 23 | Displays the Dragon Delete Command Files dialog box.
Nuance Dragon NaturallySpeaking | CDSpeakerNew | 26 | Starts the Dragon New User wizard or Microsoft SAPI 5.3 UserEnrollment dialog. Use this dialog when you want to create a user and run first-time audio setup and General Training.
Nuance Dragon NaturallySpeaking | CDSpeakerOpen | 27 | Displays the Dragon Manage Users dialog box. Then starts the New User wizard if the selected user is not fully trained. Use this dialog when you want to ensure that you are opening a fully trained user.
Nuance Dragon NaturallySpeaking | CDSpeakerSave | 28 | Displays the Dragon Speaker Save dialog box that saves the speech files for the current user and displays a progess dialog. In Dragon NaturallySpeaking 4.1 and earlier, the user is asked whether or not they want to save their speech files.
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CDTrainPhrases | 29 | Displays the SAPI 4 TrainPhrasesDlg or the Dragon Train Words dialog box that allows your application to train the engine for specific phrases.
Nuance Dragon NaturallySpeaking | CDTranscribe | 30 | Displays the Dragon Transcribe dialog box.
Nuance Dragon NaturallySpeaking | CDUserBackup | 32 | Displays the Dragon Backup User dialog box.
Nuance Dragon NaturallySpeaking | CDUserRestore | 34 | Displays the Dragon Restore User dialog box.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CDUserTraining | 35 | Displays the SAPI 4 TrainGeneralDlg, SAPI 5 UserTraining, or the Dragon general training that allows the user to provide phonetic training that enhances the engine's ability to recognize specific words.
Nuance Dragon NaturallySpeaking | CDVocabularyEditor | 37 | Displays the Dragon Vocabulary Editor dialog box.
Nuance Dragon NaturallySpeaking | CDVocabularyBuilder | 38 | Displays the Dragon Import Words From List dialog box.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CDShareData | 44 | Displays the SAPI 5 ShareData dialog that defines the string to display a speech recognition (SR) engine's UI that can offer the user the opportunity to share SR engine-related data with the engine vendor..
Nuance Dragon NaturallySpeaking | CDPerformanceAssistant | 45 | Displays the Dragon Help panel.
Nuance Dragon NaturallySpeaking | CDManageUsers | 46 | Displays the Dragon Speaker management dialog.
Nuance Dragon NaturallySpeaking | CDRoamingUsersOptions | 47 | Displays the Dragon dialog for managing roaming users.

Collapse/Expand Example section Example

The following example illustrates running the microphone setup dialog.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantSR1.ShowDialog(ChantDialog.CDMicTraining, this.Handle, "", "");

pChantSR->ShowDialog(CDMicTraining, m_hWnd);

pChantSR->ShowDialog(CDMicTraining, Handle);

ChantSR1.ShowDialog(CDMicTraining, Handle, '', '')

JChantSR1.showDialog(ChantDialog.CDMicTraining, this, "", "");

NChantSR1.ShowDialog(ChantDialog.CDMicTraining, Me.Handle, "", "")

Collapse/Expand See Also section See Also

ChantSR


ChantSR SpeechToText Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SpeechToText Property

Queues a recognition request for a specific recognizer, speaker profile, and vocabularies.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR.SpeechToText(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, engine, speaker, vocabs, recordingResult, eChantRecordingResult, eChantRecognitionFormat, eChantRecordingStyle);

chantSR->SpeechToText(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, engine, speaker, vocabs, recordingResult, eChantRecordingResult, eChantRecognitionFormat, eChantRecordingStyle);

chantSR->SpeechToText(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, engine, speaker, vocabs, recordingResult, eChantRecordingResult, eChantRecognitionFormat, eChantRecordingStyle);

chantSR.SpeechToText(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, engine, speaker, vocabs, recordingResult, eChantRecordingResult, eChantRecognitionFormat, eChantRecordingStyle);

chantSR.startRecording(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, engine, speaker, vocabs, recordingResult, eChantRecordingResult, eChantRecognitionFormat, eChantRecordingStyle);

chantSR.SpeechToText(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, engine, speaker, vocabs, recordingResult, eChantRecordingResult, eChantRecognitionFormat, eChantRecordingStyle)

Parameters

recording

String or Pointer. Optional file name, byte array, or stream of audio from which to transcribe.

recordingSize

Long integer. Optional length of source audio buffer.

eChantRecordingObject

ChantRecordingObject. Optional value that uniquely identifies the audio source object.

eChantAudioFormat

ChantAudioFormat. Optional value that uniquely identifies the audio format of source audio. For the complete list of values, see ChantAudioFormat enumerated constants.

engine

String. The recognizer name.

speaker

String. The speaker profile name.

Vocabs

String. Comma separated list of vocabulary names.

recordingResult

String or Pointer. Optional file name, byte array, or stream to write recognition results.

eChantRecordingResult

ChantRecordingResult. Optional value that uniquely identifies the result object.

eChantAudioFormat

ChantRecognitionFormat. Optional value that uniquely identifies the recognition result format. Must be CRFText.

eChantRecordingStyle

ChantRecordingStyle. One or more OR'd values that identify how to process the recording.

Collapse/Expand Remarks section Remarks

SpeechToText provides a way to pass recorded audio data from which to recognize as an alternative to live microphone audio. The recording object type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CROBuffer | 1 | The recording audio source is copied from a buffer.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CROFile | 2 | The recording audio source is read from a file.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CROStream | 4 | The recording audio source is read from a stream.

If file output is desired and the file name is not specified, the ChantSR class generates a unique name. You may also specify a name with the following wildcard tokens as part of the file name:

  • &year
  • &month
  • &dayofweek
  • &day
  • &hour
  • &minute
  • &second
  • &milliseconds
  • &random

The ChantSR class replaces the wildcard token before creating the file. For example myfile&year.wav would result in the file name myfile2007.wav

The recording result object type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CRRFile | 2 | Recorded audio or recognized speech as text is written to a file. Recorded audio or recognized speech as text is appended to the end of the file if it exists, otherwise the file is created.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CRRText | 4 | Recognized speech is returned as a text string.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CRRStream | 5 | Synthesized audio output is written to a stream. Audio header written to stream first time.

SpeechToText processing may be synchronous or asynchronous. The recording style type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CRSAsynchronous | 0 | Return from the record request after recording object processing is initiated.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CRSSynchronous | 1 | Return from the record request after the recording object processing is complete.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CRSSpeakRecognizedResults | 2 | Synthesize recognized speech. Synthesis will begin before HasPhrase event is fired.

Collapse/Expand Example section Example

The following examples illustrate using the SpeechToText method to transcribe and audio file and write the results to a text file.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Instantiate ChantSR object
NChantSR1 = new NChantSR();

// Set license and serials properties

// Transcribe audio file
NChantSR1.SpeechToText("myinaudiofile.wav", 0 ChantRecordingObject.CROFile, ChantAudioFormat.CAFDefault, "Microsoft Speech Recognizer 8.0 for Windows (English - US)", "Default Speech Profile", "text", "mytranscription.txt", ChantRecordingResult.CRRFile, ChantRecognitionFormat.CRFText, ChantRecordingStyle.CRSAsynchronous);

// Instantiate ChantSR object
pChantSR = new CChantSR();

// Set license and serials properties

// Transcribe audio file
pChantSR->SpeechToText(L"myinaudiofile.wav", 0, CROFile, CAFDefault, L"Microsoft Speech Recognizer 8.0 for Windows (English - US)", L"Default Speech Profile", L"text", L"mytranscription.txt", CRRFile, CRFText, CRSAsynchronous);

// Instantiate ChantSR object
pChantSR = new CChantSR();

// Set license and serials properties

// Transcribe audio file
pChantSR->SpeechToText("myinaudiofile.wav", 0, CROFile, CAFDefault, "Microsoft Speech Recognizer 8.0 for Windows (English - US)", "Default Speech Profile", "text", "mytranscription.txt", CRRFile, CRFText, CRSAsynchronous);

var aTChantSR: TChantSR;
// Instantiate ChantSR object
aTChantSR = TChantSR.Create();

// Set license and serials properties

// Transcribe audio file
aTChantSR.SpeechToText('myinaudiofile.wav', 0, CROFile, CAFDefault, 'Microsoft Speech Recognizer 8.0 for Windows (English - US)', 'Default Speech Profile', 'text', 'mytranscription.txt', CRRFile, CRFText, CRSAsynchronous);

// Instantiate ChantSR object
JChantSR1 = new JChantSR();

// Set license and serials properties

// Transcribe audio file
JChantSR1.startRecording("myinaudiofile.wav", 0 ChantRecordingObject.CROFile, ChantAudioFormat.CAFDefault, "Microsoft Speech Recognizer 8.0 for Windows (English - US)", "Default Speech Profile", "text", "mytranscription.txt", ChantRecordingResult.CRRFile, ChantRecognitionFormat.CRFText, ChantRecordingStyle.CRSAsynchronous);

' Instantiate ChantSR object
NChantSR1 = new NChantSR()

' Set license and serials properties

' Transcribe audio file
NChantSR1.SpeechToText("myinaudiofile.wav", 0 ChantRecordingObject.CROFile, ChantAudioFormat.CAFDefault, "Microsoft Speech Recognizer 8.0 for Windows (English - US)", "Default Speech Profile", "text", "mytranscription.txt", ChantRecordingResult.CRRFile, ChantRecognitionFormat.CRFText, ChantRecordingStyle.CRSAsynchronous)

Collapse/Expand See Also section See Also

ChantSR
StopRecording


ChantSR StartRecording Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

StartRecording Property

Starts recognizing speech.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR.StartRecording(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, eChantRecordingStyle);

chantSR->StartRecording(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, eChantRecordingStyle);

chantSR->StartRecording(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, eChantRecordingStyle);

chantSR.StartRecording(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, eChantRecordingStyle);

chantSR.startRecording(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, eChantRecordingStyle);

chantSR.StartRecording(recording, recordingSize, eChantRecordingObject, eChantAudioFormat, eChantRecordingStyle)

Parameters

recording

String or Pointer. Optional file name, byte array, or stream of audio from which to transcribe.

recordingSize

Long integer. Optional length of source audio buffer.

eChantRecordingObject

ChantRecordingObject. Optional value that uniquely identifies the audio source object.

eChantAudioFormat

ChantAudioFormat. Optional value that uniquely identifies the audio format of source audio. For the complete list of values, see ChantAudioFormat enumerated constants.

eChantRecordingStyle

ChantRecordingStyle. Optional one or more OR'd values that identify how to process the recording.

Collapse/Expand Remarks section Remarks

StartRecording provides a way to pass recorded audio data from which to recognize as an alternative to live microphone audio. In this case, a dictation vocabulary is automatically loaded and activated if no other vocabulary is active. The recording object type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CROBuffer | 1 | The recording audio source is copied from a buffer.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CROFile | 2 | The recording audio source is read from a file.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CROMultiMedia | 3 | The recording audio source is from the system real-time multimedia device (e.g., a microphone).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CROStream | 4 | The recording audio source is read from a stream.

StartRecording processing may be synchronous or asynchronous. The recording style type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CRSAsynchronous | 0 | Return from the record request after recording object processing is initiated.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CRSSynchronous | 1 | Return from the record request after the recording object processing is complete.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CRSSpeakRecognizedResults | 2 | Synthesize recognized speech. Synthesis will begin before HasPhrase event is fired.

Collapse/Expand Example section Example

The following examples illustrate using the StartRecording method to transcribe from an audio file.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Instantiate ChantSR object
NChantSR1 = new NChantSR();

// Transcribe a file of recorded audio to text
NChantSR1.StartRecording("myinaudiofile.wav");

// Instantiate ChantSR object
pChantSR = new CChantSR();

// Transcribe a file of recorded audio to text
pChantSR->StartRecording(L"myinaudiofile.wav");

// Instantiate ChantSR object
pChantSR = new CChantSR();

// Transcribe a file of recorded audio to text
pChantSR->StartRecording("myinaudiofile.wav");

// Instantiate ChantSR object
ChantSR1 := TChantSR.Create();

// Transcribe a file of recorded audio to text
ChantSR1.StartRecording('myinaudiofile.wav');

// Instantiate ChantSR object
JChantSR1 = new JChantSR();

// Transcribe a file of recorded audio to text
JChantSR1.startRecording("myinaudiofile.wav");

' Instantiate ChantSR object
NChantSR1 = new NChantSR()

' Transcribe a file of recorded audio to text
NChantSR1.StartRecording("myinaudiofile.wav")

Collapse/Expand See Also section See Also

ChantSR
StopRecording


ChantSR StopRecording Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

StopRecording Property

Stops recognizing speech.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR.StopRecording();

chantSR->StopRecording();

chantSR->StopRecording();

chantSR.StopRecording();

chantSR.stopRecording();

chantSR.StopRecording()

Collapse/Expand Remarks section Remarks

StopRecording disables auto-enabled dictation vocabulary and purges any outstanding recording requeust queued with StartRecording. It does not destroy the application's speech recognition session.

Collapse/Expand Example section Example

See ChantSR StartRecording example.

Collapse/Expand See Also section See Also

ChantSR
StartRecording


ChantSR UnregisterCallback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

UnregisterCallback Property

Sets the callback event inactive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSR.UnregisterCallback(eChantCallback);

chantSR->UnregisterCallback(eChantCallback);

chantSR->UnregisterCallback(eChantCallback);

chantSR->UnregisterCallback(eChantCallback);

chantSR.unregisterCallback(eChantCallback);

chantSR.UnregisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CCSDataAvailable | 1 | SAPI 4 Recognizer internal audio buffer has changed. Dragon notifies of microphone state changes with the DgnMicStateConstants: Disabled (0), MicOff (1), MicOn (2), MicSleeping (3), MicPause (4), or MicResume (5). Property values: Bytes (DgnMicStateConstant) and EOF (paused property).
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CCSOverflow | 2 | Recognizer internal audio buffer is full and incoming data has been lost. SAPI 4 notifies the nuber of lost bytes. VoCon 3200 notifies with the AUDIOIN_STATUSINFO: AUDIOIN_TIMEOUT(1), AUDIOIN_FIFOOVERRUN(3), AUDIOIN_FLUSHED(4), or AUDIOIN_HWOVERRUN(5). Property values: Bytes.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioStart | 3 | Recognizer opened the audio source device. Property values: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioStop | 4 | Recognizer has no more data from the source audio stream. Property values: Reason.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioFileBegin | 5 | Recognizer has begun processing an audio file. Property values: ID.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioFileEnd | 6 | Recognizer has finished processing an audio file. Property values: ID.
Microsoft SAPI 4 Speech Recognition | CCSAudioFilePosn | 7 | Recognizer identifies how much data has been processed. Property values: Processed, Left.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioFileQueueEmpty | 8 | Recognizer has finished processing all files in the queue.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRAudioLevel | 30 | Audio level of the utterance. Event property values set: Level.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRBookMark | 31 | Speech recognition engine encountered a bookmark. Event Event property values set: BookMarkNum, BookMarkOption.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRFalseRecognition | 32 | Speech recognition engine was unable to recognize speech from the utterance. Event property values set: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasCommand | 33 | Speech recognition engine's highest confidence about what was said in the last utterance from a command vocabulary. Event property values set: Command. SAPI 4 property values set: Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 property values set: IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasCommandHypothesis | 34 | Speech recognition engine's hypothesis about what was said in the last utterance from a command vocabulary. Property values: Command. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasPhrase | 35 | Speech recognition engine's highest confidence about what was said in the last utterance from a grammar vocabulary. Property values: Phrase. SAPI 4 property values set: Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 property values set: IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasPhraseHypothesis | 36 | Speech recognition engine's hypothesis about what was said in the last utterance from a grammar vocabulary. Property values: Phrase. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRHasRecognitionOther | 37 | Recognized speech from a vocabulary of another session. Event property values set: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRHasCommand | 38 | Speech recognition engine's highest confidence about what was said in the last utterance from a dictation vocabulary or topic. Property values: Text. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRHasCommandHypothesis | 39 | Speech recognition engine's hypothesis about what was said in the last utterance from a dictation vocabulary or topic. Property values: Text. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRInterference | 40 | Speech recognition engine interference detected. Property values: TimeStampBegin, TimeStampEnd, Interference.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRNumberPropertyChanged | 41 | Speech recognition numeric property value changed. Property values: NumberProperty, NumberPropertyVal.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRPaused | 42 | Speech recognition engine is paused. Property values: none.
 | CCSRProgress | 43 | Percent completion an of ImportResource, ExportResource, or SMAPI Audio save operations. Values range from 0 to 100. Property values: Progress.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRPhraseStart | 44 | Speech recognition engine has started processing audio data. Property values: TimeStampBegin.
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRReEvaluate | 45 | Speech recognition engine changed a speech recognition results object. Property values: IUnknownResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRSound | 46 | Speech recognition engine detected a sound. Property values: TimeStampBegin, TimeStampEnd.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRStringPropertyChanged | 47 | Speech recognition string property value changed. Property values: StringProperty, StringPropertyVal.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRTraining | 48 | Speech recognition engine suggests training for the current speaker, grammar, ormicrophone is needed. Property values: Training.
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRUnArchive | 49 | An archived recognition result was loaded. Property values: IUnknownResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRUtteranceBegin | 50 | The beginning of an utterance was detected. Property values: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRUtteranceEnd | 51 | The end of an utterance was detected. Property values: none.
 | CCGMError | 56 | Grammar compiler error. Property values: Flags, ID, Phrase, ResourceID, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCAPIError | 59 | API Error. Property values: ID, Function, Text.

The following example illustrates turning off HasCommand events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn off HasCommand events
NChantSR1.UnregisterCallback(ChantCallback.CCSRHasCommand);

// Turn off HasCommand events
pChantSR->UnregisterCallback(CCSRHasCommand);

// Turn off HasCommand events
pChantSR->UnregisterCallback(CCSRHasCommand);

// Turn off HasCommand events
ChantSR1.UnregisterCallback(CCSRHasCommand);

// Turn off HasCommand events
JChantSR1.unregisterCallback(ChantCallback.CCSRHasCommand);

' Turn off HasCommand events
NChantSR1.UnregisterCallback(ChantCallback.CCSRHasCommand)

Collapse/Expand See Also section See Also

ChantSR
RegisterCallback


ChantSRContext Class

Represents a speech recognition context comprised of one or more vocabularies.

Collapse/Expand Remarks section Remarks

A speech recognition context is used for VoCon 3200 grammars that import and export rules which requires compilation into the same context.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Nuance VoCon 3200 | AddGrammar | Adds a grammar to the context.
Public method | Nuance VoCon 3200 | Disable | Disables the vocabulary to make it inactive. Inherits from ChantSRResource.
Public method | Nuance VoCon 3200 | Enable | Enables the vocabulary to make it active. Inherits from ChantSRResource.
Public method | Nuance VoCon 3200 | IsEnabled | Returns whether the vocabulary is active. Inherits from ChantSRResource.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand Example section Example

The following example illustrates using a speech recognition context.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Define the context
NChantSRContext nChantSRContext = nChantSR.CreateChantSRContext("mycontext", ChantGrammarSyntax.CGSVoConBNF2);

// Add grammars to the context
nChantSRContext.AddGrammar("myvocab1.bnf");
nChantSRContext.AddGrammar("myvocab2.bnf");

// Enable the context
nChantSRContext.Enable();

// Disable the context
nChantSRContext.Disable();

// Define the context
CChantSRContext* pChantSRContext = pChantSR->CreateChantSRContext(L"mycontext", CGSVoConBNF2);

// Add grammars to the context
pChantSRContext->AddGrammar(L"myvocab1.bnf");
pChantSRContext->AddGrammar(L"myvocab2.bnf");

// Enable the context
pChantSRContext->Enable();

// Disable the context
pChantSRContext->Disable();

// Define the context
CChantSRContext* pSelectDialogResource = pChantSR->CreateChantSRContext("mycontext", CGSVoConBNF2);

// Add grammars to the context
pChantSRContext->AddGrammar("myvocab1.bnf");
pChantSRContext->AddGrammar("myvocab2.bnf");

// Enable the context
pChantSRContext->Enable();

// Disable the context
pChantSRContext->Disable();

var aTChantSRContext: TChantSRContext;
// Define the context
aTChantSRContext := aTChantSR.CreateChantSRContext('mycontext', CGSVoConBNF2);

// Add grammars to the context
aTChantSRContext.AddGrammar('myvocab1.bnf');
aTChantSRContext.AddGrammar('myvocab2.bnf');

// Enable the context
aTChantSRContext.Enable();

// Disable the context
aTChantSRContext.Disable();

// Define the context
JChantSRContext jChantSRContext = jChantSR.createChantSRContext("mycontext", ChantGrammarSyntax.CGSVoConBNF2);

// Add grammars to the context
jChantSRContext.addGrammar("myvocab1.bnf");
jChantSRContext.addGrammar("myvocab2.bnf");

// Enable the context
jChantSRContext.enable();

// Disable the context
jChantSRContext.disable();

' Define the context
Dim nChantSRContext As NChantSRContext
nChantSRContext = nChantSR.CreateChantSRContext("mycontext", ChantGrammarSyntax.CGSVoConBNF2)

' Add grammars to the context
nChantSRContext.AddGrammar("myvocab1.bnf");
nChantSRContext.AddGrammar("myvocab2.bnf");

' Enable the context
nChantSRContext.Enable()

' Disable the context
nChantSRContext.Disable()

Collapse/Expand See Also section See Also

ChantSRResource
CreateChantSRContext


ChantSRContext AddGrammar Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

AddGrammar Method

Adds a grammar to the context.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

nChantSRContext.AddGrammar(sGrammarSourceOrPath);

pChantSRContext->AddGrammar(pszGrammarSourceOrPath);

pChantSRContext->AddGrammar(sGrammarSourceOrPath);

aTChantSRContext.AddGrammar(sGrammarSourceOrPath);

jChantSRContext.addGrammar(sGrammarSourceOrPath);

nChantSRContext.AddGrammar(sGrammarSourceOrPath)

Parameters

grammarSourceOrPath

String. Grammar source or file path.

Collapse/Expand Example section Example

See ChantSRContext example.

Collapse/Expand See Also section See Also

ChantSRContext


ChantSREvent Class

Represents a speech recognition event.

Collapse/Expand Remarks section Remarks

A speech recognition event may have data associated with it. For events that have data associated with them (e.g., text representing recognized speech), the data is available from the ChantSREvent object.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | AnnotatedPhrase | A recognized phrase from a grammar vocabulary with annotation substitutions.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | BookMarkNum | A numeric bookmark from an input audio stream.
Public property | Microsoft SAPI 5 Speech Recognition | BookMarkOption | A numeric bookmark option from a SAPI 5 input audio stream.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Buffer | Buffer of byte data.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Bytes | The number of bytes.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ChantAlternates | A collection of ChantAlternate objects.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ChantCallback | The type of event callback.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ChantPhraseProperties | A collection of ChantPhraseProperty objects.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ChantRules | A collection of ChantRule objects.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ChantWords | A collection of ChantWords objects.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Command | A recognized phrase from a command vocabulary.
Public property | Microsoft SAPI 4 Speech Recognition | EOF | End of file condition.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Flags | Flag values associated with the event.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | File | The recording result file name.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Function | API function name.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ID | An identifier.
Public property | Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | IUnknownResult | A recognition result object interface.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Interference | The type of recognizer interference.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition | Left | The remaining audio file data to process.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | Level | The audio level.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | NumberProperty | The number property thats value changed.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | NumberPropertyVal | The number property value that changed.
Public property | Microsoft SAPI 5 Speech Recognition | Phonemes | The phonemes for the recognized words.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Phrase | A recognized phrase from a grammar vocabulary.
Public property | Microsoft SAPI 4 Text-to-Speech | Processed | The amount of audio data processed.
Public property |  | Progress | The percent completion of an import or export operation.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Reason | The reason for the audio stop event.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ResourceID | The resource identifier of the vocabulary from which the recognition occurred.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | StringProperty | The string property thats value changed.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | StringPropertyVal | The string property value that changed.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | Text | Recognized speech from a dictation vocabulary or error message from API error.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | TimeStampBegin | A time stamp.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | TimeStampEnd | A time stamp.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | Training | The type of training

Collapse/Expand See Also section See Also

ChantAlternate
ChantAlternateCollection
ChantPhraseProperty
ChantPhrasePropertyCollection
ChantRule
ChantRuleCollection
ChantWord
ChantWordCollection
GetChantSREvent
RemoveEvent


ChantSREvent AnnotatedPhrase Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

AnnotatedPhrase Property

A recognized phrase from a grammar vocabulary with annotation substitutions.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String annotatedPhrase = chantSREvent.AnnotatedPhrase;

wchar_t* annotatedPhrase = chantSREvent->GetAnnotatedPhrase();

String annotatedPhrase = chantSREvent->GetAnnotatedPhrase();

var annotatedPhrase: string;
annotatedPhrase := chantSREvent.AnnotatedPhrase;

String annotatedPhrase = chantSREvent.getAnnotatedPhrase();

Dim annotatedPhrase As String
annotatedPhrase = chantSREvent.AnnotatedPhrase

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent BookMarkNum Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

BookMarkNum Property

A numeric bookmark from an input audio stream.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int bookmarknum = chantSREvent.BookMarkNum;

long bookmarknum = chantSREvent->GetBookMarkNum();

long bookmarknum = chantSREvent->GetBookMarkNum();

var bookmarknum: Integer;
bookmarknum := chantSREvent.BookMarkNum;

int bookmarknum = chantSREvent.getBookMarkNum();

Dim bookmarknum As Integer
bookmarknum = chantSREvent.BookMarkNum

Collapse/Expand Remarks section Remarks

The property is read only. Features are specific to the recognizer and not part of a speech API. These values are defined by the engine vendor.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent BookMarkOption Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

BookMarkOption Property

A numeric bookmark option from a SAPI 5 input audio stream.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantBookMarkOption eChantBookMarkOption = chantSREvent.BookMarkOption;

ChantBookMarkOption eChantBookMarkOption = chantSREvent->GetBookMarkOption();

ChantBookMarkOption eChantBookMarkOption = chantSREvent->GetBookMarkOption();

var eChantBookMarkOption: ChantBookMarkOption;
eChantBookMarkOption := chantSREvent.BookMarkOption;

int eChantBookMarkOption = chantSREvent.getookMarkOption();

Dim eChantBookMarkOption As ChantBookMarkOption
eChantBookMarkOption = chantSREvent.BookMarkOption

Collapse/Expand Remarks section Remarks

The property is read only.

ChantSREvent


ChantSREvent Buffer Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Buffer Property

Buffer of byte data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

byte[] buffer = chantSREvent.Buffer;

void* buffer = chantSREvent->GetBuffer();

void* buffer = chantSREvent->GetBuffer();

var buffer: Cardinal;
buffer := TChantSREvent.Buffer;

byte[] byteArray = chantSREvent.getBuffer();

Dim buffer As Byte()
buffer = chantSREvent.Buffer

Collapse/Expand Remarks section Remarks

The property is read only. See the Bytes property for number of bytes.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent Bytes Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Bytes Property

The number of bytes. SAPI 5 recognition result number of milliseconds elapsed from the start of the system to the start of the current result. This variable is set to zero if the wave file input is used.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int bytes = NChantSREvent.Bytes;

long bytes = chantSREvent->GetBytes();

long bytes = chantSREvent->GetBytes();

var bytes: Integer;
bytes := chantSREvent.Bytes;

int bytes = chantSREvent.getBytes();

Dim bytes As Integer
bytes = chantSREvent.Bytes

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent ChantAlternates Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantAlternates Property

A collection of ChantAlternate objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantAlternateCollection chantWords = chantSREvent.ChantAlternates;

CChantAlternateCollection* chantWords = chantSREvent->GetChantAlternates();

CChantAlternateCollection* chantWords = chantSREvent->GetChantAlternates();

var chantWords: TChantAlternateCollection;
chantWords := chantSREvent.ChantAlternates;

JChantAlternateCollection chantWords = chantSREvent.getChantAlternates();

Dim chantWords As NChantAlternateCollection
chantWords = chantSREvent.ChantAlternates

Collapse/Expand Example section Example

See the ChantAlternateCollection example.

Collapse/Expand See Also section See Also

ChantSREvent
ChantAlternateCollection


ChantSREvent ChantCallback Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantCallback Property

The type of event callback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantCallback eChantCallback = chantSREvent.ChantCallback;

ChantCallback eChantCallback = chantSREvent->GetChantCallback();

ChantCallback eChantCallback = chantSREvent->GetChantCallback();

var eChantCallback: ChantCallback;
eChantCallback := chantSREvent.ChantCallback;

int eChantCallback = chantSREvent.getChantCallback();

Dim eChantCallback As ChantCallback
eChantCallback = chantSREvent.ChantCallback

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantCallback constant values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Speech Recognition | CCSDataAvailable | 1 | Recognizer internal audio buffer has changed. Property values: Bytes, EOF.
Microsoft SAPI 4 Speech Recognition | CCSOverflow | 2 | Recognizer internal audio buffer is full and incoming data has been lost. Property values: Bytes.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioStart | 3 | Recognizer opened the audio source device. Property values: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioStop | 4 | Recognizer has no more data from the source audio stream. Property values: Reason.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioFileBegin | 5 | Recognizer has begun processing an audio file. Property values: ID.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioFileEnd | 6 | Recognizer has finished processing an audio file. Property values: ID.
Microsoft SAPI 4 Speech Recognition | CCSAudioFilePosn | 7 | Recognizer identifies how much data has been processed. Property values: Processed, Left.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioFileQueueEmpty | 8 | Recognizer has finished processing all files in the queue.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRAudioLevel | 30 | Audio level of the utterance. Event property values set: Level.
Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRBookMark | 31 | Speech recognition engine encountered a bookmark. Event Event property values set: BookMarkNum, BookMarkOption.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRFalseRecognition | 32 | Speech recognition engine was unable to recognize speech from the utterance. Event property values set: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasCommand | 33 | Speech recognition engine's highest confidence about what was said in the last utterance from a command vocabulary. Event property values set: Command. SAPI 4 property values set: Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 property values set: IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasCommandHypothesis | 34 | Speech recognition engine's hypothesis about what was said in the last utterance from a command vocabulary. Property values: Command. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasPhrase | 35 | Speech recognition engine's highest confidence about what was said in the last utterance from a grammar vocabulary. Property values: Phrase. SAPI 4 property values set: Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 property values set: IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasPhraseHypothesis | 36 | Speech recognition engine's hypothesis about what was said in the last utterance from a grammar vocabulary. Property values: Phrase. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRHasRecognitionOther | 37 | Recognized speech from a vocabulary of another session. Event property values set: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRHasText | 38 | Speech recognition engine's highest confidence about what was said in the last utterance from a dictation vocabulary or topic. Property values: Text. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRHasTextHypothesis | 39 | Speech recognition engine's hypothesis about what was said in the last utterance from a dictation vocabulary or topic. Property values: Text. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRInterference | 40 | Speech recognition engine interference detected. Property values: TimeStampBegin, TimeStampEnd, Interference.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRNumberPropertyChanged | 41 | Speech recognition numeric property value changed. Property values: NumberProperty, NumberPropertyVal.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRPaused | 42 | Speech recognition engine is paused. Property values: none.
 | CCSRProgress | 43 | Percent completion an of ImportResource, ExportResource, or SMAPI Audio save operations. Values range from 0 to 100. Property values: Progress.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRPhraseStart | 44 | Speech recognition engine has started processing audio data. Property values: TimeStampBegin.
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRReEvaluate | 45 | Speech recognition engine changed a speech recognition results object. Property values: IUnknownResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCSRSound | 46 | Speech recognition engine detected a sound. Property values: TimeStampBegin, TimeStampEnd.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRStringPropertyChanged | 47 | Speech recognition string property value changed. Property values: StringProperty, StringPropertyVal.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRTraining | 48 | Speech recognition engine suggests training for the current speaker, grammar, ormicrophone is needed. Property values: Training.
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRUnArchive | 49 | An archived recognition result was loaded. Property values: IUnknownResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRUtteranceBegin | 50 | The beginning of an utterance was detected. Property values: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRUtteranceEnd | 51 | The end of an utterance was detected. Property values: none.
 | CCGMError | 56 | Grammar compiler error. Property values: Flags, ID, Phrase, ResourceID, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCAPIError | 59 | API Error. Property values: ID, Function, Text.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent ChantPhraseProperties Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantPhraseProperties Property

A collection of ChantPhraseProperty objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantPhrasePropertyCollection chantPhraseProperties = chantSREvent.ChantPhraseProperties;

CChantPhrasePropertyCollection* chantPhraseProperties = chantSREvent->GetChantPhraseProperties();

CChantPhrasePropertyCollection* chantPhraseProperties = chantSREvent->GetChantPhraseProperties();

var chantPhraseProperties: TChantPhrasePropertyCollection;
chantPhraseProperties := chantSREvent.ChantPhraseProperties;

JChantPhrasePropertyCollection chantPhraseProperties = chantSREvent.getChantPhraseProperties();

Dim chantPhraseProperties As NChantPhrasePropertyCollection
chantPhraseProperties = chantSREvent.ChantPhraseProperties

Collapse/Expand Example section Example

See the ChantPhrasePropertyCollection example.

Collapse/Expand See Also section See Also

ChantSREvent
ChantPhrasePropertyCollection


ChantSREvent ChantRules Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantRules Property

A collection of ChantRule objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantRuleCollection chantRules = chantSREvent.ChantRules;

CChantRuleCollection* chantRules = chantSREvent->GetChantRules();

CChantRuleCollection* chantRules = chantSREvent->GetChantRules();

var chantRules: TChantRuleCollection;
chantRules := chantSREvent.ChantRules;

JChantRuleCollection chantRules = chantSREvent.getChantRules();

Dim chantRules As NChantRuleCollection
chantRules = chantSREvent.ChantRules

Collapse/Expand Example section Example

See the ChantRuleCollection example.

Collapse/Expand See Also section See Also

ChantSREvent
ChantRuleCollection


ChantSREvent ChantWords Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantWords Property

A collection of ChantWord objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantWordCollection chantWords = chantSREvent.ChantWords;

CChantWordCollection* chantWords = chantSREvent->GetChantWords();

CChantWordCollection* chantWords = chantSREvent->GetChantWords();

var chantWords: TChantWordCollection;
chantWords := chantSREvent.ChantWords;

JChantWordCollection chantWords = chantSREvent.getChantWords();

Dim chantWords As NChantWordCollection
chantWords = chantSREvent.ChantWords

Collapse/Expand Example section Example

See the ChantWordCollection example.

Collapse/Expand See Also section See Also

ChantSREvent
ChantWordCollection


ChantSREvent Command Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Command Property

A recognized phrase from a command vocabulary.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String command = chantSREvent.Command;

wchar_t* command = chantSREvent->GetCommand();

String command = chantSREvent->GetCommand();

var command: string;
command := chantSREvent.Command;

String command = chantSREvent.getCommand();

Dim command As String
command = chantSREvent.Command

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent EOF Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

EOF Property

End of file condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool eof = chantSREvent.EOF;

bool eof = chantSREvent.GetEOF();

bool eof = chantSREvent.GetEOF();

var eof: Boolean;
eof := chantSREvent.EOF;

boolean eof = chantSREvent.getEOF();

Dim eof As Boolean
eof = chantSREvent.EOF

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent File Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

File Property

The recording result file name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String file = chantSREvent.File;

wchar_t* file = chantSREvent->GetFile();

String file = chantSREvent->GetFile();

var file: string;
file := chantSREvent.File;

String file = chantSREvent.getFile();

Dim file As String
file = chantSREvent.File

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent Flags Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Flags Property

Flag values associated with the event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int flags = chantSREvent.Flags;

long flags = chantSREvent->GetFlags();

long flags = chantSREvent->GetFlags();

var flags: Integer;
flags := chantSREvent.Flags;

int flags = chantSREvent.getFlags();

Dim flags As Integer
flags = chantSREvent.Flags

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent Function Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Function Property

The API function invoked.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String function = chantSREvent.Function;

wchar_t* function = chantSREvent->GetFunction();

String function = chantSREvent->GetFunction();

var function: string;
function := chantSREvent.Function;

String function = chantSREvent.getFunction();

Dim function As String
function = chantSREvent.Function

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent ID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ID Property

An identifier.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int id = chantSREvent.ID;

long id = chantSREvent->GetID();

long id = chantSREvent->GetID();

var id: Integer; id = chantSREvent.ID;

int id = chantSREvent.getID();

Dim id As Integer
id = chantSREvent.ID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent Interference Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Interference Property

The type of event callback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantEngineInterference eChantEngineInterference = chantSREvent.Interference;

ChantEngineInterference eChantEngineInterference = chantSREvent->GetInterference();

ChantEngineInterference eChantEngineInterference = chantSREvent->GetInterference();

var eChantEngineInterference: ChantEngineInterference;
eChantEngineInterference := chantSREvent.Interference;

int eChantEngineInterference = chantSREvent.getInterference();

Dim eChantEngineInterference As ChantEngineInterference
eChantEngineInterference = chantSREvent.Interference

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the ChantEngineInterference constant values.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEINone | 0 | No interference.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEINoise | 1 | The background noise is too high. Some speech engines may not support this flag.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEINoSignal | 2 | The engine cannot detect a signal. This may mean that the microphone has been turned off or unplugged.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEITooLoud | 3 | The end user is speaking too loudly and recognition results may be degraded.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEITooQuiet | 4 | The end user is speaking too quietly and recognition results may be degraded.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEITooFast | 5 | The words are spoken too quickly for discrete recognitions.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEIAudioDataStop | 6 | The engine has stopped receiving audio data from the audio source.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEITooSlow | 7 | The words are spoken too slowly and indicates excessive time between words
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEIAudioDataStart | 8 | The recognizer has resumed receiving audio data from the audio source.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEIAudioStart | 9 | The recognizer has opened the audio input device.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEIAudioStop | 10 | The recognizer has stopped the audio input device.
Nuance VoCon 3200 | CEIPoorMic | 11 | The automatic gain control (AGC) cannot adjust the gain to get the input signal in the proper range. This could mean that the microphone or the audio hardware is of poor quality.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent IUnknownResult Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

IUnknownResult Property

A recognition result object interface.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not applicable.

IUnknown* pIUnknown = chantSREvent->GetIUnknownResult();

IUnknown* pIUnknown = chantSREvent->GetIUnknownResult();

var IUnknownResult: IUnknown;
IUnknownResult := chantSREvent.IUnknownResult;

Not applicable.

Not applicable.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent Left Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Left Property

Remaining audio file data to process. SAPI 5 recognition result value containing the length of the phrase specified in 100 nanosecond units.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int left = chantSREvent.Left;

long left = chantSREvent->GetLeft();

long left = chantSREvent->GetLeft();

var left: Integer;
left := chantSREvent.Left;

int left = chantSREvent.getLeft();

Dim left As Integer
left = chantSREvent.Left

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent Level Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Level Property

The audio level.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int level = NChantSREvent.Level;

long level = chantSREvent->GetLevel();

long level = chantSREvent->GetLevel();

var level: Integer;
level := chantSREvent.Level;

int level = chantSREvent.getLevel();

Dim level As Integer
level = chantSREvent.Level

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent NumberProperty Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

NumberProperty Property

The number property thats value changed.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantNumberProperty eChantNumberProperty = chantSREvent.NumberProperty;

ChantNumberProperty eChantNumberProperty = chantSREvent->GetNumberProperty();

ChantNumberProperty eChantNumberProperty = chantSREvent->GetNumberProperty();

var eChantNumberProperty: NumberProperty;
eChantNumberProperty := chantSREvent.NumberProperty;

int eChantNumberProperty = chantSREvent.getNumberProperty();

Dim eChantNumberProperty As NumberProperty
eChantNumberProperty = chantSREvent.NumberProperty

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the ChantNumberProperty constant values.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent NumberPropertyVal Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

NumberPropertyVal Property

The number property value that changed.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int value = chantSREvent.NumberPropertyVal;

long value = chantSREvent->GetNumberPropertyVal();

long value = chantSREvent->GetNumberPropertyVal();

var value: Integer;
value := chantSREvent.NumberPropertyVal;

int value = chantSREvent.getNumberPropertyVal();

Dim value As Integer
value = chantSREvent.NumberPropertyVal

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent Phonemes Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Phonemes Property

The phonemes for the recognized words.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String phonemes = chantSREvent.Phonemes;

wchar_t* phonemes = chantSREvent->GetPhonemes();

String phonemes = chantSREvent->GetPhonemes();

var phonemes: string;
phonemes := chantSREvent.Phonemes;

String phonemes = chantSREvent.getPhonemes();

Dim phonemes As String
phonemes = chantSREvent.Phonemes

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent Phrase Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Phrase Property

A recognized phrase from a grammar vocabulary.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String phrase = chantSREvent.Phrase;

wchar_t* phrase = chantSREvent->GetPhrase();

String phrase = chantSREvent->GetPhrase();

var phrase: string;
phrase := chantSREvent.Phrase;

String phrase = chantSREvent.getPhrase();

Dim phrase As String
phrase = chantSREvent.Phrase

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent Processed Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Processed Property

SAPI 5 recognition result time start value containing the total 100 nanosecond units from the start of the stream to the start of the phrase. See TimeStampBegin, Left, and Bytes properties.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ulong processed = chantSREvent.Processed;

unsigned long long processed = chantSREvent->GetProcessed();

unsigned long long processed = chantSREvent->GetProcessed();

var processed: Int64;
processed := chantSREvent.Processed;

long processed = chantSREvent.getProcessed();

Dim processed As ULong
processed = chantSREvent.Processed

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent Progress Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Progress Property

The percent completion of an import or export operation.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int progress = chantSREvent.Progress;

long progress = chantSREvent->GetProgress();

long progress = chantSREvent->GetProgress();

var progress: Integer;
progress := chantSREvent.Progress;

int progress = chantSREvent.getProgress();

Dim progress As Integer
progress = chantSREvent.Progress

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent Reason Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Reason Property

The reason for the audio stop event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int reason = chantSREvent.Reason;

long reason = chantSREvent->GetReason();

long reason = chantSREvent->GetReason();

var reason: Integer;
reason := chantSREvent.Reason;

int reason = chantSREvent.getReason();

Dim reason As Integer
reason = chantSREvent.Reason

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 4 Only. The property may be one of the following ChantAudioReason constant values.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition | CARNoData | 0 | The engine called the IAudio::UnClaim member function. This notification allows the engine to employ the notification sink to monitor the object's state rather than having to maintain this information itself.
Microsoft SAPI 4 Speech Recognition | CARPriority | 1 | Resources were temporarily diverted to a higher-priority task.
Microsoft SAPI 4 Speech Recognition | CARInactive | 2 | The device has become inactive for an unknown reason.
Microsoft SAPI 4 Speech Recognition | CAREOF | 3 | An end-of-file character has been reached.

Source: Microsoft SAPI 4 SDK

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent ResourceID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ResourceID Property

The resource of the vocabulary from which the recognition occurred.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int resourceID = chantSREvent.ResourceID;

long resourceID = chantSREvent->GetResourceID();

long resourceID = chantSREvent->GetResourceID();

var resourceID: Integer;
resourceID := chantSREvent.ResourceID;

int resourceID = chantSREvent.getResourceID();

Dim resourceID As Integer
resourceID = chantSREvent.ResourceID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent StringProperty Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

StringProperty Property

The string property thats value changed.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantStringProperty eChantStringProperty = chantSREvent.StringProperty;

ChantStringProperty eChantStringProperty = chantSREvent->GetStringProperty();

ChantStringProperty eChantStringProperty = chantSREvent->GetStringProperty();

var eChantStringProperty: ChantStringProperty;
eChantStringProperty := chantSREvent.StringProperty;

int eChantStringProperty = chantSREvent.getStringProperty();

Dim eChantStringProperty As ChantStringProperty
eChantStringProperty = chantSREvent.StringProperty

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the ChantStringProperty constant values.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent StringPropertyVal Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

StringPropertyVal Property

The string property value that changed.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String value = chantSREvent.StringPropertyVal;

wchar_t* value = chantSREvent->GetStringPropertyVal();

String value = chantSREvent->GetStringPropertyVal();

var value: string;
value := chantSREvent.StringPropertyVal;

String value = chantSREvent.getStringPropertyVal();

Dim value As String
value = chantSREvent.StringPropertyVal

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent Text Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Text Property

Recognized speech from a dictation vocabulary on CCSRHasText and CCSRHasTextHypothesis events or error message from invoking API function on CCAPIError events.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String text = chantSREvent.Text;

wchar_t* text = chantSREvent->GetText();

String text = chantSREvent->GetText();

var text: string;
text := chantSREvent.Text;

String text = chantSREvent.getText();

Dim text As String
text = chantSREvent.Text

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent TimeStampBegin Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

TimeStampBegin Property

A time stamp.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ulong timeStampBegin = chantSREvent.TimeStampBegin;

unsigned long long timeStampBegin = chantSREvent->GetTimeStampBegin();

unsigned long long timeStampBegin = chantSREvent->GetTimeStampBegin();

var timeStampBegin: Int64;
timeStampBegin := chantSREvent.TimeStampBegin;

long timeStampBegin = chantSREvent.getTimeStampBegin();

Dim timeStampBegin As ULong
timeStampBegin = chantSREvent.TimeStampBegin

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent TimeStampEnd Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

TimeStampEnd Property

A time stamp.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ulong timeStampEnd = chantSREvent.TimeStampEnd;

unsigned long long timeStampEnd = chantSREvent->GetTimeStampEnd();

unsigned long long timeStampEnd = chantSREvent->GetTimeStampEnd();

var timeStampEnd: Int64;
timeStampEnd := chantSREvent.TimeStampEnd;

long timeStampEnd = chantSREvent.getTimeStampEnd();

Dim timeStampEnd As ULong
timeStampEnd = chantSREvent.TimeStampEnd

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREvent


ChantSREvent Training Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Training Property

The type of training.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantEngineTraining eChantEngineTraining = chantSREvent.Training;

ChantEngineTraining eChantEngineTraining = chantSREvent->GetTraining();

ChantEngineTraining eChantEngineTraining = chantSREvent->GetTraining();

var eChantEngineTraining: ChantEngineTraining;
eChantEngineTraining := chantSREvent.Training;

int eChantEngineTraining = chantSREvent.getTraining();

Dim eChantEngineTraining As ChantEngineTraining
eChantEngineTraining = chantSREvent.Training

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the ChantEngineTraining constant values.

ChantSREvent


ChantSRResource Class

Represents a speech recognition resource.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method |  | Disable | Disables the resource to make it inactive.
Public method |  | Enable | Enables the resource to make it active.
Public method |  | IsEnabled | Returns whether the resource is active.

Collapse/Expand Properties section Properties

No properties.


ChantSRResource Disable Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Disable Method

Disables a ChantSRResource resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSRResource.Disable();

chantSRResource->Disable();

chantSRResource->Disable();

chantSRResource.Disable();

chantSRResource.disable();

chantSRResource.Disable()

Collapse/Expand Example section Example

See ChantSRResource example.

Collapse/Expand See Also section See Also

ChantSRResource
Enable
IsEnabled


ChantSRResource Enable Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Enable Method

Enables a ChantSRResource resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantSRResource.Enable();

chantSRResource->Enable();

chantSRResource->Enable();

chantSRResource.Enable();

chantSRResource.enable();

chantSRResource.Enable()

Collapse/Expand Example section Example

See ChantSRResource example.

Collapse/Expand See Also section See Also

ChantSRResource
Disable
IsEnabled


ChantSRResource IsEnabled Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

IsEnabled Method

Returns boolean indicating whether a ChantSRResource resource is enabled.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool enabled = chantSRResource.IsEnabled();

bool enabled = chantSRResource->IsEnabled();

bool enabled = chantSRResource->IsEnabled();

var enabled: boolean;
enabled := chantSRResource.IsEnabled();

boolean enabled = chantSRResource.isEnabled();

Dim enabled As Boolean
enabled = chantSRResource.IsEnabled()

Collapse/Expand See Also section See Also

ChantSRResource
Disable
Enable


ChantTTS Class

Represents a session with a text-to-speech engine (i.e., synthesizer or voice).

Collapse/Expand Remarks section Remarks

The text-to-speech session object, ChantTTS, represents a session with a text-to-speech engine, through which speech is synthesized from text and through which wave audio files are played.

Applications use the text-to-speech session object to manage the activities for text-to-speech.

The text-to-speech session object manages the resources and interacts directly with a text-to-speech engine application program interface (API).

Applications receive notification of other processing states through events.

Collapse/Expand Events section Events

 | APIs | Name | Description
Public event | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | HasEvent | Notifies the application of a text-to-speech event.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method |  | CreateChantTTSLexiconk | Instantiates a text-to-speech lexicon from a file.
Public method |  | ExportAppFramework | Exports the current runtime settings to a file.
Public method |  | GetChantTTSEvent | Returns a ChantTTSEvent object.
Public method | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Speech Synthesis Nuance RealSpeak Solo | GetNumberProperty | Returns numeric property value.
Public method | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Speech Synthesis Nuance RealSpeak Solo | GetStringProperty | Returns string property value.
Public method |  | ImportAppFramework | Imports the current runtime settings from a file.
Public method |  | IsSupported | Returns whether a feature is supported.
Public method | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Speech Synthesis Nuance RealSpeak Solo | PausePlayback | Suspends speech synthesis.
Public method |  | RegisterCallback | Sets the callback event active.
Public method | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Speech Synthesis Nuance RealSpeak Solo | ResumePlayback | Resumes text-to-speech playback that was suspended by PausePlayback.
Public method |  | SetCallbackFunction | Sets callback static function.
Public method |  | SetCallbackParms | Sets optional callback parameters.
Public method |  | SetMuteOn | Mutes audio output on or off.
Public method | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Speech Synthesis Nuance RealSpeak Solo | SetNumberProperty | Sets a numeric property value.
Public method | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Speech Synthesis Nuance RealSpeak Solo | SetStringProperty | Sets a string property value.
Public method |  | SetWindowMessage | Sets application-unique Windows message number used to notify about callback events.
Public method | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Speech Synthesis | ShowDialog | Displays a synthesizer or NChantTTS dialog.
Public method | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Speech Synthesis Nuance RealSpeak Solo | SkipPlayback | Advances through or rewinds the speech synthesis audio playback.
Public method | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Speech Synthesis Nuance RealSpeak Solo | StartPlayback | Starts synthesizing speech.
Public method | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Speech Synthesis Nuance RealSpeak Solo | StopPlayback | Stops synthesizing speech.
Public method | Acapela BabTTS and NSCAPI Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Speech Synthesis | TextToSpeech | Queues a concurrent (multi-channel) synthesis request.
Public method |  | UnregisterCallback | Sets the callback event inactive.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Synthesis Nuance RealSpeak Solo | ChantTTSEngines | A collection of ChantTTSEngine objects.
Public property |  | LastError | A numeric error code for the last error condition.
Public property |  | LastErrorMessage | A description of the last error condition.
Public property |  | LastErrorString | A text representation of the last error condition.
Public property |  | RequestCount | The number of active and queued StartPlayback or TextToSpeech requests.

Collapse/Expand See Also section See Also

ChantTTSEngine
ChantTTSEngineCollection
ChantTTSEvent


ChantTTS ChantTTSEngines Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantTTSEngines Property

A collection of ChantTTSEngine objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantTTSEngineCollection chantTTSEngineCollection = chantTTS.ChantTTSEngines;

CChantTTSEngineCollection* chantTTSEngineCollection = chantTTS->GetChantTTSEngines();

CChantTTSEngineCollection* chantTTSEngineCollection = chantTTS->GetChantTTSEngines();

var chantTTSEngineCollection: TChantTTSEngineCollection;
chantTTSEngineCollection := chantTTS.ChantTTSEngines;

JChantTTSEngineCollection chantTTSEngineCollection = chantTTS.getChantTTSEngines();

Dim chantTTSEngineCollection As NChantTTSEngineCollection
chantTTSEngineCollection = chantTTS.ChantTTSEngines

Collapse/Expand Example section Example

See the ChantTTSEngineCollection example.

Collapse/Expand See Also section See Also

ChantTTSEngine
ChantTTSEngineCollection


ChantTTS CreateChantTTSLexicon Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

CreateChantTTSLexicon Method

Instantiates a text-to-speech lexicon from a file.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantTTSLexicon chantTTSLexicon = chantTTS.CreateChantTTSLexicon(name);

CChantTTSLexicon* chantTTSLexicon = chantTTS->CreateChantTTSLexicon(name);

CChantTTSLexicon* chantTTSLexicon = chantTTS->CreateChantTTSLexicon(name);

var chantTTSLexicon: TChantTTSLexicon;
chantTTSLexicon := chantTTS.CreateChantTTSLexicon(name);

JChantTTSLexicon chantTTSLexicon = chantTTS.createChantTTSLexicon(name);

Dim chantTTSLexicon As NChantTTSLexicon
chantTTSLexicon = chantTTS.CreateChantTTSLexicon(name)

Parameters

name

String. File name of the lexicon.

Return Value

A ChantTTSLexicon object.

Collapse/Expand See Also section See Also

ChantTTS
ChantTTSLexicon


ChantTTS ExportAppFramework Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ExportAppFramework Method

Exports the current runtime settings to a file.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.ExportAppFramework(fileName);

chantTTS->ExportAppFramework(fileName);

chantTTS->ExportAppFramework(fileName);

chantTTS.ExportAppFramework(fileName);

chantTTS.exportAppFramework(fileName);

chantTTS.ExportAppFramework(fileName)

Parameters

fileName

String. File name of where to save the application framework. If the file exists, it is replaced. File name may include path qualifiers.

Collapse/Expand See Also section See Also

ChantTTS
ImportAppFramework


ChantTTS GetChantTTSEvent Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

GetChantTTSEvent Method

Returns a ChantTTSEvent object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantTTSEvent chantTTSEvent = chantTTS.GetChantTTSEvent()

CChantTTSEvent* chantTTSEvent = chantTTS->GetChantTTSEvent()

CChantTTSEvent* chantTTSEvent = chantTTS->GetChantTTSEvent()

var chantTTSEvent: TChantTTSEvent;
chantTTSEvent := chantTTS.GetChantTTSEvent();

JChantTTSEvent chantTTSEvent = chantTTS.getChantTTSEvent()

Dim chantTTSEvent As NChantTTSEvent
chantTTSEvent = chantTTS.GetChantTTSEvent()

Return Value

A ChantTTSEvent object.

Collapse/Expand Example section Example

See the HasEvent example.

Collapse/Expand See Also section See Also

ChantTTS


ChantTTS GetNumberProperty Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

GetNumberProperty Method

Returns numeric property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int value = chantTTS.GetNumberProperty(eChantNumberProperty);

long value = chantTTS->GetNumberProperty(eChantNumberProperty);

long value = chantTTS->GetNumberProperty(eChantNumberProperty);

var value: Integer;
value := chantTTS.GetNumberProperty(eChantNumberProperty);

int value = chantTTS.getNumberProperty(eChantNumberProperty);

Dim value As Integer
value = chantTTS.GetNumberProperty(eChantNumberProperty)

Parameters

eChantNumberProperty

ChantNumberProperty. Value that uniquely identifies the property.

Return Value

Long integer. Property value.

Collapse/Expand Remarks section Remarks

All synthesizer and ChantTTS numeric property values are accessed via GetNumberProperty and SetNumberProperty. The property type may be one of the following values:

APIs | Constant | Value | Description
 | CNPAudioFormat | 3 | Specifies common Windows audio formats ranging from uncompressed PCM formats to highly compressed formats. Some synthesizers and recognizer may not support all audio formats. See the ChantAudioFormat enumeration constants for valid values.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech | CNPDeviceID | 8 | Specifies the device identifier of the Windows audio source for recognition and audio destination for synthesis. Default value is WAVE_MAPPER (-1).
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo Nuance Vocalizer Automotive Nuance Vocalizer Epxressive Nuance Vocalizer Mobile Nuance Vocalizer Network | CNPEngineAPI | 12 | ChantTTS property that specifies the speech API.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | CNPPitch | 21 | Synthesizer property. Specifies the current baseline average pitch for a text-to-speech mode. SAPI 4 specification value range is from 0 to 65356.
Microsoft SAPI 5 Text-to-Speech | CNPPriority | 22 | Synthesizer property. Specifies the priority for the voice. Valid values include: 0 (normal), 1 (alter), and 2 (over - the voice should mix its audio with all other audio). The default priority value is 0 (normal).
Microsoft SAPI 4 Text-to-Speech | CNPRealTime | 23 | Recognizer and synthesizer property. Specifies the real-time setting for the recognizer or synthesizer. The real-time setting is the percentage of processor time used during processing. For example, if the value is 10, the engine uses one minute of processor time. If the value is 50, the engine takes 30 seconds. The processor time used is an estimate so the property value should be considered a relative value setting. The value can be set to higher than 100 for non-real-time audio processing (i.e., file or stream audio).
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CNPSpeed | 30 | Synthesizer property. Specifies the baseline average speaking speed for the synthesized speech. Valid Acapela values range from 30 to 300. Default Cepstral value is 170 words per minute (WPM). Valid SAPI 4 specification values range from 0 to 4294967295. Valid SAPI 5 values range from -10 to 10. Valid Nuance RealSpeak Solo values range from 1 to 150. Valid Nuance Vocalizers values range from 1 to 150.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CNPSpeedNorm | 31 | Synthesizer property. Specifies the baseline average speaking speed for the synthesized speech normalized by the ChantTTS class object. For non-SAPI 5 synthesizers, the ChantTTS class object uses the default speaking speed as the baseline (0). Valid values range from -10 to 10.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CNPVolume | 35 | Synthesizer property. Specifies the baseline speaking volume. Valid Acapela values range from 0 to 150. Valid Cepstral values range from 0 to 100. Valid SAPI 4 values range from 0 to 4294967295. Valid SAPI 5 values range from 0 to 100. Valid Nuance RealSpeak Solo values range from 0 to 100. Valid Nuance Vocalizers values range from 0 to 100.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CNPVolumeNorm | 36 | Synthesizer property. Specifies the baseline speaking volume normalized by the ChantTTS class object. For SAPI 4 synthesizers, the ChantTTS class object uses the default speaking volume as the baseline (50). Valid values range from 0 to 100.
Cepstral SWIFT | CNPAudioChannels | 37 | Synthesizer property. Number of audio channels: 1 (mono) or 2 (stereo).
Cepstral SWIFT | CNPAudioPan | 38 | Synthesizer property. Left-to-Right panning: -1 (left), 0 (center), 1 (right). This must be used with audio channels=2.
Microsoft SAPI 5 Text-to-Speech | CNPPorts | 39 | Synthesizer property. Specifies the audio out ports.
Nuance RealSpeak Solo | CNPSilence | 40 | Synthesizer property. Specifies milliseconds of dead air (silence) to pad at the end of speech.
Acapela BabTTS | CNPMaxLexicons | 41 | Synthesizer property. Returns maximum number of dictionaries.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CNPNativeAPI | 42 | Enumerate a recognizer or voice via native API if available and not as a SAPI recognizer or voice.
Acapela NSCAPI | CNPAddressFamily | 48 | Synthesizer property. Constant value indicating the type of address family: NSC_AF_DEFAULT (0), NSC_AF_LOCAL (1), NSC_AF_INET (2), NSC_AF_DIRECT (3).
Acapela NSCAPI | CNPCmdPort | 49 | Synthesizer property. Sets the target port number for socket connection (command) when CNPAddressFamily is set for NSC_AF_INET. Otherwise value should be set to 0.
Acapela NSCAPI | CNPDataPort | 50 | Synthesizer property. Sets the target port number for socket connection (data) when CNPAddressFamily is set for NSC_AF_INET. Otherwise value should be set to 0.

Collapse/Expand Example section Example

The following example illustrates accessing the EngineAPI property.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
ChantEngineAPI eChantEngineAPI = (ChantEngineAPI)NChantTTS1.GetNumberProperty(ChantNumberProperty.CNPEngineAPI);

ChantEngineAPI eChantEngineAPI = (ChantEngineAPI)pChantTTS->GetNumberProperty(CNPEngineAPI);

ChantEngineAPI eChantEngineAPI = (ChantEngineAPI)pChantTTS->GetNumberProperty(CNPEngineAPI);

var
intVal: Integer;
eChantEngineAPI: ChantEngineAPI;
begin
intVal := ChantTTS1.GetNumberProperty(CNPEngineAPI);
eChantEngineAPI := ChantEngineAPI(intVal);
end;

int eChantEngineAPI = JChantTTS1.getNumberProperty(ChantNumberProperty.CNPEngineAPI);

Dim eChantEngineAPI as ChantEngineAPI
eChantEngineAPI = NChantTTS1.GetNumberProperty(ChantNumberProperty.CNPEngineAPI)

Collapse/Expand See Also section See Also

ChantTTS
GetStringProperty


ChantTTS GetStringProperty Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

GetStringProperty Method

Returns string property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String value = chantTTS.GetStringProperty(eChantStringProperty);

wchar_t* value = chantTTS->GetStringProperty(eChantStringProperty);

String value = chantTTS->GetStringProperty(eChantStringProperty);

var value: string;
value := chantTTS.GetStringProperty(eChantStringProperty);

String value = chantTTS.getStringProperty(eChantStringProperty);

Dim value As String
value = chantTTS.GetStringProperty(eChantStringProperty)

Parameters

eChantStringProperty

ChantStringProperty. Value that uniquely identifies the property.

Return Value

String. Property value.

Collapse/Expand Remarks section Remarks

All synthesizer and ChantTTS string property values are accessed via GetStringProperty and SetStringProperty. The property type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech | CSPApplication | 1 | Identifies the application.
Microsoft SAPI 4 Text-to-Speech | CSPAudioDestFileCLSID | 2 | Specifies the File Audio Destination COM object class identifier.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CSPEngine | 5 | Specifies the name of the recognizer or synthesizer.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CSPEngineID | 6 | Specifies the unique identifier of the recognizer or synthesizer.
Microsoft SAPI 5 Text-to-Speech | CSPISpMMSysAudioOutCLSID | 9 | Specifies the SpMMAudioOut COM object class identifier.
Microsoft SAPI 4 Text-to-Speech | CSPMMAudioDestCLSID | 16 | Specifies the Multimedia Audio Destination COM object class identifier.
 | CSPSynthesizer | 23 | ChantTTS class property. Identifies the synthesizer and synthesizer property settings to use for the application. The application framework persists synthesizer properties under this unique name.
Microsoft SAPI 5 Text-to-Speech | CSPConcurrencyLicenseCompany | 27 | License property.
Microsoft SAPI 5 Text-to-Speech | CSPConcurrencyLicenseName | 28 | License property.
Microsoft SAPI 5 Text-to-Speech | CSPConcurrencyLicenseKey | 29 | License property.
Cepstral SWIFT | CSPConfigFile | 30 | Configuration file to use instead of the default.
Nuance RealSpeak Solo | CSPEnginePath | 31 | File path to the engine libraries.
Acapela BabTTS | CSPLexicon | 32 | Name of the lexicon.
Cepstral SWIFT | CSPReduction | 33 | Reduction type.
Microsoft SAPI 5 Text-to-Speech | CSPVoiceLicenseCompany | 34 | License property.
Microsoft SAPI 5 Text-to-Speech | CSPVoiceLicenseName | 35 | License property.
Acapela BabTTS and NSCAPI Microsoft SAPI 5 Text-to-Speech | CSPVoiceLicenseKey | 36 | License property.
Microsoft SAPI 5 Text-to-Speech | CSPDefaultEngine | 37 | Default Recognizer or Voice.
 | CSPLanguagePath | 39 | File path to language files.
Acapela NSCAPI | CSPSrvAddress | 44 | TTS Server address.
Nuance Vocalizer Expressive | CSPBrokerInfoPath | 47 | Broker information path.

Collapse/Expand Example section Example

The following example illustrates accessing the Engine (voice name) property.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
String engine = NChantTTS1.GetStringProperty(ChantStringProperty.CSPEngine);

wchar_t* engine = pChantTTS->GetStringProperty(CSPEngine);

String engine = pChantTTS->GetStringProperty(CSPEngine);

var engine: string;
engine := ChantTTS1.GetStringProperty(CSPEngine);

String engine = JChantTTS1.getStringProperty(ChantStringProperty.CSPEngine);

Dim engine As String
engine = NChantTTS1.GetStringProperty(ChantStringProperty.CSPEngine)

Collapse/Expand See Also section See Also

ChantTTS
GetNumberProperty


ChantTTS HasEvent Event

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

HasEvent Event

Notifies the application of a text-to-speech event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

// In your Form constructor, add reference to your event handler
NChantTTS1.HasEvent += this.NChantTTS1_HasEvent;

// The HasEvent handler is declared as a subroutine for the class object
// with the following signature
private void NChantTTS1_HasEvent(object sender, Chant.SpeechKit.HasEventArgs e)
{

// HasEvent handler code goes here

}

                        // C++ event notifications can be handled via application message pump (e.g., DefWindowProc)
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
m_HasEvent = WM_APP+3;
m_pChantTTS->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

LRESULT MyApp::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                            SetCallbackFunction method

                        // C++Builder event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantVM1->SetWindowMessage(Handle, WM_APP+3, 0, 0);

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                            SetCallbackFunction method

                        // Delphi event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantVM1.SetWindowMessage(Handle, WM_APP+3, 0, 0);

procedure TForm1.OnHasEvent(var msg: TMessage);
begin

// HasEvent handler code goes here

end;

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                            SetCallbackFunction method

                        // Java applications indicate they support the HasEvent handler interface
// with the "implements" clause
public class Frame1 extends JFrame implements com.speechkit.JChantTTSEvents

// You must also inform the class object which java object implements the HasEvent
                        handler interface
// using the setCallbackFunction
JChantTTS1.setCallbackFunction(this,null,null);

// The HasEvent handler is declared as a method with the following signature
public void hasEvent(Object obj1, Object obj2)
{

' HasEvent handler code goes here

}

' Visual Basic .NET applications declare that they are interested in receiving events
' as part of the class object declaration using the WithEvents clause
Dim WithEvents NChantTTS1 As NChantTTS

' The HasEvent handler is declared as a subroutine for the class object with the following signature
Private Sub NChantTTS1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.SpeechKit.HasEventArgs) Handles NChantTTS1.HasEvent

' HasEvent handler code goes here

End Sub

Collapse/Expand Remarks section Remarks

An application must register for the events it is interested in receiving. The RegisterCallback method indicates the type of event the application is interested in receiving. An application can register for as many different event types as it wants.

Event notifications may be turned off at any time with the UnregisterCallback method.

If an application wants to receive events, it must also have a HasEvent handler that processes the desired events. See the discussion about events for speech synthesis.

Collapse/Expand Example section Example

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantTTS1_HasEvent(object sender, Chant.SpeechKit.HasEventArgs e)
{
    // Get the event from the event queue
    NChantTTSEvent nChantTTSEvent = NChantTTS1.GetChantTTSEvent();
    if (nChantTTSEvent != NULL)
    {
        // Check to see if there is text in the text box
        if (textBox1.Text.Length > 1)
        {
            int wordLength = 0;
            switch (nChantTTSEvent.ChantCallback)
            {
                case ChantCallback.CCTTSWordPosition:
                    {
                        // Set the current word spoken using word position
                        int startPosition = nChantTTSEvent.Position;
                        // Get the EngineAPI to determine is SAPI4 or SAPI5
                        ChantEngineAPI engineAPI = (ChantEngineAPI)NChantTTS1.GetNumberProperty(ChantNumberProperty.CNPEngineAPI);
                        if (engineAPI == ChantEngineAPI.CESAPI4TTS)
                        {
                            // SAPI4 doesn't provide length so calculate it
                            int endOfWord = textBox1.Text.IndexOf(" ", startPosition);
                            if (endOfWord > 0)
                            {
                                wordLength = endOfWord - nChantTTSEvent.Position;
                            }
                            else
                            {
                                wordLength = textBox1.Text.Length - nChantTTSEvent.Position;
                            }
                        }
                        else
                        {
                            wordLength = nChantTTSEvent.Length;
                        }
                        textBox1.Select(startPosition, wordLength);
                        textBox1.Focus();
                        break;
                    }
                default:
                    break;
            }
        }
        // Remove the event from the event queue
        NChantTTS1.RemoveEvent();
    }
}

LRESULT CSynthesisDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantTTS != NULL)
    {
        if (message == m_HasEvent)
        {
            USES_CONVERSION;
            CString sResult;
            // Get the event from the event queue
            CChantTTSEvent* pChantTTSEvent = m_pChantTTS->GetChantTTSEvent();
            if (pChantTTSEvent != NULL)
            {
                // Process the type of callback event
                switch (pChantTTSEvent->GetChantCallback())
                {
                    case CCTTSWordPosition :
                        {
                            // Set the current word spoken using word position
                            CString sText;
                            CEdit* pEdit = (CEdit*)GetDlgItem(IDC_EDIT1);
                            pEdit->GetWindowText(sText);
                            if (!sText.IsEmpty())
                            {
                                int endPosition = 0;
                                int startPosition = pChantTTSEvent->GetPosition();
                                // Get the EngineAPI to determine is SAPI4 or SAPI5
                                ChantEngineAPI engineAPI = (ChantEngineAPI)m_pChantTTS->GetNumberProperty(CNPEngineAPI);
                                if (engineAPI == CESAPI4TTS)
                                {
                                    // SAPI4 doesn't provide length so calculate it
                                    endPosition = sText.Find(_T(" "), startPosition + 1);
                                    if (endPosition < 0)
                                    {
                                        endPosition = sText.GetLength();
                                    }
                                } else {
                                    endPosition = startPosition +  pChantTTSEvent->GetLength();
                                }
                                // Make Visible
                                pEdit->SetSel(startPosition,endPosition,FALSE);
                                pEdit->SetFocus();
                            }
                        }
                        break;
                    default :
                        break;
                }
                // Remove the event from the event queue
                m_pChantTTS->RemoveEvent();
                // Delete the C++ wrapper class object
                delete pChantTTSEvent;
                pChantTTSEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantTTSEvent* pChantTTSEvent = ChantTTS1->GetChantTTSEvent(0);
    if (pChantTTSEvent != NULL)
    {
        switch (pChantTTSEvent->GetChantCallback())
        {
            default:
                break;
            case CCTTSWordPosition:
            {
                // Check to see if there is text in the text box
                if (Memo1->Text.Length() > 1)
                {
                    int wordLength;
                    // Get the current word spoken using word position
                    int startPosition = pChantTTSEvent->GetPosition();
                    Memo1->SetFocus();
                    Memo1->SelStart = startPosition;
                    // Get the EngineAPI to determine is SAPI4 or SAPI5
                    int engineAPI = ChantTTS1->GetNumberProperty(CNPEngineAPI);
                    if (engineAPI == CESAPI4TTS)
                    {
                        // SAPI4 doesn't provide length so calculate it
                        int endOfWord = Memo1->Text.Pos(" ");
                        if (endOfWord > 0)
                        {
                            wordLength = endOfWord;
                        } else {
                            wordLength = Memo1->Text.Length() - startPosition;
                        }
                    } else {
                        // Get the word length
                        wordLength = pChantTTSEvent->GetLength();
                    }

                    Memo1->SelLength = wordLength;
                }
                break;
            }

        }
        // Remove the event from the event queue
        ChantTTS1->RemoveEvent();
        delete pChantTTSEvent;
        pChantTTSEvent = NULL;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  engineAPI: Integer;
  endOfWord: Integer;
  startPosition: Integer;
  wordLength: Integer;
  aTChantTTSEvent: TChantTTSEvent;
begin
    // Get the event from the event queue
    aTChantTTSEvent := ChantTTS1.GetChantTTSEvent();
    if aTChantTTSEvent <> nil then
    begin
      // Check to see if there is text in the text box
      If Length(Memo1.Text) > 1 then
      begin
        wordLength := 0;
        case aTChantTTSEvent.ChantCallback of
          CCTTSWordPosition:
          begin
            // Get the current word spoken using word position
            startPosition := aTChantTTSEvent.Position;
            Memo1.SetFocus;
            Memo1.SelStart := startPosition;
            // Get the EngineAPI to determine is SAPI4
            engineAPI := ChantTTS1.GetNumberProperty(CNPEngineAPI);
            if engineAPI = CESAPI4TTS then
              begin
                // SAPI4 doesn't provide length so calculate it
                endOfWord := Pos(' ', Memo1.Text);
                if (endOfWord > 0) then
                  wordLength := endOfWord
                else
                  wordLength := Length(Memo1.Text) - startPosition;
              end
            else
              // Get the word length
              wordLength := aTChantTTSEvent.Length;
            Memo1.SelLength := wordLength;
          end;
        end;
      end;
      // Remove the event from the event queue
      ChantTTS1.RemoveEvent();
      aTChantTTSEvent.Destroy();
    end;
end;

// Process callback.
public void hasEvent(Object obj1, Object obj2)
{
    // Get the engine API
    int engineAPI = JChantTTS1.getNumberProperty(ChantNumberProperty.CNPEngineAPI);
    // Get the event
    JChantTTSEvent jChantTTSEvent = JChantTTS1.getChantTTSEvent(0);
    // Check to see if there is text in the text box
    String sText = jTextArea1.getText();
    if ((jChantTTSEvent != null) && (sText.length() > 1))
    {
        switch(jChantTTSEvent.getChantCallback())
        {
            case ChantCallback.CCTTSWordPosition :
                if (engineAPI == ChantEngineAPI.CESAPI5TTS)
                {
                    onWordPosition(jChantTTSEvent.getPosition(),jChantTTSEvent.getLength());
                } else {
                    // SAPI4 doesn't provide length so calculate it
                    int wordLength = 0;
                    int endOfWord = sText.indexOf(" ", jChantTTSEvent.getByteOffset()/2);
                    if (endOfWord > 0)
                    {
                        wordLength = endOfWord - jChantTTSEvent.getPosition() - 1;
                    } else {
                        wordLength = sText.length() - jChantTTSEvent.getPosition();
                    }
                    onWordPosition(jChantTTSEvent.getPosition(),wordLength);
                }
                break;
            default :
            break;
        }
    }
    JChantTTS1.removeEvent();
}

Private Sub NChantTTS1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.SpeechKit.HasEventArgs) Handles NChantTTS1.HasEvent
    Dim engineAPI As Integer
    Dim nChantTTSEvent As NChantTTSEvent
    Dim endOfWord As Integer
    Dim startPosition As Integer
    Dim wordLength As Integer
    ' Get the event from the event queue
    nChantTTSEvent = NChantTTS1.GetChantTTSEvent(0)
    If nChantTTSEvent <> Nothing Then
        ' Check to see if there is text in the text box
        If Len(TextBox1.Text) > 1 Then
            Select Case nChantTTSEvent.ChantCallback
                Case ChantCallback.CCTTSWordPosition
                    ' Set the current word spoken using word position
                    startPosition = nChantTTSEvent.Position
                    ' Get the EngineAPI to determine is SAPI4 or SAPI5
                    engineAPI = NChantTTS1.GetNumberProperty(ChantNumberProperty.CNPEngineAPI)
                    If engineAPI = ChantEngineAPI.CESAPI4TTS Then
                        ' SAPI4 doesn't provide length so calculate it
                        endOfWord = InStr(nChantTTSEvent.Position + 1, TextBox1.Text, " ", vbTextCompare)
                        If (endOfWord > 0) Then
                            wordLength = endOfWord - nChantTTSEvent.Position - 1
                        Else
                            wordLength = Len(TextBox1.Text) - nChantTTSEvent.Position
                        End If
                    Else
                        wordLength = nChantTTSEvent.Length
                    End If
                    TextBox1.Select(startPosition, wordLength)
                    TextBox1.Focus()
                Case Else
            End Select
        End If
        ' Remove the event from the event queue
        NChantTTS1.RemoveEvent()
    End If
End Sub

Collapse/Expand See Also section See Also

ChantTTS
ChantTTSEvent
GetChantTTSEvent
RegisterCallback
SetCallbackFunction
UnregisterCallback
SetWindowMessage


ChantTTS ImportAppFramework Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ImportAppFramework Method

Imports the current runtime settings from a file.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.ImportAppFramework(fileName);

chantTTS->ImportAppFramework(fileName);

chantTTS->ImportAppFramework(fileName);

chantTTS.ImportAppFramework(fileName);

chantTTS.importAppFramework(fileName);

chantTTS.ImportAppFramework(fileName)

Parameters

fileName

String. File name from which to load the application framework. File name may include path qualifiers or may be a URL.

Collapse/Expand See Also section See Also

ChantTTS
ExportAppFramework


ChantTTS IsSupported Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

IsSupported Method

Returns boolean indicating whether a feature is supported.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool supported = chantTTS.IsSupported(eChantEnumeration, constant);

bool supported = chantTTS->IsSupported(eChantEnumeration, constant);

bool supported = chantTTS->IsSupported(eChantEnumeration, constant);

var supported: boolean;
supported := chantTTS.IsSupported(eChantEnumeration, constant);

boolean supported = chantTTS.supported(eChantEnumeration, constant);

Dim supported As Boolean
supported = chantTTS.IsSupported(eChantEnumeration, constant)

Parameters

eChantEnumeration

ChantEnumeration. Specifies the value that uniquely identifies the Chant enumeration type.

constant

Long integer. Enumeration constant to determine feature support.

Return Value

Boolean. True or False indicating whether the feature is supported.

Collapse/Expand Remarks section Remarks

You can test to see if a feature is supported. For example, your application could check to see if an engine API is available on the system or if a dialog is supported before attmpting to display it. The enumeration type may be one of the constant values from the following enumerations:

Constant | Value | Description
CENChantDialog | 3 | ChantDialog
CENChantEngineAPI | 4 | ChantEngineAPI
CENChantNumberProperty | 8 | ChantNumberProperty
CENChantResourceFunction | 15 | ChantResourceFunction
CENChantStringProperty | 19 | ChantStringProperty

Collapse/Expand Example section Example

The following example illustrates determining whether the recognizer supports a specific dialog

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
bool supported = NChantTTS1.IsSupported(ChantEnumeration.CENChantDialog, (int)ChantDialog.CDAudioVolume);
if (supported)
{
    NChantTTS1.ShowDialog(ChantDialog.CDAudioVolume);
}

bool supported = pCChantTTS->IsSupported(CENChantDialog, CDAudioVolume);
if (supported)
{
    pChantTTS1->ShowDialog(CDAudioVolume);
}

bool supported = pCChantTTS->IsSupported(CENChantDialog, CDAudioVolume);
if (supported)
{
    pChantTTS1->ShowDialog(CDAudioVolume);
}

var supported: boolean;
supported := ChantTTS1.IsSupported(CENChantDialog, CDAudioVolume);
if supported then
    ChantTTS1.ShowDialog(CDAudioVolume);

boolean supported = JChantTTS1.supported(ChantEnumeration.CENChantDialog, ChantDialog.CDAudioVolume);
if (supported)
{
    JChantTTS1.ShowDialog(ChantDialog.CDAudioVolume);
}

Dim supported As Boolean
supported = NChantTTS1.IsSupported(ChantEnumeration.CENChantDialog, ChantDialog.CDAudioVolume)
If Not supported Then
    NChantTTS1.ShowDialog(ChantDialog.CDAudioVolume)
End If

Collapse/Expand See Also section See Also

ChantTTS


ChantTTS LastError Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

LastError Property

A numeric error code for the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int error = chantTTS.LastError;

long error = chantTTS->GetLastError();

long error = chantTTS->GetLastError();

var error: Integer;
error := chantTTS.LastError;

int error = chantTTS.getLastError();

Dim error As Integer
error = chantTTS.LastError

Return Value

Long integer. Error code.

Collapse/Expand Remarks section Remarks

ChantTTS return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantTTS
LastErrorMessage
LastErrorString


ChantTTS LastErrorMessage Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

LastErrorMessage Property

A description of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String errorMessage = chantTTS.LastErrorMessage;

wchar_t* errorMessage = chantTTS->GetLastErrorMessage();

String errorMessage = chantTTS->GetLastErrorMessage();

var errorMessage: string;
errorMessage := chantTTS.LastErrorMessage;

String errorMessage = chantTTS.getLastErrorMessage();

Dim errorMessage As String
errorMessage = chantTTS.LastErrorMessage

Collapse/Expand Remarks section Remarks

ChantTTS return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantTTS
LastError
LastErrorString


ChantTTS LastErrorString Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

LastErrorString Property

A text representation of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String error = chantTTS.LastErrorString;

wchar_t* error = chantTTS->GetLastErrorString();

String error = chantTTS->GetLastErrorString();

var error: string;
error := chantTTS.LastErrorString;

String error = chantTTS.getLastErrorString();

Dim error As String
error = chantTTS.LastErrorString

Collapse/Expand Remarks section Remarks

ChantTTS return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantTTS
LastError
LastErrorMessage


ChantTTS PausePlayback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

PausePlayback Method

Suspends speech synthesis.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.PausePlayback();

chantTTS->PausePlayback();

chantTTS->PausePlayback();

chantTTS.PausePlayback();

chantTTS.pausePlayback();

chantTTS.PausePlayback()

Collapse/Expand Remarks section Remarks

An application may need to temporarily suspend text-to-speech processing without freeing session resources. Use PausePlayback to suspend and ResumePlayback resume playback. Use ResumePlayback or StopPlayback to interrupt or to reset and flush any playback on a session.

Collapse/Expand See Also section See Also

ChantTTS
ResumePlayback


ChantTTS RegisterCallback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RegisterCallback Method

Sets the callback event active.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.RegisterCallback(eChantCallback);

chantTTS->RegisterCallback(eChantCallback);

chantTTS->RegisterCallback(eChantCallback);

chantTTS.RegisterCallback(eChantCallback);

chantTTS.registerCallback(eChantCallback);

chantTTS.RegisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Text-to-Speech | CCDAudioBookMark | 9 | Destination audio object detected a bookmark identifier in the audio stream or audio was flushed. Property values: ID, Flush.
Microsoft SAPI 4 Text-to-Speech | CCDAudioFreeSpace | 10 | Destination audio object internal buffer state changed. Property values: Bytes, EOF.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioStart | 11 | Audio playback has started. Property values: TimeStamp.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioStop | 12 | Audio playback has stopped. Property values: Reason, TimeStamp, File.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioFileBegin | 13 | Synthesizer has begun processing an audio file. Property values: ID.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioFileEnd | 14 | Synthesizer has finished processing an audio file. Property values: ID.
Microsoft SAPI 4 Text-to-Speech | CCDAudioFilePosn | 15 | Synthesizer identifies how much data has been processed. Property values: Processed, Left.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioFileQueueEmpty | 16 | Synthesizer has finished processing all files in the queue.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSAudioLevel | 17 | Synthesizer provides the playback audio level. Property values: Level.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSBookMark | 18 | Synthesizer notifies that it has encountered a bookmark in the text being played. Property values: BookMarkString, ID, TimeStamp.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSDone | 19 | Synthesizer has completed synthesizing text. This does not mean that audio playback is complete. See CCDAudioStop. Property values: Bytes, Buffer, TimeStamp, Flags.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSNumberPropertyChanged | 20 | Synthesizer number property value changed.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSPhoneme | 21 | Synthesizer returns the phoneme. Property values: Duration, NextPhonemeID, NextPhoneme, Hints, CurrentPhonemeID, CurrentPhoneme.
 | CCTTSProgress | 22 | Indicates the percent complete of an import or export operation. Property values: Progress.
Acapela BabTTS and NSCAPI Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSSentenceBoundary | 23 | Synthesizer indicates that it reached an end of sentence during synthesis. Property values: Length, Position.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSStarted | 24 | Synthesizer has started synthesizing speech from text.
 | CCTTSStringPropertyChanged | 25 | Reserved for future use.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSViseme | 26 | Synthesizer returns the viseme notifications with viseme speaking property. Property values: CurrentViseme, Duration, Hints, NextViseme.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | CCTTSVisual | 27 | Synthensizer returns visual notifications with visual speaking properties. Property values: EnginePhoneme, Hints, IPAPhoneme, LipTension, MouthHeight, MouthWidth, MouthUpturn, JawOpen, TeethUpperVisible, TeethLowerVisible, TimeStamp, TonguePosn.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSVoiceChange | 28 | Synthesizer voice has changed. Property values: none.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSWordPosition | 29 | Position of the word within the text being synthesized that corresponds to the current audio playback. Property values: Length, Position, TimeStamp.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCAPIError | 59 | API Error. Property values: ID, Function, Text.

The following example illustrates turning on WordPosition events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn on WordPosition events
NChantTTS1.RegisterCallback(ChantCallback.CCTTSWordPosition);

// Turn on WordPosition events
pChantTTS->RegisterCallback(CCTTSWordPosition);

// Turn on WordPosition events
pChantTTS->RegisterCallback(CCTTSWordPosition);

// Turn on WordPosition events
ChantTTS1.RegisterCallback(CCTTSWordPosition);

// Turn on WordPosition events
JChantTTS1.registerCallback(ChantCallback.CCTTSWordPosition);

' Turn on WordPosition events
NChantTTS1.RegisterCallback(ChantCallback.CCTTSWordPosition)

Collapse/Expand See Also section See Also

ChantTTS
UnregisterCallback


ChantTTS RemoveEvent Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RemoveEvent Method

Removes a speech resource definition or frees a speech resource object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.RemoveEvent();

chantTTS->RemoveEvent();

chantTTS->RemoveEvent();

chantTTS.RemoveEvent();

chantTTS.removeEvent();

chantTTS.RemoveEvent()

Collapse/Expand See Also section See Also

ChantTTS


ChantTTS RequestCount Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RequestCount Property

The number of active and queued StartPlayback or TextToSpeech requests.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantTTS.RequestCount;

long count = chantTTS->GetRequestCount();

long count = chantTTS->GetRequestCount();

var count: Integer;
count := chantTTS.RequestCount;

int count = chantTTS.getRequestCount();

Dim count As Integer
count = chantTTS.RequestCount

Return Value

Long integer. Number of active and queued requests.

Collapse/Expand See Also section See Also

ChantTTS


ChantTTS ResumePlayback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ResumePlayback Method

Resumes text-to-speech playback that was suspended by PausePlayback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.ResumePlayback();

chantTTS->ResumePlayback();

chantTTS->ResumePlayback();

chantTTS.ResumePlayback();

chantTTS.resumePlayback();

chantTTS.ResumePlayback()

Collapse/Expand Remarks section Remarks

An application may need to temporarily suspend text-to-speech processing without freeing session resources. Use PausePlayback to suspend and ResumePlayback resume playback. Use ResumePlayback or StopPlayback to interrupt or to reset and flush any playback on a session.

Collapse/Expand See Also section See Also

ChantTTS
PausePlayback


ChantTTS SetCallbackFunction Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetCallbackFunction Method

Sets callback static function.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantTTS->SetCallbackFunction(callbackFunction, wParam, lParam);

chantTTS->SetCallbackFunction(callbackFunction, wParam, lParam);

chantTTS.SetCallbackFunction(callbackFunction, wParam, lParam);

chantTTS.setCallbackFunction(callbackFunction, wParam, lParam);

Parameters

callbackFunction

Pointer (C++, C++Builder, Delphi), Object (Java). Name of conditional variable. Callback address (C++, C++Builder, Delphi). Callback object that implements the ChantTTSEvents interface (Java).

wParam

WPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

lParam

LPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support static callbacks may set a function to receive callback events.

Collapse/Expand See Also section See Also

ChantTTS
SetWindowMessage


ChantTTS SetCallbackParms Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetCallbackParms Method

Sets optional callback parameters.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.SetCallbackParms(parm1, parm2);

Not supported.

Not supported.

Not supported.

chantTTS.setCallbackParms(parm1, parm2);

nChantTTS.SetCallbackParms(parm1, parm2)

Parameters

parm1

Object. Optional application defined value passed on all callback events.

parm2

Object. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Application defined values may be passed on all callback events.

Collapse/Expand Example section Example

The following example illustrates setting optional callback parms.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantTTS1.SetCallbackParms(NChantTTS1, NULL);

Not supported.

Not supported.

Not supported.

JChantTTS1.setCallbackParms(JChantTTS1, null);

NChantTTS1.SetCallbackParms(NChantTTS1, Nothing)

Collapse/Expand See Also section See Also

ChantTTS


ChantTTS SetMuteOn Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetMuteOn Method

Mutes audio output on or off.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.SetMuteOn(muteOn);

chantTTS->SetMuteOn(muteOn);

chantTTS->SetMuteOn(muteOn);

chantTTS.SetMuteOn(muteOn);

chantTTS.setMuteOn(muteOn);

chantTTS.SetMuteOn(muteOn)

Parameters

muteOn

Boolean. TRUE or FALSE to indicate whether the the audio mute is active.

Collapse/Expand Remarks section Remarks

Flag indicating whether or not the audio playback can be heard. Setting the flag to TRUE indicates the audio playback is not heard.

Collapse/Expand See Also section See Also

ChantTTS


ChantTTS SetNumberProperty Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetNumberProperty Method

Sets a numeric property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.SetNumberProperty(eChantNumberProperty, value);

chantTTS->SetNumberProperty(eChantNumberProperty, value);

chantTTS->SetNumberProperty(eChantNumberProperty, value);

chantTTS.SetNumberProperty(eChantNumberProperty, value);

chantTTS.setNumberProperty(eChantNumberProperty, value);

chantTTS.SetNumberProperty(eChantNumberProperty, value)

Parameters

eChantNumberProperty

ChantNumberProperty. Value that uniquely identifies the property.

value

Integer. Property value.

Collapse/Expand Remarks section Remarks

All synthesizer and ChantTTS numeric property values are accessed via GetNumberProperty and SetNumberProperty. The property type may be one of the following values:

APIs | Constant | Value | Description
 | CNPAudioFormat | 3 | Specifies common Windows audio formats ranging from uncompressed PCM formats to highly compressed formats. Some synthesizers and recognizer may not support all audio formats. See the ChantAudioFormat enumeration constants for valid values.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech | CNPDeviceID | 8 | Specifies the device identifier of the Windows audio source for recognition and audio destination for synthesis. Default value is WAVE_MAPPER (-1).
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo Nuance Vocalizer Automotive Nuance Vocalizer Epxressive Nuance Vocalizer Mobile Nuance Vocalizer Network | CNPEngineAPI | 12 | ChantTTS property that specifies the speech engine API.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | CNPPitch | 21 | Synthesizer property. Specifies the current baseline average pitch for a text-to-speech mode. SAPI 4 specification value range is from 0 to 65356.
Microsoft SAPI 5 Text-to-Speech | CNPPriority | 22 | Synthesizer property. Specifies the priority for the voice. Valid values include: 0 (normal), 1 (alter), and 2 (over - the voice should mix its audio with all other audio). The default priority value is 0 (normal).
Microsoft SAPI 4 Text-to-Speech | CNPRealTime | 23 | Recognizer and synthesizer property. Specifies the real-time setting for the recognizer or synthesizer. The real-time setting is the percentage of processor time used during processing. For example, if the value is 10, the engine uses one minute of processor time. If the value is 50, the engine takes 30 seconds. The processor time used is an estimate so the property value should be considered a relative value setting. The value can be set to higher than 100 for non-real-time audio processing (i.e., file or stream audio).
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CNPSpeed | 30 | Synthesizer property. Specifies the baseline average speaking speed for the synthesized speech. Valid Acapela values range from 30 to 300. Default Cepstral value is 170 words per minute (WPM). Valid SAPI 4 specification values range from 0 to 4294967295. Valid SAPI 5 values range from -10 to 10. Valid Nuance RealSpeak Solo values range from 1 to 150. Valid Nuance Vocalizers values range from 1 to 150.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CNPSpeedNorm | 31 | Synthesizer property. Specifies the baseline average speaking speed for the synthesized speech normalized by the ChantTTS class object. For non-SAPI 5 synthesizers, the ChantTTS class object uses the default speaking speed as the baseline (0). Valid values range from -10 to 10.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CNPVolume | 35 | Synthesizer property. Specifies the baseline speaking volume. Valid Acapela values range from 0 to 150. Valid Cepstral values range from 0 to 100. Valid SAPI 4 values range from 0 to 4294967295. Valid SAPI 5 values range from 0 to 100. Valid Nuance RealSpeak Solo values range from 0 to 100. Valid Nuance Vocalizers values range from 0 to 100.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CNPVolumeNorm | 36 | Synthesizer property. Specifies the baseline speaking volume normalized by the ChantTTS class object. For SAPI 4 synthesizers, the ChantTTS class object uses the default speaking volume as the baseline (50). Valid values range from 0 to 100.
Cepstral SWIFT | CNPAudioChannels | 37 | Synthesizer property. Number of audio channels: 1 (mono) or 2 (stereo).
Cepstral SWIFT | CNPAudioPan | 38 | Synthesizer property. Left-to-Right panning: -1 (left), 0 (center), 1 (right). This must be used with audio channels=2.
Microsoft SAPI 5 Text-to-Speech | CNPPorts | 39 | Synthesizer property. Specifies the audio out ports.
Nuance RealSpeak Solo | CNPSilence | 40 | Synthesizer property. Specifies milliseconds of dead air (silence) to pad at the end of speech.
Acapela BabTTS | CNPMaxLexicons | 41 | Synthesizer property. Returns maximum number of dictionaries.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CNPNativeAPI | 42 | Enumerate a recognizer or voice via native API if available and not as a SAPI recognizer or voice.
Acapela NSCAPI | CNPAddressFamily | 48 | Synthesizer property. Constant value indicating the type of address family: NSC_AF_DEFAULT (0), NSC_AF_LOCAL (1), NSC_AF_INET (2), NSC_AF_DIRECT (3).
Acapela NSCAPI | CNPCmdPort | 49 | Synthesizer property. Sets the target port number for socket connection (command) when CNPAddressFamily is set for NSC_AF_INET. Otherwise value should be set to 0.
Acapela NSCAPI | CNPDataPort | 50 | Synthesizer property. Sets the target port number for socket connection (data) when CNPAddressFamily is set for NSC_AF_INET. Otherwise value should be set to 0.

Collapse/Expand Example section Example

The following example illustrates setting the synthesizer to the default SAPI 5 synthesizer.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CESAPI5TTS);

pChantTTS->SetNumberProperty(CNPEngineAPI, CESAPI5TTS);

pChantTTS->SetNumberProperty(CNPEngineAPI, CESAPI5TTS);

ChantTTS1.SetNumberProperty(CNPEngineAPI, CESAPI5TTS);

JChantTTS1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CESAPI5TTS);

NChantTTS1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CESAPI5TTS)

Collapse/Expand See Also section See Also

ChantTTS
SetStringProperty


ChantTTS SetStringProperty Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetStringProperty Method

Sets a string property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.SetStringProperty(eChantStringProperty, value);

chantTTS->SetStringProperty(eChantStringProperty, value);

chantTTS->SetStringProperty(eChantStringProperty, value);

chantTTS.SetStringProperty(eChantStringProperty, value);

chantTTS.setStringProperty(eChantStringProperty, value);

chantTTS.SetStringProperty(eChantStringProperty, value)

Parameters

eChantStringProperty

ChantStringProperty. Value that uniquely identifies the property.

value

String. Property value.

Collapse/Expand Remarks section Remarks

All synthesizer and ChantTTS string property values are accessed via GetStringProperty and SetStringProperty. The property type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech | CSPApplication | 1 | Identifies the application.
Microsoft SAPI 4 Text-to-Speech | CSPAudioDestFileCLSID | 2 | Specifies the File Audio Destination COM object class identifier.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CSPEngine | 5 | Specifies the name of the recognizer or synthesizer.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CSPEngineID | 6 | Specifies the unique identifier of the recognizer or synthesizer.
Microsoft SAPI 5 Text-to-Speech | CSPISpMMSysAudioOutCLSID | 9 | Specifies the SpMMAudioOut COM object class identifier.
 | CSPLicense | 10 | Class property. Specifies the license value required for distributing applications with the Chant class libraries.
Microsoft SAPI 4 Text-to-Speech | CSPMMAudioDestCLSID | 16 | Specifies the Multimedia Audio Destination COM object class identifier.
 | CSPSerials | 19 | Class property. Specifies the serial number value required for distributing applications with the Chant class libraries.
 | CSPSynthesizer | 23 | ChantTTS class property. Identifies the synthesizer and synthesizer property settings to use for the application. The application framework persists synthesizer properties under this unique name.
Microsoft SAPI 5 Text-to-Speech | CSPConcurrencyLicenseCompany | 27 | License property.
Microsoft SAPI 5 Text-to-Speech | CSPConcurrencyLicenseName | 28 | License property.
Microsoft SAPI 5 Text-to-Speech | CSPConcurrencyLicenseKey | 29 | License property.
Cepstral SWIFT | CSPConfigFile | 30 | Configuration file to use instead of the default.
Nuance RealSpeak Solo | CSPEnginePath | 31 | File path to the engine libraries.
Acapela BabTTS | CSPLexicon | 32 | Name of the lexicon.
Cepstral SWIFT | CSPReduction | 33 | Reduction type.
Microsoft SAPI 5 Text-to-Speech | CSPVoiceLicenseCompany | 34 | License property.
Microsoft SAPI 5 Text-to-Speech | CSPVoiceLicenseName | 35 | License property.
Acapela BabTTS and NSCAPI Microsoft SAPI 5 Text-to-Speech | CSPVoiceLicenseKey | 36 | License property.
Microsoft SAPI 5 Text-to-Speech | CSPDefaultEngine | 37 | Default Recognizer or Voice.
 | CSPLanguagePath | 39 | File path to language files.
Acapela NSCAPI | CSPSrvAddress | 44 | TTS Server address.
Nuance Vocalizer Expressive | CSPBrokerInfoPath | 47 | Broker information path.

Collapse/Expand Example section Example

The following example illustrates setting the synthesizer to Microsoft David Desktop - English (United States).

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantTTS1.SetStringProperty(ChantStringProperty.CSPEngine, "Microsoft David Desktop - English (United States)");

pChantTTS->SetStringProperty(CSPEngine, L"Microsoft David Desktop - English (United States)");

pChantTTS->SetStringProperty(CSPEngine, "Microsoft David Desktop - English (United States)");

ChantTTS1.SetStringProperty(CSPEngine, "Microsoft David Desktop - English (United States)");

JChantTTS1.setStringProperty(ChantStringProperty.CSPEngine, "Microsoft David Desktop - English (United States)");

NChantTTS1.SetStringProperty(ChantStringProperty.CSPEngine, "Microsoft David Desktop - English (United States)")

Collapse/Expand See Also section See Also

ChantTTS
SetStringProperty


ChantTTS SetWindowMessage Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SetWindowMessage Method

Sets the WM_APP message value for receiving an event notification as Win32 message.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantTTS->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantTTS-SetWindowMessage(hWnd, Msg, wParam, lParam);

chantTTS.SetWindowMessage(hWnd, Msg, wParam, lParam);

Not supported.

Not supported.

Parameters

hWnd

HWND. Application window handle.

Msg

Long integer. Unique windows message number.

wParam

WPARAM (C++, Delphi). Optional application defined value passed on all callback events.

lParam

LPARAM (C++, Delphi). Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support Win32 message pump may set a WM_APP message value to uniquely identify ChantTTS event notifications. An event notification indicates that a ChantTTS callback has fired and a ChantTTSEvent resource is on the event resource queue.

Collapse/Expand See Also section See Also

ChantTTS


ChantTTS ShowDialog Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ShowDialog Method

Displays a synthesizer or ChantTTS dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.ShowDialog(eChantDialog, owner, title, options);

chantTTS->ShowDialog(eChantDialog, owner, title, options);

chantTTS->ShowDialog(eChantDialog, owner, title, options);

chantTTS.ShowDialog(eChantDialog, owner, title, options);

chantTTS.showDialog(eChantDialog, owner, title, options);

chantTTS.ShowDialog(eChantDialog, owner, title, options)

Parameters

eChantDialog

ChantDialog. The dialog to display.

owner

HWND. Application window handle.

title

String. Optional dialog title.

options

String. Optional value required by the dialog.

Collapse/Expand Remarks section Remarks

All synthesizer and ChantTTS dialogs are displayed using the ShowDialog method. Note that some synthesizers may not support dialogs listed in the ChantDialog enumerated constants. The dialog type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech | CDAbout | 1 | Displays the SAPI 4 AboutDlg or Dragon About dialog box that identifies the engine and contains the copyright notice.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech | CDAddRemoveWord | 4 | Displays the Acapela BABTTS_DLG_LEXICON, SAPI 4 LexiconDlg, SAPI 5 AddRemoveWord, Dragon Add Word dialog box, or the IBM ViaVoice runtime client Vocabulary Expander wizard that allows the user to view and edit his or her pronunciations.
Microsoft SAPI 5 Text-to-Speech | CDAudioProperties | 7 | Displays the SAPI 5 AudioProperties dialog that allows the user to adjust a custom audio object's properties.
Microsoft SAPI 5 Text-to-Speech | CDAudioVolume | 8 | Displays the SAPI 5 AudioVolume dialog that allows the user to adjust a custom audio object's volume property.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech | CDEngineProperties | 13 | Displays the SAPI 4 GeneralDlg, SAPI 5 EngineProperties, Dragon NaturallySpeaking Options dialog box, or the IBM ViaVoice runtime client Options tool that allows your application to adjust the engine's properties.
Microsoft SAPI 4 Text-to-Speech | CDTranslate | 31 | Displays the SAPI 4 TranslateDlg that allows the user to control symbols, currencies, abbreviations, and number-translation techniques. It also allows the user to control abbreviation translation, case sensitivity, and how both affect prosody.

Collapse/Expand Example section Example

The following example illustrates displaying the audio volume dialog.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantTTS1.ShowDialog(ChantDialog.CDAudioVolume, this.Handle, "", "");

pChantTTS->ShowDialog(CDAudioVolume, m_hWnd);

pChantTTS->ShowDialog(CDAudioVolume, Handle);

ChantTTS1.ShowDialog(CDAudioVolume, Handle, '', '')

JChantTTS1.showDialog(ChantDialog.CDAudioVolume, this, "", "");

NChantTTS1.ShowDialog(ChantDialog.CDAudioVolume, Me.Handle, "", "")

Collapse/Expand See Also section See Also

ChantTTS


ChantTTS SkipPlayback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

SkipPlayback Method

Advances through or rewinds the speech synthesis audio playback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int skipped = nChantTTS.SkipPlayback(skipType, value);

long skipped = pChantTTS->SkipPlayback(skipType, value);

long skipped = pChantTTS->SkipPlayback(skipType, value);

var skipped: Integer;
skipped := aTChantTTS.SkipPlayback(skipType, value);

ulong skipped = JChantTTS.skipPlayback(skipType, value);

Dim skipped As Integer skipped = nChantTTS.SkipPlayback(skipType, value)

Parameters

skipType

Long integer. Type of skip unit. Default value is 1 indicating SENTENCE for SAPI 5 and TTS_JMP_TEXTUNIT for RealSpeak Solo.

value

Long integer. The number of skip units. A positive number skips forward and a negative number skips backwards.

Return Value

Long integer. The number of units actually skipped.

Collapse/Expand Remarks section Remarks

SkipPlayback provides a way to navigate large synthesis request. Playback can be skipped forward or backwards.

Collapse/Expand Example section Example

The following examples illustrate using the SkipPlayback method to skip through synthesized speech playback audio.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Instantiate ChantTTS object
NChantTTS1 = new NChantTTS();

// Synthesize text to speech
NChantTTS1.StartPlayback("Ensure that you are speaking long enough to be able to skip through the playback audio.");

// Skip foward
NChantTTS1.SkipPlayback(1, 1);

// Skip backwards
NChantTTS1.SkipPlayback(1, -1);

// Instantiate ChantTTS object
m_pChantTTS = new CChantTTS();

// Synthesize text to speech
m_pChantTTS->StartPlayback(L"Ensure that you are speaking long enough to be able to skip through the playback audio.");

// Skip foward
m_pChantTTS->SkipPlayback(1, 1);

// Skip backwards
m_pChantTTS->SkipPlayback(1, -1);

// Instantiate ChantTTS object
m_pChantTTS = new CChantTTS();

// Synthesize text to speech
m_pChantTTS->StartPlayback(L"Ensure that you are speaking long enough to be able to skip through the playback audio.");

// Skip foward
m_pChantTTS->SkipPlayback(1, 1);

// Skip backwards
m_pChantTTS->SkipPlayback(1, -1);

// Synthesize text to speech
ChantTTS1.StartPlayback('Ensure that you are speaking long enough to be able to skip through the playback audio.');

// Skip foward
ChantTTS1.SkipPlayback(1, 1);

// Skip backwards
ChantTTS1.SkipPlayback(1, -1);

// Instantiate ChantTTS object
JChantTTS1 = new JChantTTS();

// Synthesize text to speech
JChantTTS1.startPlayback("Ensure that you are speaking long enough to be able to skip through the playback audio.");

// Skip foward
JChantTTS1.startPlayback(1, 1);

// Skip backwards
JChantTTS1.startPlayback(1, -1);

' Instantiate ChantTTS object
NChantTTS1 = New NChantTTS()

' Synthesize text to speech
NChantTTS1.StartPlayback("Ensure that you are speaking long enough to be able to skip through the playback audio.")

' Skip foward
NChantTTS1.SkipPlayback(1, 1)

' Skip backwards
NChantTTS1.SkipPlayback(1, -1)

Collapse/Expand See Also section See Also

ChantTTS
StopPlayback


ChantTTS StartPlayback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

StartPlayback Method

Starts speech synthesis or audio playback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.StartPlayback(playback, playbackSize, eChantPlaybackObject, eChantAudioFormat, eChantPlaybackStyle, engine);

chantTTS->StartPlayback(playback, playbackSize, eChantPlaybackObject, eChantAudioFormat, eChantPlaybackStyle, engine);

chantTTS->StartPlayback(playback, playbackSize, eChantPlaybackObject, eChantAudioFormat, eChantPlaybackStyle, engine);

chantTTS.StartPlayback(playback, playbackSize, eChantPlaybackObject, eChantAudioFormat, eChantPlaybackStyle, engine);

chantTTS.startPlayback(playback, playbackSize, eChantPlaybackObject, eChantAudioFormat, eChantPlaybackStyle, engine);

chantTTS.StartPlayback(playback, playbackSize, eChantPlaybackObject, eChantAudioFormat, eChantPlaybackStyle, engine)

Parameters

playback

String or Pointer. Audio buffer, string of text, file name, or stream to play back.

playbackSize

Integer. Optional length of playback buffer.

eChantPlaybackObject

ChantPlaybackObject. Optional value that uniquely identifies the playback object.

eChantAudioFormat

ChantAudioFormat. Optional value that uniquely identifies the audio format of source audio. For the complete list of values, see ChantAudioFormat enumerated constants.

eChantPlaybackStyle

ChantPlaybackStyle. Optional one or more OR'd values that identify how to process the playback.

engine

String. Optional speech synthesizer or voice name.

Collapse/Expand Remarks section Remarks

StartPlayback is a simple way to synthesize speech by passing text or file of text to synthesize, or playback the audio file, or audio data from a stream. The playback object type may be one of the following values:

APIs | Constant | Value | Description
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPOBuffer | 1 | The playback input source is copied from a buffer.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPOFile | 2 | The playback input source is read from a file.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPOText | 3 | The playback input source is a text string.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPOStream | 4 | The playback input source is read from a stream.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPOURL | 5 | The playback input source is read from a URL.

StartPlayback provides a way synthesize text-to-speech for live playback.

StartPlayback processing may be synchronous or asynchronous and may handled in a variety of ways. The playback style may be one or more of the following values:

APIs | Constant | Value | Description
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSAsynchronous | 0 | Return from the playback request after playback is initiated.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSSynchronous | 1 | Return from the playback request after playback is complete.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSInterrupt | 2 | Interrupt current playback, if in process, by resetting and flushing audio, and initiate playback of this playback request.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSInterject | 4 | Interrupt current playback, if in process by pausing it, and initiate playback of this playback request. Resume playback of the interrupted playback once this request is complete.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSNoInterrupt | 8 | Block other playback requests and recognized speech events from interrupting this request.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSIsXML | 16 | The text is parsed for XML markup.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPSIsNotXML | 32 | The text is not be parsed for XML markup.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPSPersistXML | 64 | Global state changes in the XML markup will persist across playback requests.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPSNLPSpeakPunc | 128 | Punctuation characters should be spoken.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSAllowRepeat | 256 | Allow repetitive playbacks.
Nuance RealSpeak Solo | CPSSpellOut | 512 | Spell out each letter of the words instead of pronouncing them.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSSpeakPhonemes | 1024 | Treat input as phoneme strings to be spoken.
 | CPSIsSSML | 2048 | The text is parsed for SSML markup.
Nuance RealSpeak Solo | CPSIsHTML | 4096 | The text is parsed for HTML.
Nuance RealSpeak Solo | CPSLineOut | 8192 | The text is read line-by-line.
 | CPSLoop | 16384 | Reserved.
Cepstral SWIFT | CPSNoBlocking | 32768 | If port's utterance queue is full return with error rather than waiting for room to become available.
Nuance RealSpeak Solo | CPSWordOut | 65536 | The text is read word-by-word

Collapse/Expand Example section Example

The following examples illustrate using the StartPlayback method to synthesize speech and playback audio.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Instantiate ChantTTS object
NChantTTS1 = new NChantTTS();

// Synthesize text to speech
NChantTTS1.StartPlayback("Hello world.");

// Playback a wave file
NChantTTS1.StartPlayback("myinaudiofile.wav");

// Synthesize a file of text to speech
NChantTTS1.StartPlayback("mytextfile.txt");

// Instantiate ChantTTS object
pChantTTS = new CChantTTS();

// Synthesize text to speech
pChantTTS->StartPlayback(L"Hello world.");

// Playback a wave file
pChantTTS->StartPlayback(L"myaudiofile.wav");

// Synthesize a file of text to speech
pChantTTS->StartPlayback(L"mytextfile.txt");

// Instantiate ChantTTS object
pChantTTS = new CChantTTS();

// Synthesize text to speech
pChantTTS->StartPlayback("Hello world.");

// Playback a wave file
pChantTTS->StartPlayback("myaudiofile.wav");

// Synthesize a file of text to speech
pChantTTS->StartPlayback("mytextfile.txt");

// Instantiate ChantTTS object
ChantTTS1 := TChantTTS.Create();

// Synthesize text to speech
ChantTTS1.StartPlayback('Hello world.');

// Playback a wave file
ChantTTS1.StartPlayback('myaudiofile.wav');

// Synthesize a file of text to speech
ChantTTS1.StartPlayback('mytextfile.txt');

// Instantiate ChantTTS object
JChantTTS1 = new JChantTTS();

// Synthesize text to speech
JChantTTS1.startPlayback("Hello world.");

// Playback a wave file
JChantTTS1.startPlayback("myinaudiofile.wav");

// Synthesize a file of text to speech
JChantTTS1.startPlayback("mytextfile.txt");

' Instantiate ChantTTS object
NChantTTS1 = New NChantTTS()

' Synthesize text to speech
NChantTTS1.StartPlayback("Hello world.")

' Playback a wave file
NChantTTS1.StartPlayback("myinaudiofile.wav")

' Synthesize a file of text to speech
NChantTTS1.StartPlayback("mytextfile.txt")

Collapse/Expand See Also section See Also

ChantTTS
StopPlayback


ChantTTS StopPlayback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

StopPlayback Method

Stops speech synthesis or audio playback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.StopPlayback();

chantTTS->StopPlayback();

chantTTS->StopPlayback();

chantTTS.StopPlayback();

chantTTS.stopRecording();

chantTTS.StopPlayback();

Collapse/Expand Remarks section Remarks

Stop interrupts speaking, flushes the audio playback buffers. It does not destroy the application's text-to-speech session.

Collapse/Expand See Also section See Also

ChantTTS
StartPlayback


ChantTTS TextToSpeech Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

TextToSpeech Method

Queues a concurrent (multi-channel) synthesis request.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.TextToSpeech(text, engine, playbackResult, eChantPlaybackResult, eChantAudioFormat, eChantPlaybackStyle);

chantTTS->TextToSpeech(text, engine, playbackResult, eChantPlaybackResult, eChantAudioFormat, eChantPlaybackStyle);

chantTTS->TextToSpeech(text, engine, playbackResult, eChantPlaybackResult, eChantAudioFormat, eChantPlaybackStyle);

chantTTS.TextToSpeech(text, engine, playbackResult, eChantPlaybackResult, eChantAudioFormat, eChantPlaybackStyle);

chantTTS.textToSpeech(text, engine, playbackResult, eChantPlaybackResult, eChantAudioFormat, eChantPlaybackStyle);

chantTTS.TextToSpeech(text, engine, playbackResult, eChantPlaybackResult, eChantAudioFormat, eChantPlaybackStyle)

Parameters

text

String. The text or file of text to synthesize.

engine

String. The speech synthesizer or voice name.

playbackResult

Pointer. A pointer to a stream, or name of the audio file.

eChantPlaybackResult

ChantPlaybackResult. The type of playback result.

eChantAudioFormat

ChantAudioFormat. The prefered audio format.

eChantPlaybackStyle

ChantPlaybackStyle. Indicates how to process the playback.

Collapse/Expand Remarks section Remarks

TextToSpeech is a simple way to synthesize speech and write the audio data to a file, buffer, or stream by passing text or file of text to synthesize.

If file output is desired and the file name is not specified, the ChantTTS class generates a unique name. You may also specify a name with the following wildcard tokens as part of the file name:

  • &year
  • &month
  • &dayofweek
  • &day
  • &hour
  • &minute
  • &second
  • &milliseconds
  • &random

The ChantTTS class replaces the wildcard token before creating the file. For example myfile&year.wav would result in the file name myfile2007.wav

The playback result object type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPRBuffer | 1 | Synthesized audio output is written to buffer.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPRFile | 2 | Synthesized audio output is written to a file.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPRStream | 5 | Synthesized audio output is written to a stream.

TextToSpeech processing may be synchronous or asynchronous and may handled in a variety of ways. The playback style may be one or more of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPSAsynchronous | 0 | Return from the playback request after playback is initiated.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPSSynchronous | 1 | Return from the playback request after playback is complete.

Collapse/Expand Example section Example

The following examples illustrate using the TextToSpeech method to synthesize speech to an audio file.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Instantiate ChantTTS object
NChantTTS1 = new NChantTTS();

// Set license and serials properties

// Synthesize text to speech and save to a wave file
NChantTTS1.TextToSpeech("Hello world", "Microsoft David Desktop - English (United States)", "myoutaudiofile.wav", ChantPlaybackResult.CPRFile, ChantAudioFormat.CAFDefault, ChantPlaybackStyle.CPSAsynchronous);

// Instantiate ChantTTS object
pChantTTS = new CChantTTS();

// Set license and serials properties

// Synthesize text to speech and save to a wave file
pChantTTS->TextToSpeech(L"Hello world", L"Microsoft David Desktop - English (United States)", L"myaudiofile.wav", CPRFile, CAFDefault, CPSAsynchronous);

// Instantiate ChantTTS object
pChantTTS = new CChantTTS();

// Set license and serials properties

// Synthesize text to speech and save to a wave file
pChantTTS->TextToSpeech("Hello world", "Microsoft David Desktop - English (United States)", "myaudiofile.wav", CPRFile, CAFDefault, CPSAsynchronous);

var aTChantTTS: TChantTTS;
// Instantiate ChantTTS object
aTChantTTS = TChantTTS.Create();

// Set license and serials properties

// Synthesize text to speech and save to a wave file
aTChantTTS.TextToSpeech('Hello world', 'Microsoft David Desktop - English (United States)', 'myaudiofile.wav', CPRFile, CAFDefault, CPSAsynchronous);

// Instantiate ChantTTS object
JChantTTS1 = new JChantTTS();

// Set license and serials properties

// Synthesize text to speech and save to a wave file
JChantTTS1.startPlayback("Hello world", "Microsoft David Desktop - English (United States)", "myoutaudiofile.wav", ChantPlaybackResult.CPRFile, ChantAudioFormat.CAFDefault, ChantPlaybackStyle.CPSAsynchronous);

' Instantiate ChantTTS object
NChantTTS1 = New NChantTTS()

' Set license and serials properties

' Synthesize text to speech and save to a wave file
NChantTTS1.TextToSpeech("Hello world", "Microsoft David Desktop - English (United States)", "myoutaudiofile.wav", ChantPlaybackResult.CPRFile, ChantAudioFormat.CAFDefault, ChantPlaybackStyle.CPSAsynchronous)

Collapse/Expand See Also section See Also

ChantTTS


ChantTTS UnregisterCallback Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

UnregisterCallback Method

Sets the callback event inactive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTS.UnregisterCallback(eChantCallback);

chantTTS->UnregisterCallback(eChantCallback);

chantTTS->UnregisterCallback(eChantCallback);

chantTTS.UnregisterCallback(eChantCallback);

chantTTS.unregisterCallback(eChantCallback);

chantTTS.UnregisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Text-to-Speech | CCDAudioBookMark | 9 | Destination audio object detected a bookmark identifier in the audio stream or audio was flushed. Property values: ID, Flush.
Microsoft SAPI 4 Text-to-Speech | CCDAudioFreeSpace | 10 | Destination audio object internal buffer state changed. Property values: Bytes, EOF.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioStart | 11 | Audio playback has started. Property values: TimeStamp.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioStop | 12 | Audio playback has stopped. Property values: Reason, TimeStamp, File.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioFileBegin | 13 | Synthesizer has begun processing an audio file. Property values: ID.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioFileEnd | 14 | Synthesizer has finished processing an audio file. Property values: ID.
Microsoft SAPI 4 Text-to-Speech | CCDAudioFilePosn | 15 | Synthesizer identifies how much data has been processed. Property values: Processed, Left.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioFileQueueEmpty | 16 | Synthesizer has finished processing all files in the queue.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSAudioLevel | 17 | Synthesizer provides the playback audio level. Property values: Level.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSBookMark | 18 | Synthesizer notifies that it has encountered a bookmark in the text being played. Property values: BookMarkString, ID, TimeStamp.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSDone | 19 | Synthesizer has completed synthesizing text. This does not mean that audio playback is complete. See CCDAudioStop. Property values: Bytes, Buffer, TimeStamp, Flags.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSNumberPropertyChanged | 20 | Synthesizer number property value changed.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSPhoneme | 21 | Synthesizer returns the phoneme. Property values: Duration, NextPhonemeID, NextPhoneme, Hints, CurrentPhonemeID, CurrentPhoneme.
 | CCTTSProgress | 22 | Indicates the percent complete of an import or export operation. Property values: Progress.
Acapela BabTTS and NSCAPI Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSSentenceBoundary | 23 | Synthesizer indicates that it reached an end of sentence during synthesis. Property values: Length, Position.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSStarted | 24 | Synthesizer has started synthesizing speech from text.
 | CCTTSStringPropertyChanged | 25 | Reserved for future use.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSViseme | 26 | Synthesizer returns the viseme notifications with viseme speaking property. Property values: CurrentViseme, Duration, Hints, NextViseme.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | CCTTSVisual | 27 | Synthensizer returns visual notifications with visual speaking properties. Property values: EnginePhoneme, Hints, IPAPhoneme, LipTension, MouthHeight, MouthWidth, MouthUpturn, JawOpen, TeethUpperVisible, TeethLowerVisible, TimeStamp, TonguePosn.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSVoiceChange | 28 | Synthesizer voice has changed. Property values: none.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSWordPosition | 29 | Position of the word within the text being synthesized that corresponds to the current audio playback. Property values: Length, Position, TimeStamp.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCAPIError | 59 | API Error. Property values: ID, Function, Text.

The following example illustrates turning off WordPosition events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn off WordPosition events
NChantTTS1.UnregisterCallback(ChantCallback.CCTTSWordPosition);

// Turn off WordPosition events
pChantTTS->UnregisterCallback(CCTTSWordPosition);

// Turn off WordPosition events
pChantTTS->UnregisterCallback(CCTTSWordPosition);

// Turn off WordPosition events
ChantTTS1.UnregisterCallback(CCTTSWordPosition);

// Turn off WordPosition events
JChantTTS1.unregisterCallback(ChantCallback.CCTTSWordPosition);

' Turn off WordPosition events
NChantTTS1.UnregisterCallback(ChantCallback.CCTTSWordPosition)

Collapse/Expand See Also section See Also

ChantTTS
RegisterCallback


ChantTTSEvent Class

Represents a text-to-speech event.

Collapse/Expand Remarks section Remarks

A text-to-speech event may have data associated with it. For events that have data associated with them (e.g., word position), the data is available from the ChantTTSEvent object.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | BookMarkNum | A numeric bookmark from an output audio stream.
Public property | Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | BookMarkString | A string bookmark from an output audio stream.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Buffer | Buffer of byte data.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech | ByteOffset | The byte offset from the beginning of the text-to-speech buffer to the word that is currently being played.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Bytes | The number of bytes.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | ChantCallback | The type of event callback.
Public property | Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CurrentPhoneme | The current phoneme being synthesized.
Public property | Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CurrentPhonemeID | The phoneme identifier of current phoneme being synthesized.
Public property | Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CurrentViseme | The current viseme determined by the synthesizer.
Public property | Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Duration | The duration, in milliseconds, of the current viseme or phoneme determined by the synthesizer.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | EnginePhoneme | The text-to-speech engine-specific phoneme that is being played.
Public property | Microsoft SAPI 4 Text-to-Speech | EOF | An end of file flag.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | File | The playback result file name.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Flags | Flag values associated with the event.
Public property | Microsoft SAPI 4 Text-to-Speech | Flush | Indicates if the text-to-speech engine flushed the audio buffer.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Function | API function name.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Hints | The Flags associated with the SAPI 5 Viseme or SAPI 4 Visual event.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | ID | An identifier.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | IPAPhoneme | The text-to-speech IPA phoneme that is being played.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | JawOpen | The angle to which the jaw is open.
Public property | Microsoft SAPI 4 Text-to-Speech | Left | The remaining audio file data to process.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Length | The word length for SAPI 5 WordPosition events and sentence length for SAPI 5 SentenceBoundary events.
Public property | Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | Level | The audio level.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | LipTension | The lip tension.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | MouthHeight | The height of the mouth or lips.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | MouthUpturn | The extent to which the mouth turns up at the corners (i.e., smiles).
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | MouthWidth | The width of the mouth or lips.
Public property | Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | NextPhoneme | The next phoneme being synthesized.
Public property | Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | NextPhonemeID | The phoneme identifier of next phoneme to be synthesized.
Public property | Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | NextViseme | The next viseme determined by the synthesizer.
Public property | Microsoft SAPI 4 Text-to-Speech | NumberProperty | The number property thats value changed.
Public property | Microsoft SAPI 4 Text-to-Speech | NumberPropertyVal | The number property value that changed.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Position | The character position from the beginning of the text-to-speech input stream to the word that is currently being played.
Public property | Microsoft SAPI 4 Text-to-Speech | Processed | The amount of audio data processed.
Public property |  | Progress | The percent completion of an import or export operation.
Public property | Microsoft SAPI 4 Text-to-Speech | Reason | The reason for the audio stop event.
Public property |  | StringProperty | The string property thats value changed.
Public property |  | StringPropertyVal | The string property value that changed.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | TeethLowerVisible | The extent to which the lower teeth are visible.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | TeethUpperVisible | The extent to which the upper teeth are visible.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Text | API Error message.
Public property | Microsoft SAPI 4 Text-to-Speech | TimeStamp | A time stamp.
Public property | Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | TonguePosn | The tongue position.

Collapse/Expand See Also section See Also

GetChantTTSEvent
RemoveEvent


ChantTTSEvent BookMarkNum Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

BookMarkNum Property

A numeric bookmark from an output audio stream.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int bookMarkNum = chantTTSEvent.BookMarkNum;

long bookMarkNum = chantTTSEvent->GetBookMarkNum();

long bookMarkNum = chantTTSEvent->GetBookMarkNum();

var bookMarkNum: Integer;
bookMarkNum := chantTTSEvent.BookMarkNum;

int bookMarkNum = chantTTSEvent.getBookMarkNum();

Dim bookMarkNum As Integer
bookMarkNum = chantTTSEvent.BookMarkNum

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent BookMarkString Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

BookMarkString Property

A numeric bookmark option from a SAPI 5 input audio stream.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String bookMarkString = chantTTSEvent.BookMarkString;

wchar_t* bookMarkString = chantTTSEvent->GetBookMarkString();

String bookMarkString = chantTTSEvent->GetBookMarkString();

var bookMarkString: string;
bookMarkString := chantTTSEvent.BookMarkString;

String bookMarkString = chantTTSEvent.getBookMarkString();

Dim bookMarkString As String
bookMarkString = chantTTSEvent.BookMarkString

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Buffer Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Buffer Property

Buffer of byte data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

byte[] buffer = chantTTSEvent.Buffer;

void* buffer = chantTTSEvent->GetBuffer();

void* buffer = chantTTSEvent->GetBuffer();

var buffer: Cardinal;
buffer := chantTTSEvent.Buffer;

byte[] buffer = chantTTSEvent.getBuffer();

Dim buffer As Byte()
buffer = chantTTSEvent.Buffer

Collapse/Expand Remarks section Remarks

The property is read only. See the Bytes property for number of bytes.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent ByteOffset Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ByteOffset Property

The byte offset from the beginning of the text-to-speech buffer to the word that is currently being played.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int byteOffset = chantTTSEvent.ByteOffset;

long byteOffset = chantTTSEvent->GetByteOffset();

long byteOffset = chantTTSEvent->GetByteOffset();

var byteOffset: Integer;
byteOffset := chantTTSEvent.ByteOffset;

int byteOffset = chantTTSEvent.getByteOffset();

Dim byteOffset As Integer
byteOffset = chantTTSEvent.ByteOffset

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Bytes Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Bytes Property

The number of bytes.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int bytes = chantTTSEvent.Bytes;

long bytes = chantTTSEvent->GetBytes();

long bytes = chantTTSEvent->GetBytes();

var bytes: Integer;
bytes := chantTTSEvent.Bytes;

int bytes = chantTTSEvent.getBytes();

Dim bytes As Integer
bytes = chantTTSEvent.Bytes

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent ChantCallback Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantCallback Property

The type of event callback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantCallback eChantCallback = chantTTSEvent.ChantCallback;

ChantCallback eChantCallback = chantTTSEvent->GetChantCallback();

ChantCallback eChantCallback = chantTTSEvent->GetChantCallback();

var eChantCallback: ChantCallback;
eChantCallback := chantTTSEvent.ChantCallback;

int eChantCallback = chantTTSEvent.getChantCallback();

Dim eChantCallback As ChantCallback
eChantCallback = chantTTSEvent.ChantCallback

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantCallback constant values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Text-to-Speech | CCDAudioBookMark | 9 | Destination audio object detected a bookmark identifier in the audio stream or audio was flushed. Property values: ID, Flush.
Microsoft SAPI 4 Text-to-Speech | CCDAudioFreeSpace | 10 | Destination audio object internal buffer state changed. Property values: Bytes, EOF.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioStart | 11 | Audio playback has started. Property values: TimeStamp.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioStop | 12 | Audio playback has stopped. Property values: Reason, TimeStamp, File.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioFileBegin | 13 | Synthesizer has begun processing an audio file. Property values: ID.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioFileEnd | 14 | Synthesizer has finished processing an audio file. Property values: ID.
Microsoft SAPI 4 Text-to-Speech | CCDAudioFilePosn | 15 | Synthesizer identifies how much data has been processed. Property values: Processed, Left.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioFileQueueEmpty | 16 | Synthesizer has finished processing all files in the queue.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSAudioLevel | 17 | Synthesizer provides the playback audio level. Property values: Level.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSBookMark | 18 | Synthesizer notifies that it has encountered a bookmark in the text being played. Property values: BookMarkString, ID, TimeStamp.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSDone | 19 | Synthesizer has completed synthesizing text. This does not mean that audio playback is complete. See CCDAudioStop. Property values: Bytes, Buffer, TimeStamp, Flags.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSNumberPropertyChanged | 20 | Synthesizer number property value changed.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSPhoneme | 21 | Synthesizer returns the phoneme. Property values: Duration, NextPhonemeID, NextPhoneme, Hints, CurrentPhonemeID, CurrentPhoneme.
Acapela BabTTS and NSCAPI Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSSentenceBoundary | 23 | Synthesizer indicates that it reached an end of sentence during synthesis. Property values: Length, Position.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSStarted | 24 | Synthesizer has started synthesizing speech from text.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSViseme | 26 | Synthesizer returns the viseme notifications with viseme speaking property. Property values: CurrentViseme, Duration, Hints, NextViseme.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | CCTTSVisual | 27 | Synthensizer returns visual notifications with visual speaking properties. Property values: EnginePhoneme, Hints, IPAPhoneme, LipTension, MouthHeight, MouthWidth, MouthUpturn, JawOpen, TeethUpperVisible, TeethLowerVisible, TimeStamp, TonguePosn.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSVoiceChange | 28 | Synthesizer voice has changed. Property values: none.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSWordPosition | 29 | Position of the word within the text being synthesized that corresponds to the current audio playback. Property values: Length, Position, TimeStamp.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCAPIError | 59 | API Error. Property values: ID, Function, Text.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent CurrentPhoneme Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

CurrentPhoneme Property

The current phoneme being synthesized.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String currentPhoneme = chantTTSEvent.currentPhoneme;

wchar_t* currentPhoneme = chantTTSEvent->GetCurrentPhoneme();

String currentPhoneme = chantTTSEvent->GetCurrentPhoneme();

var currentPhoneme: string;
currentPhoneme := chantTTSEvent.CurrentPhoneme;

String currentPhoneme = chantTTSEvent.getCurrentPhoneme();

Dim currentPhoneme As String
currentPhoneme = chantTTSEvent.CurrentPhoneme

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent CurrentPhonemeID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

CurrentPhonemeID Property

The phoneme identifier of current phoneme being synthesized.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ushort currentPhonemeID = chantTTSEvent.CurrentPhonemeID;

unsigned short currentPhonemeID = chantTTSEvent->GetCurrentPhonemeID();

unsigned shortcurrentPhonemeID = chantTTSEvent->GetCurrentPhonemeID();

var currentPhonemeID: Word;
currentPhonemeID := chantTTSEvent.CurrentPhonemeID;

short currentPhonemeID = chantTTSEvent.getCurrentPhonemeID();

Dim currentPhonemeID As UShort
currentPhonemeID = chantTTSEvent.CurrentPhonemeID

Collapse/Expand Remarks section Remarks

The property is read only. See CurrentPhoneme for the phoneme value. SAPI 5 only. See EnginePhoneme and IPAPhoneme for SAPI 4 synthesizers.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent CurrentViseme Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

CurrentViseme Property

The current viseme determined by the synthesizer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int currentViseme = chantTTSEvent.CurrentViseme;

long currentViseme = chantTTSEvent->GetCurrentViseme();

long currentViseme = chantTTSEvent->GetCurrentViseme();

var currentViseme: Integer;
currentViseme := chantTTSEvent.CurrentViseme;

int currentViseme = chantTTSEvent.getCurrentViseme();

Dim currentViseme As Integer
currentViseme = chantTTSEvent.CurrentViseme

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only. The property may be one of the following ChantVisemeType constant values:

APIs | Constant | Value | Description
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT0 | 0 | Silence
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT1 | 1 | (English) ae, ax, ah
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT2 | 2 | (English) aa
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT3 | 3 | (English) ao
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT4 | 4 | (English) ey, eh, uh
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT5 | 5 | (English) er
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT6 | 6 | (English) y, iy, ih, ix
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT7 | 7 | (English) w, uw
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT8 | 8 | (English) ow
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT9 | 9 | (English) aw
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT10 | 10 | (English) oy
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT11 | 11 | (English) ay
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT12 | 12 | (English) h
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT13 | 13 | (English) r
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT14 | 14 | (English) l
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT15 | 15 | (English) s, z
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT16 | 16 | (English) sh, ch, jh, zh
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT17 | 17 | (English) th, dh
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT18 | 18 | (English) f, v
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT19 | 19 | (English) d, t, n
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT20 | 20 | (English) k, g, ng
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT21 | 21 | (English) p, b, m

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Duration Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Duration Property

The duration, in milliseconds, of the current viseme or phoneme determined by the synthesizer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int duration = chantTTSEvent.Duration;

long duration = chantTTSEvent->GetDuration();

long duration = chantTTSEvent->GetDuration();

var duration: Integer;
duration := chantTTSEvent.Duration;

int duration = chantTTSEvent.getDuration();

Dim duration As Integer
duration = chantTTSEvent.Duration

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent EnginePhoneme Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

EnginePhoneme Property

The text-to-speech engine-specific phoneme that is being played.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ushort enginePhoneme = chantTTSEvent.EnginePhoneme;

unsigned short enginePhoneme = chantTTSEvent->GetEnginePhoneme();

unsigned short enginePhoneme = chantTTSEvent->GetEnginePhoneme();

var enginePhoneme: Word;
enginePhoneme := chantTTSEvent.EnginePhoneme;

short enginePhoneme = chantTTSEvent.getEnginePhoneme();

Dim enginePhoneme As UShort
enginePhoneme = chantTTSEvent.EnginePhoneme

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 4 only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent EOF Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

EOF Property

End of file condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool eof = chantTTSEvent.EOF;

bool eof = chantTTSEvent->GetEOF();

bool eof = chantTTSEvent->GetEOF();

var booleanVal: Boolean;
booleanVal := chantTTSEvent.EOF;

boolean eof = jJChantTTSEvent.getEOF();

Dim eof As Boolean
eof = chantTTSEvent.EOF

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent File Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

File Property

The playback result file name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String file = chantTTSEvent.File;

wchar_t* file = chantTTSEvent->GetFile();

String file = chantTTSEvent->GetFile();

var file: string;
file := chantTTSEvent.File;

String file = chantTTSEvent.getFile();

Dim file As String
file = chantTTSEvent.File

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Flags Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Flags Property

Flag values associated with the event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int flags = chantTTSEvent.Flags;

long flags = chantTTSEvent->GetFlags();

long flags = chantTTSEvent->GetFlags();

var flags: Integer;
flags := chantTTSEvent.Flags;

int flags = chantTTSEvent.getFlags();

Dim flags As Integer
flags = chantTTSEvent.Flags

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Flush Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Flush Property

Indicates if the text-to-speech engine flushed the audio buffer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool flush = chantTTSEvent.Flush;

bool flush = chantTTSEvent->GetFlush();

bool flush = chantTTSEvent->GetFlush();

var flush: Boolean;
flush := chantTTSEvent.Flush;

boolean flush = chantTTSEvent.getFlush();

Dim flush As Boolean
flush = chantTTSEvent.Flush

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Function Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Function Property

The API function invoked.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String function = chantTTSEvent.Function;

wchar_t* function = chantTTSEvent->GetFunction();

String function = chantTTSEvent->GetFunction();

var function: string;
function := chantTTSEvent.Function;

String function = chantTTSEvent.getFunction();

Dim function As String
function = chantTTSEvent.Function

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Hints Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Hints Property

The Flags associated with the SAPI 5 Viseme or SAPI 4 Visual event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int hints = chantTTSEvent.Hints;

long hints = chantTTSEvent->GetHints();

long hints = chantTTSEvent->GetHints();

var hints: Integer;
hints := chantTTSEvent.Hints;

int hints = chantTTSEvent.getHints();

Dim hints As Integer
hints = chantTTSEvent.Hints

Collapse/Expand Remarks section Remarks

The property is read only. The property for SAPI 4 synthesis may be ChantTTSHint constant or for SAPI 5 synthesis may be a ChantSPVFeature constant value as follows:

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSHQuestion | 1 | The phoneme is part of a question.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSHStatement | 2 | The phoneme is part of a word being emphasized.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSHCommand | 4 | The phoneme is part of an exclamation.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSHExclamation | 8 | The phoneme is part of a question.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSHEmphasis | 16 | The phoneme is part of a statement.

Source: Microsoft SAPI 4 SDK

APIs | Constant | Value | Description
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVFNone | 0 | Indicates that a viseme or phoneme has no stress or emphasis.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVFStressed | 1 | Indicates that the phoneme is stressed relative to the other phonemes within a word.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVFEmphasis | 2 | Indicates that the word (of which the phoneme is a part) is emphasized relative to the other words within a sentence.

Source: Microsoft SAPI 5 SDK

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent ID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ID Property

An identifier.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int id = nNChantTTSEvent.ID;

long id = chantTTSEvent->GetID();

long id = chantTTSEvent->GetID();

var id: Integer;
id := chantTTSEvent.ID;

int id = chantTTSEvent.getID();

Dim id As Integer
id = chantTTSEvent.ID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent IPAPhoneme Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

IPAPhoneme Property

The text-to-speech IPA phoneme that is being played.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

char ipaPhoneme = chantTTSEvent.IPAPhoneme;

wchar_t ipaPhoneme = chantTTSEvent->GetIPAPhoneme();

wchar_t ipaPhoneme = chantTTSEvent->GetIPAPhoneme();

var wordVal: Word;
wordVal := chantTTSEvent.IPAPhoneme;

char ipaPhoneme = chantTTSEvent.getIPAPhoneme();

Dim ipaPhoneme As Char
ipaPhoneme = chantTTSEvent.IPAPhoneme

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 4 only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent JawOpen Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

JawOpen Property

The angle to which the jaw is open.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

byte jawOpen = nNChantTTSEvent.JawOpen;

unsigned char jawOpen = chantTTSEvent->GetJawOpen();

unsigned char jawOpen = chantTTSEvent->GetJawOpen();

var jawOpen: Byte;
jawOpen := chantTTSEvent.JawOpen;

byte jawOpen = chantTTSEvent.getJawOpen();

Dim jawOpen As Byte
jawOpen = chantTTSEvent.JawOpen

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 4 TTSMouth property value that ranges from 0 (i.e., closed) to 255 (i.e., open).

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Left Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Left Property

The remaining audio file data to process.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int left = chantTTSEvent.Left;

long left = chantTTSEvent->GetLeft();

long left = chantTTSEvent->GetLeft();

var left: Integer;
left := chantTTSEvent.Left;

int left = chantTTSEvent.getLeft();

Dim left As Integer
left = chantTTSEvent.Left

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Length Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Length Property

The word length for SAPI 5 WordPosition events and sentence length for SAPI 5 SentenceBoundary events.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int length = chantTTSEvent.Length;

long length = chantTTSEvent->GetLength();

long length = chantTTSEvent->GetLength();

var length: Integer;
length := chantTTSEvent.Length;

int length = chantTTSEvent.getLength();

Dim length As Integer
length = chantTTSEvent.Length

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Level Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Level Property

The audio level.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int level = chantTTSEvent.Level;

long level = chantTTSEvent->GetLevel();

long level = chantTTSEvent->GetLevel();

var level: Integer;
level := chantTTSEvent.Level;

int level = chantTTSEvent.getLevel();

Dim level As Integer
level = chantTTSEvent.Level

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent LipTension Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

LipTension Property

The lip tension.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

byte lipTension = chantTTSEvent.LipTension;

unsigned char lipTension = chantTTSEvent->GetLipTension();

unsigned char lipTension = chantTTSEvent->GetLipTension();

var lipTension: Byte;
lipTension := chantTTSEvent.LipTension;

byte lipTension = chantTTSEvent.getLipTension();

Dim lipTension As Byte
lipTension = chantTTSEvent.LipTension

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 4 TTSMouth property value that ranges from 0 (i.e., relaxed) to 255 (i.e., tense).

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent MouthHeight Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

MouthHeight Property

The height of the mouth or lips.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

byte mouthHeight = chantTTSEvent.MouthHeight;

unsigned char mouthHeight = chantTTSEvent->GetMouthHeight();

unsigned char mouthHeight = chantTTSEvent->GetMouthHeight();

var mouthHeight: Byte;
mouthHeight := chantTTSEvent.MouthHeight;

byte mouthHeight = chantTTSEvent.getMouthHeight();

Dim mouthHeight As Byte
mouthHeight = chantTTSEvent.MouthHeight

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 4 TTSMouth property value that ranges from 0 (i.e., mouth closed) to 255 (i.e., mouth open).

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent MouthUpturn Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

MouthUpturn Property

The extent to which the mouth turns up at the corners (i.e., smiles).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

byte mouthUpturn = chantTTSEvent.MouthUpturn;

unsigned char mouthUpturn = chantTTSEvent->GetMouthUpturn();

unsigned char mouthUpturn = chantTTSEvent->GetMouthUpturn();

var mouthUpturn: Byte;
mouthUpturn := chantTTSEvent.MouthUpturn;

byte mouthUpturn = chantTTSEvent.getMouthUpturn();

Dim mouthUpturn As Byte
mouthUpturn = chantTTSEvent.MouthUpturn

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 4 TTSMouth property value that ranges from 0 (i.e., corners of the mouth turn down) to 255 (i.e., the mouth is fully smiling). The default value is 128 (i.e., mouth in a neutral position).

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent MouthWidth Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

MouthWidth Property

The width of the mouth or lips.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

byte mouthWidth = chantTTSEvent.MouthWidth;

unsigned char mouthWidth = chantTTSEvent->GetMouthWidth();

unsigned char mouthWidth = chantTTSEvent->GetMouthWidth();

var mouthWidth: Byte;
mouthWidth := chantTTSEvent.MouthWidth;

byte mouthWidth = chantTTSEvent.getMouthWidth();

Dim mouthWidth As Byte
mouthWidth = chantTTSEvent.MouthWidth

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 4 TTSMouth property value that ranges from 0 (i.e., mouth puckered) to 255 (i.e., width of face).

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent NextPhoneme Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

NextPhoneme Property

The next phoneme being synthesized.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String nextPhoneme = chantTTSEvent.NextPhoneme;

wchar_t* nextPhoneme = chantTTSEvent->GetNextPhoneme();

String nextPhoneme = chantTTSEvent->GetNextPhoneme();

var nextPhoneme: string;
nextPhoneme := chantTTSEvent.NextPhoneme;

String nextPhoneme = chantTTSEvent.getNextPhoneme();

Dim nextPhoneme As String
nextPhoneme = chantTTSEvent.NextPhoneme

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent NextPhonemeID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

NextPhonemeID Property

The phoneme identifier of next phoneme to be synthesized.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ushort nextPhonemeID = chantTTSEvent.NextPhonemeID;

unsigned short nextPhonemeID = chantTTSEvent->GetNextPhonemeID();

unsigned short nextPhonemeID = chantTTSEvent->GetNextPhonemeID();

var nextPhonemeID: Word;
nextPhonemeID := chantTTSEvent.NextPhonemeID;

short nextPhonemeID = chantTTSEvent.getNextPhonemeID();

Dim nextPhonemeID As UShort
nextPhonemeID = chantTTSEvent.NextPhonemeID

Collapse/Expand Remarks section Remarks

The property is read only. See NextPhoneme for the phoneme value. SAPI 5 only. See EnginePhoneme and IPAPhoneme for SAPI 4 synthesizers.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent NextViseme Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

NextViseme Property

The next viseme determined by the synthesizer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int nextViseme = chantTTSEvent.NextViseme;

long nextViseme = chantTTSEvent->GetNextViseme();

long nextViseme = chantTTSEvent->GetNextViseme();

var nextViseme: Integer;
nextViseme := chantTTSEvent.NextViseme;

int nextViseme = chantTTSEvent.getNextViseme();

Dim nextViseme As Integer
nextViseme = chantTTSEvent.NextViseme

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only. The property may be one of the following ChantVisemeType constant values:

APIs | Constant | Value | Description
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT0 | 0 | Silence
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT1 | 1 | (English) ae, ax, ah
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT2 | 2 | (English) aa
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT3 | 3 | (English) ao
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT4 | 4 | (English) ey, eh, uh
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT5 | 5 | (English) er
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT6 | 6 | (English) y, iy, ih, ix
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT7 | 7 | (English) w, uw
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT8 | 8 | (English) ow
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT9 | 9 | (English) aw
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT10 | 10 | (English) oy
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT11 | 11 | (English) ay
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT12 | 12 | (English) h
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT13 | 13 | (English) r
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT14 | 14 | (English) l
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT15 | 15 | (English) s, z
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT16 | 16 | (English) sh, ch, jh, zh
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT17 | 17 | (English) th, dh
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT18 | 18 | (English) f, v
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT19 | 19 | (English) d, t, n
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT20 | 20 | (English) k, g, ng
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT21 | 21 | (English) p, b, m

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent NumberProperty Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

NumberProperty Property

The number property thats value changed.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantNumberProperty eChantNumberProperty = chantTTSEvent.NumberProperty;

ChantNumberProperty eChantNumberProperty = chantTTSEvent->GetNumberProperty();

ChantNumberProperty eChantNumberProperty = chantTTSEvent->GetNumberProperty();

var eChantNumberProperty: NumberProperty;
eChantNumberProperty := chantTTSEvent.NumberProperty;

int eChantNumberProperty = chantTTSEvent.getNumberProperty();

Dim eChantNumberProperty As NumberProperty
eChantNumberProperty = chantTTSEvent.NumberProperty

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the ChantNumberProperty constant values.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent NumberPropertyVal Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

NumberPropertyVal Property

The number property value that changed.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int value = chantTTSEvent.NumberPropertyVal;

long value = chantTTSEvent->GetNumberPropertyVal();

long value = chantTTSEvent->GetNumberPropertyVal();

var value: Integer;
value := chantTTSEvent.NumberPropertyVal;

int value = chantTTSEvent.getNumberPropertyVal();

Dim value As Integer
value = chantTTSEvent.NumberPropertyVal

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Position Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Position Property

The character position from the beginning of the text-to-speech input stream to the word that is currently being played.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int position = chantTTSEvent.Position;

long position = chantTTSEvent->GetPosition();

long position = chantTTSEvent->GetPosition();

var position: Integer;
position := chantTTSEvent.Position;

int position = chantTTSEvent.getPosition();

Dim position As Integer
position = chantTTSEvent.Position

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only. See ByteOffset for SAPI 4 synthesizers.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Processed Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Processed Property

SAPI 5 recognition result time start value containing the total 100 nanosecond units from the start of the stream to the start of the phrase. See TimeStamp, Left, and Bytes properties.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ulong processed = chantTTSEvent.Processed;

unsigned long long processed = chantTTSEvent->GetProcessed();

unsigned long long processed = chantTTSEvent->GetProcessed();

var processed: Int64;
processed := chantTTSEvent.Processed;

long longVal = chantTTSEvent.getProcessed();

Dim processed As ULong
processed = chantTTSEvent.Processed

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Progress Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Progress Property

The percent completion of an import or export operation.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int progress = chantTTSEvent.Progress;

long progress = chantTTSEvent->GetProgress();

long progress = chantTTSEvent->GetProgress();

var progress: Integer;
progress := chantTTSEvent.Progress;

int progress = chantTTSEvent.getProgress();

Dim progress As Integer
progress = chantTTSEvent.Progress

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Reason Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Reason Property

The reason for the audio stop event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int reason = chantTTSEvent.Reason;

long reason = chantTTSEvent->GetReason();

long reason = chantTTSEvent->GetReason();

var reason: Integer;
reason := chantTTSEvent.Reason;

int reason = chantTTSEvent.getReason();

Dim reason As Integer
reason = chantTTSEvent.Reason

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 4 Only. The audio interface event value may be one of the following:

Constant | Value | Description
IANSRSN_NODATA | 0 | The engine called the IAudio::UnClaim member function. This notification allows the engine to employ the notification sink to monitor the object's state rather than having to maintain this information itself.
IANSRSN_PRIORITY | 1 | Resources were temporarily diverted to a higher-priority task.
IANSRSN_INACTIVE | 2 | The device has become inactive for an unknown reason.
IANSRSN_EOF | 3 | An end-of-file character has been reached.

Source: Microsoft SAPI 4 SDK

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent StringProperty Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

StringProperty Property

The string property thats value changed.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantStringProperty eChantStringProperty = chantTTSEvent.StringProperty;

ChantStringProperty eChantStringProperty = chantTTSEvent->GetStringProperty();

ChantStringProperty eChantStringProperty = chantTTSEvent->GetStringProperty();

var eChantStringProperty: ChantStringProperty;
eChantStringProperty := chantTTSEvent.StringProperty;

int eChantStringProperty = chantTTSEvent.getStringProperty();

Dim eChantStringProperty As ChantStringProperty
eChantStringProperty = chantTTSEvent.StringProperty

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the ChantStringProperty constant values.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent StringPropertyVal Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

StringPropertyVal Property

The string property value that changed.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String value = chantTTSEvent.StringPropertyVal;

wchar_t* value = chantTTSEvent->GetStringPropertyVal();

String value = chantTTSEvent->GetStringPropertyVal();

var value: string;
value := chantTTSEvent.StringPropertyVal;

String value = chantTTSEvent.getStringPropertyVal();

Dim value As String
value = chantTTSEvent.StringPropertyVal

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent TeethLowerVisible Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

TeethLowerVisible Property

The extent to which the lower teeth are visible.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

byte teethLowerVisible = chantTTSEvent.TeethLowerVisible;

unsigned char teethLowerVisible = chantTTSEvent->GetTeethLowerVisible();

unsigned char teethLowerVisible = chantTTSEvent->GetTeethLowerVisible();

var teethLowerVisible: Byte;
teethLowerVisible := chantTTSEvent.TeethLowerVisible;

byte teethLowerVisible = chantTTSEvent.getTeethLowerVisible();

Dim teethLowerVisible As Byte
teethLowerVisible = chantTTSEvent.TeethLowerVisible

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 4 TTSMouth property value that ranges from 0 (i.e., lower teeth not visible) to 255 (i.e., lower teeth and gums are visible).

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent TeethUpperVisible Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

TeethUpperVisible Property

The extent to which the upper teeth are visible.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

byte teethUpperVisible = chantTTSEvent.TeethUpperVisible;

unsigned char teethUpperVisible = chantTTSEvent->GetTeethUpperVisible();

unsigned char teethUpperVisible = chantTTSEvent->GetTeethUpperVisible();

var teethUpperVisible: Byte;
teethUpperVisible := chantTTSEvent.TeethUpperVisible;

byte teethUpperVisible = chantTTSEvent.getTeethUpperVisible();

Dim teethUpperVisible As Byte
teethUpperVisible = chantTTSEvent.TeethUpperVisible

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 4 TTSMouth property value that ranges from 0 (i.e., upper teeth not visible) to 255 (i.e., upper teeth and gums are visible).

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent Text Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Text Property

Error message returned from invoking API function.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String text = chantTTSEvent.Text;

wchar_t* text = chantTTSEvent->GetText();

String text = chantTTSEvent->GetText();

var text: string;
text = chantTTSEvent.Text;

String text = chantTTSEvent.getText();

Dim text As String
text = chantTTSEvent.Text

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent TimeStamp Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

TimeStamp Property

A time stamp.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ulong timeStamp = chantTTSEvent.TimeStamp;

unsigned long long timeStamp = chantTTSEvent->GetTimeStamp();

unsigned long long timeStamp = chantTTSEvent->GetTimeStamp();

var timeStamp: Int64;
timeStamp := chantTTSEvent.TimeStamp;

long timeStamp = chantTTSEvent.getTimeStamp();

Dim timeStamp As ULong
timeStamp = chantTTSEvent.TimeStamp

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSEvent TonguePosn Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

TonguePosn Property

The tongue position.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

byte tonguePosn = chantTTSEvent.TonguePosn;

unsigned char tonguePosn = chantTTSEvent->GetTonguePosn();

unsigned char tonguePosn = chantTTSEvent->GetTonguePosn();

var tonguePosn: Byte;
tonguePosn := chantTTSEvent.TonguePosn;

byte tonguePosn = chantTTSEvent.getTonguePosn();

Dim tonguePosn As Byte
tonguePosn = chantTTSEvent.TonguePosn

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 4 TTSMouth property value that ranges from 0 (i.e., relaxed) to 255 (i.e., tongue is against the upper teeth).

Collapse/Expand See Also section See Also

ChantTTSEvent


ChantTTSLexicon Class

Represents a text-to-speech lexicon of pronunciations.

Collapse/Expand Remarks section Remarks

ChantTTSLexicon objects are obtained via the ChantTTS CreateChantTTSLexicon method.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method |  | Disable | Disables the lexicon to make it inactive.
Public method |  | Enable | Enables the lexicon to make it active.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

CreateChantTTSLexicon


ChantTTSLexicon Disable Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Disable Method

Disables a ChantTTSLexicon resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTSLexicon.Disable();

chantTTSLexicon->Disable();

chantTTSLexicon->Disable();

chantTTSLexicon.Disable();

chantTTSLexicon.disable();

chantTTSLexicon.Disable()

Collapse/Expand See Also section See Also

ChantTTSLexicon
Enable


ChantTTSLexicon Enable Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Enable Method

Enables a ChantTTSLexicon resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantTTSLexicon.Enable();

chantTTSLexicon->Enable();

chantTTSLexicon->Enable();

chantTTSLexicon.Enable();

chantTTSLexicon.enable();

chantTTSLexicon.Enable()

Collapse/Expand See Also section See Also

ChantTTSLexicon
Disable


ChantVocabulary Class

Represents a speech recognition vocabulary.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method |  | Enable | Enables the vocabulary to make it active.
Public method |  | EnableExclusive | Enables the vocabulary and disables all other enabled vocbaularies.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

CreateChantCommandVocab
CreateChantDictationVocab
CreateChantGrammarVocab
CreateChantNativeGrammarVocab
CreateChantRemoteVocab


ChantVocabulary Enable Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Enable Method

Enables a ChantVocabulary resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVocabulary.Enable();

chantVocabulary->Enable();

chantVocabulary->Enable();

chantVocabulary.Enable();

chantVocabulary.enable();

chantVocabulary.Enable()

Collapse/Expand Example section Example

See ChantCommandVocab example.

Collapse/Expand See Also section See Also

ChantCommandVocab
Disable
IsEnabled


ChantVocabulary EnableExclusive Method

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

EnableExclusive Method

Exclusively enables a ChantVocabulary resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVocabulary.EnableExclusive();

chantVocabulary->EnableExclusive();

chantVocabulary->EnableExclusive();

chantVocabulary.EnableExclusive();

chantVocabulary.enableExclusive();

chantVocabulary.EnableExclusive()

Collapse/Expand Example section Example

See ChantCommandVocab example.

Collapse/Expand See Also section See Also

ChantVocabulary
Disable
IsEnabled


ChantWord Class

Represents a recognized word.

Collapse/Expand Remarks section Remarks

A speech recognition result is comprised of the words in which the recognizer has the highest confidence. Each word may have annotation (i.e., property) and pronunciation (i.e., phoneme) data associated with it.

ChantWord objects are obtained via the ChantSREvent ChantWords property.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | AudioSizeBytes | Size of the element in bytes in the original input stream.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | AudioSizeTime | Length of the element in 100-nanosecond units of time.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | AudioStreamOffset | Starting offset of the element in bytes relative to the start of the phrase in the original input stream.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | AudioTimeOffset | Starting offset of the element in 100-nanosecond units of time relative to the start of the phrase.
Public property | Nuance VoCon 3200 | BeginTime | Start time of the word.
Public property | Nuance VoCon 3200 | ChantWordAlternates | A collection of alternate ChantWord objects.
Public property | Nuance VoCon 3200 | Confidence | The confidence value of this alternative.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ConfidenceActual | Actual confidence for this word.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ConfidenceEngine | Confidence value computed by the recognizer.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ConfidenceRequired | Required confidence for this word.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | DisplayAttributes | Display and formatting information.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | DisplayText | Display text for the recognized word.
Public property | Nuance VoCon 3200 | EndTime | End time of the word.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | ID | The ID of the word when using command vocabularies and VoCon grammars.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | LexicalText | Lexical text for the recognized word.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | Phoneme | The phoneme representation for the recognized word.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | PropertyBoolVal | The SAPI5 XML grammar val attribute value of a recognized word as a bool.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | PropertyDoubleVal | The SAPI5 XML grammar val attribute value of a recognized word as a double.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | PropertyFloatVal | The SAPI5 XML grammar val attribute value of a recognized word as a float.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | PropertyID | The SAPI5 XML grammar propid attribute value of a recognized word.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | PropertyLongVal | The SAPI5 XML grammar val attribute or SAPI4 grammar numeric annotation value of a recognized word as a long.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | PropertyName | The SAPI5 XML grammar propername attribute value of a recognized word.
Public property | Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | PropertyValue | The SAPI5 XML grammar valstr attribute or SAPI4 grammar string annotation value.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | RetainedSizeBytes | Size of the element in bytes in the retained audio stream.
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | RetainedStreamOffset | Starting offset of the element in bytes relative to the start of the phrase in the retained audio stream.
Public property | Nuance VoCon 3200 | Score | Measure of word probability.
Public property | Nuance VoCon 3200 | Type | Word is a garbage word (wildcard) or slot (list) word.

Collapse/Expand See Also section See Also

ChantSREvent
ChantWordAlternateCollection


ChantWord AudioSizeBytes Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

AudioSizeBytes Property

Size of the element in bytes in the original input stream.

Collapse/Expand Remarks section Remarks

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint audioSizeBytes = chantWord.AudioSizeBytes;

unsigned long audioSizeBytes = chantWord->GetAudioSizeBytes();

unsigned long audioSizeBytes = chantWord->GetAudioSizeBytes();

var audioSizeBytes: Cardinal;
audioSizeBytes := chantWord.AudioSizeBytes;

ulong audioSizeBytes = chantWord.getAudioSizeBytes();

Dim audioSizeBytes As ULong
audioSizeBytes = chantWord.AudioSizeBytes

Collapse/Expand Remarks section Remarks

The property is read only. SAPI5 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord AudioSizeTime Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

AudioSizeTime Property

Length of the element in 100-nanosecond units of time.

Collapse/Expand Remarks section Remarks

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint audioSizeTime = chantWord.AudioSizeTime;

unsigned long audioSizeTime = chantWord->GetAudioSizeTime();

unsigned long audioSizeTime = chantWord->GetAudioSizeTime();

var audioSizeTime: Cardinal;
audioSizeTime := chantWord.AudioSizeTime;

ulong audioSizeTime = chantWord.getAudioSizeTime();

Dim audioSizeTime As ULong
audioSizeTime = chantWord.AudioSizeTime

Collapse/Expand Remarks section Remarks

The property is read only. SAPI5 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord AudioStreamOffset Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

AudioStreamOffset Property

Starting offset of the element in bytes relative to the start of the phrase in the original input stream.

Collapse/Expand Remarks section Remarks

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint audioStreamOffset = chantWord.AudioStreamOffset;

unsigned long audioStreamOffset = chantWord->GetAudioStreamOffset();

unsigned long audioStreamOffset = chantWord->GetAudioStreamOffset();

var audioStreamOffset: Cardinal;
audioStreamOffset := chantWord.AudioStreamOffset;

ulong audioStreamOffset = chantWord.getAudioStreamOffset();

Dim audioStreamOffset As ULong
audioStreamOffset = chantWord.AudioStreamOffset

Collapse/Expand Remarks section Remarks

The property is read only. SAPI5 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord AudioTimeOffset Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

AudioTimeOffset Property

Starting offset of the element in 100-nanosecond units of time relative to the start of the phrase.

Collapse/Expand Remarks section Remarks

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint audioTimeOffset = chantWord.AudioTimeOffset;

unsigned long audioTimeOffset = chantWord->GetAudioTimeOffset();

unsigned long audioTimeOffset = chantWord->GetAudioTimeOffset();

var audioTimeOffset: Cardinal;
audioTimeOffset := chantWord.AudioTimeOffset;

ulong audioTimeOffset = chantWord.getAudioTimeOffset();

Dim audioTimeOffset As ULong
audioTimeOffset = chantWord.AudioTimeOffset

Collapse/Expand Remarks section Remarks

The property is read only. SAPI5 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord BeginTime Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

BeginTime Property

Start time of the word.

Collapse/Expand Remarks section Remarks

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint beginTime = chantWord.BeginTime;

unsigned long beginTime = chantWord->GetBeginTime();

unsigned long beginTime = chantWord->GetBeginTime();

var beginTime: Cardinal;
beginTime := chantWord.BeginTime;

ulong beginTime = chantWord.getBeginTime();

Dim beginTime As ULong
beginTime = chantWord.BeginTime

Collapse/Expand Remarks section Remarks

The property is read only. Nuance VoCon 3200 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord ChantWordAlternates Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantWordAlternates Property

A collection of alternate ChantWord objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • VB .NET

NChantWordAlternateCollection chantWordAlternateCollection = chantWord.ChantWordAlternates;

CChantWordAlternateCollection* chantWordAlternateCollection = chantWord->GetChantWordAlternates();

CChantWordAlternateCollection* chantWordAlternateCollection = chantWord->GetChantWordAlternates();

var chantWordAlternateCollection: TChantWordAlternateCollection;
chantWordAlternateCollection := chantWord.ChantWordAlternates;

JChantWordAlternateCollection chantWordAlternateCollection = chantWord.getChantWordAlternates();

Dim chantWordAlternateCollection As NChantWordAlternateCollection
chantWordAlternateCollection = chantWord.ChantWordAlternates

Collapse/Expand Example section Example

See the ChantWordAlternateCollection example.

Collapse/Expand See Also section See Also

ChantWord
ChantWordAlternateCollection


ChantWord Confidence Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Confidence Property

The confidence value of this alternative.

Collapse/Expand Remarks section Remarks

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint confidence = chantWord.confidence;

unsigned confidence = chantWord->GetConfidence();

unsigned confidence = chantWord->GetConfidence();

var confidence: Cardinal;
confidence := chantWord.Confidence;

ulong confidence = chantWord.getConfidence();

Dim confidence As ULong
confidence = chantWord.Confidence

Collapse/Expand Remarks section Remarks

The property is read only. Nuance VoCon 3200 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord ConfidenceActual Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ConfidenceActual Property

The actual confidence for this word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

sbyte confidenceActual = chantWord.ConfidenceActual;

signed char confidenceActual = CChantWord.GetConfidenceActual();

signed char confidenceActual = CChantWord.GetConfidenceActual();

var confidenceActual: ShortInt;
confidenceActual := chantWord.ConfidenceActual;

byte confidenceActual = chantWord.getConfidenceActual();

Dim confidenceActual As SByte
confidenceActual = chantWord.ConfidenceActual

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord ConfidenceEngine Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ConfidenceEngine Property

The confidence value computed by the recognizer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

float confidenceEngine = chantWord.confidenceEngine;

float confidenceEngine = chantWord->GetConfidenceEngine();

float confidenceEngine = chantWord->GetConfidenceEngine();

var confidenceEngine: Single;
confidenceEngine := chantWord.ConfidenceEngine;

float confidenceEngine = chantWord.getConfidenceEngine();

Dim confidenceEngine As Single
confidenceEngine = chantWord.ConfidenceEngine

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord ConfidenceRequired Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ConfidenceRequired Property

The required confidence for this word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

sbyte confidenceRequired = chantWord.ConfidenceRequired;

signed char confidenceRequired = chantWord->GetConfidenceRequired();

signed char confidenceRequired = chantWord->GetConfidenceRequired();

var confidenceRequired: ShortInt;
confidenceRequired := chantWord.ConfidenceRequired;

byte confidenceRequired = chantWord.getConfidenceRequired();

Dim confidenceRequired As SByte
confidenceRequired = chantWord.ConfidenceRequired

Collapse/Expand Remarks section Remarks

The property is read only. SAPI 5 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord DisplayAttributes Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

DisplayAttributes Property

The display and formatting information about the recognized word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int displayAttributes = chantWord.DisplayAttributes;

long displayAttributes = chantWord->GetDisplayAttributes();

long displayAttributes = chantWord->GetDisplayAttributes();

var displayAttributes: Integer;
displayAttributes := chantWord.DisplayAttributes;

int displayAttributes = chantWord.getDisplayAttributes();

Dim displayAttributes As Integer
displayAttributes = chantWord.DisplayAttributes

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord DisplayText Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

DisplayText Property

The display text for the recognized word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String displayText = chantWord.DisplayText;

wchar_t* displayText = chantWord->GetDisplayText();

String displayText = chantWord->GetDisplayText();

var displayText: string;
displayText := chantWord.DisplayText;

String displayText = chantWord.getDisplayText();

Dim displayText As String
displayText = chantWord.DisplayText

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord EndTime Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

EndTime Property

End time of the word.

Collapse/Expand Remarks section Remarks

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint endTime = chantWord.EndTime;

unsigned long endTime = chantWord->GetEndTime();

unsigned long endTime = chantWord->GetEndTime();

var endTime: Cardinal;
endTime := chantWord.EndTime;

ulong endTime = chantWord.getEndTime();

Dim endTime As ULong
endTime = chantWord.EndTime

Collapse/Expand Remarks section Remarks

The property is read only. Nuance VoCon 3200 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord ID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ID Property

The ID of the word when using a VoCon grammar vocabulary or choice id when using command vocabulary.

Collapse/Expand Remarks section Remarks

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint id = chantWord.ID;

unsigned long id = chantWord->GetID();

unsigned long id = chantWord->GetID();

var id: Cardinal;
id := chantWord.ID;

ulong id = chantWord.getID();

Dim id As ULong
id = chantWord.ID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord LexicalText Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

LexicalText Property

The lexical text for the recognized word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String lexicalText = chantWord.LexicalText;

wchar_t* lexicalText = chantWord->GetLexicalText();

String lexicalText = chantWord->GetLexicalText();

var lexicalText: string;
lexicalText := chantWord.LexicalText;

String lexicalText = chantWord.getLexicalText();

Dim lexicalText As String
lexicalText = chantWord.LexicalText

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord Phoneme Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Phoneme Property

The phoneme representation for the recognized word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String phoneme = chantWord.Phoneme;

wchar_t* phoneme = chantWord->GetPhoneme();

String phoneme = chantWord->GetPhoneme();

var phoneme: string;
phoneme := chantWord.Phoneme;

String phoneme = chantWord.getPhoneme();

Dim phoneme As String
phoneme = chantWord.Phoneme

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord PropertyBoolVal Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

PropertyBoolVal Property

The SAPI5 XML grammar val attribute value of a recognized word as a bool.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool value = chantWord.PropertyBoolVal;

bool value = chantWord->GetPropertyBoolVal();

bool value = chantWord->GetPropertyBoolVal();

var value: Boolean;
value := chantWord.PropertyBoolVal;

boolean value = chantWord.getPropertyBoolVal();

Dim value As Boolean
value = chantWord.PropertyBoolVal

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord PropertyDoubleVal Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

PropertyDoubleVal Property

The SAPI5 XML grammar val attribute value of a recognized word as a double.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

double value = chantWord.PropertyDoubleVal;

double value = chantWord->GetPropertyDoubleVal();

double value = chantWord->GetPropertyDoubleVal();

var value: Double;
value := chantWord.PropertyDoubleVal;

double value = chantWord.getPropertyDoubleVal();

Dim value As Double
value = chantWord.PropertyDoubleVal

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord PropertyFloatVal Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

PropertyFloatVal Property

The SAPI5 XML grammar val attribute value of a recognized word as a float.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

float value = chantWord.PropertyFloatVal;

float value = chantWord->GetPropertyFloatVal();

float value = chantWord->GetPropertyFloatVal();

var value: Single;
value := chantWord.PropertyFloatVal;

float value = chantWord.getPropertyFloatVal();

Dim value As Single
value = chantWord.PropertyFloatVal

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord PropertyID Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

PropertyID Property

The PROPID XML grammar attribute value of a recognized word.

Collapse/Expand Remarks section Remarks

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int propertyID = chantWord.PropertyID;

long propertyID = chantWord->GetPropertyID();

long propertyID = chantWord->GetPropertyID();

var propertyID: Integer;
propertyID := chantWord.PropertyID;

int propertyID = chantWord.getPropertyID();

Dim propertyID As Integer
propertyID = chantWord.PropertyID

Collapse/Expand Remarks section Remarks

The property is read only. SAPI5 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord PropertyLongVal Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

PropertyLongVal Property

The SAPI5 XML grammar val attribute or SAPI4 grammar numeric annotation value of a recognized word as a long.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int value = chantWord.PropertyLongVal;

long value = chantWord->GetPropertyLongVal();

long value = chantWord->GetPropertyLongVal();

var value: Integer;
value := chantWord.PropertyLongVal;

int value = chantWord.getPropertyLongVal();

Dim value As Integer
value = chantWord.PropertyLongVal

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord PropertyName Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

PropertyName Property

The PROPNAME XML grammar attribute value of a recognized word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String propertyName = chantWord.PropertyName;

wchar_t* propertyName = chantWord->GetPropertyName();

String propertyName = chantWord->GetPropertyName();

var propertyName: string;
propertyName := chantWord.PropertyName;

String propertyName = chantWord.getPropertyName();

Dim propertyName As String
propertyName = chantWord.PropertyName

Collapse/Expand Remarks section Remarks

The property is read only. SAPI5 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord PropertyValue Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

PropertyValue Property

The SAPI5 XML grammar valstr attribute or SAPI4 grammar string annotation value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String value = chantWord.PropertyValue;

wchar_t* value = chantWord->GetPropertyValue();

String value = chantWord->GetPropertyValue();

var value: string;
value := chantWord.PropertyValue;

String value = chantWord.getPropertyValue();

Dim value As String
value = chantWord.PropertyValue

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord RetainedSizeBytes Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RetainedSizeBytes Property

Size of the element in bytes in the retained audio stream.

Collapse/Expand Remarks section Remarks

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint retainedSizeBytes = chantWord.RetainedSizeBytes;

unsigned long retainedSizeBytes = chantWord->GetRetainedSizeBytes();

unsigned long retainedSizeBytes = chantWord->GetRetainedSizeBytes();

var retainedSizeBytes: Cardinal;
retainedSizeBytes := chantWord.RetainedSizeBytes;

ulong retainedSizeBytes = chantWord.getRetainedSizeBytes();

Dim retainedSizeBytes As ULong
retainedSizeBytes = chantWord.RetainedSizeBytes

Collapse/Expand Remarks section Remarks

The property is read only. SAPI5 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord RetainedStreamOffset Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

RetainedStreamOffset Property

Starting offset of the element in bytes relative to the start of the phrase in the retained audio stream.

Collapse/Expand Remarks section Remarks

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

uint retainedStreamOffset = chantWord.RetainedStreamOffset;

unsigned long retainedStreamOffset = chantWord->GetRetainedStreamOffset();

unsigned long retainedStreamOffset = chantWord->GetRetainedStreamOffset();

var retainedStreamOffset: Cardinal;
retainedStreamOffset := chantWord.RetainedStreamOffset;

ulong retainedStreamOffset = chantWord.getRetainedStreamOffset();

Dim retainedStreamOffset As ULong
retainedStreamOffset = chantWord.RetainedStreamOffset

Collapse/Expand Remarks section Remarks

The property is read only. SAPI5 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord Score Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Score Property

Measure of the word's probability.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int score = chantWord.Score;

long score = chantWord->GetScore();

long score = chantWord->GetScore();

var score: Integer;
score := chantWord.Score;

int score = chantWord.getScore();

Dim score As Integer
score = chantWord.Score

Collapse/Expand Remarks section Remarks

The property is read only. Nuance Vocon 3200 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWord Type Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Type Property

Word is a garbage word (wildcard) or slot (list) word. The value 3 denotes a garbage word and the value 4 denotes a slot word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int wordType = chantWord.Type;

long wordType = chantWord->GetType();

long wordType = chantWord->GetType();

var intVal: Integer;
intVal := chantWord.Type;

int intVal = chantWord.getType();

Dim intVal As Integer
intVal = chantWord.Type

Collapse/Expand Remarks section Remarks

The property is read only. Nuance Vocon 3200 only.

Collapse/Expand See Also section See Also

ChantWord


ChantWordAlternateCollection Class

Represents a collection of ChantWord objects.

Collapse/Expand Remarks section Remarks

A ChantWordAlternateCollection is used to enumerate the recognition word alternates.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantWord | The ChantWord alternates object collection.
Public property | Count | The number of ChantWord alternates.

Collapse/Expand Example section Example

The following example illustrates enumerating word alternates and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantWord nChantWord in chantWord.ChantWordAlternates)
{
    // Access word alternate properties
    string lexicalText = chantWord.LexicalText;
}

int numberOfWordAlternates = pChantWord->GetChantWordAlternates()->GetCount();
for (i = 0; i < numberOfWordAlternates; i++)
{
    CChantWord* pChantWord = pChantWord->GetChantWordAlternates()->GetChantWordAlternate(i);
    // Access word alternate properties
    wchar_t* lexicalText = pChantWord->GetLexicalText();
}

int numberOfWordAlternates = pChantWord->GetChantWordAlternates()->GetCount();
for (i = 0; i < numberOfWordAlternates; i++)
{
    CChantWord* pChantWord = pChantWord->GetChantWordAlternates()->GetChantWordAlternate(i);
    // Access word alternate properties
    String lexicalText = pChantWord->GetLexicalText();
}

var
chantWord: TChantWord;
lexicalText: string;
begin
for chantWord in chantWord.ChantWordAlternates do
    begin
        // Access word alternate properties
        lexicalText := chantWord.LexicalText;
    end;
end;

for (JChantWord chantWord : chantWord.getChantWordAlternates())
{
    // Access word alternate properties
    String lexicalText = chantWord.getLexicalText();
}

Dim chantWord As NChantWord
Dim lexicalText As String
For Each chantWord In chantWord.ChantWordAlternates
    ' Access word alternate properties
    lexicalText = chantWord.LexicalText
Next

Collapse/Expand See Also section See Also

ChantWord


ChantWordAlternateCollection ChantWord Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantWord Property

A collection of ChantWord alternate objects representing a recognized word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantWord chantWor = chantWordAlternateCollection.ChantWord[index];

CChantWord* chantWord = chantWordAlternateCollection->GetChantWord(index);

CChantWord* chantWord = chantWordAlternateCollection->GetChantWord(index);

var chantWord: TChantWord;
chantWord := chantWordAlternateCollection.ChantWord(index);

JChantWord chantWord = chantWordAlternateCollection.getAt(index);

Dim chantWord As NChantWord
chantWord = chantWordAlternateCollection.ChantWord(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantWord


ChantWordAlternateCollection Count Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Count Property

The number of ChantWord alternate objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantWordAlternateCollection.Count;

long count = chantWordAlternateCollection->GetCount();

long count = chantWordAlternateCollection->GetCount();

var count: Integer;
count := chantWordAlternateCollection.Count;

int count = chantWordAlternateCollection.getCount();

Dim count As Integer
count = chantWordAlternateCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantWordAlternateCollection


ChantWordCollection Class

Represents a collection of ChantWord objects.

Collapse/Expand Remarks section Remarks

A ChantWordCollection is used to enumerate the available recognition words.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantWord | The ChantWord object collection.
Public property | Count | The number of ChantWords.

Collapse/Expand Example section Example

The following example illustrates enumerating recognition words and accessing their properties.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
foreach (NChantWord chantWord in chantSREvent.ChantWords)
{
    // Access recognition word properties
    String lexicalText = chantWord.LexicalText;
}

int numberOfWords = pChantSREvent->GetChantWords()->GetCount();
for (i = 0; i < numberOfWords; i++)
{
    CChantWord* pChantWord = pChantSREvent->GetChantWords()->GetChantWord(i);
    // Access recognition word properties
    wchar_t* lexicalText = pChantWord->GetLexicalText();
}

int numberOfWords = pChantSREvent->GetChantWords()->GetCount();
for (i = 0; i < numberOfWords; i++)
{
    CChantWord* pChantWord = pChantSREvent->GetChantWords()->GetChantWord(i);
    // Access recognition word properties
    String lexicalText = pChantWord->GetLexicalText();
}

var
chantWord: TChantWord;
lexicalText: string;
begin
for chantWord in chantSREvent.ChantWords do
    begin
        // Access recognition word properties
        lexicalText := chantWord.LexicalText;
    end;
end;

for (JChantWord chantWord : chantSREvent.getChantWords())
{
    // Access recognition word properties
    String lexicalText = chantWord.getLexicalText();
}

Dim chantWord As NChantWord
Dim lexicalText As String
For Each chantWord In chantSREvent.ChantWords
    ' Access recognition word properties
    lexicalText = chantWord.LexicalText
Next

Collapse/Expand See Also section See Also

ChantWord


ChantWordCollection ChantWord Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

ChantWord Property

A collection of ChantWord objects representing a recognized word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantWord chantWord = chantWordCollection.ChantWord[index];

CChantWord* chantWord = chantWordCollection->GetChantWord(index);

CChantWord* chantWord = chantWordCollection->GetChantWord(index);

var chantWord: TChantWord;
chantWord := chantWordCollection.ChantWord(index);

JChantWord chantWord = chantWordCollection.getAt(index);

Dim chantWord As NChantWord
chantWord = chantWordCollection.ChantWord(index)

Parameters

index

Long integer. Specifies the zero-based index value within the collection.

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantWord


ChantWordCollection Count Property

Chant SpeechKit 8 Logo
Chant SpeechKit 8 Developer's Guide

Count Property

The number of ChantWord objects in the collection.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantWordCollection.Count;

long count = chantWordCollection->GetCount();

long count = chantWordCollection->GetCount();

var count: Integer;
count := chantWordCollection.Count;

int count = chantWordCollection.getCount();

Dim count As Integer
count = chantWordCollection.Count

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantWordCollection


VoiceMarkupKit Classes

All VoiceMarkupKit class libraries and class names begin with a unique letter as follows:

  • C++ - C (e.g., CVoiceMarkupKit, CChantVM)
  • Delphi - T (e.g., TChantVM)
  • Java - J (e.g., JVoiceMarkupKit, JChantVM)
  • .NET - N (e.g., NVoiceMarkupKit, NChantVM)

The following class is included in the VoiceMarkupKit class libraries:

Class | Description
ChantVM | Represents a markup management object for generating text markup for speech synthesis.
ChantVMEvent | Represents a markup management event.


ChantVM Class

Object for managing text-to-speech markup.

Collapse/Expand Remarks section Remarks

The voice markup management object, ChantVM, provides a common interface for generating markup for Microsoft SAPI 4 Control Tags, Microsoft SAPI 5 XML Markup, and W3C Speech Synthesis Markup Language (SSML).

Applications use the markup management object generate markup to enhance the synthesis playback quality.

The markup management object determines the syntax required for the markup feature on the basis of the desired markup language.

Collapse/Expand Events section Events

 | APIs | Name | Description
Public event | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | HasEvent | Notifies the application of a markup management event.

Collapse/Expand Methods section Methods

 | APIs | Name | Description
Public method | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | GenerateMarkup | Generates markup for the markup tag, optional attribute, and text.
Public method | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | GeneratePhonemes | Generate phoneme representation of a word.
Public method | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | GetChantVMEvent | Returns a ChantVMEvent object.
Public method | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | IsSupported | Returns whether a feature is supported.
Public method | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | RegisterCallback | Sets the callback event active.
Public method | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | RemoveEvent | Removes an event from the event queue.
Public method | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | SetCallbackFunction | Sets static callback function.
Public method | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | SetCallbackParms | Sets optional callback parameters.
Public method | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | SetNumberProperty | Sets a numeric property value.
Public method | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | SetStringProperty | Sets a string property value.
Public method | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | SetWindowMessage | Sets application-unique Windows message number used to notify about callback events.
Public method | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | UnregisterCallback | Sets the callback event inactive.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Speech Synthesis Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Synthesis Nuance RealSpeak Solo | ChantTTSEngines | A collection of ChantTTSEngine objects.
Public property |  | LastError | A numeric error code for the last error condition.
Public property |  | LastErrorMessage | A description of the last error condition.
Public property |  | LastErrorString | A text representation of the last error condition.


ChantVM ChantTTSEngines Property

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

ChantTTSEngines Property

A collection of ChantTTSEngine objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantTTSEngineCollection chantTTSEngineCollection = chantVM.ChantTTSEngines;

CChantTTSEngineCollection* chantTTSEngineCollection = chantVM->GetChantTTSEngines();

CChantTTSEngineCollection* chantTTSEngineCollection = chantVM->GetChantTTSEngines();

var chantTTSEngineCollection: TChantTTSEngineCollection;
chantTTSEngineCollection := chantVM.ChantTTSEngines;

JChantTTSEngineCollection chantTTSEngineCollection = chantVM.getChantTTSEngines();

Dim chantTTSEngineCollection As NChantTTSEngineCollection
chantTTSEngineCollection = chantVM.ChantTTSEngines

Collapse/Expand Example section Example

See the ChantTTSEngineCollection example.

Collapse/Expand See Also section See Also

ChantTTSEngine
ChantTTSEngineCollection


ChantVM GenerateMarkup Method

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

GenerateMarkup Method

Generates markup for the markup tag, optional attribute, and text.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String markup = chantVM.GenerateMarkup(eChantVoiceMarkupLanguage, eChantVoiceMarkupTag, engine, attributeValue, text);

wchar_t* markup = chantVM->GenerateMarkup(eChantVoiceMarkupLanguage, eChantVoiceMarkupTag, engine, attributeValue, text);

String markup = chantVM->GenerateMarkup(eChantVoiceMarkupLanguage, eChantVoiceMarkupTag, engine, attributeValue, text);

                        var markup: string;
markup := chantVM.GenerateMarkup(eChantVoiceMarkupLanguage, eChantVoiceMarkupTag, engine,
                        attributeValue, text);

String markup = chantVM.generateMarkup(eChantVoiceMarkupLanguage, eChantVoiceMarkupTag, engine, attributeValue, text);

Dim markup As String
markup = chantVM.GenerateMarkup(eChantVoiceMarkupLanguage, eChantVoiceMarkupTag, engine, attributeValue, text)

Parameters

eChantVoiceMarkupLanguage

ChantVoiceMarkupLanguage. Constant value that identifies the markup language.

eChantVoiceMarkupTag

ChantVoiceMarkupTag. Constant value that identifies the markup type.

engine

String. Optional speech engine (i.e., synthesizer) name.

attributeValue

String. Optional attribute value for the markup.

text

String. Text to which to apply the markup.

Return Value

String. Text with markup.

Collapse/Expand Remarks section Remarks

The markup language may be one of the following values one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech | CVMLSAPI4CTAG | 1 | SAPI 4 Control Tags
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo Nuance Vocalizer for Automotive Nuance Vocalizer for Network | CVMLSAPI5XML | 2 | SAPI 5 XML Markup
Microsoft SAPI 5.3 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance Vocalizer for Network | CVMLW3CSSML | 3 | W3C Speech Synthesis Markup Language
Nuance RealSpeak Solo | CVMLLHNCS | 4 | Nuance L&H Native Control Sequence

The markup tag may be one of the following values:

Markup Syntax | Constant | Value | Description
Nuance L&H Native Control Sequence | CVMTAudio | 1 | Playback audio file.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTBookmark | 2 | A marker to generate an event.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTComment | 3 | Text that is not synthesized but rather serves as documentation.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTContext | 4 | Defines the type of normalization rules to apply to the text.
Microsoft SAPI 4 Text-to-Speech | CVMTDeEmphasis | 5 | Deemphasize the words when speaking.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTEmphasis | 6 | Emphasis the words when speaking.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTLanguage | 7 | Define the language.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTPartOfSpeech | 8 | Identify the type of word.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTPitch | 9 | Adjust the speaking pitch.
Microsoft SAPI 4 Text-to-Speech | CVMTPitchRange | 10 | Adjust the pitch range when speaking.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTPronunciation | 11 | Phonetic pronunciation of the words.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTRate | 12 | Adjust the speaking rate (speed).
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTRelativePitch | 13 | Adjust the relative speaking pitch.
Microsoft SAPI 4 Text-to-Speech | CVMTRelativePitchRange | 14 | Adjust the relative pitch range when speaking.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTRelativeRate | 15 | Adjust the relative speaking rate (speed).
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTSilence | 16 | Pause speaking for a defined amount of time.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTSpell | 17 | Spell the words rather than speaking them.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTVoice | 18 | Set the voice to use when synthesizing.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTVolume | 19 | Adjust the audio volume of the speaking.

Collapse/Expand Example section Example

The following example illustrates generating markup.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
string markup = NChantVM1.GenerateMarkup(ChantVoiceMarkupLanguage.CVMLSAPI5SSML, ChantVoiceMarkupTag.CVMTRate, "", "5", "This text is spoken above the baseline at rate of five");

wchar_t* markup = pChantVM1->GenerateMarkup(CVMLSAPI5SSML, CVMTRate, L"", L"5", L"This text is spoken above the baseline at rate of five");

string markup = pChantVM1->GenerateMarkup(CVMLSAPI5SSML, CVMTRate, "", "5", "This text is spoken above the baseline at rate of five");

var
markup: string;
markup = NChantVM1.GenerateMarkup(CVMLSAPI5SSML, CVMTRate, '', '5', 'This text is spoken above the baseline at rate of five');

String markup = JChantVM1.generateMarkup(ChantVoiceMarkupLanguage.CVMLSAPI5SSML, ChantVoiceMarkupTag.CVMTRate, "", "5", "This text is spoken above the baseline at rate of five");

Dim markup as String
markup = NChantVM1.GenerateMarkup(ChantVoiceMarkupLanguage.CVMLSAPI5SSML, ChantVoiceMarkupTag.CVMTRate, "", "5", "This text is spoken above the baseline at rate of five")

Collapse/Expand See Also section See Also

ChantVM


ChantVM GeneratePhonemes Method

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

GeneratePhonemes Method

Generates phoneme representation of a word.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String phonemes = nChantVM.GeneratePhonemes(word, engine, eChantPartOfSpeech);

wchar_t* phonemes = pChantVM->GeneratePhonemes(word, engine, eChantPartOfSpeech);

String phonemes = pChantVM->GeneratePhonemes(word, engine, eChantPartOfSpeech);

var phonemes: string;
phonemes := aTChantVM.GeneratePhonemes(word, engine, eChantPartOfSpeech);

String phonemes = jChantVM.generatePhonemes(word, engine, eChantPartOfSpeech);

Dim phonemes As String
phonemes = nChantVM.GeneratePhonemes(word, engine, eChantPartOfSpeech)

Parameters

word

String. Word(s) from which to generate the phoneme representation.

engine

String. Speech engine (i.e., synthesizer) name.

eChantPartOfSpeech

ChantPartOfSpeech. Value that uniquely identifies the word part of speech.

Return Value

String. Phoneme representation for the word(s).

Collapse/Expand Remarks section Remarks

If more than one word is specified, phoneme representations are separated by a space. You may optionally specify the part of speech in generating the pronunciation as one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech | CPOSAbbreviation | 1 | Shortened form of a word -(e.g, hr.)
Microsoft SAPI 4 Text-to-Speech | CPOSAdjective | 2 | Word that modifies a noun (e.g., green).
Microsoft SAPI 4 Text-to-Speech | CPOSAdverb | 3 | Word that modifies a verb, an adjective, or another adverb (e.g., quickly).
Microsoft SAPI 4 Text-to-Speech | CPOSCardinal | 4 | Number used in simple counting (e.g., one, two, three).
Microsoft SAPI 4 Text-to-Speech | CPOSConjunction | 5 | Word used to join sentences, clauses, or phrases (e.g., and).
Microsoft SAPI 4 Text-to-Speech | CPOSContraction | 6 | Shortened form of one or two words with the omitted letter or letters indicated by an apostrophe (e.g., can't).
Microsoft SAPI 4 Text-to-Speech | CPOSDeterminer | 7 | Limiting noun modifier that precedes an adjective modifying the same noun (e.g., her)
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSFunction | 8 | Indicates that the part of speech is a function.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSIgnore | 9 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSInterjection | 10 | Word or phrase that expresses emotion (e.g., indeed, heavens).
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSModifier | 11 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSNoun | 12 | Word that names a person, place, thing (e.g., astronaut, New York, printer, history).
Microsoft SAPI 4 Text-to-Speech | CPOSOrdinal | 13 | Number used to show order (e.g., first, second, third).
 | CPOSPastParticiple | 14 | Verb form that can be used in compound tenses or voices, or as a modifier (e.g., talked).
Microsoft SAPI 4 Text-to-Speech | CPOSPreposition | 15 | Word that precedes a noun or pronoun to form an adjectival or adverbial phrase (e.g., "aboard" in "aboard the ship").
Microsoft SAPI 4 Text-to-Speech | CPOSPronoun | 16 | Word that substitutes for a noun (e.g, it).
Microsoft SAPI 4 Text-to-Speech | CPOSProperNoun | 17 | Noun that names a specific person or place (e.g., Katherine, Cleveland).
Microsoft SAPI 4 Text-to-Speech | CPOSPunctuation | 18 | Marks that clarify the meaning and structure of writing (e.g., .).
Microsoft SAPI 4 Text-to-Speech | CPOSQuantifier | 19 | Limiting noun modifier that expresses quantity and precedes an adjective modifying the same noun (e.g., "four" in "the four ripe strawberries").
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSUnknown | 20 | Part of speech is unknown.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPOSVerb | 21 | Word that expresses an act or a state of being (e.g., eat, be).

Collapse/Expand Example section Example

The following example illustrates generating phonemes.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
String stringVal = NChantVM1.GeneratePhonemes("apple", "Microsoft David Desktop - English (United States)", ChantPartOfSpeech.CPOSNoun);

wchar_t* pszVal = pChantVM->GeneratePhonemes(L"apple", L"Microsoft David Desktop - English (United States)", CPOSNoun);

String stringVal = pChantVM->GeneratePhonemes("apple", "Microsoft David Desktop - English (United States)", CPOSNoun);

var stringVal: string;
stringVal := ChantVM1.GeneratePhonemes('apple', "Microsoft David Desktop - English (United States)", CPOSNoun);

String stringVal = JChantVM1.generatePhonemes("apple", "Microsoft David Desktop - English (United States)", ChantPartOfSpeech.CPOSNoun);

Dim stringVal As String
stringVal = NChantVM1.GeneratePhonemes("apple", "Microsoft David Desktop - English (United States)", ChantPartOfSpeech.CPOSNoun)

Collapse/Expand See Also section See Also

ChantVM


ChantVM GetChantVMEvent Method

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

GetChantVMEvent Method

Returns a ChantVMEvent object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVMEvent chantVMEvent = chantVM.GetChantVMEvent()

CChantVMEvent* chantVMEvent = chantVM->GetChantVMEvent()

CChantVMEvent* chantVMEvent = chantVM->GetChantVMEvent()

var chantVMEvent: TChantVMEvent;
chantVMEvent := chantVM.GetChantVMEvent();

JChantVMEvent jChantVMEvent = chantVM.getChantVMEvent()

Dim nChantVMEvent As NChantVMEvent
nChantVMEvent = chantVM.GetChantVMEvent()

Collapse/Expand Example section Example

See the HasEvent example.

Collapse/Expand See Also section See Also

ChantVM
ChantVMEvent


ChantVM HasEvent Event

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

HasEvent Event

Notifies the application of a markup management event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

// In your Form constructor, add reference to your event handler
NChantVM1.HasEvent += this.NChantVM1_HasEvent;

// The HasEvent handler is declared as a subroutine for the class object
// with the following signature
private void NChantVM1_HasEvent(object sender, Chant.VoiceMarkupKit.HasEventArgs e)
{

// HasEvent handler code goes here

}

                    // C++ event notifications can be handled via application message pump (e.g., DefWindowProc)
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
m_HasEvent = WM_APP+7;
m_pChantVM->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

LRESULT MyApp::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // C++Builder event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantVM1->SetWindowMessage(Handle, WM_APP+7, 0, 0);

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // Delphi event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantVM1.SetWindowMessage(Handle, WM_APP+7, 0, 0);

procedure TForm1.OnHasEvent(var msg: TMessage);
begin

// HasEvent handler code goes here

end;

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // Java applications indicate they support the HasEvent handler interface
// with the "implements" clause
public class Frame1 extends JFrame implements com.speechkit.JChantVMEvents

// You must also inform the class object which java object implements the HasEvent
                    handler interface
// using the setCallbackFunction
JChantVM1.setCallbackFunction(this,null,null);

// The HasEvent handler is declared as a method with the following signature
public void hasEvent(Object obj1, Object obj2)
{

// HasEvent handler code goes here

}

' Visual Basic .NET applications declare that they are interested in receiving events
' as part of the class object declaration using the WithEvents clause
Dim WithEvents NChantVM1 As NChantVM

' The HasEvent handler is declared as a subroutine for the class object with the following signature
Private Sub NChantVM1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.VoiceMarkupKit.HasEventArgs) Handles NChantVM1.HasEvent

' HasEvent handler code goes here

End Sub

Collapse/Expand Remarks section Remarks

An application must register for the events it is interested in receiving. The RegisterCallback method indicates the type of event the application is interested in receiving. An application can register for as many different event types as it wants.

Event notifications may be turned off at any time with the UnregisterCallback method.

If an application wants to receive events, it must also have a HasEvent handler that processes the desired events. See the discussion about events for markup management.

Collapse/Expand Example section Example

The following example illustrates handling API error events:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantVM1_HasEvent(object sender, Chant.VoiceMarkupKit.HasEventArgs e)
{
    // Get the event from the event queue
    NChantVMEvent nChantVMEvent = NChantVM1.GetChantVMEvent();
    if (nChantVMEvent != NULL)
    {
        switch (nChantVMEvent.ChantCallback)
        {
            default:
                break;
            case ChantCallback.CCAPIError:
                // Log error message
                textBox1.Text = textBox1.Text + nChantVMEvent.Text + '\r' + '\n';
                break;
        }
        // Remove the event from the event queue
        NChantVM1.RemoveEvent();
    }
}

LRESULT CEditVoiceMarkupDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantVM != NULL)
    {
        if (message == m_HasEvent)
        {
            // Get the event from the event queue
            CChantVMEvent* pChantVMEvent = m_pChantVM->GetChantVMEvent();
            if (pChantVMEvent != NULL)
            {
                // Process the type of callback event
                switch (pChantVMEvent->GetChantCallback())
                {
                    case CCAPIError :
                        {
                            // Log error message
                            USES_CONVERSION;
                            CString sText;
                            CEdit* pEdit = (CEdit*)GetDlgItem(IDC_EDIT1);
                            pEdit->GetWindowText(sText);
                            sText += W2T(pChantVMEvent->GetText()) + _T("\r\n");
                            pEdit->SetWindowText(sText)
                            // Make Visible
                            pEdit->SetSel(sText.GetLength(),sText.GetLength());
                            break;
                        }
                    default :
                        break;
                }
                // Remove the event from the event queue
                m_pChantVM->RemoveEvent();
                // Delete the C++ wrapper class object
                delete pChantVMEvent;
                pChantVMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantVMEvent* pChantVMEvent = ChantVM1->GetChantVMEvent();
    if (pChantVMEvent != NULL)
    {
        switch (pChantVMEvent->GetChantCallback())
        {
            default:
                break;
            case CCAPIError:
            {
                // Log error message
                Memo1->Text = Memo1->Text + pChantVMEvent->GetText() + '\r' + '\n';
                break;
            }
        }
        // Make Visible
        Memo1->SelStart = Memo1->Text.Length();
        Memo1->SelLength = 1;
        Memo1->SetFocus();

        // Remove the event from the event queue
        ChantVM1->RemoveEvent();
        delete pChantVMEvent;
        pChantVMEvent = NULL;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
  aTChantVMEvent: TChantVMEvent;
begin
    // Get the event from the event queue
    aTChantVMEvent := ChantVM1.GetChantVMEvent();
    if aTChantVMEvent <> nil then
    begin
      case aTChantVMEvent.ChantCallback of
        CCAPIError:
        begin
          // Log error message
          Memo1.Text := Memo1.Text + aTChantVMEvent.Text + #13 + #10;
        end;
      end;
      // Make Visible
      Memo1.SelStart := Length(Memo1.Text);
      Memo1.SelLength:= 1;
      Memo1.SetFocus;
      // Remove the event from the event queue
      ChantVM1.RemoveEvent();
      aTChantVMEvent.Destroy();
    end;
end;

// Process callback.
public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantVMEvent jChantVMEvent = JChantVM1.getChantVMEvent();
    // Process the type of callback event
    if (jChantVMEvent != null)
    {
        switch(jChantVMEvent.getChantCallback())
        {
            case ChantCallback.CCAPIError :
                // Log error message
                jTextArea1.append(jChantVMEvent.getText() + '\r' + '\n');
                break;
            default :
                break;
        }
    }
    // Make Visible
    jTextArea1.setCaretPosition(jTextArea1.getText().length());
    // Remove the event from the event queue
    JChantVM1.removeEvent();
}

Private Sub NChantVM1_HasEvent(ByVal sender As System.Object, ByVal e As HasEventArgs) Handles NChantVM1.HasEvent
    Dim result As String
    Dim nChantVMEvent As NChantVMEvent
    ' Get the event from the event queue
    nChantVMEvent = NChantVM1.GetChantVMEvent()
    If nChantVMEvent <> Nothing Then
        result = ""
        ' Process the type of callback event
        Select Case nChantVMEvent.ChantCallback
            Case ChantCallback.CCAPIError
                TextBox1.Text = TextBox1.Text + nChantVMEvent.Text + vbCr + vbLf
            Case Else
        End Select
        ' Make Visible
        TextBox1.SelectionStart = Len(TextBox1.Text)
        TextBox1.ScrollToCaret()
        ' Remove the event from the event queue
        NChantVM1.RemoveEvent()
    End If
End Sub

Collapse/Expand See Also section See Also

ChantVM
ChantVMEvent
GetChantVMEvent
RegisterCallback
UnregisterCallback


ChantVM IsSupported Method

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

IsSupported Method

Returns boolean indicating whether a feature is supported.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool supported = chantVM.IsSupported(eChantVoiceMarkupLanguage, eChantVoiceMarkupTag, engine);

bool supported = chantVM->IsSupported(eChantVoiceMarkupLanguage, eChantVoiceMarkupTag, engine);

bool supported = chantVM->IsSupported(eChantVoiceMarkupLanguage, eChantVoiceMarkupTag, engine);

var supported: boolean;
supported := chantVM.IsSupported(eChantVoiceMarkupLanguage, eChantVoiceMarkupTag, engine);

boolean supported = chantVM.supported(eChantVoiceMarkupLanguage, eChantVoiceMarkupTag, engine);

Dim supported As Boolean
supported = chantVM.IsSupported(eChantVoiceMarkupLanguage, eChantVoiceMarkupTag, engine)

Parameters

eChantVoiceMarkupLanguage

ChantVoiceMarkupLanguage. Constant value that identifies the markup language.

eChantVoiceMarkupTag

ChantVoiceMarkupTag. Constant value that identifies the markup type.

engine

String. Optional speech engine (i.e., synthesizer) name.

Return Value

Boolean. True or False indicating whether the feature is supported.

Collapse/Expand Remarks section Remarks

You can test to see if markup is supported for the markup language you are using. The markup language may be one of the constant values from the following enumeration:

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech | CVMLSAPI4CTAG | 1 | SAPI 4 Control Tags
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo Nuance Vocalizer for Automotive Nuance Vocalizer for Network | CVMLSAPI5XML | 2 | SAPI 5 XML Markup
Microsoft SAPI 5.3 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance Vocalizer for Network | CVMLW3CSSML | 3 | W3C Speech Synthesis Markup Language
Nuance RealSpeak Solo | CVMLLHNCS | 4 | Nuance L&H Native Control Sequence

The markup feature may be one of the constant values from the following enumeration:

Markup Syntax | Constant | Value | Description
Nuance L&H Native Control Sequence | CVMTAudio | 1 | Playback audio file.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTBookmark | 2 | A marker to generate an event.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTComment | 3 | Text that is not synthesized but rather serves as documentation.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTContext | 4 | Defines the type of normalization rules to apply to the text.
Microsoft SAPI 4 Text-to-Speech | CVMTDeEmphasis | 5 | Deemphasize the words when speaking.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTEmphasis | 6 | Emphasis the words when speaking.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTLanguage | 7 | Define the language.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTPartOfSpeech | 8 | Identify the type of word.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTPitch | 9 | Adjust the speaking pitch.
Microsoft SAPI 4 Text-to-Speech | CVMTPitchRange | 10 | Adjust the pitch range when speaking.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTPronunciation | 11 | Phonetic pronunciation of the words.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTRate | 12 | Adjust the speaking rate (speed).
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTRelativePitch | 13 | Adjust the relative speaking pitch.
Microsoft SAPI 4 Text-to-Speech | CVMTRelativePitchRange | 14 | Adjust the relative pitch range when speaking.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTRelativeRate | 15 | Adjust the relative speaking rate (speed).
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTSilence | 16 | Pause speaking for a defined amount of time.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTSpell | 17 | Spell the words rather than speaking them.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTVoice | 18 | Set the voice to use when synthesizing.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTVolume | 19 | Adjust the audio volume of the speaking.

Collapse/Expand Example section Example

The following example illustrates determining whether the markup langauge supports a specific markup type.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
bool supported = NChantVM1.IsSupported(ChantVoiceMarkupLanguage.CVMLSAPI5SSML, ChantVoiceMarkupTag.CVMTRate, "");
if (supported)
{
    string markup = NChantVM1.GenerateMarkup(ChantVoiceMarkupLanguage.CVMLSAPI5SSML, ChantVoiceMarkupTag.CVMTRate, "", "5", "This text is spoken above the baseline at rate of five");
}

bool supported = pChantVM->IsSupported(CVMLSAPI5SSML, CVMTRate, L"");
if (supported)
{
    wchar_t* markup = pChantVM1->GenerateMarkup(CVMLSAPI5SSML, CVMTRate, L"", L"5", L"This text is spoken above the baseline at rate of five");
}

bool supported = pChantVM->IsSupported(CVMLSAPI5SSML, CVMTRate, "");
if (supported)
{
    string markup = pChantVM1->GenerateMarkup(CVMLSAPI5SSML, CVMTRate, "", "5", "This text is spoken above the baseline at rate of five");
}

var
supported: boolean;
markup: string;
supported := ChantVM1.IsSupported(CVMLSAPI5SSML, CVMTRate, '');
if not supported then
     markup = NChantVM1.GenerateMarkup(CVMLSAPI5SSML, CVMTRate, '', '5', 'This text is spoken above the baseline at rate of five');

boolean supported = JChantVM1.getStringProperty(ChantVoiceMarkupLanguage.CVMLSAPI5SSML, ChantVoiceMarkupTag.CVMTRate, "");
if (supported)
{
    string markup = JChantVM1.GenerateMarkup(ChantVoiceMarkupLanguage.CVMLSAPI5SSML, ChantVoiceMarkupTag.CVMTRate, "", "5", "This text is spoken above the baseline at rate of five");
}

Dim supported As Boolean
Dim markup as String
supported = NChantVM1.IsSupported(ChantVoiceMarkupLanguage.CVMLSAPI5SSML, ChantVoiceMarkupTag.CVMTRate, "")
If supported Then
    markup = NChantVM1.GenerateMarkup(ChantVoiceMarkupLanguage.CVMLSAPI5SSML, ChantVoiceMarkupTag.CVMTRate, "", "5", "This text is spoken above the baseline at rate of five")
End If

Collapse/Expand See Also section See Also

ChantVM


ChantVM LastError Property

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

LastError Property

A numeric error code for the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int error = chantVM.LastError;

long error = chantVM->GetLastError();

long error = chantVM->GetLastError();

var error: Integer;
error := chantVM.LastError;

int error = chantVM.getLastError();

Dim error As Integer
error = chantVM.LastError

Return Value

Long integer. Error code.

Collapse/Expand Remarks section Remarks

ChantVM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantVM
LastErrorMessage
LastErrorString


ChantVM LastErrorMessage Property

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

LastErrorMessage Property

A description of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String errorMessage = chantVM.LastErrorMessage;

wchar_t* errorMessage = chantVM->GetLastErrorMessage();

String errorMessage = chantVM->GetLastErrorMessage();

var errorMessage: string;
errorMessage := chantVM.LastErrorMessage;

String errorMessage = chantVM.getLastErrorMessage();

Dim errorMessage As String
errorMessage = chantVM.LastErrorMessage

Collapse/Expand Remarks section Remarks

ChantVM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantVM
LastError
LastErrorString


ChantVM LastErrorString Property

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

LastErrorString Property

A text representation of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String error = chantVM.LastErrorString;

wchar_t* error = chantVM->GetLastErrorString();

String error = chantVM->GetLastErrorString();

var error: string;
error := chantVM.LastErrorString;

String error = chantVM.getLastErrorString();

Dim error As String
error = chantVM.LastErrorString

Collapse/Expand Remarks section Remarks

ChantVM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantVM
LastError
LastErrorMessage


ChantVM RegisterCallback Method

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

RegisterCallback Method

Sets the callback event active.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVM.RegisterCallback(eChantCallback);

chantVM->RegisterCallback(eChantCallback);

chantVM->RegisterCallback(eChantCallback);

chantVM.RegisterCallback(eChantCallback);

chantVM.registerCallback(eChantCallback);

chantVM.RegisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCAPIError | 59 | API Error. Property values: ID, Function, Text.

The following example illustrates turning on CCAPIError events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn on API error events
NChantVM1.RegisterCallback(ChantCallback.CCAPIError);

// Turn on API error events
pChantVM->RegisterCallback(CCAPIError);

// Turn on API error events
pChantVM->RegisterCallback(CCAPIError);

// Turn on API error events
ChantVM1.RegisterCallback(CCAPIError);

// Turn on API error events
JChantVM1.registerCallback(ChantCallback.CCAPIError);

' Turn on API error events
NChantVM1.RegisterCallback(ChantCallback.CCAPIError)

Collapse/Expand See Also section See Also

ChantVM
UnregisterCallback


ChantVM RemoveEvent Method

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

RemoveEvent Method

Removes a speech resource definition or frees a speech resource object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVM.RemoveEvent();

chantVM->RemoveEvent();

chantVM->RemoveEvent();

chantVM.RemoveEvent();

chantVM.removeEvent();

chantVM.RemoveEvent()

Collapse/Expand Example section Example

See HasEvent example.

Collapse/Expand See Also section See Also

ChantVM


ChantVM SetCallbackFunction Method

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

SetCallbackFunction Method

Sets callback static function.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantVM.SetCallbackFunction(pCallbackFunction, wParam, lParam);

chantVM.SetCallbackFunction(pCallbackFunction, wParam, lParam);

chantVM.SetCallbackFunction(pCallbackFunction, wParam, lParam);

chantVM.setCallbackFunction(pCallbackFunction, wParam, lParam);

Not supported.

Parameters

callbackFunction

Pointer (C++, C++Builder, Delphi), Object (Java). Name of conditional variable. Callback address (C++, C++Builder, Delphi). Callback object that implements the ChantVMEvents interface (Java).

wParam

WPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

lParam

LPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support static callbacks may set a function to receive callback events.

Collapse/Expand See Also section See Also

ChantVM
SetWindowMessage


ChantVM SetCallbackParms Method

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

SetCallbackParms Method

Sets optional callback parameters.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVM.SetCallbackParms(parm1, parm2);

Not supported.

Not supported.

Not supported.

chantVM.setCallbackParms(parm1, parm2);

chantVM.SetCallbackParms(parm1, parm2)

Parameters

parm1

Object. Optional application defined value passed on all callback events.

parm2

Object. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Application defined values may be passed on all callback events.

Collapse/Expand Example section Example

The following example illustrates setting optional callback parms.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantVM1.SetCallbackParms(NChantVM1, null);

Not supported.

Not supported.

Not supported.

JChantVM1.setCallbackParms(JChantVM1, null);

NChantVM1.SetCallbackParms(NChantVM1, Nothing)

Collapse/Expand See Also section See Also

ChantVM


ChantVM SetNumberProperty Method

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

SetNumberProperty Method

Sets a numeric property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVM.SetNumberProperty(eChantNumberProperty, value);

chantVM->SetNumberProperty(eChantNumberProperty, value);

chantVM->SetNumberProperty(eChantNumberProperty, value);

chantVM.SetNumberProperty(eChantNumberProperty, value);

chantVM.setNumberProperty(eChantNumberProperty, value);

chantVM.SetNumberProperty(eChantNumberProperty, value)

Parameters

eChantNumberProperty

ChantNumberProperty. Value that uniquely identifies the property.

value

Integer. Property value.

Collapse/Expand Remarks section Remarks

Set the synthesizer speech API before setting speech engine string properties such as CSPEnginePath for Cepstral Swift. The property type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo Nuance Vocalizer Automotive Nuance Vocalizer Epxressive Nuance Vocalizer Mobile Nuance Vocalizer Network | CNPEngineAPI | 12 | ChantVM class property that specifies the speech engine API.
 | CNPNativeAPI | 42 | Enumerate a recognizer or voice via native API if available and not as a SAPI recognizer or voice.

Collapse/Expand Example section Example

The following example illustrates setting the synthesizer API to Cepstral Swift.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantVM1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, (int)ChantEngineAPI.CESWIFTTTS);

pChantVM->SetNumberProperty(CNPEngineAPI, CESWIFTTTS);

pChantVM->SetNumberProperty(CNPEngineAPI, CESWIFTTTS);

ChantVM1.SetNumberProperty(CNPEngineAPI, CESWIFTTTS);

JChantVM1.setNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CESWIFTTTS);

NChantVM1.SetNumberProperty(ChantNumberProperty.CNPEngineAPI, ChantEngineAPI.CESWIFTTTS)

Collapse/Expand See Also section See Also

ChantVM
SetStringProperty


ChantVM SetStringProperty Method

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

SetStringProperty Method

Sets a string property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVM.SetStringProperty(eChantStringProperty, value);

chantVM->SetStringProperty(eChantStringProperty, value);

chantVM->SetStringProperty(eChantStringProperty, value);

chantVM.SetStringProperty(eChantStringProperty, value);

chantVM.setStringProperty(eChantStringProperty, value);

chantVM.SetStringProperty(eChantStringProperty, value)

Parameters

eChantStringProperty

ChantStringProperty. Value that uniquely identifies the property.

value

String. Property value.

Collapse/Expand Remarks section Remarks

All recognizer and ChantVM string property values are accessed via GetStringProperty and SetStringProperty. The property type may be one of the following values:

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CSPEngine | 5 | Specifies the name of the synthesizer.
 | CSPLicense | 10 | Class property. Specifies the license value required for distributing applications with the Chant class libraries.
 | CSPSerials | 19 | Class property. Specifies the serial number value required for distributing applications with the Chant class libraries.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPConcurrencyLicenseCompany | 27 | License property.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPConcurrencyLicenseName | 28 | License property.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPConcurrencyLicenseKey | 29 | License property.
Nuance RealSpeak Solo | CSPEnginePath | 31 | File path to the engine libraries.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVoiceLicenseCompany | 34 | License property.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVoiceLicenseName | 35 | License property.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVoiceLicenseKey | 36 | License property.

Collapse/Expand Example section Example

The following example illustrates setting the deployment license value.

Collapse/Expand Example section Example

The following example illustrates using StopTraining method to stop speaker profile training.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantVM1.SetStringProperty(ChantStringProperty.CSPLicense, "012634567890123456789");

pChantVM->SetStringProperty(CSPLicense, L"012634567890123456789");

pChantVM->SetStringProperty(CSPLicense, "012634567890123456789");

ChantVM1.SetStringProperty(CSPLicense, "012634567890123456789");

JChantVM1.setNumberProperty(ChantStringProperty.CSPLicense, "012634567890123456789");

NChantVM1.SetStringProperty(ChantStringProperty.CSPLicense, "012634567890123456789")

Collapse/Expand See Also section See Also

ChantVM


ChantVM SetWindowMessage Method

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

SetWindowMessage Method

Sets the WM_APP message value for receiving an event notification as Win32 message.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

chantVM->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantVM->SetWindowMessage(hWnd, Msg, wParam, lParam);

chantVM.SetWindowMessage(hWnd, Msg, wParam, lParam);

Not supported.

Not supported.

Parameters

hWnd

HWND. Application window handle.

Msg

Long integer. Unique windows message number.

wParam

WPARAM. Optional application defined value passed on all callback events.

lParam

LPARAM. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support Win32 message pump may set a WM_APP message value to uniquely identify ChantVM event notifications. An event notification indicates that a ChantVM callback has fired and a ChantVMEvent resource is on the event resource queue.

Collapse/Expand See Also section See Also

ChantVM


ChantVM UnregisterCallback Method

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

UnregisterCallback Method

Sets the callback event inactive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVM.UnregisterCallback(eChantCallback);

chantVM->UnregisterCallback(eChantCallback);

chantVM->UnregisterCallback(eChantCallback);

chantVM.UnregisterCallback(eChantCallback);

chantVM.unregisterCallback(eChantCallback);

chantVM.UnregisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCAPIError | 59 | API Error. Property values: ID, Function, Text.

Collapse/Expand Example section Example

The following example illustrates turning off SRProgress events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn off SRProgress events
NChantVM1.UnregisterCallback(ChantCallback.CCSRProgress);

// Turn off SRProgress events
pChantVM->UnregisterCallback(CCSRProgress);

// Turn off SRProgress events
pChantVM->UnregisterCallback(CCSRProgress);

// Turn off SRProgress events
ChantVM1.UnregisterCallback(CCSRProgress);

// Turn off SRProgress events
JChantVM1.unregisterCallback(ChantCallback.CCSRProgress);

' Turn off SRProgress events
NChantVM1.UnregisterCallback(ChantCallback.CCSRProgress)

Collapse/Expand See Also section See Also

ChantVM
RegisterCallback


ChantVMEvent Class

Represents a markup event.

Collapse/Expand Remarks section Remarks

A markup event may have data associated with it. For events that have data associated with them (e.g., API errors), the data is available from the ChantVMEvent object.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | ChantCallback | The type of event callback.
Public property | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Function | API function name.
Public property | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | ID | API error number.
Public property | Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | Text | Error message from API error.

Collapse/Expand See Also section See Also

GetChantVMEvent
RemoveEvent


ChantVMEvent ChantCallback Property

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

Text Property

The type of event callback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantCallback eChantCallback = chantVMEvent.ChantCallback;

ChantCallback eChantCallback = chantVMEvent->GetChantCallback();

ChantCallback eChantCallback = chantVMEvent->GetChantCallback();

var eChantCallback: ChantCallback;
eChantCallback := chantVMEvent.ChantCallback;

int eChantCallback = chantVMEvent.getChantCallback();

Dim eChantCallback As ChantCallback
eChantCallback = chantVMEvent.ChantCallback

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantCallback constant values:

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCAPIError | 59 | API Error. Property values: ID, Function, Text.

Collapse/Expand See Also section See Also

ChantVMEvent


ChantVMEvent Function Property

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

Function Property

The API function invoked.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String function = chantVMEvent.Function;

wchar_t* function = chantVMEvent->GetFunction();

String function = chantVMEvent->GetFunction();

var function: string;
function := chantVMEvent.Function;

String function = chantVMEvent.getFunction();

Dim function As String
function = chantVMEvent.Function

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantVMEvent


ChantVMEvent ID Property

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

ID Property

API error number.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int id = chantVMEvent.ID;

long id = chantVMEvent->GetID();

long id = chantVMEvent->GetID();

var id: Integer;
id := chantVMEvent.ID;

int id = jChantVMEvent.getID();

Dim id As Integer
id = chantVMEvent.ID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantVMEvent


ChantVMEvent Text Property

Chant VoiceMarkupKit 5 Logo
Chant VoiceMarkupKit 5 Developer's Guide

Text Property

Error message from API error.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String text = chantVMEvent.Text;

wchar_t* text = chantVMEvent->GetText();

String text = chantVMEvent->GetText();

var text: string;
text := chantVMEvent.Text;

String text = chantVMEvent.getText();

Dim text As String
text = chantVMEvent.Text

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantVMEvent


VoiceXMLKit Classes

All VoiceXMLKit class libraries and class names begin with a unique letter as follows:

  • C++ - C (e.g., CVoiceXMLKit, CChantXM)
  • Delphi - T (e.g., TChantXM)
  • Java - J (e.g., JVoiceXMLKit, JChantXM)
  • .NET - N (e.g., NVoiceXMLKit, NChantXM)

The following classes are included in the VoiceXMLKit class libraries:

Class | Description
ChantVxmlAssign | Represents an <assign> element that sets a variable value.
ChantVxmlAudio | Represents an <audio> element plays an audio clip within a prompt.
ChantVxmlBlock | Represents a <block> element that is a container of non-interactive executable code.
ChantVxmlCatch | Represents a <catch> element that is an event handler.
ChantVxmlChoice | Represents a <choice> element that defines a menu item.
ChantVxmlClear | Represents a <clear> element that clears one or more form item variables.
ChantVxmlComment | Represents a VoiceXML comment.
ChantVxmlContentElement | Represents a VoiceXML element that contains text content.
ChantVxmlData | Represents a <data> element that allows a VoiceXML application to fetch arbitrary XML data from a document server without transitioning to a new VoiceXML document.
ChantVxmlDisconnect | Represents a <disconnect> element that disconnects a session.
ChantVxmlDocument | Represents a VoiceXML document.
ChantVxmlDtmf | Represents a <dtmf> element that specifies a touch-tone key grammar.
ChantVxmlElement | Represents a VoiceXML element.
ChantVxmlElse | Represents an <else> element that is used in <if> elements.
ChantVxmlElseif | Represents an <elseif> element that is used in <if> elements.
ChantVxmlEnumerate | Represents an <enumerate> element enumerates the choices in a menu.
ChantVxmlError | Represents an <error> element that catches an error event.
ChantVxmlException | Represents a VoiceXML element that can contain exception handlers.
ChantVxmlExceptionHandler | Represents a VoiceXML element that can process exceptions.
ChantVxmlExit | Represents an <exit> element that is used to exit a session.
ChantVxmlField | Represents a <field> element that declares an input field in a form.
ChantVxmlFilled | Represents a <filled> element that is an action executed when fields are filled.
ChantVxmlForeach | Represents a <foreach> element that allows a VoiceXML application to iterate through an ECMAScript array and to execute the content contained within the <foreach> element for each item in the array.
ChantVxmlForm | Represents a <form> element that is a dialog for presenting information and collecting data.
ChantVxmlFormControl | Represents a VoiceXML form control element.
ChantVxmlGoto | Represents a <goto> element that transitions to another form item in the current form, another dialog in the current document, or another document.
ChantVxmlGrammar | Represents a <grammar> element that specifies a speech recognition or DTMF grammar.
ChantVxmlHelp | Represents an <help> element that catches a help event.
ChantVxmlIf | Represents an <if> element that is used for simple conditional logic.
ChantVxmlInitial | Represents an <initial> element that declares initial logic upon entry into a (mixed initiative) form.
ChantVxmlLink | Represents a <link> element that specifies a transition common to all dialogs in the link's scope.
ChantVxmlLog | Represents a <log> element that generates a debug message.
ChantVxmlMenu | Represents a <menu> element for choosing amongst alternative destinations.
ChantVxmlMeta | Represents a <meta> element that defines a metadata item as a name/value pair.
ChantVxmlMetadata | Represents a <metadata> element that defines metadata information using a metadata schema.
ChantVxmlMixedContentElement | Represents a VoiceXML element that contains mixed content.
ChantVxmlNoinput | Represents a <noinput> element that catches a noinput event that occurs when a user does not provide a response to an active <field>.
ChantVxmlNomatch | Represents a <nomatch> element that catches a nomatch event.
ChantVxmlObject | Represents an <object> element that interacts with a custom extension.
ChantVxmlOption | Represents an <option> element that specifies an option in a <field> element.
ChantVxmlParam | Represents a <param> element that is a parameter in an <object> or <subdialog>.
ChantVxmlPrompt | Represents a <prompt> element that queues speech synthesis and audio output to the user.
ChantVxmlProperty | Represents a <property> element that controls implementation platform settings.
ChantVxmlRecord | Represents a <record> element that records an audio sample.
ChantVxmlReprompt | Represents a <reprompt> element that plays a field prompt when a field is re-visited after an event.
ChantVxmlReturn | Represents a <return> element that returns from a subdialog.
ChantVxmlScript | Represents a <script> element that specifies a block of ECMAScript client-side scripting logic.
ChantVxmlSubdialog | Represents a <subdialog> element that invokes another dialog as a subdialog of the current one.
ChantVxmlSubmit | Represents a <submit> element that sends values to a document server.
ChantVxmlText | Represents an element's text content.
ChantVxmlThrow | Represents a <throw> element that throws an event.
ChantVxmlTransfer | Represents a <transfer> element that transfers the caller to another destination.
ChantVxmlValue | epresents a <value> element that sets a variable value.
ChantVxmlVar | Represents a <var> element that declares a variable.
ChantVxmlVxml | Represents a <vxml> element that is a container of one or more VoiceXML speech dialogs.
ChantXM | Object for managing VoiceXML generation, validation, and runtime execution.
ChantXMEvent | Represents a VoiceXML management (i.e., validation and runtime) event.


ChantVxmlAssign Class

Represents an <assign> element that sets a variable value.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Expr | The new value of the variable.
Public property | Name | The name of the variable being assigned to.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlAssign Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

The new value of the variable.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlAssign.Expr;
chantVxmlAssign.Expr = expr;

wchar_t* expr = chantVxmlAssign->GetExpr();
chantVxmlAssign->SetExpr(expr);

String expr = chantVxmlAssign->GetExpr();
chantVxmlAssign->SetExpr(expr);

var expr: string;
expr := chantVxmlAssign.Expr;
chantVxmlAssign.Expr = expr;

String expr = chantVxmlAssign.getExpr();
chantVxmlAssign.setExpr(expr);

Dim expr As String
expr = chantVxmlAssign.Expr
chantVxmlAssign.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlAssign


ChantVxmlAssign Name Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Name Property

The name of the variable being assigned to.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantVxmlAssign.Name;
chantVxmlAssign.Name = name;

wchar_t* name = chantVxmlAssign->GetName();
chantVxmlAssign->SetName(name);

String name = chantVxmlAssign->GetName();
chantVxmlAssign->SetName(name);

var name: string;
name := chantVxmlAssign.Name;
chantVxmlAssign.Name = name;

String name = chantVxmlAssign.getName();
chantVxmlAssign.setName(name);

Dim name As String
name = chantVxmlAssign.Name
chantVxmlAssign.Name = name

Collapse/Expand See Also section See Also

ChantVxmlAssign


ChantVxmlAudio Class

Represents an <audio> element plays an audio clip within a prompt.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAudio | Adds an audio playback to the dialog.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAudio | Removes an audio playback from the dialog.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Expr | The new value of the variable.
Public property | Fetchhint | Defines when the interpreter context should retrieve content from the server.
Public property | Fetchtimeout | The interval to wait for the content to be returned before throwing an error.badfetch event.
Public property | Maxage | Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.
Public property | Maxstale | Indicates that the document is willing to use content that has exceeded its expiration time.
Public property | Src | The URI of the audio prompt.

Collapse/Expand See Also section See Also

ChantVxmlElement
ChantVxmlMixedContentElement


ChantVxmlAudio AddAudio Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddAudio Method

Adds an audio playback to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlAudio chantVxmlAudio = chantVxmlAudio.AddAudio();

CChantVxmlAudio* chantVxmlAudio = chantVxmlAudio->AddAudio();

CChantVxmlAudio* chantVxmlAudio = chantVxmlAudio->AddAudio();

var chantVxmlAudio: TChantVxmlAudio; chantVxmlAudio := chantVxmlAudio.AddAudio();

JChantVxmlAudio chantVxmlAudio = chantVxmlAudio.addAudio();

Dim chantVxmlAudio As NChantVxmlAudio
chantVxmlAudio = chantVxmlAudio.AddAudio()

Parameters

None.

Return Value

Object. The ChantVxmlAudio object.

Collapse/Expand See Also section See Also

ChantVxmlAudio
RemoveAudio


ChantVxmlAudio Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

The new value of the variable.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlAudio.Expr;
chantVxmlAudio.expr = stringVal;

wchar_t* expr = chantVxmlAudio->GetExpr();
chantVxmlAudio->SetExpr(expr);

String expr = chantVxmlAudio->GetExpr();
chantVxmlAudio->SetExpr(expr);

var expr: string;
expr := chantVxmlAudio.Expr;
chantVxmlAudio.Expr := expr;

String expr = chantVxmlAudio.getExpr();
chantVxmlAudio.setExpr(expr);

Dim expr As String
expr = chantVxmlAudio.Expr
chantVxmlAudio.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlAudio


ChantVxmlAudio Fetchhint Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchhint Property

Defines when the interpreter context should retrieve content from the server.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLFetch eVXMLFetch = chantVxmlAudio.Fetchhint;
chantVxmlAudio.Fetchhint = eVXMLFetch;

VXMLFetch eVXMLFetch = chantVxmlAudio->GetFetchhint();
chantVxmlAudio->SetFetchhint(eVXMLFetch);

VXMLFetch eVXMLFetch = chantVxmlAudio->GetFetchhint();
chantVxmlAudio->SetFetchhint(eVXMLFetch);

var eVXMLFetch: VXMLFetch;
eVXMLFetch := chantVxmlAudio.Fetchhint;
chantVxmlAudio.Fetchhint := eVXMLFetch;

int eVXMLFetch = chantVxmlAudio.getFetchhint();
chantVxmlAudio.setFetchhint(eVXMLFetch);

Dim eVXMLFetch As Fetchhint
eVXMLFetch = chantVxmlAudio.Fetchhint
chantVxmlAudio.Fetchhint = eVXMLFetch

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLFetch constant values.

Constant | Value | Description
Prefetch | 0 | A file may be downloaded when the document is loaded.
Safe | 1 | A file should only be downloaded when actually needed.

Collapse/Expand See Also section See Also

ChantVxmlAudio


ChantVxmlAudio Fetchtimeout Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchtimeout Property

The interval to wait for the content to be returned before throwing an error.badfetch event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int fetchtimeout = chantVxmlAudio.Fetchtimeout;
chantVxmlAudio.Fetchtimeout = fetchtimeout;

long fetchtimeout = chantVxmlAudio->GetFetchtimeout();
chantVxmlAudio->SetFetchtimeout(fetchtimeout);

long fetchtimeout = chantVxmlAudio->GetFetchtimeout();
chantVxmlAudio->SetFetchtimeout(fetchtimeout);

var fetchtimeout: Integer;
fetchtimeout := chantVxmlAudio.Fetchtimeout;
chantVxmlAudio.Fetchtimeout := fetchtimeout;

int fetchtimeout = chantVxmlAudio.getFetchtimeout();
chantVxmlAudio.setFetchtimeout(fetchtimeout);

Dim fetchtimeout As Integer
fetchtimeout = chantVxmlAudio.Fetchtimeout
chantVxmlAudio.Fetchtimeout = fetchtimeout

Collapse/Expand See Also section See Also

ChantVxmlAudio


ChantVxmlAudio Maxage Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxage Property

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxage = chantVxmlAudio.Maxage;
chantVxmlAudio.Maxage = maxage;

long maxage = chantVxmlAudio->GetMaxage();
chantVxmlAudio->SetMaxage(maxage);

long maxage = chantVxmlAudio->GetMaxage(); chantVxmlAudio->SetMaxage(maxage);

var maxage: Integer;
maxage := chantVxmlAudio.Maxage;
chantVxmlAudio.Maxage := maxage;

int maxage = chantVxmlAudio.getMaxage();
chantVxmlAudio.setMaxage(maxage);

Dim maxage As Integer
maxage = chantVxmlAudio.Maxage
chantVxmlAudio.Maxage = maxage

Collapse/Expand See Also section See Also

ChantVxmlAudio


ChantVxmlAudio Maxstale Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxstale Property

Indicates that the document is willing to use content that has exceeded its expiration time.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxstale = chantVxmlAudio.Maxstale;
chantVxmlAudio.Maxstale = maxstale;

long maxstale = chantVxmlAudio->GetMaxstale();
chantVxmlAudio->SetMaxstale(maxstale);

long maxstale = chantVxmlAudio->GetMaxstale();
chantVxmlAudio->SetMaxstale(maxstale);

var maxstale: Integer;
maxstale := chantVxmlAudio.Maxstale;
chantVxmlAudio.Maxstale := maxstale;

int maxstale = chantVxmlAudio.getMaxstale();
chantVxmlAudio.setMaxstale(maxstale);

Dim maxstale As Integer
maxstale = chantVxmlAudio.Maxstale
chantVxmlAudio.Maxstale = maxstale

Collapse/Expand See Also section See Also

ChantVxmlAudio


ChantVxmlAudio RemoveAudio Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveAudio Method

Removes an audio playback from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlAudio.RemoveAudio(chantVxmlAudio);

chantVxmlAudio->RemoveAudio(chantVxmlAudio);

chantVxmlAudio->RemoveAudio(chantVxmlAudio);

chantVxmlAudio.RemoveAudio(chantVxmlAudio);

chantVxmlAudio.removeAudio(chantVxmlAudio);

chantVxmlAudio.RemoveAudio(chantVxmlAudio)

Parameters

chantVxmlAudio

Object. The ChantVxmlAudio object to remove.

Collapse/Expand See Also section See Also

AddAudio
ChantVxmlAudio


ChantVxmlAudio Src Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Src Property

The URI of the audio prompt.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String src = chantVxmlAudio.Src;
chantVxmlAudio.Src = src;

wchar_t* src = chantVxmlAudio->GetSrc();
chantVxmlAudio->SetSrc(src);

String src = chantVxmlAudio->GetSrc();
chantVxmlAudio->SetSrc(src);

var src: string;
src := chantVxmlAudio.Src;
chantVxmlAudio.Src := src;

String stringVal = chantVxmlAudio.getSrc();
chantVxmlAudio.setSrc(stringVal);

Dim src As String
src = chantVxmlAudio.Src
chantVxmlAudio.Src = src

Collapse/Expand See Also section See Also

ChantVxmlAudio


ChantVxmlBlock Class

Represents a <block> element that is a container of non-interactive executable code.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAssign | Adds a variable assignment to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddClear | Adds a variable clear to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddDisconnect | Adds a disconnect to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddExit | Adds an exit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddGoto | Adds a goto to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddIf | Adds an if to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddLog | Adds a log message to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReprompt | Adds a reprompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReturn | Adds a return to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddScript | Adds a script to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddSubmit | Adds a submit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddThrow | Adds a throw to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddVar | Adds a variable declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAssign | Removes a variable assignment from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveClear | Removes a variable clear from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveDisconnect | Removes a disconnect from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveExit | Removes an exit from the document. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveGoto | Removes a goto from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveIf | Removes an if from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveLog | Removes a log message from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReprompt | Removes a reprompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReturn | Removes a return from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveScript | Removes a script from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveSubmit | Removes a submit from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveThrow | Removes a throw from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveVar | Removes a variable declaration from the dialog. Inherits from ChantVxmlExceptionHandler.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Cond | An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.
Public property | Expr | The initial value of the form item variable.
Public property | Name | The name of the form item variable used to track whether this block is eligible to be executed.

Collapse/Expand See Also section See Also

ChantVxmlElement
ChantVxmlExceptionHandler
ChantVxmlMixedContentElement


ChantVxmlBlock Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String cond = chantVxmlBlock.Cond;
chantVxmlBlock.Cond = cond;

wchar_t* cond = chantVxmlBlock->GetCond();
chantVxmlBlock->SetCond(cond);

String cond = chantVxmlBlock->GetCond();
chantVxmlBlock->SetCond(cond);

var cond: string;
cond := chantVxmlBlock.Cond;
chantVxmlBlock.Cond := cond;

String cond = chantVxmlBlock.getCond();
chantVxmlBlock.setCond(cond);

Dim cond As String
cond = chantVxmlBlock.Cond
chantVxmlBlock.Cond = cond

Collapse/Expand See Also section See Also

ChantVxmlBlock


ChantVxmlBlock Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

The initial value of the form item variable.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlBlock.Expr;
chantVxmlBlock.Expr = expr;

wchar_t* expr = chantVxmlBlock->GetExpr();
chantVxmlBlock->SetExpr(expr);

String expr = chantVxmlBlock->GetExpr();
chantVxmlBlock->SetExpr(expr);

var expr: string;
expr := chantVxmlBlock.Expr;
chantVxmlBlock.Expr := expr;

String expr = chantVxmlBlock.getExpr();
chantVxmlBlock.setExpr(expr);

Dim expr As String
expr = chantVxmlBlock.Expr
chantVxmlBlock.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlBlock


ChantVxmlBlock Name Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Name Property

The name of the form item variable used to track whether this block is eligible to be executed.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantVxmlBlock.Name;
chantVxmlBlock.Name = name;

wchar_t* name = chantVxmlBlock->GetName();
chantVxmlBlock->SetName(name);

String name = chantVxmlBlock->GetName();
chantVxmlBlock->SetName(name);

var name: string;
name := chantVxmlBlock.Name;
chantVxmlBlock.Name := name;

String name = chantVxmlBlock.getName();
chantVxmlBlock.setName(name);

Dim name As String
name = chantVxmlBlock.Name
chantVxmlBlock.Name = name

Collapse/Expand See Also section See Also

ChantVxmlBlock


ChantVxmlCatch Class

Represents a <catch> element that is an event handler.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAssign | Adds a variable assignment to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddClear | Adds a variable clear to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddDisconnect | Adds a disconnect to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddExit | Adds an exit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddGoto | Adds a goto to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddIf | Adds an if to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddLog | Adds a log message to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReprompt | Adds a reprompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReturn | Adds a return to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddScript | Adds a script to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddSubmit | Adds a submit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddThrow | Adds a throw to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddVar | Adds a variable declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAssign | Removes a variable assignment from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveClear | Removes a variable clear from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveDisconnect | Removes a disconnect from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveExit | Removes an exit from the document. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveGoto | Removes a goto from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveIf | Removes an if from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveLog | Removes a log message from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReprompt | Removes a reprompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReturn | Removes a return from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveScript | Removes a script from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveSubmit | Removes a submit from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveThrow | Removes a throw from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveVar | Removes a variable declaration from the dialog. Inherits from ChantVxmlExceptionHandler.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Cond | An expression which must evaluate to true after conversion to boolean in order for the event to be caught.
Public property | Count | The occurrence of the event.
Public property | Event | The event or events to catch.

Collapse/Expand See Also section See Also

ChantVxmlElement
ChantVxmlExceptionHandler
ChantVxmlMixedContentElement


ChantVxmlCatch Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An expression which must evaluate to true after conversion to boolean in order for the event to be caught.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String cond = chantVxmlCatch.Cond;
chantVxmlCatch.Cond = cond;

wchar_t* cond = chantVxmlCatch->GetCond();
chantVxmlCatch->SetCond(cond);

String cond = chantVxmlCatch->GetCond();
chantVxmlCatch->SetCond(cond);

var cond: string;
cond := chantVxmlCatch.Cond;
chantVxmlCatch.Cond := cond;

String cond = chantVxmlCatch.getCond();
chantVxmlCatch.setCond(cond);

Dim cond As String
cond = chantVxmlCatch.Cond
chantVxmlCatch.Cond = cond

Collapse/Expand See Also section See Also

ChantVxmlCatch


ChantVxmlCatch Count Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Count Property

The occurrence of the event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantVxmlCatch.Count;
chantVxmlCatch.Count = count;

long count = chantVxmlCatch->GetCount();
chantVxmlCatch->SetCount(count);

long count = chantVxmlCatch->GetCount(); chantVxmlCatch->SetCount(count);

var count: Integer;
count := chantVxmlCatch.Count;
chantVxmlCatch.Count := count;

int count = chantVxmlCatch.getCount();
chantVxmlCatch.setCount(count);

Dim count As Integer
count = chantVxmlCatch.Count
chantVxmlCatch.Count = count

Collapse/Expand See Also section See Also

ChantVxmlCatch


ChantVxmlCatch Event Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Event Property

The event or events to catch.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String event = chantVxmlCatch.Event;
chantVxmlCatch.Event = event;

wchar_t* event = chantVxmlCatch->GetEvent();
chantVxmlCatch->SetEvent(event);

String event = chantVxmlCatch->GetEvent();
chantVxmlCatch->SetEvent(event);

var event: string;
event := chantVxmlCatch.Event;
chantVxmlCatch.Event := event;

String event = chantVxmlCatch.getEvent();
chantVxmlCatch.setEvent(event);

Dim event As String
event = chantVxmlCatch.Event
chantVxmlCatch.Event = event

Collapse/Expand See Also section See Also

ChantVxmlCatch


ChantVxmlChoice Class

Represents a <choice> element that defines a menu item.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddGrammar | Adds a grammar to the dialog.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveGrammar | Removes a grammar from the dialog.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Accept | Override the setting for accept in menu for this particular choice.
Public property | Dtmf | The DTMF sequence for this choice.
Public property | Event | The event to be thrown instead of specifying a next.
Public property | Eventexpr | An ECMAScript expression evaluating to the name of the event to be thrown.
Public property | Expr | An expression to evaluate as a URI to transition to instead of specifying a next.
Public property | Fetchaudio | The URI of the audio clip to play while the fetch is being done.
Public property | Fetchhint | Defines when the interpreter context should retrieve content from the server.
Public property | Fetchtimeout | The interval to wait for the content to be returned before throwing an error.badfetch event.
Public property | Maxage | Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.
Public property | Maxstale | Indicates that the document is willing to use content that has exceeded its expiration time.
Public property | Message | A message string providing additional context about the event being thrown.
Public property | Messageexpr | An ECMAScript expression evaluating to the message string.
Public property | Next | The URI of next dialog or document.

Collapse/Expand See Also section See Also

ChantVxmlElement
ChantVxmlMixedContentElement


ChantVxmlChoice Accept Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Accept Property

Override the setting for accept in menu for this particular choice.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLAccept eVXMLAccept = chantVxmlChoice.Accept;
chantVxmlChoice.Accept = eVXMLAccept;

VXMLAccept eVXMLAccept = chantVxmlChoice->GetAccept();
chantVxmlChoice->SetAccept(eVXMLAccept);

VXMLAccept eVXMLAccept = chantVxmlChoice->GetAccept();
chantVxmlChoice->SetAccept(eVXMLAccept);

var eVXMLAccept: VXMLAccept;
eVXMLAccept := chantVxmlChoice.Accept;
chantVxmlChoice.Accept := eVXMLAccept;

int eVXMLAccept = chantVxmlChoice.getAccept();
chantVxmlChoice.setAccept(eVXMLAccept);

Dim eVXMLAccept As Accept
eVXMLAccept = chantVxmlChoice.Accept
chantVxmlChoice.Accept = eVXMLAccept

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLAccept constant values.

Constant | Value | Description
Approximate | 0 | Approximate recognition phrase match.
Exact | 1 | Exact recognition phrase match.

Collapse/Expand See Also section See Also

ChantVxmlChoice


ChantVxmlChoice AddGrammar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddGrammar Method

Adds a grammar to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlGrammar chantVxmlGrammar = chantVxmlChoice.AddGrammar();

CChantVxmlGrammar* chantVxmlGrammar = chantVxmlChoice->AddGrammar();

CChantVxmlGrammar* chantVxmlGrammar = chantVxmlChoice->AddGrammar();

var chantVxmlGrammar: TChantVxmlGrammar; chantVxmlGrammar := chantVxmlChoice.AddGrammar();

JChantVxmlGrammar chantVxmlGrammar = chantVxmlChoice.addGrammar();

Dim chantVxmlGrammar As NChantVxmlGrammar
chantVxmlGrammar = chantVxmlChoice.AddGrammar()

Parameters

None.

Return Value

Object. The ChantVxmlGrammar object.

Collapse/Expand See Also section See Also

ChantVxmlChoice
ChantVxmlGrammar
RemoveGrammar


ChantVxmlChoice Dtmf Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Dtmf Property

The DTMF sequence for this choice.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String dtmf = chantVxmlChoice.Dtmf;
chantVxmlChoice.Dtmf = dtmf;

wchar_t* dtmf = chantVxmlChoice->GetDtmf();
chantVxmlChoice->SetDtmf(dtmf);

String dtmf = chantVxmlChoice->GetDtmf();
chantVxmlChoice->SetDtmf(dtmf);

var dtmf: string;
dtmf := chantVxmlChoice.Dtmf;
chantVxmlChoice.Dtmf := dtmf;

String dtmf = chantVxmlChoice.getDtmf();
chantVxmlChoice.setDtmf(dtmf);

Dim dtmf As String
dtmf = chantVxmlChoice.Dtmf
chantVxmlChoice.Dtmf = dtmf

Collapse/Expand See Also section See Also

ChantVxmlChoice


ChantVxmlChoice Event Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Event Property

The event to be thrown instead of specifying a next.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String event = chantVxmlChoice.Event;
chantVxmlChoice.Event = event;

wchar_t* event = chantVxmlChoice->GetEvent();
chantVxmlChoice->SetEvent(event);

String event = chantVxmlChoice->GetEvent();
chantVxmlChoice->SetEvent(event);

var event: string;
event := chantVxmlChoice.Event;
chantVxmlChoice.Event := event;

String event = chantVxmlChoice.getEvent();
chantVxmlChoice.setEvent(event);

Dim event As String
event = chantVxmlChoice.Event
chantVxmlChoice.Event = event

Collapse/Expand See Also section See Also

ChantVxmlChoice


ChantVxmlChoice Eventexpr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Eventexpr Property

An ECMAScript expression evaluating to the name of the event to be thrown.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String eventexpr = chantVxmlChoice.Eventexpr;
chantVxmlChoice.Eventexpr = eventexpr;

wchar_t* eventexpr = chantVxmlChoice->GetEventexpr();
chantVxmlChoice->SetEventexpr(eventexpr);

String eventexpr = chantVxmlChoice->GetEventexpr();
chantVxmlChoice->SetEventexpr(eventexpr);

var eventexpr: string;
eventexpr := chantVxmlChoice.Eventexpr;
chantVxmlChoice.Eventexpr := eventexpr;

String eventexpr = chantVxmlChoice.getEventexpr();
chantVxmlChoice.setEventexpr(eventexpr);

Dim eventexpr As String
eventexpr = chantVxmlChoice.Eventexpr
chantVxmlChoice.Eventexpr = eventexpr

Collapse/Expand See Also section See Also

ChantVxmlChoice


ChantVxmlChoice Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

An expression to evaluate as a URI to transition to instead of specifying a next.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlChoice.Expr;
chantVxmlChoice.Expr = expr;

wchar_t* pszVal = chantVxmlChoice->GetExpr();
chantVxmlChoice->SetExpr(pszVal);

String expr = chantVxmlChoice->GetExpr();
chantVxmlChoice->SetExpr(expr);

var expr: string;
expr := chantVxmlChoice.Expr;
chantVxmlChoice.Expr := expr;

String stringVal = chantVxmlChoice.getExpr();
chantVxmlChoice.setExpr(stringVal);

Dim expr As String
expr = chantVxmlChoice.Expr
chantVxmlChoice.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlChoice


ChantVxmlChoice Fetchaudio Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchaudio Property

The URI of the audio clip to play while the fetch is being done.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String fetchaudio = chantVxmlChoice.Fetchaudio;
chantVxmlChoice.Fetchaudio = fetchaudio;

wchar_t* fetchaudio = chantVxmlChoice->GetFetchaudio();
chantVxmlChoice->SetFetchaudio(fetchaudio);

String fetchaudio = chantVxmlChoice->GetFetchaudio();
chantVxmlChoice->SetFetchaudio(fetchaudio);

var fetchaudio: string;
fetchaudio := chantVxmlChoice.Fetchaudio;
chantVxmlChoice.Fetchaudio := fetchaudio;

String fetchaudio = chantVxmlChoice.getFetchaudio();
chantVxmlChoice.setFetchaudio(fetchaudio);

Dim fetchaudio As String
fetchaudio = chantVxmlChoice.Fetchaudio
chantVxmlChoice.Fetchaudio = fetchaudio

Collapse/Expand See Also section See Also

ChantVxmlChoice


ChantVxmlChoice Fetchhint Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchhint Property

Defines when the interpreter context should retrieve content from the server.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLFetch eVXMLFetch = chantVxmlChoice.Fetchhint;
chantVxmlChoice.Fetchhint = eVXMLFetch;

VXMLFetch eVXMLFetch = chantVxmlChoice->GetFetchhint();
chantVxmlChoice->SetFetchhint(eVXMLFetch);

VXMLFetch eVXMLFetch = chantVxmlChoice->GetFetchhint();
chantVxmlChoice->SetFetchhint(eVXMLFetch);

var eVXMLFetch: VXMLFetch;
eVXMLFetch := chantVxmlChoice.Fetchhint;
chantVxmlChoice.Fetchhint := eVXMLFetch;

int eVXMLFetch = chantVxmlChoice.getFetchhint();
chantVxmlChoice.setFetchhint(eVXMLFetch);

Dim eVXMLFetch As Fetchhint
eVXMLFetch = chantVxmlChoice.Fetchhint
chantVxmlChoice.Fetchhint = eVXMLFetch

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLFetch constant values.

Constant | Value | Description
Prefetch | 0 | A file may be downloaded when the document is loaded.
Safe | 1 | A file should only be downloaded when actually needed.

Collapse/Expand See Also section See Also

ChantVxmlChoice


ChantVxmlChoice Fetchtimeout Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchtimeout Property

The interval to wait for the content to be returned before throwing an error.badfetch event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int fetchtimeout = chantVxmlChoice.Fetchtimeout;
chantVxmlChoice.fetchtimeout = intVal;

long fetchtimeout = chantVxmlChoice->GetFetchtimeout();
chantVxmlChoice->SetFetchtimeout(fetchtimeout);

long fetchtimeout = chantVxmlChoice->GetFetchtimeout();
chantVxmlChoice->SetFetchtimeout(fetchtimeout);

var fetchtimeout: Integer;
fetchtimeout := chantVxmlChoice.Fetchtimeout;
chantVxmlChoice.Fetchtimeout := fetchtimeout;

int fetchtimeout = chantVxmlChoice.getFetchtimeout();
chantVxmlChoice.setFetchtimeout(fetchtimeout);

Dim fetchtimeout As Integer
fetchtimeout = chantVxmlChoice.Fetchtimeout
chantVxmlChoice.Fetchtimeout = fetchtimeout

Collapse/Expand See Also section See Also

ChantVxmlChoice


ChantVxmlChoice Maxage Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxage Property

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxage = chantVxmlChoice.Maxage;
chantVxmlChoice.Maxage = maxage;

long maxage = chantVxmlChoice->GetMaxage();
chantVxmlChoice->SetMaxage(maxage);

long maxage = chantVxmlChoice->GetMaxage(); chantVxmlChoice->SetMaxage(maxage);

var maxage: Integer;
maxage := chantVxmlChoice.Maxage;
chantVxmlChoice.Maxage := maxage;

int maxage = chantVxmlChoice.getMaxage();
chantVxmlChoice.setMaxage(maxage);

Dim maxage As Integer
maxage = chantVxmlChoice.Maxage
chantVxmlChoice.Maxage = maxage

Collapse/Expand See Also section See Also

ChantVxmlChoice


ChantVxmlChoice Maxstale Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxstale Property

Indicates that the document is willing to use content that has exceeded its expiration time.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int intVal = chantVxmlChoice.Maxstale;
chantVxmlChoice.Maxstale = intVal;

long longVal = chantVxmlChoice->GetMaxstale();
chantVxmlChoice->SetMaxstale(longVal);

long longVal = chantVxmlChoice->GetMaxstale();
chantVxmlChoice->SetMaxstale(longVal);

var intVal: Integer;
intVal := chantVxmlChoice.Maxstale;
chantVxmlChoice.Maxstale := intVal;

int intVal = chantVxmlChoice.getMaxstale();
chantVxmlChoice.setMaxstale(intVal);

Dim intVal As Integer
intVal = chantVxmlChoice.Maxstale
chantVxmlChoice.Maxstale = intVal

Collapse/Expand See Also section See Also

ChantVxmlChoice


ChantVxmlChoice Message Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Message Property

A message string providing additional context about the event being thrown.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String message = chantVxmlChoice.Message;
chantVxmlChoice.Message = message;

wchar_t* message = chantVxmlChoice->GetMessage();
chantVxmlChoice->SetMessage(message);

String message = chantVxmlChoice->GetMessage();
chantVxmlChoice->SetMessage(message);

var message: string;
message := chantVxmlChoice.Message;
chantVxmlChoice.Message := message;

String message = chantVxmlChoice.getMessage();
chantVxmlChoice.setMessage(message);

Dim message As String
message = chantVxmlChoice.Message
chantVxmlChoice.Message = message

Collapse/Expand See Also section See Also

ChantVxmlChoice


ChantVxmlChoice Messageexpr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Messageexpr Property

An ECMAScript expression evaluating to the message string.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String messageexpr = chantVxmlChoice.Messageexpr;
chantVxmlChoice.Messageexpr = messageexpr;

wchar_t* messageexpr = chantVxmlChoice->GetMessageexpr();
chantVxmlChoice->SetMessageexpr(messageexpr);

String messageexpr = chantVxmlChoice->GetMessageexpr();
chantVxmlChoice->SetMessageexpr(messageexpr);

var messageexpr: string;
messageexpr := chantVxmlChoice.Messageexpr;
chantVxmlChoice.Messageexpr := messageexpr;

String messageexpr = chantVxmlChoice.getMessageexpr();
chantVxmlChoice.setMessageexpr(messageexpr);

Dim messageexpr As String
messageexpr = chantVxmlChoice.Messageexpr
chantVxmlChoice.Messageexpr = messageexpr

Collapse/Expand See Also section See Also

ChantVxmlChoice


ChantVxmlChoice Next Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Next Property

The URI of next dialog or document.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String next = chantVxmlChoice.Next;
chantVxmlChoice.Next = next;

wchar_t* next = chantVxmlChoice->GetNext();
chantVxmlChoice->SetNext(next);

String next = chantVxmlChoice->GetNext();
chantVxmlChoice->SetNext(next);

var next: string;
next := chantVxmlChoice.Next;
chantVxmlChoice.Next := next;

String next = chantVxmlChoice.getNext();
chantVxmlChoice.setNext(next);

Dim next As String
next = chantVxmlChoice.Next
chantVxmlChoice.Next = next

Collapse/Expand See Also section See Also

ChantVxmlChoice


ChantVxmlChoice RemoveGrammar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveGrammar Method

Removes a grammar from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlChoice.RemoveGrammar(chantVxmlGrammar);

chantVxmlChoice->RemoveGrammar(chantVxmlGrammar);

chantVxmlChoice->RemoveGrammar(chantVxmlGrammar);

chantVxmlChoice.RemoveGrammar(chantVxmlGrammar);

chantVxmlChoice.removeGrammar(chantVxmlGrammar);

chantVxmlChoice.RemoveGrammar(chantVxmlGrammar)

Parameters

chantVxmlGrammar

Object. The ChantVxmlGrammar object to remove.

Collapse/Expand See Also section See Also

AddGrammar
ChantVxmlChoice
ChantVxmlGrammar


ChantVxmlClear Class

Represents a <clear> element that clears one or more form item variables.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Namelist | The list of variables to be reset.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlClear Namelist Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Namelist Property

The list of variables to be reset.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String namelist = chantVxmlClear.Namelist;
chantVxmlClear.Namelist = namelist;

wchar_t* namelist = chantVxmlClear->GetNamelist();
chantVxmlClear->SetNamelist(namelist);

String namelist = chantVxmlClear->GetNamelist();
chantVxmlClear->SetNamelist(namelist);

var namelist: string;
namelist := chantVxmlClear.Namelist;
chantVxmlClear.Namelist := namelist;

String namelist = chantVxmlClear.getNamelist();
chantVxmlClear.setNamelist(namelist);

Dim namelist As String
namelist = chantVxmlClear.Namelist
chantVxmlClear.Namelist = namelist

Collapse/Expand See Also section See Also

ChantVxmlClear


ChantVxmlComment Class

Represents a VoiceXML comment.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Text | The comment text.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlComment Text Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Text Property

The comment text.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String text = chantVxmlComment.Text;
chantVxmlComment.Text = text;

wchar_t* text = chantVxmlComment->GetText();
chantVxmlComment->SetText(text);

String text = chantVxmlComment->GetText();
chantVxmlComment->SetText(text);

var text: string;
text := chantVxmlComment.Text;
chantVxmlComment.Text := text;

String text = chantVxmlComment.getText();
chantVxmlComment.setText(text);

Dim text As String
text = chantVxmlComment.Text
chantVxmlComment.Text = text

Collapse/Expand See Also section See Also

ChantVxmlComment


ChantVxmlContentElement Class

Represents a VoiceXML element that contains text content.

Collapse/Expand Remarks section Remarks

This class serves as a parent class for content elements.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddText | Adds text to the dialog.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveText | Removes text from the dialog.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlContentElement AddText Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddText Method

Adds text to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlText chantVxmlText = chantVxmlContentElement.AddText(text);

CChantVxmlText* chantVxmlText = chantVxmlContentElement->AddText(text);

CChantVxmlText* chantVxmlText = chantVxmlContentElement->AddText(text);

var chantVxmlText: TChantVxmlText; chantVxmlText := chantVxmlContentElement.AddText(text);

JChantVxmlText chantVxmlText = chantVxmlContentElement.addText(text);

Dim chantVxmlText As NChantVxmlContentElement
chantVxmlText = chantVxmlContentElement.AddText(text)

Parameters

text

String. Specifies the element text.

Return Value

Object. The ChantVxmlText object.

Collapse/Expand See Also section See Also

ChantVxmlText
ChantVxmlContentElement
RemoveText


ChantVxmlContentElement RemoveText Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveText Method

Removes text from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlContentElement.RemoveText(chantVxmlText);

chantVxmlContentElement->RemoveText(chantVxmlText);

chantVxmlContentElement->RemoveText(chantVxmlText);

chantVxmlContentElement.RemoveText(chantVxmlText);

chantVxmlContentElement.removeText(chantVxmlText);

chantVxmlContentElement.RemoveText(chantVxmlText)

Parameters

chantVxmlText

Object. The ChantVxmlText object to remove.

Collapse/Expand See Also section See Also

AddText
ChantVxmlText
ChantVxmlContentElement


ChantVxmlData Class

Represents a <data> element that allows a VoiceXML application to fetch arbitrary XML data from a document server without transitioning to a new VoiceXML document.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Enctype | The media encoding type of the submitted document.
Public property | Fetchaudio | The URI of the audio clip to play while the fetch is being done.
Public property | Fetchhint | Defines when the interpreter context should retrieve content from the server.
Public property | Fetchtimeout | The interval to wait for the content to be returned before throwing an error.badfetch event.
Public property | Maxage | Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.
Public property | Maxstale | Indicates that the document is willing to use content that has exceeded its expiration time.
Public property | Method | The request method: get (the default) or post.
Public property | Name | The name of the variable that exposes the DOM.
Public property | Namelist | The list of variables to submit.
Public property | Src | The URI specifying the location of the XML data to retrieve.
Public property | Srcexpr | The URI is dynamically determined by evaluating the given ECMAScript expression when the data needs to be fetched.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlData Enctype Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Enctype Property

The media encoding type of the submitted document.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlData.Enctype;
chantVxmlData.Enctype = eVXMLMediaEncoding;

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlData->GetEnctype();
chantVxmlData->SetEnctype(eVXMLMediaEncoding);

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlData->GetEnctype();
chantVxmlData->SetEnctype(eVXMLMediaEncoding);

var eVXMLMediaEncoding: VXMLMediaEncoding;
eVXMLMediaEncoding := chantVxmlData.Enctype;
chantVxmlData.Enctype := eVXMLMediaEncoding;

int eVXMLMediaEncoding = chantVxmlData.getEnctype();
chantVxmlData.setEnctype(eVXMLMediaEncoding);

Dim eVXMLMediaEncoding As Enctype
eVXMLMediaEncoding = chantVxmlData.Enctype
chantVxmlData.Enctype = eVXMLMediaEncoding

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLMediaEncoding constant values.

Constant | Value | Description
TextPlain | 0 | text/plain
MultipartFormData | 1 | multipart/form-data
ApplicationXWwwFormUrlencoded | 2 | application/x-www-form-urlencoded

Collapse/Expand See Also section See Also

ChantVxmlData


ChantVxmlData Fetchaudio Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchaudio Property

The URI of the audio clip to play while the fetch is being done.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String fetchaudio = chantVxmlData.Fetchaudio;
chantVxmlData.Fetchaudio = fetchaudio;

wchar_t* fetchaudio = chantVxmlData->GetFetchaudio();
chantVxmlData->SetFetchaudio(fetchaudio);

String fetchaudio = chantVxmlData->GetFetchaudio();
chantVxmlData->SetFetchaudio(fetchaudio);

var fetchaudio: string;
fetchaudio := chantVxmlData.Fetchaudio;
chantVxmlData.Fetchaudio := fetchaudio;

String fetchaudio = chantVxmlData.getFetchaudio();
chantVxmlData.setFetchaudio(fetchaudio);

Dim fetchaudio As String
fetchaudio = chantVxmlData.Fetchaudio
chantVxmlData.Fetchaudio = fetchaudio

Collapse/Expand See Also section See Also

ChantVxmlData


ChantVxmlData Fetchhint Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchhint Property

Defines when the interpreter context should retrieve content from the server.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLFetch eVXMLFetch = chantVxmlData.Fetchhint;
chantVxmlData.Fetchhint = eVXMLFetch;

VXMLFetch eVXMLFetch = chantVxmlData->GetFetchhint();
chantVxmlData->SetFetchhint(eVXMLFetch);

VXMLFetch eVXMLFetch = chantVxmlData->GetFetchhint();
chantVxmlData->SetFetchhint(eVXMLFetch);

var eVXMLFetch: VXMLFetch;
eVXMLFetch := chantVxmlData.Fetchhint;
chantVxmlData.Fetchhint := eVXMLFetch;

int eVXMLFetch = chantVxmlData.getFetchhint();
chantVxmlData.setFetchhint(eVXMLFetch);

Dim eVXMLFetch As Fetchhint
eVXMLFetch = chantVxmlData.Fetchhint
chantVxmlData.Fetchhint = eVXMLFetch

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLFetch constant values.

Constant | Value | Description
Prefetch | 0 | A file may be downloaded when the document is loaded.
Safe | 1 | A file should only be downloaded when actually needed.

Collapse/Expand See Also section See Also

ChantVxmlData


ChantVxmlData Fetchtimeout Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchtimeout Property

The interval to wait for the content to be returned before throwing an error.badfetch event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int fetchtimeout = chantVxmlData.Fetchtimeout;
chantVxmlData.fetchtimeout = intVal;

long fetchtimeout = chantVxmlData->GetFetchtimeout();
chantVxmlData->SetFetchtimeout(fetchtimeout);

long fetchtimeout = chantVxmlData->GetFetchtimeout();
chantVxmlData->SetFetchtimeout(fetchtimeout);

var fetchtimeout: Integer;
fetchtimeout := chantVxmlData.Fetchtimeout;
chantVxmlData.Fetchtimeout := fetchtimeout;

int fetchtimeout = chantVxmlData.getFetchtimeout();
chantVxmlData.setFetchtimeout(fetchtimeout);

Dim fetchtimeout As Integer
fetchtimeout = chantVxmlData.Fetchtimeout
chantVxmlData.Fetchtimeout = fetchtimeout

Collapse/Expand See Also section See Also

ChantVxmlData


ChantVxmlData Maxage Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxage Property

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxage = chantVxmlData.Maxage;
chantVxmlData.maxage = intVal;

long maxage = chantVxmlData->GetMaxage();
chantVxmlData->SetMaxage(maxage);

long maxage = chantVxmlData->GetMaxage(); chantVxmlData->SetMaxage(maxage);

var maxage: Integer;
maxage := chantVxmlData.Maxage;
chantVxmlData.Maxage := maxage;

int maxage = chantVxmlData.getMaxage();
chantVxmlData.setMaxage(maxage);

Dim maxage As Integer
maxage = chantVxmlData.Maxage
chantVxmlData.Maxage = maxage

Collapse/Expand See Also section See Also

ChantVxmlData


ChantVxmlData Maxstale Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxstale Property

Indicates that the document is willing to use content that has exceeded its expiration time.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxstale = chantVxmlData.Maxstale;
chantVxmlData.maxstale = intVal;

long maxstale = chantVxmlData->GetMaxstale();
chantVxmlData->SetMaxstale(maxstale);

long maxstale = chantVxmlData->GetMaxstale();
chantVxmlData->SetMaxstale(maxstale);

var maxstale: Integer;
maxstale := chantVxmlData.Maxstale;
chantVxmlData.Maxstale := maxstale;

int maxstale = chantVxmlData.getMaxstale();
chantVxmlData.setMaxstale(maxstale);

Dim maxstale As Integer
maxstale = chantVxmlData.Maxstale
chantVxmlData.Maxstale = maxstale

Collapse/Expand See Also section See Also

ChantVxmlData


ChantVxmlData Method Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Method Property

The request method: get (the default) or post.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLMethod eVXMLMethod = chantVxmlData.Method;
chantVxmlData.Method = eVXMLMethod;

VXMLMethod eVXMLMethod = chantVxmlData->GetMethod();
chantVxmlData->SetMethod(eVXMLMethod);

VXMLMethod eVXMLMethod = chantVxmlData->GetMethod();
chantVxmlData->SetMethod(eVXMLMethod);

var eVXMLMethod: VXMLMethod;
eVXMLMethod := chantVxmlData.Method;
chantVxmlData.Method := eVXMLMethod;

int eVXMLMethod = chantVxmlData.getMethod();
chantVxmlData.setMethod(eVXMLMethod);

Dim eVXMLMethod As Method
eVXMLMethod = chantVxmlData.Method
chantVxmlData.Method = eVXMLMethod

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLMethod constant values.

Constant | Value | Description
Get | 0 | Sent to the server using the HTTP GET.
Post | 1 | Sent to the server using the HTTP POST.

Collapse/Expand See Also section See Also

ChantVxmlData


ChantVxmlData Name Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Name Property

The name of the variable that exposes the DOM.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantVxmlData.Name;
chantVxmlData.Name = name;

wchar_t* name = chantVxmlData->GetName();
chantVxmlData->SetName(name);

String name = chantVxmlData->GetName();
chantVxmlData->SetName(name);

var name: string;
name := chantVxmlData.Name;
chantVxmlData.Name := name;

String name = chantVxmlData.getName();
chantVxmlData.setName(name);

Dim name As String
name = chantVxmlData.Name
chantVxmlData.Name = name

Collapse/Expand See Also section See Also

ChantVxmlData


ChantVxmlData Namelist Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Namelist Property

The list of variables to submit.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String namelist = chantVxmlData.Namelist;
chantVxmlData.Namelist = namelist;

wchar_t* namelist = chantVxmlData->GetNamelist();
chantVxmlData->SetNamelist(namelist);

String namelist = chantVxmlData->GetNamelist();
chantVxmlData->SetNamelist(namelist);

var namelist: string;
namelist := chantVxmlData.Namelist;
chantVxmlData.Namelist := namelist;

String namelist = chantVxmlData.getNamelist();
chantVxmlData.setNamelist(namelist);

Dim namelist As String
namelist = chantVxmlData.Namelist
chantVxmlData.Namelist = namelist

Collapse/Expand See Also section See Also

ChantVxmlData


ChantVxmlData Src Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Src Property

The URI specifying the location of the XML data to retrieve.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String src = chantVxmlData.Src;
chantVxmlData.Src = stringVal;

wchar_t* src = chantVxmlData->GetSrc();
chantVxmlData->SetSrc(src);

String src = chantVxmlData->GetSrc();
chantVxmlData->SetSrc(src);

var src: string;
src := chantVxmlData.Src;
chantVxmlData.Src := src;

String src = chantVxmlData.getSrc();
chantVxmlData.setSrc(src);

Dim src As String
src = chantVxmlData.Src
chantVxmlData.Src = src

Collapse/Expand See Also section See Also

ChantVxmlData


ChantVxmlData Srcexpr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Srcexpr Property

The URI is dynamically determined by evaluating the given ECMAScript expression when the data needs to be fetched.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String srcexpr = chantVxmlData.Srcexpr;
chantVxmlData.Srcexpr = srcexpr;

wchar_t* srcexpr = chantVxmlData->GetSrcexpr();
chantVxmlData->SetSrcexpr(srcexpr);

String srcexpr = chantVxmlData->GetSrcexpr();
chantVxmlData->SetSrcexpr(srcexpr);

var srcexpr: string;
srcexpr := chantVxmlData.Srcexpr;
chantVxmlData.Srcexpr := srcexpr;

String srcexpr = chantVxmlData.getSrcexpr();
chantVxmlData.setSrcexpr(srcexpr);

Dim srcexpr As String
srcexpr = chantVxmlData.Srcexpr
chantVxmlData.Srcexpr = srcexpr

Collapse/Expand See Also section See Also

ChantVxmlData


ChantVxmlDisconnect Class

Represents a <disconnect> element that disconnects a session.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Namelist | The Variable names to be returned to the interpreter context.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlDisconnect Namelist Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Namelist Property

The Variable names to be returned to the interpreter context.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String namelist = chantVxmlDisconnect.Namelist;
chantVxmlDisconnect.namelist = stringVal;

wchar_t* namelist = chantVxmlDisconnect->GetNamelist();
chantVxmlDisconnect->SetNamelist(namelist);

String namelist = chantVxmlDisconnect->GetNamelist();
chantVxmlDisconnect->SetNamelist(namelist);

var namelist: string;
namelist := chantVxmlDisconnect.Namelist;
chantVxmlDisconnect.Namelist := namelist;

String stringVal = chantVxmlDisconnect.getNamelist();
chantVxmlDisconnect.setNamelist(stringVal);

Dim namelist As String
namelist = chantVxmlDisconnect.Namelist
chantVxmlDisconnect.Namelist = namelist

Collapse/Expand See Also section See Also

ChantVxmlDisconnect


ChantVxmlDocument Class

Represents a VoiceXML document.

Collapse/Expand Remarks section Remarks

A ChantVxmlDocument object represents a VoiceXML document container. The ChantXM CreateDocument instantiates and empty document object. Use the document object to construct a VoiceXML document programmatically using the Add and Remove methods. Resources added to the VoiceXML document are maintained in the order in which they were added.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddVxml | Adds a vxml container to the document.
Public method | Compile | Validates a VoiceXML document.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveVxml | Removes a vxml container from the document.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantVxmlElement
ChantXM CreateDocument


ChantVxmlDocument AddVxml Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddVxml Method

Adds a vxml container to the document.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmVxml chantVxmVxml = chantVxmlDocument.AddVxml();

CChantVxmVxml* chantVxmVxml = chantVxmlDocument->AddVxml();

CChantVxmVxml* chantVxmVxml = chantVxmlDocument->AddVxml();

var chantVxmVxml: TChantVxmVxml;
chantVxmVxml := chantVxmlDocument.AddVxml();

JChantVxmVxml chantVxmVxml = chantVxmlDocument.addVxml();

Dim chantVxmVxml As NChantVxmlVxml
chantVxmVxml = chantVxmlDocument.AddVxml()

Parameters

none

Return Value

Object. The ChantVxmlVxml object.

Collapse/Expand See Also section See Also

ChantVxmlDocument
ChantVxmlVxml
RemoveVxml


ChantVxmlDocument Compile Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Compile Method

Validates a VoiceXML document.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlDocument.Compile();

chantVxmlDocument->Compile();

chantVxmlDocument->Compile();

chantVxmlDocument.Compile();

chantVxmlDocument.compile();

chantVxmlDocument.Compile()

Parameters

none

Collapse/Expand Example section Example

The following example illustrates compiling grammars.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantVxmlDocument vxmlDocument = NChantXM1.CreateDocument();

// Build document
...

// Compile Document to validate
vxmlDocument.Compile();

CChantXM* m_pChantXM;  // ChantXM object
CChantVxmlDocument* m_chantVxmlDocument;  // ChantVxmlDocument object
// Instantiate ChantXM object
m_pChantXM = new CChantXM();

// Build Colors grammar
m_chantVxmlDocument = new CChantVxmlDocument(m_pChantXM, L"Colors");
m_chantVxmlDocument->AddComment(L"This is the list of colors");
CChantVxmlDocumentRule* chantVxmlDocumentRule = m_chantVxmlDocument->AddRule(L"Color");
CChantVxmlDocumentList* chantVxmlDocumentList = chantVxmlDocumentRule->AddList(L"colorlist");
wchar_t* colors[] = { L"red", L"blue", L"green", L"yellow", L"pink", L"purple", L"brown", L"orange" };
for (int i = 0; i < 8; i++)
{
    chantVxmlDocumentList->AddPhrase(colors[i]);
}

// Compile a grammar
m_chantVxmlDocument->Compile(CGSSAPI5XML);

// Compile a grammar and save results to file
m_chantVxmlDocument->Compile(CGSSAPI5XML, L"mygrammar.dat");

CChantXM* ChantXM1;  // ChantXM object
CChantVxmlDocument* ChantVxmlDocument1;  // ChantVxmlDocument object
// Instantiate ChantXM object
ChantXM1 = new CChantXM();

// Build Colors grammar
ChantVxmlDocument1 = new CChantVxmlDocument(ChantXM1, "Colors");
ChantVxmlDocument1->AddComment("This is the list of colors");
CChantVxmlDocumentRule* chantVxmlDocumentRule = ChantVxmlDocument1->AddRule("Color");
CChantVxmlDocumentList* chantVxmlDocumentList = chantVxmlDocumentRule->AddList("colorlist");
chantVxmlDocumentList->AddPhrase("red");
chantVxmlDocumentList->AddPhrase("blue");
chantVxmlDocumentList->AddPhrase("green");
chantVxmlDocumentList->AddPhrase("yellow");
chantVxmlDocumentList->AddPhrase("pink");
chantVxmlDocumentList->AddPhrase("purple");
chantVxmlDocumentList->AddPhrase("brown");
chantVxmlDocumentList->AddPhrase("orange");

// Compile a grammar
ChantVxmlDocument1->Compile(CGSSAPI5XML);

// Compile a grammar and save results to file
ChantVxmlDocument1->Compile(CGSSAPI5XML, "mygrammar.dat");

var
ChantXM1: TChantXM;
chantVxmlDocument: TChantVxmlDocument;
chantVxmlDocumentRule: TChantVxmlDocumentRule;
chantVxmlDocumentList: TChantVxmlDocumentList;
sGrammar: string;
begin
// Instantiate ChantXM object
ChantXM1 := TChantXM.Create();

// Build Colors grammar
chantVxmlDocument := TChantVxmlDocument.Create(ChantXM1, 'Colors');
chantVxmlDocument.AddComment('This is the list of colors');
chantVxmlDocumentRule := chantVxmlDocument.AddRule('Color');
chantVxmlDocumentList := chantVxmlDocumentRule.AddList('colorlist');
chantVxmlDocumentList.AddPhrase('red');
chantVxmlDocumentList.AddPhrase('blue');
chantVxmlDocumentList.AddPhrase('green');
chantVxmlDocumentList.AddPhrase('yellow');
chantVxmlDocumentList.AddPhrase('pink');
chantVxmlDocumentList.AddPhrase('purple');
chantVxmlDocumentList.AddPhrase('brown');
chantVxmlDocumentList.AddPhrase('orange');

// Compile a grammar
chantVxmlDocument.Compile(CGSSAPI5XML);

// Compile a grammar and save results to file
chantVxmlDocument.Compile(CGSSAPI5XML, 'mygrammar.dat');

private JChantXM JChantXM1;
private JChantVxmlDocument _JChantVxmlDocument;
// Instantiate ChantXM object
JChantXM1 = new JChantXM();

// Build Colors grammar
_JChantVxmlDocument = new JChantVxmlDocument(JChantXM1, "Colors");
_JChantVxmlDocument.addComment("This is the list of colors");
JChantVxmlDocumentRule chantVxmlDocumentRule = _JChantVxmlDocument.addRule("Color");
JChantVxmlDocumentList chantVxmlDocumentList = chantVxmlDocumentRule.addList("colorlist");
String[] colors = { "red", "blue", "green", "yellow", "pink", "purple", "brown", "orange" };
chantVxmlDocumentList.addPhrases(colors);

// Compile a grammar
_JChantVxmlDocument.compile(ChantVxmlDocumentSyntax.CGSSAPI5XML);

// Compile a grammar and save results to file
_JChantVxmlDocument.compile(ChantVxmlDocumentSyntax.CGSSAPI5XML, "mygrammar.dat");

Dim WithEvents NChantXM1 As NChantXM
Dim _NChantVxmlDocument As NChantVxmlDocument
Dim chantVxmlDocumentRule As NChantVxmlDocumentRule
Dim chantVxmlDocumentList As NChantVxmlDocumentList
Dim grammarSource As String
' Instantiate ChantXM object
NChantXM1 = New NChantXM(Me)

' Build Colors grammar
_NChantVxmlDocument = New NChantVxmlDocument(NChantXM1, "Colors")
_NChantVxmlDocument.AddComment("This is the list of colors")
chantVxmlDocumentRule = _NChantVxmlDocument.AddRule("Color")
chantVxmlDocumentList = chantVxmlDocumentRule.AddList("colorlist")
Dim colors() As String = { "red", "blue", "green", "yellow", "pink", "purple", "brown", "orange" }
chantVxmlDocumentList.AddPhrases(colors);

' Compile a grammar
_NChantVxmlDocument.Compile(ChantVxmlDocumentSyntax.CGSSAPI5XML)

' Compile a grammar and save results to file
_NChantVxmlDocument.Compile(ChantVxmlDocumentSyntax.CGSSAPI5XML, "mygrammar.dat")

Collapse/Expand See Also section See Also

ChantVxmlDocument


ChantVxmlDocument RemoveVxml Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveVxml Method

Removes a vxml container from the document.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlDocument.RemoveVxml(chantVxmlVxml);

chantVxmlDocument->RemoveVxml(chantVxmlVxml);

chantVxmlDocument->RemoveVxml(chantVxmlVxml);

chantVxmlDocument.RemoveVxml(chantVxmlVxml);

chantVxmlDocument.removeVxml(chantVxmlVxml);

chantVxmlDocument.RemoveVxml(chantVxmlVxml)

Parameters

chantVxmlVxml

Object. The ChantVxmlVxml object to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddVxml
ChantVxmlDocument
ChantVxmlVxml


ChantVxmlDtmf Class

Represents a <dtmf> element that specifies a touch-tone key grammar.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Caching | Defines the caching type.
Public property | Fetchhint | Defines when the interpreter context should retrieve content from the server.
Public property | Fetchtimeout | The interval to wait for the content to be returned before throwing an error.badfetch event.
Public property | Scope | Either document, which makes the grammar active in all dialogs of the current document (and relevant application leaf documents), or dialog, to make the grammar active throughout the current form.
Public property | Src | The URI specifying the location of the grammar, if it is external.
Public property | Type | The MIME type of the grammar.

Collapse/Expand See Also section See Also

ChantVxmlElement
ChantVxmlContentElement


ChantVxmlDtmf Caching Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Caching Property

The media encoding type of the submitted document.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLCaching eVXMLCaching = chantVxmlDtmf.Caching;
chantVxmlDtmf.Caching = eVXMLCaching;

VXMLCaching eVXMLCaching = chantVxmlDtmf->GetCaching();
chantVxmlDtmf->SetCaching(eVXMLCaching);

VXMLCaching eVXMLCaching = chantVxmlDtmf->GetCaching();
chantVxmlDtmf->SetCaching(eVXMLCaching);

var eVXMLCaching: VXMLCaching;
eVXMLCaching := chantVxmlDtmf.Caching;
chantVxmlDtmf.Caching := eVXMLCaching;

int eVXMLCaching = chantVxmlDtmf.getCaching();
chantVxmlDtmf.setCaching(eVXMLCaching);

Dim eVXMLCaching As Caching
eVXMLCaching = chantVxmlDtmf.Caching
chantVxmlDtmf.Caching = eVXMLCaching

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLCaching constant values.

Constant | Value | Description
Fast | 0 | Use the cached copy of the content if it has not expired.
Safe | 1 | Force a query to fetch the most recent copy of the content.

Collapse/Expand See Also section See Also

ChantVxmlDtmf


ChantVxmlDtmf Fetchhint Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchhint Property

Defines when the interpreter context should retrieve content from the server.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLFetch eVXMLFetch = chantVxmlDtmf.Fetchhint;
chantVxmlDtmf.Fetchhint = eVXMLFetch;

VXMLFetch eVXMLFetch = chantVxmlDtmf->GetFetchhint();
chantVxmlDtmf->SetFetchhint(eVXMLFetch);

VXMLFetch eVXMLFetch = chantVxmlDtmf->GetFetchhint();
chantVxmlDtmf->SetFetchhint(eVXMLFetch);

var eVXMLFetch: VXMLFetch;
eVXMLFetch := chantVxmlDtmf.Fetchhint;
chantVxmlDtmf.Fetchhint := eVXMLFetch;

int eVXMLFetch = chantVxmlDtmf.getFetchhint();
chantVxmlDtmf.setFetchhint(eVXMLFetch);

Dim eVXMLFetch As Fetchhint
eVXMLFetch = chantVxmlDtmf.Fetchhint
chantVxmlDtmf.Fetchhint = eVXMLFetch

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLFetch constant values.

Constant | Value | Description
Prefetch | 0 | A file may be downloaded when the document is loaded.
Safe | 1 | A file should only be downloaded when actually needed.

Collapse/Expand See Also section See Also

ChantVxmlDtmf


ChantVxmlDtmf Fetchtimeout Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchtimeout Property

The interval to wait for the content to be returned before throwing an error.badfetch event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int fetchtimeout = chantVxmlDtmf.Fetchtimeout;
chantVxmlDtmf.Fetchtimeout = fetchtimeout;

long fetchtimeout = chantVxmlDtmf->GetFetchtimeout();
chantVxmlDtmf->SetFetchtimeout(fetchtimeout);

long fetchtimeout = chantVxmlDtmf->GetFetchtimeout();
chantVxmlDtmf->SetFetchtimeout(fetchtimeout);

var fetchtimeout: Integer;
fetchtimeout := chantVxmlDtmf.Fetchtimeout;
chantVxmlDtmf.Fetchtimeout := fetchtimeout;

int fetchtimeout = chantVxmlDtmf.getFetchtimeout();
chantVxmlDtmf.setFetchtimeout(fetchtimeout);

Dim fetchtimeout As Integer
fetchtimeout = chantVxmlDtmf.Fetchtimeout
chantVxmlDtmf.Fetchtimeout = fetchtimeout

Collapse/Expand See Also section See Also

ChantVxmlDtmf


ChantVxmlDtmf Scope Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Scope Property

Either document, which makes the grammar active in all dialogs of the current document (and relevant application leaf documents), or dialog, to make the grammar active throughout the current form.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLScope eVXMLScope = chantVxmlDtmf.Scope;
chantVxmlDtmf.Scope = eVXMLScope;

VXMLScope eVXMLScope = chantVxmlDtmf->GetScope();
chantVxmlDtmf->SetScope(eVXMLScope);

VXMLScope eVXMLScope = chantVxmlDtmf->GetScope();
chantVxmlDtmf->SetScope(eVXMLScope);

var eVXMLScope: VXMLScope;
eVXMLScope := chantVxmlDtmf.Scope;
chantVxmlDtmf.Scope := eVXMLScope;

int eVXMLScope = chantVxmlDtmf.getScope();
chantVxmlDtmf.setScope(eVXMLScope);

Dim eVXMLScope As Scope
eVXMLScope = chantVxmlDtmf.Scope
chantVxmlDtmf.Scope = eVXMLScope

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLScope constant values.

Constant | Value | Description
Dialog | 0 | Grammar enabled within the context of the dialog.
Document | 1 | Grammar enabled within the content of the document./td>

Collapse/Expand See Also section See Also

ChantVxmlDtmf


ChantVxmlDtmf Src Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Src Property

The URI specifying the location of the grammar, if it is external.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String src = chantVxmlDtmf.Src;
chantVxmlDtmf.Src = src;

wchar_t* src = chantVxmlDtmf->GetSrc();
chantVxmlDtmf->SetSrc(src);

String src = chantVxmlDtmf->GetSrc();
chantVxmlDtmf->SetSrc(src);

var src: string;
src := chantVxmlDtmf.Src;
chantVxmlDtmf.Src := src;

String src = chantVxmlDtmf.getSrc();
chantVxmlDtmf.setSrc(src);

Dim src As String
src = chantVxmlDtmf.Src
chantVxmlDtmf.Src = src

Collapse/Expand See Also section See Also

ChantVxmlDtmf


ChantVxmlDtmf Type Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Type Property

The MIME type of the grammar.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlDtmf.Type;
chantVxmlDtmf.Type = eVXMLMediaEncoding;

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlDtmf->GetType();
chantVxmlDtmf->SetType(eVXMLMediaEncoding);

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlDtmf->GetType();
chantVxmlDtmf->SetType(eVXMLMediaEncoding);

var eVXMLMediaEncoding: VXMLMediaEncoding;
eVXMLMediaEncoding := chantVxmlDtmf.Type;
chantVxmlDtmf.Type := eVXMLMediaEncoding;

int eVXMLMediaEncoding = chantVxmlDtmf.getType();
chantVxmlDtmf.setType(eVXMLMediaEncoding);

Dim eVXMLMediaEncoding As Type
eVXMLMediaEncoding = chantVxmlDtmf.Type
chantVxmlDtmf.Type = eVXMLMediaEncoding

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLMediaEncoding constant values.

Constant | Value | Description
TextPlain | 0 | text/plain
MultipartFormData | 1 | multipart/form-data
ApplicationXWwwFormUrlencoded | 2 | application/x-www-form-urlencoded

Collapse/Expand See Also section See Also

ChantVxmlDtmf


ChantVxmlElement Class

Represents a VoiceXML element.

Collapse/Expand Remarks section Remarks

This class serves as a parent class for elements.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children.

Collapse/Expand Properties section Properties

No properties.


ChantVxmlElement GenerateVXML Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

GenerateVXML Method

Returns the VoiceXML for this element and children.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String voiceXML = chantVxmlElement.GenerateVXML(eChantVXMLVersion);

wchar_t* voiceXML = chantVxmlElement->GenerateVXML(eChantVXMLVersion);

String voiceXML = chantVxmlElement->GenerateVXML(eChantVXMLVersion);

var voiceXML: string;
voiceXML := chantVxmlElement.GenerateVXML(eChantVXMLVersion);

String voiceXML = chantVxmlElementOptionalPhrase.generateVXML(eChantVXMLVersion);

Dim voiceXML As String
voiceXML = chantVxmlElement.GenerateVXML(eChantVXMLVersion)

Parameters

eChantVXMLVersion

ChantVXMLVersion. The VoiceXML version.

Return Value

String. The VoiceXML.

Collapse/Expand Example section Example

The following example illustrates generating a VoiceXML document:

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantVxmlDocument vxmlDocument = pChantXM.CreateDocument();
NChantVxmlVxml vxml = vxmlDocument.AddVxml();
vxml.SetVersion("2.0");
// Add Menu
NChantVxmlMenu menu = vxml.AddMenu();
// Add Prompt
NChantVxmlPrompt prompt = menu.AddPrompt();
prompt.AddText("Todays forecast is for sunny skys with a low of 68 and high of 75.");
// Generate VoiceXML
string voiceXML = vxmlDocument.GenerateVXML(ChantVXMLVersion.CVVAll);

CChantVxmlDocument* vxmlDocument = NChantXM1->CreateDocument();
CChantVxmlVxml* vxml = vxmlDocument->AddVxml();
vxml->SetVersion(L"2.0");
// Add Menu
CChantVxmlMenu* menu = vxml->AddMenu();
// Add Prompt
CChantVxmlPrompt* prompt = menu->AddPrompt();
prompt->AddText(L"Todays forecast is for sunny skys with a low of 68 and high of 75.");
// Generate VoiceXML
wchar_t* voiceXML = vxmlDocument->GenerateVXML(CVVAll);

CChantVxmlDocument* vxmlDocument = pChantXM->CreateDocument();
CChantVxmlVxml* vxml = vxmlDocument->AddVxml();
vxml->SetVersion("2.0");
// Add Menu
CChantVxmlMenu* menu = vxml->AddMenu();
// Add Prompt
CChantVxmlPrompt* prompt = menu->AddPrompt();
prompt->AddText("Todays forecast is for sunny skys with a low of 68 and high of 75.");
// Generate VoiceXML
String voiceXML = vxmlDocument->GenerateVXML(CVVAll);

var
vxmlDocument: TChantVxmlDocument;
vxml: TChantVxmlVxml;
menu: NChantVxmlMenu;
prompt: NChantVxmlPrompt;
voiceXML: string;
begin
    vxmlDocument := pChantXM.CreateDocument();
    vxml := vxmlDocument->AddVxml();
    vxml.SetVersion('2.0');
    // Add Menu
    menu := vxml.AddMenu();
    // Add Prompt
    prompt := menu.AddPrompt();
    prompt.AddText('Todays forecast is for sunny skys with a low of 68 and high of 75.');
    // Generate VoiceXML
    voiceXML := vxmlDocument.GenerateVXML(CVVAll);
end;

JChantVxmlDocument vxmlDocument = JChantXM1.createDocument();
JChantVxmlVxml vxml = vxmlDocument.addVxml();
vxml.setVersion("2.0");
// Add Menu
JChantVxmlMenu menu = vxml.addMenu();
// Add Prompt
JChantVxmlPrompt prompt = menu.addPrompt();
prompt.addText("Todays forecast is for sunny skys with a low of 68 and high of 75.");
// Generate VoiceXML
String voiceXML = vxmlDocument.generateVXML(ChantVXMLVersion.CVVAll);

Dim vxmlDocument As NChantVxmlDocument
Dim vxml As NChantVxmlVxml
Dim menu As NChantVxmlMenu
Dim prompt As NChantVxmlPrompt
Dim voiceXML As String
vxmlDocument = NChantXM1.CreateDocument()
vxml = vxmlDocument.AddVxml()
vxml.SetVersion("2.0")
' Add Menu
menu = vxml.AddMenu()
' Add Prompt
prompt = menu.AddPrompt()
prompt.AddText("Todays forecast is for sunny skys with a low of 68 and high of 75.")
' Generate VoiceXML
voiceXML = vxmlDocument.GenerateVXML(ChantVXMLVersion.CVVAll)

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlElse Class

Represents an <else> element that is used in <if> elements.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlElseif Class

Represents an <elseif> element that is used in <if> elements.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Cond | An expression to evaluate in conjunction with the test of the form item variable.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlElseif Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An expression to evaluate in conjunction with the test of the form item variable.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String cond = chantVxmlElseif.Cond;
chantVxmlElseif.Cond = cond;

wchar_t* cond = chantVxmlElseif->GetCond();
chantVxmlElseif->SetCond(cond);

String cond = chantVxmlElseif->GetCond();
chantVxmlElseif->SetCond(cond);

var cond: string;
cond := chantVxmlElseif.Cond;
chantVxmlElseif.Cond := cond;

String cond = chantVxmlElseif.getCond();
chantVxmlElseif.setCond(cond);

Dim cond As String
cond = chantVxmlElseif.Cond
chantVxmlElseif.Cond = cond

Collapse/Expand See Also section See Also

ChantVxmlElseif


ChantVxmlEnumerate Class

Represents an <enumerate> element enumerates the choices in a menu.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAudio | Adds an audio prompt to the dialog.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddValue | Adds a value declaration to the dialog.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAudio | Removes an audio prompt from the dialog.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveValue | Removes a value declaration from the dialog.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantVxmlElement
ChantVxmlMixedContentElement


ChantVxmlEnumerate AddAudio Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddAudio Method

Adds an audio playback to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlAudio chantVxmlAudio = chantVxmlEnumerate.AddAudio();

CChantVxmlAudio* chantVxmlAudio = chantVxmlEnumerate->AddAudio();

CChantVxmlAudio* chantVxmlAudio = chantVxmlEnumerate->AddAudio();

var chantVxmlAudio: TChantVxmlAudio; chantVxmlAudio := chantVxmlEnumerate.AddAudio();

JChantVxmlAudio chantVxmlAudio = chantVxmlEnumerate.addAudio();

Dim chantVxmlAudio As NChantVxmlAudio
chantVxmlAudio = chantVxmlEnumerate.AddAudio()

Parameters

None.

Return Value

Object. The ChantVxmlAudio object.

Collapse/Expand See Also section See Also

ChantVxmlAudio
ChantVxmlEnumerate
RemoveAudio


ChantVxmlEnumerate AddValue Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddValue Method

Adds a value declaration to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlValue chantVxmlValue = chantVxmlEnumerate.AddValue();

CChantVxmlValue* chantVxmlValue = chantVxmlEnumerate->AddValue();

CChantVxmlValue* chantVxmlValue = chantVxmlEnumerate->AddValue();

var chantVxmlValue: TChantVxmlValue; chantVxmlValue := chantVxmlEnumerate.AddValue();

JChantVxmlValue chantVxmlValue = chantVxmlEnumerate.addValue();

Dim chantVxmlValue As NChantVxmlValue
chantVxmlValue = chantVxmlEnumerate.AddValue()

Parameters

None.

Return Value

Object. The ChantVxmlValue object.

Collapse/Expand See Also section See Also

ChantVxmlEnumerate
ChantVxmlValue
RemoveValue


ChantVxmlEnumerate RemoveAudio Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveAudio Method

Removes an audio playback from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlEnumerate.RemoveAudio(chantVxmlAudio);

chantVxmlEnumerate->RemoveAudio(chantVxmlAudio);

chantVxmlEnumerate->RemoveAudio(chantVxmlAudio);

chantVxmlEnumerate.RemoveAudio(chantVxmlAudio);

chantVxmlEnumerate.removeAudio(chantVxmlAudio);

chantVxmlEnumerate.RemoveAudio(chantVxmlAudio)

Parameters

chantVxmlAudio

Object. The ChantVxmlAudio object to remove.

Collapse/Expand See Also section See Also

AddAudio
ChantVxmlAudio
ChantVxmlEnumerate


ChantVxmlEnumerate RemoveValue Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveValue Method

Removes a value declaration from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlEnumerate.RemoveValue(chantVxmlValue);

chantVxmlEnumerate->RemoveValue(chantVxmlValue);

chantVxmlEnumerate->RemoveValue(chantVxmlValue);

chantVxmlEnumerate.RemoveValue(chantVxmlValue);

chantVxmlEnumerate.removeValue(chantVxmlValue);

chantVxmlEnumerate.RemoveValue(chantVxmlValue)

Parameters

chantVxmlValue

Object. The ChantVxmlValue object to remove.

Collapse/Expand See Also section See Also

AddValue
ChantVxmlEnumerate
ChantVxmlValue


ChantVxmlError Class

Represents an <error> element that catches an error event.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAssign | Adds a variable assignment to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddClear | Adds a variable clear to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddDisconnect | Adds a disconnect to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddExit | Adds an exit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddGoto | Adds a goto to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddIf | Adds an if to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddLog | Adds a log message to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReprompt | Adds a reprompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReturn | Adds a return to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddScript | Adds a script to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddSubmit | Adds a submit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddThrow | Adds a throw to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddVar | Adds a variable declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAssign | Removes a variable assignment from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveClear | Removes a variable clear from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveDisconnect | Removes a disconnect from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveExit | Removes an exit from the document. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveGoto | Removes a goto from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveIf | Removes an if from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveLog | Removes a log message from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReprompt | Removes a reprompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReturn | Removes a return from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveScript | Removes a script from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveSubmit | Removes a submit from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveThrow | Removes a throw from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveVar | Removes a variable declaration from the dialog. Inherits from ChantVxmlExceptionHandler.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Cond | An optional condition to test to see if the event is caught by this element.
Public property | Count | The event count.

Collapse/Expand See Also section See Also

ChantVxmlElement
ChantVxmlExceptionHandler ChantVxmlMixedContentElement


ChantVxmlError Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An optional condition to test to see if the event is caught by this element.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String cond = chantVxmlError.Cond;
chantVxmlError.Cond = cond;

wchar_t* cond = chantVxmlError->GetCond();
chantVxmlError->SetCond(cond);

String cond = chantVxmlError->GetCond();
chantVxmlError->SetCond(cond);

var cond: string;
cond := chantVxmlError.Cond;
chantVxmlError.Cond := cond;

String cond = chantVxmlError.getCond();
chantVxmlError.setCond(cond);

Dim cond As String
cond = chantVxmlError.Cond
chantVxmlError.Cond = cond

Collapse/Expand See Also section See Also

ChantVxmlError


ChantVxmlError Count Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Count Property

The event count.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantVxmlError.Count;
chantVxmlError.Count = count;

long count = chantVxmlError->GetCount();
chantVxmlError->SetCount(count);

long count = chantVxmlError->GetCount(); chantVxmlError->SetCount(count);

var count: Integer;
count := chantVxmlError.Count;
chantVxmlError.Count := count;

int count = chantVxmlError.getCount();
chantVxmlError.setCount(count);

Dim count As Integer
count = chantVxmlError.Count
chantVxmlError.Count = count

Collapse/Expand See Also section See Also

ChantVxmlError


ChantVxmlException Class

Represents a VoiceXML element that can contain exception handlers.

Collapse/Expand Remarks section Remarks

This class serves as a parent class for elements that can contain exception handlers.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddCatch | Adds a catch handler to the dialog.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddError | Adds an error handler to the dialog.
Public method | AddHelp | Adds a help handler to the dialog.
Public method | AddNoinput | Adds a noinput handler to the dialog.
Public method | AddNomatch | Adds a nomatch handler to the dialog.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveCatch | Removes a catch handler from the dialog.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveError | Removes an error handler from the dialog.
Public method | RemoveHelp | Removes a help handler from the dialog.
Public method | RemoveNoinput | Removes a noinput handler from the dialog.
Public method | RemoveNomatch | Removes a nomatch handler from the dialog.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlMixedContentElement


ChantVxmlException AddCatch Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddCatch Method

Adds a catch handler to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlCatch chantVxmlCatch = chantVxmlException.AddCatch();

CChantVxmlCatch* chantVxmlCatch = chantVxmlException->AddCatch();

CChantVxmlCatch* chantVxmlCatch = chantVxmlException->AddCatch();

var chantVxmlCatch: TChantVxmlCatch; chantVxmlCatch := chantVxmlException.AddCatch();

JChantVxmlCatch chantVxmlCatch = chantVxmlException.addCatch();

Dim chantVxmlCatch As NChantVxmlCatch
chantVxmlCatch = chantVxmlException.AddCatch()

Parameters

None.

Return Value

Object. The ChantVxmlCatch object.

Collapse/Expand See Also section See Also

ChantVxmlCatch
ChantVxmlException
RemoveCatch


ChantVxmlException AddError Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddError Method

Adds an error handler to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlError chantVxmlError = chantVxmlException.AddError();

CChantVxmlError* chantVxmlError = chantVxmlException->AddError();

CChantVxmlError* chantVxmlError = chantVxmlException->AddError();

var chantVxmlError: TChantVxmlError; chantVxmlError := chantVxmlException.AddError();

JChantVxmlError chantVxmlError = chantVxmlException.addError();

Dim chantVxmlError As NChantVxmlError
chantVxmlError = chantVxmlException.AddError()

Parameters

None.

Return Value

Object. The ChantVxmlError object.

Collapse/Expand See Also section See Also

ChantVxmlError
ChantVxmlException
RemoveError


ChantVxmlException AddHelp Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddHelp Method

Adds a help handler to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlHelp chantVxmlHelp = chantVxmlException.AddHelp();

CChantVxmlHelp* chantVxmlHelp = chantVxmlException->AddHelp();

CChantVxmlHelp* chantVxmlHelp = chantVxmlException->AddHelp();

var chantVxmlHelp: TChantVxmlHelp; chantVxmlHelp := chantVxmlException.AddHelp();

JChantVxmlHelp chantVxmlHelp = chantVxmlException.addHelp();

Dim chantVxmlHelp As NChantVxmlHelp
chantVxmlHelp = chantVxmlException.AddHelp()

Parameters

None.

Return Value

Object. The ChantVxmlHelp object.

Collapse/Expand See Also section See Also

ChantVxmlException
ChantVxmlHelp
RemoveHelp


ChantVxmlException AddNoinput Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddNoinput Method

Adds a noinput handler to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlNoinput chantVxmlNoinput = chantVxmlException.AddNoinput();

CChantVxmlNoinput* chantVxmlNoinput = chantVxmlException->AddNoinput();

CChantVxmlNoinput* chantVxmlNoinput = chantVxmlException->AddNoinput();

var chantVxmlNoinput: TChantVxmlNoinput; chantVxmlNoinput := chantVxmlException.AddNoinput();

JChantVxmlNoinput chantVxmlNoinput = chantVxmlException.addNoinput();

Dim chantVxmlNoinput As NChantVxmlNoinput
chantVxmlNoinput = chantVxmlException.AddNoinput()

Parameters

None.

Return Value

Object. The ChantVxmlNoinput object.

Collapse/Expand See Also section See Also

ChantVxmlException
ChantVxmlNoinput
RemoveNoinput


ChantVxmlException AddNomatch Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddNomatch Method

Adds a nomatch handler to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlNomatch chantVxmlNomatch = chantVxmlException.AddNomatch();

CChantVxmlNomatch* chantVxmlNomatch = chantVxmlException->AddNomatch();

CChantVxmlNomatch* chantVxmlNomatch = chantVxmlException->AddNomatch();

var chantVxmlNomatch: TChantVxmlNomatch; chantVxmlNomatch := chantVxmlException.AddNomatch();

JChantVxmlNomatch chantVxmlNomatch = chantVxmlException.addNomatch();

Dim chantVxmlNomatch As NChantVxmlNomatch
chantVxmlNomatch = chantVxmlException.AddNomatch()

Parameters

None.

Return Value

Object. The ChantVxmlNomatch object.

Collapse/Expand See Also section See Also

ChantVxmlException
ChantVxmlNomatch
RemoveNomatch


ChantVxmlException RemoveCatch Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveCatch Method

Removes a catch handler from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlException.RemoveCatch(chantVxmlCatch);

chantVxmlException->RemoveCatch(chantVxmlCatch);

chantVxmlException->RemoveCatch(chantVxmlCatch);

chantVxmlException.RemoveCatch(chantVxmlCatch);

chantVxmlException.removeCatch(chantVxmlCatch);

chantVxmlException.RemoveCatch(chantVxmlCatch)

Parameters

chantVxmlCatch

Object. The ChantVxmlCatch object to remove.

Collapse/Expand See Also section See Also

AddCatch
ChantVxmlCatch
ChantVxmlException


ChantVxmlException RemoveError Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveError Method

Removes an error handler from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlException.RemoveError(chantVxmlError);

chantVxmlException->RemoveError(chantVxmlError);

chantVxmlException->RemoveError(chantVxmlError);

chantVxmlException.RemoveError(chantVxmlError);

chantVxmlException.removeError(chantVxmlError);

chantVxmlException.RemoveError(chantVxmlError)

Parameters

chantVxmlError

Object. The ChantVxmlError object to remove.

Collapse/Expand See Also section See Also

AddError
ChantVxmlError
ChantVxmlException


ChantVxmlException RemoveHelp Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveHelp Method

Removes a help handler from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlException.RemoveHelp(chantVxmlHelp);

chantVxmlException->RemoveHelp(chantVxmlHelp);

chantVxmlException->RemoveHelp(chantVxmlHelp);

chantVxmlException.RemoveHelp(chantVxmlHelp);

chantVxmlException.removeHelp(chantVxmlHelp);

chantVxmlException.RemoveHelp(chantVxmlHelp)

Parameters

chantVxmlHelp

Object. The ChantVxmlHelp object to remove.

Collapse/Expand See Also section See Also

AddHelp
ChantVxmlException
ChantVxmlHelp


ChantVxmlException RemoveNoinput Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveNoinput Method

Removes a noinput handler from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlException.RemoveNoinput(chantVxmlNoinput);

chantVxmlException->RemoveNoinput(chantVxmlNoinput);

chantVxmlException->RemoveNoinput(chantVxmlNoinput);

chantVxmlException.RemoveNoinput(chantVxmlNoinput);

chantVxmlException.removeNoinput(chantVxmlNoinput);

chantVxmlException.RemoveNoinput(chantVxmlNoinput)

Parameters

ChantVxmlNoinput

Object. The ChantVxmlNoinput to remove.

Collapse/Expand See Also section See Also

AddNoinput
ChantVxmlNoinput
ChantVxmlException


ChantVxmlException RemoveNomatch Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveNomatch Method

Removes a nomatch handler from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlException.RemoveNomatch(chantVxmlNomatch);

chantVxmlException->RemoveNomatch(chantVxmlNomatch);

chantVxmlException->RemoveNomatch(chantVxmlNomatch);

chantVxmlException.RemoveNomatch(chantVxmlNomatch);

chantVxmlException.removeNomatch(chantVxmlNomatch);

chantVxmlException.RemoveNomatch(chantVxmlNomatch)

Parameters

chantVxmlNomatch

Object. The ChantVxmlNomatch object to remove.

Collapse/Expand See Also section See Also

AddNomatch
ChantVxmlException
ChantVxmlNomatch


ChantVxmlExceptionHandler Class

Represents a VoiceXML element that can process exceptions.

Collapse/Expand Remarks section Remarks

This class serves as a parent class for elements that can process exceptions.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAssign | Adds a variable assignment to the dialog.
Public method | AddAudio | Adds an audio playback to the dialog.
Public method | AddClear | Adds a variable clear to the dialog.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddDisconnect | Adds a disconnect to the dialog.
Public method | AddEnumerate | Adds an enumerate to the dialog.
Public method | AddExit | Adds an exit to the dialog.
Public method | AddGoto | Adds a goto to the dialog.
Public method | AddIf | Adds an if to the dialog.
Public method | AddLog | Adds a log message to the dialog.
Public method | AddPrompt | Adds a prompt to the dialog.
Public method | AddReprompt | Adds a reprompt to the dialog.
Public method | AddReturn | Adds a return to the dialog.
Public method | AddScript | Adds a script to the dialog.
Public method | AddSubmit | Adds a submit to the dialog.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddThrow | Adds a throw to the dialog.
Public method | AddValue | Adds a value declaration to the dialog.
Public method | AddVar | Adds a variable declaration to the dialog.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAssign | Removes a variable assignment from the dialog.
Public method | RemoveAudio | Removes an audio playback from the dialog.
Public method | RemoveClear | Removes a variable clear from the dialog.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveDisconnect | Removes a disconnect from the dialog.
Public method | RemoveEnumerate | Removes an enumerate from the dialog.
Public method | RemoveExit | Removes an exit from the document.
Public method | RemoveGoto | Removes a goto from the dialog.
Public method | RemoveIf | Removes an if from the dialog.
Public method | RemoveLog | Removes a log message from the dialog.
Public method | RemovePrompt | Removes a prompt from the dialog.
Public method | RemoveReprompt | Removes a reprompt from the dialog.
Public method | RemoveReturn | Removes a return from the dialog.
Public method | RemoveScript | Removes a script from the dialog.
Public method | RemoveSubmit | Removes a submit from the dialog.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveThrow | Removes a throw from the dialog.
Public method | RemoveValue | Removes a value declaration from the dialog.
Public method | RemoveVar | Removes a variable declaration from the dialog.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlMixedContentElement


ChantVxmlExceptionHandler AddAssign Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddAssign Method

Adds a variable assignment to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlAssign chantVxmlAssign = chantVxmlExceptionHandler.AddAssign();

CChantVxmlAssign* chantVxmlAssign = chantVxmlExceptionHandler->AddAssign();

CChantVxmlAssign* chantVxmlAssign = chantVxmlExceptionHandler->AddAssign();

var chantVxmlAssign: TChantVxmlAssign; chantVxmlAssign := chantVxmlExceptionHandler.AddAssign();

JChantVxmlAssign chantVxmlAssign = chantVxmlExceptionHandler.addAssign();

Dim chantVxmlAssign As NChantVxmlAssign
chantVxmlAssign = chantVxmlExceptionHandler.AddAssign()

Parameters

None.

Return Value

Object. The ChantVxmlAssign object.

Collapse/Expand See Also section See Also

ChantVxmlAssign
ChantVxmlExceptionHandler
RemoveAssign


ChantVxmlExceptionHandler AddAudio Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddAudio Method

Adds an audio playback to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlAudio chantVxmlAudio = chantVxmlExceptionHandler.AddAudio();

CChantVxmlAudio* chantVxmlAudio = chantVxmlExceptionHandler->AddAudio();

CChantVxmlAudio* chantVxmlAudio = chantVxmlExceptionHandler->AddAudio();

var chantVxmlAudio: TChantVxmlAudio; chantVxmlAudio := chantVxmlExceptionHandler.AddAudio();

JChantVxmlAudio chantVxmlAudio = chantVxmlExceptionHandler.addAudio();

Dim chantVxmlAudio As NChantVxmlAudio
chantVxmlAudio = chantVxmlExceptionHandler.AddAudio()

Parameters

None.

Return Value

Object. The ChantVxmlAudio object.

Collapse/Expand See Also section See Also

ChantVxmlAudio
ChantVxmlExceptionHandler
RemoveAudio


ChantVxmlExceptionHandler AddClear Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddClear Method

Adds a variable clear to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlClear chantVxmlClear = chantVxmlExceptionHandler.AddClear();

CChantVxmlClear* chantVxmlClear = chantVxmlExceptionHandler->AddClear();

CChantVxmlClear* chantVxmlClear = chantVxmlExceptionHandler->AddClear();

var chantVxmlClear: TChantVxmlClear; chantVxmlClear := chantVxmlExceptionHandler.AddClear();

JChantVxmlClear chantVxmlClear = chantVxmlExceptionHandler.addClear();

Dim chantVxmlClear As NChantVxmlClear
chantVxmlClear = chantVxmlExceptionHandler.AddClear()

Parameters

None.

Return Value

Object. The ChantVxmlClear object.

Collapse/Expand See Also section See Also

ChantVxmlClear
ChantVxmlExceptionHandler
RemoveClear


ChantVxmlExceptionHandler AddDisconnect Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddDisconnect Method

Adds a disconnect to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlDisconnect chantVxmlDisconnect = chantVxmlExceptionHandler.AddDisconnect();

CChantVxmlDisconnect* chantVxmlDisconnect = chantVxmlExceptionHandler->AddDisconnect();

CChantVxmlDisconnect* chantVxmlDisconnect = chantVxmlExceptionHandler->AddDisconnect();

var chantVxmlDisconnect: TChantVxmlDisconnect; chantVxmlDisconnect := chantVxmlExceptionHandler.AddDisconnect();

JChantVxmlDisconnect chantVxmlDisconnect = chantVxmlExceptionHandler.addDisconnect();

Dim chantVxmlDisconnect As NChantVxmlDisconnect
chantVxmlDisconnect = chantVxmlExceptionHandler.AddDisconnect()

Parameters

None.

Return Value

Object. The ChantVxmlDisconnect object.

Collapse/Expand See Also section See Also

ChantVxmlDisconnect
ChantVxmlExceptionHandler
RemoveDisconnect


ChantVxmlExceptionHandler AddEnumerate Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddEnumerate Method

Adds an enumerate to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlEnumerate chantVxmlEnumerate = chantVxmlExceptionHandler.AddEnumerate();

CChantVxmlEnumerate* chantVxmlEnumerate = chantVxmlExceptionHandler->AddEnumerate();

CChantVxmlEnumerate* chantVxmlEnumerate = chantVxmlExceptionHandler->AddEnumerate();

var chantVxmlEnumerate: TChantVxmlEnumerate; chantVxmlEnumerate := chantVxmlExceptionHandler.AddEnumerate();

JChantVxmlEnumerate chantVxmlEnumerate = chantVxmlExceptionHandler.addEnumerate();

Dim chantVxmlEnumerate As NChantVxmlEnumerate
chantVxmlEnumerate = chantVxmlExceptionHandler.AddEnumerate()

Parameters

None.

Return Value

Object. The ChantVxmlEnumerate object.

Collapse/Expand See Also section See Also

ChantVxmlEnumerate
ChantVxmlExceptionHandler
RemoveEnumerate


ChantVxmlExceptionHandler AddExit Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddExit Method

Adds an exit to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlExit chantVxmlExit = chantVxmlExceptionHandler.AddExit();

CChantVxmlExit* chantVxmlExit = chantVxmlExceptionHandler->AddExit();

CChantVxmlExit* chantVxmlExit = chantVxmlExceptionHandler->AddExit();

var chantVxmlExit: TChantVxmlExit; chantVxmlExit := chantVxmlExceptionHandler.AddExit();

JChantVxmlExit chantVxmlExit = chantVxmlExceptionHandler.addExit();

Dim chantVxmlExit As NChantVxmlExit
chantVxmlExit = chantVxmlExceptionHandler.AddExit()

Parameters

None.

Return Value

Object. The ChantVxmlExit object.

Collapse/Expand See Also section See Also

ChantVxmlExceptionHandler
ChantVxmlExit
RemoveExit


ChantVxmlExceptionHandler AddGoto Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddGoto Method

Adds a goto to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlGoto chantVxmlGoto = chantVxmlExceptionHandler.AddGoto();

CChantVxmlGoto* chantVxmlGoto = chantVxmlExceptionHandler->AddGoto();

CChantVxmlGoto* chantVxmlGoto = chantVxmlExceptionHandler->AddGoto();

var chantVxmlGoto: TChantVxmlGoto; chantVxmlGoto := chantVxmlExceptionHandler.AddGoto();

JChantVxmlGoto chantVxmlGoto = chantVxmlExceptionHandler.addGoto();

Dim chantVxmlGoto As NChantVxmlGoto
chantVxmlGoto = chantVxmlExceptionHandler.AddGoto()

Parameters

None.

Return Value

Object. The ChantVxmlGoto object.

Collapse/Expand See Also section See Also

ChantVxmlExceptionHandler
ChantVxmlGoto
RemoveGoto


ChantVxmlExceptionHandler AddIf Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddIf Method

Adds an if to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlIf chantVxmlIf = chantVxmlExceptionHandler.AddIf();

CChantVxmlIf* chantVxmlIf = chantVxmlExceptionHandler->AddIf();

CChantVxmlIf* chantVxmlIf = chantVxmlExceptionHandler->AddIf();

var chantVxmlIf: TChantVxmlIf; chantVxmlIf := chantVxmlExceptionHandler.AddIf();

JChantVxmlIf chantVxmlIf = chantVxmlExceptionHandler.addIf();

Dim chantVxmlIf As NChantVxmlIf
chantVxmlIf = chantVxmlExceptionHandler.AddIf()

Parameters

None.

Return Value

Object. The ChantVxmlIf object.

Collapse/Expand See Also section See Also

ChantVxmlExceptionHandler
ChantVxmlIf
RemoveIf


ChantVxmlExceptionHandler AddLog Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddLog Method

Adds a log message to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlLog chantVxmlLog = chantVxmlExceptionHandler.AddLog();

CChantVxmlLog* chantVxmlLog = chantVxmlExceptionHandler->AddLog();

CChantVxmlLog* chantVxmlLog = chantVxmlExceptionHandler->AddLog();

var chantVxmlLog: TChantVxmlLog; chantVxmlLog := chantVxmlExceptionHandler.AddLog();

JChantVxmlLog chantVxmlLog = chantVxmlExceptionHandler.addLog();

Dim chantVxmlLog As NChantVxmlLog
chantVxmlLog = chantVxmlExceptionHandler.AddLog()

Parameters

None.

Return Value

Object. The ChantVxmlLog object.

Collapse/Expand See Also section See Also

ChantVxmlExceptionHandler
ChantVxmlLog
RemoveLog


ChantVxmlExceptionHandler AddPrompt Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddPrompt Method

Adds a prompt to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlPrompt chantVxmlPrompt = chantVxmlExceptionHandler.AddPrompt();

CChantVxmlPrompt* chantVxmlPrompt = chantVxmlExceptionHandler->AddPrompt();

CChantVxmlPrompt* chantVxmlPrompt = chantVxmlExceptionHandler->AddPrompt();

var chantVxmlPrompt: TChantVxmlPrompt; chantVxmlPrompt := chantVxmlExceptionHandler.AddPrompt();

JChantVxmlPrompt chantVxmlPrompt = chantVxmlExceptionHandler.addPrompt();

Dim chantVxmlPrompt As NChantVxmlPrompt
chantVxmlPrompt = chantVxmlExceptionHandler.AddPrompt()

Parameters

None.

Return Value

Object. The ChantVxmlPrompt object.

Collapse/Expand See Also section See Also

ChantVxmlExceptionHandler
ChantVxmlPrompt
RemovePrompt


ChantVxmlExceptionHandler AddReprompt Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddReprompt Method

Adds a reprompt to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlReprompt chantVxmlReprompt = chantVxmlExceptionHandler.AddReprompt();

CChantVxmlReprompt* chantVxmlReprompt = chantVxmlExceptionHandler->AddReprompt();

CChantVxmlReprompt* chantVxmlReprompt = chantVxmlExceptionHandler->AddReprompt();

var chantVxmlReprompt: TChantVxmlReprompt; chantVxmlReprompt := chantVxmlExceptionHandler.AddReprompt();

JChantVxmlReprompt chantVxmlReprompt = chantVxmlExceptionHandler.addReprompt();

Dim chantVxmlReprompt As NChantVxmlReprompt
chantVxmlReprompt = chantVxmlExceptionHandler.AddReprompt()

Parameters

None.

Return Value

Object. The ChantVxmlReprompt object.

Collapse/Expand See Also section See Also

ChantVxmlExceptionHandler
ChantVxmlReprompt
RemoveReprompt


ChantVxmlExceptionHandler AddReturn Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddReturn Method

Adds a return to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlReturn chantVxmlReturn = chantVxmlExceptionHandler.AddReturn();

CChantVxmlReturn* chantVxmlReturn = chantVxmlExceptionHandler->AddReturn();

CChantVxmlReturn* chantVxmlReturn = chantVxmlExceptionHandler->AddReturn();

var chantVxmlReturn: TChantVxmlReturn; chantVxmlReturn := chantVxmlExceptionHandler.AddReturn();

JChantVxmlReturn chantVxmlReturn = chantVxmlExceptionHandler.addReturn();

Dim chantVxmlReturn As NChantVxmlReturn
chantVxmlReturn = chantVxmlExceptionHandler.AddReturn()

Parameters

None.

Return Value

Object. The ChantVxmlReturn object.

Collapse/Expand See Also section See Also

ChantVxmlExceptionHandler
ChantVxmlReturn
RemoveReturn


ChantVxmlExceptionHandler AddScript Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddScript Method

Adds a script to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlScript chantVxmlScript = chantVxmlExceptionHandler.AddScript();

CChantVxmlScript* chantVxmlScript = chantVxmlExceptionHandler->AddScript();

CChantVxmlScript* chantVxmlScript = chantVxmlExceptionHandler->AddScript();

var chantVxmlScript: TChantVxmlScript; chantVxmlScript := chantVxmlExceptionHandler.AddScript();

JChantVxmlScript chantVxmlScript = chantVxmlExceptionHandler.addScript();

Dim chantVxmlScript As NChantVxmlScript
chantVxmlScript = chantVxmlExceptionHandler.AddScript()

Parameters

None.

Return Value

Object. The ChantVxmlScript object.

Collapse/Expand See Also section See Also

ChantVxmlExceptionHandler
ChantVxmlScript
RemoveScript


ChantVxmlExceptionHandler AddSubmit Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddSubmit Method

Adds a submit to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlSubmit chantVxmlSubmit = chantVxmlExceptionHandler.AddSubmit();

CChantVxmlSubmit* chantVxmlSubmit = chantVxmlExceptionHandler->AddSubmit();

CChantVxmlSubmit* chantVxmlSubmit = chantVxmlExceptionHandler->AddSubmit();

var chantVxmlSubmit: TChantVxmlSubmit; chantVxmlSubmit := chantVxmlExceptionHandler.AddSubmit();

JChantVxmlSubmit chantVxmlSubmit = chantVxmlExceptionHandler.addSubmit();

Dim chantVxmlSubmit As NChantVxmlSubmit
chantVxmlSubmit = chantVxmlExceptionHandler.AddSubmit()

Parameters

None.

Return Value

Object. The ChantVxmlSubmit object.

Collapse/Expand See Also section See Also

ChantVxmlExceptionHandler
ChantVxmlSubmit
RemoveSubmit


ChantVxmlExceptionHandler AddThrow Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddThrow Method

Adds a throw to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlThrow chantVxmlThrow = chantVxmlExceptionHandler.AddThrow();

CChantVxmlThrow* chantVxmlThrow = chantVxmlExceptionHandler->AddThrow();

CChantVxmlThrow* chantVxmlThrow = chantVxmlExceptionHandler->AddThrow();

var chantVxmlThrow: TChantVxmlThrow; chantVxmlThrow := chantVxmlExceptionHandler.AddThrow();

JChantVxmlThrow chantVxmlThrow = chantVxmlExceptionHandler.addThrow();

Dim chantVxmlThrow As NChantVxmlThrow
chantVxmlThrow = chantVxmlExceptionHandler.AddThrow()

Parameters

None.

Return Value

Object. The ChantVxmlThrow object.

Collapse/Expand See Also section See Also

ChantVxmlExceptionHandler
ChantVxmlThrow
RemoveThrow


ChantVxmlExceptionHandler AddValue Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddValue Method

Adds a value declaration to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlValue chantVxmlValue = chantVxmlExceptionHandler.AddValue();

CChantVxmlValue* chantVxmlValue = chantVxmlExceptionHandler->AddValue();

CChantVxmlValue* chantVxmlValue = chantVxmlExceptionHandler->AddValue();

var chantVxmlValue: TChantVxmlValue; chantVxmlValue := chantVxmlExceptionHandler.AddValue();

JChantVxmlValue chantVxmlValue = chantVxmlExceptionHandler.addValue();

Dim chantVxmlValue As NChantVxmlValue
chantVxmlValue = chantVxmlExceptionHandler.AddValue()

Parameters

None.

Return Value

Object. The ChantVxmlValue object.

Collapse/Expand See Also section See Also

ChantVxmlExceptionHandler
ChantVxmlValue
RemoveValue


ChantVxmlExceptionHandler AddVar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddVar Method

Adds a variable declaration to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlVar chantVxmlVar = chantVxmlExceptionHandler.AddVar();

CChantVxmlVar* chantVxmlVar = chantVxmlExceptionHandler->AddVar();

CChantVxmlVar* chantVxmlVar = chantVxmlExceptionHandler->AddVar();

var chantVxmlVar: TChantVxmlVar; chantVxmlVar := chantVxmlExceptionHandler.AddVar();

JChantVxmlVar chantVxmlVar = chantVxmlExceptionHandler.addVar();

Dim chantVxmlVar As NChantVxmlVar
chantVxmlVar = chantVxmlExceptionHandler.AddVar()

Parameters

None.

Return Value

Object. The ChantVxmlVar object.

Collapse/Expand See Also section See Also

ChantVxmlExceptionHandler
ChantVxmlVar
RemoveVar


ChantVxmlExceptionHandler RemoveAssign Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveAssign Method

Removes a variable assignment from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveAssign(chantVxmlAssign);

chantVxmlExceptionHandler->RemoveAssign(chantVxmlAssign);

chantVxmlExceptionHandler->RemoveAssign(chantVxmlAssign);

chantVxmlExceptionHandler.RemoveAssign(chantVxmlAssign);

chantVxmlExceptionHandler.removeAssign(chantVxmlAssign);

chantVxmlExceptionHandler.RemoveAssign(chantVxmlAssign)

Parameters

chantVxmlAssign

Object. The ChantVxmlAssign object to remove.

Collapse/Expand See Also section See Also

AddAssign
ChantVxmlAssign
ChantVxmlExceptionHandler


ChantVxmlExceptionHandler RemoveAudio Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveAudio Method

Removes an audio playback from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveAudio(chantVxmlAudio);

chantVxmlExceptionHandler->RemoveAudio(chantVxmlAudio);

chantVxmlExceptionHandler->RemoveAudio(chantVxmlAudio);

chantVxmlExceptionHandler.RemoveAudio(chantVxmlAudio);

chantVxmlExceptionHandler.removeAudio(chantVxmlAudio);

chantVxmlExceptionHandler.RemoveAudio(chantVxmlAudio)

Parameters

chantVxmlAudio

Object. The ChantVxmlAudio object to remove.

Collapse/Expand See Also section See Also

AddAudio
ChantVxmlAudio
ChantVxmlExceptionHandler


ChantVxmlExceptionHandler RemoveClear Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveClear Method

Removes a variable clear from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveClear(chantVxmlClear);

chantVxmlExceptionHandler->RemoveClear(chantVxmlClear);

chantVxmlExceptionHandler->RemoveClear(chantVxmlClear);

chantVxmlExceptionHandler.RemoveClear(chantVxmlClear);

chantVxmlExceptionHandler.removeClear(chantVxmlClear);

chantVxmlExceptionHandler.RemoveClear(chantVxmlClear)

Parameters

chantVxmlClear

Object. The ChantVxmlClear object to remove.

Collapse/Expand See Also section See Also

AddClear
ChantVxmlClear
ChantVxmlExceptionHandler


ChantVxmlExceptionHandler RemoveDisconnect Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveDisconnect Method

Removes a disconnect from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveDisconnect(chantVxmlDisconnect);

chantVxmlExceptionHandler->RemoveDisconnect(chantVxmlDisconnect);

chantVxmlExceptionHandler->RemoveDisconnect(chantVxmlDisconnect);

chantVxmlExceptionHandler.RemoveDisconnect(chantVxmlDisconnect);

chantVxmlExceptionHandler.removeDisconnect(chantVxmlDisconnect);

chantVxmlExceptionHandler.RemoveDisconnect(chantVxmlDisconnect)

Parameters

chantVxmlDisconnect

Object. The ChantVxmlDisconnect object to remove.

Collapse/Expand See Also section See Also

AddDisconnect
ChantVxmlDisconnect
ChantVxmlExceptionHandler


ChantVxmlExceptionHandler RemoveEnumerate Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveEnumerate Method

Removes an enumerate from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveEnumerate(chantVxmlEnumerate);

chantVxmlExceptionHandler->RemoveEnumerate(chantVxmlEnumerate);

chantVxmlExceptionHandler->RemoveEnumerate(chantVxmlEnumerate);

chantVxmlExceptionHandler.RemoveEnumerate(chantVxmlEnumerate);

chantVxmlExceptionHandler.removeEnumerate(chantVxmlEnumerate);

chantVxmlExceptionHandler.RemoveEnumerate(chantVxmlEnumerate)

Parameters

chantVxmlEnumerate

Object. The ChantVxmlEnumerate object to remove.

Collapse/Expand See Also section See Also

AddEnumerate
ChantVxmlEnumerate
ChantVxmlExceptionHandler


ChantVxmlExceptionHandler RemoveExit Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveExit Method

Removes an exit from the document.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveExit(chantVxmlExit);

chantVxmlExceptionHandler->RemoveExit(chantVxmlExit);

chantVxmlExceptionHandler->RemoveExit(chantVxmlExit);

chantVxmlExceptionHandler.RemoveExit(chantVxmlExit);

chantVxmlExceptionHandler.removeExit(chantVxmlExit);

chantVxmlExceptionHandler.RemoveExit(chantVxmlExit)

Parameters

chantVxmlExit

Object. The ChantVxmlExit object to remove.

Collapse/Expand See Also section See Also

AddExit
ChantVxmlExceptionHandler
ChantVxmlExit


ChantVxmlExceptionHandler RemoveGoto Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveGoto Method

Removes a goto from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveGoto(chantVxmlGoto);

chantVxmlExceptionHandler->RemoveGoto(chantVxmlGoto);

chantVxmlExceptionHandler->RemoveGoto(chantVxmlGoto);

chantVxmlExceptionHandler.RemoveGoto(chantVxmlGoto);

chantVxmlExceptionHandler.removeGoto(chantVxmlGoto);

chantVxmlExceptionHandler.RemoveGoto(chantVxmlGoto)

Parameters

chantVxmlGoto

Object. The ChantVxmlGoto object to remove.

Collapse/Expand See Also section See Also

AddGoto
ChantVxmlExceptionHandler
ChantVxmlGoto


ChantVxmlExceptionHandler RemoveIf Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveIf Method

Removes an if from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveIf(chantVxmlIf);

chantVxmlExceptionHandler->RemoveIf(chantVxmlIf);

chantVxmlExceptionHandler->RemoveIf(chantVxmlIf);

chantVxmlExceptionHandler.RemoveIf(chantVxmlIf);

chantVxmlExceptionHandler.removeIf(chantVxmlIf);

chantVxmlExceptionHandler.RemoveIf(chantVxmlIf)

Parameters

chantVxmlIf

Object. The ChantVxmlIf object to remove.

Collapse/Expand See Also section See Also

AddIf
ChantVxmlExceptionHandler
ChantVxmlIf


ChantVxmlExceptionHandler RemoveLog Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveLog Method

Removes a log message from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveLog(chantVxmlLog);

chantVxmlExceptionHandler->RemoveLog(chantVxmlLog);

chantVxmlExceptionHandler->RemoveLog(chantVxmlLog);

chantVxmlExceptionHandler.RemoveLog(chantVxmlLog);

chantVxmlExceptionHandler.removeLog(chantVxmlLog);

chantVxmlExceptionHandler.RemoveLog(chantVxmlLog)

Parameters

chantVxmlLog

Object. The ChantVxmlLog object to remove.

Collapse/Expand See Also section See Also

AddLog
ChantVxmlExceptionHandler
ChantVxmlLog


ChantVxmlExceptionHandler RemovePrompt Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemovePrompt Method

Removes a prompt from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemovePrompt(chantVxmlPrompt);

chantVxmlExceptionHandler->RemovePrompt(chantVxmlPrompt);

chantVxmlExceptionHandler->RemovePrompt(chantVxmlPrompt);

chantVxmlExceptionHandler.RemovePrompt(chantVxmlPrompt);

chantVxmlExceptionHandler.removePrompt(chantVxmlPrompt);

chantVxmlExceptionHandler.RemovePrompt(chantVxmlPrompt)

Parameters

chantVxmlPrompt

Object. The ChantVxmlPrompt object to remove.

Collapse/Expand See Also section See Also

AddPrompt
ChantVxmlExceptionHandler
ChantVxmlPrompt


ChantVxmlExceptionHandler RemoveReprompt Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveReprompt Method

Removes a reprompt from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveReprompt(chantVxmlReprompt);

chantVxmlExceptionHandler->RemoveReprompt(chantVxmlReprompt);

chantVxmlExceptionHandler->RemoveReprompt(chantVxmlReprompt);

chantVxmlExceptionHandler.RemoveReprompt(chantVxmlReprompt);

chantVxmlExceptionHandler.removeReprompt(chantVxmlReprompt);

chantVxmlExceptionHandler.RemoveReprompt(chantVxmlReprompt)

Parameters

chantVxmlReprompt

Object. The ChantVxmlReprompt object to remove.

Collapse/Expand See Also section See Also

AddReprompt
ChantVxmlExceptionHandler
ChantVxmlReprompt


ChantVxmlExceptionHandler RemoveReturn Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveReturn Method

Removes a return from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveReturn(chantVxmlReturn);

chantVxmlExceptionHandler->RemoveReturn(chantVxmlReturn);

chantVxmlExceptionHandler->RemoveReturn(chantVxmlReturn);

chantVxmlExceptionHandler.RemoveReturn(chantVxmlReturn);

chantVxmlExceptionHandler.removeReturn(chantVxmlReturn);

chantVxmlExceptionHandler.RemoveReturn(chantVxmlReturn)

Parameters

chantVxmlReturn

Object. The ChantVxmlReturn object to remove.

Collapse/Expand See Also section See Also

AddReturn
ChantVxmlExceptionHandler
ChantVxmlReturn


ChantVxmlExceptionHandler RemoveScript Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveScript Method

Removes a script from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveScript(chantVxmlScript);

chantVxmlExceptionHandler->RemoveScript(chantVxmlScript);

chantVxmlExceptionHandler->RemoveScript(chantVxmlScript);

chantVxmlExceptionHandler.RemoveScript(chantVxmlScript);

chantVxmlExceptionHandler.removeScript(chantVxmlScript);

chantVxmlExceptionHandler.RemoveScript(chantVxmlScript)

Parameters

chantVxmlScript

Object. The ChantVxmlScript object to remove.

Collapse/Expand See Also section See Also

AddScript
ChantVxmlExceptionHandler
ChantVxmlScript


ChantVxmlExceptionHandler RemoveSubmit Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveSubmit Method

Removes a submit from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveSubmit(chantVxmlSubmit);

chantVxmlExceptionHandler->RemoveSubmit(chantVxmlSubmit);

chantVxmlExceptionHandler->RemoveSubmit(chantVxmlSubmit);

chantVxmlExceptionHandler.RemoveSubmit(chantVxmlSubmit);

chantVxmlExceptionHandler.removeSubmit(chantVxmlSubmit);

chantVxmlExceptionHandler.RemoveSubmit(chantVxmlSubmit)

Parameters

chantVxmlSubmit

Object. The ChantVxmlSubmit object to remove.

Collapse/Expand See Also section See Also

AddSubmit
ChantVxmlExceptionHandler
ChantVxmlSubmit


ChantVxmlExceptionHandler RemoveThrow Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveThrow Method

Removes a throw from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveThrow(chantVxmlThrow);

chantVxmlExceptionHandler->RemoveThrow(chantVxmlThrow);

chantVxmlExceptionHandler->RemoveThrow(chantVxmlThrow);

chantVxmlExceptionHandler.RemoveThrow(chantVxmlThrow);

chantVxmlExceptionHandler.removeThrow(chantVxmlThrow);

chantVxmlExceptionHandler.RemoveThrow(chantVxmlThrow)

Parameters

chantVxmlThrow

Object. The ChantVxmlThrow object to remove.

Collapse/Expand See Also section See Also

AddThrow
ChantVxmlExceptionHandler
ChantVxmlThrow


ChantVxmlExceptionHandler RemoveValue Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveValue Method

Removes a value declaration from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveValue(chantVxmlValue);

chantVxmlExceptionHandler->RemoveValue(chantVxmlValue);

chantVxmlExceptionHandler->RemoveValue(chantVxmlValue);

chantVxmlExceptionHandler.RemoveValue(chantVxmlValue);

chantVxmlExceptionHandler.removeValue(chantVxmlValue);

chantVxmlExceptionHandler.RemoveValue(chantVxmlValue)

Parameters

chantVxmlValue

Object. The ChantVxmlValue object to remove.

Collapse/Expand See Also section See Also

AddValue
ChantVxmlExceptionHandler
ChantVxmlValue


ChantVxmlExceptionHandler RemoveVar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveVar Method

Removes a variable declaration from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlExceptionHandler.RemoveVar(chantVxmlVar);

chantVxmlExceptionHandler->RemoveVar(chantVxmlVar);

chantVxmlExceptionHandler->RemoveVar(chantVxmlVar);

chantVxmlExceptionHandler.RemoveVar(chantVxmlVar);

chantVxmlExceptionHandler.removeVar(chantVxmlVar);

chantVxmlExceptionHandler.RemoveVar(chantVxmlVar)

Parameters

chantVxmlVar

Object. The ChantVxmlVar object to remove.

Collapse/Expand See Also section See Also

AddVar
ChantVxmlExceptionHandler
ChantVxmlVar


ChantVxmlExit Class

Represents an <exit> element that is used to exit a session.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Expr | The new value of the variable.
Public property | Namelist | Variable names to be returned to interpreter context.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlExit Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

The new value of the variable.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlExit.Expr;
chantVxmlExit.Expr = expr;

wchar_t* expr = chantVxmlExit->GetExpr();
chantVxmlExit->SetExpr(expr);

String expr = chantVxmlExit->GetExpr();
chantVxmlExit->SetExpr(expr);

var expr: string;
expr := chantVxmlExit.Expr;
chantVxmlExit.Expr := expr;

String expr = chantVxmlExit.getExpr();
chantVxmlExit.setExpr(expr);

Dim expr As String
expr = chantVxmlExit.Expr
chantVxmlExit.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlExit


ChantVxmlExit Namelist Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Namelist Property

Variable names to be returned to interpreter context.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String namelist = chantVxmlExit.Namelist;
chantVxmlExit.Namelist = namelist;

wchar_t* namelist = chantVxmlExit->GetNamelist();
chantVxmlExit->SetNamelist(namelist);

String namelist = chantVxmlExit->GetNamelist();
chantVxmlExit->SetNamelist(namelist);

var namelist: string;
namelist := chantVxmlExit.Namelist;
chantVxmlExit.Namelist := namelist;

String namelist = chantVxmlExit.getNamelist();
chantVxmlExit.setNamelist(namelist);

Dim namelist As String
namelist = chantVxmlExit.Namelist
chantVxmlExit.Namelist = namelist

Collapse/Expand See Also section See Also

ChantVxmlExit


ChantVxmlField Class

Represents a <field> element that declares an input field in a form.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddFilled | Adds a filled handler to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddGrammar | Adds a grammar to the dialog.
Public method | AddLink | Adds a link to the dialog.
Public method | AddOption | Adds an option to the dialog.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddProperty | Adds a property declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveFilled | Removes a filled handler from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveGrammar | Removes a grammar from the dialog.
Public method | RemoveLink | Removes a link from the dialog.
Public method | RemoveOption | Removes an option from the dialog.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveProperty | Removes a property declaration from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlFormControl.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Cond | An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.
Public property | Expr | The initial value of the form item variable.
Public property | Modal | Specified whether the field grammars are modal.
Public property | Name | The form item variable in the dialog scope that will hold the result.
Public property | Slot | The name of the grammar slot used to populate the variable.
Public property | Type | The type of field, i.e., the name of a builtin grammar type.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlException
ChantVxmlFormControl
ChantVxmlMixedContentElement


ChantVxmlField AddGrammar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddGrammar Method

Adds a grammar to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlGrammar chantVxmlGrammar = chantVxmlField.AddGrammar();

CChantVxmlGrammar* chantVxmlGrammar = chantVxmlField->AddGrammar();

CChantVxmlGrammar* chantVxmlGrammar = chantVxmlField->AddGrammar();

var chantVxmlGrammar: TChantVxmlGrammar; chantVxmlGrammar := chantVxmlField.AddGrammar();

JChantVxmlGrammar chantVxmlGrammar = chantVxmlField.addGrammar();

Dim chantVxmlGrammar As NChantVxmlGrammar
chantVxmlGrammar = chantVxmlField.AddGrammar()

Parameters

None.

Return Value

Object. The ChantVxmlGrammar object.

Collapse/Expand See Also section See Also

ChantVxmlField
ChantVxmlGrammar
RemoveGrammar


ChantVxmlField AddLink Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddLink Method

Adds a link to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlLink chantVxmlLink = chantVxmlField.AddLink();

CChantVxmlLink* chantVxmlLink = chantVxmlField->AddLink();

CChantVxmlLink* chantVxmlLink = chantVxmlField->AddLink();

var chantVxmlLink: TChantVxmlLink; chantVxmlLink := chantVxmlField.AddLink();

JChantVxmlLink chantVxmlLink = chantVxmlField.addLink();

Dim chantVxmlLink As NChantVxmlLink
chantVxmlLink = chantVxmlField.AddLink()

Parameters

None.

Return Value

Object. The ChantVxmlLink object.

Collapse/Expand See Also section See Also

ChantVxmlField
ChantVxmlLink
RemoveLink


ChantVxmlField AddOption Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddOption Method

Adds an option to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlOption chantVxmlOption = chantVxmlField.AddOption();

CChantVxmlOption* chantVxmlOption = chantVxmlField->AddOption();

CChantVxmlOption* chantVxmlOption = chantVxmlField->AddOption();

var chantVxmlOption: TChantVxmlOption; chantVxmlOption := chantVxmlField.AddOption();

JChantVxmlOption chantVxmlOption = chantVxmlField.addOption();

Dim chantVxmlOption As NChantVxmlOption
chantVxmlOption = chantVxmlField.AddOption()

Parameters

None.

Return Value

Object. The ChantVxmlOption object.

Collapse/Expand See Also section See Also

ChantVxmlField
ChantVxmlOption
RemoveOption


ChantVxmlField Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String cond = chantVxmlField.Cond;
chantVxmlField.Cond = cond;

wchar_t* cond = chantVxmlField->GetCond();
chantVxmlField->SetCond(cond);

String cond = chantVxmlField->GetCond();
chantVxmlField->SetCond(cond);

var cond: string;
cond := chantVxmlField.Cond;
chantVxmlField.Cond := cond;

String cond = chantVxmlField.getCond();
chantVxmlField.setCond(cond);

Dim cond As String
cond = chantVxmlField.Cond
chantVxmlField.Cond = cond

Collapse/Expand See Also section See Also

ChantVxmlField


ChantVxmlField Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

The initial value of the form item variable.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlField.Expr;
chantVxmlField.expr = stringVal;

wchar_t* expr = chantVxmlField->GetExpr();
chantVxmlField->SetExpr(expr);

String expr = chantVxmlField->GetExpr();
chantVxmlField->SetExpr(expr);

var expr: string;
expr := chantVxmlField.Expr;
chantVxmlField.Expr := expr;

String expr = chantVxmlField.getExpr();
chantVxmlField.setExpr(expr);

Dim expr As String
expr = chantVxmlField.Expr
chantVxmlField.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlField


ChantVxmlField Modal Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Modal Property

Specified whether the field grammars are modal.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool modal = chantVxmlField.Modal;
chantVxmlField.Modal = fModal;

bool modal = chantVxmlField->GetModal();
chantVxmlField->SetModal(fModal);

bool modal = chantVxmlField->GetModal();
chantVxmlField->SetModal(modal);

var modal: Boolean;
modal := chantVxmlField.Modal;
chantVxmlField.Modal := modal;

boolean modal = chantVxmlField.getModal();
chantVxmlField.setModal(modal);

Dim modal As Boolean
modal = chantVxmlField.Modal
chantVxmlField.Modal = modal

Collapse/Expand See Also section See Also

ChantVxmlField


ChantVxmlField Name Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Name Property

The form item variable in the dialog scope that will hold the result.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantVxmlField.Name;
chantVxmlField.Name = name;

wchar_t* name = chantVxmlField->GetName();
chantVxmlField->SetName(name);

String name = chantVxmlField->GetName();
chantVxmlField->SetName(name);

var name: string;
name := chantVxmlField.Name;
chantVxmlField.Name := name;

String name = chantVxmlField.getName();
chantVxmlField.setName(name);

Dim name As String
name = chantVxmlField.Name
chantVxmlField.Name = name

Collapse/Expand See Also section See Also

ChantVxmlField


ChantVxmlField RemoveGrammar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveGrammar Method

Removes a grammar from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlField.RemoveGrammar(chantVxmlGrammar);

chantVxmlField->RemoveGrammar(chantVxmlGrammar);

chantVxmlField->RemoveGrammar(chantVxmlGrammar);

chantVxmlField.RemoveGrammar(chantVxmlGrammar);

chantVxmlField.removeGrammar(chantVxmlGrammar);

chantVxmlField.RemoveGrammar(chantVxmlGrammar)

Parameters

chantVxmlGrammar

Object. The ChantVxmlGrammar object to remove.

Collapse/Expand See Also section See Also

AddGrammar
ChantVxmlField
ChantVxmlGrammar


ChantVxmlField RemoveLink Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveLink Method

Removes a link from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlField.RemoveLink(chantVxmlLink);

chantVxmlField->RemoveLink(chantVxmlLink);

chantVxmlField->RemoveLink(chantVxmlLink);

chantVxmlField.RemoveLink(chantVxmlLink);

chantVxmlField.removeLink(chantVxmlLink);

chantVxmlField.RemoveLink(chantVxmlLink)

Parameters

chantVxmlLink

Object. The ChantVxmlLink object to remove.

Collapse/Expand See Also section See Also

AddLink
ChantVxmlField
ChantVxmlLink


ChantVxmlField RemoveOption Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveOption Method

Removes an option from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlField.RemoveOption(chantVxmlOption);

chantVxmlField->RemoveOption(chantVxmlOption);

chantVxmlField->RemoveOption(chantVxmlOption);

chantVxmlField.RemoveOption(chantVxmlOption);

chantVxmlField.removeOption(chantVxmlOption);

chantVxmlField.RemoveOption(chantVxmlOption)

Parameters

chantVxmlOption

Object. The ChantVxmlOption object to remove.

Collapse/Expand See Also section See Also

AddOption
ChantVxmlField
ChantVxmlOption


ChantVxmlField Slot Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Slot Property

The name of the grammar slot used to populate the variable.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String slot = chantVxmlField.Slot;
chantVxmlField.Slot = slot;

wchar_t* slot = chantVxmlField->GetSlot();
chantVxmlField->SetSlot(slot);

String slot = chantVxmlField->GetSlot();
chantVxmlField->SetSlot(slot);

var slot: string;
slot := chantVxmlField.Slot;
chantVxmlField.Slot := slot;

String slot = chantVxmlField.getSlot();
chantVxmlField.setSlot(slot);

Dim slot As String
slot = chantVxmlField.Slot
chantVxmlField.Slot = slot

Collapse/Expand See Also section See Also

ChantVxmlField


ChantVxmlField Type Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Type Property

The type of field, i.e., the name of a builtin grammar type.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLBuiltinGrammar eVXMLBuiltinGrammar = chantVxmlField.Type;
chantVxmlField.Type = eVXMLBuiltinGrammar;

VXMLBuiltinGrammar eVXMLBuiltinGrammar = chantVxmlField->GetType();
chantVxmlField->SetType(eVXMLBuiltinGrammar);

VXMLBuiltinGrammar eVXMLBuiltinGrammar = chantVxmlField->GetType();
chantVxmlField->SetType(eVXMLBuiltinGrammar);

var eVXMLBuiltinGrammar: VXMLBuiltinGrammar;
eVXMLBuiltinGrammar := chantVxmlField.Type;
chantVxmlField.Type := eVXMLBuiltinGrammar;

int eVXMLBuiltinGrammar = chantVxmlField.getType();
chantVxmlField.setType(eVXMLBuiltinGrammar);

Dim eVXMLBuiltinGrammar As Type
eVXMLBuiltinGrammar = chantVxmlField.Type
chantVxmlField.Type = eVXMLBuiltinGrammar

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLBuiltinGrammar constant values.

Constant | Value | Description
None | 0 | None.
Boolean | 1 | A grammar that recognizes boolean choices: true or false.
Date | 2 | A grammar that recognizes dates.
Digits | 3 | A grammar that recognizes digits.
Currency | 4 | A grammar that recognizes currency amounts.
Number | 5 | A grammar that recognizes numbers.
Phone | 6 | A grammar that recognizes phone numbers.
Time | 7 | A grammar that recognizes time.

Collapse/Expand See Also section See Also

ChantVxmlField


ChantVxmlFilled Class

Represents a <filled> element that is an action executed when fields are filled.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAssign | Adds a variable assignment to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddClear | Adds a variable clear to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddDisconnect | Adds a disconnect to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddExit | Adds an exit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddGoto | Adds a goto to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddIf | Adds an if to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddLog | Adds a log message to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReprompt | Adds a reprompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReturn | Adds a return to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddScript | Adds a script to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddSubmit | Adds a submit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddThrow | Adds a throw to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddVar | Adds a variable declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAssign | Removes a variable assignment from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveClear | Removes a variable clear from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveDisconnect | Removes a disconnect from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveExit | Removes an exit from the document. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveGoto | Removes a goto from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveIf | Removes an if from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveLog | Removes a log message from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReprompt | Removes a reprompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReturn | Removes a return from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveScript | Removes a script from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveSubmit | Removes a submit from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveThrow | Removes a throw from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveVar | Removes a variable declaration from the dialog. Inherits from ChantVxmlExceptionHandler.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Mode | Specifies whether all fields must be filled.
Public property | Namelist | The input items to trigger on.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlExceptionHandler
ChantVxmlMixedContentElement


ChantVxmlFilled Mode Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Mode Property

Specifies whether all fields must be filled.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLMode eVXMLMode = chantVxmlFilled.Mode;
chantVxmlFilled.Mode = eVXMLMode;

VXMLMode eVXMLMode = chantVxmlFilled->GetMode();
chantVxmlFilled->SetMode(eVXMLMode);

VXMLMode eVXMLMode = chantVxmlFilled->GetMode();
chantVxmlFilled->SetMode(eVXMLMode);

var eVXMLMode: VXMLMode;
eVXMLMode := chantVxmlFilled.Mode;
chantVxmlFilled.Mode := eVXMLMode;

int eVXMLMode = chantVxmlFilled.getMode();
chantVxmlFilled.setMode(eVXMLMode);

Dim eVXMLMode As Mode
eVXMLMode = chantVxmlFilled.Mode
chantVxmlFilled.Mode = eVXMLMode

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLMode constant values.

Constant | Value | Description
All | 0 | The filled action is executed when all of the mentioned input items are filled, and at least one has been filled by the last user input.
Any | 1 | The filled event action is executed when any of the specified input items is filled by the last user input.

Collapse/Expand See Also section See Also

ChantVxmlFilled


ChantVxmlFilled Namelist Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Namelist Property

The input items to trigger on.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String namelist = chantVxmlFilled.Namelist;
chantVxmlFilled.Namelist = namelist;

wchar_t* namelist = chantVxmlFilled->GetNamelist();
chantVxmlFilled->SetNamelist(namelist);

String namelist = chantVxmlFilled->GetNamelist();
chantVxmlFilled->SetNamelist(namelist);

var namelist: string;
namelist := chantVxmlFilled.Namelist;
chantVxmlFilled.Namelist := namelist;

String namelist = chantVxmlFilled.getNamelist();
chantVxmlFilled.setNamelist(namelist);

Dim namelist As String
namelist = chantVxmlFilled.Namelist
chantVxmlFilled.Namelist = namelist

Collapse/Expand See Also section See Also

ChantVxmlFilled


ChantVxmlForeach Class

Represents a <foreach> element that allows a VoiceXML application to iterate through an ECMAScript array and to execute the content contained within the <foreach> element for each item in the array.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAssign | Adds a variable assignment to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddClear | Adds a variable clear to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddData | Adds XML data to the document.
Public method | AddDisconnect | Adds a disconnect to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddExit | Adds an exit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddForeach | Adds a foreach to the dialog.
Public method | AddGoto | Adds a goto to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddIf | Adds an if to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddLog | Adds a log message to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReprompt | Adds a reprompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReturn | Adds a return to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddScript | Adds a script to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddSubmit | Adds a submit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddThrow | Adds a throw to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddVar | Adds a variable declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAssign | Removes a variable assignment from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveClear | Removes a variable clear from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveData | Removes XML data from the document.
Public method | RemoveDisconnect | Removes a disconnect from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveExit | Removes an exit from the document. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveForeach | Removes a foreach from the dialog.
Public method | RemoveGoto | Removes a goto from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveIf | Removes an if from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveLog | Removes a log message from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReprompt | Removes a reprompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReturn | Removes a return from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveScript | Removes a script from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveSubmit | Removes a submit from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveThrow | Removes a throw from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveVar | Removes a variable declaration from the dialog. Inherits from ChantVxmlExceptionHandler.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Array | An ECMAScript expression that must evaluate to an ECMAScript array.
Public property | Item | The variable that stores each array item upon each iteration of the loop.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlExceptionHandler
ChantVxmlMixedContentElement


ChantVxmlForeach AddData Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddData Method

Adds XML data to the document.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlData chantVxmlData = chantVxmlForeach.AddData();

CChantVxmlData* chantVxmlData = chantVxmlForeach->AddData();

CChantVxmlData* chantVxmlData = chantVxmlForeach->AddData();

var chantVxmlData: TChantVxmlData; chantVxmlData := chantVxmlForeach.AddData();

JChantVxmlData chantVxmlData = chantVxmlForeach.addData();

Dim chantVxmlData As NChantVxmlData
chantVxmlData = chantVxmlForeach.AddData()

Parameters

None.

Return Value

Object. The ChantVxmlData object.

Collapse/Expand See Also section See Also

ChantVxmlData
ChantVxmlForeach
RemoveData


ChantVxmlForeach AddForeach Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddForeach Method

Adds a foreach to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlForeach chantVxmlForeach = chantVxmlForeach.AddForeach();

CChantVxmlForeach* chantVxmlForeach = chantVxmlForeach->AddForeach();

CChantVxmlForeach* chantVxmlForeach = chantVxmlForeach->AddForeach();

var chantVxmlForeach: TChantVxmlForeach; chantVxmlForeach := chantVxmlForeach.AddForeach();

JChantVxmlForeach chantVxmlForeach = chantVxmlForeach.addForeach();

Dim chantVxmlForeach As NChantVxmlForeach
chantVxmlForeach = chantVxmlForeach.AddForeach()

Parameters

None.

Return Value

Object. The ChantVxmlForeach object.

Collapse/Expand See Also section See Also

ChantVxmlForeach
RemoveForeach


ChantVxmlForeach Array Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Array Property

An ECMAScript expression that must evaluate to an ECMAScript array.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String array = chantVxmlForeach.Array;
chantVxmlForeach.Array = array;

wchar_t* array = chantVxmlForeach->GetArray();
chantVxmlForeach->SetArray(array);

String array = chantVxmlForeach->GetArray();
chantVxmlForeach->SetArray(array);

var array: string;
array := chantVxmlForeach.Array;
chantVxmlForeach.Array := array;

String stringVal = chantVxmlForeach.getArray();
chantVxmlForeach.setArray(stringVal);

Dim array As String
array = chantVxmlForeach.Array
chantVxmlForeach.Array = array

Collapse/Expand See Also section See Also

ChantVxmlForeach


ChantVxmlForeach Item Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Item Property

The variable that stores each array item upon each iteration of the loop.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String item = chantVxmlForeach.Item;
chantVxmlForeach.Item = item;

wchar_t* item = chantVxmlForeach->GetItem();
chantVxmlForeach->SetItem(item);

String item = chantVxmlForeach->GetItem();
chantVxmlForeach->SetItem(item);

var item: string;
item := chantVxmlForeach.Item;
chantVxmlForeach.Item := item;

String item = chantVxmlForeach.getItem();
chantVxmlForeach.setItem(item);

Dim item As String
item = chantVxmlForeach.Item
chantVxmlForeach.Item = item

Collapse/Expand See Also section See Also

ChantVxmlForeach


ChantVxmlForeach RemoveData Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveData Method

Removes XML data from the document.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlForeach.RemoveData(chantVxmlData);

chantVxmlForeach->RemoveData(chantVxmlData);

chantVxmlForeach->RemoveData(chantVxmlData);

chantVxmlForeach.RemoveData(chantVxmlData);

chantVxmlForeach.removeData(chantVxmlData);

chantVxmlForeach.RemoveData(chantVxmlData)

Parameters

chantVxmlData

Object. The ChantVxmlData object to remove.

Collapse/Expand See Also section See Also

AddData
ChantVxmlData
ChantVxmlForeach


ChantVxmlForeach RemoveForeach Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveForeach Method

Removes a foreach from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlForeach.RemoveForeach(chantVxmlForeach);

chantVxmlForeach->RemoveForeach(chantVxmlForeach);

chantVxmlForeach->RemoveForeach(chantVxmlForeach);

chantVxmlForeach.RemoveForeach(chantVxmlForeach);

chantVxmlForeach.removeForeach(chantVxmlForeach);

chantVxmlForeach.RemoveForeach(chantVxmlForeach)

Parameters

chantVxmlForeach

Object. The ChantVxmlForeach object to remove.

Collapse/Expand See Also section See Also

AddForeach
ChantVxmlForeach


ChantVxmlForm Class

Represents a <form> element that is a dialog for presenting information and collecting data.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddCatch | Adds a catch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddError | Adds an error handler to the dialog. Inherits from ChantVxmlException.
Public method | AddHelp | Adds a help handler to the dialog. Inherits from ChantVxmlException.
Public method | AddLink | Adds a link to the dialog.
Public method | AddNoinput | Adds a noinput handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNomatch | Adds a nomatch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddProperty | Adds a property to the dialog.
Public method | AddScript | Adds a Script to the dialog.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddVar | Adds a variable declaration to the dialog.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveCatch | Removes a catch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveError | Removes an error handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveHelp | Removes a help handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveLink | Removes a link from the dialog.
Public method | RemoveNoinput | Removes a noinput handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNomatch | Removes a nomatch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveProperty | Removes a property from the dialog.
Public method | RemoveScript | Removes a script from the dialog.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveVar | Removes a variable declaration from the dialog.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ID | The name of the form.
Public property | Scope | The default scope of the form's grammars.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlException
ChantVxmlMixedContentElement


ChantVxmlForm AddLink Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddLink Method

Adds a link to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlLink chantVxmlLink = chantVxmlForm.AddLink();

CChantVxmlLink* chantVxmlLink = chantVxmlForm->AddLink();

CChantVxmlLink* chantVxmlLink = chantVxmlForm->AddLink();

var chantVxmlLink: TChantVxmlLink; chantVxmlLink := chantVxmlForm.AddLink();

JChantVxmlLink chantVxmlLink = chantVxmlForm.addLink();

Dim chantVxmlLink As NChantVxmlLink
chantVxmlLink = chantVxmlForm.AddLink()

Parameters

None.

Return Value

Object. The ChantVxmlLink object.

Collapse/Expand See Also section See Also

ChantVxmlForm
ChantVxmlLink
RemoveLink


ChantVxmlForm AddProperty Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddProperty Method

Adds a property declaration to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlProperty chantVxmlProperty = chantVxmlForm.AddProperty();

CChantVxmlProperty* chantVxmlProperty = chantVxmlForm->AddProperty();

CChantVxmlProperty* chantVxmlProperty = chantVxmlForm->AddProperty();

var chantVxmlProperty: TChantVxmlProperty; chantVxmlProperty := chantVxmlForm.AddProperty();

JChantVxmlProperty chantVxmlProperty = chantVxmlForm.addProperty();

Dim chantVxmlProperty As NChantVxmlProperty
chantVxmlProperty = chantVxmlForm.AddProperty()

Parameters

None.

Return Value

Object. The ChantVxmlProperty object.

Collapse/Expand See Also section See Also

ChantVxmlForm
ChantVxmlProperty
RemoveProperty


ChantVxmlForm AddScript Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddScript Method

Adds a script to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlScript chantVxmlScript = chantVxmlForm.AddScript();

CChantVxmlScript* chantVxmlScript = chantVxmlForm->AddScript();

CChantVxmlScript* chantVxmlScript = chantVxmlForm->AddScript();

var chantVxmlScript: TChantVxmlScript; chantVxmlScript := chantVxmlForm.AddScript();

JChantVxmlScript chantVxmlScript = chantVxmlForm.addScript();

Dim chantVxmlScript As NChantVxmlScript
chantVxmlScript = chantVxmlForm.AddScript()

Parameters

None.

Return Value

Object. The ChantVxmlScript object.

Collapse/Expand See Also section See Also

ChantVxmlForm
ChantVxmlScript
RemoveScript


ChantVxmlForm AddVar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddVar Method

Adds a variable declaration to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlVar chantVxmlVar = chantVxmlForm.AddVar();

CChantVxmlVar* chantVxmlVar = chantVxmlForm->AddVar();

CChantVxmlVar* chantVxmlVar = chantVxmlForm->AddVar();

var chantVxmlVar: TChantVxmlVar; chantVxmlVar := chantVxmlForm.AddVar();

JChantVxmlVar chantVxmlVar = chantVxmlForm.addVar();

Dim chantVxmlVar As NChantVxmlVar
chantVxmlVar = chantVxmlForm.AddVar()

Parameters

None.

Return Value

Object. The ChantVxmlVar object.

Collapse/Expand See Also section See Also

ChantVxmlForm
ChantVxmlVar
RemoveVar


ChantVxmlForm ID Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

ID Property

The name of the form.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String id = chantVxmlForm.ID;
chantVxmlForm.ID = id;

wchar_t* id = chantVxmlForm->GetID();
chantVxmlForm->SetID(id);

String id = chantVxmlForm->GetID();
chantVxmlForm->SetID(id);

var id: string;
id := chantVxmlForm.ID;
chantVxmlForm.ID := id;

String id = chantVxmlForm.getID();
chantVxmlForm.setID(id);

Dim id As String
id = chantVxmlForm.ID
chantVxmlForm.ID = id

Collapse/Expand See Also section See Also

ChantVxmlForm


ChantVxmlForm RemoveLink Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveLink Method

Removes a link from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlForm.RemoveLink(chantVxmlLink);

chantVxmlForm->RemoveLink(chantVxmlLink);

chantVxmlForm->RemoveLink(chantVxmlLink);

chantVxmlForm.RemoveLink(chantVxmlLink);

chantVxmlForm.removeLink(chantVxmlLink);

chantVxmlForm.RemoveLink(chantVxmlLink)

Parameters

chantVxmlLink

Object. The ChantVxmlLink object to remove.

Collapse/Expand See Also section See Also

AddLink
ChantVxmlForm
ChantVxmlLink


ChantVxmlForm RemoveProperty Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveProperty Method

Removes a property declaration from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlForm.RemoveProperty(chantVxmlProperty);

chantVxmlForm->RemoveProperty(chantVxmlProperty);

chantVxmlForm->RemoveProperty(chantVxmlProperty);

chantVxmlForm.RemoveProperty(chantVxmlProperty);

chantVxmlForm.removeProperty(chantVxmlProperty);

chantVxmlForm.RemoveProperty(chantVxmlProperty)

Parameters

chantVxmlProperty

Object. The ChantVxmlProperty object to remove.

Collapse/Expand See Also section See Also

AddProperty
ChantVxmlForm
ChantVxmlProperty


ChantVxmlForm RemoveScript Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveScript Method

Removes a script from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlForm.RemoveScript(chantVxmlScript);

chantVxmlForm->RemoveScript(chantVxmlScript);

chantVxmlForm->RemoveScript(chantVxmlScript);

chantVxmlForm.RemoveScript(chantVxmlScript);

chantVxmlForm.removeScript(chantVxmlScript);

chantVxmlForm.RemoveScript(chantVxmlScript)

Parameters

chantVxmlScript

Object. The ChantVxmlScript object to remove.

Collapse/Expand See Also section See Also

AddScript
ChantVxmlForm
ChantVxmlScript


ChantVxmlForm RemoveVar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveVar Method

Removes a variable declaration from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlForm.RemoveVar(chantVxmlVar);

chantVxmlForm->RemoveVar(chantVxmlVar);

chantVxmlForm->RemoveVar(chantVxmlVar);

chantVxmlForm.RemoveVar(chantVxmlVar);

chantVxmlForm.removeVar(chantVxmlVar);

chantVxmlForm.RemoveVar(chantVxmlVar)

Parameters

chantVxmlVar

Object. The ChantVxmlVar object to remove.

Collapse/Expand See Also section See Also

AddVar
ChantVxmlForm
ChantVxmlVar


ChantVxmlForm Scope Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Scope Property

Either document, which makes the grammar active in all dialogs of the current document (and relevant application leaf documents), or dialog, to make the grammar active throughout the current form.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLScope eVXMLScope = chantVxmlForm.Scope;
chantVxmlForm.Scope = eVXMLScope;

VXMLScope eVXMLScope = chantVxmlForm->GetScope();
chantVxmlForm->SetScope(eVXMLScope);

VXMLScope eVXMLScope = chantVxmlForm->GetScope();
chantVxmlForm->SetScope(eVXMLScope);

var eVXMLScope: VXMLScope;
eVXMLScope := chantVxmlForm.Scope;
chantVxmlForm.Scope := eVXMLScope;

int eVXMLScope = chantVxmlForm.getScope();
chantVxmlForm.setScope(eVXMLScope);

Dim eVXMLScope As Scope
eVXMLScope = chantVxmlForm.Scope
chantVxmlForm.Scope = eVXMLScope

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLScope constant values.

Constant | Value | Description
Dialog | 0 | Grammar enabled within the context of the dialog.
Document | 1 | Grammar enabled within the content of the document./td>

Collapse/Expand See Also section See Also

ChantVxmlForm


ChantVxmlFormControl Class

Represents a VoiceXML form control element.

Collapse/Expand Remarks section Remarks

This class serves as a parent class for form control elements.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAudio | Adds an audio playback to the dialog.
Public method | AddCatch | Adds a catch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddEnumerate | Adds an enumerate to the dialog.
Public method | AddError | Adds an error handler to the dialog. Inherits from ChantVxmlException.
Public method | AddFilled | Adds a filled handler to the dialog.
Public method | AddHelp | Adds a help handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNoinput | Adds a noinput handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNomatch | Adds a nomatch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddPrompt | Adds a prompt to the dialog.
Public method | AddProperty | Adds a property declaration to the dialog.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddValue | Adds a value declaration to the dialog.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAudio | Removes an audio playback from the dialog.
Public method | RemoveCatch | Removes a catch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveEnumerate | Removes an enumerate from the dialog.
Public method | RemoveError | Removes an error handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveFilled | Removes a filled handler from the dialog.
Public method | RemoveHelp | Removes a help handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNoinput | Removes a noinput handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNomatch | Removes a nomatch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemovePrompt | Removes a prompt from the dialog.
Public method | RemoveProperty | Removes a property declaration from the dialog.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveValue | Removes a value declaration from the dialog.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlException
ChantVxmlMixedContentElement


ChantVxmlFormControl AddAudio Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddAudio Method

Adds an audio playback to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlAudio nChantVxmlAudio = nChantVxmlFormControl.AddAudio();

CChantVxmlAudio* pChantVxmlAudio = pChantVxmlFormControl->AddAudio();

CChantVxmlAudio* pChantVxmlAudio = pChantVxmlFormControl->AddAudio();

var aTChantVxmlAudio: TChantVxmlAudio; aTChantVxmlAudio := aTChantVxmlFormControl.AddAudio();

JChantVxmlAudio jChantVxmlAudio = jChantVxmlFormControl.addAudio();

Dim nChantVxmlAudio As NChantVxmlAudio
nChantVxmlAudio = nChantVxmlFormControl.AddAudio()

Parameters

None.

Return Value

Object. The ChantVxmlAudio object.

Collapse/Expand See Also section See Also

ChantVxmlAudio
ChantVxmlFormControl
RemoveAudio


ChantVxmlFormControl AddEnumerate Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddEnumerate Method

Adds an enumerate to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlEnumerate nChantVxmlEnumerate = nChantVxmlFormControl.AddEnumerate();

CChantVxmlEnumerate* pChantVxmlEnumerate = pChantVxmlFormControl->AddEnumerate();

CChantVxmlEnumerate* pChantVxmlEnumerate = pChantVxmlFormControl->AddEnumerate();

var aTChantVxmlEnumerate: TChantVxmlEnumerate; aTChantVxmlEnumerate := aTChantVxmlFormControl.AddEnumerate();

JChantVxmlEnumerate jChantVxmlEnumerate = jChantVxmlFormControl.addEnumerate();

Dim nChantVxmlEnumerate As NChantVxmlEnumerate
nChantVxmlEnumerate = nChantVxmlFormControl.AddEnumerate()

Parameters

None.

Return Value

Object. The ChantVxmlEnumerate object.

Collapse/Expand See Also section See Also

ChantVxmlEnumerate
ChantVxmlFormControl
RemoveEnumerate


ChantVxmlFormControl AddFilled Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddFilled Method

Adds a filled handler to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlFilled nChantVxmlFilled = nChantVxmlFormControl.AddFilled();

CChantVxmlFilled* pChantVxmlFilled = pChantVxmlFormControl->AddFilled();

CChantVxmlFilled* pChantVxmlFilled = pChantVxmlFormControl->AddFilled();

var aTChantVxmlFilled: TChantVxmlFilled; aTChantVxmlFilled := aTChantVxmlFormControl.AddFilled();

JChantVxmlFilled jChantVxmlFilled = jChantVxmlFormControl.addFilled();

Dim nChantVxmlFilled As NChantVxmlFilled
nChantVxmlFilled = nChantVxmlFormControl.AddFilled()

Parameters

None.

Return Value

Object. The ChantVxmlFilled object.

Collapse/Expand See Also section See Also

ChantVxmlFilled
ChantVxmlFormControl
RemoveFilled


ChantVxmlFormControl AddPrompt Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddPrompt Method

Adds a prompt to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlPrompt nChantVxmlPrompt = nChantVxmlFormControl.AddPrompt();

CChantVxmlPrompt* pChantVxmlPrompt = pChantVxmlFormControl->AddPrompt();

CChantVxmlPrompt* pChantVxmlPrompt = pChantVxmlFormControl->AddPrompt();

var aTChantVxmlPrompt: TChantVxmlPrompt; aTChantVxmlPrompt := aTChantVxmlFormControl.AddPrompt();

JChantVxmlPrompt jChantVxmlPrompt = jChantVxmlFormControl.addPrompt();

Dim nChantVxmlPrompt As NChantVxmlPrompt
nChantVxmlPrompt = nChantVxmlFormControl.AddPrompt()

Parameters

None.

Return Value

Object. The ChantVxmlPrompt object.

Collapse/Expand See Also section See Also

ChantVxmlPrompt
ChantVxmlFormControl
RemovePrompt


ChantVxmlFormControl AddProperty Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddProperty Method

Adds a property declaration to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlProperty nChantVxmlProperty = nChantVxmlFormControl.AddProperty();

CChantVxmlProperty* pChantVxmlProperty = pChantVxmlFormControl->AddProperty();

CChantVxmlProperty* pChantVxmlProperty = pChantVxmlFormControl->AddProperty();

var aTChantVxmlProperty: TChantVxmlProperty; aTChantVxmlProperty := aTChantVxmlFormControl.AddProperty();

JChantVxmlProperty jChantVxmlProperty = jChantVxmlFormControl.addProperty();

Dim nChantVxmlProperty As NChantVxmlProperty
nChantVxmlProperty = nChantVxmlFormControl.AddProperty()

Parameters

None.

Return Value

Object. The ChantVxmlProperty object.

Collapse/Expand See Also section See Also

ChantVxmlProperty
ChantVxmlFormControl
RemoveProperty


ChantVxmlFormControl AddValue Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddValue Method

Adds a value declaration to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlValue nChantVxmlValue = nChantVxmlFormControl.AddValue();

CChantVxmlValue* pChantVxmlValue = pChantVxmlFormControl->AddValue();

CChantVxmlValue* pChantVxmlValue = pChantVxmlFormControl->AddValue();

var aTChantVxmlValue: TChantVxmlValue; aTChantVxmlValue := aTChantVxmlFormControl.AddValue();

JChantVxmlValue jChantVxmlValue = jChantVxmlFormControl.addValue();

Dim nChantVxmlValue As NChantVxmlValue
nChantVxmlValue = nChantVxmlFormControl.AddValue()

Parameters

None.

Return Value

Object. The ChantVxmlValue object.

Collapse/Expand See Also section See Also

ChantVxmlValue
ChantVxmlFormControl
RemoveValue


ChantVxmlFormControl RemoveAudio Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveAudio Method

Removes an audio playback from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

nChantVxmlFormControl.RemoveAudio(nChantVxmlAudio);

pChantVxmlFormControl->RemoveAudio(pChantVxmlAudio);

pChantVxmlFormControl->RemoveAudio(pChantVxmlAudio);

aTChantVxmlFormControl.RemoveAudio(aTChantVxmlAudio);

jChantVxmlFormControl.removeAudio(jChantVxmlAudio);

nChantVxmlFormControl.RemoveAudio(nChantVxmlAudio)

Parameters

ChantVxmlAudio

Object. The ChantVxmlAudio to remove.

Collapse/Expand See Also section See Also

AddAudio
ChantVxmlAudio
ChantVxmlFormControl


ChantVxmlFormControl RemoveEnumerate Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveEnumerate Method

Removes an enumerate from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

nChantVxmlFormControl.RemoveEnumerate(nChantVxmlEnumerate);

pChantVxmlFormControl->RemoveEnumerate(pChantVxmlEnumerate);

pChantVxmlFormControl->RemoveEnumerate(pChantVxmlEnumerate);

aTChantVxmlFormControl.RemoveEnumerate(aTChantVxmlEnumerate);

jChantVxmlFormControl.removeEnumerate(jChantVxmlEnumerate);

nChantVxmlFormControl.RemoveEnumerate(nChantVxmlEnumerate)

Parameters

ChantVxmlEnumerate

Object. The ChantVxmlEnumerate to remove.

Collapse/Expand See Also section See Also

AddEnumerate
ChantVxmlEnumerate
ChantVxmlFormControl


ChantVxmlFormControl RemoveFilled Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveFilled Method

Removes a filled handler from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

nChantVxmlFormControl.RemoveFilled(nChantVxmlFilled);

pChantVxmlFormControl->RemoveFilled(pChantVxmlFilled);

pChantVxmlFormControl->RemoveFilled(pChantVxmlFilled);

aTChantVxmlFormControl.RemoveFilled(aTChantVxmlFilled);

jChantVxmlFormControl.removeFilled(jChantVxmlFilled);

nChantVxmlFormControl.RemoveFilled(nChantVxmlFilled)

Parameters

ChantVxmlFilled

Object. The ChantVxmlFilled to remove.

Collapse/Expand See Also section See Also

AddFilled
ChantVxmlFilled
ChantVxmlFormControl


ChantVxmlFormControl RemovePrompt Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemovePrompt Method

Removes a prompt from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

nChantVxmlFormControl.RemovePrompt(nChantVxmlPrompt);

pChantVxmlFormControl->RemovePrompt(pChantVxmlPrompt);

pChantVxmlFormControl->RemovePrompt(pChantVxmlPrompt);

aTChantVxmlFormControl.RemovePrompt(aTChantVxmlPrompt);

jChantVxmlFormControl.removePrompt(jChantVxmlPrompt);

nChantVxmlFormControl.RemovePrompt(nChantVxmlPrompt)

Parameters

ChantVxmlPrompt

Object. The ChantVxmlPrompt to remove.

Collapse/Expand See Also section See Also

AddPrompt
ChantVxmlPrompt
ChantVxmlFormControl


ChantVxmlFormControl RemoveProperty Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveProperty Method

Removes a property declaration from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

nChantVxmlFormControl.RemoveProperty(nChantVxmlProperty);

pChantVxmlFormControl->RemoveProperty(pChantVxmlProperty);

pChantVxmlFormControl->RemoveProperty(pChantVxmlProperty);

aTChantVxmlFormControl.RemoveProperty(aTChantVxmlProperty);

jChantVxmlFormControl.removeProperty(jChantVxmlProperty);

nChantVxmlFormControl.RemoveProperty(nChantVxmlProperty)

Parameters

ChantVxmlProperty

Object. The ChantVxmlProperty to remove.

Collapse/Expand See Also section See Also

AddProperty
ChantVxmlProperty
ChantVxmlFormControl


ChantVxmlFormControl RemoveValue Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveValue Method

Removes a value declaration from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

nChantVxmlFormControl.RemoveValue(nChantVxmlValue);

pChantVxmlFormControl->RemoveValue(pChantVxmlValue);

pChantVxmlFormControl->RemoveValue(pChantVxmlValue);

aTChantVxmlFormControl.RemoveValue(aTChantVxmlValue);

jChantVxmlFormControl.removeValue(jChantVxmlValue);

nChantVxmlFormControl.RemoveValue(nChantVxmlValue)

Parameters

ChantVxmlValue

Object. The ChantVxmlValue to remove.

Collapse/Expand See Also section See Also

AddValue
ChantVxmlValue
ChantVxmlFormControl


ChantVxmlGoto Class

Represents a <goto> element that transitions to another form item in the current form, another dialog in the current document, or another document.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Expr | An ECMAScript expression that yields the URI.
Public property | Expritem | An ECMAScript expression that yields the name of the next form item to visit.
Public property | Fetchaudio | The URI of the audio clip to play while the fetch is being done.
Public property | Fetchhint | Defines when the interpreter context should retrieve content from the server.
Public property | Fetchtimeout | The interval to wait for the content to be returned before throwing an error.badfetch event.
Public property | Maxage | Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.
Public property | Maxstale | Indicates that the document is willing to use content that has exceeded its expiration time.
Public property | Next | The URI to which to transition.
Public property | Nextitem | The name of the next form item to visit in the current form.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlGoto Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

An ECMAScript expression that yields the URI.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlGoto.Expr;
chantVxmlGoto.Expr = expr;

wchar_t* expr = chantVxmlGoto->GetExpr();
chantVxmlGoto->SetExpr(expr);

String expr = chantVxmlGoto->GetExpr();
chantVxmlGoto->SetExpr(expr);

var expr: string;
expr := chantVxmlGoto.Expr;
chantVxmlGoto.Expr := expr;

String expr = chantVxmlGoto.getExpr();
chantVxmlGoto.setExpr(expr);

Dim expr As String
expr = chantVxmlGoto.Expr
chantVxmlGoto.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlGoto


ChantVxmlGoto Expritem Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expritem Property

An ECMAScript expression that yields the name of the next form item to visit.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expritem = chantVxmlGoto.Expritem;
chantVxmlGoto.Expritem = expritem;

wchar_t* expritem = chantVxmlGoto->GetExpritem();
chantVxmlGoto->SetExpritem(expritem);

String expritem = chantVxmlGoto->GetExpritem();
chantVxmlGoto->SetExpritem(expritem);

var expritem: string;
expritem := chantVxmlGoto.Expritem;
chantVxmlGoto.Expritem := expritem;

String expritem = chantVxmlGoto.getExpritem();
chantVxmlGoto.setExpritem(expritem);

Dim expritem As String
expritem = chantVxmlGoto.Expritem
chantVxmlGoto.Expritem = expritem

Collapse/Expand See Also section See Also

ChantVxmlGoto


ChantVxmlGoto Fetchaudio Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchaudio Property

The URI of the audio clip to play while the fetch is being done.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String fetchaudio = chantVxmlGoto.Fetchaudio;
chantVxmlGoto.Fetchaudio = fetchaudio;

wchar_t* fetchaudio = chantVxmlGoto->GetFetchaudio();
chantVxmlGoto->SetFetchaudio(fetchaudio);

String fetchaudio = chantVxmlGoto->GetFetchaudio();
chantVxmlGoto->SetFetchaudio(fetchaudio);

var fetchaudio: string;
fetchaudio := chantVxmlGoto.Fetchaudio;
chantVxmlGoto.Fetchaudio := fetchaudio;

String fetchaudio = chantVxmlGoto.getFetchaudio();
chantVxmlGoto.setFetchaudio(fetchaudio);

Dim fetchaudio As String
fetchaudio = chantVxmlGoto.Fetchaudio
chantVxmlGoto.Fetchaudio = fetchaudio

Collapse/Expand See Also section See Also

ChantVxmlGoto


ChantVxmlGoto Fetchhint Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchhint Property

Defines when the interpreter context should retrieve content from the server.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLFetch eVXMLFetch = chantVxmlGoto.Fetchhint;
chantVxmlGoto.Fetchhint = eVXMLFetch;

VXMLFetch eVXMLFetch = chantVxmlGoto->GetFetchhint();
chantVxmlGoto->SetFetchhint(eVXMLFetch);

VXMLFetch eVXMLFetch = chantVxmlGoto->GetFetchhint();
chantVxmlGoto->SetFetchhint(eVXMLFetch);

var eVXMLFetch: VXMLFetch;
eVXMLFetch := chantVxmlGoto.Fetchhint;
chantVxmlGoto.Fetchhint := eVXMLFetch;

int eVXMLFetch = chantVxmlGoto.getFetchhint();
chantVxmlGoto.setFetchhint(eVXMLFetch);

Dim eVXMLFetch As Fetchhint
eVXMLFetch = chantVxmlGoto.Fetchhint
chantVxmlGoto.Fetchhint = eVXMLFetch

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLFetch constant values.

Constant | Value | Description
Prefetch | 0 | A file may be downloaded when the document is loaded.
Safe | 1 | A file should only be downloaded when actually needed.

Collapse/Expand See Also section See Also

ChantVxmlGoto


ChantVxmlGoto Fetchtimeout Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchtimeout Property

The interval to wait for the content to be returned before throwing an error.badfetch event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int fetchtimeout = chantVxmlGoto.Fetchtimeout;
chantVxmlGoto.Fetchtimeout = fetchtimeout;

long fetchtimeout = chantVxmlGoto->GetFetchtimeout();
chantVxmlGoto->SetFetchtimeout(fetchtimeout);

long fetchtimeout = chantVxmlGoto->GetFetchtimeout();
chantVxmlGoto->SetFetchtimeout(fetchtimeout);

var fetchtimeout: Integer;
fetchtimeout := chantVxmlGoto.Fetchtimeout;
chantVxmlGoto.Fetchtimeout := fetchtimeout;

int fetchtimeout = chantVxmlGoto.getFetchtimeout();
chantVxmlGoto.setFetchtimeout(fetchtimeout);

Dim fetchtimeout As Integer
fetchtimeout = chantVxmlGoto.Fetchtimeout
chantVxmlGoto.Fetchtimeout = fetchtimeout

Collapse/Expand See Also section See Also

ChantVxmlGoto


ChantVxmlGoto Maxage Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxage Property

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxage = chantVxmlGoto.Maxage;
chantVxmlGoto.Maxage = maxage;

long maxage = chantVxmlGoto->GetMaxage();
chantVxmlGoto->SetMaxage(maxage);

long maxage = chantVxmlGoto->GetMaxage(); chantVxmlGoto->SetMaxage(maxage);

var maxage: Integer;
maxage := chantVxmlGoto.Maxage;
chantVxmlGoto.Maxage := maxage;

int maxage = chantVxmlGoto.getMaxage();
chantVxmlGoto.setMaxage(maxage);

Dim maxage As Integer
maxage = chantVxmlGoto.Maxage
chantVxmlGoto.Maxage = maxage

Collapse/Expand See Also section See Also

ChantVxmlGoto


ChantVxmlGoto Maxstale Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxstale Property

Indicates that the document is willing to use content that has exceeded its expiration time.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxstale = chantVxmlGoto.Maxstale;
chantVxmlGoto.Maxstale = maxstale;

long maxstale = chantVxmlGoto->GetMaxstale();
chantVxmlGoto->SetMaxstale(maxstale);

long maxstale = chantVxmlGoto->GetMaxstale();
chantVxmlGoto->SetMaxstale(maxstale);

var intVal: Integer;
intVal := chantVxmlGoto.Maxstale;
chantVxmlGoto.Maxstale := intVal;

int maxstale = chantVxmlGoto.getMaxstale();
chantVxmlGoto.setMaxstale(maxstale);

Dim maxstale As Integer
maxstale = chantVxmlGoto.Maxstale
chantVxmlGoto.Maxstale = maxstale

Collapse/Expand See Also section See Also

ChantVxmlGoto


ChantVxmlGoto Next Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Next Property

The URI to which to transition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String next = chantVxmlGoto.Next;
chantVxmlGoto.Next = next;

wchar_t* next = chantVxmlGoto->GetNext();
chantVxmlGoto->SetNext(next);

String next = chantVxmlGoto->GetNext();
chantVxmlGoto->SetNext(next);

var next: string;
next := chantVxmlGoto.Next;
chantVxmlGoto.Next := next;

String next = chantVxmlGoto.getNext();
chantVxmlGoto.setNext(next);

Dim next As String
next = chantVxmlGoto.Next
chantVxmlGoto.Next = next

Collapse/Expand See Also section See Also

ChantVxmlGoto


ChantVxmlGoto Nextitem Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Nextitem Property

The name of the next form item to visit in the current form.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String nextitem = chantVxmlGoto.Nextitem;
chantVxmlGoto.Nextitem = nextitem;

wchar_t* nextitem = chantVxmlGoto->GetNextitem();
chantVxmlGoto->SetNextitem(nextitem);

String nextitem = chantVxmlGoto->GetNextitem();
chantVxmlGoto->SetNextitem(nextitem);

var stringVal: string;
stringVal := chantVxmlGoto.Nextitem;
chantVxmlGoto.Nextitem := stringVal;

String nextitem = chantVxmlGoto.getNextitem();
chantVxmlGoto.setNextitem(nextitem);

Dim nextitem As String
nextitem = chantVxmlGoto.Nextitem
chantVxmlGoto.Nextitem = nextitem

Collapse/Expand See Also section See Also

ChantVxmlGoto


ChantVxmlGrammar Class

Represents a <grammar> element that specifies a speech recognition or DTMF grammar.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Fetchhint | Defines when the interpreter context should retrieve content from the server.
Public property | Fetchtimeout | The interval to wait for the content to be returned before throwing an error.badfetch event.
Public property | Maxage | Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.
Public property | Maxstale | Indicates that the document is willing to use content that has exceeded its expiration time.
Public property | Mode | Defines the mode of the grammar that indicates the type of input that the user agent should be detecting.
Public property | Root | Defines the rule which acts as the root rule of the grammar.
Public property | Scope | The default scope of the form's grammars.
Public property | Src | The URI specifying the location of the grammar and optionally a rulename within that grammar, if it is external.
Public property | Srcexpr | (2.1) Equivalent to src, except that the URI is dynamically determined by evaluating the given ECMAScript expression in the current scope (e.g. the current form item).
Public property | TagFormat | Defines the tag content format for all tags within the grammar.
Public property | Type | The preferred media type of the grammar.
Public property | Version | Defines the version of the grammar.
Public property | Weight | Specifies the weight of the grammar.
Public property | XmlBase | Declares the base URI from which relative URIs in the grammar are resolved.
Public property | XmlLang | The language identifier of the grammar (for example, "fr-CA" for Canadian French.)

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement


ChantVxmlGrammar Fetchhint Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchhint Property

Defines when the interpreter context should retrieve content from the server.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLFetch eVXMLFetch = chantVxmlGrammar.Fetchhint;
chantVxmlGrammar.Fetchhint = eVXMLFetch;

VXMLFetch eVXMLFetch = chantVxmlGrammar->GetFetchhint();
chantVxmlGrammar->SetFetchhint(eVXMLFetch);

VXMLFetch eVXMLFetch = chantVxmlGrammar->GetFetchhint();
chantVxmlGrammar->SetFetchhint(eVXMLFetch);

var eVXMLFetch: VXMLFetch;
eVXMLFetch := chantVxmlGrammar.Fetchhint;
chantVxmlGrammar.Fetchhint := eVXMLFetch;

int eVXMLFetch = chantVxmlGrammar.getFetchhint();
chantVxmlGrammar.setFetchhint(eVXMLFetch);

Dim eVXMLFetch As Fetchhint
eVXMLFetch = chantVxmlGrammar.Fetchhint
chantVxmlGrammar.Fetchhint = eVXMLFetch

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLFetch constant values.

Constant | Value | Description
Prefetch | 0 | A file may be downloaded when the document is loaded.
Safe | 1 | A file should only be downloaded when actually needed.

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlGrammar Fetchtimeout Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchtimeout Property

The interval to wait for the content to be returned before throwing an error.badfetch event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int fetchtimeout = chantVxmlGrammar.Fetchtimeout;
chantVxmlGrammar.Fetchtimeout = fetchtimeout;

long fetchtimeout = chantVxmlGrammar->GetFetchtimeout();
chantVxmlGrammar->SetFetchtimeout(fetchtimeout);

long fetchtimeout = chantVxmlGrammar->GetFetchtimeout();
chantVxmlGrammar->SetFetchtimeout(fetchtimeout);

var fetchtimeout: Integer;
fetchtimeout := chantVxmlGrammar.Fetchtimeout;
chantVxmlGrammar.Fetchtimeout := fetchtimeout;

int fetchtimeout = chantVxmlGrammar.getFetchtimeout();
chantVxmlGrammar.setFetchtimeout(fetchtimeout);

Dim fetchtimeout As Integer
fetchtimeout = chantVxmlGrammar.Fetchtimeout
chantVxmlGrammar.Fetchtimeout = fetchtimeout

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlGrammar Maxage Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxage Property

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxage = chantVxmlGrammar.Maxage;
chantVxmlGrammar.Maxage = maxage;

long maxage = chantVxmlGrammar->GetMaxage();
chantVxmlGrammar->SetMaxage(maxage);

long maxage = chantVxmlGrammar->GetMaxage(); chantVxmlGrammar->SetMaxage(maxage);

var maxage: Integer;
maxage := chantVxmlGrammar.Maxage;
chantVxmlGrammar.Maxage := maxage;

int maxage = chantVxmlGrammar.getMaxage();
chantVxmlGrammar.setMaxage(maxage);

Dim maxage As Integer
maxage = chantVxmlGrammar.Maxage
chantVxmlGrammar.Maxage = maxage

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlGrammar Maxstale Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxstale Property

Indicates that the document is willing to use content that has exceeded its expiration time.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxstale = chantVxmlGrammar.Maxstale;
chantVxmlGrammar.Maxstale = maxstale;

long maxstale = chantVxmlGrammar->GetMaxstale();
chantVxmlGrammar->SetMaxstale(maxstale);

long maxstale = chantVxmlGrammar->GetMaxstale();
chantVxmlGrammar->SetMaxstale(maxstale);

var maxstale: Integer;
maxstale := chantVxmlGrammar.Maxstale;
chantVxmlGrammar.Maxstale := maxstale;

int maxstale = chantVxmlGrammar.getMaxstale();
chantVxmlGrammar.setMaxstale(maxstale);

Dim maxstale As Integer
maxstale = chantVxmlGrammar.Maxstale
chantVxmlGrammar.Maxstale = maxstale

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlGrammar Mode Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Mode Property

Defines the mode of the grammar that indicates the type of input that the user agent should be detecting.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLGrammarMode eVXMLGrammarMode = chantVxmlGrammar.Mode;
chantVxmlGrammar.Mode = eVXMLGrammarMode;

VXMLGrammarMode eVXMLGrammarMode = chantVxmlGrammar->GetMode();
chantVxmlGrammar->SetMode(eVXMLGrammarMode);

VXMLGrammarMode eVXMLGrammarMode = chantVxmlGrammar->GetMode();
chantVxmlGrammar->SetMode(eVXMLGrammarMode);

var eVXMLGrammarMode: VXMLGrammarMode;
eVXMLGrammarMode := chantVxmlGrammar.Mode;
chantVxmlGrammar.Mode := eVXMLGrammarMode;

int eVXMLGrammarMode = chantVxmlGrammar.getMode();
chantVxmlGrammar.setMode(eVXMLGrammarMode);

Dim eVXMLGrammarMode As Mode
eVXMLGrammarMode = chantVxmlGrammar.Mode
chantVxmlGrammar.Mode = eVXMLGrammarMode

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLGrammarMode constant values.

Constant | Value | Description
Dtmf | 0 | Dtmf grammar.
Voice | 1 | Speech recognition grammar.

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlGrammar Root Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Root Property

Defines the rule which acts as the root rule of the grammar.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String root = chantVxmlGrammar.Root;
chantVxmlGrammar.Root = root;

wchar_t* root = chantVxmlGrammar->GetRoot();
chantVxmlGrammar->SetRoot(root);

String root = chantVxmlGrammar->GetRoot();
chantVxmlGrammar->SetRoot(root);

var root: string;
root := chantVxmlGrammar.Root;
chantVxmlGrammar.Root := root;

String root = chantVxmlGrammar.getRoot();
chantVxmlGrammar.setRoot(root);

Dim root As String
root = chantVxmlGrammar.Root
chantVxmlGrammar.Root = root

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlGrammar Scope Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Scope Property

The default scope of the form's grammars.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLScope eVXMLScope = chantVxmlGrammar.Scope;
chantVxmlGrammar.Scope = eVXMLScope;

VXMLScope eVXMLScope = chantVxmlGrammar->GetScope();
chantVxmlGrammar->SetScope(eVXMLScope);

VXMLScope eVXMLScope = chantVxmlGrammar->GetScope();
chantVxmlGrammar->SetScope(eVXMLScope);

var eVXMLScope: VXMLScope;
eVXMLScope := chantVxmlGrammar.Scope;
chantVxmlGrammar.Scope := eVXMLScope;

int eVXMLScope = chantVxmlGrammar.getScope();
chantVxmlGrammar.setScope(eVXMLScope);

Dim eVXMLScope As Scope
eVXMLScope = chantVxmlGrammar.Scope
chantVxmlGrammar.Scope = eVXMLScope

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLScope constant values.

Constant | Value | Description
Dialog | 0 | Grammar enabled within the context of the dialog.
Document | 1 | Grammar enabled within the content of the document./td>

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlGrammar Src Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Src Property

The URI specifying the location of the grammar and optionally a rulename within that grammar, if it is external.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String src = chantVxmlGrammar.Src;
chantVxmlGrammar.Src = src;

wchar_t* src = chantVxmlGrammar->GetSrc();
chantVxmlGrammar->SetSrc(src);

String src = chantVxmlGrammar->GetSrc();
chantVxmlGrammar->SetSrc(src);

var src: string;
src := chantVxmlGrammar.Src;
chantVxmlGrammar.Src := src;

String src = chantVxmlGrammar.getSrc();
chantVxmlGrammar.setSrc(src);

Dim src As String
src = chantVxmlGrammar.Src
chantVxmlGrammar.Src = src

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlGrammar Srcexpr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Srcexpr Property

(2.1) Equivalent to src, except that the URI is dynamically determined by evaluating the given ECMAScript expression in the current scope (e.g. the current form item).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String srcexpr = chantVxmlGrammar.Srcexpr;
chantVxmlGrammar.Srcexpr = srcexpr;

wchar_t* srcexpr = chantVxmlGrammar->GetSrcexpr();
chantVxmlGrammar->SetSrcexpr(srcexpr);

String srcexpr = chantVxmlGrammar->GetSrcexpr();
chantVxmlGrammar->SetSrcexpr(srcexpr);

var srcexpr: string;
srcexpr := chantVxmlGrammar.Srcexpr;
chantVxmlGrammar.Srcexpr := srcexpr;

String srcexpr = chantVxmlGrammar.getSrcexpr();
chantVxmlGrammar.setSrcexpr(srcexpr);

Dim srcexpr As String
srcexpr = chantVxmlGrammar.Srcexpr
chantVxmlGrammar.Srcexpr = srcexpr

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlGrammar TagFormat Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

TagFormat Property

Defines the tag content format for all tags within the grammar.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLTagFormat eVXMLTagFormat = chantVxmlGrammar.TagFormat;
chantVxmlGrammar.TagFormat = eVXMLTagFormat;

VXMLTagFormat eVXMLTagFormat = chantVxmlGrammar->GetTagFormat();
chantVxmlGrammar->SetTagFormat(eVXMLTagFormat);

VXMLTagFormat eVXMLTagFormat = chantVxmlGrammar->GetTagFormat();
chantVxmlGrammar->SetTagFormat(eVXMLTagFormat);

var eVXMLTagFormat: VXMLTagFormat;
eVXMLTagFormat := chantVxmlGrammar.TagFormat;
chantVxmlGrammar.TagFormat := eVXMLTagFormat;

int eVXMLTagFormat = chantVxmlGrammar.getTagFormat();
chantVxmlGrammar.setTagFormat(eVXMLTagFormat);

Dim eVXMLTagFormat As TagFormat
eVXMLTagFormat = chantVxmlGrammar.TagFormat
chantVxmlGrammar.TagFormat = eVXMLTagFormat

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLTagFormat constant values.

Constant | Value | Description
Semantics1 | 0 | Grammar tag-format semantics/1.0.
Semantics1Literals | 1 | Grammar tag-format semantics/1.0-literals.

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlGrammar Type Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Type Property

Defines when the interpreter context should retrieve content from the server.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLGrammarMedia eVXMLGrammarMedia = chantVxmlGrammar.Type;
chantVxmlGrammar.Type = eVXMLGrammarMedia;

VXMLGrammarMedia eVXMLGrammarMedia = chantVxmlGrammar->GetType();
chantVxmlGrammar->SetType(eVXMLGrammarMedia);

VXMLGrammarMedia eVXMLGrammarMedia = chantVxmlGrammar->GetType();
chantVxmlGrammar->SetType(eVXMLGrammarMedia);

var eVXMLGrammarMedia: VXMLGrammarMedia;
eVXMLGrammarMedia := chantVxmlGrammar.Type;
chantVxmlGrammar.Type := eVXMLGrammarMedia;

int eVXMLGrammarMedia = chantVxmlGrammar.getType();
chantVxmlGrammar.setType(eVXMLGrammarMedia);

Dim eVXMLGrammarMedia As Type
eVXMLGrammarMedia = chantVxmlGrammar.Type
chantVxmlGrammar.Type = eVXMLGrammarMedia

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLGrammarMedia constant values.

Constant | Value | Description
ApplicationSrgs | 0 | application/srgs
ApplicationSrgsXml | 1 | application/srgs+xml

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlGrammar Version Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Version Property

Defines the version of the grammar.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String version = chantVxmlGrammar.Version;
chantVxmlGrammar.Version = version;

wchar_t* version = chantVxmlGrammar->GetVersion();
chantVxmlGrammar->SetVersion(version);

String version = chantVxmlGrammar->GetVersion();
chantVxmlGrammar->SetVersion(version);

var version: string;
version := chantVxmlGrammar.Version;
chantVxmlGrammar.Version := version;

String version = chantVxmlGrammar.getVersion();
chantVxmlGrammar.setVersion(version);

Dim version As String
version = chantVxmlGrammar.Version
chantVxmlGrammar.Version = version;

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlGrammar Weight Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Weight Property

Specifies the weight of the grammar.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String weight = chantVxmlGrammar.Weight;
chantVxmlGrammar.Weight = weight;

wchar_t* weight = chantVxmlGrammar->GetWeight();
chantVxmlGrammar->SetWeight(weight);

String weight = chantVxmlGrammar->GetWeight();
chantVxmlGrammar->SetWeight(weight);

var weight: string;
weight := chantVxmlGrammar.Weight;
chantVxmlGrammar.Weight := weight;

String weight = chantVxmlGrammar.getWeight();
chantVxmlGrammar.setWeight(weight);

Dim weight As String
weight = chantVxmlGrammar.Weight
chantVxmlGrammar.Weight = weight

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlGrammar XmlBase Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

XmlBase Property

Declares the base URI from which relative URIs in the grammar are resolved.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String xmlbase = chantVxmlGrammar.XmlBase;
chantVxmlGrammar.XmlBase = xmlbase;

wchar_t* xmlbase = chantVxmlGrammar->GetXmlBase();
chantVxmlGrammar->SetXmlBase(xmlbase);

String xmlbase = chantVxmlGrammar->GetXmlBase();
chantVxmlGrammar->SetXmlBase(xmlbase);

var xmlbase: string;
xmlbase := chantVxmlGrammar.XmlBase;
chantVxmlGrammar.XmlBase := xmlbase;

String xmlbase = chantVxmlGrammar.getXmlBase();
chantVxmlGrammar.setXmlBase(xmlbase);

Dim xmlbase As String
xmlbase = chantVxmlGrammar.XmlBase
chantVxmlGrammar.XmlBase = xmlbase

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlGrammar XmlLang Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

XmlLang Property

The language identifier of the grammar (for example, "fr-CA" for Canadian French.)

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String xmllang = chantVxmlGrammar.XmlLang;
chantVxmlGrammar.XmlLang = xmllang;

wchar_t* xmllang = chantVxmlGrammar->GetXmlLang();
chantVxmlGrammar->SetXmlLang(xmllang);

String xmllang = chantVxmlGrammar->GetXmlLang();
chantVxmlGrammar->SetXmlLang(xmllang);

var xmllang: string;
xmllang := chantVxmlGrammar.XmlLang;
chantVxmlGrammar.XmlLang := xmllang;

String xmllang = chantVxmlGrammar.getXmlLang();
chantVxmlGrammar.setXmlLang(xmllang);

Dim xmllang As String
xmllang = chantVxmlGrammar.XmlLang
chantVxmlGrammar.XmlLang = xmllang

Collapse/Expand See Also section See Also

ChantVxmlGrammar


ChantVxmlHelp Class

Represents an <help> element that catches a help event.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAssign | Adds a variable assignment to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddClear | Adds a variable clear to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddDisconnect | Adds a disconnect to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddExit | Adds an exit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddGoto | Adds a goto to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddIf | Adds an if to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddLog | Adds a log message to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReprompt | Adds a reprompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReturn | Adds a return to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddScript | Adds a script to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddSubmit | Adds a submit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddThrow | Adds a throw to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddVar | Adds a variable declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAssign | Removes a variable assignment from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveClear | Removes a variable clear from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveDisconnect | Removes a disconnect from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveExit | Removes an exit from the document. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveGoto | Removes a goto from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveIf | Removes an if from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveLog | Removes a log message from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReprompt | Removes a reprompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReturn | Removes a return from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveScript | Removes a script from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveSubmit | Removes a submit from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveThrow | Removes a throw from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveVar | Removes a variable declaration from the dialog. Inherits from ChantVxmlExceptionHandler.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Cond | An optional condition to test to see if the event is caught by this element.
Public property | Count | The event count.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlExceptionHandler
ChantVxmlMixedContentElement


ChantVxmlHelp Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An optional condition to test to see if the event is caught by this element.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String cond = chantVxmlHelp.Cond;
chantVxmlHelp.Cond = cond;

wchar_t* cond = chantVxmlHelp->GetCond();
chantVxmlHelp->SetCond(cond);

String cond = chantVxmlHelp->GetCond();
chantVxmlHelp->SetCond(cond);

var cond: string;
cond := chantVxmlHelp.Cond;
chantVxmlHelp.Cond := cond;

String stringVal = chantVxmlHelp.getCond();
chantVxmlHelp.setCond(stringVal);

Dim cond As String
cond = chantVxmlHelp.Cond
chantVxmlHelp.Cond = cond

Collapse/Expand See Also section See Also

ChantVxmlHelp


ChantVxmlHelp Count Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Count Property

The event count.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantVxmlHelp.Count;
chantVxmlHelp.Count = count;

long count = chantVxmlHelp->GetCount();
chantVxmlHelp->SetCount(count);

long count = chantVxmlHelp->GetCount(); chantVxmlHelp->SetCount(count);

var count: Integer;
count := chantVxmlHelp.Count;
chantVxmlHelp.Count := count;

int count = chantVxmlHelp.getCount();
chantVxmlHelp.setCount(count);

Dim count As Integer
count = chantVxmlHelp.Count
chantVxmlHelp.Count = count

Collapse/Expand See Also section See Also

ChantVxmlHelp


ChantVxmlIf Class

Represents an <if> element that is used for simple conditional logic.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAssign | Adds a variable assignment to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddClear | Adds a variable clear to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddDisconnect | Adds a disconnect to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddElse | Adds an else to the dialog.
Public method | AddElseif | Adds an elseif to the dialog.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddExit | Adds an exit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddGoto | Adds a goto to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddIf | Adds an if to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddLog | Adds a log message to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReprompt | Adds a reprompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReturn | Adds a return to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddScript | Adds a script to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddSubmit | Adds a submit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddThrow | Adds a throw to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddVar | Adds a variable declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAssign | Removes a variable assignment from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveClear | Removes a variable clear from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveDisconnect | Removes a disconnect from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveElse | Removes an else from the dialog.
Public method | RemoveElseif | Removes an elseif from the dialog.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveExit | Removes an exit from the document. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveGoto | Removes a goto from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveIf | Removes an if from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveLog | Removes a log message from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReprompt | Removes a reprompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReturn | Removes a return from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveScript | Removes a script from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveSubmit | Removes a submit from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveThrow | Removes a throw from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveVar | Removes a variable declaration from the dialog. Inherits from ChantVxmlExceptionHandler.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Cond | An expression to evaluate in conjunction with the test of the form item variable.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlExceptionHandler
ChantVxmlMixedContentElement


ChantVxmlIf AddElse Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddElse Method

Adds an else to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlElse chantVxmlElse = chantVxmlIf.AddElse();

CChantVxmlElse* chantVxmlElse = chantVxmlIf->AddElse();

CChantVxmlElse* chantVxmlElse = chantVxmlIf->AddElse();

var chantVxmlElse: TChantVxmlElse; chantVxmlElse := chantVxmlIf.AddElse();

JChantVxmlElse chantVxmlElse = chantVxmlIf.addElse();

Dim chantVxmlElse As NChantVxmlElse
chantVxmlElse = chantVxmlIf.AddElse()

Parameters

None.

Return Value

Object. The ChantVxmlElse object.

Collapse/Expand See Also section See Also

ChantVxmlElse
ChantVxmlIf
RemoveElse


ChantVxmlIf AddElseif Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddElseif Method

Adds an elseif to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlElseif chantVxmlElseif = chantVxmlIf.AddElseif();

CChantVxmlElseif* chantVxmlElseif = chantVxmlIf->AddElseif();

CChantVxmlElseif* chantVxmlElseif = chantVxmlIf->AddElseif();

var chantVxmlElseif: TChantVxmlElseif; chantVxmlElseif := chantVxmlIf.AddElseif();

JChantVxmlElseif chantVxmlElseif = chantVxmlIf.addElseif();

Dim chantVxmlElseif As NChantVxmlElseif
chantVxmlElseif = chantVxmlIf.AddElseif()

Parameters

None.

Return Value

Object. The ChantVxmlElseif object.

Collapse/Expand See Also section See Also

ChantVxmlElseif
ChantVxmlIf
RemoveElseif


ChantVxmlIf Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An expression to evaluate in conjunction with the test of the form item variable.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String stringVal = nChantVxmlIf.Cond;
nChantVxmlIf.Cond = stringVal;

wchar_t* pszVal = pChantVxmlIf->GetCond();
pChantVxmlIf->SetCond(pszVal);

String stringVal = pChantVxmlIf->GetCond();
pChantVxmlIf->SetCond(stringVal);

var stringVal: string;
stringVal := aTChantVxmlIf.Cond;
aTChantVxmlIf.Cond := stringVal;

String stringVal = jChantVxmlIf.getCond();
jChantVxmlIf.setCond(stringVal);

Dim stringVal As String
stringVal = nChantVxmlIf.Cond
nChantVxmlIf.Cond = stringVal

Collapse/Expand See Also section See Also

ChantVxmlIf


ChantVxmlIf RemoveElse Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveElse Method

Removes an else from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlIf.RemoveElse(chantVxmlElse);

chantVxmlIf->RemoveElse(chantVxmlElse);

chantVxmlIf->RemoveElse(chantVxmlElse);

chantVxmlIf.RemoveElse(chantVxmlElse);

chantVxmlIf.removeElse(chantVxmlElse);

chantVxmlIf.RemoveElse(chantVxmlElse)

Parameters

chantVxmlElse

Object. The ChantVxmlElse object to remove.

Collapse/Expand See Also section See Also

AddElse
ChantVxmlElse
ChantVxmlIf


ChantVxmlIf RemoveElseif Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveElseif Method

Removes an elseif from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlIf.RemoveElseif(chantVxmlElseif);

chantVxmlIf->RemoveElseif(chantVxmlElseif);

chantVxmlIf->RemoveElseif(chantVxmlElseif);

chantVxmlIf.RemoveElseif(chantVxmlElseif);

chantVxmlIf.removeElseif(chantVxmlElseif);

chantVxmlIf.RemoveElseif(chantVxmlElseif)

Parameters

chantVxmlElseif

Object. The ChantVxmlElseif object to remove.

Collapse/Expand See Also section See Also

AddElseif
ChantVxmlElseif
ChantVxmlIf


ChantVxmlInitial Class

Represents an <initial> element that declares initial logic upon entry into a (mixed initiative) form.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddCatch | Adds a catch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddError | Adds an error handler to the dialog. Inherits from ChantVxmlException.
Public method | AddFilled | Adds a filled handler to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddHelp | Adds a help handler to the dialog. Inherits from ChantVxmlException.
Public method | AddLink | Adds a link to the dialog.
Public method | AddNoinput | Adds a noinput handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNomatch | Adds a nomatch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddProperty | Adds a property declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveCatch | Removes a catch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveError | Removes an error handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveFilled | Removes a filled handler from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveHelp | Removes a help handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveLink | Removes a link from the dialog.
Public method | RemoveNoinput | Removes a noinput handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNomatch | Removes a nomatch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveProperty | Removes a property declaration from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlFormControl.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Cond | An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.
Public property | Expr | The initial value of the form item variable.
Public property | Name | The name of a form item variable used to track whether this is eligible to execute.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlException
ChantVxmlFormControl
ChantVxmlMixedContentElement


ChantVxmlInitial AddLink Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddLink Method

Adds a link to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlLink chantVxmlLink = chantVxmlInitial.AddLink();

CChantVxmlLink* chantVxmlLink = chantVxmlInitial->AddLink();

CChantVxmlLink* chantVxmlLink = chantVxmlInitial->AddLink();

var chantVxmlLink: TChantVxmlLink; chantVxmlLink := chantVxmlInitial.AddLink();

JChantVxmlLink chantVxmlLink = chantVxmlInitial.addLink();

Dim chantVxmlLink As NChantVxmlLink
chantVxmlLink = chantVxmlInitial.AddLink()

Parameters

None.

Return Value

Object. The ChantVxmlLink object.

Collapse/Expand See Also section See Also

ChantVxmlInitial
ChantVxmlLink
RemoveLink


ChantVxmlInitial Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String cond = chantVxmlInitial.Cond;
chantVxmlInitial.Cond = cond;

wchar_t* cond = chantVxmlInitial->GetCond();
chantVxmlInitial->SetCond(cond);

String cond = chantVxmlInitial->GetCond();
chantVxmlInitial->SetCond(cond);

var cond: string;
cond := chantVxmlInitial.Cond;
chantVxmlInitial.Cond := cond;

String cond = chantVxmlInitial.getCond();
chantVxmlInitial.setCond(cond);

Dim cond As String
cond = chantVxmlInitial.Cond
chantVxmlInitial.Cond = cond

Collapse/Expand See Also section See Also

ChantVxmlInitial


ChantVxmlInitial Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

The initial value of the form item variable.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlInitial.Expr;
chantVxmlInitial.Expr = expr;

wchar_t* expr = chantVxmlInitial->GetExpr();
chantVxmlInitial->SetExpr(expr);

String expr = chantVxmlInitial->GetExpr();
chantVxmlInitial->SetExpr(expr);

var expr: string;
expr := chantVxmlInitial.Expr;
chantVxmlInitial.Expr := expr;

String expr = chantVxmlInitial.getExpr();
chantVxmlInitial.setExpr(expr);

Dim expr As String
expr = chantVxmlInitial.Expr
chantVxmlInitial.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlInitial


ChantVxmlInitial Name Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Name Property

An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantVxmlInitial.Name;
chantVxmlInitial.Name = name;

wchar_t* name = chantVxmlInitial->GetName();
chantVxmlInitial->SetName(name);

String name = chantVxmlInitial->GetName();
chantVxmlInitial->SetName(name);

var name: string;
name := chantVxmlInitial.Name;
chantVxmlInitial.Name := name;

String name = chantVxmlInitial.getName();
chantVxmlInitial.setName(name);

Dim name As String
name = chantVxmlInitial.Name
chantVxmlInitial.Name = name

Collapse/Expand See Also section See Also

ChantVxmlInitial


ChantVxmlInitial RemoveLink Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveLink Method

Removes a link from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlInitial.RemoveLink(chantVxmlLink);

chantVxmlInitial->RemoveLink(chantVxmlLink);

chantVxmlInitial->RemoveLink(chantVxmlLink);

chantVxmlInitial.RemoveLink(chantVxmlLink);

chantVxmlInitial.removeLink(chantVxmlLink);

chantVxmlInitial.RemoveLink(chantVxmlLink)

Parameters

chantVxmlLink

Object. The ChantVxmlLink object to remove.

Collapse/Expand See Also section See Also

AddLink
ChantVxmlInitial
ChantVxmlLink


ChantVxmlLink Class

Represents a <link> element that specifies a transition common to all dialogs in the link's scope.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddGrammar | Adds a grammar to the dialog.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveGrammar | Removes a grammar from the dialog.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Dtmf | The DTMF sequence for this link.
Public property | Event | The event to throw when the user matches one of the link grammars.
Public property | Eventexpr | An ECMAScript expression evaluating to the name of the event to throw when the user matches one of the link grammars.
Public property | Expr | Like next, except that the URI is dynamically determined by evaluating the given ECMAScript expression.
Public property | Fetchaudio | The URI of the audio clip to play while the fetch is being done.
Public property | Fetchhint | Defines when the interpreter context should retrieve content from the server.
Public property | Fetchtimeout | The interval to wait for the content to be returned before throwing an error.badfetch event.
Public property | Maxage | Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.
Public property | Maxstale | Indicates that the document is willing to use content that has exceeded its expiration time.
Public property | Message | A message string providing additional context about the event being thrown.
Public property | Messageexpr | An ECMAScript expression evaluating to the message string.
Public property | Next | The URI to go to.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlMixedContentElement


ChantVxmlLink AddGrammar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddGrammar Method

Adds a grammar to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlGrammar chantVxmlGrammar = chantVxmlLink.AddGrammar();

CChantVxmlGrammar* chantVxmlGrammar = chantVxmlLink->AddGrammar();

CChantVxmlGrammar* chantVxmlGrammar = chantVxmlLink->AddGrammar();

var chantVxmlGrammar: TChantVxmlGrammar; chantVxmlGrammar := chantVxmlLink.AddGrammar();

JChantVxmlGrammar chantVxmlGrammar = chantVxmlLink.addGrammar();

Dim chantVxmlGrammar As NChantVxmlGrammar
chantVxmlGrammar = chantVxmlLink.AddGrammar()

Parameters

None.

Return Value

Object. The ChantVxmlGrammar object.

Collapse/Expand See Also section See Also

ChantVxmlGrammar
ChantVxmlLink
RemoveGrammar


ChantVxmlLink Dtmf Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Dtmf Property

The DTMF sequence for this link.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String dtmf = chantVxmlLink.Dtmf;
chantVxmlLink.Dtmf = dtmf;

wchar_t* dtmf = chantVxmlLink->GetDtmf();
chantVxmlLink->SetDtmf(dtmf);

String dtmf = chantVxmlLink->GetDtmf();
chantVxmlLink->SetDtmf(dtmf);

var dtmf: string;
dtmf := chantVxmlLink.Dtmf;
chantVxmlLink.Dtmf := dtmf;

String dtmf = chantVxmlLink.getDtmf();
chantVxmlLink.setDtmf(dtmf);

Dim dtmf As String
dtmf = chantVxmlLink.Dtmf
chantVxmlLink.Dtmf = dtmf

Collapse/Expand See Also section See Also

ChantVxmlLink


ChantVxmlLink Event Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Event Property

The event to throw when the user matches one of the link grammars.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String event = chantVxmlLink.Event;
chantVxmlLink.Event = event;

wchar_t* event = chantVxmlLink->GetEvent();
chantVxmlLink->SetEvent(event);

String event = chantVxmlLink->GetEvent();
chantVxmlLink->SetEvent(event);

var event: string;
event := chantVxmlLink.Event;
chantVxmlLink.Event := event;

String event = chantVxmlLink.getEvent();
chantVxmlLink.setEvent(event);

Dim event As String
event = chantVxmlLink.Event
chantVxmlLink.Event = event

Collapse/Expand See Also section See Also

ChantVxmlLink


ChantVxmlLink Eventexpr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Eventexpr Property

An ECMAScript expression evaluating to the name of the event to throw when the user matches one of the link grammars.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String eventexpr = chantVxmlLink.Eventexpr;
chantVxmlLink.Eventexpr = eventexpr;

wchar_t* eventexpr = chantVxmlLink->GetEventexpr();
chantVxmlLink->SetEventexpr(eventexpr);

String eventexpr = chantVxmlLink->GetEventexpr();
chantVxmlLink->SetEventexpr(eventexpr);

var eventexpr: string;
eventexpr := chantVxmlLink.Eventexpr;
chantVxmlLink.Eventexpr := eventexpr;

String eventexpr = chantVxmlLink.getEventexpr();
chantVxmlLink.setEventexpr(eventexpr);

Dim eventexpr As String
eventexpr = chantVxmlLink.Eventexpr
chantVxmlLink.Eventexpr = eventexpr

Collapse/Expand See Also section See Also

ChantVxmlLink


ChantVxmlLink Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

Like next, except that the URI is dynamically determined by evaluating the given ECMAScript expression.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlLink.Expr;
chantVxmlLink.Expr = expr;

wchar_t* expr = chantVxmlLink->GetExpr();
chantVxmlLink->SetExpr(expr);

String expr = chantVxmlLink->GetExpr();
chantVxmlLink->SetExpr(expr);

var expr: string;
expr := chantVxmlLink.Expr;
chantVxmlLink.Expr := expr;

String expr = chantVxmlLink.getExpr();
chantVxmlLink.setExpr(expr);

Dim expr As String
expr = chantVxmlLink.Expr
chantVxmlLink.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlLink


ChantVxmlLink Fetchaudio Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchaudio Property

The URI of the audio clip to play while the fetch is being done.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String fetchaudio = chantVxmlLink.Fetchaudio;
chantVxmlLink.Fetchaudio = fetchaudio;

wchar_t* fetchaudio = chantVxmlLink->GetFetchaudio();
chantVxmlLink->SetFetchaudio(fetchaudio);

String fetchaudio = chantVxmlLink->GetFetchaudio();
chantVxmlLink->SetFetchaudio(fetchaudio);

var fetchaudio: string;
fetchaudio := chantVxmlLink.Fetchaudio;
chantVxmlLink.Fetchaudio := fetchaudio;

String fetchaudio = chantVxmlLink.getFetchaudio();
chantVxmlLink.setFetchaudio(fetchaudio);

Dim fetchaudio As String
fetchaudio = chantVxmlLink.Fetchaudio
chantVxmlLink.Fetchaudio = fetchaudio

Collapse/Expand See Also section See Also

ChantVxmlLink


ChantVxmlLink Fetchhint Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchhint Property

Defines when the interpreter context should retrieve content from the server.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLFetch eVXMLFetch = chantVxmlLink.Fetchhint;
chantVxmlLink.Fetchhint = eVXMLFetch;

VXMLFetch eVXMLFetch = chantVxmlLink->GetFetchhint();
chantVxmlLink->SetFetchhint(eVXMLFetch);

VXMLFetch eVXMLFetch = chantVxmlLink->GetFetchhint();
chantVxmlLink->SetFetchhint(eVXMLFetch);

var eVXMLFetch: VXMLFetch;
eVXMLFetch := chantVxmlLink.Fetchhint;
chantVxmlLink.Fetchhint := eVXMLFetch;

int eVXMLFetch = chantVxmlLink.getFetchhint();
chantVxmlLink.setFetchhint(eVXMLFetch);

Dim eVXMLFetch As Fetchhint
eVXMLFetch = chantVxmlLink.Fetchhint
chantVxmlLink.Fetchhint = eVXMLFetch

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLFetch constant values.

Constant | Value | Description
Prefetch | 0 | A file may be downloaded when the document is loaded.
Safe | 1 | A file should only be downloaded when actually needed.

Collapse/Expand See Also section See Also

ChantVxmlLink


ChantVxmlLink Fetchtimeout Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchtimeout Property

The interval to wait for the content to be returned before throwing an error.badfetch event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int fetchtimeout = chantVxmlLink.Fetchtimeout;
chantVxmlLink.Fetchtimeout = fetchtimeout;

long fetchtimeout = chantVxmlLink->GetFetchtimeout();
chantVxmlLink->SetFetchtimeout(fetchtimeout);

long fetchtimeout = chantVxmlLink->GetFetchtimeout();
chantVxmlLink->SetFetchtimeout(fetchtimeout);

var fetchtimeout: Integer;
fetchtimeout := chantVxmlLink.Fetchtimeout;
chantVxmlLink.Fetchtimeout := fetchtimeout;

int fetchtimeout = chantVxmlLink.getFetchtimeout();
chantVxmlLink.setFetchtimeout(fetchtimeout);

Dim fetchtimeout As Integer
fetchtimeout = chantVxmlLink.Fetchtimeout
chantVxmlLink.Fetchtimeout = fetchtimeout

Collapse/Expand See Also section See Also

ChantVxmlLink


ChantVxmlLink Maxage Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxage Property

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxage = chantVxmlLink.Maxage;
chantVxmlLink.Maxage = maxage;

long maxage = chantVxmlLink->GetMaxage();
chantVxmlLink->SetMaxage(maxage);

long maxage = chantVxmlLink->GetMaxage(); chantVxmlLink->SetMaxage(maxage);

var maxage: Integer;
maxage := chantVxmlLink.Maxage;
chantVxmlLink.Maxage := maxage;

int maxage = chantVxmlLink.getMaxage();
chantVxmlLink.setMaxage(maxage);

Dim maxage As Integer
maxage = chantVxmlLink.Maxage
chantVxmlLink.Maxage = maxage

Collapse/Expand See Also section See Also

ChantVxmlLink


ChantVxmlLink Maxstale Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxstale Property

Indicates that the document is willing to use content that has exceeded its expiration time.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxstale = chantVxmlLink.Maxstale;
chantVxmlLink.Maxstale = maxstale;

long maxstale = chantVxmlLink->GetMaxstale();
chantVxmlLink->SetMaxstale(maxstale);

long maxstale = chantVxmlLink->GetMaxstale();
chantVxmlLink->SetMaxstale(maxstale);

var maxstale: Integer;
maxstale := chantVxmlLink.Maxstale;
chantVxmlLink.Maxstale := maxstale;

int maxstale = chantVxmlLink.getMaxstale();
chantVxmlLink.setMaxstale(maxstale);

Dim maxstale As Integer
maxstale = chantVxmlLink.Maxstale
chantVxmlLink.Maxstale = maxstale

Collapse/Expand See Also section See Also

ChantVxmlLink


ChantVxmlLink Message Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Message Property

A message string providing additional context about the event being thrown.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String message = chantVxmlLink.Message;
chantVxmlLink.Message = message;

wchar_t* message = chantVxmlLink->GetMessage();
chantVxmlLink->SetMessage(message);

String message = chantVxmlLink->GetMessage();
chantVxmlLink->SetMessage(message);

var message: string;
message := chantVxmlLink.Message;
chantVxmlLink.Message := message;

String message = chantVxmlLink.getMessage();
chantVxmlLink.setMessage(message);

Dim message As String
message = chantVxmlLink.Message
chantVxmlLink.Message = message

Collapse/Expand See Also section See Also

ChantVxmlLink


ChantVxmlLink MessageExpr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

MessageExpr Property

An ECMAScript expression evaluating to the message string.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String messageExpr = nChantVxmlLink.MessageExpr;
nChantVxmlLink.MessageExpr = messageExpr;

wchar_t* messageExpr = pChantVxmlLink->GetMessageExpr();
pChantVxmlLink->SetMessageExpr(messageExpr);

String messageExpr = pChantVxmlLink->GetMessageExpr();
pChantVxmlLink->SetMessageExpr(messageExpr);

var messageExpr: string;
messageExpr := aTChantVxmlLink.MessageExpr;
aTChantVxmlLink.MessageExpr := messageExpr;

String messageExpr = jChantVxmlLink.getMessageExpr();
jChantVxmlLink.setMessageExpr(messageExpr);

Dim messageExpr As String
messageExpr = nChantVxmlLink.MessageExpr
nChantVxmlLink.MessageExpr = messageExpr

Collapse/Expand See Also section See Also

ChantVxmlLink


ChantVxmlLink Next Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Next Property

The URI to go to.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String next = chantVxmlLink.Next;
chantVxmlLink.Next = next;

wchar_t* next = chantVxmlLink->GetNext();
chantVxmlLink->SetNext(next);

String next = chantVxmlLink->GetNext();
chantVxmlLink->SetNext(next);

var next: string;
next := chantVxmlLink.Next;
chantVxmlLink.Next := next;

String next = chantVxmlLink.getNext();
chantVxmlLink.setNext(next);

Dim next As String
next = chantVxmlLink.Next
chantVxmlLink.Next = next

Collapse/Expand See Also section See Also

ChantVxmlLink


ChantVxmlLink RemoveGrammar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveGrammar Method

Removes a grammar from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlLink.RemoveGrammar(chantVxmlGrammar);

chantVxmlLink->RemoveGrammar(chantVxmlGrammar);

chantVxmlLink->RemoveGrammar(chantVxmlGrammar);

chantVxmlLink.RemoveGrammar(chantVxmlGrammar);

chantVxmlLink.removeGrammar(chantVxmlGrammar);

chantVxmlLink.RemoveGrammar(chantVxmlGrammar)

Parameters

chantVxmlGrammar

Object. The ChantVxmlGrammar object to remove.

Collapse/Expand See Also section See Also

AddGrammar
ChantVxmlGrammar
ChantVxmlLink


ChantVxmlLog Class

Represents a <log> element that generates a debug message.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddValue | Adds a value declaration to the dialog.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveValue | Removes a value declaration from the dialog.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Expr | An optional ECMAScript expression evaluating to a string.
Public property | Label | An optional string which may be used, for example, to indicate the purpose of the log.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlMixedContentElement


ChantVxmlLog AddValue Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddValue Method

Adds a value declaration to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlValue chantVxmlValue = chantVxmlLog.AddValue();

CChantVxmlValue* chantVxmlValue = chantVxmlLog->AddValue();

CChantVxmlValue* chantVxmlValue = chantVxmlLog->AddValue();

var chantVxmlValue: TChantVxmlValue; chantVxmlValue := chantVxmlLog.AddValue();

JChantVxmlValue chantVxmlValue = chantVxmlLog.addValue();

Dim chantVxmlValue As NChantVxmlValue
chantVxmlValue = chantVxmlLog.AddValue()

Parameters

None.

Return Value

Object. The ChantVxmlValue object.

Collapse/Expand See Also section See Also

ChantVxmlLog
ChantVxmlValue
RemoveValue


ChantVxmlLog Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

An optional ECMAScript expression evaluating to a string.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlLog.Expr;
chantVxmlLog.Expr = expr;

wchar_t* expr = chantVxmlLog->GetExpr();
chantVxmlLog->SetExpr(expr);

String expr = chantVxmlLog->GetExpr();
chantVxmlLog->SetExpr(expr);

var expr: string;
expr := chantVxmlLog.Expr;
chantVxmlLog.Expr := expr;

String expr = chantVxmlLog.getExpr();
chantVxmlLog.setExpr(expr);

Dim expr As String
expr = chantVxmlLog.Expr
chantVxmlLog.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlLog


ChantVxmlLog Label Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Label Property

An optional string which may be used, for example, to indicate the purpose of the log.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String label = chantVxmlLog.Label;
chantVxmlLog.Label = label;

wchar_t* label = chantVxmlLog->GetLabel();
chantVxmlLog->SetLabel(label);

String label = chantVxmlLog->GetLabel();
chantVxmlLog->SetLabel(label);

var label: string;
label := chantVxmlLog.Label;
chantVxmlLog.Label := label;

String label = chantVxmlLog.getLabel();
chantVxmlLog.setLabel(label);

Dim label As String
label = chantVxmlLog.Label
chantVxmlLog.Label = label

Collapse/Expand See Also section See Also

ChantVxmlLog


ChantVxmlLog RemoveValue Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveValue Method

Removes a value declaration from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlLog.RemoveValue(chantVxmlValue);

chantVxmlLog->RemoveValue(chantVxmlValue);

chantVxmlLog->RemoveValue(chantVxmlValue);

chantVxmlLog.RemoveValue(chantVxmlValue);

chantVxmlLog.removeValue(chantVxmlValue);

chantVxmlLog.RemoveValue(chantVxmlValue)

Parameters

chantVxmlValue

Object. The ChantVxmlValue object to remove.

Collapse/Expand See Also section See Also

AddValue
ChantVxmlLog
ChantVxmlValue


ChantVxmlMenu Class

Represents a <menu> element for choosing amongst alternative destinations.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddCatch | Adds a catch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddChoice | Adds a choice to the dialog.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddError | Adds an error handler to the dialog. Inherits from ChantVxmlException.
Public method | AddFilled | Adds a filled handler to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddHelp | Adds a help handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNoinput | Adds a noinput handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNomatch | Adds a nomatch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddProperty | Adds a property declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddScript | Adds a script to the dialog.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddVar | Adds a variable declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveCatch | Removes a catch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveChoice | Removes a choice from the dialog.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveError | Removes an error handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveFilled | Removes a filled handler from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveHelp | Removes a help handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNoinput | Removes a noinput handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNomatch | Removes a nomatch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveProperty | Removes a property declaration from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveScript | Removes a script from the dialog.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveVar | Removes a variable declaration from the dialog.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Accept | Defines the matching criteria.
Public property | Dtmf | When set to true, the first nine choices that have not explicitly specified a value for the dtmf attribute are given the implicit ones "1", "2", etc.
Public property | ID | The identifier of the menu.
Public property | Scope | The menu's grammar scope.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlException
ChantVxmlFormControl
ChantVxmlMixedContentElement


ChantVxmlMenu Accept Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Accept Property

Defines the matching criteria.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLAccept eVXMLAccept = chantVxmlMenu.Accept;
chantVxmlMenu.Accept = eVXMLAccept;

VXMLAccept eVXMLAccept = chantVxmlMenu->GetAccept();
chantVxmlMenu->SetAccept(eVXMLAccept);

VXMLAccept eVXMLAccept = chantVxmlMenu->GetAccept();
chantVxmlMenu->SetAccept(eVXMLAccept);

var eVXMLAccept: VXMLAccept;
eVXMLAccept := chantVxmlMenu.Accept;
chantVxmlMenu.Accept := eVXMLAccept;

int eVXMLAccept = chantVxmlMenu.getAccept();
chantVxmlMenu.setAccept(eVXMLAccept);

Dim eVXMLAccept As Accept
eVXMLAccept = chantVxmlMenu.Accept
chantVxmlMenu.Accept = eVXMLAccept

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLAccept constant values.

Constant | Value | Description
Approximate | 0 | Approximate recognition phrase match.
Exact | 1 | Exact recognition phrase match.

Collapse/Expand See Also section See Also

ChantVxmlMenu


ChantVxmlMenu AddChoice Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddChoice Method

Adds a choice to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlChoice chantVxmlChoice = chantVxmlMenu.AddChoice();

CChantVxmlChoice* chantVxmlChoice = chantVxmlMenu->AddChoice();

CChantVxmlChoice* chantVxmlChoice = chantVxmlMenu->AddChoice();

var chantVxmlChoice: TChantVxmlChoice; chantVxmlChoice := chantVxmlMenu.AddChoice();

JChantVxmlChoice chantVxmlChoice = chantVxmlMenu.addChoice();

Dim chantVxmlChoice As NChantVxmlChoice
chantVxmlChoice = chantVxmlMenu.AddChoice()

Parameters

None.

Return Value

Object. The ChantVxmlChoice object.

Collapse/Expand See Also section See Also

ChantVxmlChoice
ChantVxmlMenu
RemoveChoice


ChantVxmlMenu AddScript Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddScript Method

Adds a script to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlScript chantVxmlScript = chantVxmlMenu.AddScript();

CChantVxmlScript* chantVxmlScript = chantVxmlMenu->AddScript();

CChantVxmlScript* chantVxmlScript = chantVxmlMenu->AddScript();

var chantVxmlScript: TChantVxmlScript; chantVxmlScript := chantVxmlMenu.AddScript();

JChantVxmlScript chantVxmlScript = chantVxmlMenu.addScript();

Dim chantVxmlScript As NChantVxmlScript
chantVxmlScript = chantVxmlMenu.AddScript()

Parameters

None.

Return Value

Object. The ChantVxmlScript object.

Collapse/Expand See Also section See Also

ChantVxmlMenu
ChantVxmlScript
RemoveScript


ChantVxmlMenu AddVar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddVar Method

Adds a variable declaration to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlVar chantVxmlVar = chantVxmlMenu.AddVar();

CChantVxmlVar* chantVxmlVar = chantVxmlMenu->AddVar();

CChantVxmlVar* chantVxmlVar = chantVxmlMenu->AddVar();

var chantVxmlVar: TChantVxmlVar; chantVxmlVar := chantVxmlMenu.AddVar();

JChantVxmlVar chantVxmlVar = chantVxmlMenu.addVar();

Dim chantVxmlVar As NChantVxmlVar
chantVxmlVar = chantVxmlMenu.AddVar()

Parameters

None.

Return Value

Object. The ChantVxmlVar object.

Collapse/Expand See Also section See Also

ChantVxmlMenu
ChantVxmlVar
RemoveVar


ChantVxmlMenu Dtmf Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Dtmf Property

When set to true, the first nine choices that have not explicitly specified a value for the dtmf attribute are given the implicit ones "1", "2", etc.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool dtmf = chantVxmlMenu.Dtmf;
chantVxmlMenu.Dtmf = dtmf;

bool dtmf = chantVxmlMenu->GetDtmf();
chantVxmlMenu->SetDtmf(dtmf);

bool dtmf = chantVxmlMenu->GetDtmf();
chantVxmlMenu->SetDtmf(dtmf);

var dtmf: Boolean;
dtmf := chantVxmlMenu.Dtmf;
chantVxmlMenu.Dtmf := dtmf;

boolean dtmf = chantVxmlMenu.getDtmf();
chantVxmlMenu.setDtmf(dtmf);

Dim dtmf As Boolean
dtmf = chantVxmlMenu.Dtmf
chantVxmlMenu.Dtmf = dtmf

Collapse/Expand See Also section See Also

ChantVxmlMenu


ChantVxmlMenu ID Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

ID Property

The identifier of the menu.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String id = chantVxmlMenu.ID;
chantVxmlMenu.ID = id;

wchar_t* id = chantVxmlMenu->GetID();
chantVxmlMenu->SetID(id);

String id = chantVxmlMenu->GetID();
chantVxmlMenu->SetID(id);

var id: string;
id := chantVxmlMenu.ID;
chantVxmlMenu.ID := id;

String id = chantVxmlMenu.getID();
chantVxmlMenu.setID(id);

Dim id As String
id = chantVxmlMenu.ID
chantVxmlMenu.ID = id

Collapse/Expand See Also section See Also

ChantVxmlMenu


ChantVxmlMenu RemoveChoice Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveChoice Method

Removes a choice from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlMenu.RemoveChoice(chantVxmlChoice);

chantVxmlMenu->RemoveChoice(chantVxmlChoice);

chantVxmlMenu->RemoveChoice(chantVxmlChoice);

chantVxmlMenu.RemoveChoice(chantVxmlChoice);

chantVxmlMenu.removeChoice(chantVxmlChoice);

chantVxmlMenu.RemoveChoice(chantVxmlChoice)

Parameters

chantVxmlChoice

Object. The ChantVxmlChoice object to remove.

Collapse/Expand See Also section See Also

AddChoice
ChantVxmlChoice
ChantVxmlMenu


ChantVxmlMenu RemoveScript Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveScript Method

Removes a script from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlMenu.RemoveScript(chantVxmlScript);

chantVxmlMenu->RemoveScript(chantVxmlScript);

chantVxmlMenu->RemoveScript(chantVxmlScript);

chantVxmlMenu.RemoveScript(chantVxmlScript);

chantVxmlMenu.removeScript(chantVxmlScript);

chantVxmlMenu.RemoveScript(chantVxmlScript)

Parameters

chantVxmlScript

Object. The ChantVxmlScript object to remove.

Collapse/Expand See Also section See Also

AddScript
ChantVxmlMenu
ChantVxmlScript


ChantVxmlMenu RemoveVar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveVar Method

Removes a variable declaration from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlMenu.RemoveVar(chantVxmlVar);

chantVxmlMenu->RemoveVar(chantVxmlVar);

chantVxmlMenu->RemoveVar(chantVxmlVar);

chantVxmlMenu.RemoveVar(chantVxmlVar);

chantVxmlMenu.removeVar(chantVxmlVar);

chantVxmlMenu.RemoveVar(chantVxmlVar)

Parameters

chantVxmlVar

Object. The ChantVxmlVar object to remove.

Collapse/Expand See Also section See Also

AddVar
ChantVxmlMenu
ChantVxmlVar


ChantVxmlMenu Scope Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Scope Property

The menu's grammar scope.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLScope eVXMLScope = chantVxmlMenu.Scope;
chantVxmlMenu.Scope = eVXMLScope;

VXMLScope eVXMLScope = chantVxmlMenu->GetScope();
chantVxmlMenu->SetScope(eVXMLScope);

VXMLScope eVXMLScope = chantVxmlMenu->GetScope();
chantVxmlMenu->SetScope(eVXMLScope);

var eVXMLScope: VXMLScope;
eVXMLScope := chantVxmlMenu.Scope;
chantVxmlMenu.Scope := eVXMLScope;

int eVXMLScope = chantVxmlMenu.getScope();
chantVxmlMenu.setScope(eVXMLScope);

Dim eVXMLScope As Scope
eVXMLScope = chantVxmlMenu.Scope
chantVxmlMenu.Scope = eVXMLScope

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLScope constant values.

Constant | Value | Description
Dialog | 0 | Grammar enabled within the context of the dialog.
Document | 1 | Grammar enabled within the content of the document./td>

Collapse/Expand See Also section See Also

ChantVxmlMenu


ChantVxmlMeta Class

Represents a <meta> element that defines a metadata item as a name/value pair.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Content | The value of the metadata property.
Public property | HttpEquiv | The name of an HTTP response header.
Public property | Name | The name of the metadata property.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlMeta Content Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Content Property

The value of the metadata property.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String content = chantVxmlMeta.Content;
chantVxmlMeta.Content = content;

wchar_t* content = chantVxmlMeta->GetContent();
chantVxmlMeta->SetContent(content);

String content = chantVxmlMeta->GetContent();
chantVxmlMeta->SetContent(content);

var content: string;
content := chantVxmlMeta.Content;
chantVxmlMeta.Content := content;

String content = chantVxmlMeta.getContent();
chantVxmlMeta.setContent(content);

Dim content As String
content = chantVxmlMeta.Content
chantVxmlMeta.Content = content

Collapse/Expand See Also section See Also

ChantVxmlMeta


ChantVxmlMeta HttpEquiv Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

HttpEquiv Property

The name of an HTTP response header.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String httpequiv = chantVxmlMeta.HttpEquiv;
chantVxmlMeta.HttpEquiv = httpequiv;

wchar_t* httpequiv = chantVxmlMeta->GetHttpEquiv();
chantVxmlMeta->SetHttpEquiv(httpequiv);

String httpequiv = chantVxmlMeta->GetHttpEquiv();
chantVxmlMeta->SetHttpEquiv(httpequiv);

var httpequiv: string;
httpequiv := chantVxmlMeta.HttpEquiv;
chantVxmlMeta.HttpEquiv := httpequiv;

String httpequiv = chantVxmlMeta.getHttpEquiv();
chantVxmlMeta.setHttpEquiv(httpequiv);

Dim httpequiv As String
httpequiv = chantVxmlMeta.HttpEquiv
chantVxmlMeta.HttpEquiv = httpequiv

Collapse/Expand See Also section See Also

ChantVxmlMeta


ChantVxmlMeta Name Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Name Property

The name of the metadata property.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantVxmlMeta.Name;
chantVxmlMeta.Name = name;

wchar_t* name = chantVxmlMeta->GetName();
chantVxmlMeta->SetName(name);

String name = chantVxmlMeta->GetName();
chantVxmlMeta->SetName(name);

var name: string;
name := chantVxmlMeta.Name;
chantVxmlMeta.Name := name;

String name = chantVxmlMeta.getName();
chantVxmlMeta.setName(name);

Dim name As String
name = chantVxmlMeta.Name
chantVxmlMeta.Name = name

Collapse/Expand See Also section See Also

ChantVxmlMeta


ChantVxmlMetadata Class

Represents a <metadata> element that defines metadata information using a metadata schema.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Creator | An entity primarily responsible for making the content of the resource.
Public property | Rights | Information about rights held in and over the resource.
Public property | Subject | The topic of the content of the resource.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlContentElement


ChantVxmlMetadata Creator Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Creator Property

An entity primarily responsible for making the content of the resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String creator = chantVxmlMetadata.Creator;
chantVxmlMetadata.Creator = creator;

wchar_t* creator = chantVxmlMetadata->GetCreator();
chantVxmlMetadata->SetCreator(creator);

String creator = chantVxmlMetadata->GetCreator();
chantVxmlMetadata->SetCreator(creator);

var creator: string;
creator := chantVxmlMetadata.Creator;
chantVxmlMetadata.Creator := creator;

String creator = chantVxmlMetadata.getCreator();
chantVxmlMetadata.setCreator(creator);

Dim creator As String
creator = chantVxmlMetadata.Creator
chantVxmlMetadata.Creator = creator

Collapse/Expand See Also section See Also

ChantVxmlMetadata


ChantVxmlMetadata Rights Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Rights Property

Information about rights held in and over the resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String rights = chantVxmlMetadata.Rights;
chantVxmlMetadata.Rights = rights;

wchar_t* rights = chantVxmlMetadata->GetRights();
chantVxmlMetadata->SetRights(rights);

String rights = chantVxmlMetadata->GetRights();
chantVxmlMetadata->SetRights(rights);

var rights: string;
rights := chantVxmlMetadata.Rights;
chantVxmlMetadata.Rights := rights;

String rights = chantVxmlMetadata.getRights();
chantVxmlMetadata.setRights(rights);

Dim rights As String
rights = chantVxmlMetadata.Rights
chantVxmlMetadata.Rights = rights

Collapse/Expand See Also section See Also

ChantVxmlMetadata


ChantVxmlMetadata Subject Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Subject Property

The topic of the content of the resource.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String subject = chantVxmlMetadata.Subject;
chantVxmlMetadata.Subject = subject;

wchar_t* subject = chantVxmlMetadata->GetSubject();
chantVxmlMetadata->SetSubject(subject);

String subject = chantVxmlMetadata->GetSubject();
chantVxmlMetadata->SetSubject(subject);

var subject: string;
subject := chantVxmlMetadata.Subject;
chantVxmlMetadata.Subject := subject;

String subject = chantVxmlMetadata.getSubject();
chantVxmlMetadata.setSubject(subject);

Dim subject As String
subject = chantVxmlMetadata.Subject
chantVxmlMetadata.Subject = subject

Collapse/Expand See Also section See Also

ChantVxmlMetadata


ChantVxmlMixedContentElement Class

Represents a VoiceXML element that contains mixed content.

Collapse/Expand Remarks section Remarks

This class serves as a parent class for mixed content elements.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddComment | Adds a comment to the dialog.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveComment | Removes a comment from the dialog.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantVxmlContentElement ChantVxmlElement


ChantVxmlMixedContentElement AddComment Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddComment Method

Adds a comment to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlComment chantVxmlComment = chantVxmlMixedContentElement.AddComment(sComment);

CChantVxmlComment* chantVxmlComment = chantVxmlMixedContentElement->AddComment(sComment);

CChantVxmlComment* chantVxmlComment = chantVxmlMixedContentElement->AddComment(sComment);

var chantVxmlComment: TChantVxmlComment; chantVxmlComment := chantVxmlMixedContentElement.AddComment(sComment);

JChantVxmlComment chantVxmlComment = chantVxmlMixedContentElement.addComment(sComment);

Dim chantVxmlComment As NChantVxmlMixedContentElement
chantVxmlComment = chantVxmlMixedContentElement.AddComment(sComment)

Parameters

sComment

String. Specifies the comment text.

Return Value

Object. The ChantVxmlComment object.

Collapse/Expand Example section Example

The following example illustrates adding a comment to the VoiceXML document.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantVxmlComment chantVxmlComment = chantVxmlMixedContentElement.AddComment("This is a comment");

CChantVxmlComment* chantVxmlComment = chantVxmlMixedContentElement->AddComment(L"This is a comment");

CChantVxmlComment* chantVxmlComment = chantVxmlMixedContentElement->AddComment("This is a comment");

var chantVxmlComment: TChantVxmlComment;

chantVxmlComment := chantVxmlMixedContentElement.AddComment('This is a comment');

JChantVxmlComment chantVxmlComment = chantVxmlMixedContentElement.addComment("This is a comment");

Dim chantVxmlComment As NChantVxmlComment

chantVxmlComment = chantVxmlMixedContentElement.AddComment("This is a comment")

Collapse/Expand See Also section See Also

ChantVxmlComment
ChantVxmlMixedContentElement
RemoveComment


ChantVxmlMixedContentElement RemoveComment Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveComment Method

Removes a comment from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlMixedContentElement.RemoveComment(chantVxmlComment);

chantVxmlMixedContentElement->RemoveComment(chantVxmlComment);

chantVxmlMixedContentElement->RemoveComment(chantVxmlComment);

chantVxmlMixedContentElement.RemoveComment(chantVxmlComment);

chantVxmlMixedContentElement.removeComment(chantVxmlComment);

chantVxmlMixedContentElement.RemoveComment(chantVxmlComment)

Parameters

chantVxmlComment

Object. The ChantVxmlComment object to remove.

Collapse/Expand See Also section See Also

AddComment
ChantVxmlComment
ChantVxmlMixedContentElement


ChantVxmlNoinput Class

Represents a <noinput> element that catches a noinput event that occurs when a user does not provide a response to an active <field>.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAssign | Adds a variable assignment to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddClear | Adds a variable clear to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddDisconnect | Adds a disconnect to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddExit | Adds an exit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddGoto | Adds a goto to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddIf | Adds an if to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddLog | Adds a log message to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReprompt | Adds a reprompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReturn | Adds a return to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddScript | Adds a script to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddSubmit | Adds a submit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddThrow | Adds a throw to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddVar | Adds a variable declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAssign | Removes a variable assignment from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveClear | Removes a variable clear from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveDisconnect | Removes a disconnect from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveExit | Removes an exit from the document. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveGoto | Removes a goto from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveIf | Removes an if from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveLog | Removes a log message from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReprompt | Removes a reprompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReturn | Removes a return from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveScript | Removes a script from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveSubmit | Removes a submit from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveThrow | Removes a throw from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveVar | Removes a variable declaration from the dialog. Inherits from ChantVxmlExceptionHandler.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Cond | An optional condition to test to see if the event is caught by this element.
Public property | Count | The event count.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElementr
ChantVxmlExceptionHandler
ChantVxmlMixedContentElement


ChantVxmlNoinput Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An optional condition to test to see if the event is caught by this element.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String cond = chantVxmlNoinput.Cond;
chantVxmlNoinput.Cond = cond;

wchar_t* cond = chantVxmlNoinput->GetCond();
chantVxmlNoinput->SetCond(cond);

String cond = chantVxmlNoinput->GetCond();
chantVxmlNoinput->SetCond(cond);

var cond: string;
cond := chantVxmlNoinput.Cond;
chantVxmlNoinput.Cond := cond;

String cond = chantVxmlNoinput.getCond();
chantVxmlNoinput.setCond(cond);

Dim cond As String
cond = chantVxmlNoinput.Cond
chantVxmlNoinput.Cond = cond

Collapse/Expand See Also section See Also

ChantVxmlNoinput


ChantVxmlNoinput Count Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Count Property

The event count.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantVxmlNoinput.Count;
chantVxmlNoinput.Count = count;

long count = chantVxmlNoinput->GetCount();
chantVxmlNoinput->SetCount(count);

long count = chantVxmlNoinput->GetCount(); chantVxmlNoinput->SetCount(count);

var count: Integer;
count := chantVxmlNoinput.Count;
chantVxmlNoinput.Count := count;

int count = chantVxmlNoinput.getCount();
chantVxmlNoinput.setCount(count);

Dim count As Integer
count = chantVxmlNoinput.Count
chantVxmlNoinput.Count = count

Collapse/Expand See Also section See Also

ChantVxmlNoinput


ChantVxmlNomatch Class

Represents a <nomatch> element that catches a nomatch event.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAssign | Adds a variable assignment to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddClear | Adds a variable clear to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddDisconnect | Adds a disconnect to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddExit | Adds an exit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddGoto | Adds a goto to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddIf | Adds an if to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddLog | Adds a log message to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReprompt | Adds a reprompt to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddReturn | Adds a return to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddScript | Adds a script to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddSubmit | Adds a submit to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddThrow | Adds a throw to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | AddVar | Adds a variable declaration to the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAssign | Removes a variable assignment from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveClear | Removes a variable clear from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveDisconnect | Removes a disconnect from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveExit | Removes an exit from the document. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveGoto | Removes a goto from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveIf | Removes an if from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveLog | Removes a log message from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReprompt | Removes a reprompt from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveReturn | Removes a return from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveScript | Removes a script from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveSubmit | Removes a submit from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveThrow | Removes a throw from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlExceptionHandler.
Public method | RemoveVar | Removes a variable declaration from the dialog. Inherits from ChantVxmlExceptionHandler.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Cond | An optional condition to test to see if the event is caught by this element.
Public property | Count | The event count.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElementr
ChantVxmlExceptionHandler
ChantVxmlMixedContentElement


ChantVxmlNomatch Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An optional condition to test to see if the event is caught by this element.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String cond = chantVxmlNomatch.Cond;
chantVxmlNomatch.Cond = cond;

wchar_t* cond = chantVxmlNomatch->GetCond();
chantVxmlNomatch->SetCond(cond);

String cond = chantVxmlNomatch->GetCond();
chantVxmlNomatch->SetCond(cond);

var cond: string;
cond := chantVxmlNomatch.Cond;
chantVxmlNomatch.Cond := cond;

String cond = chantVxmlNomatch.getCond();
chantVxmlNomatch.setCond(cond);

Dim cond As String
cond = chantVxmlNomatch.Cond
chantVxmlNomatch.Cond = cond

Collapse/Expand See Also section See Also

ChantVxmlNomatch


ChantVxmlNomatch Count Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Count Property

The event count.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantVxmlNomatch.Count;
chantVxmlNomatch.Count = count;

long count = chantVxmlNomatch->GetCount();
chantVxmlNomatch->SetCount(count);

long count = chantVxmlNomatch->GetCount(); chantVxmlNomatch->SetCount(count);

var count: Integer;
count := chantVxmlNomatch.Count;
chantVxmlNomatch.Count := count;

int count = chantVxmlNomatch.getCount();
chantVxmlNomatch.setCount(count);

Dim count As Integer
count = chantVxmlNomatch.Count
chantVxmlNomatch.Count = count

Collapse/Expand See Also section See Also

ChantVxmlNomatch


ChantVxmlObject Class

Represents an <object> element that interacts with a custom extension.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddCatch | Adds a catch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddError | Adds an error handler to the dialog. Inherits from ChantVxmlException.
Public method | AddFilled | Adds a filled handler to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddHelp | Adds a help handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNoinput | Adds a noinput handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNomatch | Adds a nomatch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddParam | Adds a parameter declaration to the dialog.
Public method | AddProperty | Adds a property declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveCatch | Removes a catch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveError | Removes an error handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveFilled | Removes a filled handler from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveHelp | Removes a help handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNoinput | Removes a noinput handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNomatch | Removes a nomatch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveParam | Removes a parameter declaration from the dialog.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveProperty | Removes a property declaration from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlFormControl.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Archive | A space-separated list of URIs for archives containing resources relevant to the object,
Public property | Classid | The URI specifying the location of the object's implementation.
Public property | Codebase | The base path used to resolve relative URIs specified by classid, data, and archive.
Public property | Codetype | The content type of data expected when downloading the object specified by classid.
Public property | Cond | An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.
Public property | Data | The URI specifying the location of the object's data.
Public property | Expr | The initial value of the form item variable; default is ECMAScript undefined.
Public property | Fetchhint | Defines when the interpreter context should retrieve content from the server.
Public property | Fetchtimeout | The interval to wait for the content to be returned before throwing an error.badfetch event.
Public property | Maxage | Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.
Public property | Maxstale | Indicates that the document is willing to use content that has exceeded its expiration time.
Public property | Name | When the object is evaluated, it sets this variable to an ECMAScript value whose type is defined by the object.
Public property | Type | The content type of the data specified by the data attribute.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlException
ChantVxmlFormControl
ChantVxmlMixedContentElement


ChantVxmlObject AddParam Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddParam Method

Adds a parameter declaration to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlParam chantVxmlParam = chantVxmlObject.AddParam();

CChantVxmlParam* chantVxmlParam = chantVxmlObject->AddParam();

CChantVxmlParam* chantVxmlParam = chantVxmlObject->AddParam();

var chantVxmlParam: TChantVxmlParam; chantVxmlParam := chantVxmlObject.AddParam();

JChantVxmlParam chantVxmlParam = chantVxmlObject.addParam();

Dim chantVxmlParam As NChantVxmlParam
chantVxmlParam = chantVxmlObject.AddParam()

Parameters

None.

Return Value

Object. The ChantVxmlParam object.

Collapse/Expand See Also section See Also

ChantVxmlObject
ChantVxmlParam
RemoveParam


ChantVxmlObject Archive Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Archive Property

A space-separated list of URIs for archives containing resources relevant to the object,

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String archive = chantVxmlObject.Archive;
chantVxmlObject.Archive = archive;

wchar_t* archive = chantVxmlObject->GetArchive();
chantVxmlObject->SetArchive(archive);

String archive = chantVxmlObject->GetArchive();
chantVxmlObject->SetArchive(archive);

var archive: string;
archive := chantVxmlObject.Archive;
chantVxmlObject.Archive := archive;

String archive = chantVxmlObject.getArchive();
chantVxmlObject.setArchive(archive);

Dim archive As String
archive = chantVxmlObject.Archive
chantVxmlObject.Archive = archive

Collapse/Expand See Also section See Also

ChantVxmlObject


ChantVxmlObject Classid Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Classid Property

The URI specifying the location of the object's implementation.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String classid = chantVxmlObject.Classid;
chantVxmlObject.Classid = classid;

wchar_t* classid = chantVxmlObject->GetClassid();
chantVxmlObject->SetClassid(classid);

String classid = chantVxmlObject->GetClassid();
chantVxmlObject->SetClassid(classid);

var classid: string;
classid := chantVxmlObject.Classid;
chantVxmlObject.Classid := classid;

String classid = chantVxmlObject.getClassid();
chantVxmlObject.setClassid(classid);

Dim classid As String
classid = chantVxmlObject.Classid
chantVxmlObject.Classid = classid

Collapse/Expand See Also section See Also

ChantVxmlObject


ChantVxmlObject Codebase Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Codebase Property

The base path used to resolve relative URIs specified by classid, data, and archive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String codebase = chantVxmlObject.Codebase;
chantVxmlObject.Codebase = codebase;

wchar_t* codebase = chantVxmlObject->GetCodebase();
chantVxmlObject->SetCodebase(codebase);

String codebase = chantVxmlObject->GetCodebase();
chantVxmlObject->SetCodebase(codebase);

var codebase: string;
codebase := chantVxmlObject.Codebase;
chantVxmlObject.Codebase := codebase;

String codebase = chantVxmlObject.getCodebase();
chantVxmlObject.setCodebase(codebase);

Dim codebase As String
codebase = chantVxmlObject.Codebase
chantVxmlObject.Codebase = codebase

Collapse/Expand See Also section See Also

ChantVxmlObject


ChantVxmlObject Codetype Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Codetype Property

The content type of data expected when downloading the object specified by classid.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String codetype = chantVxmlObject.Codetype;
chantVxmlObject.Codetype = codetype;

wchar_t* codetype = chantVxmlObject->GetCodetype();
chantVxmlObject->SetCodetype(codetype);

String codetype = chantVxmlObject->GetCodetype();
chantVxmlObject->SetCodetype(codetype);

var codetype: string;
codetype := chantVxmlObject.Codetype;
chantVxmlObject.Codetype := codetype;

String codetype = chantVxmlObject.getCodetype();
chantVxmlObject.setCodetype(codetype);

Dim codetype As String
codetype = chantVxmlObject.Codetype
chantVxmlObject.Codetype = codetype

Collapse/Expand See Also section See Also

ChantVxmlObject


ChantVxmlObject Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String cond = chantVxmlObject.Cond;
chantVxmlObject.Cond = cond;

wchar_t* cond = chantVxmlObject->GetCond();
chantVxmlObject->SetCond(cond);

String cond = chantVxmlObject->GetCond();
chantVxmlObject->SetCond(cond);

var cond: string;
cond := chantVxmlObject.Cond;
chantVxmlObject.Cond := cond;

String cond = chantVxmlObject.getCond();
chantVxmlObject.setCond(cond);

Dim cond As String
cond = chantVxmlObject.Cond
chantVxmlObject.Cond = cond

Collapse/Expand See Also section See Also

ChantVxmlObject


ChantVxmlObject Data Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Data Property

The URI specifying the location of the object's data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String data = chantVxmlObject.Data;
chantVxmlObject.Data = data;

wchar_t* data = chantVxmlObject->GetData();
chantVxmlObject->SetData(data);

String data = chantVxmlObject->GetData();
chantVxmlObject->SetData(data);

var data: string;
data := chantVxmlObject.Data;
chantVxmlObject.Data := data;

String data = chantVxmlObject.getData();
chantVxmlObject.setData(data);

Dim data As String
data = chantVxmlObject.Data
chantVxmlObject.Data = data

Collapse/Expand See Also section See Also

ChantVxmlObject


ChantVxmlObject Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

The initial value of the form item variable; default is ECMAScript undefined.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlObject.Expr;
chantVxmlObject.Expr = expr;

wchar_t* expr = chantVxmlObject->GetExpr();
chantVxmlObject->SetExpr(expr);

String expr = chantVxmlObject->GetExpr();
chantVxmlObject->SetExpr(expr);

var expr: string;
expr := chantVxmlObject.Expr;
chantVxmlObject.Expr := expr;

String expr = chantVxmlObject.getExpr();
chantVxmlObject.setExpr(expr);

Dim expr As String
expr = chantVxmlObject.Expr
chantVxmlObject.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlObject


ChantVxmlObject Fetchhint Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchhint Property

Defines when the interpreter context should retrieve content from the server.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLFetch eVXMLFetch = chantVxmlObject.Fetchhint;
chantVxmlObject.Fetchhint = eVXMLFetch;

VXMLFetch eVXMLFetch = chantVxmlObject->GetFetchhint();
chantVxmlObject->SetFetchhint(eVXMLFetch);

VXMLFetch eVXMLFetch = chantVxmlObject->GetFetchhint();
chantVxmlObject->SetFetchhint(eVXMLFetch);

var eVXMLFetch: VXMLFetch;
eVXMLFetch := chantVxmlObject.Fetchhint;
chantVxmlObject.Fetchhint := eVXMLFetch;

int eVXMLFetch = chantVxmlObject.getFetchhint();
chantVxmlObject.setFetchhint(eVXMLFetch);

Dim eVXMLFetch As Fetchhint
eVXMLFetch = chantVxmlObject.Fetchhint
chantVxmlObject.Fetchhint = eVXMLFetch

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLFetch constant values.

Constant | Value | Description
Prefetch | 0 | A file may be downloaded when the document is loaded.
Safe | 1 | A file should only be downloaded when actually needed.

Collapse/Expand See Also section See Also

ChantVxmlObject


ChantVxmlObject Fetchtimeout Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchtimeout Property

The interval to wait for the content to be returned before throwing an error.badfetch event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int fetchtimeout = chantVxmlObject.Fetchtimeout;
chantVxmlObject.Fetchtimeout = fetchtimeout;

long fetchtimeout = chantVxmlObject->GetFetchtimeout();
chantVxmlObject->SetFetchtimeout(fetchtimeout);

long fetchtimeout = chantVxmlObject->GetFetchtimeout();
chantVxmlObject->SetFetchtimeout(fetchtimeout);

var fetchtimeout: Integer;
fetchtimeout := chantVxmlObject.Fetchtimeout;
chantVxmlObject.Fetchtimeout := fetchtimeout;

int fetchtimeout = chantVxmlObject.getFetchtimeout();
chantVxmlObject.setFetchtimeout(fetchtimeout);

Dim fetchtimeout As Integer
fetchtimeout = chantVxmlObject.Fetchtimeout
chantVxmlObject.Fetchtimeout = fetchtimeout

Collapse/Expand See Also section See Also

ChantVxmlObject


ChantVxmlObject Maxage Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxage Property

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxage = chantVxmlObject.Maxage;
chantVxmlObject.Maxage = maxage;

long maxage = chantVxmlObject->GetMaxage();
chantVxmlObject->SetMaxage(maxage);

long maxage = chantVxmlObject->GetMaxage(); chantVxmlObject->SetMaxage(maxage);

var maxage: Integer;
maxage := chantVxmlObject.Maxage;
chantVxmlObject.Maxage := maxage;

int maxage = chantVxmlObject.getMaxage();
chantVxmlObject.setMaxage(maxage);

Dim maxage As Integer
maxage = chantVxmlObject.Maxage
chantVxmlObject.Maxage = maxage

Collapse/Expand See Also section See Also

ChantVxmlObject


ChantVxmlObject Maxstale Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxstale Property

Indicates that the document is willing to use content that has exceeded its expiration time.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxstale = chantVxmlObject.Maxstale;
chantVxmlObject.Maxstale = maxstale;

long maxstale = chantVxmlObject->GetMaxstale();
chantVxmlObject->SetMaxstale(maxstale);

long maxstale = chantVxmlObject->GetMaxstale();
chantVxmlObject->SetMaxstale(maxstale);

var maxstale: Integer;
maxstale := chantVxmlObject.Maxstale;
chantVxmlObject.Maxstale := maxstale;

int maxstale = chantVxmlObject.getMaxstale();
chantVxmlObject.setMaxstale(maxstale);

Dim maxstale As Integer
maxstale = chantVxmlObject.Maxstale
chantVxmlObject.Maxstale = maxstale

Collapse/Expand See Also section See Also

ChantVxmlObject


ChantVxmlObject Name Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Name Property

When the object is evaluated, it sets this variable to an ECMAScript value whose type is defined by the object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantVxmlObject.Name;
chantVxmlObject.Name = name;

wchar_t* name = chantVxmlObject->GetName();
chantVxmlObject->SetName(name);

String name = chantVxmlObject->GetName();
chantVxmlObject->SetName(name);

var name: string;
name := chantVxmlObject.Name;
chantVxmlObject.Name := name;

String name = chantVxmlObject.getName();
chantVxmlObject.setName(name);

Dim name As String
name = chantVxmlObject.Name
chantVxmlObject.Name = name

Collapse/Expand See Also section See Also

ChantVxmlObject


ChantVxmlObject RemoveParam Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveParam Method

Removes a parameter declaration from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlObject.RemoveParam(chantVxmlParam);

chantVxmlObject->RemoveParam(chantVxmlParam);

chantVxmlObject->RemoveParam(chantVxmlParam);

chantVxmlObject.RemoveParam(chantVxmlParam);

chantVxmlObject.removeParam(chantVxmlParam);

chantVxmlObject.RemoveParam(chantVxmlParam)

Parameters

chantVxmlParam

Object. The ChantVxmlParam object to remove.

Collapse/Expand See Also section See Also

AddParam
ChantVxmlObject ChantVxmlParam


ChantVxmlObject Type Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Type Property

The content type of the data specified by the data attribute.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String type = chantVxmlObject.Type;
chantVxmlObject.Type = type;

wchar_t* type = chantVxmlObject->GetType();
chantVxmlObject->SetType(type);

String type = chantVxmlObject->GetType();
chantVxmlObject->SetType(type);

var type: string;
type := chantVxmlObject.Type;
chantVxmlObject.Type := type;

String type = chantVxmlObject.getType();
chantVxmlObject.setType(type);

Dim type As String
type = chantVxmlObject.Type
chantVxmlObject.Type = type

Collapse/Expand See Also section See Also

ChantVxmlObject


ChantVxmlOption Class

Represents an <option> element that specifies an option in a <field> element.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Accept | Defines the matching criteria.
Public property | Dtmf | An optional DTMF sequence for this option.
Public property | Value | The string to assign to the field's form item variable when a user selects this option, whether by speech or DTMF.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement


ChantVxmlOption Accept Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Accept Property

Defines the matching criteria.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLAccept eVXMLAccept = chantVxmlOption.Accept;
chantVxmlOption.Accept = eVXMLAccept;

VXMLAccept eVXMLAccept = chantVxmlOption->GetAccept();
chantVxmlOption->SetAccept(eVXMLAccept);

VXMLAccept eVXMLAccept = chantVxmlOption->GetAccept();
chantVxmlOption->SetAccept(eVXMLAccept);

var eVXMLAccept: VXMLAccept;
eVXMLAccept := chantVxmlOption.Accept;
chantVxmlOption.Accept := eVXMLAccept;

int eVXMLAccept = chantVxmlOption.getAccept();
chantVxmlOption.setAccept(eVXMLAccept);

Dim eVXMLAccept As Accept
eVXMLAccept = chantVxmlOption.Accept
chantVxmlOption.Accept = eVXMLAccept

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLAccept constant values.

Constant | Value | Description
Approximate | 0 | Approximate recognition phrase match.
Exact | 1 | Exact recognition phrase match.

Collapse/Expand See Also section See Also

ChantVxmlOption


ChantVxmlOption Dtmf Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Dtmf Property

An optional DTMF sequence for this option.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String dtmf = chantVxmlOption.Dtmf;
chantVxmlOption.Dtmf = dtmf;

wchar_t* dtmf = chantVxmlOption->GetDtmf();
chantVxmlOption->SetDtmf(dtmf);

String dtmf = chantVxmlOption->GetDtmf();
chantVxmlOption->SetDtmf(dtmf);

var dtmf: string;
dtmf := chantVxmlOption.Dtmf;
chantVxmlOption.Dtmf := dtmf;

String dtmf = chantVxmlOption.getDtmf();
chantVxmlOption.setDtmf(dtmf);

Dim dtmf As String
dtmf = chantVxmlOption.Dtmf
chantVxmlOption.Dtmf = dtmf

Collapse/Expand See Also section See Also

ChantVxmlOption


ChantVxmlOption Value Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Value Property

The string to assign to the field's form item variable when a user selects this option, whether by speech or DTMF.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String value = chantVxmlOption.Value;
chantVxmlOption.Value = value;

wchar_t* value = chantVxmlOption->GetValue();
chantVxmlOption->SetValue(value);

String value = chantVxmlOption->GetValue();
chantVxmlOption->SetValue(value);

var value: string;
value := chantVxmlOption.Value;
chantVxmlOption.Value := value;

String value = chantVxmlOption.getValue();
chantVxmlOption.setValue(value);

Dim value As String
value = chantVxmlOption.Value
chantVxmlOption.Value = value

Collapse/Expand See Also section See Also

ChantVxmlOption


ChantVxmlParam Class

Represents a <param> element that is a parameter in an <object> or <subdialog>.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Expr | An expression that computes the value associated with name.
Public property | Name | The name to be associated with this parameter when the object or subdialog is invoked.
Public property | Type | The media type of the result provided by a URI if the valuetype is ref.
Public property | Value | Associates a literal string value with name.
Public property | Valuetype | Describes the value type.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlParam Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

An expression that computes the value associated with name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlParam.Expr;
chantVxmlParam.Expr = expr;

wchar_t* expr = chantVxmlParam->GetExpr();
chantVxmlParam->SetExpr(expr);

String expr = chantVxmlParam->GetExpr();
chantVxmlParam->SetExpr(expr);

var expr: string;
expr := chantVxmlParam.Expr;
chantVxmlParam.Expr := expr;

String expr = chantVxmlParam.getExpr();
chantVxmlParam.setExpr(expr);

Dim expr As String
expr = chantVxmlParam.Expr
chantVxmlParam.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlParam


ChantVxmlParam Name Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Name Property

The name to be associated with this parameter when the object or subdialog is invoked.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantVxmlParam.Name;
chantVxmlParam.Name = name;

wchar_t* name = chantVxmlParam->GetName();
chantVxmlParam->SetName(name);

String name = chantVxmlParam->GetName();
chantVxmlParam->SetName(name);

var name: string;
name := chantVxmlParam.Name;
chantVxmlParam.Name := name;

String name = chantVxmlParam.getName();
chantVxmlParam.setName(name);

Dim name As String
name = chantVxmlParam.Name
chantVxmlParam.Name = name

Collapse/Expand See Also section See Also

ChantVxmlParam


ChantVxmlParam Type Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Type Property

The media type of the result provided by a URI if the valuetype is ref.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlParam.Type;
chantVxmlParam.Type = eVXMLMediaEncoding;

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlParam->GetType();
chantVxmlParam->SetType(eVXMLMediaEncoding);

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlParam->GetType();
chantVxmlParam->SetType(eVXMLMediaEncoding);

var eVXMLMediaEncoding: VXMLMediaEncoding;
eVXMLMediaEncoding := chantVxmlParam.Type;
chantVxmlParam.Type := eVXMLMediaEncoding;

int eVXMLMediaEncoding = chantVxmlParam.getType();
chantVxmlParam.setType(eVXMLMediaEncoding);

Dim eVXMLMediaEncoding As Type
eVXMLMediaEncoding = chantVxmlParam.Type
chantVxmlParam.Type = eVXMLMediaEncoding

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLMediaEncoding constant values.

Constant | Value | Description
TextPlain | 0 | text/plain
MultipartFormData | 1 | multipart/form-data
ApplicationXWwwFormUrlencoded | 2 | application/x-www-form-urlencoded

Collapse/Expand See Also section See Also

ChantVxmlParam


ChantVxmlParam Value Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Value Property

Associates a literal string value with name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String value = chantVxmlParam.Value;
chantVxmlParam.Value = value;

wchar_t* value = chantVxmlParam->GetValue();
chantVxmlParam->SetValue(value);

String value = chantVxmlParam->GetValue();
chantVxmlParam->SetValue(value);

var value: string;
value := chantVxmlParam.Value;
chantVxmlParam.Value := value;

String value = chantVxmlParam.getValue();
chantVxmlParam.setValue(value);

Dim value As String
value = chantVxmlParam.Value
chantVxmlParam.Value = value

Collapse/Expand See Also section See Also

ChantVxmlParam


ChantVxmlParam ValueType Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

ValueType Property

Defines when the interpreter context should retrieve content from the server.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLValue eVXMLValue = chantVxmlParam.ValueType;
chantVxmlParam.ValueType = eVXMLValue;

VXMLValue eVXMLValue = chantVxmlParam->GetValueType();
chantVxmlParam->SetValueType(eVXMLValue);

VXMLValue eVXMLValue = chantVxmlParam->GetValueType();
chantVxmlParam->SetValueType(eVXMLValue);

var eVXMLValue: VXMLValue;
eVXMLValue := chantVxmlParam.ValueType;
chantVxmlParam.ValueType := eVXMLValue;

int eVXMLValue = chantVxmlParam.getValueType();
chantVxmlParam.setValueType(eVXMLValue);

Dim eVXMLValue As ValueType
eVXMLValue = chantVxmlParam.ValueType
chantVxmlParam.ValueType = eVXMLValue

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLValue constant values.

Constant | Value | Description
Data | 0 | Indicates the object is data.
Ref | 1 | Indicates the object is a Uri.

Collapse/Expand See Also section See Also

ChantVxmlParam


ChantVxmlPrompt Class

Represents a <prompt> element that queues speech synthesis and audio output to the user.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddCatch | Adds a catch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddError | Adds an error handler to the dialog. Inherits from ChantVxmlException.
Public method | AddFilled | Adds a filled handler to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddHelp | Adds a help handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNoinput | Adds a noinput handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNomatch | Adds a nomatch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddProperty | Adds a property declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveCatch | Removes a catch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveError | Removes an error handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveFilled | Removes a filled handler from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveHelp | Removes a help handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNoinput | Removes a noinput handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNomatch | Removes a nomatch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveProperty | Removes a property declaration from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlFormControl.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Bargein | Control whether a user can interrupt a prompt.
Public property | Bargeintype | The type of bargein.
Public property | Cond | An expression that must evaluate to true after conversion to boolean in order for the prompt to be played.
Public property | Count | A number that allows you to emit different prompts if the user is doing something repeatedly.
Public property | Timeout | The timeout that will be used for the following user input.
Public property | XmlBase | Declares the base URI from which relative URIs in the prompt are resolved.
Public property | XmlLang | The language identifier for the prompt.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlException
ChantVxmlFormControl
ChantVxmlMixedContentElement


ChantVxmlPrompt Bargein Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Bargein Property

Control whether a user can interrupt a prompt.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool bargein = chantVxmlPrompt.Bargein;
chantVxmlPrompt.Bargein = bargein;

bool bargein = chantVxmlPrompt->GetBargein();
chantVxmlPrompt->SetBargein(bargein);

bool bargein = chantVxmlPrompt->GetBargein();
chantVxmlPrompt->SetBargein(bargein);

var bargein: Boolean;
bargein := chantVxmlPrompt.Bargein;
chantVxmlPrompt.Bargein := bargein;

boolean bargein = chantVxmlPrompt.getBargein();
chantVxmlPrompt.setBargein(bargein);

Dim bargein As Boolean
bargein = chantVxmlPrompt.Bargein
chantVxmlPrompt.Bargein = bargein

Collapse/Expand See Also section See Also

ChantVxmlPrompt


ChantVxmlPrompt Bargeintype Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Bargeintype Property

The type of bargein.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLBargein eVXMLBargein = chantVxmlPrompt.Bargeintype;
chantVxmlPrompt.Bargeintype = eVXMLBargein;

VXMLBargein eVXMLBargein = chantVxmlPrompt->GetBargeintype();
chantVxmlPrompt->SetBargeintype(eVXMLBargein);

VXMLBargein eVXMLBargein = chantVxmlPrompt->GetBargeintype();
chantVxmlPrompt->SetBargeintype(eVXMLBargein);

var eVXMLBargein: VXMLBargein;
eVXMLBargein := chantVxmlPrompt.Bargeintype;
chantVxmlPrompt.Bargeintype := eVXMLBargein;

int eVXMLBargein = chantVxmlPrompt.getBargeintype();
chantVxmlPrompt.setBargeintype(eVXMLBargein);

Dim eVXMLBargein As Bargeintype
eVXMLBargein = chantVxmlPrompt.Bargeintype
chantVxmlPrompt.Bargeintype = eVXMLBargein

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLBargein constant values.

Constant | Value | Description
Hotword | 0 | The prompt will not be stopped until a complete match of an active grammar is detected.
Speech | 1 | The prompt will be stopped as soon as speech or DTMF input is detected.

Collapse/Expand See Also section See Also

ChantVxmlPrompt


ChantVxmlPrompt Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An expression that must evaluate to true after conversion to boolean in order for the prompt to be played.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String cond = chantVxmlPrompt.Cond;
chantVxmlPrompt.Cond = cond;

wchar_t* cond = chantVxmlPrompt->GetCond();
chantVxmlPrompt->SetCond(cond);

String cond = chantVxmlPrompt->GetCond();
chantVxmlPrompt->SetCond(cond);

var cond: string;
cond := chantVxmlPrompt.Cond;
chantVxmlPrompt.Cond := cond;

String cond = chantVxmlPrompt.getCond();
chantVxmlPrompt.setCond(cond);

Dim cond As String
cond = chantVxmlPrompt.Cond
chantVxmlPrompt.Cond = cond

Collapse/Expand See Also section See Also

ChantVxmlPrompt


ChantVxmlPrompt Count Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Count Property

A number that allows you to emit different prompts if the user is doing something repeatedly.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int count = chantVxmlPrompt.Count;
chantVxmlPrompt.Count = count;

long count = chantVxmlPrompt->GetCount();
chantVxmlPrompt->SetCount(count);

long count = chantVxmlPrompt->GetCount(); chantVxmlPrompt->SetCount(count);

var count: Integer;
count := chantVxmlPrompt.Count;
chantVxmlPrompt.Count := count;

int count = chantVxmlPrompt.getCount();
chantVxmlPrompt.setCount(count);

Dim count As Integer
count = chantVxmlPrompt.Count
chantVxmlPrompt.Count = count

Collapse/Expand See Also section See Also

ChantVxmlPrompt


ChantVxmlPrompt Timeout Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Timeout Property

The timeout that will be used for the following user input.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int timeout = chantVxmlPrompt.Timeout;
chantVxmlPrompt.Timeout = timeout;

long timeout = chantVxmlPrompt->GetTimeout();
chantVxmlPrompt->SetTimeout(timeout);

long timeout = chantVxmlPrompt->GetTimeout(); chantVxmlPrompt->SetTimeout(timeout);

var timeout: Integer;
timeout := chantVxmlPrompt.Timeout;
chantVxmlPrompt.Timeout := timeout;

int timeout = chantVxmlPrompt.getTimeout();
chantVxmlPrompt.setTimeout(timeout);

Dim timeout As Integer
timeout = chantVxmlPrompt.Timeout
chantVxmlPrompt.Timeout = timeout

Collapse/Expand See Also section See Also

ChantVxmlPrompt


ChantVxmlPrompt XmlBase Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

XmlBase Property

Declares the base URI from which relative URIs in the prompt are resolved.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String xmlbase = chantVxmlPrompt.XmlBase;
chantVxmlPrompt.XmlBase = xmlbase;

wchar_t* xmlbase = chantVxmlPrompt->GetXmlBase();
chantVxmlPrompt->SetXmlBase(xmlbase);

String xmlbase = chantVxmlPrompt->GetXmlBase();
chantVxmlPrompt->SetXmlBase(xmlbase);

var xmlbase: string;
xmlbase := chantVxmlPrompt.XmlBase;
chantVxmlPrompt.XmlBase := xmlbase;

String xmlbase = chantVxmlPrompt.getXmlBase();
chantVxmlPrompt.setXmlBase(xmlbase);

Dim xmlbase As String
xmlbase = chantVxmlPrompt.XmlBase
chantVxmlPrompt.XmlBase = xmlbase

Collapse/Expand See Also section See Also

ChantVxmlPrompt


ChantVxmlPrompt XmlLang Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

XmlLang Property

The language identifier for the prompt.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String xmllang = chantVxmlPrompt.XmlLang;
chantVxmlPrompt.XmlLang = xmllang;

wchar_t* pszVal = chantVxmlPrompt->GetXmlLang();
chantVxmlPrompt->SetXmlLang(pszVal);

String xmllang = chantVxmlPrompt->GetXmlLang();
chantVxmlPrompt->SetXmlLang(xmllang);

var xmllang: string;
xmllang := chantVxmlPrompt.XmlLang;
chantVxmlPrompt.XmlLang := xmllang;

String xmllang = chantVxmlPrompt.getXmlLang();
chantVxmlPrompt.setXmlLang(xmllang);

Dim xmllang As String
xmllang = chantVxmlPrompt.XmlLang
chantVxmlPrompt.XmlLang = xmllang

Collapse/Expand See Also section See Also

ChantVxmlPrompt


ChantVxmlProperty Class

Represents a <property> element that controls implementation platform settings.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Name | The name of the property.
Public property | Value | The value of the property.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlProperty Name Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Name Property

The name of the property.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantVxmlProperty.Name;
chantVxmlProperty.Name = name;

wchar_t* name = chantVxmlProperty->GetName();
chantVxmlProperty->SetName(name);

String name = chantVxmlProperty->GetName();
chantVxmlProperty->SetName(name);

var name: string;
name := chantVxmlProperty.Name;
chantVxmlProperty.Name := name;

String name = chantVxmlProperty.getName();
chantVxmlProperty.setName(name);

Dim name As String
name = chantVxmlProperty.Name
chantVxmlProperty.Name = name

Collapse/Expand See Also section See Also

ChantVxmlProperty


ChantVxmlProperty Value Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Value Property

The value of the property.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String value = chantVxmlProperty.Value;
chantVxmlProperty.Value = value;

wchar_t* pszVal = chantVxmlProperty->GetValue();
chantVxmlProperty->SetValue(pszVal);

String value = chantVxmlProperty->GetValue();
chantVxmlProperty->SetValue(value);

var value: string;
value := chantVxmlProperty.Value;
chantVxmlProperty.Value := value;

String value = chantVxmlProperty.getValue();
chantVxmlProperty.setValue(value);

Dim value As String
value = chantVxmlProperty.Value
chantVxmlProperty.Value = value

Collapse/Expand See Also section See Also

ChantVxmlProperty


ChantVxmlRecord Class

Represents a <record> element that records an audio sample.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddCatch | Adds a catch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddError | Adds an error handler to the dialog. Inherits from ChantVxmlException.
Public method | AddFilled | Adds a filled handler to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddGrammar | Adds a grammar to the dialog.
Public method | AddHelp | Adds a help handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNoinput | Adds a noinput handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNomatch | Adds a nomatch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddProperty | Adds a property declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveCatch | Removes a catch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveError | Removes an error handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveFilled | Removes a filled handler from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveGrammar | Removes a grammar from the dialog.
Public method | RemoveHelp | Removes a help handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNoinput | Removes a noinput handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNomatch | Removes a nomatch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveProperty | Removes a property declaration from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlFormControl.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Beep | Indicates whether a tone is emitted just prior to recording.
Public property | Cond | An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.
Public property | Dtmfterm | Indicates whether any DTMF keypress not matched by an active grammar will be treated as a match of an active (anonymous) local DTMF grammar.
Public property | Expr | The initial value of the form item variable.
Public property | Finalsilence | The interval of silence that indicates end of speech.
Public property | Maxtime | The maximum duration to record.
Public property | Modal | If this is true (the default) all non-local speech and DTMF grammars are not active while making the recording.
Public property | Name | The input item variable that will hold the recording.
Public property | Type | The media format of the resulting recording.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlException
ChantVxmlFormControl
ChantVxmlMixedContentElement


ChantVxmlRecord AddGrammar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddGrammar Method

Adds a grammar to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlGrammar chantVxmlGrammar = chantVxmlRecord.AddGrammar();

CChantVxmlGrammar* chantVxmlGrammar = chantVxmlRecord->AddGrammar();

CChantVxmlGrammar* chantVxmlGrammar = chantVxmlRecord->AddGrammar();

var chantVxmlGrammar: TChantVxmlGrammar; chantVxmlGrammar := chantVxmlRecord.AddGrammar();

JChantVxmlGrammar chantVxmlGrammar = chantVxmlRecord.addGrammar();

Dim chantVxmlGrammar As NChantVxmlGrammar
chantVxmlGrammar = chantVxmlRecord.AddGrammar()

Parameters

None.

Return Value

Object. The ChantVxmlGrammar object.

Collapse/Expand See Also section See Also

ChantVxmlGrammar
ChantVxmlRecord
RemoveGrammar


ChantVxmlRecord Beep Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Beep Property

Indicates whether a tone is emitted just prior to recording.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool beep = chantVxmlRecord.Beep;
chantVxmlRecord.Beep = beep;

bool beep = chantVxmlRecord->GetBeep();
chantVxmlRecord->SetBeep(beep);

bool beep = chantVxmlRecord->GetBeep();
chantVxmlRecord->SetBeep(beep);

var beep: Boolean;
beep := chantVxmlRecord.Beep;
chantVxmlRecord.Beep := beep;

boolean beep = chantVxmlRecord.getBeep();
chantVxmlRecord.setBeep(beep);

Dim beep As Boolean
beep = chantVxmlRecord.Beep
chantVxmlRecord.Beep = beep

Collapse/Expand See Also section See Also

ChantVxmlRecord


ChantVxmlRecord Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String cond = chantVxmlRecord.Cond;
chantVxmlRecord.Cond = cond;

wchar_t* cond = chantVxmlRecord->GetCond();
chantVxmlRecord->SetCond(cond);

String cond = chantVxmlRecord->GetCond();
chantVxmlRecord->SetCond(cond);

var cond: string;
cond := chantVxmlRecord.Cond;
chantVxmlRecord.Cond := cond;

String cond = chantVxmlRecord.getCond();
chantVxmlRecord.setCond(cond);

Dim cond As String
cond = chantVxmlRecord.Cond
chantVxmlRecord.Cond = cond

Collapse/Expand See Also section See Also

ChantVxmlRecord


ChantVxmlRecord Dtmfterm Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Dtmfterm Property

Indicates whether any DTMF keypress not matched by an active grammar will be treated as a match of an active (anonymous) local DTMF grammar.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool dtmfterm = chantVxmlRecord.Dtmfterm;
chantVxmlRecord.Dtmfterm = dtmfterm;

bool dtmfterm = chantVxmlRecord->GetDtmfterm();
chantVxmlRecord->SetDtmfterm(dtmfterm);

bool dtmfterm = chantVxmlRecord->GetDtmfterm();
chantVxmlRecord->SetDtmfterm(dtmfterm);

var dtmfterm: Boolean;
dtmfterm := chantVxmlRecord.Dtmfterm;
chantVxmlRecord.Dtmfterm := dtmfterm;

boolean dtmfterm = chantVxmlRecord.getDtmfterm();
chantVxmlRecord.setDtmfterm(dtmfterm);

Dim dtmfterm As Boolean
dtmfterm = chantVxmlRecord.Dtmfterm
chantVxmlRecord.Dtmfterm = dtmfterm

Collapse/Expand See Also section See Also

ChantVxmlRecord


ChantVxmlRecord Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

The initial value of the form item variable.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlRecord.Expr;
chantVxmlRecord.Expr = expr;

wchar_t* expr = chantVxmlRecord->GetExpr();
chantVxmlRecord->SetExpr(expr);

String expr = chantVxmlRecord->GetExpr();
chantVxmlRecord->SetExpr(expr);

var expr: string;
expr := chantVxmlRecord.Expr;
chantVxmlRecord.Expr := expr;

String expr = chantVxmlRecord.getExpr();
chantVxmlRecord.setExpr(expr);

Dim expr As String
expr = chantVxmlRecord.Expr
chantVxmlRecord.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlRecord


ChantVxmlRecord Finalsilence Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Finalsilence Property

The interval of silence that indicates end of speech.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int finalsilence = chantVxmlRecord.Finalsilence;
chantVxmlRecord.Finalsilence = finalsilence;

long finalsilence = chantVxmlRecord->GetFinalsilence();
chantVxmlRecord->SetFinalsilence(finalsilence);

long finalsilence = chantVxmlRecord->GetFinalsilence(); chantVxmlRecord->SetFinalsilence(finalsilence);

var finalsilence: Integer;
finalsilence := chantVxmlRecord.Finalsilence;
chantVxmlRecord.Finalsilence := finalsilence;

int finalsilence = chantVxmlRecord.getFinalsilence();
chantVxmlRecord.setFinalsilence(finalsilence);

Dim finalsilence As Integer
finalsilence = chantVxmlRecord.Finalsilence
chantVxmlRecord.Finalsilence = finalsilence

Collapse/Expand See Also section See Also

ChantVxmlRecord


ChantVxmlRecord Maxtime Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxtime Property

The maximum duration to record.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxtime = chantVxmlRecord.Maxtime;
chantVxmlRecord.Maxtime = maxtime;

long maxtime = chantVxmlRecord->GetMaxtime();
chantVxmlRecord->SetMaxtime(maxtime);

long maxtime = chantVxmlRecord->GetMaxtime(); chantVxmlRecord->SetMaxtime(maxtime);

var maxtime: Integer;
maxtime := chantVxmlRecord.Maxtime;
chantVxmlRecord.Maxtime := maxtime;

int maxtime = chantVxmlRecord.getMaxtime();
chantVxmlRecord.setMaxtime(maxtime);

Dim maxtime As Integer
maxtime = chantVxmlRecord.Maxtime
chantVxmlRecord.Maxtime = maxtime

Collapse/Expand See Also section See Also

ChantVxmlRecord


ChantVxmlRecord Modal Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Modal Property

If this is true (the default) all non-local speech and DTMF grammars are not active while making the recording.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool modal = chantVxmlRecord.Modal;
chantVxmlRecord.Modal = modal;

bool modal = chantVxmlRecord->GetModal();
chantVxmlRecord->SetModal(modal);

bool modal = chantVxmlRecord->GetModal();
chantVxmlRecord->SetModal(modal);

var modal: Boolean;
modal := chantVxmlRecord.Modal;
chantVxmlRecord.Modal := modal;

boolean modal = chantVxmlRecord.getModal();
chantVxmlRecord.setModal(modal);

Dim modal As Boolean
modal = chantVxmlRecord.Modal
chantVxmlRecord.Modal = modal

Collapse/Expand See Also section See Also

ChantVxmlRecord


ChantVxmlRecord Name Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Name Property

The input item variable that will hold the recording.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantVxmlRecord.Name;
chantVxmlRecord.Name = name;

wchar_t* name = chantVxmlRecord->GetName();
chantVxmlRecord->SetName(name);

String name = chantVxmlRecord->GetName();
chantVxmlRecord->SetName(name);

var name: string;
name := chantVxmlRecord.Name;
chantVxmlRecord.Name := name;

String name = chantVxmlRecord.getName();
chantVxmlRecord.setName(name);

Dim name As String
name = chantVxmlRecord.Name
chantVxmlRecord.Name = name

Collapse/Expand See Also section See Also

ChantVxmlRecord


ChantVxmlRecord RemoveGrammar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveGrammar Method

Removes a grammar from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlRecord.RemoveGrammar(chantVxmlGrammar);

chantVxmlRecord->RemoveGrammar(chantVxmlGrammar);

chantVxmlRecord->RemoveGrammar(chantVxmlGrammar);

chantVxmlRecord.RemoveGrammar(chantVxmlGrammar);

chantVxmlRecord.removeGrammar(chantVxmlGrammar);

chantVxmlRecord.RemoveGrammar(chantVxmlGrammar)

Parameters

chantVxmlGrammar

Object. The ChantVxmlGrammar object to remove.

Collapse/Expand See Also section See Also

AddGrammar
ChantVxmlGrammar
ChantVxmlRecord


ChantVxmlRecord Type Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Type Property

The media format of the resulting recording.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLAudioMedia eVXMLAudioMedia = chantVxmlRecord.Type;
chantVxmlRecord.Type = eVXMLAudioMedia;

VXMLAudioMedia eVXMLAudioMedia = chantVxmlRecord->GetType();
chantVxmlRecord->SetType(eVXMLAudioMedia);

VXMLAudioMedia eVXMLAudioMedia = chantVxmlRecord->GetType();
chantVxmlRecord->SetType(eVXMLAudioMedia);

var eVXMLAudioMedia: VXMLAudioMedia;
eVXMLAudioMedia := chantVxmlRecord.Type;
chantVxmlRecord.Type := eVXMLAudioMedia;

int eVXMLAudioMedia = chantVxmlRecord.getType();
chantVxmlRecord.setType(eVXMLAudioMedia);

Dim eVXMLAudioMedia As Type
eVXMLAudioMedia = chantVxmlRecord.Type
chantVxmlRecord.Type = eVXMLAudioMedia

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLAudioMedia constant values.

Constant | Value | Description
AudioBasic | 0 | Raw (headerless) 8kHz 8-bit mono mu-law [PCM] single channel.
AudioXAlawBasic | 1 | Raw (headerless) 8kHz 8 bit mono A-law [PCM] single channel.
AudioXWav | 2 | WAV (RIFF header) 8kHz 8-bit mono mu-law or A-law [PCM] single channel.

Collapse/Expand See Also section See Also

ChantVxmlRecord


ChantVxmlReprompt Class

Represents a <reprompt> element that plays a field prompt when a field is re-visited after an event.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

No properties.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlReturn Class

Represents a <return> element that returns from a subdialog.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Event | Return, then throw this event.
Public property | Eventexpr | Return, then throw the event to which this ECMAScript expression evaluates.
Public property | Message | A message string providing additional context about the event being thrown.
Public property | Messageexpr | An ECMAScript expression evaluating to the message string.
Public property | Namelist | Return, then throw the event to which this ECMAScript expression evaluates.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlReturn Event Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Event Property

Return, then throw this event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String event = chantVxmlReturn.Event;
chantVxmlReturn.Event = event;

wchar_t* event = chantVxmlReturn->GetEvent();
chantVxmlReturn->SetEvent(event);

String event = chantVxmlReturn->GetEvent();
chantVxmlReturn->SetEvent(event);

var event: string;
event := chantVxmlReturn.Event;
chantVxmlReturn.Event := event;

String event = chantVxmlReturn.getEvent();
chantVxmlReturn.setEvent(event);

Dim event As String
event = chantVxmlReturn.Event
chantVxmlReturn.Event = event;

Collapse/Expand See Also section See Also

ChantVxmlReturn


ChantVxmlReturn Eventexpr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Eventexpr Property

Return, then throw the event to which this ECMAScript expression evaluates.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String eventexpr = chantVxmlReturn.Eventexpr;
chantVxmlReturn.Eventexpr = eventexpr;

wchar_t* eventexpr = chantVxmlReturn->GetEventexpr();
chantVxmlReturn->SetEventexpr(eventexpr);

String eventexpr = chantVxmlReturn->GetEventexpr();
chantVxmlReturn->SetEventexpr(eventexpr);

var eventexpr: string;
eventexpr := chantVxmlReturn.Eventexpr;
chantVxmlReturn.Eventexpr := eventexpr;

String eventexpr = chantVxmlReturn.getEventexpr();
chantVxmlReturn.setEventexpr(eventexpr);

Dim eventexpr As String
eventexpr = chantVxmlReturn.Eventexpr
chantVxmlReturn.Eventexpr = eventexpr

Collapse/Expand See Also section See Also

ChantVxmlReturn


ChantVxmlReturn Message Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Message Property

A message string providing additional context about the event being thrown.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String message = chantVxmlReturn.Message;
chantVxmlReturn.Message = message;

wchar_t* message = chantVxmlReturn->GetMessage();
chantVxmlReturn->SetMessage(message);

String message = chantVxmlReturn->GetMessage();
chantVxmlReturn->SetMessage(message);

var message: string;
message := chantVxmlReturn.Message;
chantVxmlReturn.Message := message;

String message = chantVxmlReturn.getMessage();
chantVxmlReturn.setMessage(message);

Dim message As String
message = chantVxmlReturn.Message
chantVxmlReturn.Message = message

Collapse/Expand See Also section See Also

ChantVxmlReturn


ChantVxmlReturn Messageexpr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Messageexpr Property

An ECMAScript expression evaluating to the message string.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String messageexpr = chantVxmlReturn.Messageexpr;
chantVxmlReturn.Messageexpr = messageexpr;

wchar_t* messageexpr = chantVxmlReturn->GetMessageexpr();
chantVxmlReturn->SetMessageexpr(messageexpr);

String messageexpr = chantVxmlReturn->GetMessageexpr();
chantVxmlReturn->SetMessageexpr(messageexpr);

var messageexpr: string;
messageexpr := chantVxmlReturn.Messageexpr;
chantVxmlReturn.Messageexpr := messageexpr;

String messageexpr = chantVxmlReturn.getMessageexpr();
chantVxmlReturn.setMessageexpr(messageexpr);

Dim messageexpr As String
messageexpr = chantVxmlReturn.Messageexpr
chantVxmlReturn.Messageexpr = messageexpr

Collapse/Expand See Also section See Also

ChantVxmlReturn


ChantVxmlReturn Namelist Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Namelist Property

Return, then throw the event to which this ECMAScript expression evaluates.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String namelist = chantVxmlReturn.Namelist;
chantVxmlReturn.Namelist = namelist;

wchar_t* namelist = chantVxmlReturn->GetNamelist();
chantVxmlReturn->SetNamelist(namelist);

String namelist = chantVxmlReturn->GetNamelist();
chantVxmlReturn->SetNamelist(namelist);

var namelist: string;
namelist := chantVxmlReturn.Namelist;
chantVxmlReturn.Namelist := namelist;

String namelist = chantVxmlReturn.getNamelist();
chantVxmlReturn.setNamelist(namelist);

Dim namelist As String
namelist = chantVxmlReturn.Namelist
chantVxmlReturn.Namelist = namelist

Collapse/Expand See Also section See Also

ChantVxmlReturn


ChantVxmlScript Class

Represents a <script> element that specifies a block of ECMAScript client-side scripting logic.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Charset | The character encoding of the script designated by src.
Public property | Fetchhint | Defines when the interpreter context should retrieve content from the server.
Public property | Fetchtimeout | The interval to wait for the content to be returned before throwing an error.badfetch event.
Public property | Maxage | Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.
Public property | Maxstale | Indicates that the document is willing to use content that has exceeded its expiration time.
Public property | Src | The URI specifying the location of the script, if it is external.
Public property | Srcexpr | (2.1) Equivalent to src, except that the URI is dynamically determined by evaluating the given ECMAScript expression.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement


ChantVxmlScript Charset Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Charset Property

The character encoding of the script designated by src.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String charset = chantVxmlScript.Charset;
chantVxmlScript.Charset = charset;

wchar_t* charset = chantVxmlScript->GetCharset();
chantVxmlScript->SetCharset(charset);

String charset = chantVxmlScript->GetCharset();
chantVxmlScript->SetCharset(charset);

var charset: string;
charset := chantVxmlScript.Charset;
chantVxmlScript.Charset := charset;

String charset = chantVxmlScript.getCharset();
chantVxmlScript.setCharset(charset);

Dim charset As String
charset = chantVxmlScript.Charset
chantVxmlScript.Charset = charset

Collapse/Expand See Also section See Also

ChantVxmlScript


ChantVxmlScript Fetchhint Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchhint Property

Defines when the interpreter context should retrieve content from the server.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLFetch eVXMLFetch = chantVxmlScript.Fetchhint;
chantVxmlScript.Fetchhint = eVXMLFetch;

VXMLFetch eVXMLFetch = chantVxmlScript->GetFetchhint();
chantVxmlScript->SetFetchhint(eVXMLFetch);

VXMLFetch eVXMLFetch = chantVxmlScript->GetFetchhint();
chantVxmlScript->SetFetchhint(eVXMLFetch);

var eVXMLFetch: VXMLFetch;
eVXMLFetch := chantVxmlScript.Fetchhint;
chantVxmlScript.Fetchhint := eVXMLFetch;

int eVXMLFetch = chantVxmlScript.getFetchhint();
chantVxmlScript.setFetchhint(eVXMLFetch);

Dim eVXMLFetch As Fetchhint
eVXMLFetch = chantVxmlScript.Fetchhint
chantVxmlScript.Fetchhint = eVXMLFetch

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLFetch constant values.

Constant | Value | Description
Prefetch | 0 | A file may be downloaded when the document is loaded.
Safe | 1 | A file should only be downloaded when actually needed.

Collapse/Expand See Also section See Also

ChantVxmlScript


ChantVxmlScript Fetchtimeout Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchtimeout Property

The interval to wait for the content to be returned before throwing an error.badfetch event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int fetchtimeout = chantVxmlScript.Fetchtimeout;
chantVxmlScript.Fetchtimeout = fetchtimeout;

long fetchtimeout = chantVxmlScript->GetFetchtimeout();
chantVxmlScript->SetFetchtimeout(fetchtimeout);

long fetchtimeout = chantVxmlScript->GetFetchtimeout();
chantVxmlScript->SetFetchtimeout(fetchtimeout);

var fetchtimeout: Integer;
fetchtimeout := chantVxmlScript.Fetchtimeout;
chantVxmlScript.Fetchtimeout := fetchtimeout;

int fetchtimeout = chantVxmlScript.getFetchtimeout();
chantVxmlScript.setFetchtimeout(fetchtimeout);

Dim fetchtimeout As Integer
fetchtimeout = chantVxmlScript.Fetchtimeout
chantVxmlScript.Fetchtimeout = fetchtimeout

Collapse/Expand See Also section See Also

ChantVxmlScript


ChantVxmlScript Maxage Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxage Property

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxage = chantVxmlScript.Maxage;
chantVxmlScript.Maxage = maxage;

long maxage = chantVxmlScript->GetMaxage();
chantVxmlScript->SetMaxage(maxage);

long maxage = chantVxmlScript->GetMaxage(); chantVxmlScript->SetMaxage(maxage);

var maxage: Integer;
maxage := chantVxmlScript.Maxage;
chantVxmlScript.Maxage := maxage;

int maxage = chantVxmlScript.getMaxage();
chantVxmlScript.setMaxage(maxage);

Dim maxage As Integer
maxage = chantVxmlScript.Maxage
chantVxmlScript.Maxage = maxage

Collapse/Expand See Also section See Also

ChantVxmlScript


ChantVxmlScript Maxstale Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxstale Property

Indicates that the document is willing to use content that has exceeded its expiration time.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxstale = chantVxmlScript.Maxstale;
chantVxmlScript.Maxstale = maxstale;

long maxstale = chantVxmlScript->GetMaxstale();
chantVxmlScript->SetMaxstale(maxstale);

long maxstale = chantVxmlScript->GetMaxstale();
chantVxmlScript->SetMaxstale(maxstale);

var maxstale: Integer;
maxstale := chantVxmlScript.Maxstale;
chantVxmlScript.Maxstale := intmaxstaleVal;

int maxstale = chantVxmlScript.getMaxstale();
chantVxmlScript.setMaxstale(maxstale);

Dim maxstale As Integer
maxstale = chantVxmlScript.Maxstale
chantVxmlScript.Maxstale = maxstale

Collapse/Expand See Also section See Also

ChantVxmlScript


ChantVxmlScript Src Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Src Property

The URI specifying the location of the script, if it is external.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String src = chantVxmlScript.Src;
chantVxmlScript.Src = src;

wchar_t* src = chantVxmlScript->GetSrc();
chantVxmlScript->SetSrc(src);

String src = chantVxmlScript->GetSrc();
chantVxmlScript->SetSrc(src);

var src: string;
src := chantVxmlScript.Src;
chantVxmlScript.Src := src;

String src = chantVxmlScript.getSrc();
chantVxmlScript.setSrc(src);

Dim src As String
src = chantVxmlScript.Src
chantVxmlScript.Src = src

Collapse/Expand See Also section See Also

ChantVxmlScript


ChantVxmlScript Srcexpr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Srcexpr Property

The URI specifying the location of the script, if it is external.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String srcexpr = chantVxmlScript.Srcexpr;
chantVxmlScript.Srcexpr = srcexpr;

wchar_t* srcexpr = chantVxmlScript->GetSrcexpr();
chantVxmlScript->SetSrcexpr(srcexpr);

String srcexpr = chantVxmlScript->GetSrcexpr();
chantVxmlScript->SetSrcexpr(srcexpr);

var srcexpr: string;
srcexpr := chantVxmlScript.Srcexpr;
chantVxmlScript.Srcexpr := srcexpr;

String srcexpr = chantVxmlScript.getSrcexpr();
chantVxmlScript.setSrcexpr(srcexpr);

Dim srcexpr As String
srcexpr = chantVxmlScript.Srcexpr
chantVxmlScript.Srcexpr = srcexpr

Collapse/Expand See Also section See Also

ChantVxmlScript


ChantVxmlSubdialog Class

Represents a <subdialog> element that invokes another dialog as a subdialog of the current one.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddCatch | Adds a catch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddError | Adds an error handler to the dialog. Inherits from ChantVxmlException.
Public method | AddFilled | Adds a filled handler to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddHelp | Adds a help handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNoinput | Adds a noinput handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNomatch | Adds a nomatch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddParam | Adds a parameter declaration to the dialog.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddProperty | Adds a property declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveCatch | Removes a catch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveError | Removes an error handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveFilled | Removes a filled handler from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveHelp | Removes a help handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNoinput | Removes a noinput handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNomatch | Removes a nomatch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveParam | Removes a parameter declaration from the dialog.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveProperty | Removes a property declaration from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlFormControl.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Cond | An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.
Public property | Enctype | The media encoding type of the submitted document.
Public property | Expr | The initial value of the form item variable.
Public property | Fetchaudio | The URI of the audio clip to play while the fetch is being done.
Public property | Fetchhint | Defines when the interpreter context should retrieve content from the server.
Public property | Fetchtimeout | The interval to wait for the content to be returned before throwing an error.badfetch event.
Public property | Maxage | Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.
Public property | Maxstale | Indicates that the document is willing to use content that has exceeded its expiration time.
Public property | Method | The request method: get (the default) or post.
Public property | Name | The result returned from the subdialog, an ECMAScript object whose properties are the ones defined in the namelist attribute of the <return> element.
Public property | Namelist | The list of variables to submit.
Public property | Src | The URI of the subdialog.
Public property | Srcexpr | An ECMAScript expression yielding the URI of the subdialog.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlException
ChantVxmlFormControl
ChantVxmlMixedContentElement


ChantVxmlSubdialog AddParam Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddParam Method

Adds a parameter declaration to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlParam chantVxmlParam = chantVxmlSubdialog.AddParam();

CChantVxmlParam* chantVxmlParam = chantVxmlSubdialog->AddParam();

CChantVxmlParam* chantVxmlParam = chantVxmlSubdialog->AddParam();

var chantVxmlParam: TChantVxmlParam; chantVxmlParam := chantVxmlSubdialog.AddParam();

JChantVxmlParam chantVxmlParam = chantVxmlSubdialog.addParam();

Dim chantVxmlParam As NChantVxmlParam
chantVxmlParam = chantVxmlSubdialog.AddParam()

Parameters

None.

Return Value

Object. The ChantVxmlParam object.

Collapse/Expand See Also section See Also

ChantVxmlParam
ChantVxmlSubdialog
RemoveParam


ChantVxmlSubdialog Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An expression that must evaluate to true after conversion to boolean in order for the form item to be visited.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String cond = chantVxmlSubdialog.Cond;
chantVxmlSubdialog.Cond = cond;

wchar_t* cond = chantVxmlSubdialog->GetCond();
chantVxmlSubdialog->SetCond(cond);

String cond = chantVxmlSubdialog->GetCond();
chantVxmlSubdialog->SetCond(cond);

var cond: string;
cond := chantVxmlSubdialog.Cond;
chantVxmlSubdialog.Cond := cond;

String cond = chantVxmlSubdialog.getCond();
chantVxmlSubdialog.setCond(cond);

Dim cond As String
cond = chantVxmlSubdialog.Cond
chantVxmlSubdialog.Cond = cond

Collapse/Expand See Also section See Also

ChantVxmlSubdialog


ChantVxmlSubdialog Enctype Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Enctype Property

The media encoding type of the submitted document.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlSubdialog.Enctype;
chantVxmlSubdialog.Enctype = eVXMLMediaEncoding;

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlSubdialog->GetEnctype();
chantVxmlSubdialog->SetEnctype(eVXMLMediaEncoding);

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlSubdialog->GetEnctype();
chantVxmlSubdialog->SetEnctype(eVXMLMediaEncoding);

var eVXMLMediaEncoding: VXMLMediaEncoding;
eVXMLMediaEncoding := chantVxmlSubdialog.Enctype;
chantVxmlSubdialog.Enctype := eVXMLMediaEncoding;

int eVXMLMediaEncoding = chantVxmlSubdialog.getEnctype();
chantVxmlSubdialog.setEnctype(eVXMLMediaEncoding);

Dim eVXMLMediaEncoding As Enctype
eVXMLMediaEncoding = chantVxmlSubdialog.Enctype
chantVxmlSubdialog.Enctype = eVXMLMediaEncoding

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLMediaEncoding constant values.

Constant | Value | Description
TextPlain | 0 | text/plain
MultipartFormSubdialog | 1 | multipart/form-data
ApplicationXWwwFormUrlencoded | 2 | application/x-www-form-urlencoded

Collapse/Expand See Also section See Also

ChantVxmlSubdialog


ChantVxmlSubdialog Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

The initial value of the form item variable.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlSubdialog.Expr;
chantVxmlSubdialog.Expr = expr;

wchar_t* expr = chantVxmlSubdialog->GetExpr();
chantVxmlSubdialog->SetExpr(expr);

String expr = chantVxmlSubdialog->GetExpr();
chantVxmlSubdialog->SetExpr(expr);

var expr: string;
expr := chantVxmlSubdialog.Expr;
chantVxmlSubdialog.Expr := expr;

String expr = chantVxmlSubdialog.getExpr();
chantVxmlSubdialog.setExpr(expr);

Dim expr As String
expr = chantVxmlSubdialog.Expr
chantVxmlSubdialog.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlSubdialog


ChantVxmlSubdialog Fetchaudio Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchaudio Property

The URI of the audio clip to play while the fetch is being done.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String stringVal = chantVxmlSubdialog.Fetchaudio;
chantVxmlSubdialog.Fetchaudio = stringVal;

wchar_t* pszVal = chantVxmlSubdialog->GetFetchaudio();
chantVxmlSubdialog->SetFetchaudio(pszVal);

String stringVal = chantVxmlSubdialog->GetFetchaudio();
chantVxmlSubdialog->SetFetchaudio(stringVal);

var stringVal: string;
stringVal := chantVxmlSubdialog.Fetchaudio;
chantVxmlSubdialog.Fetchaudio := stringVal;

String stringVal = chantVxmlSubdialog.getFetchaudio();
chantVxmlSubdialog.setFetchaudio(stringVal);

Dim stringVal As String
stringVal = chantVxmlSubdialog.Fetchaudio
chantVxmlSubdialog.Fetchaudio = stringVal

Collapse/Expand See Also section See Also

ChantVxmlSubdialog


ChantVxmlSubdialog Fetchhint Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchhint Property

Defines when the interpreter context should retrieve content from the server.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLFetch eVXMLFetch = chantVxmlSubdialog.Fetchhint;
chantVxmlSubdialog.Fetchhint = eVXMLFetch;

VXMLFetch eVXMLFetch = chantVxmlSubdialog->GetFetchhint();
chantVxmlSubdialog->SetFetchhint(eVXMLFetch);

VXMLFetch eVXMLFetch = chantVxmlSubdialog->GetFetchhint();
chantVxmlSubdialog->SetFetchhint(eVXMLFetch);

var eVXMLFetch: VXMLFetch;
eVXMLFetch := chantVxmlSubdialog.Fetchhint;
chantVxmlSubdialog.Fetchhint := eVXMLFetch;

int eVXMLFetch = chantVxmlSubdialog.getFetchhint();
chantVxmlSubdialog.setFetchhint(eVXMLFetch);

Dim eVXMLFetch As Fetchhint
eVXMLFetch = chantVxmlSubdialog.Fetchhint
chantVxmlSubdialog.Fetchhint = eVXMLFetch

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLFetch constant values.

Constant | Value | Description
Prefetch | 0 | A file may be downloaded when the document is loaded.
Safe | 1 | A file should only be downloaded when actually needed.

Collapse/Expand See Also section See Also

ChantVxmlSubdialog


ChantVxmlSubdialog Fetchtimeout Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchtimeout Property

The interval to wait for the content to be returned before throwing an error.badfetch event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int fetchtimeout = chantVxmlSubdialog.Fetchtimeout;
chantVxmlSubdialog.Fetchtimeout = fetchtimeout;

long fetchtimeout = chantVxmlSubdialog->GetFetchtimeout();
chantVxmlSubdialog->SetFetchtimeout(fetchtimeout);

long fetchtimeout = chantVxmlSubdialog->GetFetchtimeout();
chantVxmlSubdialog->SetFetchtimeout(fetchtimeout);

var fetchtimeout: Integer;
fetchtimeout := chantVxmlSubdialog.Fetchtimeout;
chantVxmlSubdialog.Fetchtimeout := fetchtimeout;

int fetchtimeout = chantVxmlSubdialog.getFetchtimeout();
chantVxmlSubdialog.setFetchtimeout(fetchtimeout);

Dim fetchtimeout As Integer
fetchtimeout = chantVxmlSubdialog.Fetchtimeout
chantVxmlSubdialog.Fetchtimeout = fetchtimeout

Collapse/Expand See Also section See Also

ChantVxmlSubdialog


ChantVxmlSubdialog Maxage Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxage Property

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxage = chantVxmlSubdialog.Maxage;
chantVxmlSubdialog.Maxage = maxage;

long maxage = chantVxmlSubdialog->GetMaxage();
chantVxmlSubdialog->SetMaxage(maxage);

long maxage = chantVxmlSubdialog->GetMaxage(); chantVxmlSubdialog->SetMaxage(maxage);

var maxage: Integer;
maxage := chantVxmlSubdialog.Maxage;
chantVxmlSubdialog.Maxage := maxage;

int maxage = chantVxmlSubdialog.getMaxage();
chantVxmlSubdialog.setMaxage(maxage);

Dim maxage As Integer
maxage = chantVxmlSubdialog.Maxage
chantVxmlSubdialog.Maxage = maxage

Collapse/Expand See Also section See Also

ChantVxmlSubdialog


ChantVxmlSubdialog Maxstale Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxstale Property

Indicates that the document is willing to use content that has exceeded its expiration time.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxstale = chantVxmlSubdialog.Maxstale;
chantVxmlSubdialog.Maxstale = maxstale;

long maxstale = chantVxmlSubdialog->GetMaxstale();
chantVxmlSubdialog->SetMaxstale(maxstale);

long maxstale = chantVxmlSubdialog->GetMaxstale();
chantVxmlSubdialog->SetMaxstale(maxstale);

var maxstale: Integer;
maxstale := chantVxmlSubdialog.Maxstale;
chantVxmlSubdialog.Maxstale := maxstale;

int maxstale = chantVxmlSubdialog.getMaxstale();
chantVxmlSubdialog.setMaxstale(maxstale);

Dim maxstale As Integer
maxstale = chantVxmlSubdialog.Maxstale
chantVxmlSubdialog.Maxstale = maxstale

Collapse/Expand See Also section See Also

ChantVxmlSubdialog


ChantVxmlSubdialog Method Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Method Property

The request method: get (the default) or post.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLMethod eVXMLMethod = chantVxmlSubdialog.Method;
chantVxmlSubdialog.Method = eVXMLMethod;

VXMLMethod eVXMLMethod = chantVxmlSubdialog->GetMethod();
chantVxmlSubdialog->SetMethod(eVXMLMethod);

VXMLMethod eVXMLMethod = chantVxmlSubdialog->GetMethod();
chantVxmlSubdialog->SetMethod(eVXMLMethod);

var eVXMLMethod: VXMLMethod;
eVXMLMethod := chantVxmlSubdialog.Method;
chantVxmlSubdialog.Method := eVXMLMethod;

int eVXMLMethod = chantVxmlSubdialog.getMethod();
chantVxmlSubdialog.setMethod(eVXMLMethod);

Dim eVXMLMethod As Method
eVXMLMethod = chantVxmlSubdialog.Method
chantVxmlSubdialog.Method = eVXMLMethod

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLMethod constant values.

Constant | Value | Description
Get | 0 | Sent to the server using the HTTP GET.
Post | 1 | Sent to the server using the HTTP POST.

Collapse/Expand See Also section See Also

ChantVxmlSubdialog


ChantVxmlSubdialog Name Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Name Property

The result returned from the subdialog, an ECMAScript object whose properties are the ones defined in the namelist attribute of the <return> element.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantVxmlSubdialog.Name;
chantVxmlSubdialog.Name = name;

wchar_t* name = chantVxmlSubdialog->GetName();
chantVxmlSubdialog->SetName(name);

String name = chantVxmlSubdialog->GetName();
chantVxmlSubdialog->SetName(name);

var name: string;
name := chantVxmlSubdialog.Name;
chantVxmlSubdialog.Name := name;

String name = chantVxmlSubdialog.getName();
chantVxmlSubdialog.setName(name);

Dim name As String
name = chantVxmlSubdialog.Name
chantVxmlSubdialog.Name = name;

Collapse/Expand See Also section See Also

ChantVxmlSubdialog


ChantVxmlSubdialog Namelist Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Namelist Property

The list of variables to submit.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String namelist = chantVxmlSubdialog.Namelist;
chantVxmlSubdialog.Namelist = namelist;

wchar_t* namelist = chantVxmlSubdialog->GetNamelist();
chantVxmlSubdialog->SetNamelist(namelist);

String namelist = chantVxmlSubdialog->GetNamelist();
chantVxmlSubdialog->SetNamelist(namelist);

var namelist: string;
namelist := chantVxmlSubdialog.Namelist;
chantVxmlSubdialog.Namelist := namelist;

String namelist = chantVxmlSubdialog.getNamelist();
chantVxmlSubdialog.setNamelist(namelist);

Dim namelist As String
namelist = chantVxmlSubdialog.Namelist
chantVxmlSubdialog.Namelist = namelist;

Collapse/Expand See Also section See Also

ChantVxmlSubdialog


ChantVxmlSubdialog RemoveParam Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveParam Method

Removes a a parameter declaration from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlSubdialog.RemoveParam(chantVxmlParam);

chantVxmlSubdialog->RemoveParam(chantVxmlParam);

chantVxmlSubdialog->RemoveParam(chantVxmlParam);

chantVxmlSubdialog.RemoveParam(chantVxmlParam);

chantVxmlSubdialog.removeParam(chantVxmlParam);

chantVxmlSubdialog.RemoveParam(chantVxmlParam)

Parameters

chantVxmlParam

Object. The ChantVxmlParam object to remove.

Collapse/Expand See Also section See Also

AddParam
ChantVxmlParam
ChantVxmlSubdialog


ChantVxmlSubdialog Src Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Src Property

The URI of the subdialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String src = chantVxmlSubdialog.Src;
chantVxmlSubdialog.Src = src;

wchar_t* src = chantVxmlSubdialog->GetSrc();
chantVxmlSubdialog->SetSrc(src);

String src = chantVxmlSubdialog->GetSrc();
chantVxmlSubdialog->SetSrc(src);

var src: string;
src := chantVxmlSubdialog.Src;
chantVxmlSubdialog.Src := src;

String src = chantVxmlSubdialog.getSrc();
chantVxmlSubdialog.setSrc(src);

Dim src As String
src = chantVxmlSubdialog.Src
chantVxmlSubdialog.Src = src

Collapse/Expand See Also section See Also

ChantVxmlSubdialog


ChantVxmlSubdialog Srcexpr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Srcexpr Property

An ECMAScript expression yielding the URI of the subdialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String srcexpr = chantVxmlSubdialog.Srcexpr;
chantVxmlSubdialog.Srcexpr = srcexpr;

wchar_t* srcexpr = chantVxmlSubdialog->GetSrcexpr();
chantVxmlSubdialog->SetSrcexpr(srcexpr);

String srcexpr = chantVxmlSubdialog->GetSrcexpr();
chantVxmlSubdialog->SetSrcexpr(srcexpr);

var srcexpr: string;
srcexpr := chantVxmlSubdialog.Srcexpr;
chantVxmlSubdialog.Srcexpr := srcexpr;

String srcexpr = chantVxmlSubdialog.getSrcexpr();
chantVxmlSubdialog.setSrcexpr(srcexpr);

Dim srcexpr As String
srcexpr = chantVxmlSubdialog.Srcexpr
chantVxmlSubdialog.Srcexpr = srcexpr

Collapse/Expand See Also section See Also

ChantVxmlSubdialog


ChantVxmlSubmit Class

Represents a <submit> element that sends values to a document server.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Enctype | The media encoding type of the submitted document (when the value of method is "post").
Public property | Expr | Like next, except that the URI reference is dynamically determined by evaluating the given ECMAScript expression.
Public property | Fetchaudio | The URI of the audio clip to play while the fetch is being done.
Public property | Fetchhint | Defines when the interpreter context should retrieve content from the server.
Public property | Fetchtimeout | The interval to wait for the content to be returned before throwing an error.badfetch event.
Public property | Maxage | Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.
Public property | Maxstale | Indicates that the document is willing to use content that has exceeded its expiration time.
Public property | Method | The request method type.
Public property | Namelist | The list of variables to submit.
Public property | Next | The URI reference.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlSubmit Enctype Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Enctype Property

The media encoding type of the submitted document (when the value of method is "post").

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlSubmit.Enctype;
chantVxmlSubmit.Enctype = eVXMLMediaEncoding;

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlSubmit->GetEnctype();
chantVxmlSubmit->SetEnctype(eVXMLMediaEncoding);

VXMLMediaEncoding eVXMLMediaEncoding = chantVxmlSubmit->GetEnctype();
chantVxmlSubmit->SetEnctype(eVXMLMediaEncoding);

var eVXMLMediaEncoding: VXMLMediaEncoding;
eVXMLMediaEncoding := chantVxmlSubmit.Enctype;
chantVxmlSubmit.Enctype := eVXMLMediaEncoding;

int eVXMLMediaEncoding = chantVxmlSubmit.getEnctype();
chantVxmlSubmit.setEnctype(eVXMLMediaEncoding);

Dim eVXMLMediaEncoding As Enctype
eVXMLMediaEncoding = chantVxmlSubmit.Enctype
chantVxmlSubmit.Enctype = eVXMLMediaEncoding

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLMediaEncoding constant values.

Constant | Value | Description
TextPlain | 0 | text/plain
MultipartFormSubdialog | 1 | multipart/form-data
ApplicationXWwwFormUrlencoded | 2 | application/x-www-form-urlencoded

Collapse/Expand See Also section See Also

ChantVxmlSubmit


ChantVxmlSubmit Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

Like next, except that the URI reference is dynamically determined by evaluating the given ECMAScript expression.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlSubmit.Expr;
chantVxmlSubmit.Expr = expr;

wchar_t* expr = chantVxmlSubmit->GetExpr();
chantVxmlSubmit->SetExpr(expr);

String expr = chantVxmlSubmit->GetExpr();
chantVxmlSubmit->SetExpr(expr);

var expr: string;
expr := chantVxmlSubmit.Expr;
chantVxmlSubmit.Expr := expr;

String expr = chantVxmlSubmit.getExpr();
chantVxmlSubmit.setExpr(expr);

Dim expr As String
expr = chantVxmlSubmit.Expr
chantVxmlSubmit.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlSubmit


ChantVxmlSubmit Fetchaudio Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchaudio Property

The URI of the audio clip to play while the fetch is being done.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String fetchaudio = chantVxmlSubmit.Fetchaudio;
chantVxmlSubmit.Fetchaudio = fetchaudio;

wchar_t* fetchaudio = chantVxmlSubmit->GetFetchaudio();
chantVxmlSubmit->SetFetchaudio(fetchaudio);

String fetchaudio = chantVxmlSubmit->GetFetchaudio();
chantVxmlSubmit->SetFetchaudio(fetchaudio);

var fetchaudio: string;
fetchaudio := chantVxmlSubmit.Fetchaudio;
chantVxmlSubmit.Fetchaudio := fetchaudio;

String fetchaudio = chantVxmlSubmit.getFetchaudio();
chantVxmlSubmit.setFetchaudio(fetchaudio);

Dim fetchaudio As String
fetchaudio = chantVxmlSubmit.Fetchaudio
chantVxmlSubmit.Fetchaudio = fetchaudio

Collapse/Expand See Also section See Also

ChantVxmlSubmit


ChantVxmlSubmit Fetchhint Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchhint Property

Defines when the interpreter context should retrieve content from the server.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLFetch eVXMLFetch = chantVxmlSubmit.Fetchhint;
chantVxmlSubmit.Fetchhint = eVXMLFetch;

VXMLFetch eVXMLFetch = chantVxmlSubmit->GetFetchhint();
chantVxmlSubmit->SetFetchhint(eVXMLFetch);

VXMLFetch eVXMLFetch = chantVxmlSubmit->GetFetchhint();
chantVxmlSubmit->SetFetchhint(eVXMLFetch);

var eVXMLFetch: VXMLFetch;
eVXMLFetch := chantVxmlSubmit.Fetchhint;
chantVxmlSubmit.Fetchhint := eVXMLFetch;

int eVXMLFetch = chantVxmlSubmit.getFetchhint();
chantVxmlSubmit.setFetchhint(eVXMLFetch);

Dim eVXMLFetch As Fetchhint
eVXMLFetch = chantVxmlSubmit.Fetchhint
chantVxmlSubmit.Fetchhint = eVXMLFetch

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLFetch constant values.

Constant | Value | Description
Prefetch | 0 | A file may be downloaded when the document is loaded.
Safe | 1 | A file should only be downloaded when actually needed.

Collapse/Expand See Also section See Also

ChantVxmlSubmit


ChantVxmlSubmit Fetchtimeout Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Fetchtimeout Property

The interval to wait for the content to be returned before throwing an error.badfetch event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int fetchtimeout = chantVxmlSubmit.Fetchtimeout;
chantVxmlSubmit.Fetchtimeout = fetchtimeout;

long fetchtimeout = chantVxmlSubmit->GetFetchtimeout();
chantVxmlSubmit->SetFetchtimeout(fetchtimeout);

long fetchtimeout = chantVxmlSubmit->GetFetchtimeout();
chantVxmlSubmit->SetFetchtimeout(fetchtimeout);

var fetchtimeout: Integer;
fetchtimeout := chantVxmlSubmit.Fetchtimeout;
chantVxmlSubmit.Fetchtimeout := fetchtimeout;

int fetchtimeout = chantVxmlSubmit.getFetchtimeout();
chantVxmlSubmit.setFetchtimeout(fetchtimeout);

Dim fetchtimeout As Integer
fetchtimeout = chantVxmlSubmit.Fetchtimeout
chantVxmlSubmit.Fetchtimeout = fetchtimeout

Collapse/Expand See Also section See Also

ChantVxmlSubmit


ChantVxmlSubmit Maxage Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxage Property

Indicates that the document is willing to use content whose age is no greater than the specified time in seconds.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxage = chantVxmlSubmit.Maxage;
chantVxmlSubmit.Maxage = maxage;

long maxage = chantVxmlSubmit->GetMaxage();
chantVxmlSubmit->SetMaxage(maxage);

long maxage = chantVxmlSubmit->GetMaxage(); chantVxmlSubmit->SetMaxage(maxage);

var maxage: Integer;
maxage := chantVxmlSubmit.Maxage;
chantVxmlSubmit.Maxage := maxage;

int maxage = chantVxmlSubmit.getMaxage();
chantVxmlSubmit.setMaxage(maxage);

Dim maxage As Integer
maxage = chantVxmlSubmit.Maxage
chantVxmlSubmit.Maxage = maxage

Collapse/Expand See Also section See Also

ChantVxmlSubmit


ChantVxmlSubmit Maxstale Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxstale Property

Indicates that the document is willing to use content that has exceeded its expiration time.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxstale = chantVxmlSubmit.Maxstale;
chantVxmlSubmit.Maxstale = maxstale;

long maxstale = chantVxmlSubmit->GetMaxstale();
chantVxmlSubmit->SetMaxstale(maxstale);

long maxstale = chantVxmlSubmit->GetMaxstale();
chantVxmlSubmit->SetMaxstale(maxstale);

var maxstale: Integer;
maxstale := chantVxmlSubmit.Maxstale;
chantVxmlSubmit.Maxstale := maxstale;

int maxstale = chantVxmlSubmit.getMaxstale();
chantVxmlSubmit.setMaxstale(maxstale);

Dim maxstale As Integer
maxstale = chantVxmlSubmit.Maxstale
chantVxmlSubmit.Maxstale = maxstale

Collapse/Expand See Also section See Also

ChantVxmlSubmit


ChantVxmlSubmit Method Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Method Property

The request method type.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLMethod eVXMLMethod = chantVxmlSubmit.Method;
chantVxmlSubmit.Method = eVXMLMethod;

VXMLMethod eVXMLMethod = chantVxmlSubmit->GetMethod();
chantVxmlSubmit->SetMethod(eVXMLMethod);

VXMLMethod eVXMLMethod = chantVxmlSubmit->GetMethod();
chantVxmlSubmit->SetMethod(eVXMLMethod);

var eVXMLMethod: VXMLMethod;
eVXMLMethod := chantVxmlSubmit.Method;
chantVxmlSubmit.Method := eVXMLMethod;

int eVXMLMethod = chantVxmlSubmit.getMethod();
chantVxmlSubmit.setMethod(eVXMLMethod);

Dim eVXMLMethod As Method
eVXMLMethod = chantVxmlSubmit.Method
chantVxmlSubmit.Method = eVXMLMethod

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLMethod constant values.

Constant | Value | Description
Get | 0 | Sent to the server using the HTTP GET.
Post | 1 | Sent to the server using the HTTP POST.

Collapse/Expand See Also section See Also

ChantVxmlSubmit


ChantVxmlSubmit Namelist Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Namelist Property

The list of variables to submit.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String namelist = chantVxmlSubmit.Namelist;
chantVxmlSubmit.Namelist = namelist;

wchar_t* namelist = chantVxmlSubmit->GetNamelist();
chantVxmlSubmit->SetNamelist(namelist);

String namelist = chantVxmlSubmit->GetNamelist();
chantVxmlSubmit->SetNamelist(namelist);

var namelist: string;
namelist := chantVxmlSubmit.Namelist;
chantVxmlSubmit.Namelist := namelist;

String namelist = chantVxmlSubmit.getNamelist();
chantVxmlSubmit.setNamelist(namelist);

Dim namelist As String
namelist = chantVxmlSubmit.Namelist
chantVxmlSubmit.Namelist = namelist

Collapse/Expand See Also section See Also

ChantVxmlSubmit


ChantVxmlSubmit Next Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Next Property

The URI reference.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String next = chantVxmlSubmit.Next;
chantVxmlSubmit.Next = next;

wchar_t* next = chantVxmlSubmit->GetNext();
chantVxmlSubmit->SetNext(next);

String next = chantVxmlSubmit->GetNext();
chantVxmlSubmit->SetNext(next);

var next: string;
next := chantVxmlSubmit.Next;
chantVxmlSubmit.Next := next;

String next = chantVxmlSubmit.getNext();
chantVxmlSubmit.setNext(next);

Dim next As String
next = chantVxmlSubmit.Next
chantVxmlSubmit.Next = next

Collapse/Expand See Also section See Also

ChantVxmlSubmit


ChantVxmlText Class

Represents an element's text content.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Text | The text content.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlText Text Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Text Property

The text content.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String text = chantVxmlText.Text;
chantVxmlText.Text = text;

wchar_t* text = chantVxmlText->GetText();
chantVxmlText->SetText(text);

String text = chantVxmlText->GetText();
chantVxmlText->SetText(text);

var text: string;
text := chantVxmlText.Text;
chantVxmlText.Text := text;

String text = chantVxmlText.getText();
chantVxmlText.setText(text);

Dim text As String
text = chantVxmlText.Text
chantVxmlText.Text = text

Collapse/Expand See Also section See Also

ChantVxmlText


ChantVxmlThrow Class

Represents a <throw> element that throws an event.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Event | The event being thrown.
Public property | Eventexpr | An ECMAScript expression evaluating to the name of the event being thrown.
Public property | Message | A message string providing additional context about the event being thrown.
Public property | Messageexpr | An ECMAScript expression evaluating to the message string.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlThrow Event Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Event Property

The event being thrown.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String event = chantVxmlThrow.Event;
chantVxmlThrow.Event = event;

wchar_t* event = chantVxmlThrow->GetEvent();
chantVxmlThrow->SetEvent(event);

String event = chantVxmlThrow->GetEvent();
chantVxmlThrow->SetEvent(event);

var event: string;
event := chantVxmlThrow.Event;
chantVxmlThrow.Event := event;

String event = chantVxmlThrow.getEvent();
chantVxmlThrow.setEvent(event);

Dim event As String
event = chantVxmlThrow.Event
chantVxmlThrow.Event = event

Collapse/Expand See Also section See Also

ChantVxmlThrow


ChantVxmlThrow Eventexpr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Eventexpr Property

An ECMAScript expression evaluating to the name of the event being thrown.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String eventexpr = chantVxmlThrow.Eventexpr;
chantVxmlThrow.Eventexpr = eventexpr;

wchar_t* eventexpr = chantVxmlThrow->GetEventexpr();
chantVxmlThrow->SetEventexpr(eventexpr);

String eventexpr = chantVxmlThrow->GetEventexpr();
chantVxmlThrow->SetEventexpr(eventexpr);

var eventexpr: string;
eventexpr := chantVxmlThrow.Eventexpr;
chantVxmlThrow.Eventexpr := eventexpr;

String eventexpr = chantVxmlThrow.getEventexpr();
chantVxmlThrow.setEventexpr(eventexpr);

Dim eventexpr As String
eventexpr = chantVxmlThrow.Eventexpr
chantVxmlThrow.Eventexpr = eventexpr

Collapse/Expand See Also section See Also

ChantVxmlThrow


ChantVxmlThrow Message Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Message Property

A message string providing additional context about the event being thrown.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String message = chantVxmlThrow.Message;
chantVxmlThrow.Message = message;

wchar_t* message = chantVxmlThrow->GetMessage();
chantVxmlThrow->SetMessage(message);

String message = chantVxmlThrow->GetMessage();
chantVxmlThrow->SetMessage(message);

var message: string;
message := chantVxmlThrow.Message;
chantVxmlThrow.Message := message;

String message = chantVxmlThrow.getMessage();
chantVxmlThrow.setMessage(message);

Dim message As String
message = chantVxmlThrow.Message
chantVxmlThrow.Message = message

Collapse/Expand See Also section See Also

ChantVxmlThrow


ChantVxmlThrow Messageexpr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Messageexpr Property

An ECMAScript expression evaluating to the message string.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String messageexpr = chantVxmlThrow.Messageexpr;
chantVxmlThrow.Messageexpr = messageexpr;

wchar_t* messageexpr = chantVxmlThrow->GetMessageexpr();
chantVxmlThrow->SetMessageexpr(messageexpr);

String messageexpr = chantVxmlThrow->GetMessageexpr();
chantVxmlThrow->SetMessageexpr(messageexpr);

var messageexpr: string;
messageexpr := chantVxmlThrow.Messageexpr;
chantVxmlThrow.Messageexpr := messageexpr;

String messageexpr = chantVxmlThrow.getMessageexpr();
chantVxmlThrow.setMessageexpr(messageexpr);

Dim messageexpr As String
messageexpr = chantVxmlThrow.Messageexpr
chantVxmlThrow.Messageexpr = messageexpr

Collapse/Expand See Also section See Also

ChantVxmlThrow


ChantVxmlTransfer Class

Represents a <transfer> element that transfers the caller to another destination.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddAudio | Adds an audio playback to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddCatch | Adds a catch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddEnumerate | Adds an enumerate to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddError | Adds an error handler to the dialog. Inherits from ChantVxmlException.
Public method | AddFilled | Adds a filled handler to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddGrammar | Adds a grammar to the dialog.
Public method | AddHelp | Adds a help handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNoinput | Adds a noinput handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNomatch | Adds a nomatch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddPrompt | Adds a prompt to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddProperty | Adds a property declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddValue | Adds a value declaration to the dialog. Inherits from ChantVxmlFormControl.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveAudio | Removes an audio playback from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveCatch | Removes a catch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveEnumerate | Removes an enumerate from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveError | Removes an error handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveFilled | Removes a filled handler from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveGrammar | Removes a grammar from the dialog.
Public method | RemoveHelp | Removes a help handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNoinput | Removes a noinput handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNomatch | Removes a nomatch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemovePrompt | Removes a prompt from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveProperty | Removes a property declaration from the dialog. Inherits from ChantVxmlFormControl.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveValue | Removes a value declaration from the dialog. Inherits from ChantVxmlFormControl.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Aai | Application-to-application information.
Public property | Aaiexpr | An ECMAScript expression yielding the AAI data.
Public property | Bridge | Determines whether the platform remains in the connection with the caller and callee.
Public property | Cond | An expression that must evaluate to true in order for the form item to be visited.
Public property | Connecttimeout | The time to wait while trying to connect the call before returning the noanswer condition.
Public property | Dest | The URI of the destination (telephone, IP telephony address).
Public property | Destexpr | An ECMAScript expression yielding the URI of the destination.
Public property | Expr | The initial value of the form item variable.
Public property | Maxtime | The time that the call is allowed to last, or 0s if no limit is imposed.
Public property | Name | Stores the outcome of a bridge transfer attempt.
Public property | Transferaudio | The URI of audio source to play while the transfer attempt is in progress (before far-end answer).
Public property | Type | (2.1) The type of transfer.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlException
ChantVxmlFormControl
ChantVxmlMixedContentElement


ChantVxmlTransfer Aai Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Aai Property

Application-to-application information.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String aai = chantVxmlTransfer.Aai;
chantVxmlTransfer.Aai = aai;

wchar_t* aai = chantVxmlTransfer->GetAai();
chantVxmlTransfer->SetAai(aai);

String aai = chantVxmlTransfer->GetAai();
chantVxmlTransfer->SetAai(aai);

var aai: string;
aai := chantVxmlTransfer.Aai;
chantVxmlTransfer.Aai := aai;

String aai = chantVxmlTransfer.getAai();
chantVxmlTransfer.setAai(aai);

Dim aai As String
aai = chantVxmlTransfer.Aai
chantVxmlTransfer.Aai = aai

Collapse/Expand See Also section See Also

ChantVxmlTransfer


ChantVxmlTransfer Aaiexpr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Aaiexpr Property

An ECMAScript expression yielding the AAI data.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String aaiexpr = chantVxmlTransfer.Aaiexpr;
chantVxmlTransfer.Aaiexpr = aaiexpr;

wchar_t* aaiexpr = chantVxmlTransfer->GetAaiexpr();
chantVxmlTransfer->SetAaiexpr(aaiexpr);

String aaiexpr = chantVxmlTransfer->GetAaiexpr();
chantVxmlTransfer->SetAaiexpr(aaiexpr);

var aaiexpr: string;
aaiexpr := chantVxmlTransfer.Aaiexpr;
chantVxmlTransfer.Aaiexpr := aaiexpr;

String aaiexpr = chantVxmlTransfer.getAaiexpr();
chantVxmlTransfer.setAaiexpr(aaiexpr);

Dim aaiexpr As String
aaiexpr = chantVxmlTransfer.Aaiexpr
chantVxmlTransfer.Aaiexpr = aaiexpr

Collapse/Expand See Also section See Also

ChantVxmlTransfer


ChantVxmlTransfer AddGrammar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddGrammar Method

Adds a grammar to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlGrammar chantVxmlGrammar = chantVxmlTransfer.AddGrammar();

CChantVxmlGrammar* chantVxmlGrammar = chantVxmlTransfer->AddGrammar();

CChantVxmlGrammar* chantVxmlGrammar = chantVxmlTransfer->AddGrammar();

var chantVxmlGrammar: TChantVxmlGrammar; chantVxmlGrammar := chantVxmlTransfer.AddGrammar();

JChantVxmlGrammar chantVxmlGrammar = chantVxmlTransfer.addGrammar();

Dim chantVxmlGrammar As NChantVxmlGrammar
chantVxmlGrammar = chantVxmlTransfer.AddGrammar()

Parameters

None.

Return Value

Object. The ChantVxmlGrammar object.

Collapse/Expand See Also section See Also

ChantVxmlGrammar
ChantVxmlTransfer
RemoveGrammar


ChantVxmlTransfer Bridge Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Bridge Property

Determines whether the platform remains in the connection with the caller and callee.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

bool bridge = chantVxmlTransfer.Bridge;
chantVxmlTransfer.Bridge = bridge;

bool bridge = chantVxmlTransfer->GetBridge();
chantVxmlTransfer->SetBridge(bridge);

bool bridge = chantVxmlTransfer->GetBridge();
chantVxmlTransfer->SetBridge(bridge);

var bridge: Boolean;
bridge := chantVxmlTransfer.Bridge;
chantVxmlTransfer.Bridge := bridge;

boolean bridge = chantVxmlTransfer.getBridge();
chantVxmlTransfer.setBridge(bridge);

Dim bridge As Boolean
bridge = chantVxmlTransfer.Bridge
chantVxmlTransfer.Bridge = bridge

Collapse/Expand See Also section See Also

ChantVxmlTransfer


ChantVxmlTransfer Cond Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Cond Property

An expression that must evaluate to true in order for the form item to be visited.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String cond = chantVxmlTransfer.Cond;
chantVxmlTransfer.Cond = cond;

wchar_t* cond = chantVxmlTransfer->GetCond();
chantVxmlTransfer->SetCond(cond);

String cond = chantVxmlTransfer->GetCond();
chantVxmlTransfer->SetCond(cond);

var cond: string;
cond := chantVxmlTransfer.Cond;
chantVxmlTransfer.Cond := cond;

String cond = chantVxmlTransfer.getCond();
chantVxmlTransfer.setCond(cond);

Dim cond As String
cond = chantVxmlTransfer.Cond
chantVxmlTransfer.Cond = cond

Collapse/Expand See Also section See Also

ChantVxmlTransfer


ChantVxmlTransfer Connecttimeout Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Connecttimeout Property

The time to wait while trying to connect the call before returning the noanswer condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int connecttimeout = chantVxmlTransfer.Connecttimeout;
chantVxmlTransfer.Connecttimeout = connecttimeout;

long connecttimeout = chantVxmlTransfer->GetConnecttimeout();
chantVxmlTransfer->SetConnecttimeout(connecttimeout);

long connecttimeout = chantVxmlTransfer->GetConnecttimeout();
chantVxmlTransfer->SetConnecttimeout(connecttimeout);

var connecttimeout: Integer;
connecttimeout := chantVxmlTransfer.Connecttimeout;
chantVxmlTransfer.Connecttimeout := connecttimeout;

int connecttimeout = chantVxmlTransfer.getConnecttimeout();
chantVxmlTransfer.setConnecttimeout(connecttimeout);

Dim connecttimeout As Integer
connecttimeout = chantVxmlTransfer.Connecttimeout
chantVxmlTransfer.Connecttimeout = connecttimeout

Collapse/Expand See Also section See Also

ChantVxmlTransfer


ChantVxmlTransfer Dest Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Dest Property

The URI of the destination (telephone, IP telephony address).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String dest = chantVxmlTransfer.Dest;
chantVxmlTransfer.Dest = dest;

wchar_t* dest = chantVxmlTransfer->GetDest();
chantVxmlTransfer->SetDest(dest);

String dest = chantVxmlTransfer->GetDest();
chantVxmlTransfer->SetDest(dest);

var dest: string;
dest := chantVxmlTransfer.Dest;
chantVxmlTransfer.Dest := dest;

String dest = chantVxmlTransfer.getDest();
chantVxmlTransfer.setDest(dest);

Dim dest As String
dest = chantVxmlTransfer.Dest
chantVxmlTransfer.Dest = dest

Collapse/Expand See Also section See Also

ChantVxmlTransfer


ChantVxmlTransfer Destexpr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Destexpr Property

An ECMAScript expression yielding the URI of the destination.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String destexpr = chantVxmlTransfer.Destexpr;
chantVxmlTransfer.Destexpr = destexpr;

wchar_t* destexpr = chantVxmlTransfer->GetDestexpr();
chantVxmlTransfer->SetDestexpr(destexpr);

String destexpr = chantVxmlTransfer->GetDestexpr();
chantVxmlTransfer->SetDestexpr(destexpr);

var destexpr: string;
destexpr := chantVxmlTransfer.Destexpr;
chantVxmlTransfer.Destexpr := destexpr;

String destexpr = chantVxmlTransfer.getDestexpr();
chantVxmlTransfer.setDestexpr(destexpr);

Dim destexpr As String
destexpr = chantVxmlTransfer.Destexpr
chantVxmlTransfer.Destexpr = destexpr

Collapse/Expand See Also section See Also

ChantVxmlTransfer


ChantVxmlTransfer Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

The initial value of the form item variable.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlTransfer.Expr;
chantVxmlTransfer.Expr = expr;

wchar_t* expr = chantVxmlTransfer->GetExpr();
chantVxmlTransfer->SetExpr(expr);

String expr = chantVxmlTransfer->GetExpr();
chantVxmlTransfer->SetExpr(expr);

var expr: string;
expr := chantVxmlTransfer.Expr;
chantVxmlTransfer.Expr := expr;

String expr = chantVxmlTransfer.getExpr();
chantVxmlTransfer.setExpr(expr);

Dim expr As String
expr = chantVxmlTransfer.Expr
chantVxmlTransfer.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlTransfer


ChantVxmlTransfer Maxtime Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Maxtime Property

The time that the call is allowed to last, or 0s if no limit is imposed.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int maxtime = chantVxmlTransfer.Maxtime;
chantVxmlTransfer.Maxtime = maxtime;

long maxtime = chantVxmlTransfer->GetMaxtime();
chantVxmlTransfer->SetMaxtime(maxtime);

long maxtime = chantVxmlTransfer->GetMaxtime();
chantVxmlTransfer->SetMaxtime(maxtime);

var maxtime: Integer;
maxtime := chantVxmlTransfer.Maxtime;
chantVxmlTransfer.Maxtime := maxtime;

int maxtime = chantVxmlTransfer.getMaxtime();
chantVxmlTransfer.setMaxtime(maxtime);

Dim maxtime As Integer
maxtime = chantVxmlTransfer.Maxtime
chantVxmlTransfer.Maxtime = maxtime

Collapse/Expand See Also section See Also

ChantVxmlTransfer


ChantVxmlTransfer Name Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Name Property

Stores the outcome of a bridge transfer attempt.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantVxmlTransfer.Name;
chantVxmlTransfer.Name = name;

wchar_t* name = chantVxmlTransfer->GetName();
chantVxmlTransfer->SetName(name);

String name = chantVxmlTransfer->GetName();
chantVxmlTransfer->SetName(name);

var name: string;
name := chantVxmlTransfer.Name;
chantVxmlTransfer.Name := name;

String name = chantVxmlTransfer.getName();
chantVxmlTransfer.setName(name);

Dim name As String
name = chantVxmlTransfer.Name
chantVxmlTransfer.Name = name

Collapse/Expand See Also section See Also

ChantVxmlTransfer


ChantVxmlTransfer RemoveGrammar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveGrammar Method

Removes a grammar from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlTransfer.RemoveGrammar(chantVxmlGrammar);

chantVxmlTransfer->RemoveGrammar(chantVxmlGrammar);

chantVxmlTransfer->RemoveGrammar(chantVxmlGrammar);

chantVxmlTransfer.RemoveGrammar(chantVxmlGrammar);

chantVxmlTransfer.removeGrammar(chantVxmlGrammar);

chantVxmlTransfer.RemoveGrammar(chantVxmlGrammar)

Parameters

chantVxmlGrammar

Object. The ChantVxmlGrammar object to remove.

Collapse/Expand See Also section See Also

AddGrammar
ChantVxmlGrammar
ChantVxmlTransfer


ChantVxmlTransfer Transferaudio Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Transferaudio Property

The URI of audio source to play while the transfer attempt is in progress (before far-end answer).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String transferaudio = chantVxmlTransfer.Transferaudio;
chantVxmlTransfer.Transferaudio = transferaudio;

wchar_t* transferaudio = chantVxmlTransfer->GetTransferaudio();
chantVxmlTransfer->SetTransferaudio(transferaudio);

String transferaudio = chantVxmlTransfer->GetTransferaudio();
chantVxmlTransfer->SetTransferaudio(transferaudio);

var transferaudio: string;
transferaudio := chantVxmlTransfer.Transferaudio;
chantVxmlTransfer.Transferaudio := transferaudio;

String transferaudio = chantVxmlTransfer.getTransferaudio();
chantVxmlTransfer.setTransferaudio(transferaudio);

Dim transferaudio As String
transferaudio = chantVxmlTransfer.Transferaudio
chantVxmlTransfer.Transferaudio = transferaudio

Collapse/Expand See Also section See Also

ChantVxmlTransfer


ChantVxmlTransfer Type Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Type Property

(2.1) The type of transfer.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

VXMLTransfer eVXMLTransfer = chantVxmlTransfer.Type;
chantVxmlTransfer.Type = eVXMLTransfer;

VXMLTransfer eVXMLTransfer = chantVxmlTransfer->GetType();
chantVxmlTransfer->SetType(eVXMLTransfer);

VXMLTransfer eVXMLTransfer = chantVxmlTransfer->GetType();
chantVxmlTransfer->SetType(eVXMLTransfer);

var eVXMLTransfer: VXMLTransfer;
eVXMLTransfer := chantVxmlTransfer.Type;
chantVxmlTransfer.Type := eVXMLTransfer;

int eVXMLTransfer = chantVxmlTransfer.getType();
chantVxmlTransfer.setType(eVXMLTransfer);

Dim eVXMLTransfer As Type
eVXMLTransfer = chantVxmlTransfer.Type
chantVxmlTransfer.Type = eVXMLTransfer

Collapse/Expand Remarks section Remarks

The property may be one of the following VXMLTransfer constant values.

Constant | Value | Description
Blind | 0 | The platform redirects the caller to the callee without remaining in the connection, and does not monitor the outcome.
Bridge | 1 | The platform adds the callee to the connection.
Consultation | 2 | The consultation transfer is similar to a blind transfer except that the outcome of the transfer call setup is known and the caller is not dropped as a result of an unsuccessful transfer attempt.

Collapse/Expand See Also section See Also

ChantVxmlTransfer


ChantVxmlValue Class

Represents a <value> element that sets a variable value.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Expr | The new value of the variable.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlValue Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

The new value of the variable.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlValue.Expr;
chantVxmlValue.Expr = expr;

wchar_t* expr = chantVxmlValue->GetExpr();
chantVxmlValue->SetExpr(expr);

String expr = chantVxmlValue->GetExpr();
chantVxmlValue->SetExpr(expr);

var expr: string;
expr := chantVxmlValue.Expr;
chantVxmlValue.Expr := expr;

String expr = chantVxmlValue.getExpr();
chantVxmlValue.setExpr(expr);

Dim expr As String
expr = chantVxmlValue.Expr
chantVxmlValue.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlValue


ChantVxmlVar Class

Represents a <var> element that declares a variable.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Expr | The initial value of the variable (optional).
Public property | Name | The name of the variable that will hold the result.

Collapse/Expand See Also section See Also

ChantVxmlElement


ChantVxmlVar Expr Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Expr Property

The initial value of the variable (optional).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String expr = chantVxmlVar.Expr;
chantVxmlVar.Expr = expr;

wchar_t* expr = chantVxmlVar->GetExpr();
chantVxmlVar->SetExpr(expr);

String expr = chantVxmlVar->GetExpr();
chantVxmlVar->SetExpr(expr);

var expr: string;
expr := chantVxmlVar.Expr;
chantVxmlVar.Expr := expr;

String expr = chantVxmlVar.getExpr();
chantVxmlVar.setExpr(expr);

Dim expr As String
expr = chantVxmlVar.Expr
chantVxmlVar.Expr = expr

Collapse/Expand See Also section See Also

ChantVxmlVar


ChantVxmlVar Name Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Name Property

The name of the variable that will hold the result.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String name = chantVxmlVar.Name;
chantVxmlVar.Name = name;

wchar_t* name = chantVxmlVar->GetName();
chantVxmlVar->SetName(name);

String name = chantVxmlVar->GetName();
chantVxmlVar->SetName(name);

var name: string;
name := chantVxmlVar.Name;
chantVxmlVar.Name := name;

String name = chantVxmlVar.getName();
chantVxmlVar.setName(name);

Dim name As String
name = chantVxmlVar.Name
chantVxmlVar.Name = name

Collapse/Expand See Also section See Also

ChantVxmlVar


ChantVxmlVxml Class

Represents a <vxml> element that is a container of one or more VoiceXML speech dialogs.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AddCatch | Adds a catch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddComment | Adds a comment to the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | AddError | Adds an error handler to the dialog. Inherits from ChantVxmlException.
Public method | AddForm | Adds a form to the dialog.
Public method | AddHelp | Adds a help handler to the dialog. Inherits from ChantVxmlException.
Public method | AddLink | Adds a link to the dialog.
Public method | AddMenu | Adds a menu to the dialog.
Public method | AddMeta | Adds meta information to the dialog.
Public method | AddNoinput | Adds a noinput handler to the dialog. Inherits from ChantVxmlException.
Public method | AddNomatch | Adds a nomatch handler to the dialog. Inherits from ChantVxmlException.
Public method | AddProperty | Adds a property declaration to the dialog.
Public method | AddScript | Adds a script to the dialog.
Public method | AddText | Adds text to the dialog. Inherits from ChantVxmlContentElement.
Public method | AddVar | Adds a variable declaration to the dialog.
Public method | GenerateVXML | Returns the VoiceXML for this element and children. Inherits from ChantVxmlElement.
Public method | RemoveCatch | Removes a catch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveComment | Removes a comment from the dialog. Inherits from ChantVxmlMixedContentElement.
Public method | RemoveError | Removes an error handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveForm | Removes a form from the dialog.
Public method | RemoveHelp | Removes a help handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveLink | Removes a link from the dialog.
Public method | RemoveMenu | Removes a menu from the dialog.
Public method | RemoveMeta | Removes meta information from the dialog.
Public method | RemoveNoinput | Removes a noinput handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveNomatch | Removes a nomatch handler from the dialog. Inherits from ChantVxmlException.
Public method | RemoveProperty | Removes a property declaration from the dialog.
Public method | RemoveScript | Removes a script from the dialog.
Public method | RemoveText | Removes text from the dialog. Inherits from ChantVxmlContentElement.
Public method | RemoveVar | Removes a variable declaration from the dialog.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | Application | The URI of this document's application root document, if any.
Public property | Version | The version of VoiceXML of this document (required).
Public property | Xmlns | The designated namespace for VoiceXML (required).
Public property | XmlBase | The base URI for this document from which all relative references within the document take as their base.
Public property | XmlLang | The language identifier for this document.

Collapse/Expand See Also section See Also

ChantVxmlContentElement
ChantVxmlElement
ChantVxmlException
ChantVxmlMixedContentElement


ChantVxmlVxml AddForm Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddForm Method

Adds a form to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmForm chantVxmForm = chantVxmlVxml.AddForm();

CChantVxmForm* chantVxmForm = chantVxmlVxml->AddForm();

CChantVxmForm* chantVxmForm = chantVxmlVxml->AddForm();

var chantVxmForm: TChantVxmForm;
chantVxmForm := chantVxmlVxml.AddForm();

JChantVxmForm chantVxmForm = chantVxmlVxml.addForm();

Dim chantVxmForm As NChantVxmlForm
chantVxmForm = chantVxmlVxml.AddForm()

Parameters

none

Return Value

Object. The ChantVxmlForm object.

Collapse/Expand See Also section See Also

ChantVxmlForm
ChantVxmlVxml
RemoveForm


ChantVxmlVxml AddLink Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddLink Method

Adds a link to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmLink chantVxmLink = chantVxmlVxml.AddLink();

CChantVxmLink* chantVxmLink = chantVxmlVxml->AddLink();

CChantVxmLink* chantVxmLink = chantVxmlVxml->AddLink();

var chantVxmLink: TChantVxmLink;
chantVxmLink := chantVxmlVxml.AddLink();

JChantVxmLink chantVxmLink = chantVxmlVxml.addLink();

Dim chantVxmLink As NChantVxmlLink
chantVxmLink = chantVxmlVxml.AddLink()

Parameters

none

Return Value

Object. The ChantVxmlLink object.

Collapse/Expand See Also section See Also

ChantVxmlLink
ChantVxmlVxml
RemoveLink


ChantVxmlVxml AddMenu Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddMenu Method

Adds a menu to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmMenu chantVxmMenu = chantVxmlVxml.AddMenu();

CChantVxmMenu* chantVxmMenu = chantVxmlVxml->AddMenu();

CChantVxmMenu* chantVxmMenu = chantVxmlVxml->AddMenu();

var chantVxmMenu: TChantVxmMenu;
chantVxmMenu := chantVxmlVxml.AddMenu();

JChantVxmMenu chantVxmMenu = chantVxmlVxml.addMenu();

Dim chantVxmMenu As NChantVxmlMenu
chantVxmMenu = chantVxmlVxml.AddMenu()

Parameters

none

Return Value

Object. The ChantVxmlMenu object.

Collapse/Expand See Also section See Also

ChantVxmlMenu
ChantVxmlVxml
RemoveMenu


ChantVxmlVxml AddMeta Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddMeta Method

Adds meta information to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmMeta chantVxmMeta = chantVxmlVxml.AddMeta();

CChantVxmMeta* chantVxmMeta = chantVxmlVxml->AddMeta();

CChantVxmMeta* chantVxmMeta = chantVxmlVxml->AddMeta();

var chantVxmMeta: TChantVxmMeta;
chantVxmMeta := chantVxmlVxml.AddMeta();

JChantVxmMeta chantVxmMeta = chantVxmlVxml.addMeta();

Dim chantVxmMeta As NChantVxmlMeta
chantVxmMeta = chantVxmlVxml.AddMeta()

Parameters

none

Return Value

Object. The ChantVxmlMeta object.

Collapse/Expand See Also section See Also

ChantVxmlMeta
ChantVxmlVxml
RemoveMeta


ChantVxmlVxml AddProperty Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddProperty Method

Adds a property declaration to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmProperty chantVxmProperty = chantVxmlVxml.AddProperty();

CChantVxmProperty* chantVxmProperty = chantVxmlVxml->AddProperty();

CChantVxmProperty* chantVxmProperty = chantVxmlVxml->AddProperty();

var chantVxmProperty: TChantVxmProperty;
chantVxmProperty := chantVxmlVxml.AddProperty();

JChantVxmProperty chantVxmProperty = chantVxmlVxml.addProperty();

Dim chantVxmProperty As NChantVxmlProperty
chantVxmProperty = chantVxmlVxml.AddProperty()

Parameters

none

Return Value

Object. The ChantVxmlProperty object.

Collapse/Expand See Also section See Also

ChantVxmlProperty
ChantVxmlVxml
RemoveProperty


ChantVxmlVxml AddScript Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddScript Method

Adds a script to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmScript chantVxmScript = chantVxmlVxml.AddScript();

CChantVxmScript* chantVxmScript = chantVxmlVxml->AddScript();

CChantVxmScript* chantVxmScript = chantVxmlVxml->AddScript();

var chantVxmScript: TChantVxmScript;
chantVxmScript := chantVxmlVxml.AddScript();

JChantVxmScript chantVxmScript = chantVxmlVxml.addScript();

Dim chantVxmScript As NChantVxmlScript
chantVxmScript = chantVxmlVxml.AddScript()

Parameters

none

Return Value

Object. The ChantVxmlScript object.

Collapse/Expand See Also section See Also

ChantVxmlScript
ChantVxmlVxml
RemoveScript


ChantVxmlVxml AddVar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

AddVar Method

Adds a variable declaration to the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmVar chantVxmVar = chantVxmlVxml.AddVar();

CChantVxmVar* chantVxmVar = chantVxmlVxml->AddVar();

CChantVxmVar* chantVxmVar = chantVxmlVxml->AddVar();

var chantVxmVar: TChantVxmVar;
chantVxmVar := chantVxmlVxml.AddVar();

JChantVxmVar chantVxmVar = chantVxmlVxml.addVar();

Dim chantVxmVar As NChantVxmlVar
chantVxmVar = chantVxmlVxml.AddVar()

Parameters

none

Return Value

Object. The ChantVxmlVar object.

Collapse/Expand See Also section See Also

ChantVxmlVar
ChantVxmlVxml
RemoveVar


ChantVxmlVxml Application Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Application Property

The URI of this document's application root document, if any.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String application = chantVxmlVxml.Application;
chantVxmlVxml.Application = application;

wchar_t* application = chantVxmlVxml->GetApplication();
chantVxmlVxml->SetApplication(application);

String application = chantVxmlVxml->GetApplication();
chantVxmlVxml->SetApplication(application);

var application: string;
application := chantVxmlVxml.Application;
chantVxmlVxml.Application := application;

String application = chantVxmlVxml.getApplication();
chantVxmlVxml.setApplication(application);

Dim application As String
application = chantVxmlVxml.Application
chantVxmlVxml.Application = application

Collapse/Expand See Also section See Also

ChantVxmlVxml


ChantVxmlVxml RemoveForm Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveForm Method

Removes a form from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlVxml.RemoveForm(chantVxmlForm);

chantVxmlVxml->RemoveForm(chantVxmlForm);

chantVxmlVxml->RemoveForm(chantVxmlForm);

chantVxmlVxml.RemoveForm(chantVxmlForm);

chantVxmlVxml.removeForm(chantVxmlForm);

chantVxmlVxml.RemoveForm(chantVxmlForm)

Parameters

chantVxmlForm

Object. The ChantVxmlForm object to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddForm
ChantVxmlForm
ChantVxmlVxml


ChantVxmlVxml RemoveLink Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveLink Method

Removes a link from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlVxml.RemoveLink(chantVxmlLink);

chantVxmlVxml->RemoveLink(chantVxmlLink);

chantVxmlVxml->RemoveLink(chantVxmlLink);

chantVxmlVxml.RemoveLink(chantVxmlLink);

chantVxmlVxml.removeLink(chantVxmlLink);

chantVxmlVxml.RemoveLink(chantVxmlLink)

Parameters

chantVxmlLink

Object. The ChantVxmlLink object to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddLink
ChantVxmlLink
ChantVxmlVxml


ChantVxmlVxml RemoveMenu Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveMenu Method

Removes a menu from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlVxml.RemoveMenu(chantVxmlMenu);

chantVxmlVxml->RemoveMenu(chantVxmlMenu);

chantVxmlVxml->RemoveMenu(chantVxmlMenu);

chantVxmlVxml.RemoveMenu(chantVxmlMenu);

chantVxmlVxml.removeMenu(chantVxmlMenu);

chantVxmlVxml.RemoveMenu(chantVxmlMenu)

Parameters

chantVxmlMenu

Object. The ChantVxmlMenu object to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddMenu
ChantVxmlMenu
ChantVxmlVxml


ChantVxmlVxml RemoveMeta Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveMeta Method

Removes meta information from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlVxml.RemoveMeta(chantVxmlMeta);

chantVxmlVxml->RemoveMeta(chantVxmlMeta);

chantVxmlVxml->RemoveMeta(chantVxmlMeta);

chantVxmlVxml.RemoveMeta(chantVxmlMeta);

chantVxmlVxml.removeMeta(chantVxmlMeta);

chantVxmlVxml.RemoveMeta(chantVxmlMeta)

Parameters

chantVxmlMeta

Object. The ChantVxmlMeta object to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddMeta
ChantVxmlMeta
ChantVxmlVxml


ChantVxmlVxml RemoveProperty Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveProperty Method

Removes a property declaration from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlVxml.RemoveProperty(chantVxmlProperty);

chantVxmlVxml->RemoveProperty(chantVxmlProperty);

chantVxmlVxml->RemoveProperty(chantVxmlProperty);

chantVxmlVxml.RemoveProperty(chantVxmlProperty);

chantVxmlVxml.removeProperty(chantVxmlProperty);

chantVxmlVxml.RemoveProperty(chantVxmlProperty)

Parameters

chantVxmlProperty

Object. The ChantVxmlProperty object to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddProperty
ChantVxmlProperty
ChantVxmlVxml


ChantVxmlVxml RemoveScript Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveScript Method

Removes a script from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlVxml.RemoveScript(chantVxmlScript);

chantVxmlVxml->RemoveScript(chantVxmlScript);

chantVxmlVxml->RemoveScript(chantVxmlScript);

chantVxmlVxml.RemoveScript(chantVxmlScript);

chantVxmlVxml.removeScript(chantVxmlScript);

chantVxmlVxml.RemoveScript(chantVxmlScript)

Parameters

chantVxmlScript

Object. The ChantVxmlScript object to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddScript
ChantVxmlScript
ChantVxmlVxml


ChantVxmlVxml RemoveVar Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveVar Method

Removes a variable declaration from the dialog.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantVxmlVxml.RemoveVar(chantVxmlVar);

chantVxmlVxml->RemoveVar(chantVxmlVar);

chantVxmlVxml->RemoveVar(chantVxmlVar);

chantVxmlVxml.RemoveVar(chantVxmlVar);

chantVxmlVxml.removeVxml(chantVxmlVar);

chantVxmlVxml.RemoveVar(chantVxmlVar)

Parameters

chantVxmlVar

Object. The ChantVxmlVar object to remove.

Collapse/Expand Remarks section Remarks

Once a resource is removed, it is destroyed and no longer valid.

Collapse/Expand See Also section See Also

AddVar
ChantVxmlVar
ChantVxmlVxml


ChantVxmlVxml Version Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Version Property

The version of VoiceXML of this document (required).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String version = chantVxmlVxml.Version;
chantVxmlVxml.Version = version;

wchar_t* version = chantVxmlVxml->GetVersion();
chantVxmlVxml->SetVersion(version);

String version = chantVxmlVxml->GetVersion();
chantVxmlVxml->SetVersion(version);

var version: string;
version := chantVxmlVxml.Version;
chantVxmlVxml.Version := version;

String version = chantVxmlVxml.getVersion();
chantVxmlVxml.setVersion(version);

Dim version As String
version = chantVxmlVxml.Version
chantVxmlVxml.Version = version

Collapse/Expand See Also section See Also

ChantVxmlVxml


ChantVxmlVxml XmlBase Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

XmlBase Property

The base URI for this document from which all relative references within the document take as their base.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String xmlbase = chantVxmlVxml.XmlBase;
chantVxmlVxml.XmlBase = xmlbase;

wchar_t* xmlbase = chantVxmlVxml->GetXmlBase();
chantVxmlVxml->SetXmlBase(xmlbase);

String xmlbase = chantVxmlVxml->GetXmlBase();
chantVxmlVxml->SetXmlBase(xmlbase);

var xmlbase: string;
xmlbase := chantVxmlVxml.XmlBase;
chantVxmlVxml.XmlBase := xmlbase;

String xmlbase = chantVxmlVxml.getXmlBase();
chantVxmlVxml.setXmlBase(xmlbase);

Dim xmlbase As String
xmlbase = chantVxmlVxml.XmlBase
chantVxmlVxml.XmlBase = xmlbase

Collapse/Expand See Also section See Also

ChantVxmlVxml


ChantVxmlVxml XmlLang Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

XmlLang Property

The language identifier for this document.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String xmllang = chantVxmlVxml.XmlLang;
chantVxmlVxml.XmlLang = xmllang;

wchar_t* xmllang = chantVxmlVxml->GetXmlLang();
chantVxmlVxml->SetXmlLang(xmllang);

String xmllang = chantVxmlVxml->GetXmlLang();
chantVxmlVxml->SetXmlLang(xmllang);

var xmllang: string;
xmllang := chantVxmlVxml.XmlLang;
chantVxmlVxml.XmlLang := xmllang;

String xmllang = chantVxmlVxml.getXmlLang();
chantVxmlVxml.setXmlLang(xmllang);

Dim xmllang As String
xmllang = chantVxmlVxml.XmlLang
chantVxmlVxml.XmlLang = xmllang

Collapse/Expand See Also section See Also

ChantVxmlVxml


ChantVxmlVxml XmlNs Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

XmlNs Property

The designated namespace for VoiceXML (required).

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String xmlns = chantVxmlVxml.XmlNs;
chantVxmlVxml.XmlNs = xmlns;

wchar_t* xmlns = chantVxmlVxml->GetXmlNs();
chantVxmlVxml->SetXmlNs(xmlns);

String xmlns = chantVxmlVxml->GetXmlNs();
chantVxmlVxml->SetXmlNs(xmlns);

var xmlns: string;
xmlns := chantVxmlVxml.XmlNs;
chantVxmlVxml.XmlNs := xmlns;

String xmlns = chantVxmlVxml.getXmlNs();
chantVxmlVxml.setXmlNs(xmlns);

Dim xmlns As String
xmlns = chantVxmlVxml.XmlNs
chantVxmlVxml.XmlNs = xmlns

Collapse/Expand See Also section See Also

ChantVxmlVxml


ChantXM Class

Object for managing VoiceXML generation, validation, and runtime execution.

Collapse/Expand Events section Events

 | Name | Description
Public event | HasEvent | Notifies the application of a VoiceXML document validation or runtime log message or error.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | CloseSession | Stops running a VoiceXML application and closes the session.
Public method | CompileDocument | Validates a VoiceXML document.
Public method | CreateDocument | Creates a VoiceXML document object.
Public method | GetChantXMEvent | Returns a ChantXMEvent object.
Public method | OpenSession | Opens a session for running a VoiceXML application.
Public method | RegisterCallback | Sets the callback event active.
Public method | RemoveEvent | Removes an event from the event queue.
Public method | RunDocument | Runs a VoiceXML application from a document.
Public method | SetCallbackFunction | Sets static callback function.
Public method | SetCallbackParms | Sets optional callback parameters.
Public method | SetStringProperty | Sets a string property value.
Public method | UnregisterCallback | Sets the callback event inactive.

Collapse/Expand Properties section Properties

 | APIs | Name | Description
Public property | Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | ChantSREngines | A collection of ChantSREngine objects.
Public property | Microsoft SAPI 5 Speech Synthesis Microsoft Speech Platform Speech Synthesis | ChantTTSEngines | A collection of ChantTTSEngine objects.
Public property |  | LastError | A numeric error code for the last error condition.
Public property |  | LastErrorMessage | A description of the last error condition.
Public property |  | LastErrorString | A text representation of the last error condition.

Collapse/Expand See Also section See Also

ChantXMEvent


ChantXM ChantSREngines Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

ChantSREngines Property

A collection of ChantSREngine objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantSREngineCollection chantSREngines = chantXM.ChantSREngines;

CChantSREngineCollection* chantSREngines = chantXM->GetChantSREngines();

CChantSREngineCollection* chantSREngines = chantXM->GetChantSREngines();

var chantSREngines: TChantSREngineCollection;
chantSREngines := chantXM.ChantSREngines;

JChantSREngineCollection chantSREngines = chantXM.getChantSREngines();

Dim chantSREngines As NChantSREngineCollection
chantSREngines = chantXM.ChantSREngines

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantSREngine
ChantSREngineCollection


ChantXM ChantTTSEngines Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

ChantTTSEngines Property

A collection of ChantTTSEngine objects.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantTTSEngineCollection chantTTSEngines = chantXM.ChantTTSEngines;

CChantTTSEngineCollection* chantTTSEngines = chantXM->GetChantTTSEngines();

CChantTTSEngineCollection* chantTTSEngines = chantXM->GetChantTTSEngines();

var chantTTSEngines: TChantTTSEngineCollection;
chantTTSEngines := chantXM.ChantTTSEngines;

JChantTTSEngineCollection chantTTSEngines = chantXM.getChantTTSEngines();

Dim chantTTSEngines As NChantTTSEngineCollection
chantTTSEngines = chantXM.ChantTTSEngines

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantTTSEngine
ChantTTSEngineCollection


ChantXM CloseSession Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

CloseSession Method

Stops running a VoiceXML application and closes the session.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

nChantXM.CloseSession(nSessionID);

pChantXM->CloseSession(nSessionID);

pChantXM->CloseSession(nSessionID);

aTChantXM.CloseSession(nSessionID);

jChantXM.closeSession(nSessionID);

nChantXM.CloseSession(nSessionID)

Parameters

nSessionID

Long integer. Specifies the session identifier.

Collapse/Expand Example section Example

See the ChantXM RunDocument for an example of closing the session.

Collapse/Expand See Also section See Also

ChantXM
OpenSession
RunDocument


ChantXM CompileDocument Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

CompileDocument Method

Validates a VoiceXML document.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantXM.CompileDocument(sVoiceXMLDocument);
NChantXM.CompileDocument(sVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantCompileOption);
NChantXM.CompileDocument(bVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantCompileOption);

pChantXM->CompileDocument(pVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantCompileOption);

pChantXM->CompileDocument(pVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantCompileOption);

aTChantXM.CompileDocument(sVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantCompileOption);

jChantXM.compileDocument(sVoiceXMLDocument);
jChantXM.compileDocument(sVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantCompileOption);

NChantXM.CompileDocument(sVoiceXMLDocument)
NChantXM.CompileDocument(sVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantCompileOption)
NChantXM.CompileDocument(bVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantCompileOption)

Parameters

bVoiceXMLDocument

Byte Array. Byte array of VoiceXML text.

pVoiceXMLDocument

Pointer. String containing the VoiceXML text, string VoiceXML file name, or buffer of VoiceXML text.

sVoiceXMLDocument

String. String containing the VoiceXML text or string VoiceXML file name.

nVoiceXMLDocumentSize

Long integer. Length in bytes of the buffer or byte array.

eChantCompileObject

ChantCompileObject. Specifies whether the compile source is a buffer of text, file name, stream, or text string.

eChantVXMLSource

ChantVXMLSource. Specifies the wether the document object is buffer of text, string of text, or file name.

eChantCompileOption

ChantCompileOption. Specifies how to process the compile request.

Collapse/Expand Remarks section Remarks

The CompileDocument method supports a variety of document source input formats specified with ChantVXMLSource. The source type may be one of the following values:

Constant | Value | Description
CVSBuffer | 1 | The VoiceXML document is compied from a buffer.
CVSFile | 2 | The VoiceXML document is read from a file.
CVSText | 3 | The VoiceXML document is read from a text string.

Compile processing may be synchronous or asynchronous. The option may be one of the following ChantCompileOption values:

Constant | Value | Description
CCPAsynchronous | 0 | Return from the compile request after processing is initiated.
CCPSynchronous | 1 | Return from the compile request after the compile processing is complete.

Collapse/Expand Example section Example

The following example illustrates validating VoiceXML documents.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Validate a VoiceXML document
NChantXM1.CompileDocument("mydocument.vxml");

// Validate a VoiceXML document
pChantXM->CompileDocument(L"mydocument.vxml", 0, CVSFile, CCPAsynchronous);

// Validate a VoiceXML document
pChantXM->CompileDocument("mydocument.vxml", 0, CVSFile, CCPAsynchronous);

// Validate a VoiceXML document
ChantXM1.CompileDocument('mydocument.vxml', 0, CVSFile, CCPAsynchronous);

// Validate a VoiceXML document
JChantXM1.compileDocument("mydocument.vxml", 0, CVSFile, ChantCompileOption.CCPAsynchronous);

' Validate a VoiceXML document
NChantXM1.CompileDocument("mydocument.vxml")

Collapse/Expand See Also section See Also

ChantXM


ChantXM CreateDocument Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

CreateDocument Method

Returns a VoiceXML document object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantVxmlDocument nChantVxmlDocument = NChantXM.CreateDocument();

CChantVxmlDocument* pChantVxmlDocument = pChantXM->CreateDocument();

CChantVxmlDocument* pChantVxmlDocument = pChantXM->CreateDocument();

var aTChantVxmlDocument: TChantVxmlDocument;
aTChantVxmlDocument := aTChantXM.CreateDocument();

JChantVxmlDocument jChantVxmlDocument = jChantXM.createDocument();

Dim nChantVxmlDocument As NChantVxmlDocument
nChantVxmlDocument = NChantXM.CreateDocument()

Parameters

No parameters.

Collapse/Expand Remarks section Remarks

The ChantVxmlDocument class represents the root VoiceXML document object to which you add elements and from which you generate VoiceXML.

Collapse/Expand Example section Example

See GenerateVXML example.

Collapse/Expand See Also section See Also

ChantVxmlDocument


ChantXM GetChantXMEvent Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

GetChantXMEvent Method

Returns a ChantXMEvent object.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

NChantXMEvent nChantXMEvent = NChantXM.GetChantXMEvent(nIndex);

CChantXMEvent* pChantXMEvent = pChantXM->GetChantXMEvent(nIndex);

CChantXMEvent* pChantXMEvent = pChantXM->GetChantXMEvent(nIndex);

var tChantXMEvent: TChantXMEvent;
tChantXMEvent := aTChantXM.GetChantXMEvent(nIndex);

JChantXMEvent jChantXMEvent = jChantXM.getChantXMEvent(nIndex);

Dim nChantXMEvent As NChantXMEvent
nChantXMEvent = nChantXM.GetChantXMEvent(nIndex)

Parameters

nIndex

Long integer. Specifies the index of the speech object to return.

Return Value

Object. A ChantXMEvent object.

Collapse/Expand Example section Example

See the HasEvent example.

Collapse/Expand See Also section See Also

ChantXM


ChantXM HasEvent Event

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

HasEvent Event

Notifies the application of a conversation management event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

// In your Form constructor, add reference to your event handler
NChantXM1.HasEvent += this.NChantXM1_HasEvent;

// The HasEvent handler is declared as a subroutine for the class object
// with the following signature
private void NChantXM1_HasEvent(object sender, Chant.VoiceXMLKit.HasEventArgs e)
{

// HasEvent handler code goes here

}

                    // C++ event notifications can be handled via application message pump (e.g., DefWindowProc)
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
m_HasEvent = WM_APP+9;
m_pChantXM->SetWindowMessage(GetSafeHwnd(),m_HasEvent);

LRESULT MyApp::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                            SetCallbackFunction method

                    // C++Builder event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantXM1->SetWindowMessage(Handle, WM_APP+9, 0, 0);

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{

// HasEvent handler code goes here

}

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // Delphi event notifications can be handled via application message pump
// Set the application window handle and the unique event message constant
// using the SetWindowMessage method
ChantXM1.SetWindowMessage(Handle, WM_APP+9, 0, 0);

procedure TForm1.OnHasEvent(var msg: TMessage);
begin

// HasEvent handler code goes here

end;

// Or event notifications can be accomplished via static callback
// by setting the callback handler via the
                        SetCallbackFunction method

                    // Java applications indicate they support the HasEvent handler interface
// with the "implements" clause
public class Frame1 extends JFrame implements com.kinectkit.JChantXMEvents

// You must also inform the class object which java object implements the HasEvent
                    handler interface
// using the setCallbackFunction
JChantXM1.setCallbackFunction(this,null,null);

// The HasEvent handler is declared as a method with the following signature
public void hasEvent(Object obj1, Object obj2)
{

// HasEvent handler code goes here

}

' Visual Basic .NET applications declare that they are interested in receiving events
' as part of the class object declaration using the WithEvents clause
Dim WithEvents NChantXM1 As NChantXM

' The HasEvent handler is declared as a subroutine for the class object with the following signature
Private Sub NChantXM1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.VoiceXMLKit.HasEventArgs) Handles NChantXM1.HasEvent
{

' HasEvent handler code goes here

}

Collapse/Expand Remarks section Remarks

An application must register for the events it is interested in receiving. The RegisterCallback method indicates the type of event the application is interested in receiving. An application can register for as many different event types as it wants.

Event notifications may be turned off at any time with the UnregisterCallback method.

If an application wants to receive events, it must also have a HasEvent handler that processes the desired events. See the discussion about events for grammar management.

Collapse/Expand Example section Example

The following example illustrates handling interpreting events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
private void NChantXM1_HasEvent(object sender, Chant.VoiceXMLKit.HasEventArgs e)
{
    // Get the event from the event queue
    NChantXMEvent nChantXMEvent = NChantXM1.GetChantXMEvent();
    if (nChantXMEvent != null)
    {
        switch (nChantXMEvent.ChantCallback)
        {
            case ChantCallback.CCXMCompileDone:
                ValidationDone(nChantXMEvent.File);
                break;
            case ChantCallback.CCXMCompileError:
                ValidationError(nChantXMEvent.ID, nChantXMEvent.Flags, nChantXMEvent.Text);
                break;
            case ChantCallback.CCXMDone:
                ApplicationDone(nChantXMEvent.ResourceID, nChantXMEvent.LeafDocument, nChantXMEvent.Node, nChantXMEvent.RootDocument, nChantXMEvent.Text);
                break;
            case ChantCallback.CCXMLog:
                RuntimeLog(nChantXMEvent.Text);
                break;
            default:
                break;
        }
        // Remove the event from the event queue
        NChantXM1.RemoveEvent();
    }
}

LRESULT CCompileDlg::DefWindowProc(UINT message, WPARAM wParam, LPARAM lParam)
{
    // TODO: Add your specialized code here and/or call the base class
    if (m_pChantXM != NULL)
    {
        if (message == m_HasEvent)
        {
            CString sResult;
            // Get the event from the event queue
            CChantXMEvent* chantXMEvent = m_pChantXM->GetChantXMEvent();
            if (chantXMEvent != NULL)
            {
                // Process the type of callback event
                switch (chantXMEvent->GetChantCallback())
                {
                    case CCXMCompileDone :
                        ValidationDone(chantXMEvent->GetFile());
                        break;
                    case CCXMCompileError :
                        ValidationError(chantXMEvent->GetID(), chantXMEvent->GetFlags(), chantXMEvent->GetText());
                        break;
                    case CCXMDone :
                        ApplicationDone(chantXMEvent->GetResourceID(), chantXMEvent->GetLeafDocument(), chantXMEvent->GetNode(), chantXMEvent->GetRootDocument(), chantXMEvent->GetText());
                        break;
                    case CCXMLog:
                        RuntimeLog(chantXMEvent->GetText());
                        break;
                    default :
                        break;
                }
                // Remove the event from the event queue
                m_pChantXM->RemoveEvent();
                // No longer need event object
                delete chantXMEvent;
                chantXMEvent = NULL;
            }
        }
    }
    return CDialog::DefWindowProc(message, wParam, lParam);
}

void __fastcall TForm1::OnHasEvent(TMessage& msg)
{
    // Get the event from the event queue
    CChantXMEvent* chantXMEvent = ChantXM1->GetChantXMEvent();
    if (chantXMEvent != NULL)
    {
        // Process the type of callback event
        switch (chantXMEvent->GetChantCallback())
        {
            case CCXMCompileDone :
                ValidationDone(chantXMEvent->GetFile());
                break;
            case CCXMCompileError :
                ValidationError(chantXMEvent->GetID(), chantXMEvent->GetFlags(), chantXMEvent->GetText());
                break;
            case CCXMDone :
                ApplicationDone(chantXMEvent->GetResourceID(), chantXMEvent->GetLeafDocument(), chantXMEvent->GetNode(), chantXMEvent->GetRootDocument(), chantXMEvent->GetText());
                break;
            case CCXMLog:
                RuntimeLog(chantXMEvent->GetText());
                break;
            default :
                break;
        }
        // Remove the event from the event queue
        ChantXM1->RemoveEvent();
        // No longer need event object
        delete chantXMEvent;
        chantXMEvent = NULL;
    }
}

procedure TForm1.OnHasEvent(var msg: TMessage);
var
    chantXMEvent: TChantXMEvent;
begin
    // Get the event from the event queue
    chantXMEvent := ChantXM1.GetChantXMEvent();
    if chantXMEvent <> nil then
    begin
        case chantXMEvent.ChantCallback of
            CCXMCompileDone:
            begin
                ValidationDone(chantXMEvent.File);
            end;
            CCXMCompileError:
            begin
                ValidationError(chantXMEvent.ID, chantXMEvent.Flags, chantXMEvent.Text);
            end;
            CCXMDone:
            begin
                ApplicationDone(chantXMEvent.ResourceID, chantXMEvent.LeafDocument, chantXMEvent.Node, chantXMEvent.RootDocument, chantXMEvent.Text);
            end;
            CCXMLog:
            begin
                RuntimeLog(chantXMEvent.Text);
            end;
        end;
      // Remove the event from the event queue
      ChantXM1.RemoveEvent();
      // No longer need event object
      chantXMEvent.Destroy();
    end;
end;

public void hasEvent(Object obj1, Object obj2)
{
    // Get the event
    JChantXMEvent chantXMEvent = JChantXM1.getChantXMEvent();
    if (chantXMEvent != null)
    {
        switch(chantXMEvent.getChantCallback())
        {
            case ChantCallback.CCXMCompileDone:
                validationDone(chantXMEvent.getFile);
                break;
            case ChantCallback.CCXMCompileError:
                validationError(chantXMEvent.getID, chantXMEvent.getFlags, chantXMEvent.getText);
                break;
            case ChantCallback.CCXMDone:
                applicationDone(chantXMEvent.getResourceID, chantXMEvent.getLeafDocument, chantXMEvent.getNode, chantXMEvent.getRootDocument, chantXMEvent.getText);
                break;
            case ChantCallback.CCXMLog:
                runtimeLog(chantXMEvent.getText);
                break;
            default:
                break;
        }
        // Remove the event from the event queue
        JChantXM1.removeEvent();
   }
}

Private Sub NChantXM1_HasEvent(ByVal sender As System.Object, ByVal e As Chant.VoiceXMLKit.HasEventArgs) Handles NChantXM1.HasEvent
    Dim nChantXMEvent As NChantXMEvent
    ' Get the event from the event queue
    nChantXMEvent = NChantXM1.GetChantXMEvent()
    if nChantXMEvent <> Nothing Then
        Select Case nChantXMEvent.ChantCallback
            Case ChantCallback.CCXMCompileDone:
                ValidationDone(nChantXMEvent.File)
            Case ChantCallback.CCXMCompileError:
                ValidationError(nChantXMEvent.ID, nChantXMEvent.Flags, nChantXMEvent.Text)
            Case ChantCallback.CCXMDone:
                ApplicationDone(nChantXMEvent.ResourceID, nChantXMEvent.LeafDocument, nChantXMEvent.Node, nChantXMEvent.RootDocument, nChantXMEvent.Text)
            Case ChantCallback.CCXMLog:
                RuntimeLog(nChantXMEvent.Text)
        End Select
        ' Remove the event from the event queue
        NChantXM1.RemoveEvent()
    End If
End Sub

Collapse/Expand See Also section See Also

ChantXM
ChantXMEvent
RegisterCallback
UnregisterCallback


ChantXM LastError Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

LastError Property

A numeric error code for the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int error = chantXM.LastError;

long error = chantXM->GetLastError();

long error = chantXM->GetLastError();

var error: Integer;
error := chantXM.LastError;

int error = chantXM.getLastError();

Dim error As Integer
error = chantXM.LastError

Return Value

Long integer. Error code.

Collapse/Expand Remarks section Remarks

ChantXM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantXM
LastErrorMessage
LastErrorString


ChantXM LastErrorMessage Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

LastErrorMessage Property

A description of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String errorMessage = chantXM.LastErrorMessage;

wchar_t* errorMessage = chantXM->GetLastErrorMessage();

String errorMessage = chantXM->GetLastErrorMessage();

var errorMessage: string;
errorMessage := chantXM.LastErrorMessage;

String errorMessage = chantXM.getLastErrorMessage();

Dim errorMessage As String
errorMessage = chantXM.LastErrorMessage

Collapse/Expand Remarks section Remarks

ChantXM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantXM
LastError
LastErrorString


ChantXM LastErrorString Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

LastErrorString Property

A text representation of the last error condition.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String error = chantXM.LastErrorString;

wchar_t* error = chantXM->GetLastErrorString();

String error = chantXM->GetLastErrorString();

var error: string;
error := chantXM.LastErrorString;

String error = chantXM.getLastErrorString();

Dim error As String
error = chantXM.LastErrorString

Collapse/Expand Remarks section Remarks

ChantXM return codes are accessed via LastError. See Error Handling for more information about processing return codes.

Collapse/Expand See Also section See Also

ChantXM
LastError
LastErrorMessage


ChantXM OpenSession Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

OpenSession Method

Opens a session for running a VoiceXML application.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int intVal = NChantXM.OpenSession();

long longVal = pChantXM->OpenSession();

long longVal = pChantXM->OpenSession();

var intVal: Integer;
intVal := aTChantXM.OpenSession();

int intVal = jChantXM.openSession();

Dim intVal As Integer
intVal = nChantXM.OpenSession()

Parameters

No parameters.

Collapse/Expand Example section Example

See the ChantXM RunDocument for an example of opening the session.

Collapse/Expand See Also section See Also

ChantXM
CloseSession
RunDocument


ChantXM RegisterCallback Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RegisterCallback Method

Sets the callback event active.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

nChantXM.RegisterCallback(eChantCallback);

pChantXM->RegisterCallback(eChantCallback);

pChantXM->RegisterCallback(eChantCallback);

aTChantXM.RegisterCallback(eChantCallback);

jChantXM.registerCallback(eChantCallback);

nChantXM.RegisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

Constant | Value | Description
CCNone | 0 | No callback event.
CCAPIError | 59 | API Error. Property values: ID, Function, Text.
CCXMCompileDone | 71 | VoiceXML document compilation done. Property values: File.
CCXMCompileError | 72 | VoiceXML document compilation error. Property values: Flags, ID, Position, Text.
CCXMDone | 73 | VoiceXML document execution completed. Property values: LeafDocument, Node, RootDocument, Text.
CCXMLog | 74 | A VoiceXML Log event. Property values: Text.

The following example illustrates turning on XMDone events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn on XMDone events
NChantXM1.RegisterCallback(ChantCallback.CCXMDone);

// Turn on XMDone events
pChantXM->RegisterCallback(CCXMDone);

// Turn on XMDone events
pChantXM->RegisterCallback(CCXMDone);

// Turn on XMDone events
ChantXM1.RegisterCallback(CCXMDone);

// Turn on XMDone events
JChantXM1.registerCallback(ChantCallback.CCXMDone);

' Turn on XMDone events
NChantXM1.RegisterCallback(ChantCallback.CCXMDone)

Collapse/Expand See Also section See Also

ChantXM
UnregisterCallback


ChantXM RemoveEvent Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RemoveEvent Method

Removes an event from the event queue.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

chantXM.RemoveEvent();

chantXM->RemoveEvent();

chantXM->RemoveEvent();

chantXM.RemoveEvent();

chantXM.removeEvent();

chantXM.RemoveEvent()

Collapse/Expand See Also section See Also

ChantXM


ChantXM RunDocument Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RunDocument Method

Sends a VoiceXML document to the interpreter for execution.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

nChantXM.RunDocument(nSessionID, sVoiceXMLDocument);
nChantXM.RunDocument(nSessionID, sVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantVXMLRunOptions, sRecognizer, sVoice);
nChantXM.RunDocument(nSessionID, bVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantVXMLRunOptions, sRecognizer, sVoice);

pChantXM->RunDocumentRunDocument(nSessionID, pVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantVXMLRunOptions, sRecognizer, sVoice);

pChantXM->RunDocumentRunDocument(nSessionID, pVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantVXMLRunOptions, sRecognizer, sVoice);

aTChantXM.RunDocumentRunDocument(nSessionID, sVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantVXMLRunOptions, sRecognizer, sVoice);

jChantXM.runDocument(nSessionID, sVoiceXMLDocument);
jChantXM.runDocument(nSessionID, sVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantVXMLRunOptions, sRecognizer, sVoice);

nChantXM.RunDocument(nSessionID, sVoiceXMLDocument)
nChantXM.RunDocument(nSessionID, sVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantVXMLRunOptions, sRecognizer, sVoice)
nChantXM.RunDocument(nSessionID, bVoiceXMLDocument, nVoiceXMLDocumentSize, eChantVXMLSource, eChantVXMLRunOptions, sRecognizer, sVoice)

Parameters

nSessionID

Long integer. Session identifier.

bVoiceXMLDocument

Byte Array. Byte array of VoiceXML text.

pVoiceXMLDocument

Pointer. String containing the VoiceXML text, string VoiceXML file name, or buffer of VoiceXML text.

sVoiceXMLDocument

String. String containing the VoiceXML text or string VoiceXML file name.

nVoiceXMLDocumentSize

Long integer. Length in bytes of the buffer or byte array.

eChantVXMLSource

ChantVXMLSource. Specifies the wether the document object is buffer of text, string of text, or file name.

eChantVXMLRunOptions

ChantVXMLRunOptions. Specifies the VoiceXML interpreter run options.

sRecognizer

String. Optional name of recognizer to use.

sVoice

String. Optional name of synthesizer to use.

Collapse/Expand Remarks section Remarks

The RunDocument method supports a variety of document source input formats specified with ChantVXMLSource. The source type may be one of the following values:

Constant | Value | Description
CVSBuffer | 1 | The VoiceXML document is compied from a buffer.
CVSFile | 2 | The VoiceXML document is read from a file.
CVSText | 3 | The VoiceXML document is read from a text string.

Runtime options may be set using ChantVXMLRunOptions. The runtime options may be one or more of the following:

Constant | Value | Description
CVRONone | 0 | No options.
CVRORecoChoices | 1 | Automatically voice-enable menu choices.
CVRORecoOptions | 2 | Automatically voice-enable form options.
CVROShowUI | 4 | Show interpreter dialog during execution.

Collapse/Expand Example section Example

The following example illustrates interpreting a VXML document.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Open session
_SessionID = NChantXM1.OpenSession();
...
// Interpret the document
NChantXM1.RunDocument(_SessionID, "mydocument.vxml");
...
// Close session when CCXMDone event fires
NChantXM1.CloseSession(_SessionID);

// Open session
_SessionID = pChantXM->OpenSession();
...
// Interpret the document
pChantXM->RunDocument(_SessionID, L"mydocument.vxml");
...
// Close session when CCXMDone event fires
pChantXM->CloseSession(_SessionID);

// Open session
_SessionID = pChantXM->OpenSession();
...
// Interpret the document
pChantXM->RunDocument(_SessionID, "mydocument.vxml");
...
// Close session when CCXMDone event fires
pChantXM->CloseSession(_SessionID);

// Open session
_SessionID = NChantXM1.OpenSession();
...
// Interpret the document
ChantXM1.RunDocument(_SessionID, 'mydocument.vxml');
...
// Close session when CCXMDone event fires
ChantXM1.CloseSession(_SessionID);

// Open session
_SessionID = JChantXM1.OpenSession();
...
// Interpret the document
JChantXM1.RunDocument(_SessionID, "mydocument.vxml");
...
// Close session when CCXMDone event fires
JChantXM1.CloseSession(_SessionID);

' Open session
_SessionID = NChantXM1.OpenSession()
...
' Interpret the document
NChantXM1.RunDocument(_SessionID, "mydocument.vxml")
...
' Close session when CCXMDone event fires
NChantXM1.CloseSession(_SessionID)

Collapse/Expand See Also section See Also

ChantXM


ChantXM SetCallbackFunction Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

SetCallbackFunction Method

Sets callback static function.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

pChantXM->SetCallbackFunction(pCallbackFunction, wParam, lParam);

pChantXM->SetCallbackFunction(pCallbackFunction, wParam, lParam);

aTChantXM1.SetCallbackFunction(pCallbackFunction, wParam, lParam);

jChantXM.setCallbackFunction(callbackObject, wParam, lParam);

Not supported.

Parameters

callbackFunction

Pointer (C++, C++Builder, Delphi), Object (Java). Name of conditional variable. Callback address (C++, C++Builder, Delphi). Callback object that implements the ChantXMEvents interface (Java).

wParam

WPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

lParam

LPARAM (C++, C++Builder, Delphi), Object (Java). Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support static callbacks may set a function to receive callback events.

Collapse/Expand See Also section See Also

ChantXM


ChantXM SetCallbackParms Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

SetCallbackParms Method

Sets optional callback parameters.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

nChantXM.SetCallbackParms(parm1, parm2);

Not supported.

Not supported.

Not supported.

jChantXM.setCallbackParms(parm1, parm2);

nChantXM.SetCallbackParms(parm1, parm2)

Parameters

parm1

Object. Optional application defined value passed on all callback events.

parm2

Object. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Application defined values may be passed on all callback events.

Collapse/Expand Example section Example

The following example illustrates setting optional callback parms.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
NChantXM1.SetCallbackParms(NChantXM1, null);

Not supported.

Not supported.

Not supported.

JChantXM1.setCallbackParms(JChantXM1, null);

NChantXM1.SetCallbackParms(NChantXM1, Nothing)

Collapse/Expand See Also section See Also

ChantXM


ChantXM SetStringProperty Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

SetStringProperty Method

Sets a string property value.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

nChantXM.SetStringProperty(eChantStringProperty, stringVal);

pCChantXM->SetStringProperty(eChantStringProperty, stringVal);

pChantXM->SetStringProperty(eChantStringProperty, stringVal);

aTChantXM.SetStringProperty(eChantStringProperty, stringVal);

jChantXM.setStringProperty(eChantStringProperty, stringVal);

nChantXM.SetStringProperty(eChantStringProperty, stringVal)

Parameters

eChantStringProperty

ChantStringProperty. Value that uniquely identifies the property.

stringVal

String. Property value.

Collapse/Expand Remarks section Remarks

All ChantXM string property values are set via SetStringProperty. The property type may be one of the following values:

Constant | Value | Description
CSPLicense | 10 | Specifies the license value required for distributing applications with the Chant class libraries.
CSPSerials | 19 | Specifies the serial number value required for distributing applications with the Chant class libraries.

Collapse/Expand See Also section See Also

ChantXM


ChantXM UnregisterCallback Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

UnregisterCallback Method

Sets the callback event inactive.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

nChantXM.UnregisterCallback(eChantCallback);

pChantXM->UnregisterCallback(eChantCallback);

pChantXM->UnregisterCallback(eChantCallback);

aTChantXM.UnregisterCallback(eChantCallback);

jChantXM.unregisterCallback(eChantCallback);

nChantXM.UnregisterCallback(eChantCallback)

Parameters

eChantCallback

ChantCallback. Specifies the value that uniquely identifies the callback event type.

Collapse/Expand Remarks section Remarks

You enable callback events that are of interest to your application using the RegisterCallback method. You may stop receiving events at any time using the UnregisterCallback method. The callback type may be one of the following values:

Constant | Value | Description
CCNone | 0 | No callback event.
CCAPIError | 59 | API Error. Property values: ID, Function, Text.
CCXMCompileDone | 71 | VoiceXML document compilation done. Property values: File.
CCXMCompileError | 72 | VoiceXML document compilation error. Property values: Flags, ID, Position, Text.
CCXMDone | 73 | VoiceXML document execution completed. Property values: LeafDocument, Node, RootDocument, Text.
CCXMLog | 74 | A VoiceXML Log event. Property values: Text.

The following example illustrates turning off XMDone events.

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET
// Turn off XMDone events
NChantXM1.UnregisterCallback(ChantCallback.CCXMDone);

// Turn off XMDone events
pChantXM->UnregisterCallback(CCXMDone);

// Turn off XMDone events
pChantXM->UnregisterCallback(CCXMDone);

// Turn off XMDone events
ChantXM1.UnregisterCallback(CCXMDone);

// Turn off XMDone events
JChantXM1.unregisterCallback(ChantCallback.CCXMDone);

' Turn off XMDone events
NChantXM1.UnregisterCallback(ChantCallback.CCXMDone)

Collapse/Expand See Also section See Also

ChantXM
RegisterCallback


ChantXMEvent Class

Represents a VoiceXML management (i.e., validation and runtime) event.

Collapse/Expand Methods section Methods

No methods.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | ChantCallback | The type of event callback.
Public property | File | The VoiceXML document file name.
Public property | Flags | The line number associated with the validation error.
Public property | Function | API function name.
Public property | ID | Compilation error number.
Public property | LeafDocument | VoiceXML leaf document file name.
Public property | Node | VoiceXML document node.
Public property | Position | The line position associated with the validation error.
Public property | ResourceID | The session identifier.
Public property | RootDocument | VoiceXML root document file name.
Public property | Text | Validation error, log message, or run results.

Collapse/Expand See Also section See Also

GetChantXMEvent
RemoveEvent


ChantXMEvent ChantCallback Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

ChantCallback Property

The type of event callback.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

ChantCallback eChantCallback = nChantXMEvent.ChantCallback;

ChantCallback eChantCallback = pChantXMEvent->GetChantCallback();

ChantCallback eChantCallback = pChantXMEvent->GetChantCallback();

var eChantCallback: ChantCallback;
eChantCallback := aTChantXMEvent.ChantCallback;

int eChantCallback = jChantXMEvent.getChantCallback();

Dim eChantCallback As ChantCallback
eChantCallback = nChantXMEvent.ChantCallback

Collapse/Expand Remarks section Remarks

The property is read only. The property may be one of the following ChantCallback constant values:

Constant | Value | Description
CCNone | 0 | No callback event.
CCAPIError | 59 | API Error. Property values: ID, Function, Text.
CCXMCompileDone | 71 | VoiceXML document compilation done. Property values: File.
CCXMCompileError | 72 | VoiceXML document compilation error. Property values: Flags, ID, Position, Text.
CCXMDone | 73 | VoiceXML document execution completed. Property values: LeafDocument, Node, RootDocument, Text.
CCXMLog | 74 | A VoiceXML Log event. Property values: Text.

Collapse/Expand See Also section See Also

ChantXMEvent


ChantXMEvent File Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

File Property

The VoiceXML document file name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String stringVal = nChantXMEvent.File;

wchar_t* pszVal = pChantXMEvent->GetFile();

String stringVal = pChantXMEvent->GetFile();

var stringVal: string;
stringVal := aTChantXMEvent.File;

String stringVal = jChantXMEvent.getFile();

Dim stringVal As String
stringVal = nChantXMEvent.File

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantXMEvent


ChantXMEvent Flags Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Flags Property

The line number associated with the validation error.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int intVal = nChantXMEvent.Flags;

long longVal = pChantXMEvent->GetFlags();

long longVal = pChantXMEvent->GetFlags();

var intVal: Integer;
intVal := aTChantXMEvent.Flags;

String stringVal = jChantXMEvent.getFlags();

Dim intVal As Integer
intVal = nChantXMEvent.Flags

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantXMEvent


ChantXMEvent Function Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Function Property

The API function name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String stringVal = nChantXMEvent.Function;

wchar_t* pszVal = pChantXMEvent->GetFunction();

String stringVal = pChantXMEvent->GetFunction();

var stringVal: string;
stringVal := aTChantXMEvent.Function;

String stringVal = jChantXMEvent.getFunction();

Dim stringVal As String
stringVal = nChantXMEvent.Function

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantXMEvent


ChantXMEvent ID Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

ID Property

Compilation error number.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int intVal = nChantXMEvent.ID;

long longVal = pChantXMEvent->GetID();

long longVal = pChantXMEvent->GetID();

var intVal: Integer;
intVal := aTChantXMEvent.ID;

int intVal = jChantXMEvent.getID();

Dim intVal As Integer
intVal = NChantXMEvent.ID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantXMEvent


ChantXMEvent LeafDocument Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

LeafDocument Property

VoiceXML leaf document file name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String stringVal = nChantXMEvent.LeafDocument;

wchar_t* pszVal = pChantXMEvent->GetLeafDocument();

String stringVal = pChantXMEvent->GetLeafDocument();

var stringVal: string;
stringVal := aTChantXMEvent.LeafDocument;

String stringVal = jChantXMEvent.getLeafDocument();

Dim stringVal As String
stringVal = nChantXMEvent.LeafDocument

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantXMEvent


ChantXMEvent Node Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Node Property

VoiceXML document node.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String stringVal = nChantXMEvent.Node;

wchar_t* pszVal = pChantXMEvent->GetNode();

String stringVal = pChantXMEvent->GetNode();

var stringVal: string;
stringVal := aTChantXMEvent.Node;

String stringVal = jChantXMEvent.getNode();

Dim stringVal As String
stringVal = nChantXMEvent.Node

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantXMEvent


ChantXMEvent Position Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Position Property

The line position associated with the validation error.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int intVal = nChantXMEvent.Position;

long longVal = pChantXMEvent->GetPosition();

long longVal = pChantXMEvent->GetPosition();

var intVal: Integer;
intVal := aTChantXMEvent.Position;

int intVal = jChantXMEvent.getPosition();

Dim intVal As Integer
intVal = nChantXMEvent.Position

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantXMEvent


ChantXMEvent ID Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

ResourceID Property

The session identifier.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

int intVal = nChantXMEvent.ResourceID;

long longVal = pChantXMEvent->GetResourceID();

long longVal = pChantXMEvent->GetResourceID();

var intVal: Integer;
intVal := aTChantXMEvent.ResourceID;

int intVal = jChantXMEvent.getResourceID();

Dim intVal As Integer
intVal = NChantXMEvent.ResourceID

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantXMEvent


ChantXMEvent RootDocument Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

RootDocument Property

VoiceXML root document file name.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String stringVal = nChantXMEvent.RootDocument;

wchar_t* pszVal = pChantXMEvent->GetRootDocument();

String stringVal = pChantXMEvent->GetRootDocument();

var stringVal: string;
stringVal := aTChantXMEvent.RootDocument;

String stringVal = jChantXMEvent.getRootDocument();

Dim stringVal As String
stringVal = nChantXMEvent.RootDocument

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantXMEvent


ChantXMEvent Text Property

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

Text Property

Validation error, log message, or run results.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

String stringVal = nChantXMEvent.Text;

wchar_t* pszVal = pChantXMEvent->GetText();

String stringVal = pChantXMEvent->GetText();

var stringVal: string;
stringVal := aTChantXMEvent.Text;

String stringVal = jChantXMEvent.getText();

Dim stringVal As String
stringVal = nChantXMEvent.Text

Collapse/Expand Remarks section Remarks

The property is read only.

Collapse/Expand See Also section See Also

ChantXMEvent


Enumerated Constants

The following enumerations are used with Chant Developer Workbench 2016:

Products | Enumeration | Description
KinesicsKit | Activity | The available activity types.
KinesicsKit | Appearance | The appearance characteristics a body may exhibit.
KinesicsKit | AudioBeamMode | The mode of an audio beam.
ProfileKit | ChantAcousticEnvironment | The type of acoustic setting in which the application recognizes.
SpeechKit | ChantAudioFormat | The audio format that indicates the type of audio compression used.
SpeechKit | ChantAudioReason | The reason for the SAPI 4 audio stop event.
SpeechKit | ChantBookmarkOption | A numeric bookmark option from a SAPI 5 input audio stream.
 | ChantCallback | The type of event notifications the application is interested in receiving.
GrammarKit | ChantCompileObject | The grammar source input format.
 | ChantCompileOption | The grammar processing compile option.
GrammarKit | ChantCompileResult | The grammar compilation result object format.
 | ChantDialog | The type of dialog to display.
 | ChantEngineAPI | The type of recognizer or synthesizer application program interface (API).
 | ChantEngineInterference | The type of interference detected by the recognizer.
SpeechKit | ChantEngineTraining | The type of speaker training the recognizer recommends.
 | ChantEnumeration | The type of Chant enumeration.
GrammarKit | ChantGrammarSyntax | The grammar source syntax that identifies the type of grammar.
 | ChantNumberProperty | A speech engine or class object numeric property that may be obtained via GetNumberProperty method and set via the SetNumberProperty method.
 | ChantPartOfSpeech | The type of word.
SpeechKit | ChantPlaybackObject | The text source for synthesis and playback or the audio data source for playback.
SpeechKit | ChantPlaybackResult | The type of playback result to generate from synthesizing text-to-speech.
SpeechKit | ChantPlaybackStyle | The processing characteristics for synthesing text-to-speech and audio playback.
ProfileKit | ChantProfileTraining | The speaker profile training options available for a recognizer.
SpeechKit | ChantRecognitionFormat | The recognition result format.
SpeechKit | ChantRecordingObject | The audio source object for recognition.
SpeechKit | ChantRecordingResult | Recognition result types for text or audio data.
SpeechKit | ChantRecordingStyle | The processing characteristics for recognizing speech.
KinesicsKit | ChantSensorStream | The type of data streams an application is interested in receiving.
SpeechKit | ChantSPVFeature | Information about the features of the SAPI 5 phonemes and visemes.
SpeechKit | ChantSRFeature | The features supported by a SAPI 4 recognizer.
SpeechKit | ChantSRGram | The vocabulary types supported by the recognizer.
SpeechKit | ChantSRInterface | The COM interfaces supported by a SAPI 4 recognizer.
SpeechKit | ChantSRSequencing | The recognition schemes supported by the recognizer.
 | ChantStringProperty | A speech engine or class object string property that may be obtained via GetStringProperty method and set via the SetStringProperty method.
ProfileKit | ChantTrainingProperty | The training session property.
SpeechKit | ChantTTSAge | The voice age.
SpeechKit | ChantTTSFeature | The features supported by a SAPI 4 synthesizer.
SpeechKit | ChantTTSGender | The voice gender.
SpeechKit | ChantTTSHint | Information about the features of the SAPI 4 phonemes and visual events.
SpeechKit | ChantTTSInterface | The COM interfaces supported by a SAPI 4 synthesizer.
SpeechKit | ChantVisemeType | Represents a mouth position during speech synthesis with a SAPI 5 voice.
VoiceMarkupKit | ChantVoiceMarkupLanguage | The type of markup language.
VoiceMarkupKit | ChantVoiceMarkupTag | A markup element (tag) type.
VoiceXMLKit | ChantVXMLRunOptions | The VoiceXML document run options.
VoiceXMLKit | ChantVXMLSource | The VoiceXML document source object type.
VoiceXMLKit | ChantVXMLVersion | The VoiceXML document syntax version.
 | ChantWordPronounceable | Flag that indicates whether the word(s) is(are) part of the recognizer's dictionary and can be recognized.
KinesicsKit | ColorImageFormat | Color image data format options.
KinesicsKit | Expression | The expression a body may have.
KinesicsKit | FrameCapturedStatus | Status of a frame capture.
KinesicsKit | FrameEdges | The types of edges of a frame border.
KinesicsKit | FrameSourceTypes | The types of frame sources for a MultiSourceFrameReader.
KinesicsKit | HandState | The state of a hand of a body.
KinesicsKit | JointType | The types of joints of a body
KinesicsKit | KinectAudioCalibrationState | The calibration states of the audio sensor.
KinesicsKit | KinectCapabilities | The capabilities of the Kinect sensor.
KinesicsKit | TrackingConfidence | The confidence level of a body's tracked attribute.
KinesicsKit | TrackingState | The state of tracking a body or body's attribute.
VoiceXMLKit | VXMLAccept | The speech recognition matching type.
VoiceXMLKit | VXMLAudioMedia | The audio format type.
VoiceXMLKit | VXMLBargein | The type of playback interrupt.
VoiceXMLKit | VXMLBuiltinGrammar | The builtin speech recognition grammar.
VoiceXMLKit | VXMLCaching | The dtmf grammar caching type.
VoiceXMLKit | VXMLFetch | The Uri fetch type.
VoiceXMLKit | VXMLGrammarMedia | The speech recognition grammar syntax type.
VoiceXMLKit | VXMLGrammarMode | The grammar mode type.
VoiceXMLKit | VXMLMediaEncoding | The media encoding type of the submitted document.
VoiceXMLKit | VXMLMode | The filled event mode type.
VoiceXMLKit | VXMLScope | The scope of the grammar enablement.
VoiceXMLKit | VXMLTagFormat | The grammar tag-format type.
VoiceXMLKit | VXMLTransfer | The transfer type.
VoiceXMLKit | VXMLValue | The parameter value type.


Activity

The available activity types.

Constant | Value | Description
EyeLeftClosed | 0 | Left eye closed.
EyeRightClosed | 1 | Right eye closed.
MouthOpen | 2 | Mouth open.
MouthMoved | 4 | Mouth moved.
LookingAway | 8 | Looking away.
Count | 16 | The number of Activity types.


Appearance

The appearance characteristics a body may exhibit.

Constant | Value | Description
WearingGlasses | 0 | Wearing glasses.
Count | 1 | The number of Appearance types.


AudioBeamMode

The mode of an audio beam.

Constant | Value | Description
Automatic | 0 | Automatic.
Manual | 1 | Manual.


ChantAcousticEnvironment

The type of acoustic setting in which the application recognizes.

Constant | Value | Description
CAECar | 1 | Automobile environment where noise is from road and radio.
CAEFactory | 2 | Factory environment where noise is from machinery.
CAEHome | 3 | Indoor environment where noise is from conversations, radio, and television.
CAEOffice | 4 | Indoor environment where noise is from conversations and office equipment.
CAEOutdoors | 5 | Outdoors environment where noise is from wind and random events.
CAEPlane | 6 | Airplane environment where noise is from ventilation and engines.
CAETrain | 7 | Train environment where noise is from tracks and random events.


ChantAudioFormat

The audio format that indicates the type of audio compression used.

Constant | Value | Description
CAFDefault | -1 | Default audio format
CAFNoAssignedFormat | 0 | No assigned format
CAFText | 1 | Object is text
CAFNonStandardFormat | 2 | Non standard format
CAFExtendedAudioFormat | 3 | Extended audio format
CAF8kHz8BitMono | 4 | 8 kHz 8 bit monaural
CAF8kHz8BitStereo | 5 | 8 kHz 8 bit stereo
CAF8kHz16BitMono | 6 | 8 kHz 16 bit monaural
CAF8kHz16BitStereo | 7 | 8 kHz 16 bit stereo
CAF11kHz8BitMono | 8 | 11 kHz 8 bit monaural
CAF11kHz8BitStereo | 9 | 11 kHz 8 bit stereo
CAF11kHz16BitMono | 10 | 11 kHz 16 bit monaural
CAF11kHz16BitStereo | 11 | 11 kHz 16 bit stereo
CAF12kHz8BitMono | 12 | 12 kHz 8 bit monaural
CAF12kHz8BitStereo | 13 | 12 kHz 8 bit stereo
CAF12kHz16BitMono | 14 | 12 kHz 16 bit monaural
CAF12kHz16BitStereo | 15 | 12 kHz 16 bit stereo
CAF16kHz8BitMono | 16 | 16 kHz 8 bit monaural
CAF16kHz8BitStereo | 17 | 16 kHz 8 bit stereo
CAF16kHz16BitMono | 18 | 16 kHz 16 bit monaural
CAF16kHz16BitStereo | 19 | 16 kHz 16 bit stereo
CAF22kHz8BitMono | 20 | 22 kHz 8 bit monaural
CAF22kHz8BitStereo | 21 | 22 kHz 8 bit stereo
CAF22kHz16BitMono | 22 | 22 kHz 16 bit monaural
CAF22kHz16BitStereo | 23 | 22 kHz 16 bit stereo
CAF24kHz8BitMono | 24 | 24 kHz 8 bit monaural
CAF24kHz8BitStereo | 25 | 24 kHz 8 bit stereo
CAF24kHz16BitMono | 26 | 24 kHz 16 bit monaural
CAF24kHz16BitStereo | 27 | 24 kHz 16 bit stereo
CAF32kHz8BitMono | 28 | 32 kHz 8 bit monaural
CAF32kHz8BitStereo | 29 | 32 kHz 8 bit stereo
CAF32kHz16BitMono | 30 | 32 kHz 16 bit monaural
CAF32kHz16BitStereo | 31 | 32 kHz 16 bit stereo
CAF44kHz8BitMono | 32 | 44 kHz 8 bit monaural
CAF44kHz8BitStereo | 33 | 44 kHz 8 bit stereo
CAF44kHz16BitMono | 34 | 44 kHz 16 bit monaural
CAF44kHz16BitStereo | 35 | 44 kHz 16 bit stereo
CAF48kHz8BitMono | 36 | 48 kHz 8 bit monaural
CAF48kHz8BitStereo | 37 | 48 kHz 8 bit stereo
CAF48kHz16BitMono | 38 | 48 kHz 16 bit monaural
CAF48kHz16BitStereo | 39 | 48 kHz 16 bit stereo
CAFTrueSpeech8kHz1BitMono | 40 | TrueSpeech 8 kHz 1 bit monaural
CAFCCITTALaw8kHzMono | 41 | CCITT A-Law 8 kHz monaural
CAFCCITTALaw8kHzStereo | 42 | CCITT A-Law 8 kHz stereo
CAFCCITTALaw11kHzMono | 43 | CCITT A-Law 11 kHz monaural
CAFCCITTALaw11kHzStereo | 44 | CCITT A-Law 11 kHz stereo
CAFCCITTALaw22kHzMono | 45 | CCITT A-Law 22 kHz monaural
CAFCCITTALaw22kHzStereo | 46 | CCITT A-Law 22 kHz stereo
CAFCCITTALaw44kHzMono | 47 | CCITT A-Law 44 kHz monaural
CAFCCITTALaw44kHzStereo | 48 | CCITT A-Law 44 kHz stereo
CAFCCITTuLaw8kHzMono | 49 | CCITT u-Law 8 kHz monaural
CAFCCITTuLaw8kHzStereo | 50 | CCITT u-Law 8 kHz stereo
CAFCCITTuLaw11kHzMono | 51 | CCITT u-Law 11 kHz monaural
CAFCCITTuLaw11kHzStereo | 52 | CCITT u-Law 11 kHz stereo
CAFCCITTuLaw22kHzMono | 53 | CCITT u-Law 22 kHz monaural
CAFCCITTuLaw22kHzStereo | 54 | CCITT u-Law 22 kHz stereo
CAFCCITTuLaw44kHzMono | 55 | CCITT u-Law 44 kHz monaural
CAFCCITTuLaw44kHzStereo | 56 | CCITT u-Law 44 kHz stereo
CAFADPCM8kHzMono | 57 | ADPCM 8 kHz monaural
CAFADPCM8kHzStereo | 58 | ADPCM 8 kHz stereo
CAFADPCM11kHzMono | 59 | ADPCM 11 kHz monaural
CAFADPCM11kHzStereo | 60 | ADPCM 11 kHz stereo
CAFADPCM22kHzMono | 61 | ADPCM 22 kHz monaural
CAFADPCM22kHzStereo | 62 | ADPCM 22 kHz stereo
CAFADPCM44kHzMono | 63 | ADPCM 44 kHz monaural
CAFADPCM44kHzStereo | 64 | ADPCM 44 kHz stereo
CAFGSM6108kHzMono | 65 | GSM 6.10 8 kHz monaural
CAFGSM61011kHzMono | 66 | GSM 6.10 11 kHz monaural
CAFGSM61022kHzMono | 67 | GSM 6.10 22 kHz monaural
CAFGSM61044kHzMono | 68 | GSM 6.10 44 kHz monaural
CAFUTF8 | 69 | Cepstral Swift or RealSpeak Solo UTF-8 encoding
CAFASCII | 70 | Cepstral Swift ASCII encoding
CAFUTF16 | 71 | Cepstral Swift or RealSpeak Solo UTF-16 encoding
CAFISO8859_1 | 72 | Cepstral Swift iso8859-1 encoding
CAFISO8859_15 | 73 | Cepstral Swift iso8859-15 encoding
CAFUCS4 | 74 | RealSpeak Solo 32 bit UNICODE character encoding


ChantAudioReason

The reason for the SAPI 4 audio stop event.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CARNoData | 0 | The engine called the IAudio::UnClaim member function. This notification allows the engine to employ the notification sink to monitor the object's state rather than having to maintain this information itself.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CARPriority | 1 | Resources were temporarily diverted to a higher-priority task.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CARInactive | 2 | The device has become inactive for an unknown reason.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CAREOF | 3 | An end-of-file character has been reached.


ChantBookmarkOption

A numeric bookmark option from a SAPI 5 input audio stream.

APIs | Constant | Value | Description
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CBONone | 0 | The recognition context will not be paused when the associated bookmark event occurs.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CBOPause | 1 | The recognition context will be paused when the associated bookmark event occurs.


ChantCallback

The type of event notifications the application is interested in receiving.

APIs | Constant | Value | Description
 | CCNone | 0 | No callback event.
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CCSDataAvailable | 1 | SAPI 4 Recognizer internal audio buffer has changed. Dragon notifies of microphone state changes with the DgnMicStateConstants: Disabled (0), MicOff (1), MicOn (2), MicSleeping (3), MicPause (4), or MicResume (5). Property values: Bytes (DgnMicStateConstant) and EOF (paused property).
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CCSOverflow | 2 | Recognizer internal audio buffer is full and incoming data has been lost. SAPI 4 notifies the nuber of lost bytes. VoCon 3200 notifies with the AUDIOIN_STATUSINFO: AUDIOIN_TIMEOUT(1), AUDIOIN_FIFOOVERRUN(3), AUDIOIN_FLUSHED(4), or AUDIOIN_HWOVERRUN(5). Property values: Bytes.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioStart | 3 | Recognizer opened the audio source device. Property values: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioStop | 4 | Recognizer has no more data from the source audio stream. Property values: Reason.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioFileBegin | 5 | Recognizer has begun processing an audio file. Property values: ID.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioFileEnd | 6 | Recognizer has finished processing an audio file. Property values: ID.
Microsoft SAPI 4 Speech Recognition | CCSAudioFilePosn | 7 | Recognizer identifies how much data has been processed. Property values: Processed, Left.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSAudioFileQueueEmpty | 8 | Recognizer has finished processing all files in the queue.
Microsoft SAPI 4 Text-to-Speech | CCDAudioBookMark | 9 | Destination audio object detected a bookmark identifier in the audio stream or audio was flushed. Property values: ID, Flush.
Microsoft SAPI 4 Text-to-Speech | CCDAudioFreeSpace | 10 | Destination audio object internal buffer state changed. Property values: Bytes, EOF.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioStart | 11 | Audio playback has started. Property values: TimeStamp.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioStop | 12 | Audio playback has stopped. Property values: Reason, TimeStamp, File.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioFileBegin | 13 | Synthesizer has begun processing an audio file. Property values: ID.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioFileEnd | 14 | Synthesizer has finished processing an audio file. Property values: ID.
Microsoft SAPI 4 Text-to-Speech | CCDAudioFilePosn | 15 | Synthesizer identifies how much data has been processed. Property values: Processed, Left.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCDAudioFileQueueEmpty | 16 | Synthesizer has finished processing all files in the queue.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSAudioLevel | 17 | Synthesizer provides the playback audio level. Property values: Level.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSBookMark | 18 | Synthesizer notifies that it has encountered a bookmark in the text being played. Property values: BookMarkString, ID, TimeStamp.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSDone | 19 | Synthesizer has completed synthesizing text. This does not mean that audio playback is complete. See CCDAudioStop. Property values: Bytes, Buffer, TimeStamp, Flags.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSNumberPropertyChanged | 20 | Synthesizer number property value changed.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSPhoneme | 21 | Synthesizer returns the phoneme. Property values: Duration, NextPhonemeID, NextPhoneme, Hints, CurrentPhonemeID, CurrentPhoneme.
 | CCTTSProgress | 22 | Indicates the percent complete of an import or export operation. Property values: Progress.
Acapela BabTTS and NSCAPI Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSSentenceBoundary | 23 | Synthesizer indicates that it reached an end of sentence during synthesis. Property values: Length, Position.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSStarted | 24 | Synthesizer has started synthesizing speech from text.
 | CCTTSStringPropertyChanged | 25 | Reserved for future use.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSViseme | 26 | Synthesizer returns the viseme notifications with viseme speaking property. Property values: CurrentViseme, Duration, Hints, NextViseme.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | CCTTSVisual | 27 | Synthensizer returns visual notifications with visual speaking properties. Property values: EnginePhoneme, Hints, IPAPhoneme, LipTension, MouthHeight, MouthWidth, MouthUpturn, JawOpen, TeethUpperVisible, TeethLowerVisible, TimeStamp, TonguePosn.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CCTTSVoiceChange | 28 | Synthesizer voice has changed. Property values: none.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCTTSWordPosition | 29 | Position of the word within the text being synthesized that corresponds to the current audio playback. Property values: Length, Position, TimeStamp.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRAudioLevel | 30 | Audio level of the utterance. Event property values set: Level.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRBookMark | 31 | Speech recognition engine encountered a bookmark. Event Event property values set: BookMarkNum, BookMarkOption.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRFalseRecognition | 32 | Speech recognition engine was unable to recognize speech from the utterance. Event property values set: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasCommand | 33 | Speech recognition engine's highest confidence about what was said in the last utterance from a command vocabulary. Event property values set: Command. SAPI 4 property values set: Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 property values set: IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasCommandHypothesis | 34 | Speech recognition engine's hypothesis about what was said in the last utterance from a command vocabulary. Property values: Command. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasPhrase | 35 | Speech recognition engine's highest confidence about what was said in the last utterance from a grammar vocabulary. Property values: Phrase. SAPI 4 property values set: Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 property values set: IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRHasPhraseHypothesis | 36 | Speech recognition engine's hypothesis about what was said in the last utterance from a grammar vocabulary. Property values: Phrase. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRHasRecognitionOther | 37 | Recognized speech from a vocabulary of another session. Event property values set: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRHasText | 38 | Speech recognition engine's highest confidence about what was said in the last utterance from a dictation vocabulary or topic. Property values: Text. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRHasTextHypothesis | 39 | Speech recognition engine's hypothesis about what was said in the last utterance from a dictation vocabulary or topic. Property values: Text. SAPI 4 sets Flags, TimeStampBegin, TimeStampEnd, IUnknownResult. SAPI 5 sets IspRecoResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRInterference | 40 | Speech recognition engine interference detected. Property values: TimeStampBegin, TimeStampEnd, Interference.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRNumberPropertyChanged | 41 | Speech recognition numeric property value changed. Property values: NumberProperty, NumberPropertyVal.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRPaused | 42 | Speech recognition engine is paused. Property values: none.
 | CCSRProgress | 43 | Percent completion an of ImportResource, ExportResource, or SMAPI Audio save operations. Values range from 0 to 100. Property values: Progress.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRPhraseStart | 44 | Speech recognition engine has started processing audio data. Property values: TimeStampBegin.
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRReEvaluate | 45 | Speech recognition engine changed a speech recognition results object. Property values: IUnknownResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCSRSound | 46 | Speech recognition engine detected a sound. Property values: TimeStampBegin, TimeStampEnd.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRStringPropertyChanged | 47 | Speech recognition string property value changed. Property values: StringProperty, StringPropertyVal.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CCSRTraining | 48 | Speech recognition engine suggests training for the current speaker, grammar, ormicrophone is needed. Property values: Training.
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CCSRUnArchive | 49 | An archived recognition result was loaded. Property values: IUnknownResult.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRUtteranceBegin | 50 | The beginning of an utterance was detected. Property values: none.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CCSRUtteranceEnd | 51 | The end of an utterance was detected. Property values: none.
 | CCDDeviceArrival | 52 | Audio endpoint render device detected. Property values: Text contains the device ID.
 | CCDDeviceRemoved | 53 | Audio endpoint render device removed. Property values: Text contains the device ID.
 | CCSDeviceArrival | 54 | Audio endpoint capture device detected. Property values: Text contains the device ID.
 | CCSDeviceRemoved | 55 | Audio endpoint capture device removed. Property values: Text contains the device ID.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCGMError | 56 | Grammar compiler error. Property values: Flags, ID, Phrase, ResourceID, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCGMDone | 57 | Grammar compiler processing done. Property values: Buffer, Bytes, File.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance VoCon 3200 | CCGMWarning | 58 | Grammar compiler warning. Property values: Flags, ID, Phrase, ResourceID, Text.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CCAPIError | 59 | API Error. Property values: ID, Function, Text.
 | CCKSBeamAngleChanged | 62 | An audio beam angle property changed. The horizontal angle in radians of the currently selected beam in camera coordinates, where the x-z axes define the horizontal plane. The angle is relative to the z-axis, which is perpendicular to the Kinect sensor. Property values: Angle.
 | CCKSStarted | 67 | The sensor has started processing data. Property values: Sensor, SessionID.
 | CCKSStopped | 69 | The sensor has stopped processing data. Property values: Sensor, SessionID.
 | CCXMCompileDone | 71 | VoiceXML document compilation done. Property values: File.
 | CCXMCompileError | 72 | VoiceXML document compilation error. Property values: Flags, ID, Position, Text.
 | CCXMDone | 73 | VoiceXML document execution completed. Property values: LeafDocument, Node, RootDocument, Text.
 | CCXMLog | 74 | A VoiceXML Log event. Property values: Text.
 | CCKSAudioBeamFrameArrived | 75 | An audio beam frame arrived. Property values: AudioBeamFrameReference.
 | CCKSBeamAngleConfidenceChanged | 76 | An audio beam angle confidence property changed. Property values: Confidence.
 | CCKSBodyFrameArrived | 77 | A body frame arrived. Property values: BodyFrameReference.
 | CCKSBodyIndexFrameArrived | 78 | A body index frame arrived. Property values: BodyIndexFrameReference.
 | CCKSColorFrameArrived | 79 | A color frame arrived. Property values: ColorFrameReference.
 | CCKSCoordinateMappingChanged | 80 | A CoordinateMapper value changed. Property values: none.
 | CCKSDepthFrameArrived | 81 | A depth frame arrived. Property values: DepthFrameReference.
 | CCKSFrameCaptured | 82 | The unique relative time at which the frame was captured. Property values: FrameType, FrameStatus, RelativeTime.
 | CCKSInfraredFrameArrived | 83 | An infrared frame arrived. Property values: InfraredFrameReference.
 | CCKSIsAvailableChanged | 84 | The sensor availability state changed. Property values: IsAvailable.
 | CCKSLongExposureInfraredFrameArrived | 85 | A long exposure infrared frame arrived. Property values: LongExposureInfraredFrameReference.
 | CCKSMultiSourceFrameArrived | 86 | A multi source frame arrived. Property values: MultiSourceFrameReference.
 | CCKSRelativeTimeChanged | 87 | An audio beam relative time property changed. Property values: RelativeTime.


ChantCompileObject

The grammar source input format.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCOBuffer | 1 | The grammar input source is copied from a buffer.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCOFile | 2 | The grammar input source is read from a file.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCOResource | 3 | The grammar input source is copied from a resource.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCOStream | 4 | The grammar input source is read from a stream.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCOText | 5 | The grammar input source is a text string.


ChantCompileOption

The grammar processing compile option.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCPAsynchronous | 0 | Return from the compile request after processing is initiated.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCPSynchronous | 1 | Return from the compile request after the compile processing is complete.


ChantCompileResult

The grammar compilation result object format.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCRNone | 0 | No compiled output is returned.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCRBuffer | 1 | Compiled output written to a buffer.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCRFile | 2 | Compiled output written to a file.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CCRStream | 3 | Compiled output written to a stream.


ChantDialog

The type of dialog to display.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking Microsoft SAPI 4 Text-to-Speech | CDAbout | 1 | Displays the SAPI 4 AboutDlg or Dragon About dialog box that identifies the engine and contains the copyright notice.
Nuance Dragon NaturallySpeaking | CDAccuracyCenter | 2 | Displays the Dragon Accuracy Center dialog box.
Nuance Dragon NaturallySpeaking | CDAccuracyAssistant | 3 | Displays the Dragon Accuracy Assistant dilaog box.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CDAddRemoveWord | 4 | Displays the Acapela BABTTS_DLG_LEXICON, SAPI 4 LexiconDlg, SAPI 5 AddRemoveWord, or Dragon Add Word dialog box that allows the user to view and edit pronunciations.
Nuance Dragon NaturallySpeaking | CDAddWordFromList | 5 | Displays the Dragon Add Word from List dialog box.
Nuance Dragon NaturallySpeaking | CDAddWordsFromDocs | 6 | Displays the Dragon Add Words from Documents dialog box.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CDAudioProperties | 7 | Displays the SAPI 5 AudioProperties dialog that allows the user to adjust a custom audio object's properties.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CDAudioVolume | 8 | Displays the SAPI 5 AudioVolume dialog that allows the user to adjust a custom audio object's volume property.
Nuance Dragon NaturallySpeaking | CDCommandBrowser | 9 | Displays the Dragon Command Browser dialog box. Not supported via ShowDialog. Launchfrom Dragon tray icon.
Nuance Dragon NaturallySpeaking | CDDictationShortcuts | 11 | Displays the Dragon Dictation Shortcuts dialog box.
Nuance Dragon NaturallySpeaking | CDEditCommandWizard | 12 | Displays the Dragon Edit Command Wizard dialog box.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CDEngineProperties | 13 | Displays the SAPI 4 GeneralDlg, SAPI 5 EngineProperties, or Dragon NaturallySpeaking Options dialog box that allows the application to adjust the engine's properties.
Nuance Dragon NaturallySpeaking | CDHelpTopics | 14 | Displays the Dragon NaturallySpeaking Help viewer.
Nuance Dragon NaturallySpeaking | CDImportDVC | 15 | Displays the Dragon Import Command Files dialog box.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CDMicTraining | 16 | Displays the SAPI 4 TrainMicDlg, SAPI 5 MicTraining, Dragon Audio Setup wizard, or the IBM Audio Setup wizard that allows the user to train the engine for a specific microphone.
Nuance Dragon NaturallySpeaking | CDMobileTraining | 17 | Runs the Dragon supplemental Mobile Training.
Nuance Dragon NaturallySpeaking | CDNewCommandWizard | 18 | Runs the Dragon MyCommands Editor to create voice commands.
Nuance Dragon NaturallySpeaking | CDNewVocabulary | 19 | Displays the Dragon New Vocabulary dialog box.
Nuance Dragon NaturallySpeaking | CDOpenVocabulary | 20 | Displays the Dragon Manage Vocabularies dialog box.
Nuance Dragon NaturallySpeaking | CDRecognitionHistory | 21 | Displays the Dragon Recognition History dialog box.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CDRecoProfileProperties | 22 | Displays the SAPI 5 RecoProfileProperties dialog that allows the user to adjust recognition profile properties.
Nuance Dragon NaturallySpeaking | CDRemoveDVC | 23 | Displays the Dragon Delete Command Files dialog box.
 | CDSelectAlternate | 24 | Reserved.
Nuance Dragon NaturallySpeaking | CDSpeakerNew | 26 | Starts the Dragon New User wizard or Microsoft SAPI 5.3 UserEnrollment dialog. Use this dialog when you want to create a user and run first-time audio setup and General Training.
Nuance Dragon NaturallySpeaking | CDSpeakerOpen | 27 | Displays the Dragon Manage Users dialog box. Then starts the New User wizard if the selected user is not fully trained. Use this dialog when you want to ensure that you are opening a fully trained user.
Nuance Dragon NaturallySpeaking | CDSpeakerSave | 28 | Displays the Dragon Speaker Save dialog box that saves the speech files for the current user and displays a progess dialog. In Dragon NaturallySpeaking 4.1 and earlier, the user is asked whether or not they want to save their speech files.
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CDTrainPhrases | 29 | Displays the SAPI 4 TrainPhrasesDlg or the Dragon Train Words dialog box that allows your application to train the engine for specific phrases.
Nuance Dragon NaturallySpeaking | CDTranscribe | 30 | Displays the Dragon Transcribe dialog box.
Microsoft SAPI 4 Text-to-Speech | CDTranslate | 31 | Displays the SAPI 4 TranslateDlg that allows the user to control symbols, currencies, abbreviations, and number-translation techniques. It also allows the user to control abbreviation translation, case sensitivity, and how both affect prosody.
Nuance Dragon NaturallySpeaking | CDUserBackup | 32 | Displays the Dragon Backup User dialog box.
Nuance Dragon NaturallySpeaking | CDUserRestore | 34 | Displays the Dragon Restore User dialog box.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CDUserTraining | 35 | Displays the SAPI 4 TrainGeneralDlg, SAPI 5 UserTraining, or Dragon general training that allows the user to provide phonetic training that enhances the engine's ability to recognize specific words.
Nuance Dragon NaturallySpeaking | CDVocabularyEditor | 37 | Displays the Dragon Vocabulary Editor dialog box.
Nuance Dragon NaturallySpeaking | CDVocabularyBuilder | 38 | Displays the Dragon Import Words From List dialog box.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CDShareData | 44 | Displays the SAPI 5 ShareData dialog that defines the string to display a speech recognition (SR) engine's UI that can offer the user the opportunity to share SR engine-related data with the engine vendor.
Nuance Dragon NaturallySpeaking | CDPerformanceAssistant | 45 | Displays the Dragon Help panel.
Nuance Dragon NaturallySpeaking | CDManageUsers | 46 | Displays the Dragon Speaker management dialog.
Nuance Dragon NaturallySpeaking | CDRoamingUsersOptions | 47 | Displays the Dragon dialog for managing roaming users.


ChantEngineAPI

The type of recognizer or synthesizer application program interface (API).

APIs | Constant | Value | Description
Nuance Dragon NaturallySpeaking | CEDGN4SR | 1 | Dragon Naturally Speaking recognition interface.
Microsoft SAPI 4 Speech Recognition | CESAPI4SR | 2 | SAPI 4 DirectSpeechRecognition interface.
Microsoft SAPI 4 Speech Recognition | CESAPI4SRShared | 3 | SAPI 4 DirectSpeechRecognition interface shared object. This allows multiple applications to share the same recognizer.
Microsoft SAPI 4 Text-to-Speech | CESAPI4TTS | 4 | SAPI 4 DirectTextToSpeech interface.
Microsoft SAPI 5 Speech Recognition | CESAPI5SR | 5 | SAPI 5 in proc recognizer.
Microsoft SAPI 5 Speech Recognition | CESAPI5SRShared | 6 | SAPI 5 shared recognizer. This allows multiple applications to share the same engine.
Microsoft SAPI 5 Text-to-Speech | CESAPI5TTS | 7 | SAPI 5 voice.
Microsoft SAPI 4 Speech Recognition | CESAPIVoiceCommand | 8 | Microsoft SAPI 4 Voice Command site interface.
Microsoft SAPI 4 Text-to-Speech | CESAPIVoiceText | 9 | SAPI 4 Voice Text site interface.
Nuance VoCon 3200 | CEVoCon2 | 11 | Nuance VoCon 3200 V2 API recognition interface.
Cepstral SWIFT | CESWIFTTTS | 12 | Cepstral Swift API text-to-speech interface.
Nuance RealSpeak Solo | CERSSOLOTTS | 13 | Nuance RealSpeak Solo API text-to-speech interface.
Acapela BabTTS | CEBABTTS | 14 | Acapela Multimedia API text-to-speech interface.
Nuance Vocalizer for Mobile | CEVMOBILE | 15 | Nuance Vocalizer for Mobile API text-to-speech interface.
Nuance VoCon 3200 | CEVoCon3 | 16 | Nuance VoCon 3200 V3 API recognition interface.
Nuance Vocalizer for Automotive | CEVAUTO | 17 | Nuance Vocalizer for Automotive API text-to-speech interface.
Nuance Vocalizer for Network | CEVNETWORK | 18 | Nuance Vocalizer for Network text-to-speech interface.
Nuance VoCon 3200 | CEVoCon4 | 19 | Nuance VoCon 3200 V4 API recognition interface.
Acapela NSCAPI | CENSCTTS | 20 | Acapela NSCAPI text-to-speech interface.
Microsoft Speech Platform Speech Recognition | CEMSPSR | 22 | Microsoft Speech Platform recognizer.
Microsoft Speech Platform Text-to-Speech | CEMSPTTS | 23 | Microsoft Speech Platform voice.
Nuance Vocalizer Expressive | CEVExpressive | 24 | Nuance Vocalizer Expressive API text-to-speech interface.
CereProc CereVoice | CECereVoice | 25 | CereProc CereVoice API text-to-speech interface.
Nuance Vocalizer Expressive 2 | CEVExpressive2 | 26 | Nuance Vocalizer Expressive API text-to-speech interface.
Microsoft Windows Media Speech Recognition | CEWindowsMediaSR | 27 | Microsoft Windows Media recognizer.
Microsoft Windows Media Text-to-Speech | CEWindowsMediaTTS | 28 | Microsoft Windows Media voice.

Copyright © 1996-2013 Chant Inc. All rights reserved.


ChantEngineInterference

The type of interference detected by the recognizer.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEINone | 0 | No interference.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEINoise | 1 | The background noise is too high. Some speech engines may not support this flag.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEINoSignal | 2 | The engine cannot detect a signal. This may mean that the microphone has been turned off or unplugged.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEITooLoud | 3 | The end user is speaking too loudly and recognition results may be degraded.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEITooQuiet | 4 | The end user is speaking too quietly and recognition results may be degraded.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEITooFast | 5 | The words are spoken too quickly for discrete recognitions.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEIAudioDataStop | 6 | The engine has stopped receiving audio data from the audio source.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEITooSlow | 7 | The words are spoken too slowly and indicates excessive time between words
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEIAudioDataStart | 8 | The recognizer has resumed receiving audio data from the audio source.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEIAudioStart | 9 | The recognizer has opened the audio input device.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CEIAudioStop | 10 | The recognizer has stopped the audio input device.
Nuance VoCon 3200 | CEIPoorMic | 11 | The automatic gain control (AGC) cannot adjust the gain to get the input signal in the proper range. This could mean that the microphone or the audio hardware is of poor quality.


ChantEngineTraining

The type of speaker training the recognizer recommends.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CETNone | 0 | No training suggested.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CETGeneral | 1 | Indicates general training suggested.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CETGrammar | 2 | Indicates training for the current grammar suggested.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CETMicrophone | 3 | Indicates training for the current microphone suggested.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CETUser | 4 | Indicates user training suggested.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CETAddRemoveWord | 5 | Indicates lexicon training suggested.


ChantEnumeration

The type of Chant enumeration.

Constant | Value | Description
CENChantAudioFormat | 1 | ChantAudioFormat
CENChantCallback | 2 | ChantCallback
CENChantDialog | 3 | ChantDialog
CENChantEngineAPI | 4 | ChantEngineAPI
CENChantEngineInterference | 5 | ChantEngineInterference
CENChantEngineTraining | 6 | ChantEngineTraining
CENChantGrammarElement | 7 | ChantGrammarElement
CENChantNumberProperty | 8 | ChantNumberProperty
CENChantPlaybackObject | 9 | ChantPlaybackObject
CENChantPlaybackResult | 10 | ChantPlaybackResult
CENChantPlaybackStyle | 11 | ChantPlaybackStyle
CENChantRecordingObject | 12 | ChantRecordingObject
CENChantRecordingResult | 13 | ChantRecordingResult
CENChantRecordingStyle | 14 | ChantRecordingStyle
CENChantResourceFunction | 15 | ChantResourceFunction
CENChantResourceNumberProperty | 16 | ChantResourceNumberProperty
CENChantResourceStringProperty | 17 | ChantResourceStringProperty
CENChantSpeechResource | 18 | ChantSpeechResource
CENChantStringProperty | 19 | ChantStringProperty
CENChantAudioReason | 20 | ChantAudioReason
CENChantBookmarkOption | 21 | ChantBookmarkOption
CENChantOSVersion | 22 | ChantOSVersion
CENChantPartOfSpeech | 23 | ChantPartOfSpeech
CENChantSPVFeature | 24 | ChantSPVFeature
CENChantSRFeature | 25 | ChantSRFeature
CENChantSRGram | 26 | ChantSRGram
CENChantSRInterface | 27 | ChantSRInterface
CENChantSRSequencing | 28 | ChantSRSequencing
CENChantTTSAge | 29 | ChantTTSAge
CENChantTTSFeature | 30 | ChantTTSFeature
CENChantTTSGender | 31 | ChantTTSGender
CENChantTTSHint | 32 | ChantTTSHint
CENChantTTSInterface | 33 | ChantTTSInterface
CENChantVisemeType | 34 | ChantVisemeType
CENChantWordPronounceable | 35 | ChantWordPronounceable


ChantGrammarSyntax

The grammar source syntax that identifies the type of grammar.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CGSAll | 0 | All grammar syntax. Syntax independent.
Microsoft SAPI 4 Speech Recognition | CGSSAPI4CFG | 2 | SAPI 4 Grammar Text File
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CGSSAPI5XML | 4 | Microsoft SAPI 5 XML grammar
Nuance VoCon 3200 | CGSVoConBNF | 8 | VoCon 3200 BNF+ V1.0
Nuance VoCon 3200 | CGSW3CSRGABNF | 16 | W3C SRGS ABNF
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CGSW3CSRGXML | 32 | W3C SRGS XML
Nuance VoCon 3200 | CGSVoConBNF1 | 64 | VoCon 3200 BNF+ V1.1
Nuance VoCon 3200 | CGSVoConBNF2 | 128 | VoCon 3200 BNF+ V2.0
Nuance VoCon 3200 | CGSVoConJSGF | 256 | VoCon 3200 Java Speech Grammar Format (JSGF)


ChantNumberProperty

A speech engine or class object numeric property that may be obtained via GetNumberProperty method and set via the SetNumberProperty method.

APIs | Constant | Value | Description
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking | CNPAdaptationOn | 1 | SAPI 5 recognizer property that indicates whether the recognizer should adapt the acoustic model for the speaker (i.e., the recognizer will constantly update the speaker profile over time) or Dragon NaturallySpeaking property dgnregGlobalCM to load the Dragon NaturallySpeaking global compatibility module, enabling global commands, tracking, and global dictation support (Dragon NaturalText). Use 0 for off and 1 for on. Default value for SAPI 5 is 1. Default value for Dragon NaturallySpeaking is 0.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPAlertBoundary | 2 | Synthesizer property. Specifies which event should be used as the insertion point for alert priority voice interruptions and pause requests. Appropriate event values to use include: 3 (voice change), 4 (TTS bookmark) 5 (word boundary), 6 (phoneme), 7 (sentence boundary), and 8 (viseme).
 | CNPAudioFormat | 3 | Specifies common Windows audio formats ranging from uncompressed PCM formats to highly compressed formats. Some synthesizers and recognizer may not support all audio formats. See the ChantAudioFormat enumeration constants for valid values.
Nuance Dragon NaturallySpeaking | CNPAudioSetupComplete | 4 | Indicates that the Dragon audio setup has been run for the user.
Microsoft SAPI 4 Speech Recognition | CNPAutoGainEnable | 5 | Recognizer property. Specifies the amount to which a recognizer should adjust the gain (i.e., input audio signal). A value of 0 disables automatic gain. A value of 100 causes the speech recognition engine to always adjust the gain. Values between 0 and 100 moderate the gain on a linear scale. If the value is out of range for the engine, an error is returned and the gain is not changed.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CNPAwakeState | 6 | Recognizer property. Specifies whether recognition is enabled. In SAPI4, enabling commands (e.g., "wake up") can be associated with changing the AwakeState. Valid values include: 0 (sleep) and 1 (awake). Dragon NaturallySpeaking specifies the microphone state. Valid values: 0 (Microphone disabled), 1 (Microphone off), 2 (Microphone on), 3 (Microphone sleeping), 4 (Microphone paused), 5 (Microphone resumed). Dragon NaturallySpeaking, SAPI5, VoCon2, VoCon3 read only microphone state property. SAPI4 read and write listening state property for voice commands.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPComplexResponseSpeed | 7 | Recognizer property. Indicates the amount of silence that the recognizer uses for before completing a recognition. SAPI 5 uses this value when the recognition is ambiguous. See CNPResponseSpeed property. Valid values are 0 to 10,000 in milliseconds. The default value is 500 ms. The value must be greater than the CNPResponseSpeed value.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CNPDeviceID | 8 | Specifies the device identifier of the Windows audio source for recognition and audio destination for synthesis. Default value is WAVE_MAPPER (-1).
Microsoft SAPI 4 Speech Recognition | CNPEcho | 9 | Recognizer property. Specifies the state of echo canceling on the inbound audio stream. Echo canceling causes the recognizer to ignore low-level audio signals so that it doesn't attempt to recognize the residual signal of the echo cancellation. Valid values include: 0 (off) and 1 (on).
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking | CNPEnabled | 10 | Recognizer property that enables or disables speech recognition for a Voice Command site, SAPI 4 Voice Text site property that enables or disables speech synthesis for a Voice Text site, or Dragon NaturallySpeaking DragonBar is visible. Valid values include: 0 (disabled) and 1 (enabled).
Microsoft SAPI 4 Speech Recognition | CNPEnergyFloor | 11 | Recognizer property. Specifies the value of the signal-to-noise ratio (SNR) for a particular environment. A low floor value means recognition engine is more sensitive to background noise. A high floor value means recognition is less sentitive to back ground noise. The value of the noise floor is interpreted in negative decibels. For example, a value of 30 indicates an energy floor of -30 dB. SAPI 4 specification value range is from 0 to 65356.
 | CNPEngineAPI | 12 | Property that specifies the speech engine API. See ChantEngineAPI enumerated constants for valid values.
Nuance Dragon NaturallySpeaking | CNPEngineRunning | 13 | Indicates whether the speech engine is running.
Nuance Dragon NaturallySpeaking | CNPEngineUI | 14 | Indicates whether this application is displaying the Dragon NaturallySpeaking tray microphone icon and result box. Values may be combined. Valid values: 0 (all hidden), 1 (tray icon visible), 2 (result box visible).
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CNPHighConfidenceThreshold | 15 | Recognizer property. Specifies the highest level of a 3-level confidence score assigned by the recognizer. If the recognizer does not set this value, SAPI 5 attempts to generate it. Valid range of values is 0 to 100. The default value is 80. For VoCon 3200 V4.2+, specifies the minimum amount of confidence level that a spoken utterance is in grammar. If confidence level is equal or above this parameter value, it means that the spoken utterance is in grammar (even through it is the same as CNPLowConfidenceThreshold value). If confidence level is below this parameter value, the spoken utterance can be probably in grammar or out of grammar. The value range is 0 to 10000 with the default value 5000.
Nuance Dragon NaturallySpeaking | CNPLanguageID | 16 | Indicates that the Dragon NaturallySpeaking language.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPLineID | 17 | The SAPI 5 line identifier associated with the multimedia device. Mixer lines are not supported for output devices.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CNPLowConfidenceThreshold | 18 | Recognizer property. Specifies the lowest level of a 3-level confidence score assigned by the recognizer. If the recognizer does not set this value, SAPI 5 attempts to generate it. Valid range of values is 0 to 100. The default value is 20. For VoCon 3200 V4.2+, specifies the maximum amount of confidence level that a spoken utterance is out of grammar. If confidence level is equal or below this parameter value, it means that the spoken utterance is out of grammar. If confidence level is above value of this parameter, the spoken utterance can be probably in grammar. The value range is 0 to 10000 with the default value 5000.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CNPMaxAlternates | 19 | Indicates that alternate recognized phrases should be returned as part of the recognition results. VoCon 3200 generates 3 by default.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPNormalConfidenceThreshold | 20 | Recognizer property. Specifies the middle level of a 3-level confidence score assigned by the recognizer. If the recognizer does not set this value, SAPI 5 attempts to generate it. Valid range of values is 0 to 100. The default value is 50.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Nuance RealSpeak Solo | CNPPitch | 21 | Synthesizer property. Specifies the current baseline average pitch for a text-to-speech mode. SAPI 4 specification value range is from 0 to 65356.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CNPPriority | 22 | Synthesizer property. Specifies the priority for the voice. Valid values include: 0 (normal), 1 (alter), and 2 (over - the voice should mix its audio with all other audio). The default priority value is 0 (normal).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 4 Text-to-Speech | CNPRealTime | 23 | Recognizer and synthesizer property. Specifies the real-time setting for the recognizer or synthesizer. The real-time setting is the percentage of processor time used during processing. For example, if the value is 10, the engine uses one minute of processor time. If the value is 50, the engine takes 30 seconds. The processor time used is an estimate so the property value should be considered a relative value setting. The value can be set to higher than 100 for non-real-time audio processing (i.e., file or stream audio).
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CNPResourceUsage | 24 | Recognizer property. Specifies the percent of CPU consumption. Valid SAPI 5 values range from 0 to 100. The default SAPI 5 value is 50. For IBM SMAPI recognizers the value is either 0 for normal CPU mode or 1 for reduced CPU mode. The default IBM SMAPI value is 0. For VoCon 3200, specifies the accuracy value used to determine CPU and memory consumption. The value range is 100 to 50000 with the default value 10000.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPResponseSpeed | 25 | Recognizer property. Indicates amount of silence the recognizer looks for before completing a recognition. SAPI 5 uses this value for non-ambiguous recognitions. See CNPComplexResponseSpeed. Valid SAPI 5 values range from 0 to 10,000 in milliseconds. The default SAPI 5 value is 500 ms. Valid IBM SMAPI values include: 1 for balanced level, 2 for accuracy level, 3 to allow dynamic level adjustment, and 4 for speed level. The default IBM SMAPI value is 1.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CNPRetainAudio | 26 | Recognizer property. Indicates whether the recognizers should retain audio for recognition result playback using the PlaybackWords method.
Nuance Dragon NaturallySpeaking | CNPSpeakerCalibrated | 27 | Indicates if the Dragon speaker calibration is complete for the user.
Nuance Dragon NaturallySpeaking | CNPSpeakerModified | 28 | Indicates whether the current Dragon speech files have been modified and need saving.
Nuance Dragon NaturallySpeaking | CNPSpeakerTrained | 29 | Indicates whether the current Dragon speaker has completed General Training and is ready to use dictation.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CNPSpeed | 30 | Synthesizer property. Specifies the baseline average speaking speed for the synthesized speech. Valid Acapela values range from 30 to 300. Default Cepstral value is 170 words per minute (WPM). Valid SAPI 4 specification values range from 0 to 4294967295. Valid SAPI 5 values range from -10 to 10. Valid Nuance RealSpeak Solo values range from 1 to 150. Valid Nuance Vocalizers values range from 1 to 150.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CNPSpeedNorm | 31 | Synthesizer property. Specifies the baseline average speaking speed for the synthesized speech normalized by the ChantTTS class object. For non-SAPI 5 synthesizers, the ChantTTS class object uses the default speaking speed as the baseline (0). Valid values range from -10 to 10.
Microsoft SAPI 4 Speech Recognition | CNPThreshold | 32 | Recognizer property. Specifies the minimum confidence level for the recognizer before returning a match as recognized speech. Valid SAPI 4 values range from 0 to 100. Valid IBM SMAPI values range from 0 to 10.
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CNPTimeOutComplete | 33 | Recognizer property. Specifies the amount of silence the recognizer needs between utterances before it accepts or rejects the recognition as complete. Valid SAPI 4 specification values range from 0 to 4294967295. IBM SMAPI default value is 25. Nuance VoCon V2 (ASRFX_PARAM_TS) values range 100 to 2000 with default value 700. Nuance VoCon V3 (LH_FX_PARAM_TSILENCE) values range 100 to 10000 with default value 400.
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CNPTimeOutIncomplete | 34 | Recognizer property. Specifies the amount of silence the recognizer needs between utterances before it accepts or rejects the recognition as incomplete. Valid SAPI 4 specification values range from 0 to 4294967295. IBM SMAPI default value is 250. Nuance VoCon (ASRREC_CTXPARAM_TS) values range 100 to 2000 with default value 600. Nuance VoCon V3 (LH_CTX_PARAM_TSILENCE) values range 100 to 10000 with default value 800.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CNPVolume | 35 | Synthesizer property. Specifies the baseline speaking volume. Valid Acapela values range from 0 to 150. Valid Cepstral values range from 0 to 100. Valid SAPI 4 values range from 0 to 4294967295. Valid SAPI 5 values range from 0 to 100. Valid Nuance RealSpeak Solo values range from 0 to 100. Valid Nuance Vocalizers values range from 0 to 100.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CNPVolumeNorm | 36 | Synthesizer property. Specifies the baseline speaking volume normalized by the ChantTTS class object. For SAPI 4 synthesizers, the ChantTTS class object uses the default speaking volume as the baseline (50). Valid values range from 0 to 100.
Cepstral SWIFT | CNPAudioChannels | 37 | Synthesizer property. Number of audio channels: 1 (mono) or 2 (stereo).
Cepstral SWIFT | CNPAudioPan | 38 | Synthesizer property. Left-to-Right panning: -1 (left), 0 (center), 1 (right). This must be used with audio channels=2.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CNPPorts | 39 | Synthesizer property. Specifies the audio out ports.
Nuance RealSpeak Solo | CNPSilence | 40 | Synthesizer property. Specifies milliseconds of dead air (silence) to pad at the end of speech.
Acapela BabTTS | CNPMaxLexicons | 41 | Synthesizer property. Returns maximum number of dictionaries.
 | CNPNativeAPI | 42 | Enumerate a recognizer or voice via native API if available and not as a SAPI recognizer or voice.
Nuance VoCon 3200 | CNPEnergyLevel | 43 | Recognizer property. Returns the audio signal energy level.
Nuance VoCon 3200 | CNPMaxAudioBuffers | 44 | Recognizer property. Sets the number of audio buffers use for 2-pass recognition. Default value 10.
Nuance VoCon 3200 | CNPMaxAudioFrames | 45 | Recognizer property. Sets the number of audio frames. Default value 10.
Nuance VoCon 3200 | CNPMaxIDs | 46 | Recognizer property. Sets the number of field IDs for 2-pass recognition. Default value is 5.
Nuance VoCon 3200 | CNPMaxSentenceLength | 47 | Recognizer property. Maximum number of words allowed in the longest sentence.
Acapela NSCAPI | CNPAddressFamily | 48 | Synthesizer property. Constant value indicating the type of address family: NSC_AF_DEFAULT (0), NSC_AF_LOCAL (1), NSC_AF_INET (2), NSC_AF_DIRECT (3).
Acapela NSCAPI | CNPCmdPort | 49 | Synthesizer property. Sets the target port number for socket connection (command) when CNPAddressFamily is set for NSC_AF_INET. Otherwise value should be set to 0.
Acapela NSCAPI | CNPDataPort | 50 | Synthesizer property. Sets the target port number for socket connection (data) when CNPAddressFamily is set for NSC_AF_INET. Otherwise value should be set to 0.
Microsoft Windows Media Speech Recognition | CNPUIOptionsReadBackEnabled | 51 | Recognizer property. Specifies whether the recognized text is spoken back to the user on the Heard you say screen.
Microsoft Windows Media Speech Recognition | CNPUIOptionsShowConfirmation | 52 | Recognizer property. Specifies whether a Heard you say screen is shown to the user after speech recognition is completed.
Microsoft Windows Media Speech Recognition | CNPTimeoutsBabbleTimeout | 53 | Recognizer property. Specifies the length of time that a SpeechRecognizer continues to listen while receiving unrecognizable sounds (babble) before it assumes speech input has ended and finalizes the recognition operation.
Microsoft Windows Media Speech Recognition | CNPTimeoutsEndSilenceTimeout | 54 | Recognizer property. Specifies the length of time that a SpeechRecognizer continues to listen while receiving unrecognizable sounds (babble) before it assumes speech input has ended and finalizes the recognition operation.
Microsoft Windows Media Speech Recognition | CNPTimeoutsInitialSilenceTimeout | 55 | Recognizer property. Specifies the length of time, before any recognition results have been generated, that a SpeechRecognizer detects silence and assumes speech input has ended.
Microsoft Windows Media Speech Recognition | CNPContinuousRecognitionSessionAutoStopSilenceTimeout | 56 | Recognizer property. Specifies the time threshold at which the continuous recognition session ends due to lack of audio input.


ChantPartOfSpeech

Indicates the type of word.

API | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CPOSAbbreviation | 1 | Shortened form of a word -(e.g, hr.)
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CPOSAdjective | 2 | Word that modifies a noun (e.g., green).
Microsoft SAPI 4 Speech Recognition Nuance VoCon 3200 | CPOSAdverb | 3 | Word that modifies a verb, an adjective, or another adverb (e.g., quickly).
Microsoft SAPI 4 Speech Recognition | CPOSCardinal | 4 | Number used in simple counting (e.g., one, two, three).
Microsoft SAPI 4 Speech Recognition | CPOSConjunction | 5 | Word used to join sentences, clauses, or phrases (e.g., and).
Microsoft SAPI 4 Speech Recognition | CPOSContraction | 6 | Shortened form of one or two words with the omitted letter or letters indicated by an apostrophe (e.g., can't).
Microsoft SAPI 4 Speech Recognition | CPOSDeterminer | 7 | Limiting noun modifier that precedes an adjective modifying the same noun (e.g., her)
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CPOSFunction | 8 | Indicates that the part of speech is a function.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CPOSIgnore | 9 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CPOSInterjection | 10 | Word or phrase that expresses emotion (e.g., indeed, heavens).
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CPOSModifier | 11 | Indicates that the part of speech already present in the lexicon should not be overridden.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CPOSNoun | 12 | Word that names a person, place, thing (e.g., astronaut, New York, printer, history).
Microsoft SAPI 4 Speech Recognition | CPOSOrdinal | 13 | Number used to show order (e.g., first, second, third).
Nuance VoCon 3200 | CPOSPastParticiple | 14 | Verb form that can be used in compound tenses or voices, or as a modifier (e.g., talked).
Microsoft SAPI 4 Speech Recognition | CPOSPreposition | 15 | Word that precedes a noun or pronoun to form an adjectival or adverbial phrase (e.g., "aboard" in "aboard the ship").
Microsoft SAPI 4 Speech Recognition | CPOSPronoun | 16 | Word that substitutes for a noun (e.g, it).
Microsoft SAPI 4 Speech Recognition | CPOSProperNoun | 17 | Noun that names a specific person or place (e.g., Katherine, Cleveland).
Microsoft SAPI 4 Speech Recognition | CPOSPunctuation | 18 | Marks that clarify the meaning and structure of writing (e.g., .).
Microsoft SAPI 4 Speech Recognition | CPOSQuantifier | 19 | Limiting noun modifier that expresses quantity and precedes an adjective modifying the same noun (e.g., "four" in "the four ripe strawberries").
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CPOSUnknown | 20 | Part of speech is unknown.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CPOSVerb | 21 | Word that expresses an act or a state of being (e.g., eat, be).


ChantPlaybackObject

The text source for synthesis and playback or the audio data source for playback.

APIs | Constant | Value | Description
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPOBuffer | 1 | The playback input source is copied from a buffer.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPOFile | 2 | The playback input source is read from a file.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPOText | 3 | The playback input source is a text string.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPOStream | 4 | The playback input source is read from a stream.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPOURL | 5 | The playback input source is read from a URL.


ChantPlaybackResult

The type of playback result to generate from synthesizing text-to-speech.

APIs | Constant | Value | Description
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPRBuffer | 1 | Synthesized audio output is written to buffer.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPRFile | 2 | Synthesized audio output is written to a file. Audio data is appended to the end of the file if it exists, otherwise the file is created.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPRFileNew | 3 | Synthesized audio output is written to a file. The file is always created. Audio header written to file.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPRMultiMedia | 4 | Synthesized audio ouput is directed to the default multimedia device (e.g., speakers).
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPRStream | 5 | Synthesized audio output is written to a stream.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPRBufferNew | 6 | Synthesized audio output is written to buffer. Buffer includes audio header.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPRStreamNew | 7 | Synthesized audio output is written to a stream. Audio header written to stream.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPRFileNative | 8 | Synthesized audio output is written directly to a file by the API. The file is always created. Audio header written to file. Most efficient for SAPI 5 voices.


ChantPlaybackStyle

The processing characteristics for synthesing text-to-speech and audio playback.

APIs | Constant | Value | Description
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSAsynchronous | 0 | Return from the playback request after playback is initiated.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSSynchronous | 1 | Return from the playback request after playback is complete.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSInterrupt | 2 | Interrupt current playback, if in process, by resetting and flushing audio, and initiate playback of this playback request.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSInterject | 4 | Interrupt current playback, if in process by pausing it, and initiate playback of this playback request. Resume playback of the interrupted playback once this request is complete.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSNoInterrupt | 8 | Block other playback requests and recognized speech events from interrupting this request.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSIsXML | 16 | The text is parsed for XML markup.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPSIsNotXML | 32 | The text is not be parsed for XML markup.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPSPersistXML | 64 | Global state changes in the XML markup will persist across playback requests.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CPSNLPSpeakPunc | 128 | Punctuation characters should be spoken.
Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSAllowRepeat | 256 | Allow repetitive playbacks.
Nuance RealSpeak Solo | CPSSpellOut | 512 | Spell out each letter of the words instead of pronouncing them.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CPSSpeakPhonemes | 1024 | Treat input as phoneme strings to be spoken.
 | CPSIsSSML | 2048 | The text is parsed for SSML markup.
Nuance RealSpeak Solo | CPSIsHTML | 4096 | The text is parsed for HTML.
Nuance RealSpeak Solo | CPSLineOut | 8192 | The text is read line-by-line.
 | CPSLoop | 16384 | Reserved.
Cepstral SWIFT | CPSNoBlocking | 32768 | If port's utterance queue is full return with error rather than waiting for room to become available.
Nuance RealSpeak Solo | CPSWordOut | 65536 | The text is read word-by-word


Chant Profile Training

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantProfileTraining

The speaker profile training options available for a recognizer.

Constant | Value | Description
CPTNone | 0 | No training avaialable.
CPTEngineDialog | 1 | Speech engine dialog.
CPTDictation | 2 | Custom training with dictation recognition.
CPTGrammar | 4 | Custom training with grammar recognition.


Chant Recognition Format

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantRecognitionFormat

The recognition result format.

Constant | Value | Description
CRFEmma | 1 | W3C EMMA
CRFJSON | 2 | JSON
CRFText | 3 | Unformatted text
CRFXML | 4 | XML


ChantRecordingObject

The audio source object for recognition.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CROBuffer | 1 | The recording audio source is copied from a buffer.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CROFile | 2 | The recording audio source is read from a file.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CROMultiMedia | 3 | The recording audio source is from the system real-time multimedia device (e.g., a microphone).
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CROStream | 4 | The recording audio source is read from a stream.


ChantRecordingResult

Recognition result types for text or audio data.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CRRBuffer | 1 | Recorded audio or recognized speech as text is written to buffer. First buffer includes audio header.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CRRFile | 2 | Recorded audio or recognized speech as text is written to a file. Recorded audio or recognized speech as text is appended to the end of the file if it exists, otherwise the file is created.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CRRFileNew | 3 | Recorded audio or recognized speech as text is written to a file. The file is always created.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CRRText | 4 | Recognized speech is returned as a text string.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CRRStream | 5 | Synthesized audio output is written to a stream. Audio header written to stream first time.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CRRBufferNew | 6 | Recorded audio or recognized speech as text is written to buffer. Every buffer includes audio header.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CRRBufferUtterance | 7 | Recorded audio or recognized speech as text is written to buffer. No audio header included.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CRRFileUtterance | 8 | Recorded audio or recognized speech as text is written to a file. No audio header included.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CRRStreamNew | 9 | Recorded audio or recognized speech as text is written to a stream. Audio header written to stream for each recognition result.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CRRStreamUtterance | 10 | Recorded audio or recognized speech as text is written to a stream. No audio header included.


ChantRecordingStyle

The processing characteristics for recognizing speech.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CRSAsynchronous | 0 | Return from the record request after recording object processing is initiated.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 | CRSSynchronous | 1 | Return from the record request after the recording object processing is complete.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CRSSpeakRecognizedResults | 2 | Synthesize recognized speech. Synthesis will begin before HasPhrase event is fired.


ChantSensorStream

The type of data streams an application is interested in receiving.

Constant | Value | Description
CSSNone | 0 | No data streams.
CSSAll | 1 | All data streams.
CSSAudio | 2 | Audio data stream.
CSSColorImage | 4 | Color image data stream.
CSSDepthImage | 8 | Depth image data stream.
CSSDepthAndPlayerIndex | 16 | Depth image data stream with player index data.
CSSSkeleton | 32 | Skeleton data stream.


ChantSPVFeature

Information about the features of the SAPI 5 phonemes and visemes.

APIs | Constant | Value | Description
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVFNone | 0 | Indicates that a viseme or phoneme has no stress or emphasis.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVFStressed | 1 | Indicates that the phoneme is stressed relative to the other phonemes within a word.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CSPVFEmphasis | 2 | Indicates that the word (of which the phoneme is a part) is emphasized relative to the other words within a sentence.


ChantSRFeature

The features supported by a SAPI 4 recognizer.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition | CSRFIndepSpeaker | 1 | The engine is speaker-independent and works well without training.
Microsoft SAPI 4 Speech Recognition | CSRFIndepMicrophone | 2 | The engine is microphone-independent (indifferent to background noise and microphone) and does not require retraining if the microphone changes.
Microsoft SAPI 4 Speech Recognition | CSRFTrainWord | 4 | The speaker can train the engine on individual words.
Microsoft SAPI 4 Speech Recognition | CSRFTrainPhonetic | 8 | The speaker can train the engine on a preselected set of words and thereby train all of the phonemes used for recognition. This is done in general training.
Microsoft SAPI 4 Speech Recognition | CSRFWildCard | 16 | The engine supports wildcards in context-free grammars.
Microsoft SAPI 4 Speech Recognition | CSRFAnyWord | 32 | The engine can attempt to recognize any word.
Microsoft SAPI 4 Speech Recognition | CSRFPCOptimized | 64 | The voice is optimized to work over the PC, which provides better sound quality.
Microsoft SAPI 4 Speech Recognition | CSRFPhoneOptimized | 128 | The voice is designed to work over the telephone and uses an 8-kHz sampling rate.
Microsoft SAPI 4 Speech Recognition | CSRFGramList | 256 | The grammars support recognition lists.
Microsoft SAPI 4 Speech Recognition | CSRFGramLink | 512 | The engine supports automatic links between grammars.
Microsoft SAPI 4 Speech Recognition | CSRFMultilingual | 1024 | The engine can recognize speech in several languages at a time. This is necessary for systems that run two or more applications written for different languages.
Microsoft SAPI 4 Speech Recognition | CSRFGramRecursive | 2048 | The engine accepts recursive, context-free grammars; otherwise, it cannot have recursive grammars.
Microsoft SAPI 4 Speech Recognition | CSRFIPAUnicode | 4096 | The engine supports the IPA in Unicode.
Microsoft SAPI 4 Speech Recognition | CSRFSingleInstance | 8192 | The engine is single instance, and so only one mode object can exist at one time. Text-to-speech engines that are .EXE servers use this.
Microsoft SAPI 4 Speech Recognition | CSRFThreadSafe | 16384 | The engine is completely thread safe, and can be called from any thread.
Microsoft SAPI 4 Speech Recognition | CSRFFixedAudio | 32768 | The audio source for the device is fixed, so an audio source object is not needed for Select. If an audio source is passed in, it will be ignored. Hardware devices, such as an external recognizer box, will support this.
Microsoft SAPI 4 Speech Recognition | CSRFIPAWord | 65536 | Words can contain IPA pronunciations.
Microsoft SAPI 4 Speech Recognition | CSRFSAPI4 | 131072 | Denotes that the engine is SAPI 4 compliant. SAPI 4 compliant means that it supports all of the required interfaces defined in this document and can pass the SRFUNC test included in the SAPI SDK.


ChantSRGram

The vocabulary types supported by the recognizer.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | CSRGCFG | 1 | Context-free grammar
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | CSRGDictation | 2 | Dictation
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | CSRGLimitedDomain | 4 | Limited-domain (command)


ChantSRInterface

The COM interfaces supported by a SAPI 4 recognizer.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition | CCNone | 0 | No callback event.
Microsoft SAPI 4 Speech Recognition | CSRIILexPronounce | 1 | The ILexPronounce interface
Microsoft SAPI 4 Speech Recognition | CSRIISRAttributes | 2 | The ISRAttributes interface
Microsoft SAPI 4 Speech Recognition | CSRIISRCentral | 4 | The ISRCentral interface
Microsoft SAPI 4 Speech Recognition | CSRIISRDialogs | 8 | The ISRDialogs interface
Microsoft SAPI 4 Speech Recognition | CSRIISRGramCommon | 16 | The ISRGramCommon interface
Microsoft SAPI 4 Speech Recognition | CSRIISRGramCFG | 32 | The ISRGramCFG interface
Microsoft SAPI 4 Speech Recognition | CSRIISRGramDictation | 64 | The ISRGramDictation interface
Microsoft SAPI 4 Speech Recognition | CSRIISRGramInserionGUI | 128 | The ISRGramInsertionGUI interface
Microsoft SAPI 4 Speech Recognition | CSRIISResBasic | 256 | The ISRResBasic interface
Microsoft SAPI 4 Speech Recognition | CSRIISResMerge | 512 | The ISRResMerge interface
Microsoft SAPI 4 Speech Recognition | CSRIISResAudio | 1024 | The ISRResAudio interface
Microsoft SAPI 4 Speech Recognition | CSRIISResCorrection | 2048 | The ISRResCorrection interface
Microsoft SAPI 4 Speech Recognition | CSRIISResEval | 4096 | The ISRResEval interface
Microsoft SAPI 4 Speech Recognition | CSRIISResGraph | 8192 | The ISRResGraph interface
Microsoft SAPI 4 Speech Recognition | CSRIISResMemory | 16384 | The ISRResMemory interface
Microsoft SAPI 4 Speech Recognition | CSRIISResModifyGUI | 32768 | The ISRResModifyGUI interface
Microsoft SAPI 4 Speech Recognition | CSRIISResSpeaker | 65536 | The ISRResSpeaker interface
Microsoft SAPI 4 Speech Recognition | CSRIISRSpeaker | 131072 | The ISRSpeaker interface
Microsoft SAPI 4 Speech Recognition | CSRIISResScores | 262144 | The ISRResScores interface


ChantSRSequencing

The recognition schemes supported by the recognizer.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition | CSRSDiscrete | 0 | Recognizes discrete utterances. Every word must be isolated by a pause before and after the word for the engine to recognize it.
Microsoft SAPI 4 Speech Recognition | CSRSContinuous | 1 | Performs continuous recognition. Given a continuous utterance with no pauses between words, the engine can recognize the words that were spoken.
Microsoft SAPI 4 Speech Recognition | CSRSWordSpot | 2 | Performs word spotting. A series of words may be spoken in a continuous utterance, but the engine recognizes only selected words or phrases.
Microsoft SAPI 4 Speech Recognition | CSRSContCFGDiscDict | 3 | Performs continuous recognition for context-free grammars. It also supports discrete dictation.


ChantStringProperty

A speech engine or class object string property that may be obtained via GetStringProperty method and set via the SetStringProperty method.

APIs | Constant | Value | Description
Microsoft SAPI 4 Speech Recognition Nuance Dragon NaturallySpeaking Microsoft SAPI 4 Text-to-Speech | CSPApplication | 1 | Identifies the application.
Microsoft SAPI 4 Text-to-Speech | CSPAudioDestFileCLSID | 2 | Specifies the File Audio Destination COM object class identifier.
Microsoft SAPI 4 Speech Recognition | CSPAudioSourceFileCLSID | 3 | Specifies the File Audio Source COM object class identifier.
 | CSPDomain | 4 | Specifies the default domain for the application.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CSPEngine | 5 | Specifies the name of the recognizer or synthesizer.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking Nuance VoCon 3200 Acapela BabTTS and NSCAPI Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CSPEngineID | 6 | Specifies the unique identifier of the recognizer or synthesizer.
Nuance Dragon NaturallySpeaking | CSPEngineVersion | 7 | Dragon Version number.
Microsoft SAPI 5 Speech Recognition | CSPISpMMSysAudioInCLSID | 8 | Specifies the SpMMAudioIn COM object class identifier.
Microsoft SAPI 5 Text-to-Speech | CSPISpMMSysAudioOutCLSID | 9 | Specifies the SpMMAudioOut COM object class identifier.
 | CSPLicense | 10 | Class object property. Specifies the license value required for distributing applications with the Chant class libraries.
Microsoft SAPI 4 Speech Recognition | CSPMicrophone | 11 | Identifies the name of the microphone. Used to automatically invoke the recognizer's microphone setup wizard when the application initially connects with the recognizer.
 | CSPMicrophoneHasRunMicWizard | 12 | Deprecated.
 | CSPMicrophonePrompt | 13 | Deprecated.
 | CSPMicrophoneSetupOption | 14 | Deprecated.
 | CSPMicrophoneTitle | 15 | Deprecated.
Microsoft SAPI 4 Text-to-Speech | CSPMMAudioDestCLSID | 16 | Specifies the Multimedia Audio Destination COM object class identifier.
Microsoft SAPI 4 Speech Recognition | CSPMMAudioSourceCLSID | 17 | Specifies the Multimedia Audio Source COM object class identifier.
 | CSPRecognizer | 18 | Class object property. Identifies the recognizer and recognizer property settings to use for the application. The application framework persists recognizer properties under this unique name.
 | CSPSerials | 19 | Class object property. Specifies the serial number value required for distributing applications with the Chant class libraries.
Microsoft SAPI 4 Speech Recognition Microsoft SAPI 5 Speech Recognition Nuance Dragon NaturallySpeaking | CSPSpeaker | 20 | Name of the current speaker (i.e., end user). For SAPI and Dragon recognizers, this is the profile name. For IBM SMAPI recognizers, this is the user name.
 | CSPSpeakerEnrollID | 21 | Specifies the enrollment identifier for the speaker (i.e., end user).
Microsoft SAPI 4 Speech Recognition | CSPSuspAudioSourceCLSID | 22 | Specifies the Suspending Audio Source COM object class identifier.
 | CSPSynthesizer | 23 | Class object property. Identifies the synthesizer and synthesizer property settings to use for the application. The application framework persists synthesizer properties under this unique name.
Nuance Dragon NaturallySpeaking | CSPToolsVersion | 24 | Dragon NaturallySpeaking version.
Nuance Dragon NaturallySpeaking | CSPTopic | 25 | Speech recognition topic.
Nuance VoCon 3200 | CSPAcousticModel | 26 | VoCon 3200 acoustic model file.
Microsoft SAPI 5 Text-to-Speech | CSPConcurrencyLicenseCompany | 27 | License property.
Microsoft SAPI 5 Text-to-Speech | CSPConcurrencyLicenseName | 28 | License property.
Microsoft SAPI 5 Text-to-Speech | CSPConcurrencyLicenseKey | 29 | License property.
Nuance Vocalizer for Network | CSPConfigFile | 30 | Configuration file to use instead of the default.
Nuance VoCon 3200 Acapela BabTTS and NSCAPI Nuance RealSpeak Solo | CSPEnginePath | 31 | File path to the engine libraries.
Nuance VoCon 3200 | CSPLexicon | 32 | Name of the lexicon.
Cepstral SWIFT | CSPReduction | 33 | Reduction type.
Microsoft SAPI 5 Text-to-Speech | CSPVoiceLicenseCompany | 34 | License property.
Microsoft SAPI 5 Text-to-Speech | CSPVoiceLicenseName | 35 | License property.
Acapela BabTTS and NSCAPI Microsoft SAPI 5 Text-to-Speech | CSPVoiceLicenseKey | 36 | License property.
Microsoft SAPI 5 Speech Recognition Microsoft SAPI 5 Text-to-Speech | CSPDefaultEngine | 37 | Default Recognizer or Voice.
Microsoft SAPI 5 Speech Recognition | CSPDefaultSpeaker | 38 | Default speaker profile name.
 | CSPLanguagePath | 39 | File path to language files.
Nuance VoCon 3200 V3 | CSPDDG2PModel | 40 | The VoCon 3200 Data Driven G2P model object that maps words to phonetic transcriptions.
Nuance VoCon 3200 V3 | CSPCLCModel | 41 | The VoCon 3200 Common Linguistic Component model object that maps words to phonetic transcriptions.
Nuance Dragon NaturallySpeaking | CSPResultsBoxPos | 42 | The Dragon NaturallySpeaking results box position: left, top, right, bottom.
Nuance Dragon NaturallySpeaking | CSPDictationSource | 43 | The Dragon NaturallySpeaking microphone source for speaker training.
Acapela NSCAPI | CSPSrvAddress | 44 | TTS Server address.
 | CSPAudioCaptureDevice | 45 | Audio capture device.
 | CSPAudioRenderDevice | 46 | Audio render device.
Nuance Vocalizer Expressive | CSPBrokerInfoPath | 47 | Broker information path.
Microsoft Windows Media Speech Recognition | CSPUIOptionsAudiblePrompt | 48 | Recognizer property. Specifies the heading text that is displayed on the Listening screen.
Microsoft Windows Media Speech Recognition | CSPUIOptionsExampleText | 49 | Recognizer property. Specifies the example text shown on the Listening screen.


ChantTrainingProperty

The training session property.

APIs | Constant | Value | Description
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPDiscardButton | 1 | Discard button label text and voice command.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPDiscardResponse | 2 | Response displayed and spoken after training is discarded.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPPauseButton | 3 | Pause button label text and voice command.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPResumeButton | 4 | Resume button label text and voice command.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPSaveButton | 5 | Save button label text and voice command.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPSaveInstructions | 6 | Instructions displayed and spoken after training complete.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPSaveResponse | 7 | Response displayed and spoken after training session saved.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPTitle | 8 | Training dialog title.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CTPTrainingDictationVocab | 9 | Dictation vocabulary.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPTrainingGrammarVocab | 10 | Grammar vocabulary.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPTrainingText | 11 | Training script.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPTrainingFile | 12 | File name containing training script.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition Nuance VoCon 3200 | CTPTrainingInstructions | 13 | Instructions displayed and spoken before training begins.


ChantTTSAge

The voice age.

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CTTSABaby | 1 | About 1 year old
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CTTSAToddler | 3 | About 3 years old
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CTTSAChild | 6 | About 6 years old
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CTTSAAdolescent | 14 | About 14 years old
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CTTSAAdult | 30 | Between 20 and 60 years old
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Nuance RealSpeak Solo | CTTSAElderly | 70 | Over 60 years old


ChantTTSFeature

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantTTSFeature Property

The features supported by a SAPI 4 synthesizer.

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech | CTTSFAnyWord | 1 | The engine can attempt to read any word.
Microsoft SAPI 4 Text-to-Speech | CTTSFVolume | 2 | The engine can adjust the volume of the voice.
Microsoft SAPI 4 Text-to-Speech | CTTSFSpeed | 4 | The engine can adjust the speed of the voice while it is speaking.
Microsoft SAPI 4 Text-to-Speech | CTTSFPitch | 8 | The engine can adjust the pitch of the voice while it is speaking.
Microsoft SAPI 4 Text-to-Speech | CTTSFTagged | 16 | The engine can interpret tagged text to control the voice.
Microsoft SAPI 4 Text-to-Speech | CTTSFIPAUnicode | 32 | The engine's ITTSCentral::Phoneme function supports the CHARSET_IPAPHONETIC voice character set and will return phonemic representations using the International Phonetic Alphabet (IPA) in Unicode. Note that the Unicode version of Phoneme must be called, even if this flag is set.
Microsoft SAPI 4 Text-to-Speech | CTTSFVisual | 64 | The engine can provide mouth position information for the voice.
Microsoft SAPI 4 Text-to-Speech | CTTSFWordPosition | 128 | The engine sends notification of word position.
Microsoft SAPI 4 Text-to-Speech | CTTSFPCOptimized | 256 | The voice is optimized to work over the computer, which provides better sound quality.
Microsoft SAPI 4 Text-to-Speech | CTTSFPhoneOptimized | 512 | The voice is designed to work over the telephone and uses an 8-kilohertz (kHz) sampling rate.
Microsoft SAPI 4 Text-to-Speech | CTTSFFixedAudio | 1024 | The audio destination for the device is fixed, so an audio destination object is not needed for select. If an audio destination is passed in, it will be ignored. Hardware devices, such as an external synthesizer box, will support this.
Microsoft SAPI 4 Text-to-Speech | CTTSFSingleInstance | 2048 | The engine is single instance, and so only one mode object can exist at one time. TTS engines that are .EXE servers use this.
Microsoft SAPI 4 Text-to-Speech | CTTSFThreadSafe | 4096 | The engine is completely thread safe, and can be called from any thread.
Microsoft SAPI 4 Text-to-Speech | CTTSFIPATextData | 8192 | TextData supports IPA phonemes being passed in, as long as CHARSET_IPAPHONETIC is used. Applications can use this to identify TTS engines that can speak words solely from a pronunciation.
Microsoft SAPI 4 Text-to-Speech | CTTSFPreferred | 16384 | The voice is one of the preferred voices from the TTS vendor's set, because of its realism and quality. ITTSFind will use preferred voices over non-preferred, as long as they meet the application's search criteria.
Microsoft SAPI 4 Text-to-Speech | CTTSFTransplanted | 32768 | Supports transplanted prosody.
Microsoft SAPI 4 Text-to-Speech | CTTSFSAPI4 | 65536 | Denotes that the engine is SAPI 4 compliant. SAPI 4 compliant means that it supports all of the required interfaces defined in this document and can pass the TTSFUNC test included in the SAPI SDK.


ChantTTSGender

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantTTSGender Property

The voice gender.

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CTTSGNeutral | 0 | Not perceptibly male or female voice
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CTTSGFemale | 1 | Female voice
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CTTSGMale | 2 | Male voice


ChantTTSHint

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantTTSHint Property

Information about the features of the SAPI 4 phonemes and visual events.

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSHQuestion | 1 | The phoneme is part of a question.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSHStatement | 2 | The phoneme is part of a word being emphasized.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSHCommand | 4 | The phoneme is part of an exclamation.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSHExclamation | 8 | The phoneme is part of a question.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo | CTTSHEmphasis | 16 | The phoneme is part of a statement.


ChantTTSInterface

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantTTSInterface Property

The COM interfaces supported by a SAPI 4 synthesizer.

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech | CTTSIILexPronounce | 1 | ILexPronounce interface
Microsoft SAPI 4 Text-to-Speech | CTTSIITTSAttributes | 2 | ITTSAttributes interface
Microsoft SAPI 4 Text-to-Speech | CTTSIITTSCentral | 4 | ITTSCentral interface
Microsoft SAPI 4 Text-to-Speech | CTTSIITTSDialogs | 8 | ITTSDialogs interface


ChantVisemeType

Chant Developer Workbench 2016 Logo
Chant Developer Workbench 2016 Developer's Guide

ChantVisemeType Property

Represents a mouth position during speech synthesis with a SAPI 5 voice.

APIs | Constant | Value | Description
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT0 | 0 | Silence
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT1 | 1 | (English) ae, ax, ah
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT2 | 2 | (English) aa
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT3 | 3 | (English) ao
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT4 | 4 | (English) ey, eh, uh
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT5 | 5 | (English) er
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT6 | 6 | (English) y, iy, ih, ix
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT7 | 7 | (English) w, uw
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT8 | 8 | (English) ow
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT9 | 9 | (English) aw
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT10 | 10 | (English) oy
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT11 | 11 | (English) ay
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT12 | 12 | (English) h
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT13 | 13 | (English) r
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT14 | 14 | (English) l
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT15 | 15 | (English) s, z
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT16 | 16 | (English) sh, ch, jh, zh
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT17 | 17 | (English) th, dh
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT18 | 18 | (English) f, v
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT19 | 19 | (English) d, t, n
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT20 | 20 | (English) k, g, ng
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVT21 | 21 | (English) p, b, m


ChantVoiceMarkupLanguage

The type of markup language.

APIs | Constant | Value | Description
Microsoft SAPI 4 Text-to-Speech | CVMLSAPI4CTAG | 1 | SAPI 4 Control Tags
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance RealSpeak Solo Nuance Vocalizer for Automotive Nuance Vocalizer for Network | CVMLSAPI5XML | 2 | SAPI 5 XML Markup
Microsoft SAPI 5.3 Text-to-Speech Microsoft Speech Platform Text-to-Speech Nuance Vocalizer for Network | CVMLW3CSSML | 3 | W3C Speech Synthesis Markup Language
Nuance RealSpeak Solo Nuance Vocalizer for Automotive Nuance Vocalizer for Mobile Nuance Vocalizer for Network | CVMLLHNCS | 4 | Nuance L&H Native Control Sequence


ChantVoiceMarkupTag

A markup element (tag) type.

Markup Syntax | Constant | Value | Description
Nuance L&H Native Control Sequence | CVMTAudio | 1 | Playback audio file.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTBookmark | 2 | A marker to generate an event.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTComment | 3 | Text that is not synthesized but rather serves as documentation.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTContext | 4 | Defines the type of normalization rules to apply to the text.
Microsoft SAPI 4 Text-to-Speech | CVMTDeEmphasis | 5 | Deemphasize the words when speaking.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTEmphasis | 6 | Emphasis the words when speaking.
Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTLanguage | 7 | Define the language.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTPartOfSpeech | 8 | Identify the type of word.
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTPitch | 9 | Adjust the speaking pitch.
Microsoft SAPI 4 Text-to-Speech | CVMTPitchRange | 10 | Adjust the pitch range when speaking.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTPronunciation | 11 | Phonetic pronunciation of the words.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTRate | 12 | Adjust the speaking rate (speed).
Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTRelativePitch | 13 | Adjust the relative speaking pitch.
Microsoft SAPI 4 Text-to-Speech | CVMTRelativePitchRange | 14 | Adjust the relative pitch range when speaking.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTRelativeRate | 15 | Adjust the relative speaking rate (speed).
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTSilence | 16 | Pause speaking for a defined amount of time.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTSpell | 17 | Spell the words rather than speaking them.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTVoice | 18 | Set the voice to use when synthesizing.
Nuance L&H Native Control Sequence Microsoft SAPI 4 Text-to-Speech Microsoft SAPI 5 Text-to-Speech Microsoft Speech Platform Text-to-Speech | CVMTVolume | 19 | Adjust the audio volume of the speaking.


ChantVXMLRunOptions

The VoiceXML document run options.

Constant | Value | Description
CVRONone | 0 | No options.
CVRORecoChoices | 1 | Automatically voice-enable menu choices.
CVRORecoOptions | 2 | Automatically voice-enable form options.
CVROShowUI | 4 | Show interpreter dialog during execution.


ChantVXMLSource

The VoiceXML document source object type.

Constant | Value | Description
CVSBuffer | 1 | The VoiceXML document is compied from a buffer.
CVSFile | 2 | The VoiceXML document is read from a file.
CVSText | 3 | The VoiceXML document is read from a text string.


ChantVXMLVersion

The VoiceXML document syntax version.

Constant | Value | Description
CVSAll | 0 | All versions
CVS1 | 1 | VoiceXML 1.0
CVS2 | 2 | VoiceXML 2.0
CVS21 | 4 | VoiceXML 2.1


ChantWordPronounceable

Flag that indicates whether the word(s) is(are) part of the recognizer's dictionary and can be recognized.

APIs | Constant | Value | Description
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CWPUnpronounceable | 0 | Won't be recognized.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CWPUknownWordPronounceable | 1 | Not in dictionary, but can be recognized.
Microsoft SAPI 5 Speech Recognition Microsoft Speech Platform Speech Recognition | CWPKnownWordPronounceable | 2 | In dictionary and can be recognized.


ColorImageFormat

The format of the image data of a ColorFrame.

Constant | Value | Description
None | 0 | No data.
Rgba | 1 | RGBA format (4 bytes per pixel).
Yuv | 2 | YUV format (2 bytes per pixel).
Bgra | 3 | BGRA format (4 bytes per pixel).
Bayer | 4 | Bayer format (1 byte per pixel).
Yuy2 | 5 | YUY2 format (2 bytes per pixel).


Expression

The expression a body may have.

Constant | Value | Description
Neutral | 0 | Neutral expression.
Happy | 1 | Happy expression.
Count | 2 | The number of expression types.


FrameCapturedStatus

Status of a frame capture.

Constant | Value | Description
Unknown | 0 | Capture state unknown
Queued | 1 | Frame capture queued.
Dropped | 2 | Frame capture dropped.


FrameEdges

The types of edges of a frame border.

Constant | Value | Description
None | 0 | No frame edges.
Right | 1 | Right frame edge.
Left | 2 | Left frame edge.
Top | 4 | Top frame edge.
Bottom | 8 | Bottom frame edge.


FrameSourceTypes

The types of frame sources for a MultiSourceFrameReader.

Constant | Value | Description
None | 0 | No frame sources.
Color | 1 | ColorFrameSource
Infrared | 2 | InfraredFrameSource.
LongExposureInfrared | 4 | LongExposureInfraredFrameSource.
Depth | 8 | DepthFrameSource.
BodyIndex | 16 | BodyIndexFrameSource.
Body | 32 | BodyFrameSource.
Audio | 64 | AudioFrameSource.


HandState

The state of a hand of a body.

Constant | Value | Description
Unknown | 0 | Undetermined hand state.
NotTracked | 1 | Hand not tracked.
Open | 2 | Open hand.
Closed | 3 | Closed hand.
Lasso | 4 | Lasso (pointer) hand.


JointType

The types of joints of a body.

Constant | Value | Description
SpineBase | 0 | Base of the spine.
SpineMid | 1 | Middle of the spine.
Neck | 2 | Neck.
Head | 3 | Head.
ShoulderLeft | 4 | Left shoulder.
ElbowLeft | 5 | Left elbow.
WristLeft | 6 | Left wrist.
HandLeft | 7 | Left hand.
ShoulderRight | 8 | Right shoulder.
ElbowRight | 9 | Right elbow.
WristRight | 10 | Right wrist.
HandRight | 11 | Right hand.
HipLeft | 12 | Left hip.
KneeLeft | 13 | Left knee.
AnkleLeft | 14 | Left ankle.
FootLeft | 15 | Left foot.
HipRight | 16 | Right hip.
KneeRight | 17 | Right knee.
AnkleRight | 18 | Right ankle.
FootRight | 19 | Right foot.
SpineShoulder | 20 | Between the shoulders on the spine.
HandTipLeft | 21 | Tip of the left hand.
ThumbLeft | 22 | Left thumb.
HandTipRight | 23 | Tip of the right hand.
ThumbRight | 24 | Right thumb.
Count | 25 | The number of JointType types.


KinectAudioCalibrationState

The calibration states of the audio sensor. The audio calibration state is always Calibrated for Kinect for Windows apps. This enumeration is included to support cross-compilation with the Xbox SDK.

Constant | Value | Description
Unknown | 0 | The calibration state is unknown.
CalibrationRequired | 1 | The audio sensor requires calibration.
Calibrated | 2 | The audio sensor is calibrated.


KinectCapabilities

The capabilities of the Kinect sensor.

Constant | Value | Description
None | 0 | No Kinect capabilites are supported.
Vision | 1 | The sensor supports vision.
Audio | 2 | The sensor suports audio.
Face | 4 | The sensor supports face recognition.
Expressions | 8 | The sensor supports expressions.
Gamechat | 16 | The sensor supports game chat.


TrackingConfidence

The confidence level of a body's tracked attribute.

Constant | Value | Description
Low | 0 | Low confidence.
High | 1 | High confidence.


TrackingState

Specifies the state of tracking a body or body's attribute.

Constant | Value | Description
NotTracked | 0 | The joint data is not tracked and no data is known about this joint.
Inferred | 1 | The joint data is inferred and confidence in the position data is lower than if it were Tracked.
Tracked | 2 | The joint data is being tracked and the data can be trusted.


VXMLAccept

The speech recognition matching type.

Constant | Value | Description
Approximate | 1 | Approximate recognition phrase match.
Exact | 2 | Exact recognition phrase match.


VXMLAudioMedia

The audio format type.

Constant | Value | Description
AudioBasic | 1 | Raw (headerless) 8kHz 8-bit mono mu-law [PCM] single channel.
AudioXAlawBasic | 2 | Raw (headerless) 8kHz 8 bit mono A-law [PCM] single channel.
AudioXWav | 3 | WAV (RIFF header) 8kHz 8-bit mono mu-law or A-law [PCM] single channel.


VXMLBargein

The type of playback interrupt.

Constant | Value | Description
Hotword | 1 | The prompt will not be stopped until a complete match of an active grammar is detected.
Speech | 2 | The prompt will be stopped as soon as speech or DTMF input is detected.


VXMLBuiltinGrammar

The builtin speech recognition grammar.

Constant | Value | Description
None | 0 | None.
Boolean | 1 | A grammar that recognizes boolean choices: true or false.
Date | 2 | A grammar that recognizes dates.
Digits | 3 | A grammar that recognizes digits.
Currency | 4 | A grammar that recognizes currency amounts.
Number | 5 | A grammar that recognizes numbers.
Phone | 6 | A grammar that recognizes phone numbers.
Time | 7 | A grammar that recognizes time.


VXMLCaching

The dtmf grammar caching type.

Constant | Value | Description
Fast | 1 | Use the cached copy of the content if it has not expired.
Safe | 2 | Force a query to fetch the most recent copy of the content.


VXMLFetch

The Uri fetch type.

Constant | Value | Description
Prefetch | 1 | A file may be downloaded when the document is loaded.
Safe | 2 | A file should only be downloaded when actually needed.


VXMLGrammarMedia

The speech recognition grammar syntax type.

Constant | Value | Description
ApplicationSrgs | 1 | application/srgs
ApplicationSrgsXml | 2 | application/srgs+xml


VXMLGrammarMode

The grammar mode type.

Constant | Value | Description
Dtmf | 1 | Dtmf grammar.
Voice | 2 | Speech recognition grammar.


VXMLMediaEncoding

The media encoding type of the submitted document.

Constant | Value | Description
TextPlain | 1 | text/plain
MultipartFormData | 2 | multipart/form-data
ApplicationXWwwFormUrlencoded | 3 | application/x-www-form-urlencoded


VXMLMethod

The request method: get (the default) or post.

Constant | Value | Description
Get | 1 | Sent to the server using the HTTP GET.
Post | 2 | Sent to the server using the HTTP POST.


VXMLMode

The filled event mode type.

Constant | Value | Description
All | 1 | The filled action is executed when all of the mentioned input items are filled, and at least one has been filled by the last user input.
Any | 2 | The filled event action is executed when any of the specified input items is filled by the last user input.


VXMLScope

The scope of the grammar enablement.

Constant | Value | Description
Dialog | 1 | Grammar enabled within the context of the dialog.
Document | 2 | Grammar enabled within the content of the document.


VXMLTagFormat

The grammar tag-format type.

Constant | Value | Description
Semantics1 | 1 | Grammar tag-format semantics/1.0.
Semantics1Literals | 2 | Grammar tag-format semantics/1.0-literals.


VXMLTransfer

The transfer type.

Constant | Value | Description
Blind | 1 | The platform redirects the caller to the callee without remaining in the connection, and does not monitor the outcome.
Bridge | 2 | The platform adds the callee to the connection.
Consultation | 3 | The consultation transfer is similar to a blind transfer except that the outcome of the transfer call setup is known and the caller is not dropped as a result of an unsuccessful transfer attempt.


VXMLValue

The parameter value type.

Constant | Value | Description
Data | 1 | Indicates the object is data.
Ref | 2 | Indicates the object is a Uri.


Structures

The following enumerations are used with Chant Developer Workbench 2016:

Products | Structure | Description
KinesicsKit | CameraIntrinsics | Contains the calibration data for the depth camera.
KinesicsKit | CameraSpacePoint | Contains a 3D point in camera space.
KinesicsKit | ColorSpacePoint | Contains a 2D point in color space.
KinesicsKit | DepthSpacePoint | Contains a 2D point in depth space.
KinesicsKit | Joint | Contains the position of a joint of a body.
KinesicsKit | JointOrientation | Orients a joint relative to the parent joint in the skeleton.
KinesicsKit | PointF | Contains a 2D point.
KinesicsKit | Vector4 | Contains a 4D position (X,Y,Z,W).


CameraIntrinsics Structure

Contains the calibration data for the depth camera

Collapse/Expand Properties section Properties

Type | Name | Description
float | FocalLengthX | The depth of the CameraIntrinsics.
float | FocalLengthY | The player index of the CameraIntrinsics.
float | PrincipalPointX | The X coordinate of the CameraIntrinsics.
float | PrincipalPointY | The Y coordinate of the CameraIntrinsics.
float | RadialDistortionSecondOrder | The Y coordinate of the CameraIntrinsics.
float | RadialDistortionFourthOrder | The Y coordinate of the CameraIntrinsics.
float | RadialDistortionSixthOrder | The Y coordinate of the CameraIntrinsics.

Collapse/Expand See Also section See Also

CoordinateMapper


CameraSpacePoint Structure

Contains a 3D point in camera space. The origin point (0,0,0) of the coordinate system is the camera position.

Collapse/Expand Properties section Properties

Type | Name | Description
float | X | The X coordinate of the CameraSpacePoint.
float | Y | The Y coordinate of the CameraSpacePoint.
float | Z | The Z coordinate of the CameraSpacePoint.

Collapse/Expand See Also section See Also

Joint


ColorSpacePoint Structure

Contains a 2D point in color space.

Collapse/Expand Properties section Properties

Type | Name | Description
float | X | The X coordinate of the point.
float | Y | The Y coordinate of the point.

Collapse/Expand See Also section See Also

CoordinateMapper


DepthSpacePoint Structure

Contains a 2D point in depth space.

Collapse/Expand Properties section Properties

Type | Name | Description
float | X | The X coordinate of the point.
float | Y | The Y coordinate of the point.

Collapse/Expand See Also section See Also

CoordinateMapper


Joint Structure

Contains the position of a joint of a body.

Collapse/Expand Properties section Properties

Type | Name | Description
JointType | JointType | The type of joint.
Position | Position | The position of the joint in camera space.
TrackingState | TrackingState | The tracking state of the joint.

Collapse/Expand See Also section See Also

JointType
CameraSpacePoint
TrackingState


JointOrientation Structure

Orients a joint relative to the parent joint in the skeleton.

Collapse/Expand Properties section Properties

Type | Name | Description
JointType | JointType | The type of joint.
Vector4 | Orientation | The orientation of the joint.

Collapse/Expand See Also section See Also

JointType
Vector4


PointF Structure

Contains a 2D point.

Collapse/Expand Properties section Properties

Type | Name | Description
float | X | The X coordinate of the point.
float | Y | The Y coordinate of the point.

Collapse/Expand See Also section See Also

Body
CoordinateMapper


Vector4 Structure

Contains a 4D position (X,Y,Z,W).

Collapse/Expand Properties section Properties

Type | Name | Description
float | X | The X coordinate.
float | Y | The Y coordinate.
float | Z | The Z coordinate.
float | W | The W coordinate.

Collapse/Expand See Also section See Also

BodyFrame


AudioSource RegisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

RegisterCallback Method

Registers for a FrameCaptured or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

audioSource.FrameCaptured += frameCapturedCallback;
audioSource.PropertyChanged += propertyChangedCallback;

audioSource->RegisterCallback(frameCapturedCallback);
audioSource->RegisterCallback(propertyChangedCallback);

audioSource->RegisterCallback(frameCapturedCallback);
audioSource->RegisterCallback(propertyChangedCallback);

audioSource.RegisterCallback(frameCapturedCallback);
audioSource.RegisterCallback(propertyChangedCallback);

audioSource.registerCallback(frameCapturedCallback);
audioSource.registerCallback(propertyChangedCallback);

AddHandler audioSource.FrameCaptured, AddressOf frameCapturedCallback
AddHandler audioSource.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameCapturedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameCaptured interface (Java). Event handler that implements the FrameCaptured interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameCaptured events occur when an AudioBeamFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

AudioSource
UnregisterCallback


AudioSource UnregisterCallback Method

Chant KinesicsKit 3 Logo
Chant KinesicsKit 3 Developer's Guide

UnregisterCallback Method

Unregisters for a FrameCaptured or PropertyChanged callback event.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

audioSource.FrameCaptured -= frameCapturedCallback;
audioSource.PropertyChanged -= propertyChangedCallback;

audioSource->UnregisterCallback(frameCapturedCallback);
audioSource->UnregisterCallback(propertyChangedCallback);

audioSource->UnregisterCallback(frameCapturedCallback);
audioSource->UnregisterCallback(propertyChangedCallback);

audioSource.UnregisterCallback(frameCapturedCallback);
audioSource.UnregisterCallback(propertyChangedCallback);

audioSource.unregisterCallback(frameCapturedCallback);
audioSource.unregisterCallback(propertyChangedCallback);

RemoveHandler audioSource.FrameCaptured, AddressOf frameCapturedCallback
RemoveHandler audioSource.PropertyChanged, AddressOf propertyChangedCallback

Parameters

frameCapturedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the FrameCaptured interface (Java). Event handler that implements the FrameCaptured interface (.NET).

propertyChangedCallback

Pointer (C++, C++Builder, Delphi), Object (Java), EventHandler (.NET). Callback address (C++, C++Builder, Delphi). Callback object that implements the PropertyChanged interface (Java). Event handler that implements the PropertyChanged interface (.NET).

Collapse/Expand Remarks section Remarks

FrameCaptured events occur when an AudioBeamFrame is available. PropertyChanged events occur whenever a property value changes.

Collapse/Expand See Also section See Also

AudioSource
RegisterCallback


ColorFrameReference Class

Represents an audio frame reference.

Collapse/Expand Remarks section Remarks

ColorFrameReference objects are obtained via the MultiSourceFrame ColorFrameReference property and ChantKMEvent ColorFrameReference property.

Collapse/Expand Methods section Methods

 | Name | Description
Public method | AcquireFrame | Acquires the frame held by this reference.

Collapse/Expand Properties section Properties

 | Name | Description
Public property | RelativeTime | Returns the unique relative time at which this frame was produced.

Collapse/Expand See Also section See Also

ColorFrame
ChantKMEvent
MultiSourceFrame


ChantXM SetWindowMessage Method

Chant VoiceXMLKit 2 Logo
Chant VoiceXMLKit 2 Developer's Guide

SetWindowMessage Method

Sets the WM_APP message value for receiving an event notification as Win32 message.

Collapse/Expand Syntax section Syntax

  • C#
  • C++
  • C++Builder
  • Delphi
  • Java
  • VB .NET

Not supported.

pChantXM->SetWindowMessage(hWnd, Msg, wParam, lParam);

pChantXM->SetWindowMessage(hWnd, Msg, wParam, lParam);

aTChantXM.SetWindowMessage(hWnd, Msg, wParam, lParam);

Not supported.

Not supported.

Parameters

hWnd

HWND. Application window handle.

Msg

Long integer. Unique windows message number.

wParam

WPARAM. Optional application defined value passed on all callback events.

lParam

LPARAM. Optional application defined value passed on all callback events.

Collapse/Expand Remarks section Remarks

Applications that support Win32 message pump may set a WM_APP message value to uniquely identify ChantXM event notifications. An event notification indicates that a ChantXM callback has fired and a ChantXMEvent resource is on the event resource queue.

Collapse/Expand See Also section See Also

ChantXM